Welcome to TeeChart

The 100% Native Data-Aware Charting Component Library for Delphi and C++ Builder (v5 and later) and all RAD Studio versions.

What's new !

Component reference

User guide

License & disclaimer

More about TeeChart...

Steema SL

Programming environments

TeeChart Copyright © 1995-2011 by Steema Software. All rights reserved.

* Delphi, RAD Studio, BDS, Kylix and C++ Builder copyright of Embarcadero (from Borland International, Inc and CodeGear).


TeeChart Whats new

What's new !

The new version of TeeChart Pro adds many new features, many new enhancements to existing features, new components, new series types, new editor dialogs and some fixed bugs.

For a complete list of additions, please visit this link: WhatsNew.htm\WhatsNew.htm

Introduction

For all RAD Studio versions and Delphi 5,6,7 to 8, C++ Builder 5 and 6.

New Help Format

For those of you with RAD Studio versions you can now use once again use TeeChart's context sensitive directly from the IDE. TeeChart's new Help 2 format help is registered by your installer using the H2Reg utility. H2Reg is distributed with TeeChart by permission from Robert Chandler (http://www.helpware.net).

H2Reg Copyright © Robert Chandler (www.helpware.net)

We hope you enjoy working with TeeChart Pro 2011 !


TeeChart Pro Tutorials

Copyright © 1996-2011 by Steema Software SL. All Rights Reserved.


Tutorial 1 - Getting started

Getting Started - building Charts and populating Data Series

Introduction to building Charts and populating Data Series by code or by Dataset access

Basic Charts can be built and implemented using the Chart Editor with little or no use of code.
The Chart Editor is two Editors in one as the Chart may be thought of as being distinct from its data Series contents.
You may define the Chart appearance, titles, Legend characteristics and 3D aspect without having to include a data Series.
That gives you the freedom to add and remove different data Series types at runtime without having to redefine the whole Chart look and feel.

Everything comes together to make the final Chart, with Chart axes being the interface between Chart and Series.
A Series has data and its values will influence the label characteristics of the Chart axes.
The axes appearance, colours, grid frequency and label fonts may all be defined for the Chart before adding data Series.
TeeChart will make a best estimate of most values to minimise the need for you to manually define Chart and Series properties.
Add multiple series types with the Chart editor.

 The "Chart distinct from Series" design paradigm of TeeChart allows you to mix a variety of Series types without being limited to a choice of predefined Chart formats.

And Internet ! For this area of applications, we have included features such as JPEG, PNG, GIF Chart save or TeeChart "tee" templates for low bandwidth charting.

The steps in this tutorial highlight how easy it is to build a Chart from scratch and will introduce you to the Chart Editor to enable you, through later tutorials, to modify and further enhance the appearance and functionality of the Chart. Good Charting !!

Including TeeChart on a Form

By following the installation instructions for TeeChart you should have succeeded in adding the TeeChart Pro icons to the Delphi Component palette.
If your version of Delphi already had the TeeChart Standard version included then you will see no immediate difference when you open Delphi.
You can check that TeeChart Pro is correctly installed by adding a TeeChart to a Form and then, with the Add Series button checking that the Gallery offers you Extended Series Types.
The TeeChart icon is a representation of a circled (Pie) Chart.
You will find TeeChart, the TChart component, in the Additional section of the Delphi Component Palette.

In addition TeeChart Pro installs 2 more Chart icons:

TDBChart in the Data Controls section

TDBChart uses the Borland Database Engine.
If you are coding Chart data use TChart.

TQRChart in the QuickReport section

For a list of other TeeChart installed components follow this link: Non Chart components

Select the first icon of the three and click and drag out to size TChart on a Form.
You will see TChart as a panel with some basic Chart features such as Axis and Title.
TeeChart is derived from a Delphi TPanel, you could use the Chart Editor to delete the existing visual features and you would be left with a perfectly serviceable 3D panel complete with Border and Bevel properties ! We hope you'll want to use it for more than that though !
Right click on the new TChart and you will see a menu displayed.
Select the Edit Chart... option to access the Chart Editor. (Double-mouseclicking on the Chart will achieve the same aim).

The Chart Editor

The Chart Editor allows you access to most of the commonly used Chart properties.

To add a new Series, mouseclick on the Add.. button and select the Series type from the Series Gallery. If after selecting a Series type you wish to change it later you may do so (with a few exceptions where the Series data content may be incompatible) by returning to the first Editor screen and selecting the Change.. button.

The Chart Series Gallery

The Gallery consists of eight Series tabbed pages and three Functions tabs:

Series

Standard Series

Standard Series types: those likely to be called upon most frequently, e.g. Line, Bar, Pie, etc.

Extended Series

Extended Series include more specialized Series types for planning or mapping applications, e.g. Arrow, Polar, Org Charts, Bezier, etc.

Financial Series

Financial Series include Chart types normally used for financial applications, e.g. Candle, Volume, Darvas, Renko, etc.

Statistical Series

Stats Series include Chart Series types for statistical applications, e.g. Histogram, Error Bar, BoxPlot, etc.

3D Series

3D Series include Series types which offer a 3 dimensional representation e.g. Surface, Waterfall, Tower, etc.

Guage Series

Guage Series offer a variety of Guages such as Numerical, Linear, Cirular, etc.

Other Series

If you still haven't found the Chart type you aare looking for, you're likely to find it here, e.g. Tag Cloud, Wind Rose, Calendar, etc.

Map Series

Map Series include a variety of Maps for geographical Charts e.g. World, Europe, North America, Asia, etc.

Functions

Standard

Commonly used Standard functions, e.g. Add, Subtract, Multiply, Divide, etc.

Financial

Financial functions normally used for financial applications e.g, MACD, Stochastic, Bollinger Bands, etc.

Extanded

Extended functions offer a variety of functions such as those forStatistical applications, Standard Deviation, Root Mean Average, Exponential Trend, etc.

Select a Series type. For this exercise we will choose a Bar Series type. The Gallery will close and the new Series will be displayed in the first Chart Editor screen.

Populate the new data Series

Select the Series tab in the Chart Editor to display the Series configuration properties. The fourth tab on the Series page is the data source tab.

Coding data input with TChart

For programmed input of data you will need to write some code. If you are coding data input use TChart rather than TDBChart to avoid having to work with the Borland Database Engine. This section will show you the steps necessary to build a chart with coded input.

The Series that you previously added with the Chart Editor shows random data at design time. At runtime however, the Series will be empty of data unless you manually populate it. Select a Command button from the Component palette and place it on your Form. Double-click on the button to access the code editor. In the code Editor type these lines:

With Series1 do
begin
  Add (3, 'Pears', clRed);
  Add (4, 'Apples', clBlue);
  Add (2, 'Oranges', clGreen);
end;

Run the project and press the command button. Three new bars will appear on your Chart. That's it !! There's no more to it.

The Series' Add method accepts 3 variables, Value, Label and Colour. The Add method thus assumes equal spacing of values on the Label axis (in this case the X-Axis). If your data contains 2 variables you may use the AddXY Method. Add another Command button to your project and put this code in it. Run the Project and add points using this code:

  With Series1 do
  begin
    if Count > 0 Then
      //Increment X Axis value and add a new random point
      AddXY (XValues.Last+(Round(100)), (YValues.Last/YValues.Last-1)+(Round(100)), '', clBlue)

    else
      //Add a new random point
      AddXY (1, (Round(100)), '', clBlue);
  end;

Selecting a Series Type to suit your data needs

The last coded example generated new X and Y values. The X axis distance between points may not be constant depending on the values used, which may cause overlapping of Bars in some cases. This would be desirable for some but not all applications. Using the Chart Editor to Change the Series type (Enter the Chart Editor at Design time and use the Change button on the first page) to a LineSeries shows an alternative way to graphically represent data with 2 variables.

Accessing datasources with TDBChart

If your data is from a Delphi TDataset, TTable, TQuery or TClientDataset then you may map your data directly in the Chart editor.
Place any one of these components on your Form.
TDBChart does not need a Datasource component to access one of these TDataset components.

Select Datasource from the dropdown listbox on the Data Source page. The Datasource characteristics fields will activate on the page. Select the Dataset: Listbox to add a new Data source for the Series.

You may select an existing datasource (TTable, TQuery, etc) for the Series from the Datasource drop-down combo box. When you have selected the datasource TeeChart will automatically populate the Chart with the data it finds in the Dataset.

According to the table above which shows which Series Types require which values, you may add the columns of the Dataset to the 'Labels', X and Y fields. If your data only has Labels and Y values (the X values are index 1, 2 ,3, etc.) you are only required to populate 'Labels' and 'Y' values.

The dataset data will show in design time and when you run the application the data will automatically populate the Chart at runtime.

Non Chart components

TeeChart Pro includes several non-Chart components that may be used to enhance the functionality or appearance of your Charting application. You can find these components in the TeeChart section of the component palette.
Select a button from the following list to see the helpfile description:

TeeChart palette components

© 1996-2011 Steema Software SL. All rights reserved. Chart DBChart SeriesDataSet DBCrossTabSource ButtonColor ButtonPen ButtonGradient Draw3D ComboFlat ChartDataSet ImageFiltered ChartEditor ChartPreviewer ChartScrollBar TeeCommander ChartListBox ChartEditorPanel ChartGalleryPanel TeePreviewPanel ChartGrid ChartGridNavigator ChartPageNavigator ChartWebsource TeeInspector TeeXMLSource SeriesTextSource TeeOpenGL TeeExcelSource ChartBook ImportChart TeeGDIPlus


Tutorial 2 - Chart display properties

Chart display features are those which affect the overall appearance of the Chart. They include those properties and methods that define the colour of the Chart background, Titles and their position, margins, borders and bevels, background images, frame and axis visible, pen colours and widths, 3D, walls, etc.

Nearly all these properties are available via the Chart Editor at design or runtime and you may modify these properties programmatically at runtime.

The overall Chart appearance characteristics are a grouped into these categories:

General
Axis
Titles
Legend
Panel
Paging
Walls
3D

These are the groupings you will find if you open the Chart Editor and browse the Chart pages. Other properties affect the 'look' of your Chart. These include Series colours and mark characteristics, individual Axis and Grid display properties and labelling. These will be dealt with in later tutorials.

The demo that accompanies this tutorial is called DisplayProject and can be found in the "Examples\Chart display" folder below your TeeChart installation folder.

Getting started with Chart display properties

Add a new Chart to a Form and you will see it displays in 3D with a grey panel background, 2 walls (Bottom and Left), Frame (which defines the Frame of the Chart's plottable area) and a default Chart Title Header "TeeChart".

Right click on the chart and select 'Edit Chart...' from the menu to access the Chart Editor. The first page is the Series page which is empty of Series at the moment and which we'll look at in another tutorial. Select the second Chart tab 'General' to access the General Chart properties page.

General Chart properties

General options include Zoom, Scroll, Cursor and Fonts.

See the Zoom and Scroll tutorial for more information about zooming and scrolling.

You may change the cursor type by selecting from the dropdown list available under the Cursor tab.

Any Text displayed on the Chart can be easily modified by altering the Font properties found under the Fonts tab.

Series' Add method

Axis Properties

Control of the axes is quite an involved area at its greatest level of intricacy and is dealt with in greater depth in a later tutorial. Here we will cover the fundamentals of Axis and Frame display.

The second Chart page holds the properties for defining axis and frame characteristics.

There are 5 axes in the Chart. Left, Top, Right, Bottom and Depth. The Chart Frame displays as a surround to the Chart's plottable area and has no data corresponding features (See BackWall). The Depth initialises by default as not Visible. All other Axes are visible from the moment that a Series is added to the Chart and associated with those Axes (Left and Bottom as default). Custom Axes may be added/removed by using the + and - keys on the dialogue. For a Custom Axis to be visible (as for any other Axis) a Series must be associated with the Axis. See the Axis tutorial for more about Custom axes.

The key properties to enable display of axes and frame are:

Visible
This checkbox enables or disables display of all axes. If the Back wall Frame is visible then the Chart surround is still visible when the axes are hidden. The result will be the appearance of a larger Chart as no area is reserved for the axis labels. The Visible property for each Axis (Scales tab) overrides the visible characteristic for each Axis. If you select the Depth Axis in the List then you will note that Depth Axis Scales::Visible is by default 'not visible'.

Runtime

Chart1.Axes.Visible := True;

Axis: Left, Right, Top, Bottom and Depth Visible
Select the Axis that you wish to display or hide in the Listbox and toggle the Visible checkbox on the Scales tab to control the display for that specific axis.

Runtime

e.g.

Chart1.Axes.Bottom.Visible = False

Titles Properties

The Titles page of the Chart Editor controls the characteristics of the Chart Titles, Header and Footer.

Use the dropdown Combobox to select either Title, Foot, SubTitle or SubFoot. Enter the required text in the Textbox. You may type multiline titles.

Runtime:

The Text property of TChartTitle is a TStrings component. You may add several lines to the Header:

e.g.

With Chart1.Title.Text do
begin
  Add('My First Line');
  Add('My Second Line');
end;

You may then modify lines of text:

e.g.

With TChart1.Title do
begin
  Text[0]:= 'my1stline revised';
end;

Style Alignment
Alignment refers to the Title (or Footer) alignment with respect to the Chart area NOT the overall Chart Panel. The Chart area is the plottable area of the Chart plus the Axis Labels and Legend.

Runtime:

Chart1.Title.Alignment := taCenter;

Position
Use Position to override the Title or Footer default position and set a custom position (pixels relation to Chart Top, Left).

Runtime:

  Chart1.Title.CustomPosition:=True;
  Chart1.Title.Top:=Chart1.Title.Top+30;

Format
Contains the settings for the Title box, e.g. Frame, Background colour, etc.

Set the Transparency to unchecked to see the Border.

E.g. Pattern
Patterns refers to the background pattern of the Title or Footer box.

The default is Clear. The selected Pattern will sit behind the Text.

Runtime:

e.g.

Chart1.Title.Brush.Style := bsFDiagonal;

Border
Adds a Border around the Titles (Title, Footer, Sub-Title and Sub-Footer) with the option of a Bevel effect and a Frame around it too.

E.g. Font
The Font button will grant access to the Font Dialog window which allows selection of Windows Fonts and definition of style (italic, bold, etc.) and colour.

Runtime:

Chart1.Foot.Font.Name := 'Times New Roman';
Chart1.Foot.Font.Style := [fsBold];

Text
Contains the Title Text appearance formatting characteristics.

e.g. Font The Font button will grant access to the Font Dialog window which allows selection of Windows Fonts and definition of style (italic, bold, etc.) and colour.

Gradient
Enable/disable a Background Gradient in the Title box.

Shadow
Adds a shadow to the Border around the Title, Footer, Sub-Title and Sub-Footer. .

Picture
An image can be used for the background to the Text box instead of a using colours. By applying Filters to the image, it can be modified so as to get the best result..

Legend Properties

Legend contents are dealt with in a later tutorial. In the Legend page of the Chart Editor you may define appearance aspects of the Legend. Important initial steps are to know how to control Legend alignment and visible properties, colour, font, frame, shadow, etc..

Style
Toggle On/Off Legend display and set Legend display content characteristics (inclusion of Checkboxes, etc).

Runtime:

Example using a Checkbox to control Legend display.

  Chart1.Legend.Visible := Checkbox1.Checked;

Dividing Lines
Used to draw lines within the Legend box between the Legend entries. TChartPen properties apply.

Runtime:

e.g.

Chart1.Legend.DividingLines.Visible := True;
Chart1.Legend.DividingLines.Color := clBlue;

Position
Sets the default display position or enables custom positioning of the Legend. TChart will change the shape of the Legend to fit the location. If the Legend is set to the side (left or right) of the Chart the contents of the Legend, by default, sit as a list from top to bottom. If the Legend sits below or above the Chart then the Legend contents are placed side by side. The default behaviour may be overridden by using the Resize Chart option and/or by using Custom positioning. See the Legend tutorial for more about custom positioning of the Legend.

E.g. ResizeChart
Resize Chart defines whether or not the Chart will leave space for the Legend when it paints. This allows the Legend to be placed within the Chart area.

Runtime:

e.g.

Chart1.Legend.ResizeChart := True;

%Top position
Defines the Legend box displacement from the top of the Chart Panel.

Runtime:

e.g.

Chart1.Legend.TopPos := 20;

Symbols
Size and formatting of the Legend symbols.

%Color width
Defines the width of the colour boxes within the Legend.

Runtime:

e.g.

Chart1.Legend.ColorWidth:=20;

Title
Defines the characteristics for the Legend title and Legend title box.

Runtime:

e.g.

With Chart1.Legend.Title do
  begin
    Font.Height:=14;
    Font.Color:= clBlue;
    Color:= clYellow;
    Shadow.Smooth:=true;
    BevelWidth:=4;
    TextAlignment:=taCenter;
  end;

Format
Contains the settings for the Legend box, e.g. Frame, Background colour, etc.

E.g. Shadow
Properties for the display of the Legend box Shadow. You may define the colour and size.

Runtime:

e.g.

Chart1.Legend.ShadowColor := clYellow;

Border
You may define Border independently or in conjunction with the Bevel properties. Mixing Bevel and Border and manipulating Width gives almost any combination of 3D effects.

Text
Text characteristics for the Legend text contents.

Runtime

  With Chart1.Legend do
  begin
    Color := clBlue;
    Font.Name := 'Times New Roman';
    Font.Color:=clYellow;
  end;

Gradient

Enable/disable a Background Gradient in the Legend box.

Shadow
Adds a shadow to the Legend Border.

Emboss
Adds a embossed effect to the Legend Border.

Picture
An image can be used for the background to the Legend box instead of a using colours. By applying Filters to the image, it can be modified so as to get the best result..

Panel Properties

The TeeChart Panel page allows you to set parameters which can greatly enhance the appearance of the Chart. Panel Gradient effects are best seen by monitors that support true colour but some colour combinations on 255 colour screens are very acceptable.

By now you are familiar with TeeChart properties so we won't run through all the properties here. Panel properties and methods may be accessed via the TChart component.

Key areas are:

Color
E.g. Panel Color
Color will paint the whole Chart background with the chosen color. If you select to view a background Gradient or Image, they will hide the Panel Color. If you set a Back colour it will replace the Panel colour within the Chart Frame only.

Border
You may define Border independently or in conjunction with the Bevel properties. With Border set to Visible True you will obtain a 'sunken' border effect on the outside of the Chart Panel. Mixing Bevel and Border and manipulating Width gives almost any combination of 3D effects.

E.g. Bevel Inner/Bevel Outer/Width
These properties will produce a variety of 3D effects on the Border of the Chart panel. Modify them at design time to see how they affect the Chart border bevels.

Margin
You can determine the Margin size around the Panel. Each Chart component has four margin properties: MarginLeft, MarginRight, MarginTop and MarginBottom.
Margins are defined as the distance between the Chart Border and the Chart Frame and are expressed as a percentage of the overall dimensions of the Chart Panel.
Default values are 4% for top and bottom margins and 3% for left and right margins.

Moving the spin boxes in the Chart Editor Margins box will show you at design time the effect of changing each Margin.

Runtime properties are:

Chart1.MarginTop
Chart1.MarginLeft
Chart1.MarginRight
Chart1.MarginBottom

The example applied in the demo project uses an UpDown button:

procedure TForm1.UpDown3Click(Sender: TObject; Button: TUDBtnType);
begin
  Chart1.MarginTop := 30 - UpDown3.Position;
end;

Gradient
To define a Gradient you must select a StartColor and EndColor (plus, optionally MidColor) and enable as Visible the Gradient. The Gradient will cover the whole Chart panel. Gradient direction defines the direction of colour change between Start, Mid and EndColor.

Runtime:

e.g.

  With Chart1.Gradient do
  begin
    StartColor := clBlue;
    EndColor := clWhite;
    Direction := gdTopBottom;
    Visible := true;
  end;

Shadow

You may also add a shadow to the outside of the Chart Panel when Shadow Visible is enabled. By adjusting the Colour, Size and Transparency, and in conjunction with Bevel and Border properties impressive 3D effects can be obtained.
Use negative values for the Vertical and Horizontal Sizes if you require shadows at the top or left of the Chart Panel respectively.

Image
You may select any bitmap (.bmp) file as a background Image. The Image may be centred, tiled or stretched on the Chart Panel, or may be restricted to the Chart Frame boundaries.

Runtime:

Use Image.LoadFromFile to add an Image to a Chart at runtime.

e.g.

if OpenPictureDialog1.Execute then
   Chart1.Image.LoadFromFile(OpenPictureDialog1.FileName);

Paging Properties

TeeChart paging allows a Chart to be divided into a set number of points per page and for the Chart to be leafed through. See the Paging tutorial for more information.

Walls Properties

There are 4 Walls: Left, Right, Bottom and Back, that may be represented in 2D or 3D.

Wall properties are accessible via:

TChart1.View3DWalls
TChart1.LeftWall
TChart1.RightWall
TChart1.BottomWall
TChart1.BackWall

Wall Border
The Border button takes you to the Pen definition for the TChartWall component . This is the same Pen as that available for many other TeeChart objects.

The visible property enables/disables display of the Border. In the case of the BackWall, where axes are Visible, the Wall Border will be hidden behind those axes so you will only see the result of enabling/disabling the Border if you hide some or all axes (e.g. Make axes Top and Right invisible to see the result of toggling the Wall Border visible property e.g. Chart1.BackWall.Pen.Visible := True;).

See Pen for other characteristics of the Border Pen. You can change these properties to see the result at design time.

3D

3D is extremely flexible in TeeChart Pro. You have the option to display the Chart as:

2D | Flat Chart, viewed from front
3D Orthogonal | 3D represented by vectored Lines to indicate depth
3D Native Windows | 3D using 3D Canvas with 360º Chart rotation
3D Open GL | 3D using Open GL Canvas with 360º Chart rotation. When OpenGL is enabled for the Chart, the Editor adds a new page for OpenGL options.

Editor options:

3 Dimensions
Selecting this property (toggling) will change the Chart from a 3D to a 2D Chart in design time and the setting will take effect for runtime.

3D %
Controls the depth of the 3D effect. Changing the value of this property will show you at design time the effect of changing the 3D percentage.

Runtime properties are:

3D visible

Chart1.View3D

3D%

Chart1.Chart3DPercent

The Orthogonal Option, when disabled, enables Windows Native 3D mode allowing you to Rotate, Elevate and offset the Chart. The Zoom option allows you to bring forward or move away the whole Chart. Zooming internally in the Chart on Data Series is still available at runtime.

© 1996-2011 Steema Software SL. All rights reserved.


Tutorial 3 - Chart Paging

If the data source for your Chart contains more data than can be legibly displayed on one Chart screen you may wish to divide the Chart into pages that can be leafed through. This can be achieved via the Chart Editor or programmatically.

Contents
Paging with the Chart Editor
Paging with the TChartPageNavigator component
Paging by code
Printing a multipage Chart
Print-previewing a multipage Chart

Paging with the Chart Editor

Page sizes may be defined with the Chart Editor. It will still be necessary to add paging buttons to your project or you could make the Chart Editor available at runtime to allow users to change pages with the Editor.

At design time, select the Paging page in the Chart Editor.

In the Points per Page: box, type (or scroll to) the number of Series points you wish to see on the Chart page. If you're coding the data values for the Series, the navigation buttons will not be highlighted until you run the project, populate the Series and show the Chart Editor at runtime. If you are connected to a Datasource you should see paging take effect immediately at design time.

Runtime:

To access paging properties via the chart editor at runtime use the EditChart or EditDBChart methods.

e.g. (You need to add EditChar and Editpro to the uses part of your project)

EditChart(Self, Chart1);

Paging with the TChartPageNavigator component

TeeChart Pro offers the TChartPageNavigator component for easy intuitive Chart page navigation, similar to existing navigators for database recordsets.

Set the Navigator's Chart property to the Chart Panel you wish to Page.

Paging by code

Paging properties and methods are available via the TChart component. See the Page property

Steps required to add paging to your Chart:

  1. Define Points per page

    2. Use MaxPointsPerPage to define the number of points to display on each page.

    e.g.

    Chart1.MaxPointsPerPage := 10;

  2. Add Navigation buttons to the Chart's Form.

    3. Example:

    First Page

    Chart1.Page := 0;

    Advance a page

    Chart1.NextPage;

    Go to a previous page

    Chart1.PreviousPage;

    Last Page

    Chart1.Page := Chart1.Numpages;
  3. Decide what to do with the last page.

    4. The last page is unlikely to have exactly the correct number of points to match the point quantity in the other Chart pages. You may choose to Scale the Last page which will 'best fit' the remaining points to the page, adjusting the axis scale accordingly, or you may treat the page as previous pages with the same number of points which may leave the last page rather empty if there are not many points on the page.

    Chart1.ScaleLastPage := False;   (default = True)

  4. Show the user a page number

    5. The TChart OnPageChange event may be used to show the user the existing page number. Here using a Label for the Page number:

    Label1.Caption := IntToStr(Chart1.Page) + ' of ' + IntToStr(Chart1.Numpages);

Printing a multipage Chart

To print a multipage Chart use the Chart PrintPages method.

procedure TPrintPagesForm.Button1Click(Sender: TObject);
begin
  With PrintDialog1 do
  begin
    FromPage:=1;
    ToPage:=Chart1.NumPages;
    MinPage:=FromPage;
    MaxPage:=ToPage;

    if Execute then
       Chart1.PrintPages(FromPage,ToPage);
  end;
end;

Print-previewing a multipage Chart

Multipage Charts may be print previewed whilst being navigated. Simply set the Previewer's Panel property to the Chart which you wish to view then use the TChartPageNavigator component to page the Chart.

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 4

Contents page
Previous | Next

Tutorial 4 - Axis Control

TeeChart Pro will automatically define all Axis labelling for you and offers plenty of flexibility to tailor any specific requirements you may have. TeeChart Pro offers true Multiple Axes. These are available at design or run time and offer countless possibilities and flexibility for Axis definition. See the section in this tutorial for more information.

Contents

Axes control - Key areas

Scales
Increment
Titles
Labels
Ticks
Axis position

Additional Axes

Copying axes
Multiple Custom axes

Axis events

OnClickAxis
OnGetAxisLabel
OnGetNextAxisLabel

Axes control - Key areas

Scales

Axis scales are set automatically when you add Series data to your Chart. You may change from the defaults at design time or at runtime by using Axis properties.

Automatic selects the best axis scale range to fit your data. If you turn Automatic off the Scales section will activate options and you can change Axis values. Important, remember to select the Axis that you wish to configure from the Axis menu on the left of the page.

Add a Line Series to a Chart add a Command Button with the following code:

procedure TForm1.BitBtn1Click(Sender: TObject);
var t: Integer;
begin
 For t := 0 To 40 do
   With Series1 do
   begin
     Add(Int(Random(t)), '', clRed);
   end;
end;

Running the code in the button will draw a Line Series with 40 random values.

Go to the Chart Editor at design time. Turn Automatic 'off' in the Bottom Axis scales section of the Axis page. You may now configure Maximum and minimum values for the Axis scale. Running the code again will show values depending on the values you configured for the Axis. Using the right mouse button you may scroll to see the remaining values.

Setting axis scales by code
You can change the Maximum and Minimum at runtime using this code:

With Chart1.Axes.Bottom do
begin
  Automatic := False;
  Maximum := 36;
  Minimum ;= 5;
end;

You may set Axis scale Maximum and Minimum to automatic individually. eg:

With Chart1.Axes.Bottom do
begin
  AutomaticMaximum := True;
  Minimum := 5;
end;

Increment

You may tailor the intervals for the Axis. Select the Desired Increment combobox from the Scales section of the Axis page and add the increment you require. You may change this by code at runtime:

Chart1.Axes.Bottom.Increment := 20;

Datetime data
If your data is datetime (You may set the data to datetime for your Series by going to the Series, General page), the Chart, Axis page and scales section will show a datetime range. Select the from the range shown in the Desired Increment combobox.
add some sample data

for t := 1 To 25 do
    Series1.AddXY(EncodeDate(1998, 4, t), Random(t), '', clRed);

Change the Increment at runtime:

 Chart1.Axes.Bottom.Increment := DateTimeStep[dtOneWeek];

See the Axis.ExactDateTime property for more information about date axis labelling.

Note

When changing axis label frequency, bear in mind that TeeChart will avoid label overlap according to the setting of the LabelsSeparation property. This means that if the label frequency is too high for the labels to fit, then TeeChart will allocate 'best fit'. Changing the label angle and label separation are 2 options that may help you fit the labels you require. See the Labels section and LabelsAngle property.

Titles

Titles are set in the Titles section of the Axis page. You may change the Title text for the Axis and its font. The angle may be selected from values 0, 90, 180, 270 degrees. For runtime see the TChartAxisTitle Component.

Labels

Note

When changing axis label frequency, bear in mind that TeeChart will avoid label overlap according to the setting of the LabelsSeparation property. This means that if the label frequency is too high for the labels to fit, then TeeChart will allocate a 'best fit'. Changing the label angle and label separation are 2 options that may help you fit the labels you require. See the Labels section and the LabelsAngle property.

Label formats
You may apply all standard number and date formats to Axis labels. The Axis page, Labels section contains the field "Values format". If your data is datetime the field name changes to "Date time format". In the Editor drag the help "?" icon onto the field to get a full listing of options. at runtime use:

Chart1.Axes.Bottom.AxisValuesFormat := '#,##0.00;(#,##0.00)';

//or for Datetime data

Chart1.Axes.Bottom.DateTimeFormat := 'dd/mmm/yy hh:mm:ss';

MultiLine labels
Axis labels can be displayed as multi-line text instead of a single line of text. Lines are separated using the TeeLineSeparator global constant, which by default is the carriage-return ascii character ( #13 ).

Example
//Add the Series labels in this way and apply 'Marks' as Axis labelling style

Series1.Add( 1234, 'New'+TeeLineSeparator+'cars' , clRed );
Series1.Add( 2000, 'Old'+TeeLineSeparator+'bicycles' , clBlue );
Example for DateTime labels:

The following will show the Bottom Axis labels in two lines of text, one showing the month and day, and the second line showing the year:
Feb-28 Mar-1 .. 1998 1998 ..

Series1.AddXY( EncodeDate( 1998,2,28 ), 100 );
Series1.AddXY( EncodeDate( 1998,3,1 ), 200 );
Series1.AddXY( EncodeDate( 1998,3,2 ), 150 );

Series1.XValues.DateTime := True;

Chart1.Axes.Bottom.DateTimeFormat := 'mm/dd hh:mm';   { <-- space }

If you set the LabelsMultiLine property to True, the axis will automatically split labels into separate lines where spaces are found.

Chart1.Axes.Bottom.LabelsMultiLine:=True;

Dividing the Label into two:

'mm/dd' for the first line
'hh:mm' for the second line

At run-time you can always split the label into lines programmatically, using the OnGetAxisLabel event:
procedure TForm1.Chart1GetAxisLabel(Sender: TChartAxis;
  Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
var s:string;
begin
    s:='abc'+TeeLineSeparator+'def';
    LabelText:=ReplaceChar(s,' ',TeeLineSeparator);
end;

The axis LabelsAngle property ( label rotation in degree angles 0, 90, 180 or 270 ), can also be used with multi-line axis labels.

Customising Axis labels
Further Label control may be obtained by using Axis events. The events permit you to activate/deactivate/change any individual Axis label. The following example modifies each Label, putting a textual phrase in front of the point index value.

//set LabelStyle to 'Mark' with the TChart editor or use:-
Chart1.Axes.Bottom.LabelsStyle := talMark;

//OnGetaxisLabel event
procedure TForm1.Chart1GetAxisLabel(Sender: TChartAxis;
  Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
begin
 if Sender = Chart1.Axes.Bottom then
    LabelText := 'Period ' + IntToStr(ValueIndex);
end;

See the section entitled Axis events for more information about customising labels with Axis events.

Ticks

There are 3 tick types. You can change the length, width and colour of each tick type. If the tick width is set to 1 (default) then you may change the style to one of several line types (dot, dash, etc.). Style will be ignored if width is greater than 1.

With Chart1.Axes.Bottom do
Begin
  TickLength := 7;
  Ticks.Color := clGreen;
  MinorTickCount := 10; //change number of minorticks between (major) Ticks
end;

Axis position

Axes have a property which modifies where each axis is to be located. In this example, the axis is moved to 50% of the total Chart width, so it is shown at the chart center:

Chart1.Axes.Left.PositionPercent := 50 ;

Additional Axes

Copying axes

TeeChart offers 5 axes to be associated with data Series: Left, Top, Bottom, Right and Depth. When you add a new series to a Chart you may define to which of the axes the Series should be related (Go to the Series tab, General page). You may repeat any one (or all) of the 4 front axes at any place on the Chart by using the Axis Customdraw method. Note that this method makes a copy of your Axis, it does not add a new Custom Axis. See the next section, Multiple Custom Axes, for more information.

You will find this example, called "CustAxisProject1", with the TeeChart sample code:

//fill the Series for this example with random data
procedure TForm1.BitBtn1Click(Sender: TObject);
Var t:integer;
begin
  For t := 0 To 20 do
    Series1.AddXY(t, Random(100) - Random(70), '', clRed);
end;

//Put this code in the OnBeforeDrawValues() event:
procedure TForm1.Series1BeforeDrawValues(Sender: TObject);
var posaxis :Integer;
begin
  With Chart1 do
  begin
    If Axes.Left.Maximum > 0 Then
    begin

      //When scrolling or on zoom always keep the gridlines enclosed in the Chart rectangle
      Canvas.ClipRectangle(ChartRect);

      //Always draw the 2nd vertical Axis at the middle point of the Chart
      posaxis := (ChartRect.Left) + (ChartRect.Right - ChartRect.Left) div 2;
      Axes.Left.CustomDraw(posaxis - 10, posaxis - 20, posaxis, True);

      //Draw the 2nd Horizontal axis at the level of "10" on the vertical axis
      posaxis := (Axes.Left.CalcYPosValue(10));
      Axes.Bottom.CustomDraw(posaxis + 10, posaxis + 40, posaxis, True);

      Canvas.UnClipRectangle;
    end;
  end;
end;
Custom axes

In this example, TeeChart will plot the New axes, one horizontal and one vertical in the centre of your Chart. When you scroll the Chart (dragging with right mouse button), the new vertical axis will always remain central to the Chart, the new horizontal axis will move up and down with vertical scrolling. The new axes are exact copies of the default axes.

Multiple Custom Axes

Together with the PositionPercent and stretching properties, it’s possible to have unlimited axes floating anywhere on the chart. Scroll , zoom , and axis hit-detection also apply to custom-created axes. Creating extra axes is now possible both at designtime via the Chart Editor and at runtime via a few lines of code:

Via the Chart Editor
TeeChart offers you the ability to create custom axes at designtime enabling them to be saved in TeeChart's tee file format. To achieve this, open the Chart Editor and click on the Axis tab and then select the "+" button to add a Custom Axis. Then select the Position tab making sure you have your new Custom Axis highlighted. The Horizontal checkbox on this page allows you to define your new Custom Axis as an horizontal axis or to leave it as the default vertical axis. The rest of this page and the other tabs in the Axis page can be used to change the Scales, Increment, Titles, Labels, Ticks, Minor Ticks and Position of the Custom Axis as explained above. To associate this new Custom Axis with the Data Series you desire select the Series tab and go to the General page where the dropdown Comboboxes 'Horizontal Axis' and 'Vertical Axis' will enable you to select your new Custom Axis depending on whether you previously defined it as vertical or horizontal.

Via Code

Example
procedure TForm1.BitBtn2Click(Sender: TObject);
Var MyAxis : TChartAxis ;
begin
  MyAxis := TChartAxis.Create(  Chart1 );
  Series2.CustomVertAxis := MyAxis;

  //You can modify any property of the new created axes, such as the axis color or axis title
  With MyAxis do
  begin
    Axis.Color:=clGreen ;
    Title.Caption := 'Extra axis' ;
    Title.Font.Style:=[fsBold];
    Title.Angle := 90;
    PositionPercent := 20; //percentage of Chart rectangle
  end;
end;

You are able to then position the new Axis in overall relation to the Chart by using the StartPosition and EndPosition properties.

StartPosition:=50;
EndPosition:=100;

These figures are expressed as percentages of the Chart Rectangle with 0 (zero) (in the case of a vertical Axis) being Top. These properties can be applied to the Standard Axes to create completely partitioned 'SubCharts' within the Chart.

Example
  With Chart1.Axes.Left do
  begin
    StartPosition:=0;
    EndPosition:=50;
    Title.Caption:='1st Left Axis';
    Title.Font.Style:=[fsBold];
  end;

The above 2 coded examples when combined with the following data:

var t: integer;
begin
  for t := 0 to 10 do
  begin
    Series1.AddXY(t,10+t,'',clTeeColor);
    if t > 1 then
      Series2.AddXY(t,t/2,'',clTeeColor);
  end;

...will show the following Chart:

Multiple axes

Another technique for adding Custom Axes would be the following which uses the Axis List as the focal point by using the List Add then by accessing the Axis by Index:

//Add data to Series:
procedure TForm1.FormCreate(Sender: TObject);
begin
  Series1.FillSampleValues(10);
  Series2.FillSampleValues(10);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
 tmpVertAxis: TChartAxis;
 tmpHorizAxis: TChartAxis;
begin
  {Add vertical Axis}
  Chart1.CustomAxes.Add;
  tmpVertAxis:=Chart1.CustomAxes[0];
  tmpVertAxis.PositionPercent:=50;
  Series1.CustomVertAxis:=tmpVertAxis;

  {Add horizontal Axis}
  Chart1.CustomAxes.Add;
  tmpHorizAxis:=Chart1.CustomAxes[1];

  tmpHorizAxis.Horizontal:=True;
  tmpHorizAxis.Axis.Color:=clGreen;
  tmpHorizAxis.PositionPercent:=50;
  Series1.CustomHorizAxis:=tmpHorizAxis;
end;

Options are limitless! We advise caution when using Custom Axes as it is easy to start filling the screen with new axes and to lose track of which one you wish to manage !

Axis events

Axis events offer runtime flexibility to modify Axis Labels and offer interactivity to the user on Axis Clicks.

OnClickAxis

See the OnClickAxis event.

Example

procedure TForm1.Chart1ClickAxis(Sender: TCustomChart; Axis: TChartAxis;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  //Shows Axis point clicked when click on Bottom Axis.

  if Axis = Chart1.Axes.Bottom Then
     ShowMessage('Clicked Bottom Axis at '  + FloatToStr(Chart1.Axes.Bottom.CalcPosPoint(X)));
end;

OnGetAxisLabel

Can be used to modify Axis Labels. See the OnGetAxisLabel event.

Example

procedure TForm1.Chart1GetAxisLabel(Sender: TChartAxis;
  Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
begin
  if Sender = Chart1.Axes.Bottom Then
     Case StrToInt(FormatDateTime('mm', StrToDate(LabelText))) of
       1,2,3 : LabelText := '1st Qtr';
       4,5,6 : LabelText := '2nd Qtr';
     end;
end;

OnGetNextAxisLabel

Can be used to decide which Axis Labels should be displayed. See the OnGetNextAxisLabel event. You should use the Stop Boolean property to include/exclude Axis Labels.

Example

procedure TForm1.Chart1GetNextAxisLabel(Sender: TChartAxis;
  LabelIndex: Integer; var LabelValue: Double; var Stop: Boolean);
begin
  Stop:=False;

  if Sender = Chart1.Axes.Bottom Then
  begin
    if LabelValue>=5 then LabelValue:=LabelValue+5
                     else LabelValue:=5;
  end
  else
    Stop:=True;

end;

The above example will start labelling at '5' on the Bottom Axis labelling every 5 points. Other Axes' Labels are unaffected.

© 1996-2011 Steema Software SL. All rights reserved.


Tutorial 5 - Legend design

See TeeChart coded Legend example in the Examples folder below your TeeChart installation folder for a working example of some of the techniques outlined in this Tutorial.

Contents

Legend control

Style Tab
Positioning the Legend
Number of rows in a horizontal Legend
Colour box modification

Customising Legend content at runtime

OnGetLegendRect event
OnGetLegendText event
OnGetLegendText event
OnClickLegend event

Legend control

Style tab

Legend parameters are accessible via the Chart Editor, Chart tab, Legend page.

Legend parameters. See Legend component help for more information

Legend Style
Legend default Style "Automatic" will put Series point values in the Legend when there is only one Series in the Chart. When the Chart contains more than one Series, "Automatic" will put Series names in the Legend. In the Editor, use the Dropdown Combobox to obtain values other than the default. If you change the Legend Style to display values and there is more than one Series in your Chart, TeeChart Pro will display the values of the first Series. You may modify the display using custom options. See Customising Legend content at runtime

Chart1.Legend.LegendStyle := lsLastValues;

//Puts the last value of each Series in the Legend box

Text Style
See the TextStyle property for a list of possible Legend text styles. The Text Style formats the Series entry in the Legend (e.g. Showing value as a percentage of total, etc).

Positioning the Legend (Position tab options)

Alignment
There are 4 default positions available using the Alignment property, Top, Bottom, Left and Right. Right is the default position. The default positioning of the Legend will always be outside the Chart. See the section about customising Legends for more information about positioning Legends.

Resize Chart
The Resize Chart property, when not enabled, will draw the legend within the Chart frame area. Whilst this may be satisfactory for some Legend positioning requirements, better control of Legend positioning in relation to the Chart frame can be achieved by using the Legend HorizMargin and VertMargin properties.

HorizMargin & VertMargin
Horizmargin applies to Left and Right aligned Legends. VertMargin applies to Top and Bottom aligned Legends. Changing the Horizmargin property value will move the Chart frame in relation to the Legend, NOT vice versa. Thus, making a Horizmargin value negative will move the Chart over the Legend (increasing the size of the Chart rectangle area). However, the properties are not intended for repositioning of the Legend over the Chart, to achieve this it is better to use the techniques outlined in Customising Legend content at runtime.

Custom position
Set the Legend CustomPosition property to true then set the Top and Left pixel co-ordinates of the Legend to custom position it.

Example

  With Chart1.Legend do
  Begin
    CustomPosition:=True;
    Top:=100;
    Left:=100;
  end;

Number of rows in a horizontal Legend

When the Legend is aligned horizontally (top or bottom), the number of rows can be specified:

Chart1.Legend.MaxNumRows:=3;

By default, MaxNumRows is 0 (zero), meaning the Legend will show all values using as many rows as necessary.

Colour box modification (Symbols tab of Editor)

Use the Colorwidth property to set the width of the colour boxes in the Legend.

Example

  With Chart1.Legend do
  Begin
    //move the colour boxes to the right of the value list
    Symbol.Position:=spRight;

    //set the boxes as continuous
    Symbol.Continuous:=True;

    //Make the boxes wider
    Colorwidth:=40;
  end;

  //Hide the Pen of the line between the boxes
  //The line depends on the Series itself (here a Line Series)

  Series1.LinePen.Visible:=False;

Customising Legend content at runtime

Legend events offer the option to completely control the Legend appearance and content.

OnGetLegendRect event

The Legend outer rectangle, permits changes to the overall size and position of the Legend box. Use in conjunction with OnGetLegendPos to reposition the Chart Legend and contents.

eg. You would use CustomPosition to achieve the following move more seamlessly (see section above)
procedure TForm1.Chart1GetLegendRect(Sender: TCustomChart; var Rect: TRect);
begin
  //This moves the Legend box to the left (leaving the contents where they were !)
  //Set Chart1.Legend.ResizeChart := False; to disable resizing of the Chart
  //thus placing the Legend inside the Chart rectangle
  Rect.Left := Rect.Left - 100;
  Rect.Right := Rect.Right - 100;
end;

OnGetLegendPos event

Modifies the position of the contents of the Legend. The following example could be used with the code above to move Legend contents to the new Legend rectangle.

procedure TForm1.Chart1GetLegendPos(Sender: TCustomChart; Index: Integer;
  var X, Y, XColor: Integer);
begin
  //Moves the Legend contents to the left by 100 pixels use with OnGetLegendRect
  //Does not move colour boxes.
  X := X - 100;
end;

OnGetLegendText event

Modifies the text of the Legend contents.

procedure TForm1.Chart1GetLegendText(Sender: TCustomAxisPanel;
  LegendStyle: TLegendStyle; Index: Integer; var LegendText: String);
begin
  //Modify Legend text
  LegendText := LegendText + IntToStr(Index);
end;

When placing the Legend within the Chart rectangle area, bear in mind that the Legend paints before Series and Axes and will appear below either of those at any intersection point.

OnClickLegend event

Picks up a Legend item when clicking on the Legend.

procedure TForm1.Chart1ClickLegend(Sender: TCustomChart;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Var tmp:Integer;
begin
  tmp:=Chart1.Legend.Clicked( x,y ) ;

  if tmp<>-1 then
     ShowMessage( 'Clicked legend item: '+ Chart1.FormattedLegend( tmp ) );
end;

© 1996-2011 Steema Software SL. All rights reserved.


Tutorial 6 - Working with Series

Contents

Series Types

Series Class structure
Choosing a Series Type
Adding data to a Series
Deleting data points from a Series
Adding Null points to a Series

Mixing Series Types on a Chart

Adding New Series
Choose Axes for a Series
Connecting Series
Changing Series order

Series Value list

Accessing Series Values
Example using Values

Series Types

The TChartSeries component is the common ancestor for all Series types.

Series Class structure

As a little background on the structure of the TeeChart Component Library, here follows an explanation of the Series Components and their structure. The diagram below shows the relationship between TeeChart Series classes. All classes derive from the generic "TChartSeries" class and thus share "Series" properties and methods. Several other generic Classes derive from Series (CustomSeries, CustomBarSeries and CircledSeries), these are highlighted in green and their components are not directly accessible for programming, their characteristics are inherited by their descendant Series types. All derived Series (in red) are accessible in the TeeChart gallery for inclusion in your Chart. TeeChart Series, derived in this way, allow programmable access via a common index structure (collection).

TeeChart Pro's internal Series Class hierarchy

It's easier to use the TChart Editor to add Series at design time but you can also create and add new and differing Series types to the same Chart at runtime.

//You could add the Series at runtime
procedure TForm1.Button2Click(Sender: TObject);
var tmpAreaSeries:TAreaSeries;
begin
  tmpAreaSeries:=TAreaSeries.Create(self);

  With tmpAreaSeries do
  begin
    ParentChart:=Chart1;
    FillSampleValues(10);
  end;
end;

All AreaSeries properties and methods are available for the new Series as for any Series created at design time.

Choosing a Series Type

Choosing a Series Type for a Chart will very much depend on your own requirements for the Chart. There are occasions, however, where the choice of Chart depends on which Series types support the number of input variables because of the high number of variables to plot. The following table shows the number of variables allowed by some different Series types. For the brevity of this tutorial we haven't included all the possible Series types offered with TeeChart.

Series Type | No. of variables | Datasource Properties
Standard |  |
Line | 2 | XValues, YValues, XLabel
Bar | 2 | XValues, YValues (called Bar), XLabel
HorizBar | 2 | XValues, YValues (called Bar), XLabel
Area | 2 | XValues, YValues, XLabel
Point | 2 | Xvalues, YValues, XLabel
Pie | 1 | PieValues, XLabel
Fast Line | 2 | XValues, YValues, XLabel
Horiz. Line | 2 | XValues, YValues, YLabel
Horiz. Area | 2 | XValues, YValues, XLabel
Shape | 4 | X0 (Top), Y0 (Bottom), X1 (Left), Y1 (Right)
Bubble | 3 | Xvalues, YValues, XLabel, RadiusValues
Gantt | 3 | StartValues, EndValues, AY (Y axis level), AXLabel (Label optionally shown on Y-axis or as mark)
Extended |  |
Arrow | 4 | StartXValues, StartYValues, XLabel, EndXValues, EndYValues
Polar | 2 | XValues, YValues, Labels (Polar has Angle and Radius)
Radar | 2 | XValues, YValues, Labels (Radar has Angle and Radius)
Bezier | 2 | XValues, YValues, XLabel
Donut | 2 | Angle, YValue, Labels
Smith | 2 | Resistance, Reactance, Labels
Pyramid | 3 | XValues, YValues, XLabel, ErrorValues
Financial |  |
Candle | 5 | OpenValues, CloseValues, HighValues, LowValues, DateValues
Point & Figure | 5 | OpenValues, CloseValues, HighValues, LowValues, DateValues
Volume | 2 | XValues, YValues (VolumeValues), XLabel
Stats |  |
Histogram | 2 | Xvalues, YValues, XLabel
Error Bar | 3 | XValues, YValues, XLabel, StdErrorValues
Error | 3 | XValues, YValues, XLabel, StdErrorValues
High-Low | 3 | XValues, YValues, XLabel, LowValues
Box Plot | 3 | XValues, SamplesValues, Label
Horizontal Box Plot | 3 | XValues, SamplesValues, Label
Funnel | 3 | XValues, QuoteValues, OpportunityValues, XLabel
3D |  |
Surface | 3 | Xvalues, YValues, ZValues
Contour | 3 | XValues, YValues, ZValues, XLabel
Waterfall | 3 | Xvalues, YValues, ZValues
ColorGrid | 3 | XValues, YValues, ZValues
Tower | 3 | XValues, YValues, XLabel, ZValues
Point3D | 3 | XValues, YValues, XLabel, ZValues
Triangle Surf. | 3 | Xvalues, YValues, ZValues
Other |  |
Clock | 2 | Angle, YValues, Labels
Line Point | 2 | XValues, YValues, XLabel
Bar Join | 2 | Xvalues, YValues, XLabel
Bar3D | 3 | XValues, YValues, YStartPoint, XLabel
WindRose | 2 | Angle, YValues, Labels
Calendar | 2 | XValues, YValues, Labels
Gauges |  |
Gauge | 1 | Value

Labelling can be used to extend the value of a 2 variable Series Type. See the example below that uses 3 instances of the Bar Series type in the same Chart.

Example

Uses Bar Series types

Product code | Month | Quantity produced
10 | Jan | 300
10 | Feb | 325
10 | Mar | 287
12 | Jan | 175
12 | Feb | 223
12 | Mar | 241
14 | Jan | 461
14 | Feb | 470
14 | Mar | 455

In its simplest form, the data produces the following Chart, grouping the information by month:

or (grouping by product):

We have added new values to the table above (Stock).

Product code | Month | Quantity produced | Stock level
10 | Jan | 300 | 600
10 | Feb | 325 | 715
10 | Mar | 287 | 676
12 | Jan | 175 | 245
12 | Feb | 223 | 270
12 | Mar | 241 | 315
14 | Jan | 461 | 800
14 | Feb | 470 | 755
14 | Mar | 455 | 835

The values of stock are generally higher than those of monthly production so displaying them gives the following chart (2D this time). The Chart uses Line Series to differentiate Stocks.

Adding data to a Series

Most Series types (other than ODBC datasources Tutorial 8 and Functions Tutorial 7) use the Add and ADDXY methods for adding data. There are some exceptions, see the following table for examples of how they can differ:

Series Type | Add Series points | Delete Series points
Standard Series types |  |
Line | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Horiz Line | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Fast Line | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Bar | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
HorizBar | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Area | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Point | Series.Add Series.AddXY Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Pie | Series.Add Series.AddNull | Series.Delete Series.Clear
Arrow | ArrowSeries.AddArrow Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Bubble | BubbleSeries.AddBubble Series.AddNull Series.AddNullXY | Series.Delete Series.Clear
Gantt | GanttSeries.AddGantt GanttSeries.AddGanttColor | Series.Delete Series.Clear
Shape | ShapeSeries.X0, ShapeSeries.Y0, ShapeSeries.X1, ShapeSeries.Y1 | TChart.RemoveSeries (TCustomAxisPanel) (Each Shape is a unique Series)

Colour

Colour may be manually added for a point when adding the point

Example

Series1.Add(46, 'My first value', clYellow);

Alternatively use the TeeChart constant clTeeColor, telling TeeChart to allocate a colour. TeeChart will choose one of up to 16 unique and as yet unused colours for each new Series.

Example

Series1.Add(46, 'My first value', clTeeColor);

Deleting data points from a Series

Use Series.Delete to delete a point from a Series.

Example

Series1.Delete(7); //(8th point - Points index start at zero)

Series.Clear clears all points from a Series.

Adding Null points to a Series

See the table Adding data to a Series for a list of Series Types that support the AddNull method. As the name suggests, AddNull will add a Null point to the Series allowing you to define a label for the point but leaving a break in the Series at that point. In the case of a Line Series, the last point before the break will not join to the first point after the break. See Series.AddNull.

example

Series1.AddNull('my null value');

Mixing Series Types on a Chart

TeeChart Pro offers an empty Chart Canvas as a backdrop to data Series. That means that no Chart types are predefined. You define the Chart type you require as a mix of the Series Types that you wish to display. Due to the specialised nature of some Series types it is impractical to mix a few of the Series types together on a Chart. TeeChart helps you by greying out unsuitable Series types in the Chart Gallery when you come to add a new Series. There is no practical limit to the number of Series that you can put in one Chart.

Adding New Series

Add a Series using the Chart Editor (see Tutorial 1) or by code.

Example

procedure TForm1.Button2Click(Sender: TObject);
var tmpLineSeries:TLineSeries;
begin
  tmpLineSeries:=TLineSeries.Create(self);
  Chart1.AddSeries(tmpLineSeries);
  tmpLineSeries.FillSampleValues(10);
end;

Choose Axes for a Series

Series added to the Chart will automatically take the Left and Bottom axes as their reference axes. You may change the reference axes in the Chart Editor by selecting the Series General page for the relevant Series. There are 4 axes available, Top, Left, Bottom and Right. By code, changing the axes will look like this:

With Series1 do
begin
 HorizAxis := aTopAxis;
 VertAxis := aRightAxis;
end;

More than 1 Series may be associated with each Axis. TeeChart will decide the best scale to fit the Series matched to the Axis but you may change Axis scales yourself (See the Axis Tutorial). Additional axes may be added, they will copy the scales associated with their counterparts from the first 4 axes (see the Tutorial section Additional axes).

Connecting Series

You may use a Series as the datasource for another Series. This can be done with the Chart Editor by setting the datasource for the 2nd Series. Go to the Series tab, Datasource page. Select 'Function' as the datasource type. Two Listboxes will appear, available Series and Selected Series. Select the Series you wish to use as the datasource for the present Series, then, in the Combobox above, entitled Function:, select Copy as the function type. Note that any Series, in this way, may be defined as a function of other Series and the Function Type may be any in the list available in the Function combobox. To do the same by code see below:

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
 With Series2 do
 begin
   Datasource:=Series1;
   SetFunction(TAverageTeeFunction.Create(Self));
   FunctionType.Period := 4;
   CheckDatasource;
 end
end;

See tutorial 7 - Working with Functions for more information about how to use TeeChart functions.

Changing Series order

Changing series order is very easy with the Chart Editor. Go to the front page of the Editor and highlight the Series that you wish to move. Use the arrow buttons on the right to move the Series up or down in the Series order. Series order will decide the relative display position of the Series in the Chart with respect to other Series. By code use the SeriesList property or the ExchangeSeries method.

Example
Chart1.ExchangeSeries(0, 1);  //Change Series(0) with Series(1) in the index order

*Note. After exchanging Series, the index for the Series will be changed. Thus the line of code above will perpetually interchange the 2 Series '0' and '1' if the code is rerun, as 0 becomes 1 and 1 becomes 0.

Setting a Series to 'Active:=False' will hide the Series from the Chart but maintain its data content intact.

Series Value list

TeeChart Series store their values in a Valuelist accessible and modifiable via the TChartValueList component.

Accessing Series Values

You may access any value in the list:

Example

ShowMessage(FloatToStr(Series1.XValues[3]));
//Displays value of 4th point (index starts at 0) in Series1

Values accessed in this way may be used to set trap conditions on Series data:

 With Series1 do
 begin
   For t := 0 To Count - 1 do
   begin
     If YValues[t] > 9 Then
       ShowMessage('Value: ' + FloatToStr(XValues[t])
       + ', ' + FloatToStr(YValues[t]) + ' exceeds limit');
   end;
 end;

The same value may be obtained via the point ValueIndex used by some Series methods and several Chart events.

Example

procedure TForm1.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Showmessage('ValueIndex is: ' + IntToStr(ValueIndex));
  Showmessage('Point''s Y value is: ' + FloatToStr(Sender.YValues.Value[ValueIndex]));
  Chart1.CancelMouse:=True;  //Use CancelMouse to prevent Zoom event activating
end;

Note
When clicking on 3D Series, only clicks on the front plane will be recognised as Series clicks.

Example using Values

This code modifies the value of a BarSeries Bar according to the user's mouseclick.

Example

//Use the OnClickSeries or OnClickBackground event to determine where the user has clicked.

procedure TForm1.Chart1ClickBackground(Sender: TCustomChart;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
If (Int(Chart1.Axes.Bottom.CalcPosPoint(X)) > -1) Then
  Case Ord(Button) of
  0 : UpdatePoint(Chart1.Axes.Bottom.CalcPosPoint(X), Chart1.Axes.Left.CalcPosPoint(Y));
  end;
end;

procedure TForm1.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  UpdatePoint(ValueIndex, Chart1.Axes.Left.CalcPosPoint(Y));
  Chart1.CancelMouse:=True;  //Use CancelMouse to prevent Zoom event activating
end;

In both cases call the UpdatePoint Sub routine to modify the Bar's value:

Procedure TForm1.UpdatePoint(Bar, Y : Double);
begin
  If Round(Bar) < Series1.Count Then
  begin
    Series1.YValues[Round(Bar)] := Int(Y);
    Chart1.refresh;
  end;
end;

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 7

Tutorial 7 - Working with Functions

Contents

Function Types

Function characteristics
Adding a Function
Defining a datasource
Function Period
Function Period Align
Deriving custom functions (VCL only)

Function Types

Function characteristics

A TeeChart Pro Function is a Series, that can be of almost any Series Type, to which an algebraic function is applied and for which the datasource is another Chart Series.

All Functions derive from the TTeeFunction Component and inherit TeeFunction's Period property.

TeeChart Pro includes the following list of predefined functions. Please see the TeeChart Editor Gallery and Helpfile for a full list of all Function Types:

Function Type | No. of inputs | Description
Add | Unlimited | Plots sum of inputs
Average | Unlimited | The Average Function will calculate the average of every group of Period points
Bollinger | 1 | The Bollinger Function uses simple or exponential moving average to constructs Bollinger Trading Bands
Copy | 1 | A direct copy of the input Series
Curve Fitting | 1 | Draws fitted polynomial through data inputs using the TypeFitting formula
Divide | Unlimited | The Divide Function plots inputs divided in descending order of inclusion
Exponential Average | 1 | Exponential average based on Weight
Exponential Moving Average | 1 | Exponential moving average based on Weight
Exponential Trend | 1 | Draws best exponential trend line through points in input series
High | Unlimited | The High Function plots high point of inputs
Low | Unlimited | The Low Function plots low point of inputs
MACD | 1 | Moving Average Convergence Divergence
Momentum | 1 | Each Y value is the current point's Y value less the last Period point's Y value
Momentum Division | 1 | Each Y values is the current point's Y value divided by the last Period point's YValue, expressed in percents
Moving Average | 1 | The Moving Average Function will calculate the simple or weighted average of every group of Period points
Multiply | Unlimited | The Multiply Function plots value of inputs multiplied
Root Mean Square | Unlimited | The Root Mean Square Function plots RMS value of inputs
Relative Strength Index | 1 | RSI Function calculates a percent value based on financial data. Depending on TRSISyle type different formula will be used to calculate RSI value
Standard Deviation | 1 | Maps the Standard Deviation (or Complete Standard Deviation) of every group of Period points
Stochastic | 1 |
Subtract | Unlimited | Plots value of inputs subtracted in descending order of inclusion
Trend | 1 | Draws best trend line through points of input Series

Several Function types support only one input Series. However it is possible to chain link Functions, thus, for example, taking the average of several Series in your Chart to create an Average Function Series, then identify the Trend of the average by using the Average Function as the input to the Trend Function.

Adding a Function

With the Chart Editor, on the First Chart page, select the Add button as if to add a new Series to the Chart. In the TeeChart Gallery choose the Functions tab to select the Function you require. Each Function is presented as a Line Series, you may change the Series Type associated with the Function later by choosing the Change button on the first Chart Page. Function definitions are easily changed afterwards on the Datasource page of the Function Series. Here, just as easily, you may change the definition of a normal Series that you have added to the Chart to that of a Function (Function is really a definition of datasource, not a definition of Series Type).

The image below shows the Datasource page when editing a Function. The Line Series (Name "Series2", Title "Average") is defined. The left listbox at the bottom of the Datasource page shows other Series in the Chart available for input (here "Series1").

Assuming we start with a completely empty Chart here are the steps in code to build a simple Series-Function related Chart.

procedure TForm1.BitBtn5Click(Sender: TObject);
var tmpBarSeries1,
    tmpBarSeries2 : TBarSeries;
    tmpLineSeries : TLineSeries;
begin
  //Add 2 data Series

  tmpBarSeries1:=TBarSeries.Create(Self);
  tmpBarSeries2:=TBarSeries.Create(Self);

  AddSeries(tmpBarSeries1);
  AddSeries(tmpBarSeries2);

  //Populate them with data (here random)
  tmpBarSeries1.FillSampleValues(10);
  tmpBarSeries2.FillSampleValues(10);

  //Add a series to be used for an Average Function
  tmpLineSeries:=TLineSeries.Create(Self);
  AddSeries(tmpLineSeries);

  //Define the Function Type for the new Series
  tmpLineSeries.SetFunction(TAverageTeeFunction.Create(Self));

  //Define the Datasource for the new Function Series
  //Datasource accepts the Series titles of the other 2 Series
  tmpLineSeries.DataSources.Clear;
  tmpLineSeries.DataSources.Add( tmpBarSeries1 );
  tmpLineSeries.DataSources.Add( tmpBarSeries2 );

  //    *Note - When populating your input Series manually you will need to
  //    use the Checkdatasource method
  //    - See the section entitled 'Defining a Datasource'
  //Change the Period of the Function so that it groups averages
  //every 2 Points

  tmpLineSeries.FunctionType.Period := 2;
end;

We can add another Function to tell us something about the previous Function

procedure TForm1.BitBtn6Click(Sender: TObject);
var tmpHighLine : TLineSeries;
begin
   //Add another Series to be used for a 2nd Function

   tmpHighLine:=TLineSeries.Create(Self);
   AddSeries(tmpHighLine);

   //Define the Function Type for the new Series

   tmpHighLine.SetFunction(THighTeeFunction.Create(self));

   //Define the Datasource for the new Function Series
   //Use the existing Function (tmpLineSeries) as input
   //You should declare tmpLineSeries globally to the module
   //if you wish to use it between procedures

   tmpHighLine.DataSource := tmpLineSeries;

   //Leave the Period at default 0 (No Period set) to draw
   //A line at Highest of all points of the Average Function
end;

Defining a datasource

The examples in the previous section highlight the use of Datasource for poulating a Function by code. Series use Datasource for defining the input for a Function or to define a Series TDataset datasource (see the Tutorial about accessing databases).

Using the Chart Editor, after adding a Function, the Function Series' Datasource page will show a list of available series for inclusion in the function definition. Here you may change the Function Type you wish to apply to the Series and select Series from the Left listBox "Available" and add them to the right Listbox,"Selected".

Datasource by code uses the Series.Datasource property.

Example

Suppose we have 2 data Series in a Chart. We Use the Chart Editor to add a Function composed of the average of the 2 Series:

We add points to the 2 Series:

var t : Integer;

For t := 0 To 10 do
begin
  Series1.Add(2 * t);
  Series2.Add(3 * t);
end;

Notice that the Function doesn't display. You need to use the Series.CheckDatasource method to read in values for the Function.

Series3.CheckDataSource; //Read in data for Function

Function definition may be changed at runtime using the Setfunction method to allocate a new Function to the Series.

Series3.Setfunction(TMovingAverageFunction.Create(self));

with the above line of code, Setfunction changes the Function for Series3 to a Moving Average.

Function Period

Period is an important property for working with Functions as the Period defines the range of points across which a Function is cyclically applied.

Example

We have 6 data points (eg. bars of a Bar Series) with values:

3, 8, 6, 2, 9 and 12

We define a Function Series with Period 0 (default) the average drawn is:

6.667

With Period set to 2 we get 3 values of average as output from the function:

5.5, 4 and 10.5

These values will plot centrally in their period range, ie. The 1st value between bars 1 and 2 of the input series, 2nd value between bars 3 and 4, etc..

You may define Period by selecting the function in the Chart Editor or you may modify Period at runtime using FunctionType.

Eg. Where Series 2 is the function series:

 Series2.FunctionType.Period:=2;

Below are 2 Charts that highlight the effect of an applied Period

Function Period Aligment

When the function "Period" is greater than zero (so it calculates by groups of points),the function results are added to the series by default at the "center" position of the Function Period. The PeriodAlign property controls "where" to place function calculations inside the full period space.

TeeFunction1.PeriodAlign := paCenter ; { <-- by default it is centered }

The "paFirst" and "paLast" constants will plot calculations at the start and end "X" coordinates of each "Period". Every blue point shows the "average" using all points between the first day and the last day of the month.

PeriodAlign = paLast

As you can see from the picture below, the "average" is plotted at the end of the month.

PeriodAlign = paFirst

In this case the "average" is plotted at the beginning of the month.

Deriving custom functions (VCL only)

Creating a new Function component is simply creating a new component derived from TTeeFunction (it also can be derived from an existing function ). There are 2 important virtual methods in TTeeFunction that can be overridden to create a new Function type.

1) Function TTeeFunction.Calculate(SourceSeries:TChartSeries; First,Last:Longint):Double;

2) Function TTeeFunction.CalculateMany(SourceSeriesList:TList; ValueIndex:Longint):Double;

The Calculate method is used to calculate function result if only one series is datasource. CalculateMany is used to calculate function result if multiple series can be datasource.

Example : Creating new TMyFunction

Let’s decide we need TMyFunction to return the "sum of squares".

type
 TMyFunction = class( TTeeFunction )
 end;

This function can have only one datasource or multiple datasources, so we'll override the Calculate and CalculateMany methods.

First, we'll override TMyFunction "Calculate" method to do a very simple thing. The "Calculate" method looks like:

Function TMyFunction.Calculate(SourceSeries:TChartSeries; First,Last:Integer):Double;
Var StartPoint, EndPoint, t : Integer;
begin
  StartPoint:=0;

  EndPoint:=SourceSeries.Count-1;

  if First <> -1 then StartPoint:=First;

  if Last <> -1 then EndPoint:=Last;

  Result:=0;

  for t:=StartPoint to EndPoint do
      Result:= Result + Sqr(SourceSeries.MandatoryValueList[t]);
end;

The StartPoint and EndPoint variables are used to "loop" all SourceSeries points to calculate the sum of squares.

The "MandatoryValueList" property is used instead of "YValues" property just to make this function to work with Series types like HorizBarSeries where "XValues" holds the point values and not "YValues".

The "Calculate" method is used when the Series has only one Series as DataSource. When Series have more than one Series as datasources, the "CalculateMany" method is called.

Let's override TMyFunction "CalculateMany" to allow TMyFunction to work with Series which have more than one Series as datasources. Programmatically, Series can be added as datasources of other Series.

Function TMyFunction.CalculateMany(SourceSeriesList:TList;
                                   ValueIndex: Integer):Double;
var t : Integer;
begin
  Result:=0 ;

  for t:= 0 to SourceSeriesList.Count -1 do
      Result := Result + sqr(TChartSeries(SourceSeriesList[t]).MandatoryValueList[ValueIndex]);
end;

"CalculateMany" will get called once for each point in the source Series, starting from zero and ending with the minimum point count of all datasources.

It is very important to understand the difference between Calculate and CalculateMany. "Calculate" is called when there only one datasource and it’s called only once. "CalculateMany" is called several times (one for each point) when there are more than one Series as datasources.

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 8

Tutorial 8 - Database access

Contents

Basics

Introduction
Connecting to Data sources at design-time
Connecting to Data sources at run-time

Extended Functionality

Single record
Summary grouping data

Events

The OnProcessRecord event

Basics

Introduction

Connecting a TeeChart control to Databases can be done at design-time using the Chart Editor and at run-time with few lines of code. You should use the TDBChart component as, as the name suggests, this TeeChart component supports data access. TDBChart installs on the Data Controls section of the Component Palette. TDBChart inherits all TChart properties and methods, the key difference being that it also includes access to Borland's Database Engine thus increasing the size of projects compiled with this component. For this reason we recommend that you use the TChart component unless you wish to connect directly to data sources.

TeeChart connects to all Borland's TData components including TTable, TQuery and TClientDataset. When connecting to Tables or Queries it is not necessary to use the TDataset component as TeeChart will make the connection directly.

Any Series can be connected to tables or queries using the Chart Editor. Every Series can be connected to the same or different table or query in the same or different database.

This design gives you total flexibility on how you connect Charts to databases, as you aren't restricted to only one database or to only one table or query.

Data is also retrieved at design-time so you see the actual data during development.

Connecting to A TData component at design-time

The following steps assume you have put either a TTable, TQuery or TClientDataset on your Form. For this example you could connect the TTable to the TeeChart Pro Database, installed as an ODBC v3 DSN, during the installation of TeeChart Pro and select the Employee Table.

At design-time, the steps necessary to connect a Series to a Datasource are:

  • 1. Place a TDBChart control on a Form
  • 2. Double-click the TDBChart control to show the Chart Editor
  • 3. Add a Series to the Chart control (for example a Bar Series)
  • 4. Click on "Series" tab and "DataSource" tab
  • 5. Now click on the combo-box and select "Dataset"

    • At this point you will see this screen:

  • 6. Select the "Dataset..." combobox to show a list of available data sources:

    By selecting an item from the Combobox you connect the Series to the specified Table or Query.

  • 7. In this example we have connected Table1 to the "TeeChart Pro Database" and the "Employee" table as shown in the above picture.

    • Now you should define which Fields from the Table or Query should be retrieved and added to the Series. This is done with the Chart editor, by selecting the appropriate fields for each Series part.

  • 8. See the image below, showing the Chart editor DataSource tab with our example selected Fields.

    • Each Series has a "Label" field (which should be of type "String" or "Char") ,and a value field (the "Bar" field for Bar Series), which should be of either integer, floating or date-time field type.

    In this example, we have selected the "LASTNAME" field from the "Employee" table for the Series labels, and the "SALARY" numeric field for the Bar point values.

    See the DataSet combobox in the above picture. This combobox shows the available tables or queries you have created. You can always come to this dialog and select a different dataset, or edit it by clicking the "Edit..." button.

    Now we have assigned the appropiate fields, it's time to see the results.

  • 9. Click the "Close" button to close the Chart editor and to return to the programming environment.

    • At this time, the TChart control will try to open the selected Datasource database Table or Query, and will start retrieving records and adding values to the selected Series.

    In our example, you'll see at design-time the following Chart:

    Now, if you run the project, the Chart will retrieve all records from Datasource and will add values to the Series. You will see the same Chart you saw at design-time before running the project.

  • 10. Run the application.

    • See also the included DB examples under the "Examples" folder.

    Connecting to Database at run-time

    The above design-time steps can be reproduced programmatically with few lines of code. This gives you more freedom and control over database operations.

    Repeat the first 3 steps above on a new project and a new Form.

    Every Series has the DataSource property, which determines the origin of database values (the Table or Query), and the "YValues.ValueSource" and "LabelsSource" properties to specify which fields we want to plot.

    The syntax for LabelsSource and YValues.ValueSource properties is:

    Series1.YValues.ValueSource := 'SALARY';
Series1.XLabelsSource := 'LASTNAME';

    And the syntax for Series DataSource is:

    Series1.DataSource := Table1;

//or

Series1.DataSource := Query1;

    It is recommended you set the above properties in that order. First set the XLabelsSource and the YValues.ValueSource and then the DataSource property.

    In case the database values are changed and you want to "refresh" the connection and retrieve the values again, you should do this:

    Series1.CheckDataSource;

    The CheckDataSource method will force the Series to retrieve all records again.

    All Series have also the "XValues.ValueSource" property. This property is used for XY charting only (when you have an X coordinate for each point).

    An error will be raised if TeeChart can not locate the datasource or it can not open the Table or SQL query you specify. Remember to set your Datasource to 'Active'.

    Extended Functionality

    Single record

    Single Record data charting allows retrieval of data horizontally from a record of a datasource. Choose the 'Single Record' option from the TeeChart Editor Datasource combobox.
    Example:

    The above definition takes the first record from TeeChart's example Stock table and plots the Open, High, Low and Close values as different points for one Series.

    Summary grouping data

    Data retrieved via TeeChart's dataset connectivity may be grouped by differing fields of the dataset to create summaries by the selected field. Select 'Summary' from the TeeChart Editor Datasource combobox
    Example:

    The above selection plots a Bar Series of Delphi/C++Builder's 'Orders' table 'AmountPaid' field, grouping the result by Customer number 'CustNo'.

    If the dataset contains a datetime field you may select grouping criteria from the first 'Group by' combobox as a DateTimeStep. The following groups the average 'AmountPaid' by Quarter year using 'Saledate'.
    Example:

    By code the above would look like this:

      With Series1 do
  Begin
    DataSource:=Table1;

    YValues.ValueSource:='#AVG#AmountPaid';

    XLabelsSource:='#QUARTER#SaleDate';
  end;

    Events

    The OnProcessRecord event

    The TChart control provides an event which gets called every time a record is retrieved and added to a Series.

    This event is the "OnProcessRecord", and has this syntax:

    procedure TForm1.DBChart1ProcessRecord(Sender: TCustomDBChart;
  DataSet: TDataSet);
begin
end;

    You can use this event to raise a silent Abort to stop retrieving data

    See the "DB" examples included in the Examples folder.

    © 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 9

Tutorial 9 - Internet applications

Contents

Introduction

Chart Formats

Static image formats
Output data formats
Input data formats
    HTML Tables
    TChartWebSource
    TSeriesTextSource
Putting TeeChart in Delphi's ActiveForm

Web Server applications

Writing ISAPI applications

Introduction

TeeChart Pro VCL version offers new functionality to ease the design of Internet/Intranet Charting applications. See the Examples folder for more examples on the following topics.

Chart formats

Static formats

See the Export Tutorial for more information about Chart Export formats. TeeChart offers several static image export formats for web pages, JPEG, GIF, PNG and WMF (suitable for IE only).

See the Exporting and importing Charts tutorial for more information about Chart export formats.

Example. TeeChart can be exported as a JPEG image to be linked into a web page. See the JPEG section in the Export/Import tutorial for a closer look at the code required to Export the Chart in JPEG format. The chart can be accessed on the webpage via a standard image link.

Example
<img src="http://www.myserver.here/tempCharts/myJPEGChart.jpg">

JPEG Charts do not offer the advantages of a "live" Chart, such as mouse clicks, real-time animation, scrolling, etc, but they work with almost any browser.

Output data formats

See the Exporting and importing Charts tutorial for more about importing and exporting data to the Chart. Chart data may be exported as Text, XML, Excel spreadsheet, or as an HTML table.

Input data formats

  • HTML tables. Have a look at the Examples folder for a working example of HTML table import.
  • TChartWebSource. Use the TChart WebSource to path a server based URL tee file to your clientside Chart application. Tee files may be created or stored on a server and accessed directly by URL. This provides an alternative to the LoadChartFromURL method.
  • TSeriesTextSource. The SeriesTextSource component permit the loading of CSV file data directly to a Series. The CSV file, which may be delimited in differing ways, may be a local file or server file hosted at an URL address.

Example:
Text source file, csv delimited:
  Fruit,Qty,Price/Kilo
  Apples,1,76
  Pears,2,45
  Bananas,3,66
  Oranges,4,41
  Kiwis,5,55

The TSeriesTextSource component recognises the Series type of the associated TeeChart Series and offers the relevant field structure for the definition of the source, here a BarSeries:

Set the header columns to the number of header text rows from which you don't want the SeriesTextSource to take data. Setting the TSeriesTextSource Active to True loads the Series data. The result for the above data is the following Chart:

The above can be achieved by code in the following way:

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 With SeriesTextSource1 do
 Begin
   Series:=Series1;
   Filename:='http://www.steema.com/test.txt';
   Headerlines:=1;
   SeriesTextSource1.AddField('Bar',3);
   {Use the keyword 'Text' to select the Label field}
   SeriesTextSource1.AddField('Text',1);
   Active:=True;
 end;
end;

For the Bar Series example above, the word 'Bar' is used to define the Y value. The name is not important when only one data variable is added for the BarSeries as TeeChart will assume that it is the Y value. In the case of the Label field, it must use the title 'Text' (constant Teemsg_Text) to identify it. When multiple Values are added (as if AddXY or for a Candle Series with Date, Open, High, Low, Close) then you could obtain the correct names via the Series ValueList name.
Example:

Consider the following data file:

Date,Open,High,Low,Close
1/1/2000,15,76,7,40
2/1/2000,40,55,35,37
3/1/2000,37,61,29,43

{The following code extracts the data and adds it to the Series}
procedure TForm1.Button1Click(Sender: TObject);
var colcount: integer;
begin
 With SeriesTextSource1 do
 Begin
   Series:=Series1;
   Filename:='c:\tempdata\testcandledata.txt';
   Headerlines:=1;
   For colcount:=0 to Series1.ValuesList.Count-1 do
   begin
     SeriesTextSource1.AddField(Series1.ValuesList[colcount].Name,colcount+1);
   end;
   Active:=True;
 end;
end;

Putting TeeChart in Delphi's ActiveForm

To create a new ActiveForm application select 'New','Activex','ActiveForm' from the File menu in Delphi's IDE. A TChart may be placed on the Form and properties may be added to the Form to perform TeeChart actions.

To insert in Internet Explorer or other ActiveX aware browser you should note the CLSID number of your new ActiveXForm and insert it on the page with syntax similar to the following example:

<OBJECT
   id="TeeVCLAX1"
   type="application/x-oleobject"
   hspace="0"
   vspace="0"
   codebase="TeeChartAXFormExample.ocx#version=1,0,0,1""
   CLASSID="CLSID:6C03C4DE-C883-4B1E-AA11-996319F91A8F">
</OBJECT>

You can add properties and methods to the Activeform object to give runtime functionality to the Chart. For example for the Chart above we added the 'Gradient.Visible' property to enable/disable the Panel Gradient behind the Chart. Press this button to see how it changes the Chart:

The procedure may be invoked by adding a button to the HTML page.

Example

<INPUT TYPE=submit VALUE="Example: Toggle Back Panel Gradient using VBScript" NAME="cdmChartColor" onClick="ToggleGradient()">

How to add a TeeChart property to ActiveForm with Delphi
Follow these steps to add a Chart property to an ActiveForm project:

  • 1. Use the Delphi Type Library Editor to add a property to your ActiveForm project
  • 2. In this case we define the property as Property Gradient:WordBool;
  • 3. Use the Type Library 'refresh' button to update the implementation unit of your project.
  • 4. Delphi will create an empty Get function and Set procedure for the new property in the implementation unit of the project. You can add access to the required TeeChart property by populating the function and procedure as follows:
    • function TTeeVCLAX.Get_Gradient: WordBool;
begin
  result:=Chart1.Gradient.Visible;
end;

procedure TTeeVCLAX.Set_Gradient(Value: WordBool);
begin
  Chart1.Gradient.Visible:=Value;
end;

    Compiling the modified project now gives you access to this property with a browser scripting language such as VBScript. The VBScript code listed below is used for the button in this example:

    <SCRIPT LANGUAGE="VBScript">
SUB ToggleGradient
        if TeeVCLAX1.Gradient = 0 then
          TeeVCLAX1.Gradient = 1   'replace TRUE/FALSE with numeric equivalents
        else
          TeeVCLAX1.Gradient = 0
        end if
END SUB
</SCRIPT>
<INPUT TYPE=BUTTON VALUE="Example: Toggle Back Panel Gradient using VBScript" NAME="cdmChartColor" onClick="ToggleGradient">

    For this type of Charting application you may find the LoadChartFromURL method useful as it permits a means of distributing centrally modified Charts. A timer could be placed on the ActiveForm application to call a periodically updated, server based Chart thus guaranteeing that the browser Chart data is current.

Web Server applications

Writing ISAPI applications

Delphi makes writing ISAPI applications very easy. See the TeeChart ISAPI example in the TeeChart Examples folder for a demonstration of a basic Charting application. A section is included below to show how the Chart is sent to the page in Stream format.

{ This event is created at design-time, double-clicking the WebModule
  form and adding an action... }
procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
Var Stream:TMemoryStream;
begin
  With TForm2.Create(Self) do { create the Form where is the Chart1... }
  try
    //See the ISAPI demo for a full listing of the code that creates the Chart
    //taking parameters from a Web Form as input.
    With ChartToJPEG(Request) do { convert Chart1 to JPEG Function in UnitChart Unit}
    try
      Stream:=TMemoryStream.Create;  { create a temporary stream in memory... }
      try
        SaveToStream(Stream); { save the jpeg to the stream... }
        Stream.Position := 0;
        Response.ContentType:='image/jpeg';   { send the stream... }
        Response.ContentStream:=Stream;
        Response.SendResponse;
      finally
        Stream.Free;  { release the temporary stream... }
      end;
    finally
      Free;  { <-- free the temporary JPEG object returned by ChartToJPEG }
    end;
  finally
    Free; { free the Form2 }
  end;
end;

    © 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 10

Tutorial 10 - Chart 3D and OpenGL

Contents

Chart display modes

(3D) Chart Editor page
2D Chart
3D Orthogonal Chart
3D "Native" Windows Chart
3D OpenGL Chart

Chart display modes

(3D) Chart Editor page

You may define the major 2D/3D display options with the Chart Editor at design time.

2D Chart

The 2D Chart may be selected at design time using the Chart Editor. Deselecting the 3D checkbox on the Editor page puts the Chart in 2D mode. At runtime you can change the Chart to 2D at any time with:

Chart1.View3D := False;

Working with the 2D Chart presents no special issues. All object co-ordinates relate to their position in relation to the Chart panel or Chart rectangle, there is no need to make any allowance for 3D offset (see following sections).

3D Orthogonal Chart

3D Orthogonal mode is the default way to obtain 3D 'effect'. TeeChart draws depth effect at an orthogonal angle according to the Chart1.Chart3DPercent property setting (also available at design time on the Chart Editor page). You cannot rotate a 3D Orthogonal Chart, the Bottom Axis is always horizontal.

When working with 3D orthogonal Charts you will need to take into account the Width3D and Height3D 3D offset when custom drawing to the Canvas. If you wish an item to be drawn to be flush with the Chart Backwall you should add the offset. See the following examples:

Example
{This example draws a diagonal line across the Chart
flush to the Front of the Chart}
With Chart1, ChartRect do
begin
  //Move the pointer to the top left Chart point
  Canvas.MoveTo(Left,Top);
  //Draw the Line
  Canvas.LineTo(Right,Bottom);
end;

{This example draws a diagonal line across the Chart
flush to the Back of the Chart}
With Chart1, ChartRect do
begin
  //Move the pointer to the top left Chart point
  Canvas.MoveTo(Left + Width3D,Top - Height3D);
  //Draw the Line + adjustment for 3D displacement
  Canvas.LineTo(Right + Width3D,Bottom - Height3D);
end;

Use the TView3DOptions component when working with display properties for 3D Charts at runtime (*Note. Not all options are available for Orthogonal Charts).

3D "Native" Windows Chart

TeeChart Pro version 6's view options include "Native" Windows mode 3D. This 3D mode offers many of the display advantages obtainable with OpenGL but is faster. Native Windows mode 3D offers Chart rotation and elevation through 90º. You may Zoom in and out on the overall Chart (Zoom within the Chart is available too, see the Zoom/Scroll tutorial).

Select Native Windows mode 3D for TeeChart at design time by deselecting the Orthogonal checkbox on the 3D Editor page.

//Runtime
Chart1.View3DOptions.Orthogonal := False;
With the Chart Editor, desactivating Orthogonal will simultaneously activate the slide bars for Elevation and Rotation allowing design time changes for these display properties.

For a closer look at the definition of the TeeChart Canvases look at the Custom drawing tutorial.

3D OpenGL Chart

You can convert the 3D Chart to an OpenGL Chart by using the TTeeOpenGL non-visual component found in the TeeChart section of the Delphi component palette.

Add the component to the Form in which you have placed a TChart, TDBChart or TQRChart. At design time you may use the Object browser to connect the component to the Chart. At runtime use the following properties:

TeeOpenGL1.TeePanel := Chart1;
TeeOpenGL1.Active := True;

You will see the Chart immediately convert to OpenGL at runtime or design time.

For a closer look at the definition of the TeeChart Canvases look at the Custom drawing tutorial.

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 11

Tutorial 11 - Zoom and Scroll

Zoom and Scroll are useful aids for focusing on specific data in a densely populated Chart. See the Visual Basic example code in folders 'Animated Zoom' and 'Scrolling'.

Contents

How to Zoom and Scroll using the Mouse

Zoom
Scroll

How to Zoom and Scroll by code

Zoom
Animated Zoom
Zoom events
Scroll

How to Zoom and Scroll using the Mouse

Zoom

To zoom in on a Chart, press the right mousebutton at the top left hand corner of the area you wish to zoom in on and, maintaining the mousebutton pressed, drag out the rectangle to the bottom righthand corner of the zoom area. Releasing the mousebutton will force the Chart to redraw the area selected.

To undo the zoom, press the left mousebutton anywhere on the Chart area and drag up and left with the mousebutton depressed. Releasing the button will force the Chart to redraw to the originally defined Chart area.

Scroll

To scroll a Chart across, press the left mousebutton and, maintaining the mousebutton pressed, drag the mouse in the direction you wish to scroll the Chart. When you release the mousebutton the Chart will remain at the new location.

To undo the scroll, press the left mousebutton anywhere on the Chart area and drag up and left with the mousebutton depressed. Release the button and the Chart will redraw to the originally defined Chart area.

How to Zoom and Scroll by code

Zoom

Zoom is, by default, enabled. Use the AllowZoom property to disable zoom. See the Chart Zooming for an alternative guide to 'How to' Zoom. To define a rectangular area over which to Zoom use the ZoomRect method:

Example

Rect.Left  := LineSeries1.CalcXPosValue( 22.5  ) ;
Rect.Top   := LineSeries1.CalcYPosValue( 5000 ) ;
Rect.Right := LineSeries1.CalcXPosValue( 57.6 ) ;
Rect.Bottom:= LineSeries1.CalcYPosValue( 15000 ) ;
Chart1.ZoomRect( Rect );

The ZoomRect co-ordinates are defined in screen pixels where 0,0 is the top left hand point of the Chart Panel. The following code will zoom in on an area between the 2nd and 5th x-axis points, setting the y-axis to the scale of the maximum and minimum points of the entire Chart:

With Chart1 do
begin
  ZoomRect(Rect(Axes.Bottom.CalcXPosValue(2),
                  Axes.Bottom.CalcXPosValue(5),
                  Axes.Left.CalcYPosValue(MaxYValue(Axes.Left)),
                  Axes.Left.CalcYPosValue(MinYValue(Axes.Left))));
end;

Use 'Undo' to Zoom back out.

Chart1.UndoZoom;

Animated Zoom

Animated Zoom offers stepped zooming. Instead of jumping from 'zoomed out' to 'zoomed in' in one step, you may set AnimatedZoom to enabled and define staggered steps for the zoom. Once AnimatedZoom is enabled you may zoom manually with the Mouse or by code.

Example

With Chart1 do
begin
  AnimatedZoom := True;
  AnimatedZoomSteps := 10;
  ZoomRect(Rect(Axes.Bottom.CalcXPosValue(2),                                     Axes.Left.CalcYPosValue(MaxYValue(Axes.Left)),
             Axes.Bottom.CalcXPosValue(5),
             Axes.Left.CalcYPosValue(MinYValue(Axes.Left))));
end;

Zoom events

Zooming in manually, or by code, will trigger the Chart.OnZoom event. Zooming out will trigger the Chart.UndoZoom event.

Scroll

As default Scroll is enabled for all directions. Use the AllowPanning property to disable Scroll or limit Scroll to one direction. You will need to define Axis maximum and minimum to scroll by code.

Example

With Chart1 do
begin
  AllowPanning := pmHorizontal; //permit manual scrolling horizontally only.
  Axes.Bottom.Automatic := False;
  Axes.Bottom.Minimum := 2;
  Axes.Bottom.Maximum := 5;
end;

You could use scrollbars to change the Axis Minimum and Maximum values and thus control scrolling entirely by code. TeeChart Pro includes a ScrollBar component to make this easier. See the TChartScrollBar component for details. Manually, by code:

Example

With Chart1 do
  AllowPanning := pmHorizontal; //permit manual scrolling horizontally only.
  Axes.Bottom.Automatic := False;
  //limit display to 5 points onscreen
  ChartScrollBar1.Chart := Chart1;
  ChartScrollBar1.Kind := sbHorizontal;
  ChartScrollBar1.Min := 0;
  ChartScrollBar1.Max := 20;
End With

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 12

Tutorial 12 - Exporting and Importing Charts

This tutorial is overviews exporting TeeCharts in various formats and importing TeeChart's own .tee format Chart templates. See the TeeChart example code in the Examples folder below your TeeChart installation folder.

Contents

Exporting Charts

Available formats
Example export

Exporting Images

JPEG
GIF
PNG

Exporting data

Text, XML, HTML, XLS

TeeChart's 'Tee' template and data export import format

Tee files

Import

Importing Tee format files
Example import Tee file
ChartWebSource and SeriesTextSource
Other datasources

Exporting Charts

Available formats

Available Export formats. All formats may be copied to either a file or Clipboard. Some formats may be copied to Stream.

Image formats

(BMP) | CopyToClipboardBitmap
(WMF) | CopyToClipboardMetafile
BMP | TBMPExportFormat
JPEG | SaveChartToJPEGFile
WMF | TEMFExportFormat.Enhanced (false)
EMF | TEMFExportFormat
GIF | TGIFExportFormat
PNG | TPNGExportFormat
PCX | TPCXExportFormat
VML (HTML) | TVMLExportFormat
PDF | TPDFExportFormat
SVG | TSVGExportFormat
EPS | TEPSExportFormat
Flex(Flash) | TFlexExportFormat
VRML 3D | TVRMLExportFormat
XAML (WPF) | TXAMLExportFormat

Data formats

Text | TSeriesDataText
XML | TSeriesDataXML
HTML | TSeriesDataHTML
Excel | TSeriesDataXLS

Other formats

Tee format is a flexible format that stores Chart property information and, optionally, Chart data. Files are small (data dependent) and ideal for network use to update live client based Charts.

TEE (TeeChart) SaveChartToFile

At runtime you can display the export dialog by using the :

Chart TeeExport

method.

Example:

TeeExport( Self, Chart1 );

Example export

Exporting to a file is reasonable straightforward, in most cases you just need to define the destination filename.

Example:

  if SaveDialog1.Execute then
     Chart1.SaveToBitmapFile(SaveDialog1.FileName);

JPEG

JPEG file export has additional parameters for speed and quality. See the JPEG demo included in the Examples folder. The Export method has not been included natively for TeeChart to avoid the memory overhead for non-JPEG applications.

Example

// You need to include the Delphi JPEG unit in the Uses section of your project
// Pass the name of the Chart to this function. We've fixed the parameters here.
// In the demo they are presented as options for the user.
// Place a Chart (Chart1) on a Form and populate it with data.

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 With GetChartJPEG(Chart1) do
 try
  SaveToFile('c:\temp\myJPEGChart.jpg');    { <-- save the JPEG to disk }
 finally
  Free;  { <-- free the temporary JPEG object }
 end;
end;

Function GetChartJPEG(AChart:TCustomChart):TJPEGImage;
var tmpBitmap:TBitmap;
begin
  result:=TJPEGImage.Create;   { <-- create a TJPEGImage }

  tmpBitmap:=TBitmap.Create;   { <-- create a temporary TBitmap }
  try

    tmpBitmap.Width :=AChart.Width;   { <-- set the bitmap dimensions }
    tmpBitmap.Height:=AChart.Height;

    { draw the Chart on the temporary Bitmap... }
    AChart.Draw(tmpBitmap.Canvas,Rect(0,0,tmpBitmap.Width,tmpBitmap.Height));

    { set the desired JPEG options... }
    With result do
    begin
      GrayScale            :=False;
      ProgressiveEncoding  :=True;
      CompressionQuality   :=50;  // % 0 - 100
      PixelFormat          :=jf24bit;  // or jf8bit
      ProgressiveDisplay   :=True;
      Performance          :=jpBestQuality;  // or jpBestSpeed
      Scale                :=jsFullSize;  // or jsHalf, jsQuarter, jsEighth
      Smoothing            :=True;

      { Copy the temporary Bitmap onto the JPEG image... }
      Assign(tmpBitmap);
    end;
  finally
    tmpBitmap.Free;  { <-- free the temporary Bitmap }
  end;
end;

Performance, jpegBestQuality, and the Compression Quality percentage (high value less compression), will make the file larger and thus slower to transmit across a network - quality is better though! You will need to decide on the best balance to suit your application.

GIF

GIF support is included with TeeChart courtesy of Anders Melander's Delphi GIFImage classes ((c) 1997-99 Anders Melander). Full documentation for the GIF classes are outside the scope of TeeChart's own documentation. Anders has donated GIFImage to the Jedi project who now co-ordinate documentation and support for it.

TeeChart provides the means to create GIF Chart images but you should check your licensing position with Unisys for use of GIF LZW encoded images. The alternative RLE encoding is not subject to Unisys licenses.

Example using TeeChart dialogue

Uses TeeGIF, TeExport;

procedure TGIFExportForm.Button1Click(Sender: TObject);
begin
  TeeSavePanel(TGIFExportFormat,Chart1);
end;

Example by code

Uses TeeGIF, GIFImage;

procedure TForm1.Button1Click(Sender: TObject);
var tmpGIF : TGIFImage;
begin
  tmpGIF:=TGIFImage.Create;

  With tmpGIF do
  begin
    Compression:=gcLZW;
    DitherMode:=dmStucki;
    ColorReduction:=rmQuantizeWindows;

    Assign(Chart1.TeeCreateBitmap(Chart1.Color,Rect(0,0,Chart1.Width,Chart1.Height)));

    SaveToFile('c:\tempCharts\Chart1.gif');
  end;
end;

PNG

To use PNG image format the LPng.DLL is required in \Windows\System folder or path. PNG provides a compressed image format that is supported by the principle browsers.

Example

Uses TeePNG, TeExport;

procedure TPNGExportForm.Button1Click(Sender: TObject);
begin
  TeeSavePanel(TPNGExportFormat,Chart1);
end;

Exporting data

The TeeStore unit includes the definition of the TSeriesData component and its descendants:

Text | TSeriesDataText
XML | TSeriesDataXML
HTML | TSeriesDataHTML
Excel | TSeriesDataXLS

The above components may be created and associated with a Chart Series from which they can export data as either File, Stream or to the Clipboard. The following example exports the data from a Chart Series to an HTML table:

  With TSeriesDataHTML.Create(Chart1,Series1) do
  Begin
    IncludeHeader:=True;
    SaveToFile('c:\tempdata\Series1HTMLData.txt');
  end;

The output of the above with a random dataset is the following:

Series1
308
267
170
192
284
253
265
296
335
454

TeeChart's 'Tee' template and data export/import format

Tee files

Tee files are TeeChart's own template format for saving Charts and their data. Modified Chart properties are saved with the template and reproduced when the template is imported to a new Chart.

Advantages:

  • Tee files are very small in size, in most cases that offers an advantage over pure graphics formats (Quicker).
  • The destination Chart for the template is 'live', it can be zoomed and scrolled and have its properties modified.
  • Data may optionally be included with the tee template according to your preference.

The declarations for SaveChartToFile/SaveChartToStream are:

 procedure SaveChartToFile(AChart: TCustomChart; Const AName: String; IncludeData: Boolean);

 procedure SaveChartToStream(AChart: TCustomChart; AStream: TStream; IncludeData: Boolean);

 {See the TeeStore unit for more information}

Example

// Add the unit teestore to the 'Uses' section of your project

With SaveDialog1 do
begin
  Filter:='Teefiles|*.tee';

  if Execute then
     SaveChartToFile(Chart1,SaveDialog1.FileName,True);
end;

Import

Importing Tee format files

Import a saved Tee file from a local file source or http data source.

Example Imports

Example

// Import from file

procedure TForm1.Button1Click(Sender: TObject);
var tmpChart : TCustomChart;
begin

  Chart1.Free;   // Assuming Chart1 is already on the Form
  tmpChart:=TChart.Create(Self);

  With OpenDialog1 do
  begin
    Filter:= 'Teefiles|*.tee';
    if Execute then
       LoadChartfromFile(tmpChart,OpenDialog1.FileName);
  end;

  Chart1 := tmpChart as TChart;

  With Chart1 do
  begin
    Parent:=Self;
  end;
end;

You may also import a TeeChart file from URL, LoadChartFromURL.

ChartWebSource and SeriesTextSource

Tee files may be imported from remote web sources via the LoadChartFromURL method or the ChartWebSource component. CSV data may be imported via the TSeriesTextSource component. Please see the Internet Applications tutorial for more information.

Other datasources

For information about data import from other database information sources please see the Database Access tutorial.

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 13

Tutorial 13 - Custom drawing on the Chart Panel

TeeChart offers extensive custom drawing facilities via the TCanvas3D component. With Canvas you may add shapes, lines and text anywhere on the Chart Panel and define their colours, pen and brush styles.

Contents

TeeChart Canvas

Drawing order
Drawing Lines
Canvas Pen and Brush
Adding 2D Shapes
Adding 3D Shapes
Adding text
Applied example

Advanced custom drawing

Component overview

TeeChart Canvas

Drawing order

When using TeeChart's Canvas methods remember that drawing order is important. Drawing a Line on the Chart then adding Series data points will cause the Line to be overdrawn. You could put the Line in the Series BeforeDrawValues event for the Line to appear above the Chart grid and below the Series. You could place the Line code in the OnAfterDraw event for the Line to appear above the Series.

Event order, 4 principle Chart draw events

  • OnBeforeDrawChart event
  • OnBeforeDrawAxes event
  • OnBeforeDrawSeries event
  • OnAfterDraw event

Drawing Lines

2D Chart
Let's add a Canvas Line:

Example

//Draw a Line diagonally from top left to bottom right
//in the Chart Area of a 2D Chart

With Chart1, ChartRect do
begin
  //Move the pointer to the top left Chart point
  Canvas.MoveTo(Left,Top);

  //Draw the Line
  Canvas.LineTo(Right,Bottom);
end;

3D Orthogonal Chart
On an Orthogonal 3D Chart the Axis positions are offset from the Chart area due to 3D orthogonal displacement. We can move the Line accordingly:

Example

//Draw a Line diagonally from top left to bottom right
//in the Chart Area of a 3D Chart

With Chart1, ChartRect do
begin
  //Move the pointer to the top left Chart point
  Canvas.MoveTo(Left + Width3D,Top - Height3D);

  //Draw the Line + adjustment for 3D displacement
  Canvas.LineTo(Right + Width3D,Bottom - Height3D);
end;

3D Nativemode or OpenGL Chart
To draw the same line on a Native 3D Chart or OpenGL Chart (This will also work on a 2D and 3D Orthogonal Chart):

//Draw a Line diagonally from top left to bottom right
//in the Chart Area of a 3D Nativemode or OpenGL Chart
With Chart1,Canvas do
begin
  Pen.Color := clBlue;
  Pen.Width := 1;
  Pen.Style := psDot; //Pen must be 1 to use Pen.Style
  Brush.Style := bsClear; //transparency
  //Then draw the Line
  MoveTo3D(ChartRect.Left,ChartRect.Top,0);
  LineTo3D(ChartRect.Right,ChartRect.Bottom,Width3D);
end;

MoveTo3D and LineTo3D methods recognise the displacement made to the ChartRect as a result of Elevation and Rotation applied with 'Full' 3D.

Canvas Pen and Brush

The Line above is drawn using the Pen and Brush defined for the last object drawn before the Line is drawn. That may or may not be the Pen you want. You can change the Pen accordingly:

Example

//Define Pen and Brush before drawing the Line
With Chart1,Canvas,ChartRect do
begin
  Pen.Color := clBlue;
  Pen.Width := 1;
  Pen.Style := psDot; //Pen must be 1 to use Pen.Style
  Brush.Style := bsClear; //transparency

  //Then draw the Line
  MoveTo(Left + Width3D,Top - Height3D);
  LineTo(Right + Width3D,Bottom - Height3D);
end;

Adding 2D Shapes

Add 2D Canvas Shapes in a similar manner to Canvas Lines. The following example adds a Rectangle in the centre of the Chart Area:

2D Chart
3D orthogonal Charts support only 2D shapes.

Example
With Chart1, Canvas do
begin
   //prepare Pen and Brush
   Pen.Color := clBlue;
   Pen.Width := 1;
   Pen.Style := psDot;
   Brush.Color := clWhite;
   Brush.Style := bsSolid;

   //You can draw a Rectangle on any Chart (2D or 3D)
   Rectangle(100,100,200,200);
end;

3D Charts
On a 3D Chart you can move the Rectangle in a Z plane too. See the RectangleWithZ method. This example for an orthogonal or Nativemode/OpenGL Chart places the Rectangle on the Left Wall but displaces it halfway towards the rear of the Chart (towards the Back Wall).

With Chart1,Canvas,ChartRect do
begin
   //prepare Pen and Brush
   Pen.Color := clBlue;
   Pen.Width := 1;
   Pen.Style := psDot;
   Brush.Color := clWhite;
   Brush.Style := bsSolid;
   //Draw Rectangle with Z displacement
   RectangleWithZ(Rect(Left,
                   Top,
               Left+((Right-Left) div 2),
               Top+((Bottom-top) div 2)),
          Width3D div 2);
end;

Adding 3D Shapes

You may add 3D shapes to 3D Charts. This example draws a Cube in the top, left quadrant of the Chart rectangle. The depth covers the area from the front of the Walls to the Back Wall. See the Cube method.

With Chart1,Canvas,ChartRect do
begin
   //prepare Pen and Brush
   Pen.Color := clBlue;
   Pen.Width := 1;
   Pen.Style := psDot;
   Brush.Color := clWhite;
   Brush.Style := bsSolid;

   Cube(Left,
        Left+((Right-Left) div 2),
        Top,
        Top+((Bottom-Top) div 2),
        0,
        Width3D,
        True);
end;

Adding text

2D Text location
Add Text to a Rectangle:

Example

procedure TForm1.Button1Click(Sender: TObject);
var rectLeft,rectTop,rectRight,rectBottom:Integer;
begin
 With Chart1, Canvas, ChartRect do
 begin
    rectLeft:= Left;
    rectTop:= Top;
    rectRight:= Left + (Right - Left) div 2;
    rectBottom:= Top + (Bottom - Top) div 2;

    //prepare Pen and Brush
    Pen.Color := clBlue;
    Pen.Width := 1;
    Pen.Style := psDot;
    Brush.Color := clWhite;
    Brush.Style := bsSolid;

    //Draw the Rectangle
    Rectangle(rectLeft,rectTop,rectRight,rectBottom);

    //Modify Font
    Font.Color := clRed;

    //add the Text start at the midpoint of the Rectangle
    TextOut(rectLeft + (rectRight - rectLeft) div 2,
            rectTop + (rectBottom-rectTop) div 2,
            'Hello');
 end;
end;

3D Text location
You can place Text in a differing 3D plane by using the TextOut3D method.

Example
 With Chart1, Canvas, ChartRect do
 begin
   Brush.Style := bsClear;

   TextOut3D(Left, Top, Width3D div 2, 'Hello');
 end;

Applied example

This example takes the 3rd and 10th values of a Series, plots a Line between them and tells us the value of the first and Last point of the new Line and the difference between them:

Example

'First add some data to the empty Chart
procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Series1.FillSampleValues(20);
end;

//You could put this code in the OnAfterDraw event
procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
 With Chart1 do
 Begin
   If SeriesCount > 0 Then
   begin
     If Series1.Count > 10 Then
     begin
       //Add some Shapes
       Canvas.Pen.Color := clBlue;
       Canvas.Pen.Width := 1;
       Canvas.Pen.Style := psDot;
       Canvas.Brush.Style := bsClear;
       Canvas.MoveTo (Axes.Bottom.CalcXPosValue(Series1.XValues[3]),
                      Axes.Left.CalcYPosValue(Series1.YValues[3]));
       Canvas.LineTo (Axes.Bottom.CalcXPosValue(Series1.XValues[10]),
                      Axes.Left.CalcYPosValue(Series1.YValues[10]));
       Canvas.Brush.Style := bsSolid;
       Canvas.TextOut(Axes.Bottom.CalcXPosValue(Series1.XValues[3]),
                      Axes.Left.CalcYPosValue(Series1.YValues[3]),
                      'Point value: ' + FloatToStr(Series1.YValues[3]));
       Canvas.TextOut(Axes.Bottom.CalcXPosValue(Series1.XValues[10]),
                      Axes.Left.CalcYPosValue(Series1.YValues[10]),
                      'Point value: ' + FloatToStr(Series1.YValues[10]));
       Canvas.TextOut(Axes.Bottom.CalcXPosValue(Series1.XValues[10]),
                      Axes.Left.CalcYPosValue(Series1.YValues[10]) +
                      Canvas.TextHeight('Any letter'), 'Change is: ' +
                      FloatToStr(Series1.YValues[10] - Series1.YValues[3]));
     end;
   end;
 end;
end;

Advanced custom drawing

Component overview

Almost all TeeChart units use now the TeCanvas unit. This unit is a low-level unit that provides all drawing functions encapsulated in the new TCanvas3D component.
If you do special customized drawing using the TeeChart Canvas property, you should add this unit to your Forms "Uses" clause. It is safe to use it as it has no dependencies other than the normal Delphi units.

TCanvas3D class
This Canvas-derived class incorporates support for 3D rotation, zoom, scroll and 3D primitives. It has all methods virtual and abstract, so it means you can not use it directly. You should use a derived class which implements all methods and properties.

Using this Canvas, the Chart components can now support "plug-in" Canvases. That is, you can change at design-time or run-time the "Chart1.Canvas" property, and all drawing will be redirected to the new Canvas:

Chart1.Canvas := TGLCanvas.Create ;   //<-- switches display to OpenGL

TeeChart includes these new virtual Canvases:

  • TTeeCanvas3D
  • TGLCanvas ( for OpenGL rendering )

    • Implementing a new virtual Canvas, though not trivial, should be quite easy to do. You can even create, for example, a TVRMLCanvas, which will generate an ascii file containing VRML (Virtual Reality) graphic instructions. ( Or another to save to DXF, 3DS, etc ).

    These Canvases apply to the base class TCustomChart, so they work for TChart, TDBChart, TQRChart or any other derived Chart class.

    Note: OpenGL DLL's are only for 32bit Windows, hence too, the GLCanvas.

    TTeeCanvas3D class:

    This is the implementation of the virtual TCanvas3D class used internally. It is a wrapper around a standard Delphi TCanvas class. It has many direct calls to Windows GDI to speed up drawing. It adds the TCanvas3D features like rotation, zoom, etc. It works with all Delphi and C++Builder versions.

    TGLCanvas class:

    This class resides in a separate unit / package to make applications independant of OpenGL's DLLs. It works only for 32bit Delphi (and C++Builder ). When using the TGLCanvas for a Chart include 'Uses TeeGLEditor' and the Chart Editor will add another page at runtime to change GL characteristics such as Light location and colour. For OpenGL to be available at designtime, add the TTeeOpenGL component to the Form, associate it with the Chart and set Active:=True.

    There is a new non-visual component ( TTeeOpenGL ), that allows you to "connect" an existing Chart to it at design or run-time, and immediately see the Chart rendered using OpenGL 3D libraries. This component allows you to also define OpenGL specific properties, like Lighting attributes.

    Comparison between TTeeCanvas3D and TGLCanvas:

  • The OpenGL canvas supports lighting ( lights , light colors, positions, etc ) while the TeeCanvas draws 3D sides with darker colors to simulate lighting.
  • The OpenGL canvas does not support metafile creation, so for printing a big and fat TBitmap should be created and sent to the printer Canvas, which means it works only with printers with good memory and sane drivers. Metafiles cannot be created, copied to clipboard, saved or printed.
  • The OpenGL canvas needs the OpenGL DLLs ( available in Windows NT and later and alternative libraries from www.sgi.com. Depending on your CPU and video hardware, the OpenGL Dlls from Silicon Graphics may be faster than the ones from Microsoft.
  • The OpenGL canvas supports different Font Sizes and Colors, but it does not support more than one Font style. All characters of a Font are converted to drawing instructions. This takes up quite a lot of memory and CPU speed.

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart tutorial 14

Tutorial 14 - Printing Charts

Contents

Standard Printing

Simple Print command
Print Orientation
Print Preview
Print Resolution
Greyscale printing

Extended Printing methods

PrintPartial
Printing multiple page Charts
Printing several Charts on one page

Standard Printing

TeeChart Pro offers standard print methods to print the Onscreen Chart 'as is' to the Printer.

Simple Print command

To print a Chart use the Print method. This will print the chart as it appears onscreen.

Example

Chart1.Print;

Print Orientation

The PrintPortrait and PrintLandscape methods allow you to print those orientations even if they are not defined as the default. The default orientation will take effect again after the print is complete. Default Orientation can be changed using the PrintOrientation method. The Orientation method will not print for you. You must run Print after changing the PrintOrientation.

Example

With Chart1 do
begin
  PrintOrientation(poLandscape);
  Print;
end;

Print Preview

The PrintPreview window will show you how the Chart will appear when printed. You may modify print parameters in the Print Preview window before sending the job to the Printer. To call PrintPreview run:

// Add the teeprevi unit to the Uses part of your project
ChartPreview(Self,Chart1);

Print Resolution

Print Resolution refers to the level of Chart detail to be printed and is not to be confused with printer resolution which is defined with your Printer setup in Windows' Print management. TeeChart Print Resolution defines the amount of TeeChart detail to be included in the printed Chart, its Axis scale detail, Gridline frequency, etc. The value range is a percentage from 0-100%.

Example

//this will use screen resolution
Chart1.PrintResolution := 0;
//this will use more printer resolution
Chart1.PrintResolution := 100;

Greyscale printing

When printing to Greyscale printers you should take care that the colours of the Chart are easily distinguishable when translated to shades of grey. To help, you could add Brush styles to the Chart Series to more easily distinguish Series when printed.

Extended Printing methods

PrintPartial

Use the PrintPartial method to Print a Chart to a Printer with Control over the dimensions and location on the printed page. PrintPartial doesn't expel the page thus allowing you to print multiple Charts per page. You need to call Delphi's BeginDoc and EndDoc methods to open and close the Printer.

Example
 //Add the Printer unit to the Uses section of your project
 Printer.BeginDoc;
 Chart1.PrintPartial(Rect(0,0,500,300));
 Chart2.PrintPartial(Rect(0,400,900,700));
 Printer.EndDoc;

Printing multiple page Charts

For information about printing multipage Charts (where MaxPointsPerPage is less than the total point quntity) please see the Chart paging tutorial.

Print previewing several Charts on one page

The Print Preview panel now accepts more than one Chart (or TeePanel). Chart positions are controlled setting the PrintMargins property. Use the TeePreviewPanel1.Panels collection to manage the Charts on the Preview page.

  { change margins }
  Chart1.PrintProportional:=False;
  Chart2.PrintProportional:=False;

  Chart1.PrintMargins:=Rect(2,2,60,60);
  Chart2.PrintMargins:=Rect(60,60,2,2);

  { add to preview }
  TeePreviewPanel1.Panels.Add(Chart1);
  TeePreviewPanel1.Panels.Add(Chart2);

Only one Chart may be mousedrag moved on the Previewer at one viewing so you must disable the 1st Chart from view to enable drag repositioning of the 2nd Chart. The TeeChart demo project includes a page with the following code:

  With TeePreviewPanel1 do
  begin
    Panels.Clear;
    if CheckBox1.Checked then Panels.Add(Chart1);
    if CheckBox2.Checked then Panels.Add(Chart2);
    Repaint;
  end;

By selecting one or another of the 2 Checkboxes (when both are showing only the first Chart is moveable) you may reposition both the Charts on the page via mousedrag.

© 1996-2011 Steema Software SL. All rights reserved.


Tutorial 15 - Working with XML

Tutorial 15 - XML Export & Import

Introduction

TeeChart version 5 and later supports XML output of chart series data.

Version 6 and later supports data input in XML format.

This tutorial shows a detailed explanation about exporting and importing chart data in XML format.

Exporting

Chart data can be easily exported to XML format either at design-time or run-time using the Chart export dialog:

Fig. 1. TeeChart export dialog, data tab.

From this dialog you can choose which series to export (or "all" to export all series), and whether you want to export point indexes (0,1,2... etc), point texts (labels) or colors.

The "Copy" button generates XML text and copies it to Windows or Linux clipboard. The "Save" button creates a new XML file.
The XML file can be opened, for example, with Internet Explorer.

Sample XML file containing a single series

When exporting multiple series, the XML format is a little bit different:

Sample XML file containing a single series

Exporting by code

TeeChart provides a class to export series data in XML format.
This class is located in TeeStore.pas unit, and its name is TSeriesDataXML.

Example of saving to file:

Uses TeeStore;

with TSeriesDataXML.Create(Chart1, Series1) do
try
  SaveToFile('c:\sample.xml');
finally
  Free;
end;

If you want to export all series in Chart1, pass "nil" instead of passing Series1 in the last parameter of Create constructor.

This class also provides a function to get the XML output into a string:

var S : String;
with TSeriesDataXML.Create(Chart1, Series1) do
try
  S:=AsString;
finally
  Free;
end;

Several properties control what kind of data to export, like for example if including point colors or not:

with TSeriesDataXML.Create(Chart1, Series1) do
try
  IncludeColors:=True;
  SaveToFile('c:\sample.xml');
finally
  Free;
end;

We have seen so far how to generate XML data containing TeeChart series points.
Let's now do the opposite, to import this XML into charts.

Importing XML data

TeeChart Pro includes a component to automatically load XML data.
This component resides at TeeXML.pas unit, and the class name is TTeeXMLSource.

Fig 2. TeeXMLSource component at Delphi's toolbar.

The minimum properties required to load XML charts are "Chart" and "FileName".
The Chart property indicates where (which Chart) to add the XML data. The FileName property can be also a web address (URL).
The Load method initiates loading the XML data into chart series.

Let's create a new application and drop a Chart1 component and a TeeXMLSource1 component.

uses Series;

procedure TForm1.FormCreate(Sender: TObject);
begin
  RegisterTeeStandardSeries; // make sure "Line" style is loaded.

  TeeXMLSource1.Chart:=Chart1;
  TeeXMLSource1.FileName:='http://www.steema.com/support/teechart/6/tutorials/xml/TeeChartSampleManySeries.xml';
  TeeXMLSource1.Load;
end;

Note: In the above example, the call to RegisterTeeStandardSeries can be omitted by adding a TeeChart toolbar or adding the TeeGally unit to the "uses" clause. It simply registers basic chart styles (line, bar, pie, etc) so the XML importing process can automatically create series based on the series style that is found in the xml file.

The resulting Chart is:

Fig 3. Chart loaded with sample xml file.

Loading a remote XML file from a web URL is also as simple:

procedure TForm1.FormCreate(Sender: TObject);
begin
  TeeXMLSource1.Chart:=Chart1;
  TeeXMLSource1.FileName:='http://www.steema.com/SampleData.xml';
  TeeXMLSource1.Load;
end;

Fig 3. Chart loaded with sample xml file from web url.

Loading just one series

The XML source component has a SeriesNode property that can be used to load just one series (in case the XML file contains more than one series).

TeeXMLSource1.SeriesNode:='Series2';

Loading to an existing series

If you want to load one series data contained in the XML file, into an existing series, set the Series property:

TeeXMLSource1.Series:=Series1;
TeeXMLSource1.SeriesNode:='Series2';

The above code will load the XML data that corresponds to "Series2", into Series1.

Note:

If the series classes are different (for example, XML Series2 is a "Line" , and Series1 is a "Bar"), the final output will be Series1 filled with null points.

Why ?

The XML data for "Series2" defines point values as "Y" values, while Series1 (a Bar series), expects points to be defined as "Bar".

There are two solutions to this problem:

a) Set Series1 valuesource property to match the name of the XML points:

Series1.YValues.ValueSource := 'Y';

b) Set the ValueSource property of the XMLSource component to match the name of the Series1 valuesource:

TeeXMLSource1.ValueSource := 'Y';

Additional features

The TeeXMLSource component also includes a XMLDocument property that returns an OleVariant reference to the internal object that parses and loads XML data.

This property refers to an late-bound created instance that implements Microsoft's IXMLDomDocument interface.
TeeChart does not use an early-bound instance to avoid dependency and version incompatibility problems that can arise depending on your Windows version, Internet Explorer version, etc.

If you want to read an excellent article about using the XML parser in Delphi, please follow this link to The Delphi Magazine website.

Another useful property of TeeXMLSource component is "XML" of type TStringList.
You can use this property to set XML data instead of using the FileName property. In this way, no XML external file is necessary.

The demo used in this tutorial is also available for download.
Note: TeeChart Pro version 6 or later (evaluation or registered) is required to compile this demo.

© 1996-2011 Steema Software SL. All rights reserved.


TeeChart version 2011

TeeChart license and disclaimer

TeeChart Pro About

License

License Terms:

-- A Single License of TeeChart Pro v2011 is per developer.

-- A Site License of TeeChart Pro v2011 is per

"physical place" with unlimited number of

developers under the same company building(s).

-- TeeChart Pro v2011 is royalty free (see below).

-- For special licensing issues, volume discounts, integrations

or redistribution please contact us at: sales@steema.com

TeeChart Pro v2011 is royalty free:

You can freely distribute TeeChart Pro code COMPILED into your applications as executables or dynamic link libraries, including as OCX ActiveX Controls or ActiveX Forms, but not including as design-time packages. If compiled into a DLL or OCX and used in a Web server scripting environment a WebServer runtime license should be registered.

You are NOT allowed to distribute stand-alone TeeChart Pro files, TeeChart Pro source code, TeeChart Pro manual and help file or everything else contained in this software without giving our written permission.

END-USER LICENSE AGREEMENT FOR STEEMA SOFTWARE SL

IMPORTANT- READ CAREFULLY BEFORE INSTALLING THE SOFTWARE.

This End User License Agreement (this "EULA") contains the terms and conditions regarding your use of the SOFTWARE (as defined below) and material limitations to your rights in that regard. You should read this EULA carefully.

By installing the TeeChart Pro VCL software (hereinafter the "SOFTWARE"), you are accepting the following EULA.

I. THIS EULA.

1. Software Covered by this EULA.

This EULA governs your use of the Steema Software SL ("Steema") SOFTWARE enclosed either as part of a SOFTWARE installer or otherwise accompanied herewith. The term "SOFTWARE" includes, to the extent provided by Steema: 1) any revisions, updates and/or upgrades thereto; 2) any data, image or executable files, databases, data engines, computer software, or similar items customarily used or distributed with computer software products; 3) anything in any form whatsoever intended to be used with or in conjunction with the SOFTWARE; and 4) any associated media, documentation (including physical, electronic and online) and printed materials (the "Documentation").

2. This EULA is a legal agreement between you and Steema.

If you are acting as an agent of a company or another legal person, such as an officer or other employee acting for your employer, then "you" and "your" mean your principal, the entity or other legal person for whom you are acting. However, importantly, even if you are acting as an agent for another, you may still be personally liable for violation of laws such as copyright infringement.

This EULA is a legal agreement between you and Steema. You intend to be legally bound to this EULA to the same extent as if Steema and you physically signed this EULA. By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms and conditions contained in this EULA. If you do not agree to all of the terms and conditions contained in this EULA, you may not install or use the SOFTWARE. If you have already installed or begun to install the SOFTWARE you should cancel any install in progress and uninstall the SOFTWARE. If you do not agree to all of these terms and conditions, then you must promptly return the uninstalled SOFTWARE to the place from which you purchased it in accordance with the return policies of that place.

II. YOUR LICENSE TO DEVELOP AND TO DISTRIBUTE.

Detailed below, this EULA grants you three licenses: 1) a license to use the SOFTWARE to develop other software products (the "Development License"); 2) a license to use and/or distribute the Developed Software (the "Distribution License"); and 3) a license to use and/or distribute the Developed Software on a Network Server (the "Web Server License"). All of these licenses (individually and collectively, the "Licenses") are explained and defined in more detail below.

1. Definitions. Terms and their respective meanings as used in this EULA:

"Network Server" means a computer with one or more computer central processing units (CPU's) that operates for the purpose of serving other computers logically or physically connected to it, including, but not limited to, other computers connected to it on an internal network, intranet or the Internet. "Web Server" means a type of Network Server that serves other computers more particularly connected to it over an intranet or the Internet.

"Developed Software" means those computer software products that are developed by or through the use of the SOFTWARE. "Developed Web Server Software" means those Developed Software products that reside logically or physically on at least one Web Server and are operated (executed therein) by the Web Server's central processing unit(s) (CPU). "Developed Desktop Software" means those Developed Software products that are not Developed Web Server Software, including, for example, standalone applications. "Redistributable Files" means the SOFTWARE files or other portions of the SOFTWARE that are provided by Steema and are identified as such in the Documentation for distribution by you with the Developed Software. "Developer" means a person using the SOFTWARE in accordance with the terms and conditions of this EULA.

"Development License" is a "Per-seat license". Per-seat means the license is required for each machine that the SOFTWARE will reside on. Every machine installing, running and/or using the software for development purposes must have a licensed copy and its appropriate license.

"Developer seat" is the use of one "Per seat" licensed copy of the SOFTWARE by one concurrent Developer.

2. Your Development License.

You are hereby granted a limited, royalty-free, non-exclusive right to use the SOFTWARE to design, develop, and test Developed Software, on the express condition that, and only for so long as, you fully comply with all terms and conditions of this EULA.

The SOFTWARE is licensed to you on a Per Seat License basis.

The Development License means that you may perform a single install of the SOFTWARE for use in designing, testing and creating Developed Software on a single computer with a single set of input devices, restricting the use of such computer to one concurrent Developer. Conversely, you may not install or use the SOFTWARE on a computer that is a network server or a computer at which the SOFTWARE is used by more than one Developer. You may not network the SOFTWARE or any component part of it, where it is or may be used by more than one Developer unless you purchase an additional Development License for each Developer. You must purchase another separate license to the SOFTWARE in order to add additional developer seats if the additional developers are accessing the SOFTWARE on a computer network. If the SOFTWARE is used to create Developed Web Server Software, then you may perform a single install of the SOFTWARE for use in designing, testing and creating Developed Web Server Software by a single Developer on a single computer or Network Server. No additional End User Licenses are required for additional CPUs on the single computer or Network Server.

In all cases, you may not use Steema's name, logo, or trademarks to market your Developed Software without the express written consent of Steema; agree to indemnify, hold harmless, and defend Steema, its suppliers and resellers, from and against any claims or lawsuits, including lawyer's fees that may arise from the use or distribution of your Developed Software; you may use the SOFTWARE only to create Developed Software that is significantly different than the SOFTWARE.

3. Your Distribution License.

License to Distribute Developed Desktop Software. Subject to the terms and conditions in this EULA, you are granted the license to use and to distribute Developed Desktop Software on a royalty-free basis, provided that the Developed Desktop Software incorporates the SOFTWARE as an integral part of the Developed Software in machine language compiled format (customarily an ".exe", or ".dll", etc.). You may not distribute, bundle, wrap or subclass the SOFTWARE as Developed Software which, when used in a "designtime" development environment, exposes the programmatic interface of the SOFTWARE. You may distribute, on a royalty-free basis, Redistributable Files with Developed Desktop Software only.

4. Your Web Server License.

Subject to the terms and conditions in this EULA, you are granted the license to use and to distribute Developed Web Server Software, provided that you must purchase one Web Server License for each Network Server operating the Developed Web Server Software (and/or Redistributable Files called or otherwise used directly by the Developed Web Server Software). Notwithstanding the foregoing, however, you may distribute or transfer, free of royalties, the Redistributable Files (and/or any Developed Desktop Software) to the extent that they are used separately on the client/workstation side of the network served by the Web Server.

5. License Serial Number.

Upon purchase of the SOFTWARE a unique serial number (the "Serial Number") is provided by Steema either electronically or via the delivery channel. The Serial number provides a means to install and Register the SOFTWARE. The Serial Number is subject to the restrictions set forth in this EULA and may not be disclosed or distributed either with your Developed Software or in any other way. The disclosure or distribution of the Serial Number shall constitute a breach of this EULA, the effect of which shall be the automatic termination and revocation of all the rights granted herein.

6. Updates/Upgrades.

Subject to the terms and conditions of this EULA, the Licenses are perpetual. Updates and upgrades to the SOFTWARE may be provided by Steema at their discretion at timely intervals though Steema does not commit to providing such updates or upgrades, and, if so provided by Steema, are provided upon the terms and conditions offered at that time by Steema.

7. Evaluation Copy.

If you are using an "evaluation copy" or similar version, specifically designated as such by Steema on its website or otherwise, then the Licenses are limited as follows: a) you are granted a license to use the SOFTWARE for a period of fifty (50) days counted from the day of installation (the "Evaluation Period"); b) upon completion of the Evaluation Period, you shall either i) delete the SOFTWARE from the computer containing the installation, or you may ii) contact Steema or one of its authorized dealers to purchase a license of the SOFTWARE, which is subject to the terms and limitations contained herein; and c) any Developed Software developed with an evaluation copy may not be distributed or used for any commercial purpose.

III. INTELLECTUAL PROPERTY.

1. Copyright.

You agree that all right, title, and interest in and to the SOFTWARE (including, but not limited to, any images, photographs, code examples and text incorporated into the SOFTWARE), and any copies of the SOFTWARE, and any copyrights and other intellectual properties therein or related thereto are owned exclusively by Steema, except to the limited extent that Steema may be the rightful license holder of certain third-party technologies incorporated into the SOFTWARE. The SOFTWARE is protected by copyright laws and international treaty provisions. The SOFTWARE is licensed to you, not sold to you. Steema reserves all rights not otherwise expressly and specifically granted to you in this EULA.

2. Backups.

You may make one copy the SOFTWARE solely for backup or archival purposes.

3. General Limitations.

You may not reverse engineer, decompile, or disassemble the SOFTWARE, except and only to the extent that applicable law expressly permits such activity notwithstanding this limitation.

4. Software Transfers.

You may not rent or lease the SOFTWARE. You may transfer the SOFTWARE to another computer, provided that it is completely removed from the computer from which it was transferred. You may permanently transfer all of your rights under the EULA, provided that you retain no copies, that you transfer all the SOFTWARE (including all component parts, the media and printed materials, any dates, upgrades, this EULA and, if applicable, the Certificate of Authenticity), and that the recipient agrees to the terms and conditions of this EULA as provided herein. Steema should be notified in writing of license transfers where the company of the recipient is different to that of the original licensee. If the SOFTWARE is an update or upgrade, any transfer must include all prior versions of the SOFTWARE.

5. Termination.

Without prejudice to any other rights it may have, Steema may terminate this EULA and the Licenses if you fail to comply with the terms and conditions contained herein. In such an event, you must destroy all copies of the SOFTWARE and all of its component parts.

IV. DISCLAIMER and WARRANTIES

1. Disclaimer

Steema's entire liability and your exclusive remedy under this EULA shall be, at Steema's sole option, either (a) return of the price paid for the SOFTWARE; (b) repair the SOFTWARE through updates distributed online. Steema cannot and does not guarantee that any functions contained in the Software will meet your requirements, or that its operations will be error free. The entire risk as to the Software performance or quality, or both, is solely with the user and not Steema. You assume responsibility for the selection of the component to achieve your intended results, and for the installation, use, and results obtained from the SOFTWARE.

2. Warranty.

Steema makes no warranty, to the maximum extent permitted by law, either implied or expressed, including with-out limitation any warranty with respect to this Software documented here, its quality, performance, or fitness for a particular purpose. In no event shall Steema be liable to you for damages, whether direct or indirect, incidental, special, or consequential arising out the use of or any defect in the Software, even if Steema has been advised of the possibility of such damages, or for any claim by any other party. All other warranties of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose, are expressly excluded.

V. MISCELLANEOUS.

1. This is the Entire Agreement.

This EULA (including any addendum or amendment to this EULA included with the SOFTWARE) is the final, complete and exclusive statement of the entire agreement between you and Steema relating to the SOFTWARE. This EULA supersedes any prior and contemporaneous proposals, purchase orders, advertisements, and all other communications in relation to the subject matter of this EULA, whether oral or written. No terms or conditions, other than those contained in this EULA, and no other understanding or agreement which in any way modifies these terms and conditions, shall be binding upon the parties unless entered into in writing executed between the parties, or by other non-oral manner of agreement whereby the parties objectively and definitively act in a manner to be bound (such as by continuing with an installation of the SOFTWARE, "clicking-through" a questionnaire, etc.) Employees, agents and other representatives of Steema are not permitted to orally modify this EULA.

2. You Indemnify Steema.

You agree to indemnify, hold harmless, and defend Steema and its suppliers and resellers from and against any and all claims or lawsuits, including attorney's fees, that arise or result from this EULA.

3. Interpretation of this EULA.

If for any reason a court of competent jurisdiction finds any provision of this EULA, or any portion thereof, to be unenforceable, that provision of this EULA will be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this EULA will continue in full force and effect. Formatives of defined terms shall have the same meaning of the defined term. Failure by either party to enforce any provision of this EULA will not be deemed a waiver of future enforcement of that or any other provision. Except as otherwise required or superseded by law, this EULA is governed by the laws of Spain. If the SOFTWARE was acquired outside of Spain, then local law may apply.


About TeeChart

TeeChart Pro order informationLicense and disclaimer

TeeChart Charting components have been written in Delphi by David Berneda. They are 100% Delphi Native Visual Component Library compliant.

For those of you familiar with TeeChart you may wish to look at What's new for a listing of many of the new features of version 2011.


Getting Started

This section should bring you up to speed if you are trying out TeeChart for the first time. Building a Chart from scratch is very quick with TeeChart so we recommend it worth your while to run through the included examples in your Delphi IDE.

Topics in this section:

2.1. Getting started

2.2. Using TeeChart online help.

2.3. Using the TeeChart Wizard.

2.4. Which TeeChart Component should I use ?.

2.5. Creating a new Chart with the TChart or TDBChart component.

2.6. The Chart Editor.

2.7. Configuring data Series in a TChart.

2.8. Configuring data Series in a TDBChart.

2.9. Modifying Chart data.


Using TeeChart on-line help

Selecting a TeeChart component

Whilst designing your project using a TeeChart component you may select the component from the component palette or on the form where you have placed it and key F1. Context sensitive help relating to that component will appear.

Selecting a TeeChart property, method or event

Highlight a property or event in Object Inspector and key F1 to obtain help for that item. Alternatively write the word for which you would like some help in your code. Select the word by placing and clicking the cursor on that word and key F1. If help is available, TeeChart context sensitive help will access directly a description relating to that functionality.

Help Contents page

The Delphi help Contents page includes a branch dedicated to TeeChart. You can follow the headings there to take you to particular reference section.


Using the TeeChart Wizard

To create a Chart using TeeChart Wizard select the File menu in Delphi and New. Choose Business from the tab selector in the New Items window. You will see the TeeChart Wizard icon.

Simply double-click the icon to start creating Charts! The Wizard will lead you through the steps necessary to create your own non-database or database aware Chart.


Which TeeChart component should I use?

There are three TeeChart icons in the component palette.

TChart | TDBChart | TQRChart

TQRChart, is a component especially tailored for use with QuSoft’s QuickReport - See the chapter Adding a Chart to QuickReport.TQRChart is descendant of TDBChart.

The 2 components, TChart and TDBChart are the basic building blocks of all TeeChart Charts.

If you wish to create the data Series for your Chart manually, or via a coded procedure then use the TChart component. If you wish to source your graph data from a table or SQL query then use the TDBChart component. You may, of course, use TDBChart in all cases but it will result in a larger compiled size of your code which would be inefficient if you are not using a datasource (explanation follows).

Once an initial data Series is defined, both Chart components, TChart and TDBChart support the use of another data Series as a data source.

- So why two kinds of Chart components?

- couldn’t we achieve this functionality via just one component?

Answer:

Projects compiled with using only TChart components, don't need the Borland database unit (db.pas).

Internally, both derive from the TCustomChart component, which is responsible for most Charting capabilities.


The Chart editor

Fig. 2.

The Chart Editor screen

The Chart page (1st page) of the Chart editor contains definition information for the Chart. It includes sections to define general and other more specific, Chart parameters. Some parameters won’t apply until you have some data Series defined in the Chart. Try modifying a parameter, the Title for example, and you will see it update in real time on the Chart.

To access the Chart editor double-click on any TChart or TDBChart component placed on a Form. Alternatively right mouse-click on the TChart to bring up a menu which includes Chart editor as one of the options.

To edit a TQRChart you may follow the same procedure as above whilst the TQRChart is placed on a QuSoft QuickReport.

See the user guide for more information about the Chart Editor.

To see some data Charted we need to create a data Series...

Add a data Series

Press the Add button in the Series tab section of the Chart page. TeeChart will show you a gallery of Series types. Select one to add to your Chart, you can change its type later if you decide that you would prefer to visualise your data in a different way.

Width1Width3Width1488Width3Width6804Fig. 3. The Chart Gallery | Width1Width3Width1488Width3Width6804
 | Width1Width3Width1488Width3Width6804

Select a Series type by mouse or with arrow keys and press ‘OK’. Double-clicking on the Series type will achieve the same result. The Extended Series page is only available in the Gallery with TeeChart Pro.

The Series type is automatically added to your Chart. In the Chart editor you will see a new configuration tab added for the new Series.

Suppose we had selected a line Series. The editor will appear as follows:

Width1Width3Width1486Width3Width6945Fig. 4. New Series added to Chart | Width1Width3Width1486Width3Width6945
 | Width1Width3Width1486Width3Width6945

TeeChart has added the Series to the Chart. It has also added some random values so that you can visualise, in the Chart, the Series appearance at design-time to easily follow any changes you are making.

Press the F9 key to compile your project. The project should compile to show you an empty Chart. The random values don’t work at runtime so the next step is to go back to the Chart Editor and add a data source or write your own code to add data values.

Edit the Series

Selecting the Series tab allows you to edit your Series. The next step is to add data to the Series. The steps necessary to include the data for the Series vary slightly between a TChart component and a TDBChart component. See the following 2 sections:

Configuring data Series in a TChart.

and

Configuring data Series in a TDBChart.


Modifying Chart data

Chart data may be accessed via the the Point Valueindex of each Series' points.

Deleting points:

Use the Series Delete method:

{This will delete the 5# point from LineSeries1}

LineSeries1.Delete( 5 );

Modifying points:

Use the Series XValue, YValue properties:

LineSeries1.YValue[3] := 27.1 ;

{In Bubble Series}

BubbleSeries1.RadiusValues.Value[ 8 ] := 8.1 ;

{In Pie Series}

PieSeries1.PieValues.Value[ 3 ] := 111 ;

Please refer to each specific Series type to see its specific data related methods.

DateTime point coordinates:

TeeChart Series accept DateTime values.

{First, you need to set the DateTime property to True in the desired X and/or Y values list.}

LineSeries1.XValues.DateTime := True ;

{Second, use the same above described methods, but give the values as Date, Time or DateTime values}

LineSeries1.AddXY( EncodeDate( 2000 , 1 , 23 ) , 25.4 , 'Barcelona' , clGreen );


TChartSeries

The TChartSeries component is the ancestor of all Series types. When referencing the properties of the Series type with which you are working check, in addition to the properties listed with that Series, the properties of the TChartSeries to get a full list of properties common to all Series.

Topics included in this section:

Line and Fast Line

Horizontal Line

Bar

Horizontal Bar

Area

Point

Pie

Arrow

Bubble

Gantt

Shape

Combining Series


Line Series

There are 2 standard line Series types available, Line and Fast Line. Which one should be used ? Fast line is just what its name describes - it is fast. It is distinct from Line because to achieve speed - speed to add new points to the Series - the price paid is that it foregoes some properties that the Line Series has. See the section on Fast Line for a description of those differences.

Line

See TLineSeries for a full list of properties and methods

3D Line Series showing one Series with the stairs property set to true. The stairs can be inverted.

Fast line

See TFastLineSeries for a full list of properties and methods

This line Series draws only at 2 Dimensions but draws very quickly - performance will depend on your hardware - The Series type was originally conceived to tackle high volume requirements of technical and financial applications but serves well for any dataset of very high point volumes.


Bar

See TBarSeries for a full list of properties and methods

The bar Series in 2 or 3 dimensions doesn’t have to be represented by a rectangular bar -

Choose a barstyle for your Chart Series or ‘mix and match’ to suit your needs.

Example bar Series configuration

Mixing bar Series styles may be useful for some applications. Below is an example stacked bar Chart.

Mixed bartypes

Steps taken to build this demo Chart and populate it with data are as follows:

1. Drag a Chart component onto your form and drag it out to the size you want.

2. Click the right mouse button over the Chart and select editor from the menu.

Add 3 bar Series and give them individual titles using Title on the first editor screen (titles in our example ‘East’ ‘West’ and ‘Other’).

Select Multi Bar and set as stacked in the Format page of any one of the 3 Series (The change will apply to all 3 Series).

Add a title using the entry tab for ‘Titles’ in the Chart page of the editor.

Go to the axis tab. Select Left axis and add the title. We allowed the axis to automatically size itself but took minor ticks off on the bottom axis.

Each Series has a different shape defined for its bars. We define the shape individually in the configuration page of each barSeries. The first tab, Format, has the option for Style.

You could code the style with:

East.BarStyle:= bsPyramid ;
West.BarStyle:= bsInvPyramid ;
Other.BarStyle:= bsRectangle ;

Lookup BarStyle in the TeeChart online help to get the full list of options.

For this Chart it would be necessary to control the Series order to achieve the correct effect. This can be done in the Chart Editor at design time by selecting the Series in the Series list of the Chart page and using the arrows to change the order. At runtime we can achieve the same with the following code:

Drawing order is always based on the order for which the Series are assigned to ParentChart.

The order can be altered at run-time via the Serieslist property:

Chart1.SeriesList[ 0 ] := East;
Chart1.SeriesList[ 1 ] := West;
Chart1.SeriesList[ 2] := Other;

We added some random values to populate this demo. We could launch the code at form creation or put a button on the form to run the code.

procedure OurForm.Button2Click(Sender: TObject);
var t:integer;
begin
  Randomize;
  with East do
    for t:=1 to 12 do AddY( Random(70),     ShortMonthNames[t],clTeeColor);
  with West do
    for t:=1 to 12 do AddY( Random(70), ShortMonthNames[t],clTeeColor);
  with Other do
    for t:=1 to 12 do AddY( Random(30), ShortMonthNames[t],clTeeColor);
end;

We populated the data for 12 months but are showing only 5 months. The Paging tab in the Chart page of the editor has the definition of points per page.

Bar Series display

The Multi Bar parameter set in the Format tab of the Series page for one of the bar Series sets the display alignment of the bars for each bar Series in the Chart. - It is not necessary to go to each bar Series to change the parameter.

The following figure shows different formats to display bar Series. Each Chart has the same information only displayed in a different way. The Stacked 100% Series display doesn’t represent the actual values but rather the relative value of each element of the Series to a total of 100%.

Width1Width3Width1418Width3Width4749Width3Width1559 Fig. a A 3D Bar Series showing four methods to display the same information. | Stacked property NoneWidth1Width3Width1418Width3Width4749Width3Width1559
Fig. b | SideWidth1Width3Width1418Width3Width4749Width3Width1559
Fig. c | StackedWidth1Width3Width1418Width3Width4749Width3Width1559
Fig. d | Stacked 100%Width1Width3Width1418Width3Width4749Width3Width1559


Horizontal bar

See THorizBarSeries for a full list of properties and methods

The horizontal bar Series shares the same properties as the bar Series. Apart from any aesthetic requirement, one occurrence of the need to use a horizontal bar Series may be to adequately display long axis labels which are best read horizontally.

2D Horizontal bar


Area

See TAreaSeries for a full list of properties and methods

An Area Series has similar characteristics to a line Series - filled -

3D Area Series


Point

See TPointSeries for a full list of properties and methods

A Point Series is similar in definition to a Line Series without the line.

2D Horizontal bar


Pie

See TPieSeries for a full list of properties and methods

A Pie Series is unique in not needing any axis. It is possible to mix a Pie Series in a Chart with another Series that requires an axis.

3D Pie


Arrow

See TArrowSeries for a full list of properties and methods

3D Arrow Series

The arrow Series is useful for displaying start and end points of many individual events.


Bubble

See TBubbleSeries for a full list of properties and methods

The Bubble Series has 3 configurable parameters that define the value of the data in your Series.

Xvalues, YValues, RadiusValues

The bubble Series is useful for showing importance weighting. For example, comparing high volume selling product that, by income, doesn’t bring in a revenue of the scale of another low volume seller. We can see at a glance, literally, that big bubbles are important !

2D Bubble Chart

Shapes

Bubble Series can be configured in variable shapes, triangles, etc..


Gantt

See TGanttSeries for a full list of properties and methods

Use the Gantt Chart as a planner or to track progress of a project or Series of activities.

The Gantt Series draws bars that have start and end values which may be of datetime format. You may define a Y axis value for the vertical position of the bar and you may define ‘next bar’ to draw connection lines between the bars.

2D Chart with a Gantt Series.

How to add Gantt bars manually

Use the AddGantt or AddGanttColor methods.

Example:

   GanttSeries1.AddGantt(  EncodeDate( 2000, 1,  1 ),
                           EncodeDate( 2000, 1, 31 ),
                           0,
                           'Programming' );

Or...

   GanttSeries1.AddGanttColor(EncodeDate( 2000,1,1 ),
                              EncodeDate( 2000,1,31),
                                0, 'Programming',
                                clGreen );

Where "0" is the desired vertical position for this bar.

Choose the vertical position you prefer.

To connect gantt bars:

1) Store the "AddGantt" or "AddGanttColor" function return longint:

Var tmp1, tmp2 : Longint;

tmp1:=GanttSeries1.AddGantt(EncodeDate(2000,1,1 ),
                            EncodeDate( 2000,1,31 ),
                               0,'Programming' );

tmp2:=GanttSeries1.AddGantt(  EncodeDate( 2000,4,1 ),
                              EncodeDate( 2000,4,30),
                               0, 'Testing' );

2) Then use the NextTask property:

GanttSeries1.NextTask[ tmp1 ] := tmp2 ;

This will draw a line from 'Programming' gantt bar to 'Testing' bar. The "ConnectingLinePen" property is the pen used to draw lines.


Shape

See TChartShape for a full list of properties and methods

Shape Series are useful for defining or adding any additional information to your Chart, perhaps in runtime as a result of receipt of exceptional data. You may add text to any shape you add to your Chart and relate the shape to another Series.

Shape Series

Each shape has two co-ordinates associated with it, top left and bottom right of the invisible rectangle that encloses the shape. You may add text to the box. These co-ordinates and messages could be updated at runtime by your code to dynamically put the shapes anywhere on your Chart.


Combining Series

There is no practical limit to the number of Series that you can add concurrently to your Chart.

You may mix different Series types, almost any Series type with any other Series type. For certain combinations it is not practical as axis definition between Series may directly conflict. For those cases the Series not available are greyed out in the Series gallery so that you cannot mistakenly select them.

See the section on functions for more about combining Series types. Functions work with other Series to create and display algorithmic relationships.

Combining Series

Example Series combination

Combining Seriestypes in one Chart can add a great deal of information value. The following example shows the incomes by Division and puts the $ index in the same Chart to measure the effect of that external influence on incomes (perhaps no influence at all in this example !!).

2D Combining Series types

You may combine Series in 3D Charts. The previous example is represented in 3D below. The Chart looks attractive although a high degree of 3D perspective makes it more difficult to visualise the monthly $ index with Division incomes.

3D combining Series types (60% 3D)

You could minimise the effect by reducing the extent of ‘side’ view (percentage 3D).

3D combining Series types (6% 3D)

Or you could modify code so that at runtime the Chart will put all Series in the same Z-plane. 3D Charts have a property called Z-Order (see figure) which controls the depth position of each Series.

It is possible to put all Series on the same plane although we advise caution as the effect may be confusing depending on which Series types you are combining.

The following line of code (name of Chart here Chart1) will put all Series in the same Z plane:

Chart1.ApplyZOrder:=False;


Adding a Chart to QuickReport

TeeChart integrates seamlessly with Qusoft’s QuickReport. To add a TeeChart to a QuickReport follow these steps:

Drop a QuickReport on a form.

Using the QRChart icon on the QuickReport palette

Put a TQRChart onto the QuickReport worksheet.

You may now double click on the TQRChart to bring up the Chart editor. From this point forward you may work with the Chart as with any other TDBChart.

At runtime, access properties and methods for the Chart via the TQRChart.Chart property.

TQRChart on a QReport at design time

Notes on working with QuickReport

Metafile

TeeChart uses Windows Metafile format for superior quality when outputting to a printer and for drawing onscreen. Also the quality of the printout is better if the Chart shape is maintained as nearly as possible to the default Chart rectangle form.

Clipping

TQRCharts do not support Series clipping. The may result in slight overlay of the Series onto the Chart axis if data points are adjacent to the axis.


Standard functions

Add

See TAddTeeFunction for a full list of properties and methods

The Add function adds data from one or more Series. If we create a line Series ‘Series1’, create a line Series ‘Function Add’ and define Series ‘Function Add’ as Add of Series1 and do nothing more we will obtain a Chart with Series1 displayed and ‘Function Add’ as one flat line which is the sum of all values of Series1. In the figure the total of 1 + 2 + 3 + 4 + 5 + 6 = 21.

Fig. 1.

2D Add function with 1 Series input

We can modify the Series ‘Function Add’ to represent Add of Series1 by 2 point groupings (1+2), (3+4), (5+6). We use the period property (Chart Editor in the Data source page). Coded it looks like this:

Series2.FunctionType.Period:=2;

{where Series2 is the functionSeries}

Alternatively:

TeeFunction1.Period:=2;

{The name of the function is automatically allocated when the function is defined in the Chart editor - You will find it in the Object inspector}

Defining the period as 2, sets the Add function to add every 2 points. The period property adds enormous value to function Series.

Fig. 2.

Add function with period = 2

Subtract

See TSubtractTeeFunction for a full list of properties and methods

Subtract requires 2 input Series. With more than one Series in the function the default period sets to 1 axis point. the 2nd Series will be subtracted from the 1st Series in the list.

The following Chart is defined with ApplyZOrder:=False which forces all Series to draw in the same 3-Dimensional plane - The resulting Series overlay (a sort of optical illusion) in the Chart depends on the Series paint order.

Fig. 3.

Subtract function

Multiply

See TMultiplyTeeFunction for a full list of properties and methods

The default period for the function ‘multiply’ is 1. You may add as many Series as you wish to the multiply function.

Fig. 4.

Multiply function

Divide

See TDivideTeeFunction for a full list of properties and methods

As divide requires at least 2 input Series the default period for the divide function is 1. The 2nd Series in the list is the denominator.

If you add more than 2 Series then the 1st will be divided by the 2nd then that is divided by the third, etc.…

Fig. 5.

Divide function

High

See THighTeeFunction for a full list of properties and methods

High accepts multiple input Series and will always display the highest point between those Series at each period point. (1 Series default period 0, 2 or more Series default period 1).

Fig. 6.

High function

Low

See TLowTeeFunction for a full list of properties and methods

Low accepts multiple input Series. It will always display the lowest point between those Series at each period point. (1 Series default period 0, 2 or more Series default period 1).

Fig. 7.

Low function

Average

See TAverageTeeFunction for a full list of properties and methods

Fig. 8.

Average function

The default period for average with one Series is 0 (all) which will give you the average for that Series across the whole Chart. If you have more than one Series the period will be 1 axis point.

You may change the period to alter the frequency of the average curve.


Working with TeeChart Overview

Overview - Working with Charts and Series

This section describes some design considerations and conventions for working with TeeChart. The section Working with Charts and Series brings to your attention some points of interest that may help with the design of your application.

Topics in this section include:

Click events

Custom drawing on the Chart

Series manipulation

Printing Charts

Chart Zoom and Scroll

Real-time Charting and speed

Functions

To understand the design paradigm of TeeChart we need to separate conceptually the contents of the Chart -the data Series- from the Chart itself, e.g. its Axis format, Legend and Titles. We can define and work with Series across Chart boundaries, referencing Series components independently of the Chart. We may, however, copy and paste a Chart and it will copy with all its defined contents, Axis, Legends and Series

Two Chart components

There are 2 Chart components - The distinction serves simply to help cut down memory use for Charts that do not need to access a database.

Projects compiled with using only TChart components, don't need the Borland Database Engine DLL's (BDE). A new TChart will not contain configuration parameters for connecting to a database.

Delphi offers the use of the TClientDataset as a Datasource. It does not use the BDE.

Chart subcomponents

The 2 Chart components have subcomponents. If, for example, you wish to access or modify the property of an axis of your Chart you will be modifying the property of one of the following subcomponents:

BottomAxis
TopAxis
LeftAxis
RightAxis
DepthAxis

See TChartAxis to get a complete list of axis properties. Legend is another example of of a TChart subcomponent.

The Chart as backdrop to your Series

The Chart components provide the backdrop for your data Series. The overall ‘look’ of your Chart is controlled by the Chart properties accessible via the Chart Editor, the Delphi Object Inspector or by coding - see the online help for a complete list.

As a backdrop you have available to you the Delphi Canvas property and methods to calculate screen co-ordinates from values and vice-versa. Every TChart component has a "Canvas" property which is a standard Delphi TCanvas object.

Associating a Series with a Chart

Series associate with a Chart via a Series property called ParentChart. The Series are moveable between Charts by changing the Chart defined in the ParentChart property. When you add a Series using the TeeChart Editor the ParentChart property of the Series is set automatically to the Chart in which you are working.

Via the Chart editor

After a Chart has been placed on a form, a right button click gives access to the Edit Chart menu (alternatively double-click). The first screen of the Edit Chart menu offers a list of button options to add, delete, clone, change type or title of a Series. Adding a data Series via this menu automatically associates the new data Series with the Chart.

Via the Object Inspector

Whilst browsing the list of components of a form in the Object Inspector you should see all Series added to any Chart on that form. Those Series components are not directly visible on the form but are nevertheless components with accessible properties.

If, for example, and you could try this with a simple test, you have 2 Charts on your form and have used the Chart editor to add a Series to one of the Charts - you could now access the property list of that Series in the Object Inspector and change the name of ParentChart to the other Chart on the form. On now opening the Chart editor for the new ‘ParentChart’ you will see the Series. Of course if you make this move for a Series defined with DataSource from a TDBChart to a TChart you will lose the ability to access the DataSource as the TChart is not database aware.

Via code

Use the ParentChart property to associate (or disassociate) a Series with a Chart.

Example:

In Form1, we'll create and show another Form (Form2), and assign Form1.LineSeries1 to Form2.ChartInForm2 :

With TForm2.Create(Self) do
try
    Self.LineSeries1.ParentChart := ChartInForm2 ;
    ShowModal ;
finally
    Free ;
end ;

That will show Form2 (containing a Chart component) and drawing Form1.LineSeries1.

Often used parameters

All the parameters associated with Charts are useful at the time you need them. We cover a few frequently used properties in detail below as an introduction. For a more detailed study of these and many other configurable parameters please refer to the remaing Topics of this section, Working with Charts and Series.

Label increment, % separation and angle

It may be difficult to fit all your axis labels onto the axis that displays onscreen - As an example, this is often true of date labels which are long and can have a high incidence of change on the axis.

Label Increments

TeeChart offers Label increment as a means to controlling the frequency of labelling on your Chart axis. You can access the property via the Chart Editor under Axis (select your axis) - Scales - Desired increment. The menu shows you a list of the standard options for time increments (e.g. One second, one minute … one day, etc.) Selecting ‘one day’ will cut out repetitions of date on the axis, showing the date label only once for the point range of that date.

Via code you may access the property as a property of the subcomponent for the relevant axis.

Example:

Chart1.BottomAxis.Increment := DateTimeStep[ dtOneHour ] ;
Chart1.RightAxis.Increment  := 1000 ;

% Separation

If the labels on the axis have a look of rolling into one another you can increase the % separation which will forcibly increase the gap between them. In some cases this may, as a result, hide some labels. It will very much depend on your labels and whether your Chart users will have the option to ‘resize’ their Chart.

The option is available in the Chart Editor under Axis (select your axis) - Labels - % Separation.

Setting Labels Separation to 0 % means no overlapping checking will be performed, thus all axis labels will be displayed.

Angle

If it is neither practical or possible to place the axis labels side to side along the axis another option is change the angle of the labels to 90º to the axis. This option is available in the Chart Editor under Axis (select your axis) - Labels - % Angle.

BitMaps (BMP) or Metafiles

TeeChart offers both the bitmap (BMP ) and the Metafile format to save Charts. Two type of metafile formats are supported WMF (Windows Metafile Format) and EMF (Extended Metafile Format).

Bitmap format is used internally by TeeChart. It is quicker to draw onscreen than a Metafile. When requiring a Chart to be ‘exported’ to another application or to be embedded in a container application such as MSWord a Metafile format handles resizing better onscreen - TeeChart uses Metafile format with QuickReport.

Zoom

TeeChart offers as default zoom on all Charts. To obtain zoom at runtime hold the left mouse button and drag mouse toward down/right. You'll see a rectangle around the selected area. Release the left mouse button to Zoom. You can continue zooming again and again. To RESTORE (or UNDO) the zoom, drag a rectangle in the opposite direction (up/left).

Note

You may use mouseclicks to activate code associated with points in data Series. That OnClick behaviour will override zoom behaviour. You can set toggle between OnClick events and zoom with the CancelMouse property.

You may enable or disable zoom functionality in the Chart Editor - Chart page, General tab. The option, Zoom.Allow accesses the Chart property, also changeable by code:

Chart1.Zoom.Allow := False;

‘False’ deactivates zoom.

Zoom can also be obtained via coding. It is necessary to obtain the screen pixel co-ordinates for the area in which you wish to do the zoom.

Example 1:

Zoom an area with "pixel" co-ordinates:

Rect.Left  := 123 ;
Rect.Top   := 67 ;
Rect.Right := 175 ;
Rect.Bottom:= 100 ;

Chart1.ZoomRect( Rect );

Example 2:

Zoom an area with point value co-ordinates:

You need first to translate from value to pixel co-ordinates. To do so, you can use the Axis or Series components.

Rect.Left  := LineSeries1.CalcXPosValue(22.5);
Rect.Top   := LineSeries1.CalcYPosValue(5000);
Rect.Right := LineSeries1.CalcXPosValue(57.6);
Rect.Bottom:= LineSeries1.CalcYPosValue(15000);
Chart1.ZoomRect(Rect);

Backimage

You can add more information to your Chart or simply enhance its appearance by adding a bitmap as a backdrop.

Bitmap as a Chart backdrop

You will find the parameters to define your Chart backdrop in the General tab of the Chart page of the Chart editor.


Click events

Topics in this section include:

OnClickSeries

OnClick

Series OnClick and OnDblClick

Chart OnClickSeries

The TChart event, OnClickSeries, permits access to any active Series in your Chart. Put the following code into your project to get an idea of the possibilities. To access the event and add the procedure definition to your project, select your Chart and open the Object Inspector. Select the events tab to find OnClickSeries. Double-click on OnClickSeries.

procedure TForm1.DBChart1ClickSeries(Sender: TCustomChart;
  Series: TChartSeries; ValueIndex: Integer; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  ShowMessage(' Clicked Series: '+Series.Name+' at point: '+    inttostr(valueindex));
end;

The valueindex refers to the index of the Series data point (point, bar, etc.) within the Chart. You may use it to access the X and Y value. For example:

begin
ShowMessage(' Clicked Series: '+Series.Name+' at point: '+ Floattostr(Series.XValue[valueindex]) + ',' + Floattostr(Series.YValue[valueindex]));
end;

Chart OnClick

You may use the OnClick event of the Chart to get the same information.

procedure TForm1.DBChart1Click(Sender: TObject);
var t,tmp : Integer;
    x,y:Double;
begin
  Series1.GetCursorValues(x,y);
  for t:=0 to DBChart1.SeriesCount-1 do
  begin
    tmp:=DBChart1.Series[t].GetCursorValueIndex;
    if tmp<>-1 then
       ShowMessage(' Clicked Series: '+DBChart1.Series[t].Name+' at point: '+IntToStr(tmp));
  end;
end;

Series OnClick and OnDblClick

The Series OnClick event catches click events at Series level. Thus for multiple Series Charts you are able to restrict access to the data of a specific Series. To access the OnClick event of the Series you must select the Series in the Object Inspector and go to the events tab.

procedure TForm1.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  ShowMessage(' Hello: '+Sender.Name+' at point: '+IntToStr(valueindex));
end;


Custom drawing on the Chart

If you require to add textboxes or other shapes relative to Chart axis the Shape Series may be the best choice. If the shape Series doesn’t match your specific requirement you may draw your own lines and/or shapes on the Chart.

TeeChart offers access to the Chart area by axis or by screen pixel. The TeeChart demos, UDraw.pas and Uhighlo.pas, are useful references for custom drawing on a Chart.

Topics in this section include:

Calculating Co-ordinates

Axis' Value to Screen co-ordinate Methods

CalcPosValue

CalcPosPoint

CalcSizeValue

CalcYPos and CalcXPos

Series' Value to Screen co-ordinate Methods

CalcPosValue

CalcXPos and CalcYPos

XScreenToValue and YScreenToValue

Chart Canvas

Writing to the Canvas

Internal bitmap

Repainting

When to draw ?

Chart Regions

Drawing

Calculating Co-ordinates

This chapter explains how to convert from Point co-ordinates to pixels and vice-versa. Also how to determine the exact co-ordinates for each graphics element in Chart components.

Point Values are expressed in user custom scales.
Chart Axis are responsible for converting point values into suitable X and Y screen pixel co-ordinates for displaying them.

Both Axis and Series components have several functions to convert from screen co-ordinates (in pixels) to Axis or points values (in user-defined units).

The difference between using Axis or Series conversion functions is that Axis will only interpret co-ordinates for the topmost position in 3D mode, while Series will adjust co-ordinates to their Z order position.

Note: Using conversion functions is only valid after a Chart component has been drawn, either to screen or to a private hidden Canvas.

Axis' Value to Screen co-ordinate Methods

CalcPosValue

You can calculate the screen position for a given value using any Axis:

       Var MyPos : Integer ;
      MyPos := Chart1.LeftAxis.CalcPosValue( 100.0 );

MyPos holds now the pixel co-ordinate for “100.0” on Chart1 Left Axis ( Vertical ), being “100.0” a floating value in Axis scales.

You can use this co-ordinate to custom draw or to calculate mouse clicks. See chapters below.

If you want to convert from pixel co-ordinates to Axis values, you can use the opposite function:

CalcPosPoint

Var MyValue : Double ;

      MyValue := Chart1.LeftAxis.CalcPosPoint( 100 );

MyValue holds now the Axis value co-ordinate for “100” on Chart1. Left Axis ( Vertical ), being “100” a screen pixel co-ordinate.

Note: Pixel co-ordinates start from 0, being 0,0 the Chart origin point. This is valid for screen, but when drawing to metafiles, drawing to custom canvases or printing, Chart origin point can optionally be different than 0,0.

The Chart1.ChartBounds property returns the origin and ending co-ordinates for the Chart bounding rectangle.

CalcSizeValue

Axis have another function to calculate how much screen space represents a given Axis range:

Var Space : Integer ;

    Space := Chart1.LeftAxis.CalcSizeValue( 1000 );

Remember Axis can be DateTime and you can for example convert a Date Range period in pixels:

Var Space : Integer ;

    Space := Chart1.BottomAxis.CalcSizeValue(
    EncodeDate( 2000,12,31) - EncodeDate( 2000,1,1) );

CalcYPos and CalcXPos

You could use CalcYPos and CalcXPos. When drawing using the XPos and YPos co-ordinates remember that the co-ordinate 0,0 is Top,Left of the Chart rectangle, ChartRect. ChartRect is the area enclosed by the 4 axis of the Chart.

The following example draws a line from an arbitary point from the Y-axis across the Chart. Note the use of canvas properties.

procedure TForm1.Button1Click(Sender: TObject);
var
    MyHalfwayPoint, YPosition: Integer;

Begin
  With Series1.YValues do
   MyHalfwayPoint:=round(((MaxValue-MinValue)* 0.5) + MinValue);

{ then calculate the Screen Pixel co-ordinate of the above value }

        YPosition:=DBChart1.LeftAxis.CalcYPosValue(MyHalfwayPoint);
   With DBChart1.Canvas do
      begin
        { change pen and draw the line avoiding the
        3D areas and axis of the Chart - Height3D,Width3D}
          Pen.Width:=3;
          Pen.Style:=psSolid;
          Pen.Color:=clBlack;
         with DBChart1 do
         begin
          MoveTo(ChartRect.Left,YPosition);
          LineTo(ChartRect.Left+Width3D,YPosition-Height3D);
          LineTo(ChartRect.Right+Width3D,YPosition-Height3D);
         end;
       end;
end;

Series' Value to Screen co-ordinate Methods

Series have similar methods for converting co-ordinates to point values and vice-versa. The main difference is that by using the Series method you don’t need to know the exact Axis component for calculations.

This is a big advantage when having Series associated to Right or Top Axis, or multiple Series associated to each Axis.

CalcPosValue

This code calculates where in the screen the Series1 point with value 1000 is located:

Var MyPos : Integer ;

    MyPos := Series1.CalcPosValue( 1000 );

or...

MyYPos := Series1.CalcPosValue( Series1.YValue[ 0 ] ) ; { <-- first point }

CalcXPos and CalcYPos

You can calculate both X and Y co-ordinates for a specific point or for a specific point value:

MyXPos := Series1.CalcXPos( EncodeDate( 2000, 12, 31) ) ;

or...

MyXPos := Series1.CalcXPos( Series1.XValues.Last ); { <-- last point }

XScreenToValue and YScreenToValue

To convert from screen pixels to point values, use:

Var MyValue : Double ;

    MyValue := Series1.YScreenToValue( Y ) ;

(and XScreenToValue for horizontal co-ordinates).

You can query the point under a given pair of XY screen co-ordinates using the Series.Clicked function. (See Mouse Clicks chapter).

Chart Canvas

Chart.Canvas is a standard Delphi Canvas. You may control the appearance of your Chart using Canvas properties. See TCanvas help in Delphi for a full list of properties.

Writing to the Canvas

The following example divides the area of the backdrop of the Chart rectangle into 5 equal segments and colours them according to the colour array.

procedure TDrawForm.LineSeries1BeforeDrawValues(Sender: TObject);
Const
   MyColors:array[1..5] of TColor=
    ( clNavy,
      clGreen,
      clYellow,
      clRed,
      $00000080 { very red }
      );
var t,partial: Integer;
    tmpRect:TRect;
    With Chart1 do
      Begin
        { we will divide the total Chart width by 5 }
        tmpRect:=ChartRect;
        tmpRect.Right:=tmpRect.Left;
        partial:=ChartWidth div 5;

        { change the brush style }
        Canvas.Brush.Style:=bsDiagCross;
        Canvas.Pen.Style:=psClear;

        { for each section,fill with a specific color}
        for t:=1 to 5 do
        Begin
          { adjust the rectangle dimension }
              tmpRect.Right:=tmpRect.Right+partial+1 ;

              { set the brush color }
              Canvas.Brush.Color:=MyColors[t];

              { paint !!! }
              With tmpRect do
                Canvas.Rectangle( Left+Width3D,Top-                Height3D,Right+Width3D,Bottom-Height3D );
                  { adjust rectangle }
                  tmpRect.Left:=tmpRect.Right;
            end;
       end;
end;

Internal bitmap

TChart components have an internal bitmap object, which is used when drawing as a hidden “buffer”. When drawing is finished, this “buffer” is copied to the screen video memory to display it.

TChart Canvas property returns the internal bitmap Canvas object.

Note: BufferedDisplay property controls if the internal bitmap is used. Using this bitmap no flicker occurs when redrawing real-time Charts. Also, some Charts with many points can take advantage of faster drawing speed on memory bitmaps instead of direct drawing to slower video card memory chips.

Drawing to a bitmap Canvas is exactly the same as drawing to another “real” Canvas in terms of source code transparency and results.

Note: When drawing to a metafile or printing, the Chart Canvas property refers to metafile or printer Canvas objects. No bitmap is used in these cases.

After a Chart has been drawn onto the internal bitmap, and its copied onto the screen canvas, Chart Canvas property refers to the original “real” Chart Canvas.

Repainting

You should call Chart1.Invalidate or Series1.Repaint to force a Chart component to draw again.

When to draw ?

The order in which you draw to the Canvas is important.

If you wish Custom drawn items to appear above Chart Series you should use the Chart OnAfterDraw event. The Chart1.OnAfterDraw event is fired each time the Chart component is redrawn, just before copying the internal bitmap to screen.

You can place Custom drawn items above the Chart grid and below the Chart Series by placing your code in the Chart OnBeforeDrawSeries event.

Key Chart Paint events:

OnBeforeDrawChart
OnBeforeDrawAxes
OnBeforeDrawSeries
OnAfterDraw

Chart Sub components also have events that may be used to Paint to the Canvas.

Eg.

OnAfterDrawValues
OnBeforeDrawValues

An example of use of OnBeforeDrawValues is the TeeChart multiple Pie example which sets the Chart rectangle plotting area before plotting the values of the Series.

Advanced: For more control you might want to create your own Chart class and override the several Draw... virtual methods.

Chart Regions

The biggest rectangle around a Chart is at ChartBounds property. ChartWidth, ChartHeight, ChartXCenter and ChartYCenter are pre-calculated co-ordinates based on ChartBounds property.

Axis are drawn inside this space. The ChartRect property returns the bounding rectangle for Axis ( same in 2D and 3D ).

Chart Legend has the RectLegend public property which defines the Legend rectangle bounds.

Chart Title and Foot have TitleRect public properties.

In 3D Charts, each Series is assigned a specific section among the “Z” ( depth ) axis.

The Chart Width3D and Height3D are the dimensions of the 3D depth, in pixels. SeriesWidth3D and SeriesHeight3D are the dimensions for each individual Series in a Chart.

Drawing

Lets start drawing with a basic example.

This code draws an horizontal line just at the middle of Chart1:

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
  With Chart1 do
          begin
                Canvas.Pen.Color:=clYellow;
                Canvas.MoveTo( ChartBounds.Left,
                ChartYCenter );
                Canvas.LineTo( ChartBounds.Right,                     ChartYCenter );
          end;
end;

Drawing inside Axis space:

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
  With Chart1 do
      begin
        Canvas.Pen.Color:=clYellow;
        Canvas.MoveTo( ChartRect.Left, ChartYCenter );
       Canvas.LineTo( ChartRect.Right, ChartYCenter );
      end;
    end;

Drawing a line at each point in Series1 :

procedure TForm1.Series1AfterDrawValues(Sender: TObject);
var t, x, y : Integer ;
begin
       for t := 0 to Series1.Count - 1 do
       begin
             x:=Series1.CalcXPos( t );
            y:=Series1.CalcYPos( t );
           Chart1.Canvas.MoveTo( x-8, y-8 );
           Chart1.Canvas.LineTo( x+8, y+8 );
     end;
end;

Note: Drawing Text

Always set Chart1.Canvas.Font.Height to a negative value

instead of using Font.Size if want same font sizes on screen

and on printer or metafiles.


Working with Axes

Topics in this section:

Setting Axis scales

DateTime Axis

Logarithmic Axis

Inverted Axis

Axis Styles & Increment

DateTime Increment

Grid lines

Axis Labels

CustomDraw (Axis)

Custom Axes

Setting Axis scales

Chart components have five standard axes: LeftAxis, RightAxis, TopAxis, BottomAxis and DepthAxis. Each axis is an instance of TChartAxis component class. Unlimited Custom Axes may be added.

Axes are responsible of calculating pixel co-ordinates for Series points and to allow any valid range so scroll and zoom can be always performed. As new Series are inserted, or new points are added to the Series, Axes recalculate, by default, their Minimum and Maximum values.

You can turn off automatic recalculation of Axis scales by setting the Automatic property to false:

Chart1.LeftAxis.Automatic := False ;

Also, both the Axis Minimum and Axis Maximum values can optionally be independently automatic or not.

Chart1.LeftAxis.AutomaticMaximum := False ;
Chart1.LeftAxis.AutomaticMinimum := True ;

You can change Axis scales using the Minimum and Maximum properties:

With Chart1.LeftAxis do

    begin
        Automatic := False ;
        Minimum:=         0 ;
        Maximum:= 10000 ;
    end;

or using the Axis SetMinMax method:

Chart1.LeftAxis.SetMinMax( 0, 10000 );

DateTime Axis

Note:

An Axis contains DateTime scales when the associated Series components have XValues.DateTime or YValues.DateTime properties True. There is no DateTime property for Axis.

Changing scales in DateTime Axis is the same as for non-datetime values:

With Chart1.LeftAxis do
    begin
         Automatic := False ;
        Minimum:=  EncodeDate( 1990, 3,16 ) ;
        Maximum:= EncodeDate( 2000, 5, 24 );
    end;

Logarithmic Axis

An Axis can be set to Logarithmic only if Axis Minimum and Maximum are greater than or equal to zero. This is the only difference between setting linear and logarithmic scales.

Note:

Axis Labels are not displayed in logarithmic increments. You can generate custom Axis Labels (see OnGetNextAxisLabel and OnGetAxisLabel events and the Axis Labels section in this Topic).

Inverted Axis

An Axis can be Inverted so Axis Minimum and Maximum are swapped. We suggest you use Inverted:=True as little as possible as it can give misleading results due to its (normally) rarity of use.

Axis Styles & Increment

Axis can be displayed in several ways, with tick lines or without,

with grids or without, with Labels or without, and you can customise all formatting properties such as colours, fonts and pen styles. The Axis Increment property controls the number of grid lines and labels and the distance between them.

By default it’s zero, meaning Axis will automatically calculate the Labels increment. Setting the Axis Increment property is independent of setting Axis scales. You can have automatic Axis Maximum and Minimum and a fixed Increment.

The Increment property grows automatically until all Axis Labels can be displayed. If you don’t want this automatic feature, set the Axis LabelsSeparation to zero:

Chart1.LeftAxis.LabelsSeparation :=  0 ;

Warning:

When LabelsSeparation is zero, no checking is performed against

labels size, so you must take care labels will not overlap each other.

The following code sets the vertical Axis Increment to 30:

Series1.Clear;
Series1.AddArray( [ 20, 50, 120 ] );
Chart1.LeftAxis.Increment:= 30;

By default, the first Axis label starts at nearest Increment. Setting RoundFirstLabel to False makes labels to start at Axis Maximum:

Chart1.LeftAxis.RoundFirstLabel := False ;

DateTime Increment

Use the predefined DateTimeStep array of constants to determine the Axis Increment on DateTime axis:

Chart1.BottomAxis.Increment := DateTimeStep[ dtOneMonth ] ;

And set the ExactDateTime property to True if you want Axis Labels to be at exact datetime boundaries, for example at 1st day of month.

Chart1.BottomAxis.ExactDateTime := True;

Note:

Logarithmic axis use the Increment property as linear.

Grid lines

Axis Grid lines are displayed at each Increment position, or at each Axis Label position. The Axis TickOnLabelsOnly property controls this feature:

Chart1.BottomAxis.TickOnLabelsOnly := False ;

Axis Labels

There are several Axis labelling styles. The Axis LabelStyle property control axis labelling modes:

Chart1.BottomAxis.LabelStyle := talValue ;

Possible values are:

Width1Width3Width1041Width3Width5418talValue | Labels display Axis scalesWidth1Width3Width1041Width3Width5418
Width1Width3Width1041Width3Width5418talMark | Labels display Series Point MarksWidth1Width3Width1041Width3Width5418
talText | Labels display Series XLabelsWidth1Width3Width1041Width3Width5418
talNone | No labels displayedWidth1Width3Width1041Width3Width5418
Width1Width3Width1041Width3Width5418talAuto | Style is automatically calculatedWidth1Width3Width1041Width3Width5418

When LabelStyle is talText, TeeChart will set it automatically to talValue if Series have no XLabels.

For talMark and talText styles, axis labels are displayed exactly at Series point positions, thus not using the axis Increment property.

You can customise labels text by using the OnGetAxisLabel event:

procedure TForm1.Chart1GetAxisLabel(Sender: TChartAxis;
  Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
begin
      if Sender=Chart1.LeftAxis then
          if ValueIndex < 2 then LabelText :=’’ ;
end;

The OnGetNextAxisLabelEvent allows you to define where you want the Labels to appear. In this example, we want the Vertical Left Axis to show labels only for positive values, starting at zero and with 250 label increment.

procedure TAxisLabelsForm.Chart1GetNextAxisLabel(Sender: TChartAxis;
    LabelIndex: Integer; var LabelValue: Double; var Stop: Boolean);
  begin
    if Sender=Chart1.LeftAxis then
    Begin
      if LabelValue>=250 then LabelValue:=LabelValue+250
                         else LabelValue:=250;
    End;

    { we want more labels !! }
    Stop:=False;
  end;

The following example plots only the specified 3 Labels on the Left Axis then stops plotting Labels for that Axis:

procedure TForm1.Chart1GetNextAxisLabel(Sender: TChartAxis;
  LabelIndex: Integer; var LabelValue: Double; var Stop: Boolean);
begin
    if Sender=Chart1.LeftAxis then
    Begin
      Stop:=False;
      Case LabelIndex of
         0:  LabelValue:=50;
         1:  LabelValue:=80;
         2:  LabelValue:=110;
         else Stop:=True;
      end;

    End;
end;

CustomDraw (Axis)

CustomDraw adds more axes to your Chart - As many as you wish. CustomDraw adds an axis as a ‘copy’ of an existing axis at a new location. CustomDraw axes are not Custom Axes, they are copies of the original Standard Axes at a (normally) different location.

The following example populates a line Series with random data. And creates 2 additional axis. There are 3 configurable locations PosLabels, PosTitle and PosAxis to place, respectively, the labels, title and the axis. The last parameter, GridVisible , which is boolean, defines whether to extend the axis grid to the new axis.

procedure TForm1.FormCreate(Sender: TObject);
var
   t:integer;
begin
     Series1.XValues.DateTime := False;
     Chart1.BottomAxis.Increment:=0;
     For t:= -10 to 10 do
         Series1.addXY(t,Random(100),'', clTeeColor);
end;

procedure TForm1.Series1AfterDrawValues(Sender: TObject);
var posaxis,percent: Integer;
begin
  percent:=50;
  With DBChart1 do
  begin

    PosAxis:=ChartRect.Left+Trunc(ChartWidth*Percent/100.0);
   LeftAxis.CustomDraw(posaxis-10,posaxis-40,posaxis,True);
        PosAxis:=ChartRect.Top+Trunc(ChartHeight*Percent/100.0);
       BottomAxis.CustomDraw(posaxis+10,posaxis+40,posaxis,True);

  end;
end;

Custom Axes

With Chart Editor

Custom Axes may be added and configured at design time using the Chart Editor. Basic steps to bear in mind:

  • On Chart Editor Axis page use the “+” button to add an Axis

  • The new Axis is vertical with Left sided Labels by default. Go to the Position tab to optionally set it to Horizontal and to set the Labels to the other side (Right or Top depending on whether Vertical or Horizontal axis)

  • Configure all Axis characteristics as per any Standard Axis. Important feature, as with Standard Axes is the Position tab that allows you to move and redimension the Axis to anywhere on the Chart

  • The Custom Axis must be associated with one or more Series. Go to the Series General tab and select the Axis for the Series

By Code

The following code adds 2 Axes, vertical and horizontal and associates them to a Series. The axes will scale by default to best fit the data to the Chart, so after adding the Series then adding the custom axes you will note that the Custom Axes scale is (most likely, depending on data) different to the Standard Axis scale. To test the following code, start a new project, add a TChart to a Form and a Bitmap Button, add 2 Series to the Chart with the Chart Editor, then paste in the following code:

procedure TForm1.FormCreate(Sender: TObject);
begin
  Series1.FillSampleValues(10);
  Series2.FillSampleValues(10);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
 tmpVertAxis: TChartAxis;
 tmpHorizAxis: TChartAxis;
begin
  {Add vertical Axis}
  Chart1.CustomAxes.Add;
  tmpVertAxis:=Chart1.CustomAxes[0];
  tmpVertAxis.PositionPercent:=50;
  Series1.CustomVertAxis:=tmpVertAxis;

  {Add horizontal Axis}
  Chart1.CustomAxes.Add;
  tmpHorizAxis:=Chart1.CustomAxes[1];
  tmpHorizAxis.Horizontal:=True;
  tmpHorizAxis.Axis.Color:=clGreen;
  tmpHorizAxis.PositionPercent:=50;
  Series1.CustomHorizAxis:=tmpHorizAxis;
end;

The Custom Axes may be accessed via the Chart.CustomAxes list.


Series manipulation

This chapter documents how to manipulate Series and how to manipulate Series points and other Series internal data.

Note: Advanced. Series and values code is mainly located at TEENGINE.PAS unit.

Topics in this section:

Creating Series at runtime

SeriesList Collection

SeriesCount property

Deleting Series

Changing the Series Z order at runtime

Adding Points

Adding arrays of data

Null Values

Controlling Points Order

XY Points

Point Limits

Series Points

Retrieving and modifying Points

Locating Points

Point Statistics

Notifications

Point Colours

Point Labels

Changing the Series type at runtime - Advanced

Creating Series at runtime.

Series can be created at runtime just as like any other Delphi component:

First you need a Series variable:

Var MySeries : TBarSeries ;

{Then create the component:}

MySeries := TBarSeries.Create( Self );

{And then assign it to the desired Chart component:}

MySeries.ParentChart := Chart1 ;

{Now you can add points to MySeries or do whatever you can do with a design-time created Series.}

Shortcut:

{If you don’t need access to MySeries, the above code can be reduced to just one line of code:}

Chart1.AddSeries( TBarSeries.Create( Self ) );

{Class references:

Or you can use a Series class reference:

First declare the Series class variable:}

Var MyClass : TChartSeriesClass;

{Then set the desired Series class type:}

MyClass := TBarSeries ;

{Now you can create the Series component:}

Chart1.AddSeries( MyClass.Create( Self ) );

SeriesList collection

Chart components store all Series in SeriesList property, a Delphi TList object.

You have read-only access to this list in three ways:

A) Using the SeriesList property:

MySeries := Chart1.SeriesList [ 0 ]

B) Using the Series array property:

MySeries := Chart1.Series [ 0 ]

C) Or using the Chart1 default property:

MySeries := Chart1 [ 0 ]

Either way does the same.

SeriesCount property

The Chart1.SeriesCount property returns the number of Series in the SeriesList.

You can use SeriesCount to traverse all Chart Series:

for t := 0 to Chart1.SeriesCount - 1 do
With Chart1.Series [ t ] do
begin
   SeriesColor := clBlue ;
end;

Deleting Series

Series can be hidden in three ways:

A) Setting the Series Active property:

Series1.Active := False ;

B) Removing the Series from their parent Chart:

Series1.ParentChart := nil;

C) Destroying the Series completely:

Series1.Free ;

Changing the Series Z order at runtime.

In 3D mode (when Chart1.View3D is True ), all Series are assigned a Z order position. That is, the order where Series will be drawn, starting with the far most Series on the Chart 3D space.

You can control the order Series will be drawn, using these methods:

Chart1.ExchangeSeries( 0, 1 );

or...

Chart1.SeriesUp( Series1 );
Chart1.SeriesDown( Series1 );

The Series.ZOrder integer property returns the corresponding Z position for the Series.

Some Series in certain modes share the same ZOrder, like Stacked BarSeries. You can check if more than one Series has the same Z order using these functions:

if Series1.FirstInZOrder then .....
if Series1.MoreSameZOrder then .....

Adding Points

Every Series type has, at least, 2 values for each point. These values are designed as X and Y point co-ordinates.

Note: Values are defined as “Double” floating point variables.

Extended Series types have more than 2 values, like BubbleSeries has X, Y and Radiusvalues for each point.

So, each Series type has its appropriate method to add points, although the most common Series types like Line, Bar, Point and Area share the generic AddY method to add points.

The following code empties a TPieSeries and adds some sample values to it:

Series1.Clear ;

    Series1.Add(  1234, ‘USA’, clBlue );
    Series1.Add(  2001, ‘Europe’, clRed );

For extended Series types, please refer to each specific Series reference to know which method should be used to add points.

The Series AddArray method can be used in some situations:

Series3.Clear;

    Series3.AddArray([ 1234, 2001, 4567.12 ] );

AddArray does not Clear the Series before adding points.

You can express points as constants or variables:

Series3.AddArray([ Table1Sales.AsFloat, 123, MyTotal ] );

Adding arrays of data

To add an array of data to a Chart Series simply allocate the array to the Series.

Example

procedure TDynArrays.Button1Click(Sender: TObject);
Var X,Y : Array of Double;   // TChartValues
    t   : Integer;
    Num : Integer;
begin
  { number of points here using an Editbox to set Array size}
  Num:=StrToInt(Edit1.Text);

  { allocate our custom arrays }
  SetLength(X,Num);
  SetLength(Y,Num);

  { fill data in our custom arrays }
  X[0]:=0;
  Y[0]:=Random(10000);
  for t:=1 to Num-1 do
  begin
    X[t]:=t;
    Y[t]:=Y[t-1]+Random(101)-50;
  end;

  { set our X array }
  With Series1.XValues do
  begin
    Value:=TChartValues(X);  { <-- the array }
    Count:=Num;               { <-- number of points }
    Modified:=True;           { <-- recalculate min and max }
  end;

  { set our Y array }
  With Series1.YValues do
  begin
    Value:=TChartValues(Y);
    Count:=Num;
    Modified:=True;
  end;

  Chart1.UndoZoom; { <-- remove zoom (optional) }

  { Show data }
  Series1.Repaint;
end;

Null Values

In some circumstances you might have no values for specific points. You should then add these points as “zero” or add them as “null” values.

Null values will not be displayed, while “zero” values will be displayed as usual.

The following code adds several points and a null point:

With Series1 do
begin
  Clear ;
  AddY( 10, ‘John’, clGreen );
  AddY( 20, ‘Anne’, clYellow );
  AddY( 15, ‘Thomas’, clRed );
  AddNull( ‘Peter’ );
  AddY( 25, ‘Tony’, clBlue );
  AddY( 20, ‘Mike’, clLime );
end;

Each Series type will handle null values in different ways.

Bar, HorizBar, Line, Area and Point do not display null points.

PieSeries use null values as “zero”.

Controlling Points Order

Points can be optionally sorted either by their X values or Y values. The Series.XValues and Series.YValues Order property controls the points Order:

Series1.XValues.Order := loAscending ;

Possible values are: loNone, loAscending or loDescending.

By default, XValues Order is set to loAscending, and YValues Order to loNone, which means new added points are ordered by their X co-ordinate. For non XY Charts, the X co-ordinate is always the point position, starting from zero.

The point Order is used by Series components to draw their points.

Note: Order must be set before points are added to the Series.

You can change the Order property at run-time, followed by a call to Sort method:

Example:

Drop a TChart onto a Form, add a Line Series.

Drop a TButton and assign this code to Button1Click:

Series1.AddArray([ 5, 2, 3, 9]);

Now drop another TButton and add this code to Button2Click:

With Series1 do
begin
    YValues.Order:=loAscending;
    YValues.Sort;
    Repaint;
end;

Now execute and press Button1 to fill Series1, and press Button2 to see Series1 points drawn on Series1 YValues Ascending order, but having the original X co-ordinates.

Note: If you aren’t using X co-ordinates, one more line of code is required.

Drop a new TButton (Button3) and add this code to Button3Click:

Series1.XValues.FillSequence;
Series1.Repaint;

Now points will be “re-numbered”, starting from zero among Series1 XValues axis. This will re-order points so now they will be drawn as if they were originally added to the Series in their new order.

This “two-step” point sorting allows Line Series to draw with vertical orientation.

XY Points

Adding X co-ordinates to points makes Series components calculate user specific horizontal point positions.

Note: Bar Charts can be difficult to interpret with X co-ordinates.

Pie Series do not allow X co-ordinates.

To add X co-ordinates, simply use the AddXY method:

Drop a TChart, add a Point Series:

With Series1 do
begin
  Clear ;
  AddXY(  10, 10, ‘Barcelona’, clBlue );
  AddXY(  1, 10, ‘San Francisco’, clRed );
end;

Note: If you use a Bubble Series, use the TBubbleSeries AddBubble method.

Remember to set XValues.Order to loNone if don’t want points to be sorted on their X co-ordinate.

Point Limits

Maximum number of points per Series and Series per Chart limited on available memory.

Deleting Points

Simply call the Series.Delete method, passing the point index as the argument. Point index starts at zero.

Series1.Delete( 0 );  { <-- removes the first point in Series1 }
Series1.Delete( Series1.Count - 1 ) ;  { <-- removes the last point in Series1 }

An exception “List out of bounds” will be raised when attempting to Delete a non-existing point, so always check there are enough points in the Series prior to delete them:

if Series1.Count > MyIndex then Series1.Delete( MyIndex );

Calling Delete forces re-calculation of Functions and repainting of the Chart.

Series Points

Retrieving and modifying Points

Once points have been added, you can retrieve their co-ordinates or change them.

The XValues and YValues array properties can be used:

Var MyValue : Double ;

MyValue := Series1.YValues[ 0 ] ; { <-- retrieves the first Y value }

You can traverse these arrays to perform calculations:

Var MyTotal : Double ;

        t : Integer ;

    MyTotal := 0 ;
    for t:= 0 to Series1.Count - 1 do
        MyTotal := MyTotal + Series1.YValues[ t ] ;

    ShowMessage( FloatToStr( MyTotal ) );

Extended Series types have additional array properties, such as

BubbleSeries RadiusValues. You can access these properties in

the same way as with XValues or YValues arrays:

if BubbleSeries1.RadiusValues[ Index ] > 100 then .....

Modifying point values can be performed using the above properties:

Series1.YValues[ 0 ] := Series1.YValues[ 0 ] + 1 ;

    Series1.RefreshSeries ;

Locating Points

The XValues and YValues Locate function searches a specific

value in the List and, if found, returns the value Index, starting

from zero.

Var MyIndex : Integer ;

    MyIndex := Series1.YValues.Locate( 123 );

    if MyIndex = -1 then
      ShowMessage(‘  123 not found in Series1 !! ‘ )
    else
       ShowMessage(‘  123 is the ‘+IntToStr( MyIndex+1 )+’ th point in Series1 !! ‘ );

Point Statistics

XValues and YValues properties maintain the following statistical figures:

TotalThe sum of all values in the list.

TotalABSThe sum of all values as absolute (positive).

MaxValueThe maximum value in the list.

MinValueThe minimum value in the list.

You can call manually to RecalcMinMax method to recalculate MinValue and MaxValue. Total and TotalABS are maintained automatically.

These values are used to speed up several Axis scaling calculations and are used as helpers for percent calculations.

TChartValueList object has several other methods and properties to manipulate point values. Please refer to online help documentation.

Notifications

Whenever points are added, deleted or modified, the Series generates internal notification events. These events are used to recalculate Series that depend on other Series points.

Advanced: You can use RecalcOptions property to control when recalculations are performed.

Point Colours

All Series maintain an internal List of colours. One for each point in the Series.

You can access this list with ValueColor array property, to retrieve or change point colours:

Var MyColor : TColor ;

    MyColor := Series1.ValueColor[ 0 ] ;

    Series1.ValueColor[ 1 ] := clBlue ;

TeeChart defines a generic colour constant named: clTeeColor.

Points with clTeeColor colour will be drawn using the SeriesColor colour.

Delphi predefines constants for basic colours (clBlue, clRed, etc.). Colours can also be expressed in RGB format. Using a video colour depth of 16k colours or more results in better colour matching.

Point Labels

Each point has an associated text, called XLabel, and declared as a Delphi string.

Point Labels are used in Axis Labels, Chart Legend and Point Marks.

Labels are stored at Series XLabel array property.

You can access and modify XLabel point texts:

Series1.XLabel [ 0 ] := ‘Sales’ ;

Changing the Series type at runtime - Advanced

Every Chart type corresponds to a different Delphi Component.

Changing a Series type involves changing the Series component class.

That means a new Series of the new class must be created, old Series properties should be assigned to the new instance, and finally the old Series must be destroyed.

All this happens automatically when you manually change a Series type at design-time using the Chart Editor Dialog and the Gallery.

You can change a Series type at run-time calling:

ChangeSeriesTypeGallery(Self, MySeries );

Warning:

You should change your private Series components.

You can change also Series components owned by the Form,

but only if not using them after.

Var MySeries : TChartSeries ;
MySeries := Series1 ;
ChangeSeriesTypeGallery(Self, MySeries );


Printing Charts

This chapter explains how Charts are printed and which properties and methods are used to control the printing process.

Note:

Advanced. Printing methods are located in the CHART.PAS unit.

Topics in this section:

Printing

Margins

Resolution

Print, PrintLandscape....

PrintPartial

Multiple Charts per Page

Windows and printers limitations

Clipping

Rounding circles

Rotating fonts

Dotted Pen styles and Pen Width

From FAQ - Practical issues when printing TeeCharts

Introduction

Design issues

How to Print Proportionally?

Other problems

Printing Reference

More information:

Printing

Margins

When printing, you can specify which margins on the paper page should be left blank. The public PrintMargins:TRect property stores the desired paper margins expressed as percents of total page dimensions.

PrintMargins:=Rect(15,15,15,15); { default 15 % printing margins }

The TChart.ChartPrintRect:TRect function returns, after applying the printing margins, the space where the Chart component will be drawn expressed as logical canvas units (pixels or dots).

With PrintMargins you can define any area of any size inside the page.

Note:

When changing paper orientation, margins are recalculated.

Resolution

Charts are printed in metafile (WMF in 16bit, EMF in 32bit) format.

Metafiles are scaleable vector formats, so a “wysiwyg” effect can be achieved if sending to the printer how a Chart looks on screen. However, you might want to exploit the printer’s bigger resolution capabilities versus screen displays.

The TChart.PrintResolution integer property controls how a Chart is scaled when sending it to the printer. By default PrintResolution is zero. Setting it to a negative value in the percentage range from zero to -100 makes the Chart proportionally bigger so there’s more space for Axis Labels. Smaller fonts are used as they will be clearer on paper than on screen.

Setting it to a positive value makes font sizes bigger.

Print, PrintLandscape....

Several methods exist to print a Chart component:

Print;
PrintRect(Const R:TRect);
PrintOrientation(AOrientation:TPrinterOrientation);
PrintPortrait;
PrintLandscape;

All the above methods will do the same, print a Chart on a new page and eject (form feed) the page:

Chart1.Print ;

Will print a Chart1 in the current printer’s paper orientation.

With PrintRect you can specify a custom Chart size and location. The default location and size is determined by ChartPrintRect function, which applies PrintMargins margins.

Delphi’s Printers unit contains the TPrinter object used for all Chart print methods.

PrintPartial

More advanced printing control can be obtained using the following methods:

Procedure PrintPartial(Const PrinterRect:TRect);

Procedure PrintPartialCanvas( PrintCanvas:TCanvas;
                                  Const PrinterRect:TRect);

Both will print a Chart component, BUT WILL NOT create a new printer page or eject it. You can print both your own text and graphics and Chart components on the same paper page.

Multiple Charts per Page

PrintPartial may be used to send more than one Chart to the printed page method by using BeginDoc and EndDoc to wrap the printing via several consecutive PrintPartial commmands.

Windows and printer limitations

Metafiles are very good as they are small and fast and scaleable.

Some limitations occur when using metafiles, as described in Microsoft Knowledge Base ( www.mskb.com ). TeeChart inherits those limitations:

Clipping

Clipping is stored in physical co-ordinates in metafiles. This means moving or scaling a clipped metafile will not scale or move the clipping region, giving undesirable results.

TeeChart does not draw partial points, so no clipping. Drawing on zoomed Charts will probably show partial points outside the Chart axis.

Rounding circles

As metafiles can be scaled, circles will be converted to ellipses when scaling.

Rotating fonts

Rotated fonts can not be exactly aligned on non-proportionally scaled metafiles.

Dotted Pen styles and Pen Width

Non solid pens (dots, dashes), can be drawn as solid with scaled metafiles.

From FAQ - Practical issues when printing TeeCharts

This section explains how TeeChart components are printed, and describes how to improve printing.

Introduction

Design issues

How to Print Proportionally?

Other problems

Printing Reference

More information:

Introduction

The TeeChart library sends Charts to the printer using a Windows graphic format known as "metafile". This format has several advantages and disadvantages over using the bitmap format:

- It's much smaller, because graphic information is stored in vector instructions, instead of pixels. This results in a faster printing speed in most cases.

- The printer doesn't need to have more memory to print 'large' images (Charts).

- Due to be a sequence of instructions instead of a fixed array of pixels, a metafile can be resized ( or "stretched" ) without losing resolution, and with greater accuracy.

- New printers support metafile format natively, via software driver or via "gdi hardware".

With Windows 32-bit (Windows 98, NT, 2000 and XP), an extended metafile format is implemented. This is known as "enhanced metafile". Metafiles have the extension: "*.wmf" and enhanced metafiles: "*.emf".

Design issues

The main goal of using metafiles in TeeChart, is to provide "wysiwyg" (what you see is what you get). That is, printed Charts should look as close as possible to how they look at screen.

To do this, TeeChart creates a metafile of the Chart image, and then sends this metafile to the printer. At this point, the Windows GDI module and the Windows Printer driver will take care of "painting" the Chart image on paper. This involves "stretching" or "resizing" the metafile, from screen coordinates to printer logical pixels.

Example:

A Chart on screen is at rectangle:

Left : 100

Top : 100

Right : 300

Bottom: 400

And it gets printed at this paper rectangle:

Left : 400

Top : 1000

Right : 1200

Bottom: 1500

In this example, the Chart should be rescaled both

in width and height:

screen Width = 300 - 100 = 200

paper Width = 1200 - 400 = 800

relation screen / paper = 800 / 200 = 4 <---

screen Height = 400 - 100 = 300

paper Height = 1500 - 1000 = 500

relation screen / paper = 500 / 300 = 1.666... <---

The problem is the relation between the horizontal and vertical increments is not the same:

4 <> 1.666...

This means the Chart will be expanded more in the horizontal dimension than in the vertical dimension. In this case, Windows increases font sizes and pen widths using the new dimensions.

How to Print Proportionally?

Some printers can show problems when printing Charts *without* using proportional printer margins.

The attached code can be used generically in your applications to calculate the optimal printer

printer margins so the relation between Chart Width and Height on screen is the same as on paper.

Another approach is to resize the Chart onscreen to match the proportion of the printer paper:

Chart1.Height:=Round(1.0*Printer.PageHeight*Chart1.Width/Printer.PageWidth);
Chart1.Print;

Other problems

Increasing resolution:

The metafile format is not aware of the "resolution" concept. This is means resolution information is not stored inside the metafile image. You can modify the Chart "resolution" *before* printing,

by setting this property:

Chart1.PrintResolution := -100 ;

Negative values (like -100 above), represent the porcentual increment in resolution. Zero means "wysiwyg".

More resolution is obtained by making all Chart fonts smaller and thinner lines. The metafile size is bigger when using more resolution. Increasing resolution can improve inaccuracy in buggy printer drivers calculations.

Printing non-solid lines:

In some printer / windows combinations, non-solid pen lines such as "dot" or "dash" will be printed as solid. This happens specially in some HP Laserjet printers. It seems the only workaround is to set the Chart Pen Width properties to Zero:

Chart1.LeftAxis.Grid.Width := 0;

Increasing resolution ( see above ) can make the printer to show non-solid lines.

Colors:

Many printers accept only a subset of the available Colors. This means setting a Chart color to a non-supported palette color may result in that color not being used by the printer, thus not drawing anything. In this situations, try with "well known" solid colors like "clRed, clBlue, clYellow, clGreen".

Some printers include a "Color Mapping" configuration dialog. (At Printer Properties dialog).

Printing directly:

Drawing a Chart directly onto a Printer GDI Handle or Canvas is also possible. The following code does it:

 Uses Printers;
 With Printer do
 begin
   BeginDoc;
   try
     Chart1.Draw( Canvas, Rect( 0,0,PageWidth,PageHeight ) );
   finally
     EndDoc;
   end;
 end;

You will see several problems printing directly:

-- The Chart background is gray color ( instead of white ).

-- Font sizes are extremely small.

-- There are many axis grid lines.

-- Lines are very thin.

One way to solve the above problems is using the metafile printing mode, described in this document. Another way (much more complicated) is to change all Font sizes and pen Width properties.

Printer driver settings:

Try to use always the latest "good" printer driver version. Try changing the Windows Printer driver resolution settings, and the spooler method (in Windows NT) to both "EMF" and "RAW" modes. "EMF" means all output is sent to the printer in metafile format.

Printing Reference

See the help file for extended information and examples on the following properties and methods

Printing Properties:

Properties involved in Chart printing are:

Chart1.PrintMargins

The percentual space at the four sides of the paper page.

Chart1.PrintResolution

The relation between screen dimensions and paper dimensions.

Printing methods:

The TeeChart control has several methods designed for printing:

Methods that print *and* eject the printed page:

These are the default and more used TeeChart printing methods.

Chart1.Print

Uses default paper orientation and margins.

Chart1.PrintPortrait

Sets paper in Portrait and uses default margins.

Chart1.PrintLandscape

Sets paper in Landscape and uses default margins.

Chart1.PrintRect

Uses default paper orientation and the Rect parameter to position the Chart on the page.

Methods that do not eject the printed page:

These methods allow printing more than one Chart in the same paper page, or print other things and Chart components on the same page.

With these methods you need to call Printer.BeginDoc and EndDoc yourself. See Delphi TPrinter documentation and printing demos in TeeChart “features” project.

Chart1.PrintPartial

Draws a Chart to the Printer Canvas at the passed rectangle.

Chart1.PrintPartialCanvas

Draws a Chart to the passed Canvas at the passed rectangle.

Related methods and properties:

Not directly involved with printing, but useful for advanced printing:

Chart1.Draw

Draws a Chart to the passed Canvas, in screen "mode".

"Screen mode" means with gray background and without

using the metafile format.

This method draws directly to the Canvas.

Chart1.TeeCreateMetafile

Function that returns a metafile image of the Chart,

with the passed Rect coordinates.

Chart1.Metafiling

Boolean property indicating the Chart is now drawing

onto a metafile image.

Chart1.Printing

Boolean property indicating the Chart is now drawing

onto a Printer Canvas.

More information:

Information about printing and metafiles can be found at Microsoft Windows 32-bit SDK help file:"Win32.hlp"

Use the "Help Contents" (not the index) and scroll-down up to the Metafiles chapter.

See the Delphi's TMetafile and TMetafileCanvas objects in Delphi's helpfile.


Chart Zoom and Scroll

Scrolling and Zooming a Chart is simply setting its Axis scales to the desired values. After zooming or scrolling a Chart, all Series will repaint their points in their new positions.

Note: Pie Series can’t be scrolled or zoomed. You can control Pie dimensions using Chart margins or Pie custom radius properties.

Topics in this section:

Zoom

Animated Zoom

Zooming by code

Undoing Zoom

Zoom Events

Scrolling

Scroll event

Controlling scroll

Keyboard Scrolling

Zoom

Charts can be zoomed programmatically or by user interaction with mouse dragging. See the Chart Zoom Class. The Chart Zoom.Allow property controls if users can apply zoom (default is True):

Chart1.Zoom.Allow:=True;

Users can zoom drawing a rectangle around the Chart area they want to see in detail.

Note:

Dragging should be done from top / left to bottom down. Dragging in the opposite direction resets axis scales ( no zoom ).

You can decide which mouse button and / or keys must be pressed to draw the zoomed area rectangle (degault is Left Mousebutton):

Chart1.Zoom.MouseButton:= mbMiddle;

As soon as users release the mouse button, TeeChart repaints to show the zoomed area.

Animated Zoom

You can control if TeeChart will calculate zoom positions immediately or it will be calculating zoom in short “steps” until reaching the desired zoom window.

This makes an “animated” zoom effect, which helps to identify better the zoomed area. This code activates animated zoom:

Chart1.Zoom.Animated:=True;

Set the AnimatedZoomSteps property to the desired number of intermediate zooms:

Chart1.Zoom.AnimatedSteps:=7;

Advanced:

You can control how linear the animated zoom steps are, using the global variable AnimatedZoomFactor, from 1 to n:

AnimatedZoomFactor:=2.0;

Zooming by code

You can zoom in or zoom out a Chart using any of these methods:

ZoomRect adjusts axis scales to show the TRect parameter area. The rectangle is expressed in screen pixel co-ordinates. Rectangle areas inside Chart1.ChartRect rectangle will zoom in, while area outside ChartRect will zoom out.

Chart1.ZoomRect( Rect( 100, 100, 200, 200 ) );

ZoomPercent sets Chart zoom to a percentual value. This example sets Zoom to 110 % percent to zoom in :

Chart1.ZoomPercent( 110 );

To reset zoom:

Chart1.ZoomPercent( 100 );

The above methods work independently, you can use both at the same time.

Undoing Zoom

The UndoZoom method resets axis scales to their automatic Minimum and Maximum values:

Chart1.UndoZoom;

This will display all Series points, undoing any previous zoom in or zoom out operation, either by code or using the mouse.

Note:

If you want axis scales to be at specific values after undoing zoom, you can use the Chart OnUndoZoom event, documented below.

The Zoomed boolean property returns if all four Chart Axis are automatic or not. If not Chart1.Zoomed then Chart1.ZoomPercent( 150 );

Zoom Events

The OnZoom event is triggered whenever zoom is applied to a Chart, either manually or programmatically:

procedure TForm1.Chart1Zoom(Sender: TObject);
begin

Button1.Visible:=True ; { make visible the “no-zoom” button }

end;

The OnUndoZoom event is called when undoing zoom, by code or by mouse.

Scrolling

Scrolling is very similar to zoom. Axis scales are incremented or decremented and the whole Chart component is repainted to show Series points at their new positions.

The Chart AllowPanning property controls if users can scroll Chart contents by dragging the mouse. Its possible values are:

pmNoneNo scroll is allowed.

pmHorizontal,

pmVertical Allow scroll only on these directions.

pmBoth Allow complete scroll over all directions.

Example:

Chart1.AllowPanning := pmNone ;  { no scroll is                                 allowed }

Like Zoom, the following control mouse and keyboard requirements to start scrolling:

Chart1.ScrollMouseButton := mbRight; { button used to scroll }
{Global variable}
TeeScrollKeyShift    : [ ssCtrl ];  { CONTROL key should be pressed to start scroll }

You can programmatically scroll a Chart, using the Axis Scroll method:

Procedure Scroll(Const Offset:Double;
                        CheckLimits:Boolean);

Example:

Chart1.BottomAxis.Scroll(  1000, True );

The above code increments BottomAxis scales by 1000. This is the same as doing:

With Chart1.BottomAxis do SetMinMax(Minimum+1000, Maximum+1000);

and setting BottomAxis Automatic property to False.

The Chart will repaint and the horizontal bottom axis will be “scrolled” to the left a quantity of “1000” in axis scales.

The “CheckLimits” boolean parameter instructs the axis to scroll ONLY if there are more Series points in the scrolling direction.

Scroll event

The Chart OnScroll event is fired every time users scroll manually the Chart.

procedure TForm1.Chart1Scroll(Sender: TObject);
begin
    Label1.Caption := ‘This Chart has scrolled ! ‘ ;
end;

Controlling scroll

The OnAllowScroll event can be used to programmatically accept or refuse a planned scroll:

procedure TForm1.Chart1AllowScroll(Sender: TChartAxis; var AMin,
  AMax: Double; var AllowScroll: Boolean);
begin
  if Sender = Chart1.BottomAxis then
     if AMax > 1000 then AllowScroll := False ;
end;

The above code refuses user scrolling if attempting to set bottom axis maximum to a value greater than 1000. The same checking can be performed over the DateTime axis:

if Sender = Chart1.BottomAxis then
     if AMax > EncodeDate( 2000, 12, 31 ) then AllowScroll := False ;

Keyboard Scrolling

To scroll with arrow keys, first, the Form KeyPreview property should be set to True.

At the KeyDown event, and depending on the pressed arrow key, the four Chart axis are scrolled using the Axis Scroll method.


Real-Time Charting and Speed

Two big rules apply to speed performance in real-time Charting:

1. Plot as few points as possible

2. Use the fastest possible hardware.

Together, these two rules really make a big speed difference when drawing Charts many times continuously.

Some other suggestions are:

- Use 2D. Three dimensional Charts are slower to paint than 2D.

- Make Charts small. Bigger Charts need more pixels to be filled.

- Remove Chart Legend and Titles when possible.

- Use default fonts and font sizes.

- Use FastLineSeries for fastest way to plot many points.

- Use solid pens and brushes styles.

- Avoid using circular shapes or circular bar styles.

- Don’t use background bitmaps or gradient fill effects.

- Set Chart BevelInner and BevelOuter properties to bvNone

- When possible, set Chart1.AxisVisible to False to remove axis.

- Set your video mode resolution and colour depth to the optimum values, according to your video card.

- A combination of 800x600 x 256 colours can be faster than 1024x768 x 32k colours, on average video cards.

BufferedDisplay

This public property controls how Charts are internally drawn. When True, the default, Charts are drawn into an internal hidden bitmap. When drawing is finished, this internal bitmap is transferred to the screen in one single operation. The result is non-flickering animation.

In some circumstances, setting BufferedDisplay to False can accelerate Chart redrawing. It depends on CPU and video card speed, and on the number of points plotted.

The bad news is that drawing directly to screen produces flickering, but can be helpful for really heavy redrawing applications.

When running tests try to use the same test project. Remember to use exactly the same data values in your tests with your real Charts. Use always the same number of points and the same point values when comparing speed results. Run the tests many times to obtain a fair statistical result and restart completely between tests.


Functions

A function may be defined to use one of most Series types as a ‘carrier’ Series and to act upon other Series to create its source data. When the function is defined it behaves as any other Series. Functions may thus be built upon other functions. Only in its definition of data source is a function different from other Series as it contains information that relates it statistically to other data sources by formula, sum, etc.

Topics in this Section:

Adding a function with the Chart editor

Deleting a function with the Chart editor

Changing a FunctionType with the Chart editor

Adding a function by code

Deleting a function by code

Period

Adding a function with the Chart editor

Functions may be added using the Chart editor at design time. Similarly to adding a Series you may use the TeeChart Gallery to choose the function. In the Gallery all functions are initially displayed as LineSeries functions - you may change Series type after initially adding the function.

When you have added the function go to the DataSource tab of the Series page. Here you may choose which input Series (or Series) to add to the function. The first Series in the selected listbox, reading from top to bottom, is the Series on which the operation is performed in the case of function which doesn’t treat each member of the list homogeneously.

Eg. Subtract.

Width1Width3Width1418Width3Width5883Fig. 1. Subtract function defined in the Chart editor | Width1Width3Width1418Width3Width5883
 | Width1Width3Width1418Width3Width5883

In the Chart editor screen you see Series3 being defined with inputs Series1 and Series2. The Series order in the list defines which Series is doing the subtraction.

Here:Series3:= Series1 - Series2

Deleting a function with the Chart editor

Alternatively you may delete the Series you have added as carrier for the function (delete Series from the first page of the Chart editor) or you may redefine the Series as having a different datasource in the DataSource tab of the Series page.

Changing a FunctionType with the Chart editor

The option to change the FunctionType is in the DataSource tab of the Series page for the function Series. The drop down combobox contains a list of all function types - You may choose any from the list. Copy will directly copy the input Series (duplicating the Series).

Adding a function by code

Function is a component. When you add a new function you are adding a Series, defining a new function and setting it as FunctionType for the Series.

Series1.SetFunction(TAddTeeFunction.Create(Self));

See the online help for a description of how to add each of the different types of function. Each function uses the same Series method, SetFunction.

Deleting a function by code

To delete a function from a Series either delete the Series or use the SetFunction method to de-allocate the connection between the Series and the Function.

Series1.SetFunction(nil);

Period

You may find the Period property extremely useful when working with functions. It is used to define the frequency for which the function re-calculates.

Example

We have 6 data points (eg. bars of a Bar Series) with values:

3, 8, 6, 2, 9 and 12

We define a function Series with Period 0 (default when only one Series is input to the Function) the average drawn is:

6.667

With Period set to 2 we get 3 values of average as output from the function:

5.5, 4 and 10.5

These values will plot centrally in their period range, ie. The 1st value between bars 1 and 2 of the input Series, 2nd value between bars 3 and 4, etc..

You may define Period by selecting the function in the Object Inspector or you may modify Period at runtime using FunctionType.

Eg. Where Series 2 is the function Series:

Series2.FunctionType.Period:=2


Example code

TeeChart Pro examples may be found in the Examples folder below the default TeeChart installation folder.

A compiled version of the demo (compiled using packages) may be accessed via the TeeChart prgram manager group.

Please see the FAQ at the Steema web, www.steema.com, for more coded examples.

The Guide to Information Sources document accessible via the TeeChart prgram manager group offers a detailed review of other TeeChart information sources.


TeeChart Component Reference

Component Reference

Quick Start About.. Contact us..

The main TeeChart component is: TChart.

TChart is a placeholder for TChartSeries components. TChart is derived from TPanel component, and inherits all its functionality.

When you place a TChart component in a Delphi Form, you will see a standard TPanel with an upper title and a lower foot text.

Right click on the Chart to see the opening TeeChart menu where you can select the Chart editor alternatively double-click to directly call the Chart editor.

The Chart editor presents Chart configuration options and the TeeChart Gallery which contains access to all data series types. Data series types are subcomponents that can be accessed and manipulated independently of the Chart and are accessible across Charts.

For Database charts, you need to use: TDBChart

Place one or more series in the Chart and either connect to a DataSource or write your own code to populate the series.

Key palette components

TChart

TDBChart

TQRChart


TeeChart Series Types

TeeChart Gallery

TeeChart Library includes the most typical Chart Series types.

Each type has its own specific properties and events to customize your Charts.

Most importantly you can derive new subcomponents from any Series type, thus creating any NEW Chart types.

TeeChart includes the following Chart Series types (To see a visual representation of these Series go to the TeeChart User Guide):

Standard types:

Line

HorizLine

Area

Point (scatter)

Bar,Pyramid,Cilinder...

Horizontal Bar,Pyramid,Cilinder...

Pie

Shapes

Fast Line

Arrows

Gantt

Bubble

All Series are derived from the "pseudo-abstract" TChartSeries class.

TChartSeries hides all the logic complexity leaving the developer to code the "drawing" and "aesthetic" parts of a given Series type.

See TTeeFunction for an outline description of available statistical functions.

Some advanced Series features include custom scaling and margining. Other "pseudo-abstract" components are available for component developers:

Period


Additional TeeChart palette components

Additional TeeChart palette components - Overview

TeeChart version 2011 includes several components on the Delphi palette.

Go to the TeeChart tab to access these components:

Components in alphabetical order:

TButtonColor

TButtonPen

TChartEditor

TChartEditorPanel

TChartGalleryPanel

TChartGrid

TChartGridNavigator

TChartListBox

TChartPageNavigator

TChartPreviewer

TChartScrollBar

TChartWebSource

TComboFlat

TDBCrossTabSource

TDraw3D

TSeriesDataset

TSeriesTextSource

TTeeCommander

TTeeInspector

TTeeOpenGL

TTeePreviewPanel

TTeeXMLSource

To see a listing of items declared in this unit including their declarations, use the ObjectBrower.


TeeChart help sources

Please look in the ‘Info sources’ document (TeeChart Pro Introductory Guide) for a complete listing of current information and help sources.


About us...

TeeChart Pro

TeeChart charting components have been written in Delphi by David Berneda. They are 100% Delphi Native VCL compliant. TeeChart products are distributed and supported by Steema SL. of Barcelona, Catalonia, Spain.

Please email the following address for questions:

email address: info@steema.com

www: http://www.steema.com

Address:

Steema Software SL
Avinguda Montilivi 33
17003 GIRONA
CATALONIA, (Spain)

Telephone: +34 97 221 87 97
Fax: +34 97 221 87 18


AxisException

AxisException
Hierarchy Properties Methods Events

Exception class used by TChartAxis objects to raise errors.

Unit
TeEngine

Description

The AxisException is raised in the following cases:

When an Axis LogarithmicBase property is set to a number less than 2.
When the Axis displays DateTime values and is set to Logarithmic.
When the Axis is set to Logarithmic and the minimum or maximum are less than zero.
When the Axis Increment is set to a number less than zero.
When the Axis Minimum is set to a number greater than the Maximum.
When the Axis Maximum is set to a number lower than the Minimum.

In the later two cases, you can use the Axis SetMinMax method to avoid the exception :

Chart1.Axes.Left.SetMinMax( 0 , 1000 );

Submit your feedback about this page.

Copyright 1995-2010 © by Steema Software. All Rights Reserved.


ChartException

ChartException
Hierarchy Properties Methods Events

Exception class used by TChart objects to raise errors.

Unit
TeEngine

Description
Exception raised in several places around TeeChart code, to indicate that a TChart has encountered a problem.

Raised when:

A valueindex is incorrect ( < than zero, or > than number of points in a series )

A TeeFunction Period is incorrect ( < than zero )

A Series has no ParentChart associated, when setting the Series DataSource.

A Component is set to Series DataSource but is not allowed (incorrect component class)

The Series FillSampleValues method is called, with argument < than zero.

A point in a Series is to be deleted ( Series Delete method ) with incorrect valueindex.

The Chart MaxPointsPerPage is < than zero

A Series is a DataSource of another Series, which in turn is also a DataSource of the first Series (circular reference)

A TPointSeries Pointer Size is set to a value lower than zero.


DBChartException

DBChartException
Hierarchy Properties Methods Events

Exception class used by TDBChart component to raise errors.

Unit
DBChart

Description
Exception raised when a TDBChart component has encountered a problem.

Raised at:

When setting the TDBChart RefreshInterval property to a value lower than zero or bigger than 60 (seconds).


ETriSurfaceException

ETriSurfaceException
Hierarchy Properties Methods Events

Exception class used by TriSurface series to raise errors.

Unit
TeeTriSurface

Description
This exception is raised whenever a TriSurface series cannot calculate the triangles from the series XYZ points.
This can happen when all the XYZ points are in the same Y (vertical) plane, or when there are not enough points (minimum 3).


GIFException

GIFException
Hierarchy Properties Methods Events

Unit
GIFImage


GpPathData

GpPathData
Hierarchy Methods

Unit
GDIPAPI


LegendException

LegendException
Hierarchy Properties Methods Events

Exception class used by TChartLegend object to raise errors.

Unit
Chart

Description
Used when raising exceptions from within the Legend class.


TACFunction

TACFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Acceleration/Deceleration Technical Indicator (AC) measures acceleration and deceleration of the current driving force. This indicator will change
direction before any changes in the driving force, which, in turn, will change its direction before the price. If you realize that
Acceleration/Deceleration is a signal of an earlier warning, it gives you evident advantages.

The AC Function uses a OHLC ( Candle ) series as datasource.


TAddTeeFunction

TAddTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TAddTeeFunction may be added to your project by Chart Editor at design time or at runtime using code.

Default period for the TAddTeeFunction when only 1 series is added to the function is 0 (one flat line representing the total of all data points of the input series).
When 2 or more input series form the TAddTeeFunction series the default period is 1 axis point.
Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.

Example :

To set the period for TAddTeeFunction you should use the FunctionType property of TChartSeries.
To define a function series by code you should first create a new series for the function.
The series may be of any type.

// Set the function using the SetFunction method

Series1.SetFunction(TAddTeeFunction.Create(Self));

// You may then define the period for the function - here setting it to to 5

Series1.FunctionType.Period:=5;

To undefine (delete) a function defined for the series use :

Series1.SetFunction(nil);


TADXFunction

TADXFunction
Hierarchy Properties Methods Events

Unit
CandleCh

Description
The TADXFunction is normally used in financial trending applications to determine whether a market is trending, or moving sideways.

A high ADX reading indicates a trending market.

A rising ADX indicates a trending market (either up or down).

If the ADX reaches 40 or greater, look for a signal that indicates the trend is over.

An ADX of 20 or less indicates a sideways market.


TAlligatorFunction

TAlligatorFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Alligator Technical Indicator is a combination of Balance Lines (Moving Averages): Alligator's Jaw (blue line), Alligator's Teeth (red line) and
Alligator's Lips (green line). They show the interaction of different time periods. As clear trends can be seen only 15 to 30 per cent of the time, it is
essential to follow them and refrain from working on markets that fluctuate only within certain price periods.

See also:
TArrowSeries


TAlphaBitmap

TAlphaBitmap
Hierarchy Properties Methods Events

Unit
TeeGLCanvas

Description
\sa\sl\slmultClass which inherits from TBitmap used to create textures for OpenGL mode.


TAmountFilter

TAmountFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Ancestor Filter for several Filter types. Offers Amount and Percent properties.


TAnimation

TAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate

Description
The Animation class contains all the necessary properties and methods to allow you to create and use several animations on the Chart and Series objects.


TAnimationCurve

TAnimationCurve
Hierarchy Properties Methods

Unit
TeeAnimate


TAnimations

TAnimations
Hierarchy Properties Methods Events

Unit
TeeAnimate

Description
Class used to create animations for a specific Chart and Series.


TAnnotationCallout

TAnnotationCallout
Hierarchy Properties Methods

Unit
TeeTools

Description
Class with properties used to draw a line from an annotation tool to any arbitrary xyz position in the chart.

Used by the Callout property of TAnnotationTool class.


TAnnotationTool

TAnnotationTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Annotation tool can be used to display custom text in a Chart.

Multiple Annotations can be added to the same Chart, at any position expressed as pixels or percentage of chart dimensions.

Each Annotation provides formatting properties (Font, Background Color, Frame, Brush, etc) and can be positioned anywhere inside the Chart boundaries.

Annotation text can be multi-line, adding carriage return characters to the text string:

ChartTool1.Text:='Hello' + #13 + 'World' ;

Annotations provide Cursor, OnClick event and the Clicked function.


TAntiAliasCanvas

TAntiAliasCanvas
Hierarchy Properties Methods

Unit
TeeAntiAlias

Description
Internal use. Chart Canvas used to render Anti-aliasing of Chart.

Used by TAntiAliasTool class.


TAntiAliasTool

TAntiAliasTool
Hierarchy Properties Methods Events

Unit
TeeAntiAlias

Description
The TAntiAlias tool provides anti-aliasing for the Chart but also provides access to a wide list of filters to permit modification of many rendering aspects of the Chart.


TAOFunction

TAOFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Awesome Oscillator (AO) is simply the difference between the 34-period and 5-period simple moving averages of the bar's midpoints (H+L)/2.

It determines market momentum at a given time comparing the last 5 bars to the last 34 bars.

The AO Function uses a OHLC ( Candle ) series as datasource.


TAreaSeries

TAreaSeries
Hierarchy Properties Methods Events

Draws points filling the area from the point values to the top or bottom axis (horizontal axis).

Unit
Series

Description
The TAreaSeries component outputs all points by drawing a line between them and fills the area defined by the line and the bottom side of the Chart.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.
Use the Add or AddXY methods to manually fill area points :

Series1.Add( 123 );

Use the AreaBrush property to draw patterned areas, and the AreaChartBrush object to set the background color for patterns.

The AreaColor property determines the background area color.

The lines dividing area points are drawn using the AreaLinesPen property.

To build stacked area charts use the MultiArea property.

The Stairs property controls how to draw the connecting lines between points.
Use then the InvertedStairs property to change how are these steps drawn.

The top lines can be altered by using the LinePen property.

Please refer to TCustomSeries ancestor class description for all common Series properties like Marks, Axis, Pointers and events.


TArrowSeries

TArrowSeries
Hierarchy Properties Methods Events

Series to display Arrows.

Unit
ArrowCha

Description
The Arrow series outputs all points as arrows.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Use the AddArrow method to manually fill area points:

Series1.AddArrow(0,0,100,100);

The arrow head dimensions can be changed using the ArrowHeight and ArrowWidth properties.

Each arrow is defined by four coordinates.
These values can be accessed using the StartXValues, StartYValues, EndXValues and EndYValues properties.

Arrows are always drawn in 2D mode.

Please refer to TPointSeries ancestor description for all common Series properties like Marks, Axis, Pointers and events.

See also:
TAlligatorFunction


TArrowTool

TArrowTool
Hierarchy Properties Methods Events

Unit
TeeArrowTool

Description
The Arrow Tool draws an arrow on the panel from one point to another. By changing the different properties you can customise the position and appearance to your liking.


TAskLanguage

TAskLanguage
Hierarchy Properties Methods Events

Unit
TeeTranslate

Description
This form displays the available languages for the developer to choose the language to use when displaying the chart dialogs and message constants.

When changing the current language, its name is stored in Windows registry at this key:

(current user) Software\Steema Software\TeeChart Pro\Editor\Language

The current language is only used at design-time while designing forms.

At runtime, you should manually set the desired language.

Example:

Uses TeeGerman;
...
TeeSetGerman;
...
ChartEditor1.Execute;


TATRFunction

TATRFunction
Hierarchy Properties Methods Events

Unit
CandleCh

Description
Average True Range Technical Indicator (ATR) is an indicator that shows volatility of the market.

The ATR Function uses a OHLC ( Candle ) series as datasource.

See also:
TAxisArrowTool


TAverageTeeFunction

TAverageTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TAverageTeeFunction performs a simple or weighted average of last Period DataSource values.
TAverageTeeFunction Period is the number of points we want to group to calculate their average.
So, if our Series has 1000 points and we have a Period of 200, then AverageTeeFunction will have 1000/200 (that is 5) points.
Each Y value will be the simple Average of a group of 200 points.

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.


TAxisAccess

TAxisAccess
Hierarchy Properties Methods Events

Unit
TeeAxisBreaks


TAxisArrowTool

TAxisArrowTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Axis Arrow tool is used to display small arrows at beginning and / or end positions of axes.
Many Arrows can be added to a Chart, each one associated with a different axis.

The Arrows can be customized ( pen, pattern, size ).

Clicking the arrows will optionally scroll the axis a configurable percent amount.

The scrolling can be done in the arrow direction or inverted.

See also:
TATRFunction


TAxisBreak

TAxisBreak
Hierarchy Properties Methods Events

Unit
TeeAxisBreaks

Description
Class used to create Axis Breaks in an axis.


TAxisBreaksTool

TAxisBreaksTool
Hierarchy Properties Methods Events

Unit
TeeAxisBreaks

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Axis Breaks'.


TAxisGridPen

TAxisGridPen
Hierarchy Properties Methods Events

Unit
TeEngine

Description
The pen class used to draw axis grid lines.

Chart1.Axes.Left.Grid.Color := clRed ;


TAxisItem

TAxisItem
Hierarchy Properties Methods

Unit
TeEngine

Description
Class representing an axis label.
Contains formatting properties (font, color, etc) and Text and Value for axis label.

See TChartAxis Items property of type TAxisItems.


TAxisItems

TAxisItems
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Use this list to add customized axis labels.
By default this list is empty.
Axis are automatic and will display automatic labels.


TAxisScrollTool

TAxisScrollTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Axis Scroll'.


TBackImage

TBackImage
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
Class used by BackImage property.

Contains properties to define the position of the background image and display mode.


TBannerTool

TBannerTool
Hierarchy Properties Methods Events

Unit
TeeBannerTool

Description
The BannerTool provides a scrollable, blinkable text banner for any location on the Chart.
See the TAnnotationTool for a simpler banner text option.


TBar3DSeries

TBar3DSeries
Hierarchy Properties Methods Events

Displays Bar points with different origin values.

Unit
Bar3D

Description
Bar3D series is a derived class from TBarSeries and includes a new property: OffsetValues.

A Bar3D series displays points like a normal Bar series, but using the Offset values to determine the starting position of each bar.
This series can be used to display bars that have each one a different starting point.

Use the AddBar method to add bar 3d points:

Series1.AddBar( 100, 100, 50 );


TBarJoinSeries

TBarJoinSeries
Hierarchy Properties Methods Events

BarJoin displays Bar points linked with lines.

Unit
MyPoint

Description
The TBarJoinSeries is only effective with Bar Series and draws a line between each bar point, at the top position.

The line is drawn using JoinPen properties.


TBarSeries

TBarSeries
Hierarchy Properties Methods Events

Displays points as vertical bars.

Unit
Series

Description
The TBarSeries component outputs all points as vertical bars.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Several TBarSeries can be displayed side-to-side, one behind the other, stacked or stacked 100% by using the MultiBar property.

Use the Add or AddXY methods to manually fill bar points :

Series1.Add( 123 );

The BarBrush property determines the pattern used to fill bars, while the BarPen property is used to draw the bar edges.

Set the desired bar style ( cilynder, pyramid, etc ) by changing the BarStyle property.

Use the BarWidthPercent property to control the relative distance between bars.

You can specify an exact bar width by using the CustomBarWidth property.

The Dark3D property controls if bar sides are filled with a darker color than front bar faces.

The OffsetPercent property determines the bars horizontal displacement.
This can be used to create overlayed bars with several bar series components.

Bar series leave margins both at left and right chart sides.
You can turn off this default behaviour setting the SideMargins property to False.

By default, bar bottoms start at zero vertical coordinate.
Set the YOrigin property to the desired starting bottom value or set the UseYOrigin to False to make bar bottoms start at minimum bars value.

The OnGetBarStyle event can be used to supply a different bar style for each Series point.

Please refer to TCustomBarSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TBaseFunctionEditor

TBaseFunctionEditor
Hierarchy Properties Methods Events

Unit
TeeBaseFuncEdit

Description
Base class for TeeChart Functions editor dialogs.


TBaseHighLowSeries

TBaseHighLowSeries
Hierarchy Properties Methods Events

Unit
ErrorBar

Description
Ancestor SeriesType for Series that use High-Low Valuelists.


TBevelFilter

TBevelFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The BevelFilter provides a means to add a custom Bevel within the Chart Area. Use the Anti-alias tool to add the Filter to the active filterlist.


TBezierSeries

TBezierSeries
Hierarchy Properties Methods Events

Smoothing series, using Bezier algorithm.

Unit
TeeBezie

Description
This Series type derives from a TPointSeries, adding a "LinePen" TPen property to draw a Bezier line every 3 points.
To see a visual representation of this Series type, go to the TeeChart User Guide.

A bezier line is a curve which passes over every 3 points of a Series.

There are several ways to calculate the bezier curve points.

This Series uses the same method as Windows (GDI BezierTo function) by default.

See the BezierStyle property for the different calculation styles.


TBigCandleSeries

TBigCandleSeries
Hierarchy Properties Methods Events

Candle series with specific marks.

Unit
BigCandl

Description
BigCandle series is derived from TCandleSeries and allows to set a custom horizontal (between open/close values) and vertical (between low/high values) gap of a candle.

The intended use of BigCandle series is to display a few number of candles, and set the Series Marks Visible to True, to show the candle Open, High, Low and Close values.


TBlackIsBackTheme

TBlackIsBackTheme
Hierarchy Methods

Unit
TeeThemes

Description
BlackIsBack theme offers pastel coloured charts on a dark grey/black backgroud.


TBlueSkyTheme

TBlueSkyTheme
Hierarchy Methods

Unit
TeeThemes

Description
Visual chart theme with colors and formatting properties that give priority to "blue" tones.


TBlurFilter

TBlurFilter
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
The Blur filter provides a means to Blur a selected Region of the Chart. Use the Anti-alias tool to add the Filter to the active filterlist.


TBMPExportFormat

TBMPExportFormat
Hierarchy Methods

Unit
TeeBmpOptions

Description
Use TBMPExportFormat to create and export the TeeChart in BMP format. The Class returns default export characteristics to be used when exporting a BMP image of the Chart.

Example :

Uses TeeBMPOptions;

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp: TBMPExportFormat;
begin
tmp:= TBMPExportFormat.Create;
tmp.Panel:=Chart1;
tmp.SaveToFile('c:\tempCharts\Chart1BMP.' + tmp.FileExtension);
end;


TBollingerFunction

TBollingerFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The TBollingerFunction intruduces the Bollinger Bands Trading Bands function. Trading bands are lines plotted in and around the price structure to form an envelope. Trading bands answer the question whether prices are high or low on a relative basis (taken from Bollinger Bands Tutorial - see below for reference)

Bollinger bands have three characteristic curves:

1) Mean value curve
2) Low band curve
3) High band curve

Low and high band are defined by the following equations:
Low = Mean - Deviation*StdDev,
High = Mean + Deviation*StdDev,

Where Mean is average value for given period (exponential or normal), StdDev is standard deviation for given period and Deviation is the StdDev multiplier.

For more info on Bollinger Bands check the http://www.BollingerBands.com/bbands.asp tutorial.


TBoxSeries

TBoxSeries
Hierarchy Properties Methods Events

Vertical Box-Whisker series.

Unit
TeeBoxPlot

Description
The TBoxSeries plots a box series vertically.

See also TCustomBoxSeries and THorizBoxSeries descriptions.


TBrightnessFilter

TBrightnessFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The Brightness filter increases brightness over the selected location.


TBSpline

TBSpline
Hierarchy Properties Methods

With permission from Mr. M. v. Engeland.
The TBSpline class calculates smooth interpolation between multiple points.

Unit
TeeSpline

Description
With permission from Mr. M. v. Engeland.
The TBSpline class calculates smooth interpolation between multiple points.

The TSmoothingFunction uses this class to calculate smoothed points from a source chart series.


TBubble3DSeries

TBubble3DSeries
Hierarchy Properties Methods Events

Unit
TeePoin3

Description
Displays points as "bubbles" in 3D spaces.

A "3D bubble" point is defined by X and Y center coordinates, a radius and a Z center in the depth axis.


TBubbleSeries

TBubbleSeries
Hierarchy Properties Methods Events

Series with different point dimensions.

Unit
BubbleCh

Description
The Bubble series outputs all points as "bubbles", each one with a different bubble radius value.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Use the AddBubble method to manually fill bubble points:

Series1.AddBubble( 100, 100, 50 );

All radius values are stored at RadiusValues property.

The Pointer property determines all formatting attributes.

By default, the radius values are expressed in vertical axis coordinates.
Set the Squared property to False to calculate bubble heights in vertical coordinates and bubble widths in horizontal coordinates.

Please refer to TPointSeries ancestor description for all common Series properties like Marks, Axis dependence, Pointers and events.


TBusinessTheme

TBusinessTheme
Hierarchy Methods

Unit
TeeThemes

Description
Visual theme with business-like colors and fonts.


TButtonColor

TButtonColor
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
This Button control is internally used at Chart Editor dialogs.

It's like a normal TButton control, but includes a property to "link" this button to a Color property.

The Color is used to display a graphical filled rectangle at the right side of the button.
Clicking the button will automatically show the Color editor dialog to change the color.

Example:

ButtonPen1.LinkProperty( Series1, 'SeriesColor' );


TButtonGradient

TButtonGradient
Hierarchy Properties Methods Events

Unit
TeeEdiGrad

Description
Button to provide Editor for the associated Gradient.


TButtonPen

TButtonPen
Hierarchy Properties Methods Events

Unit
TeePenDlg

Description
This component is internally used at Chart Editor dialogs.

Is like a normal VCL TButton control, but includes a property to "link" this button to a TChartPen property.

The Pen is used to display a graphical line at the right side of the button.
Clicking the button will automatically show the Chart Pen editor dialog (also located at TeePenDlg unit).

Example:

ButtonPen1.LinkPen( Series1.LinePen );


TCalendarCell

TCalendarCell
Hierarchy Properties Methods

Unit
TeeCalendar

Description
Contains characteristics of each Calendar Cell.
Colour, Brush, Font, etc.

The Calendar Series uses this object for several groups of "days".


TCalendarCellUpper

TCalendarCellUpper
Hierarchy Properties Methods

Unit
TeeCalendar

Description
Format information for the upper row cells of the TCalendarSeries. The TCalendarCellUpper cells are located at the top of the TCalendarSeries grid and contains Weekday title information.

Example:

Series1.WeekDays.Font.Size:=14;


TCalendarSeries

TCalendarSeries
Hierarchy Properties Methods Events

Flexible Calendar control.

Unit
TeeCalendar

Description
TCalendarSeries offers display of grid-like calendar within Chart boundaries.

The Calendar includes buttons to go to previous / next months.

Clicking a Calendar day changes the "current" or "today" day (it does NOT change the computer date! )

Clicking a day corresponding to a different month will change the displayed month.

Clicking the month name displays a popup-menu for faster changing the month.

Every cell can be customized (color, font, gradient, etc).

When the "today" cell is changed, an event occurs.


TCallout

TCallout
Hierarchy Properties Methods

Unit
TeEngine

Description
This class is used by TSeriesMarks and TAnnotationTool to display a pointer shape (small rectangle, ellipse, etc) at the series mark point or the annotation link position.

The ancestor class TSeriesPointer is also used by TLineSeries, TPointSeries and many other series styles to display "pointers".

TCallout adds new properties:

Arrow ( Pen used to display a line between the series mark or annotation to series point )
Distance ( Length in pixels between the end of the series mark line and the series point )
ArrowHead and ArrowHeadSize properties.


TCandleSeries

TCandleSeries
Hierarchy Properties Methods Events

OHLC (Open,High,Low,Close) financial series.

Unit
CandleCh

Description
The Candle series outputs all points as vertical rectangles crossed by a vertical line.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Each Candle point is made of four values that represent a Stock market session.
These are the HighValues, LowValues, OpenValues and CloseValues.

Set the ParentChart property to the desired Chart component.

Use the AddCandle method to manually fill Candle points:

Series1.AddCandle( EncodeDate( 2002, 10, 16), 100, 120, 80, 90 );

Note:
If you want to skip "weekends", pass an incremental integer number to Date parameter of AddCandle method:

var tmp : Integer;
tmp := Series1.AddCandle( Series1.Count, 100, 120, 80, 90 );
Series1.Label[ tmp ]:= DateToStr( EncodeDate( 2002, 10, 16 ));

The rectangles dimensions are determined by OpenValues and CloseValues properties.
The vertical line that crosses each candle point is defined by the HighValues and LowValues properties.

Candles can be drawn in different styles.
Use the CandleStyle property to choose the preferred mode: csCandleBar, csCandleStick, csOpenClose or csLine.

Candles with bigger Close than Open values are filled using the UpCloseColor property.
The other candles are filled using the DownCloseColor property.

When the Open price is equal to the Close price, then the color used to draw the candle is calculated as follows:

a) If Candle is the first one, then UpCloseColor is used.
b) If previous Close is higher, then DownCloseColor is used.
c) If previous Close is lower, then UpCloseColor is used.
d) If same as previous, then follow previous color.

You can control the candles width in pixels by using the CandleWidth property.

When drawing candles in csCandleBar mode, you can show or hide Open and Close values by using the ShowOpenTick and ShowCloseTick properties.

Please refer to TOHLCSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TCanvas3D

TCanvas3D
Hierarchy Properties Methods

Unit
TeCanvas

Description
The TCanvas3D component controls access to TeeChart's 3D Canvas draw properties and methods.

It's an abstract class.
The TTeeCanvas3D class and others implement this abstract class.


TCCIFunction

TCCIFunction
Hierarchy Properties Methods Events

Unit
TeeCCIFunction

Description
CCI stands for "Commodity Chanel Index"

It's a commonly used financial indicator.


TChart

TChart
Hierarchy Properties Methods Events

Unit
Chart

Description
TChart is the central component in TeeChart library.

TChart is a VCL TPanel derived component hugely expanded to include capabilities specific to charting and graphing purposes.

TChart is the ParentChart component for Series and Tools.
All Series have a ParentChart property that must refer to a TChart or TDBChart.

You can create Chart components both at design and run-time:

var MyChart : TChart;
MyChart := TChart.Create( Self );
MyChart.Parent := Self;
MyChart.Left := 100;
MyChart.Top := 50;
MyChart.Show;

You can also add series to a Chart using code:

MyChart.AddSeries( TBarSeries.Create( Self ) );

or...

MyChart.AddSeries( TLineSeries );

or...

var P : TPieSeries;
P := TPieSeries.Create( Self );
P.ParentChart := MyChart;

Many charts can co-exist in a Form or Frame.

TeeChart components can also be housed in an ActiveX Form, CGI or SOAP web services application.

For an indepth look at how to create Charts with TeeChart see the TeeChart User Guide.

The database chart TDBChart and the QuickReport TQRChart are both derived from TChart component.


TChartAction

TChartAction
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
Base internal object class used by all the TeeChart actions that are associated to a Chart or DBChart control.


TChartAction3D

TChartAction3D
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
Use a TChartAction3D action to switch a Chart display between 2 and 3 dimensions.


TChartActionAxes

TChartActionAxes
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionAxes action shows / hides all Chart axes.
For every Chart axis, it automatically switches the Visible property between True and False.


TChartActionCopy

TChartActionCopy
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionCopy action copies the Chart visual contents to the Clipboard in bitmap format.


TChartActionEdit

TChartActionEdit
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionEdit shows the TeeChart editor dialog.

You can, for example, set a Button1 component Action property to a TChartActionEdit. When Button1 is clicked, the TeeChart editor dialog is displayed.


TChartActionGrid

TChartActionGrid
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionGrid Action is used to show / hide the Chart axes grid lines.
For every Chart axis, it automatically switches the Grid.Visible property between True and False.


TChartActionLegend

TChartActionLegend
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionLegend Action is used to show / hide the Chart Legend.
It automatically switches Chart1.Legend.Visible between True and False.


TChartActionPrint

TChartActionPrint
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionPrint Action automatically shows the Print Preview dialog and displays the action Chart.


TChartActionSave

TChartActionSave
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TChartActionSave action displays the standard "Save to file" dialog and asks the user for a file name to store the Chart in binary (*.tee) format.


TChartAnimations

TChartAnimations
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Class containing all the necessary properties and methods to add a custom animation to a the Chart and Series.


TChartArrowPen

TChartArrowPen
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Pen used to draw Series Mark's arrow lines.


TChartAxes

TChartAxes
Hierarchy Properties Methods Events

Unit
TeEngine

Description
The List of TeeChart's default axes. (Left, Top, Right, Bottom and Depth axes).

If you add custom axes to a Chart, these will be stored in the Chart CustomAxes collection.


TChartAxis

TChartAxis
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TChartAxis is a Chart subcomponent.

Chart components have 6 TChartAxis:

LeftAxis, RightAxis, TopAxis, BottomAxis, DepthAxis and DepthTopAxis.

Additionally, Chart components can contain unlimited custom axis.
See also TChart CustomAxes property.


TChartAxisPen

TChartAxisPen
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Pen used to draw TChart's axis lines.


TChartAxisTitle

TChartAxisTitle
Hierarchy Properties Methods

Unit
TeEngine

Description
The Axis will use this subobject properties to draw its Title.


TChartBackWall

TChartBackWall
Hierarchy Properties Methods

Unit
Chart

Description
The Chart Backwall component.
Use to define Backwall appearance.


TChartBook

TChartBook
Hierarchy Properties Methods Events

Unit
TeeChartBook

Description
TChartBook manages a tabbed ChartList to permit work with Multiple Charts.


TChartBottomWall

TChartBottomWall
Hierarchy Properties Methods

Unit
Chart

Description
Wall characteristics of the Bottom ChartWall.


TChartBrush

TChartBrush
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
TChartBrush is used by many TeeChart components.
It shares most common characteristics of TBrush plus an image property to fill polygons.


TChartChangePage

TChartChangePage
Hierarchy Methods

Unit
TeEngine

Description
Event generated when a Paged Chart's page is changed.


TChartCollection

TChartCollection
Hierarchy Properties Methods Events

Unit
TeeSubChart

Description
Collection of Chart SubCharts.


TChartCustomAxes

TChartCustomAxes
Hierarchy Properties Methods Events

Unit
TeEngine

Description
The collection of Custom Axes.
The first Custom Axes begins with index 0.
The first 6 standard Axes (Left, Top, Right, Bottom, Depth and DepthTop) indexed list belongs to the TChartAxes collection.


TChartDataSet

TChartDataSet
Hierarchy Properties Methods Events

Unit
TeeData

Description
This component enables the connection of a DBGrid to a TChart/TDBChart's data. The TChartDataset component may be activated to connect to a TeeChart and connect the data of all its Series to be used by the DBGrid. Use a TDatasource component to connect to the TChartDataset in the same way as if it were a TTable or TQuery. A DBGrid may then be connected to the TDatasource to access the Chart data.


TChartDepthAxis

TChartDepthAxis
Hierarchy Properties Methods Events

Unit
TeEngine

Description
The Z plane Axis.
Corresponds to DepthAxis property of chart.


TChartEditForm

TChartEditForm
Hierarchy Properties Methods Events

Unit
TeeEditCha

Description
This unit contains the Chart Editor dialog.

You will seldomly use this unit directly.
Please refer to EditChar unit ( EditChart method ) and the TChartEditor component for easier access to the editor dialog.

ChartEditor1.Chart := Chart1;
ChartEditor1.Execute ;


TChartEditor

TChartEditor
Hierarchy Properties Methods Events

Unit
TeeEdit

Description
The TChartEditor component permits a configurable version of the designtime Chart Editor to be delivered with the runtime Charting application.

Include the Component on the Chart Form and associate it to a Chart.

Use the Object Inspector at design time to select which Editor pages to make available to the runtime application and other options to customize the editor appearance.


TChartEditorPanel

TChartEditorPanel
Hierarchy Properties Methods Events

Unit
TeeEdit

Description
The TChartEditorPanel is a panel that houses the standard TChart Editor. The TChartEditorPanel may be placed on any Form.


TChartFootTitle

TChartFootTitle
Hierarchy Properties Methods

Unit
Chart

Description
Class defines characteristics of the TeeChart Title, SubTitle, Footer and SubFooter.


TChartGalleryPanel

TChartGalleryPanel
Hierarchy Properties Methods Events

Unit
TeeGalleryPanel

Description
The TChartGalleryPanel allows a panel containing the TeeChart Series Gallery, to be placed on a Form.
The Gallery may be used to add or change Series types in the Chart.


TChartGradient

TChartGradient
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
Gradient characteristics used by several TeeChart components.


TChartGrid

TChartGrid
Hierarchy Properties Methods Events

Unit
TeeChartGrid

Description
The TChartGrid offers a grid data representation of the data plotted in a TChart/TDBChart. It is configurable to restrict Series shown. Data is, optionally, editable.


TChartGridNavigator

TChartGridNavigator
Hierarchy Properties Methods Events

Unit
TeeChartGrid

Description
The TChartGridNavigator should be associated to a ChartGrid via the TChartGridNavigator.Grid property to navigate within the Grid.


TChartHiddenPen

TChartHiddenPen
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Pen used by TeeChart's MinorGrid, the TChart Legend DividingLines, TTriSurfaceSeries Border and THistogramSeries Border.

It's a normal pen, but with the Visible property default False.


TChartImage

TChartImage
Hierarchy Properties Methods Events

Unit
TeeEditPro

Description
A derived Graphic class to allow loading *.tee files (binary saved charts) into standard VCL Picture properties.

For example, if you drop a TImage component on a Form1 :

Image1.Picture.LoadFromFile( 'mychart.tee' );

The TeeEditPro unit automatically registers this class (TChartImage) into VCL TGraphic's mechanism.
If you wish to un-register it, do this:

Uses TeeEdiPro;

TPicture.UnRegisterGraphicClass(TChartImage);

See VCL Canvas.pas unit for more information about custom Graphic classes.


TChartImageTool

TChartImageTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Image tool draws a picture (bitmap, jpeg, etc) behind chart Series.
This can be used for GIS (Geographical) systems, using contours over
images, or any other application using images as backgrounds.
The image does zoom and scroll, following the associated series and axes.


TChartLeftWall

TChartLeftWall
Hierarchy Properties Methods

Unit
Chart

Description
Wall characteristics of the Left ChartWall.


TChartLegend

TChartLegend
Hierarchy Properties Methods

Unit
Chart

Description
TChartLegend is a big component with many available formatting and dimensioning properties.

A legend is a rectangle filled with the Chart Series Titles or a Series Values formatted representation.
You switch this operation mode by setting the LegendStyle property.

The Alignment property defines the Legend position.
Legend can be placed at Top, Left, Right and Bottom side of Chart, or custom positioned using the CustomPosition property.

Left and Right Legend alignments define a vertical Legend with one single column of items.

Top and Bottom Legend alignments define an horizontal Legend with one or more rows of items.

The Legend itself automatically reduces the number of displayed legend items based on the available charting space.

The ResizeChart property controls if Legend dimensions should be used to reduce Chart points space.

The OnGetLegendRect event provides a mechanism to supply the desired Rectangle Legend dimensions and placement.

The OnGetLegendPos event can be used to specify fixed Legend items X Y coordinates.

The HorizMargin and VertMargin properties control distance between Legend and Left and Right Chart margins.

The TopPos property can be used in Left or Right Legend alignments to control vertical distance between Legend and Top Chart Margin.

These techniques allow almost complete Legend control.


TChartList

TChartList
Hierarchy Properties Methods Events

Unit
TeeGalleryPanel

Description
TeeChart List component used internally by the TChartGalleryPanel component.


TChartListBox

TChartListBox
Hierarchy Properties Methods Events

Unit
TeeLisB

Description
TChartListBox is a visual component that displays the Series contents of the Chart as does the first page of the Chart Editor.
The TChartListBox offers runtime modification capabilities of the Chart Series with respect to Colour, Series order, etc.

The listbox has a "Chart" property which should point to the desired TChart or TDBChart or TQRChart component:

ChartListBox1.Chart := Chart1 ;

TChartListBox component offers the "Color" and "Font" properties to improve appearance:

ChartListBox1.Color:=clYellow ;
ChartListBox1.Font.Style:=[fsBold ];
ChartListBox1.Font.Size:=12;
ChartListBox1.Font.Color:=clNavy;


TChartPage

TChartPage
Hierarchy Properties Methods

Unit
TeEngine

Description
Class that controls the Paging of a Pageable Chart.


TChartPageNavigator

TChartPageNavigator
Hierarchy Properties Methods Events

Unit
TeeEdiGene

Description
Navigator button bar for paging a Paged Chart. Use when TCustomChart.MaxPointsPerPage is set.


TChartPen

TChartPen
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Used internally by many TeeChart components.

Adds Visible, SmallDots and EndStyle properties to standard TPen characteristics.


TChartPreviewer

TChartPreviewer
Hierarchy Properties Methods Events

Unit
TeeEdit

Description
The TChartPreviewer component offers runtime Chart Print Preview.

Use the Options property to restrict options to be available to the user.


TChartRightWall

TChartRightWall
Hierarchy Properties Methods

Unit
Chart

Description
The Chart Rightwall component.
Used to define right wall appearance.

See also: Chart1.Walls.Right.


TChartScrollBar

TChartScrollBar
Hierarchy Properties Methods Events

Unit
TeeScroB

Description
Use TChartScrollBar to add scrollbars to a Chart. A TChartScrollBar may be connected to any Axis. You should use the Kind property to define the ScrollBar as vertical or horizontal and the Align property to select the Axis.


TChartSeries

TChartSeries
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TChartSeries is the ancestor abstract class of every chart series type.
Provides multiple properties shared by all series styles.

Basic series styles: Line, Area, Point, Pie, Bar


TChartSeriesList

TChartSeriesList
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TChartSeriesList is a non-visible component. Maintains a list of series included in TChart.
You can double-click the Chart Series property to access to the editor dialog.

Using the Chart.Series property is like using a standard array.
You can refer to a specific series by number: (Index starts at zero)

Chart1.Series[3].Title:='Boston Sales';

As Series property is the default property of TChart component, the above code can be simplified to:

Chart1[3].Title:='Boston Sales';

That can be useful when you do not have access to a TChartSeries or when you are doing generic code:

Example:

for t:=0 to Chart1.SeriesCount-1 do
if Chart1[t] is TLineSeries then
(Chart1[t] as TLineSeries).LinePen.Width:=3;


TChartShape

TChartShape
Hierarchy Properties Methods Events

Custom drawing series.

Unit
TeeShape

Description
The TChartShape component is a special Series component.
It allows the developer to place shapes inside Chart bounds.
It works very similar to Delphi/C++Builder standard TShape component.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Then, set the X0, Y0 and X1, Y1 properties to the desired point coordinates.
The X0, Y0, X1 and Y1 properties must be expressed in axis scales.

The default Shape style is an horizontal line.
Choose the desired style (Rectangle, Ellipse, etc) by using the Style property.

The Brush and Pen properties determine the shape color and frame attributes.

The Clicked method can be used to check if mouse cursor is over shape boundaries.

Shapes can be zoomed and scrolled as with any other Series type.

Please refer to TChartSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TChartTheme

TChartTheme
Hierarchy Methods

Unit
Chart

Description
Base abstract class for all visual themes.

The ApplyTo protected method is abstract and must be overriden by derived theme classes.


TChartThemeSelector

TChartThemeSelector
Hierarchy Properties Methods Events

Unit
TeeThemeEditor

Description
This form is used to display the available list of Chart Theme classes and a preview chart, for users to select a new visual theme.

uses TeeThemeEditor;

...
AddChartThemes(ListBox1.Items);
...

procedure TChartThemes.Button1Click(Sender: TObject);
var tmp : TChartThemeClass;
begin
// Show the Chart Theme editor
tmp:=TChartThemeClass(ChartThemeSelector(Chart1));

if Assigned(tmp) then
ListBox1.ItemIndex:=ListBox1.Items.IndexOfObject(TObject(tmp));
end;


TChartTitle

TChartTitle
Hierarchy Properties Methods

Unit
Chart

Description
The TChartTitle component is used to display Chart Title and Foot text strings at top and bottom Chart sides respectively.
The Text property contains the text to be displayed.
This property is of type TStrings which means that it is a series of strings in a list.
Whenever you change the Text property you should repaint the Chart component manually. It's not done automatically.

Example:

With Chart1.Title.Text do
begin
Clear;
Add('ACME Monthly Sales');
Add('Year: 1997');
end;

Chart1.Repaint;

Set the Visible property to True to show the Title or Foot contents.
Change the text appearance using the Font property.
You can draw a frame around text by setting the Frame pen properties.
The frame background color and pattern is defined by the Brush property.
The AdjustFrame boolean property controls if title frame will be drawn around title text or using the whole Chart width.
Title text can be aligned using the Alignment property.

The ParentChart public read-only property refers to the Chart component that owns the title.


TChartTools

TChartTools
Hierarchy Properties Methods Events

Unit
TeEngine

Description
List of TChartTools linked to a T Chart.html">Chart .

"Tools" are small objects that perform additional charting functionality, like interactive drawing of lines, mouse rotation, etc.

Used by chart Tools property.

See: TeeTools unit.


TChartValueList

TChartValueList
Hierarchy Properties Methods

Unit
TeEngine

Description
The TChartValueList component is the container of point values.

Each TChart Series.html">Series component has one or more values lists.

The XValues and YValues properties are TChartValueList components.

Some other Series components have more values lists.
For example, the BubbleSeries component has another value list: RadiusValues .

TChartValue items are stored as TChartValue which is of type double by default.

If you have TeeChart source code, you can recompile it forcing TeeChart classes to use single or extended value types.
See TeeDefs.inc include file for details.


TChartValueLists

TChartValueLists
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Contains a list of TChart ValueList.html">ValueLists for a Series.

Several standard Series such as TLineSeries and TBarSeries maintain 2 ValueLists, X and Y values.

Other Series such as TCandleSeries maintain more lists, ie. OpenValues, HighValues, LowValues and CloseValues.


TChartWall

TChartWall
Hierarchy Properties Methods

Unit
Chart

Description
The TChartWall component controls how to display the Chart left, right, back and bottom walls.

It is used by the four Custom Chart.Walls.html">TChart.Walls properties.

The Size property determines the walls dimensions.
The Color and Brush properties are used to fill walls, and the Pen property controls the walls frame.

Setting the Color property to "clTeeColor" means walls will not be filled so they will look transparent.

The ParentChart public read-only property refers to the Chart component that owns the wall.


TChartWalls

TChartWalls
Hierarchy Properties Methods

Unit
Chart

Description
This class is used by TChart to provide the Walls property.

Contains the four chart wall objects (Left,Back,Right and Bottom)


TChartWebSource

TChartWebSource
Hierarchy Properties Methods Events

Unit
TeeURL

Description
Use the TChartWebSource palette component to easily access URL based tee template files.


TCircledEmboss

TCircledEmboss
Hierarchy Properties Methods

Unit
Series

Description
Special internal class derived from TTeeEmboss, used by TCircledSeries Emboss property.


TCircledSeries

TCircledSeries
Hierarchy Properties Methods Events

Unit
Series

Description
The TCircledSeries component is an abstract component used as the ancestor of TPieSeries component.

Set the ParentChart property to the desired Chart component.

To add points to the Series you should use the Add method.

The Circled property determines if the Series will draw as a circle or ellipse.

Change the circle background color using the CircleBackColor property.

The RotationAngle property determines the offset angle used to calculate points positions.

Use the Pen property to change the circle lines format.

You can define exact circle dimensions by setting the CustomXRadius and CustomYRadius properties.

The Rotate method can be used to change the RotationAngle property at run-time.

The XRadius and YRadius read-only properties return the current circle half-width and half-height in pixels.

The CircleRect read-only property returns the circle bounding rectangle in pixels.

The CircleWidth and CircleHeight read-only properties return the circle width and height in pixels.

The CircleXCenter and CircleYCenter read-only properties return the circle center coordinates in pixels.

When Chart.View3D property is True, the Offset3D read-only property returns the amount in pixels of the circle 3D effect.

Please refer to TChartSeries ancestor description for all common Series properties like Marks, Axis dependence and events.


TCircledShadow

TCircledShadow
Hierarchy Properties Methods

Unit
Series

Description
Special internal class derived from TTeeShadow, used by TCircledSeries Shadow property.


TCircularFrame

TCircularFrame
Hierarchy Properties Methods

Unit
Series

Description
Determines the amount of rotation (in angle degrees from 0 to 360) for the frame.


TCircularGauge

TCircularGauge
Hierarchy Properties Methods Events

Unit
TeeCircularGauge

Description
Chart series style to draw a circular gauge, like for example a car rpm or speed gauge.


TClassicTheme

TClassicTheme
Hierarchy Methods

Unit
TeeThemes

Description
Visual theme that matches "classic" charting colors and fonts.


TClipSeriesTool

TClipSeriesTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Clip Series tool creates a canvas clipping region just before the Series is displayed, and removes the region just after the series has finished drawing.

Intended use of Clip Series tool is when series are associated to custom axes, to make sure the series contents do not overwrite other axes space.

Clip Series tool creates the clipping region using the series Horizontal and Vertical axes dimensions.

Note: This tool internally uses the series BeforeDrawValues and AfterDrawValues events.
If you use those events, their contents will be discarded.


TClockSeries

TClockSeries
Hierarchy Properties Methods Events

Cute Clock control.

Unit
TeeRose

Description
TClockSeries is a descendant of TCustom2DPolarSeries.
The Clock series displays live watches both at design and runtime.
Multiple configuration parameters are available, like colors, numbering style, backgrounds, gradient, font, etc.

The "Style" property controls if the clock "numbers" will be "decimal 1,2,3...etc" or "Roman I,II,III,IV... etc".

Several properties allow formatting the clock:

Series1.Brush.Color := clYellow;
Series1.CircleBackColor := clWhite;
Series1.PenHours.Color := clBlue;
Series1.PenMinutes.Color := clRed;
Series1.Style := cssRoman;


TCLVFunction

TCLVFunction
Hierarchy Properties Methods Events

Unit
TeeCLVFunction

Description
Accumulation / Distribution financial function.

For each source point (OHLC), this function calculates the "CLV" as follows :

CLV := ( (Close-Low)-(High-Close))/(High-Low)

Then it can optionally multiply the CLV by the Volume, and it can optionally acumulate the result to previous point calculation.

The Volume property refers to a series that contains volume values.

The Accumulate property (default True), defines if results are acumulated or not.


TColorBandTool

TColorBandTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
TColorBandTool adds bands of configurable colour to the interior region enclosed by the Chart axes.
You may set bands vertically or horizontally in Axis units.


TColorFilter

TColorFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The ColorFilter may be used to adjust Red,Green and Blue tones of the selected area.


TColorGridSeries

TColorGridSeries
Hierarchy Properties Methods Events

Grid of colored cells.

Unit
TeeSurfa

Description
The TColorGridSeries component controls access to the properties and methods of the ColorGrid Series.

It displays a grid of color cells.

Every cell is determined by a pair of XZ coordinates.
The "Y" value of the cell is used to calculate the cell's color from a color palette.

Inherits all properties from the ancestor component.
Supports series Marks, zoom and scroll as any other series.

The CenteredPoints property controls how are "X" and "Z" values considered.

What you can do with a ColorGridSeries

The TColorGridSeries is principally designed to work on a 1 incremented integer indexed grid, each value of the grid, X and Z (where Z takes on the appearance of a Y Axis when seen on the left of the flat planed Chart). Non-1 unit stepped grids are supported by the ColorGrid Series but non unit Grids are subject to some limitations.
What you can do:
- use a 1 stepped Grid where X, and Z may be incremented starting from 0 or greater values.
- use a non 1 stepped Grid adding non 1 divisible increments. These increments may be a fraction, multiple or fraction and multiple of 1. Enable viewing of such a Grid by setting the IrregularGrid property to True.
- When using IrregularGrids, steps may be all equal (eg. all at 0.5 or all at 3) or may be different (eg. an X sequence may look like 0.5, 0.7, 1.2, 0.5, etc) but all values on the same plane should be the same. Meaning that at each Z depth location a given X value should be the same as for a lower depth Z value at the same grid (viewed as a matrix) location.
- For ColorGrids whose steps are all equal TeeChart will plot the last cell, meaning that for a grid of x 0 to 4 and z 0 to 4 TeeChart will plot a minimum value of 0 and a maximum value of 5 on each Axis. The last cell will be spaced at the same Axis increment as its predecesors. Where X or Z data steps are not regular, an occurence that can happen for an Irregular Grid with varied steps, then the last cell is not plotted as TeeChart has no clear information as to what cell step size it should plot (having a variety of different cell sizes to choose from). In that case TeeChart will colour the last cell values off the scale to the width of the immediate predecesor point. You may choose whether or not to extend the Axis scale via the Axis.Maximum property to show a part of the last value.
- The ColorGrid Series supports Grid centered Labels for integer stepped data only.
- For highly irregular data we recommend that you rationalise it to an integer stepped Grid and modify labels to desired values by adding AxisLabel Items or by using the GetAxisLabel event.

- The ColorGrid Series may be zoomed and scrolled
- The Series responds to click events


TColorLineTool

TColorLineTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Add coloured lines to the Chart with the TColorLineTool.
The line is set according to Axis value vertically or horizontally.

Lines are displayed in 2D and 3D ( drawing a "z" oriented rectangle ).

Lines can be dragged using the mouse when the AllowDrag property is True.


TColorPalettes

TColorPalettes
Hierarchy Properties Methods Events

Unit
Chart

Description
List of names of installed color palettes.
For example, "Business", "Pastels", etc.

You can use the ColorPalettes global variable to change a Chart color palette:

ColorPalettes.ApplyPalette( Chart1, 5 );

The current list of color palettes and their indexes are:

1: Excel Palette
2: Victorian Palette
3: Pastels Palette
4: Solid Palette
5: Classic Palette
6: Web Palette
7: Modern Palette
8: Rainbow Palette
9: WindowsXP Palette
10: MacOS Palette
11: WindowsVista Palette
12: GrayScale Palette
13: Opera Palette
14: Warm Palette
15: Cool Palette
16: OnBlack Palette

See also:
TCustomChart


TColorsAnimation

TColorsAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate

Description
TColorAnimation is an animation which allows you to set a start and end color which will change with each frame.


TComboFlat

TComboFlat
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
A derived ComboBox class that displays the combo border when passing the mouse over it.


TCompressFunction

TCompressFunction
Hierarchy Properties Methods Events

Unit
TeeCompressOHLC

Description
The TCompressFunction calculates the highest and lowest value from a source series during a datetime period.

It can be used for example to "compress" Candle stock data weekly, monthly, etc.
It can also be used with non-candle series (ie: with a normal line series).

var
Compression : TCompressFunction;

// Example: How to create a Compression function
Compression:=TCompressFunction.Create(Self);

// Set function to Candle Series2
Series2.DataSource:=Series1;
Series2.SetFunction(Compression);

// Sample Candle values
Series1.FillSampleValues(500);


TContourLevel

TContourLevel
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
Contains characteristic information for ContourLevel.
Access levels via TContourLevels collection.

Contour series has a collection of "levels".
Each level has properties to define the level position, pen and color to draw level lines, and a collection of "segments" (array of lines that form the contour level).

procedure TContourSmooth.Chart1AfterDraw(Sender: TObject);
var tmpLevel : Integer;
tmpSegment : Integer;
P : TPoint;
tmp : Integer;
begin
// Draw small points at contour level segment lines...
 Chart1.Canvas.Brush.Color:=clBlack;
 Chart1.Canvas.Pen.Color:=clGreen;

with Series1.Levels do
for tmpLevel:=0 to Count-1 do // for each level..
 with Items[tmpLevel] do
for tmpSegment:=0 to SegmentCount-1 do // for each segment in level...
with Segments[tmpSegment] do
begin
for tmp:=0 to Length(Points)-1 do // for each point in segment...
begin
// Convert to screen coordinates...
P.X:=Series1.GetHorizAxis.CalcXPosValue(Points[tmp].X);
P.Y:=Series1.GetVertAxis.CalcYPosValue(Points[tmp].Y);

// Draw point...
Chart1.Canvas.Rectangle(P.X-2,P.Y-2,P.X+2,P.Y+2);
end;
end;
end;


TContourLevels

TContourLevels
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
TContourLevels stores information about TContourSeries Y position levels.

Series1.NumLevels:=10;
Series1.CreateAutoLevels;

With Series1.Levels do
begin
Items[0].UpToValue:=-1;
Items[1].UpToValue:=-0.8;
Items[2].UpToValue:=-0.6;
Items[3].UpToValue:=-0.4;
Items[4].UpToValue:=-0.2;
Items[5].UpToValue:= 0;
Items[6].UpToValue:= 0.2;
Items[7].UpToValue:= 0.4;
Items[8].UpToValue:= 0.6;
Items[9].UpToValue:= 0.8;
end;


TContourMarks

TContourMarks
Hierarchy Properties Methods

Unit
TeeSurfa

Description
The TContourMarks class manages the Marks associated with TContourSeries' Contour levels.


TContourSeries

TContourSeries
Hierarchy Properties Methods Events

Isolines from XYZ surfaces.

Unit
TeeSurfa

Description
Calculates and displays "isolines" from a custom array of XYZ points.

The number of contour levels can be specified from 1 to 250.
To see a visual representation of this Series type, go to the TeeChart User Guide.

The Surface's UseColorRange and UsePalette properties also apply to contour series.

Each contour Level can be coloured using a range (ie: from blue to white) or a "Palette", which can be customized for specific value intervals (ie: red from 100 to 200, green from 201 to 400 ). Same as with TSurfaceSeries.

Contour points can be assigned to a Surface and vice-versa:

Series1.AssignValues( Series2 );

Each Level can be colored using a different color by doing:

ContourSeries1.ColorEachPoint := True;

Levels can be displayed at custom "Y" vertical positions:

ContourSeries1.YPosition := 123;

Each Level can display at it's own Level "Y" position by setting this property:

ContourSeries1.YPositionLevel := True;

The ContourSeries, by default, shows at the Legend one item for each corresponding Contour "Level". The Contour Series has an event "OnGetLevel" which can be used to override each automatic Level "Value" and "Color":

procedure TForm1.Series1GetLevel(Sender: TContourSeries;
LevelIndex: Integer; var Value: Double; var Color: TColor);
begin
Value:=LevelIndex*100.0;
if Value<500 then Color:=clBlue
else Color:=clRed;
end;

The "LevelIndex" parameter specifies each contour level, from 0 to NumLevels-1.

*Note

ContourSeries1.MaxYValue and MinYValue refer to Contour Y values.
Since version 5, this depends on the 2D / 3D setting.
When the Chart is in 2D mode (Chart1.View3D:=False) then Contour MaxYValue and MinYValue methods return the Z values minimum and maximum values.
In 3D mode, the behaviour is the same as in version 4 (they refer to Contour Y values).
To remain independent on the above issue, you should use Contour.YValues.MaxValue and Contour.YValues.MinValue properties.


TContrastFilter

TContrastFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The TContrastFilter alters the contrast of the selected area. You can use the Anti-Alias Tool to add Filters via the Chart Editor.


TConvolveFilter

TConvolveFilter
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Abstract class that filters an image with a convolution filter.

Other filter classes derive from it and implement the Apply method.


TCorrelationFunction

TCorrelationFunction
Hierarchy Properties Methods Events

Unit
CurvFitt

Description
Calculates the correlation coefficient between X and Y values of a source series.

The resulting coefficient is a single point with a value between -1 and 1.


TCountTeeFunction

TCountTeeFunction
Hierarchy Properties Methods Events

Unit
TeeCount

Description
The TCountTeeFunction draws horizontal line at Y position that is defined by the number of points in underlying Series.


TCreatePipeError

TCreatePipeError
Hierarchy Properties Methods Events

Unit
TeeDosCommand


TCreateProcessError

TCreateProcessError
Hierarchy Properties Methods Events

Unit
TeeDosCommand


TCropFilter

TCropFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Use the TCropFilter to plot only the selected rectangular area.


TCrossPointsFunction

TCrossPointsFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
This function requires two source series.
Calculates the points where the two source series do cross.


TCumulative

TCumulative
Hierarchy Properties Methods Events

Unit
TeeCumu

Description
The TCumulative Function constructs a line based on the cumulative values of the input.

The TCumulative function sums the Series values starting from the first point.

Example:

Given these values : 1 2 3

The TCumulative function returns : 1 3 6

( 1=1, 1+2=3 and 1+2+3=6 )


TCursorTool

TCursorTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Add and associate Cursors to individual Series or to be general to the Chart.
Cursors may be horizontal or vertical lines or both (Crosshair).

Cursor tools can be created at run-time using the following code:

procedure TForm1.Button1Click(Sender: TObject);
var MyCursor : TCursorTool;
begin
MyCursor:=TCursorTool.Create(Self);
MyCursor.ParentChart:=Chart1;
MyCursor.Series:=Series1;
end;

At runtime, Cursors can be dragged using the mouse, or moved by changing the Cursor XValue and YValue properties.

Cursors can be used to "Snap" to Series points. That is, the cursor will be positioned exactly at the position of the nearest point in the Series.

The Cursor FollowMouse property indicates that the Cursor will be moved automatically as the mouse passes over the area (chart) where the Cursor displays.

The Cursor Series property determines which axis will be used by the Cursor to calculate the screen positions. The Series axis are indicated by the Series HorizAxis and VertAxis properties.


TCurveFittingFunction

TCurveFittingFunction
Hierarchy Properties Methods Events

Unit
CurvFitt

Description
TCurveFittingFunction constructs a polynomial line based on its DataSource Series values.

The algorithm used to fit the points is a Gaussian Polynomial.

Use the PolyDegree property to determine the number of polynomial coefficients.

To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.


TCustom2DPolarSeries

TCustom2DPolarSeries
Hierarchy Properties Methods Events

Unit
TeeRose

Description
TCustom2DPolarSeries is the ancestor of the TWindRoseSeries and TClockSeries


TCustom3DGridSeries

TCustom3DGridSeries
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
The TCustom3DGridSeries allows access to the proprties and methods of TeeChart's Custom3DGrid Series.


TCustom3DPaletteSeries

TCustom3DPaletteSeries
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
This class is a middle-class between an XYZ Series and a Surface, Contour, WaterFall, ColorGrid series.
It adds the concept of "color palette" to the Series.

The color Palette can be constructed in several ways depending on the UseColorRange and UsePalette properties.

This internal palette (accesible at runtime), is used to find out which color corresponds to a given Y value of a Surface cell, a Contour level value, etc.


TCustom3DSeries

TCustom3DSeries
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
Its the common ancestor for TPoint3DSeries , TSurfaceSeries , TContourSeries and others.


TCustomAxisPanel

TCustomAxisPanel
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TChart ancestor class. Internal use.

This middle-class implements a TeeChart basic Panel with Axes.

The TCustomChart derived class is a descendent of TCustomAxisPanel.


TCustomBarSeries

TCustomBarSeries
Hierarchy Properties Methods Events

Unit
Series

Description
The TCustomBarSeries component is an abstract component used as the ancestor of TBarSeries and THorizBarSeries components.

Set the ParentChart property to the desired Chart component.

To add points to the Series you should use the TBarSeries.Add or THorizBarSeries.Add methods.


TCustomBoxSeries

TCustomBoxSeries
Hierarchy Properties Methods Events

Unit
TeeBoxPlot

Description
In analysing sample data, sometimes a data set contains a value that is unusually large or unusually small.

A value that appears to be a typical in that it seems to be far removed from the bulk of the data is called an outlier or a "wild" number.

Sometimes, the outliers are so obvious that their presence can be detected by inspection.

However, it is useful to have an analytical and graphical technique for identifying values that are truly unusual.

One such technique is the Boxplot.

It's construction is based on the interquartile range, a measure of variability that is resistant to outliers.

The sample interquartile range, IQR, represents the length of the interval that contains roughly the middle 50% of the data.

If the IQR is small, then much of the data lies close to the center of the distribution; if it is large, the data tends to be widely dispersed.


TCustomChart

TCustomChart
Hierarchy Properties Methods Events

Unit
Chart

Description
TCustomChart is the ancestor class for TChart / TDBChart classes and contains many of the properties to access TeeChart's sub-components such as Axes, Walls, Titles and Legend.

See also:
TColorPalettes


TCustomChartAction

TCustomChartAction
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TCustomChartAction class is the common ancestor for all of the Chart actions.
It contains the Chart property which determines the Chart component used to perform the corresponding action.


TCustomChartEditor

TCustomChartEditor
Hierarchy Properties Methods Events

Unit
TeeEdit

Description
Ancestor Class for TChartEditor component.


TCustomChartElement

TCustomChartElement
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TCustomChartElement is an ancestor class for several TChart classes, eg. most Series classes, most Tool classes.
The class includes Pen and Brush characteristics for descendant classes.


TCustomChartGrid

TCustomChartGrid
Hierarchy Properties Methods Events

Unit
TeeChartGrid

Description
Virtual class houses properties and methods for use with TChartGrid Control.


TCustomChartLegend

TCustomChartLegend
Hierarchy Properties Methods

Unit
Chart

Description
The TCustomChartLegend component controls access to the properties and methods of TeeChart's chart legend.

This class is the ancestor of TChartLegend.


TCustomChartLink

TCustomChartLink
Hierarchy Properties Methods Events

Unit
TeeURL

Description
Provides Chart link information for descendant classes.


TCustomChartSeries

TCustomChartSeries
Hierarchy Properties Methods Events

Unit
TeEngine

Description
The TCustomChartSeries class is a base class, used by TChartSeries classes.


TCustomChartWall

TCustomChartWall
Hierarchy Properties Methods

Unit
Chart

Description
Ancestor class for all TChartWalls.

Walls display a rectangle in 3 dimensions at each chart edge, back and bottom.


TCustomDBChart

TCustomDBChart
Hierarchy Properties Methods Events

Unit
DBChart

Description
Ancestor Class for TDBChart


TCustomErrorSeries

TCustomErrorSeries
Hierarchy Properties Methods Events

Unit
ErrorBar

Description
Ancestor class for TErrorBarSeries and TErrorSeries.


TCustomFittingFunction

TCustomFittingFunction
Hierarchy Properties Methods Events

Unit
CurvFitt

Description
The TCustomFittingFunction function is the ancestor of TCurveFittingFunction. It introduces several properties which are used for calculating fitted polynomial coefficients.


TCustomGauge

TCustomGauge
Hierarchy Properties Methods Events

Unit
TeeNumericGauge

Description
Abstract class used by other gauge classes like TNumericGauge, TLinearGauge and TCircularGauge.


TCustomGaugeMinMax

TCustomGaugeMinMax
Hierarchy Properties Methods Events

Unit
TeeLinearGauge

Description
Abstract class that adds a Minimum and Maximum range limit to TCustomGauge series style.

TLinearGauge and TCircularGauge classes derive from TCustomGaugeMinMax.


TCustomImagePointSeries

TCustomImagePointSeries
Hierarchy Properties Methods Events

Unit
ImaPoint

Description
TCustomImagePointSeries is the ancestor of TImagePointSeries and TDeltaPointSeries.
Use these Series if you want to display an image instead of a pointer at the point value.


TCustomLegendTool

TCustomLegendTool
Hierarchy Properties Methods Events

Unit
TeeCustomLegendTool

Description
The Custom Legend tool allows you to draw a customizable Grid, as if it were a TStringGrid component whilst having some more options like draw,
resize, etc..


TCustomLineSeries

TCustomLineSeries
Hierarchy Properties Methods Events

Unit
Series

Description
Ancestor base class for TeeChart's Line based Series.

Adds a LinePen property.


TCustomOrgSeries

TCustomOrgSeries
Hierarchy Properties Methods Events

Unit
TeeOrgSeries

Description
Ancestor class for Org Series.html">TOrgSeries and OrgSeries .html">TOrgSeries .


TCustomPanelNoCaption

TCustomPanelNoCaption
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
The TCustomPanelNoCaption is a TChart/TDBChart ancestor class.


TCustomPolarSeries

TCustomPolarSeries
Hierarchy Properties Methods Events

Unit
TeePolar

Description
The TCustomPolarSeries Abstract component outputs all points using polar coordinates instead of cartesian coordinates.
This component is the ancestor of TPolarSeries and TRadarSeries.

Please refer to TCircledSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TCustomSeries

TCustomSeries
Hierarchy Properties Methods Events

Unit
Series

Description
TCustomSeries is an abstract class derived from TCustomLineSeries.

TLineSeries, TPointSeries, TAreaSeries and other series derive from TCustomSeries.


TCustomSeriesAction

TCustomSeriesAction
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
TCustomSeriesAction is the base class used for Series Actions.


TCustomSeriesList

TCustomSeriesList
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Intermediate class used by Chart1.SeriesList property and Chart1.SeriesList.Groups[ ] items.


TCustomSortedFunction

TCustomSortedFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
Intermediate abstract class used by TMedianFunction and TModeFunction to calculate values using the source series values sorted in ascending order.


TCustomTeeCommander

TCustomTeeCommander
Hierarchy Properties Methods Events

Unit
TeeComma

Description
Ancestor Class for TTeeCommander.


TCustomTeeFunction

TCustomTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
This function is used to calculate values using your own formula.

Use the OnCalculate event to supply your values.

The StartX property determines the first "X" value to use, and the NumPoints property means the number of times to call OnCalculate event.
The Period property is the "step" to apply to "X" between each call to OnCalculate.

procedure TCustomFunctionDemo.TeeFunction1Calculate(Sender: TCustomTeeFunction;
const x: Double; var y: Double);
begin
y:=Sin(x/10);
end;


TCustomTeeGradient

TCustomTeeGradient
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
The TCustomTeeGradient component allows access to all the properties, methods and events which are associated with the drawing of TeeChart Gradients.


TCustomTeeNavigator

TCustomTeeNavigator
Hierarchy Properties Methods Events

Unit
TeeNavigator

Description
The TCustomTeeNavigator component allows access to TeeChart's CustomChartNavigator methods and events from which TChartGridNavigator and TChartPageNavigator are derived.

This class is a base class for TeeChart and TeeTree navigator components.


TCustomTeePanel

TCustomTeePanel
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
TCustomTeePanel is the TChart / TDBChart ancestor base class.


TCustomTeePanelExtended

TCustomTeePanelExtended
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
The TCustomTeePanelExtended component allows access to the properties, methods and events associated with TeeChart's extended custom panels.

Many characteristics such as Panel Colour, Bevel style and size, are inherited from TCustomPanel.
Please refer to the inherited properties list, accessible from 'Properties' option on this window to configure these principle Panel characteristics.


TCustomTrendFunction

TCustomTrendFunction
Hierarchy Properties Methods Events

Unit
CurvFitt

Description
The TCustomTrendFunction is the ancestor of TExpTrendFunction and TTrendFunction. It introduces several methods/properties used for calculating trend lines.


TCustomTriSurfaceSeries

TCustomTriSurfaceSeries
Hierarchy Properties Methods Events

Unit
TeeTriSurface

Description
Tri Surface series uses triangulation to build the best surface between a set of X,Y,Z points.


TDarkGrayPen

TDarkGrayPen
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Pen used principally for Axis ticks .


TDarvasSeries

TDarvasSeries
Hierarchy Properties Methods Events

Unit
CandleCh

Description
The Darvas Boxes were taken from the pages of Nicolas Darvas' book, "How I Made $2,000,000 in the Stock Market".

The boxes are used to normalize a trend. A "buy" signal would be indicated when the price of the stock exceeds the top of the box.

A "sell" signal would be indicated when the price of the stock falls below the bottom of the box.


TDataSourcesList

TDataSourcesList
Hierarchy Properties Methods Events

Unit
TeEngine

Description
This class is used by the TChartSeries DataSources property to store components that are "source providers" for the series points.

Usually a series has only a single datasource component (for example a TDataSet), but this list provides a way to set multiple source components for a single series.


TDataTableTool

TDataTableTool
Hierarchy Properties Methods Events

Unit
TeeDataTableTool

Description
The DataTable tool associate a table with the given Axis showing the numeric value of each Point at that Axis location.

The Series Legend elements may optionally be displayed at he side of the Grid.


TDBChart

TDBChart
Hierarchy Properties Methods Events

Unit
DBChart

Description
TDBChart derives from TChart / TCustomChart and inherits all TChart functionality.
When a Chart Series is connected to a TDBChart component, TDBChart looks in the Series DataSource property.

If DataSource is a TTable, TQuery, TClientDataset or any valid DataSet component, TDBChart will automatically retrieve its records preserving all Filters and Ranges. You can also filter which records would be inserted by using the Series OnBeforeAdd event.

TDBChart also accepts Chart Series which are connected to another Chart Series and also Chart Series whose points are being manually added by coding.

The main difference between TChart and TDBChart is that the last one NEEDS the VCL DB.pas unit (the database core unit), while TChart component does not.

The above would be useful in case your application does not need Tables, Querys or any standard Delphi/C++ Builder database components.

Changing from a TChart to a TDBChart or vice versa can be done both at design and runtime by changing the Series ParentChart
and the Series Values ValueSource properties.

Notes on use of TDBChart

OnGetText TField support

Now DBChart uses (if assigned) the default standard Delphi's TField "OnGetText" event, for Series Labels:

procedure TForm1.Table1NAMEGetText(Sender: TField; var Text: String;
DisplayText: Boolean);
begin
Text:=Text+'%';
end;

Refer to Delphi's Help of TField.OnGetText for more details.

Null field values

DBChart detects NULL field values properly, and adds null points to the Series using the Series.AddNull method and / or AddNullXY methods.

Single-Record Charting

You can connect a Series1 to a Delphi's TDataSource component.
This allows to plot single-record multiple-field values into a single Series without any programming.
The "trick" is to set the Field names you want to plot together separated with ";"

Series1.DataSource := DataSource1;
Series1.YValues.ValueSource := 'Field1;Field2;Field3'

The current DataSource record will be used to plot the specified field values.
The DBChart does not move the current record position, and, when the DataSource changes the current record ( by for example using a TDBNavigator ), it refreshes the chart again with the new record values.

Updates to the underlying dataset force a refresh, so the DBChart retrieves the current record again.

The "DataSource" tab at the Chart Editor dialog includes "single-record" TDataSource component and fields selection as an option:

Like in the TDataSet normal datasource dialogs, TDataSource components can be located at TDataModules or any "used" Form.


TDBChartDataSource

TDBChartDataSource
Hierarchy Properties Methods Events

Internal class used by DBChart component to get notified of changes in datasets.

Unit
DBChart

Description
Internal class. Used by DBChart component.


TDBCrossTabSource

TDBCrossTabSource
Hierarchy Properties Methods Events

Component to provide crosstab database support.

Unit
TeeDBCrossTab

Description
The DBCrossTabSource component is a non-visual component to automatically create charts with multiple series from database data.

To customize a DBCrossTabSource you can use either the Object Inspector or the custom editor dialog.
To access the dialog, set the Series property to your desired series and go to normal Chart editor dialog, series datasource tab.

Note: DBCrossTabSource requires series in DBChart components, not in normal Chart components.

DBCrossTab editor dialog:


TDBSummarySource

TDBSummarySource
Hierarchy Properties Methods Events

Unit
TeeDBSumEdit

Description
The DBSummary source connects a database dataset to a Series.

It can perform several grouping and summary operations prior to add series points.

Sum
Count
High
Low
Avg (average)

When grouping by a datetime field, the groups can be calculated as:

Hour
Day
Week
Weekday
Month
Quarter
Year


TDefaultTheme

TDefaultTheme
Hierarchy Methods

Unit
TeeThemes

Description
The default TeeChart visual theme.


TDeltaPointSeries

TDeltaPointSeries
Hierarchy Properties Methods Events

Points with predefined images for up, down and equal trends.

Unit
ImaPoint

Description
TDeltaPointSeries is an TImagePoint Series displaying a different image depending on the previous point value.

Each point shows an image that depends on this point value compared to previous point value.

Points with values greater than previous points, show the GreaterImage image.
Points with values lower than previous points, show the LowerImage image.
Points with values equal to previous points, show the EqualImage image.


TDivideTeeFunction

TDivideTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TDivideTeeFunction may be added to your project by Chart Editor at design time or at runtime using code.
Default period for TDivideTeeFunction is 1 (by default, divide will show the division of all series at each axis point).
Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

TDivideTeeFunction will work with any number of input series as datasource.
The Datasource is best defined using the Chart Editor.

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.


TDonutSeries

TDonutSeries
Hierarchy Properties Methods Events

Displays points as pie slices, with a hole in the middle.

Unit
TeeDonut

Description
The TDonut Series behaves in nearly all respects like a Pie Series with the following differences:

- TDonutSeries has a hole at the centre that may be configured in size.
- TDonutSeries is a 2 dimensional Series only.

See PieSeries' DonutPercent property.


TDosCommand

TDosCommand
Hierarchy Properties Methods Events

Unit
TeeDosCommand


TDosThread

TDosThread
Hierarchy Properties Methods Events

Unit
TeeDosCommand


TDottedGrayPen

TDottedGrayPen
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Pen used to draw TChart axis g rid lines.


TDownSamplingFunction

TDownSamplingFunction
Hierarchy Properties Methods Events

Unit
TeeDownSampling

Description
TDownSamplingFunction may be added to your project by Chart Editor at design time or at runtime using code.

It uses an algorithm with which polylines consisting of many points can be reduced to a simplified form. This can be useful in situations where your graphical application must draw many polylines and time becomes an issue, like cartographic applications.

Default period for TDownSamplingFunction is 1.

TDownSamplingFunction will work only with a single series as datasource.
The DataSource can be defined using the Chart Editor or through code.


TDragMarksTool

TDragMarksTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The DragMarksTool allows the mousedrag of Marks for the selected Series.


TDragPointTool

TDragPointTool
Hierarchy Properties Methods Events

Unit
TeeDragPoint

Description
Use this tool to allow the end user to drag series points to new locations.
Dragging can be restricted to move points X and / or Y coordinates using the DragStyle property.


TDraw3D

TDraw3D
Hierarchy Properties Methods Events

Unit
TeeDraw3D

Description
TDraw3D is a panel that offers 3D Canvas drawing capabilities. TDraw3D's ancestor, TCustomTeePanel, is also the ancestor of TChart. Many TDraw3D properties are common to TChart.

For example this component has a sub-set of the Chart features, like printing, printing properties, copying to clipboard, margins, 3D Canvas, export to bitmap, metafile, jpeg, etc.

The TDraw3D Canvas has 3D capabilities like Zoom, Rotation, Elevation, Scrolling, etc, can be rendered using 3D OpenGL, and provides the same Printing, CopyToClipboard, "SaveTo..." exporting methods, DoubleBuffered display, Panel Margins, etc, as the Chart components.


TDrawLine

TDrawLine
Hierarchy Properties Methods Events

Unit
TeeTools

Description
TDrawLine is the Line component used by the TDrawLineTool to draw custom lines on the Chart.


TDrawLines

TDrawLines
Hierarchy Properties Methods Events

Unit
TeeTools

Description
TDrawLines is a collection of TDrawLine lines.

See also:

TDrawLineTool component.
TDrawLine object.


TDrawLineTool

TDrawLineTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Permits the ability to draw Lines on the Chart via mousedrags.

The Draw Line tool allows the user to draw lines at run-time using the mouse.

The Line pen used to draw the lines is customizable.

All drawn lines coordinates are stored in the Lines collection property.

Drawn lines can be selected, dragged and deleted.

The coordinates of each Line can be converted into axes or screen scales.

Lines can be added at design-time using the Object Inspector, adding items to Lines collection and specifying the start and end point coordinates for each line.

If you want to add lines at run-time, you can use the following code:

Create a new application, add a TChart, one Series and one DrawLine tool.

var Middle : Double;
Series1.FillSampleValues( 100 );
With Series1.YValues do Middle:=(MaxValue+MinValue)/2;
TDrawLine.CreateXY(ChartTool1.Lines,0,Middle-100,100,Middle+100);

If you wish to use your own "line" class, you can do this:

type
TMyLine=class(TDrawLine)
... your custom properties, methods, etc....
end;

TMyLine.CreateXY(ChartTool1.Lines,0,Middle-100,100,Middle+100);


TEmbossFilter

TEmbossFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The Emboss filter creates the effect that an image is embossed into a thin metal plate


TEMFExportFormat

TEMFExportFormat
Hierarchy Properties Methods

Unit
TeeEmfOptions

Description
Use TEMFExportFormat to create and export the TeeChart in EMF format. The Class returns default export characteristics to be used when exporting a EMF image of the Chart.

Example

Uses TeeEMFOptions;

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp:TEMFExportFormat;
begin
tmp:= TEMFExportFormat.Create;
try
tmp.Enhanced := True ;
tmp.Panel := Chart1;
tmp.SaveToFile('c:\Chart1EMF.' + tmp.FileExtension);
finally
tmp.Free;
end;
end;


TEPSCanvas

TEPSCanvas
Hierarchy Properties Methods

Special canvas object for EPS exporting (Encapsulated PostScript)

Unit
TeePSCanvas

Description
Special canvas object for EPS exporting (Encapsulated PostScript).

See TEPSExportFormat class for information about exporting TeeCharts to EPS format.


TEPSExportFormat

TEPSExportFormat
Hierarchy Methods

Unit
TeePSCanvas

Description
This class is used to export TeeCharts to EPS (Encapsulated PostScript) format.

Example:

Uses TeePSCanvas;

// save panel or chart to filename in EPS (PostScript) format
with TEPSExportFormat.Create do
try
Panel:=Chart1; // <-- the chart
Height:=400;
Width:=250;
SaveToFile('mychart.eps');
finally
Free;
end;

Alternative (easier way) using helper method:

TeeSaveToPSFile( Chart1, 'mychart.eps', 400, 250 );


TErrorBarSeries

TErrorBarSeries
Hierarchy Properties Methods Events

Bar series with additional "error" values.

Unit
ErrorBar

Description
The TErrorBarSeries component is a standard TBarSeries component that adds a new value for each bar. To see a visual representation of this Series type, go to the TeeChart User Guide.

This new values are stored at ErrorValues property.

They are used to draw a "T" shape on top of each bar.

Set the ParentChart property to the desired Chart component.

To add points to the Series you should use the AddErrorBar method.

The ErrorWidth property determines the width of the "T" shape.It can be expressed in screen pixels or in relative bar width percent depending on the ErrorWidthUnits property.

The ErrorPen property determines the kind of pen used to draw the "T" shape.

Negative ErrorValues are allowed. They are drawn as an inverted "T" shape.

Please refer to TBarSeries ancestor description for all common properties like BarPen, BarBrush, BarStyle and basic properties like Marks, Axis dependence and events.


TErrorSeries

TErrorSeries
Hierarchy Properties Methods Events

Statistical series to display "error" data.

Unit
ErrorBar

Description
The ErrorSeries Class provides an alternative means to the TErrorBarSeries to chart Error data.


TExcelTheme

TExcelTheme
Hierarchy Methods

Unit
TeeThemes

Description
Visual theme very similar to Microsoft's Excel chart formatting properties.


TExpandAnimation

TExpandAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimations


TExpAverageFunction

TExpAverageFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.

TExpAverageFunction does an Exponential average based on its DataSource values.

The used formula is:

ExpAverage ( point ) := ExpAverage ( previous point ) * ( 1 - Weight ) + Weight * PointValue


TExpMovAveFunction

TExpMovAveFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The Exponential Moving Average function calculates values using the following formula:

FP = 2 / ( Period + 1 )
Value = Source* FP + (Value - 1) * ( 1-FP )


TExpTrendFunction

TExpTrendFunction
Hierarchy Properties Methods Events

Unit
CurvFitt

Description
The Exponential Trend function is similar to Trend, except that the calculation fits values using their exponential (e) weights.


TExtraLegendTool

TExtraLegendTool
Hierarchy Properties Methods Events

Unit
TeeExtraLegendTool

Description
Use this chart tool to draw additional legend boxes inside a Chart or DBChart control.

Additional legends can show different series point values.

Set the Series property to your desired series.

The Legend property contains all legend formatting properties.


TFactsTheme

TFactsTheme
Hierarchy Properties Methods

Unit
TeeThemes

Description

This theme emulates a classic, concise, business look.


TFaderTool

TFaderTool
Hierarchy Properties Methods Events

Unit
TeeFaderTool

Description
Fader tool allow to fade in/out the visibility of your Chart.


TFastLineSeries

TFastLineSeries
Hierarchy Properties Methods Events

Faster series to display points joined with lines.

Unit
Series

Description
The TFastLineSeries component is an extremely simple Series component that draws its points as fast as possible.
To see a visual representation of this Series type, go to the TeeChart User Guide.

It can be used in cases where speed is the most important needed feature.

Set the ParentChart property to the desired Chart component.

To add points to the Series use the standard Add , AddXY, AddNull, AddArray methods :

Series1.Add( 123 );

The LinePen property controls the line appearance.

The AutoRepaint property, when False, sets the FastLine in real-time mode.
New added points will be painted without repainting the whole series.

The DrawAllPoints property controls if all points with repeated X pixel coordinates are displayed, or just the first point.
Note: The X pixel coordinate is not the same as the series X values.

Set FastPen property to True to use the Windows stock solid pen (might increment speed a little bit).

If you add null points to the Series, set the IgnoreNulls property to False.

The Stairs and InvertedStairs properties change the visual representation of the lines connecting series points.

Please refer to TChartSeries ancestor class description for all common Series properties like Axis dependence, Marks and events.


TFibonacciItem

TFibonacciItem
Hierarchy Properties Methods Events

Unit
TeeFibonacci

Description
Class of all items in TFibonacciLevels collection.
Contains Pen and Value used to draw each of the Fibonacci tool levels.


TFibonacciLevels

TFibonacciLevels
Hierarchy Properties Methods Events

Unit
TeeFibonacci

Description
Collection of Fibonacci level items.


TFibonacciTool

TFibonacciTool
Hierarchy Properties Methods Events

Unit
TeeFibonacci

Description
Financial tool used to draw arcs and fans over financial Candle OHLC data.

\sb\saFibonacci fans and arcs financial tool. Tool supports Fibonacci arcs and fans. Fibonacci arcs are charting technique consisting of three curved lines that are drawn for the purpose of anticipating key support and resistance levels, and areas of ranging. Fibonacci arcs are created by first drawing an invisible trendline between two points (usually the high and low in a given period), and then by drawing three curves that intersect this trendline at the key Fibonacci levels of 38.2%, 50% and 61.8%. Fibonacci fans are charting technique consisting of three diagonal lines that use Fibonacci ratios to help identify key levels of support and resistance. Fibonacci fans are created by first drawing a trendline through two points (usually the high and low in a given period), and then by dividing the vertical distance between the two points by the key Fibonacci ratios of 38.2%, 50% and 61.8%. The result of these divisions each represent a point within the vertical distance. The three 'fan' lines are then created by drawing a line from the leftmost point to each of the three representing a Fibonacci ratio.


TFilterItems

TFilterItems
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Filters collection of TTeeFilter instances for the referenced object.


TFilterRegion

TFilterRegion
Hierarchy Properties Methods

Unit
TeCanvas

Description
Customizable region where the TTeeFilter will be applied to.


TFlexCanvas

TFlexCanvas
Hierarchy Properties Methods

Unit
TeeFlexCanvas

Description
Special canvas that generates Adobe Flex MXML compatible files from Charts.

Some of the Chart tool are reinterpreted and converted to Flex xml instructions, like TMarksTipTool and Link tools.

Using the TFlexExportFormat class the mxml files can be compiled using Adobe Flex SDK compiler (mxmlc.exe)


TFlexExportFormat

TFlexExportFormat
Hierarchy Methods

Unit
TeeFlexCanvas

Description
Helper class to generate Adobe Flex / Flash movies from TeeChart charts.
The FlexMXML property returns a string list containing Flex xml code to represent the Chart.
Compile method can be called to automatically call the Adobe Flex SDK compiler (mxmlc.exe) to generate a Flash movie (*.swf) from an MXML file.


TFlipFilter

TFlipFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The Flip filter allows you to turn the selected region (text and images) upside down.


TFloatXYZ

TFloatXYZ
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Simple class that contains three floating point properties that define a 3D point with XYZ values.


TFormatEditor

TFormatEditor
Hierarchy Properties Methods Events

Unit
TeeFormatting

Description
Form used to edit a formatting string (for example : '$ -#,###.00#' )


TFormCreator

TFormCreator
Hierarchy Properties Methods Events

Implements the IFormCreator interface, used by TTeeFilter derived classes to show custom editor dialog to modify filter properties.

Unit
TeeFiltersEditor

Description
Implements the IFormCreator interface, used by TTeeFilter derived classes to show custom editor dialog to modify filter properties.


TFormItem

TFormItem
Hierarchy Methods

Unit
TeeFiltersEditor

Description
Base class.
Internally used by TFormCreator and TFormItems classes.


TFormItems

TFormItems
Hierarchy Properties Methods Events

Unit
TeeFiltersEditor

Description
List of items that configure a form created with TFormCreator class.


TFrameBrush

TFrameBrush
Hierarchy Properties Methods Events

Unit
Series

Description
Special brush used in Gauge frames.

See also: TFramedBorder


TFramedBorder

TFramedBorder
Hierarchy Properties Methods

Unit
Series

Description
Contains properties to draw a three-section border around gauges.
Sections are defined by InnerBrush, MiddleBrush and OuterBrush properties.


TFrameTool

TFrameTool
Hierarchy Properties Methods Events

Unit
TeeFrameTool

Description
The Frame Tool allows to draw a frame around the Chart. Several styles can be applied.


TFullScreenTool

TFullScreenTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Setting to True the Active property of this tool the Chart shows in FullScreen mode. By default pressing Esc key or Alt + F4 it resets (sets Active to False), but you can also define a release key using the ReleaseKey property.


TFunnelSeries

TFunnelSeries
Hierarchy Properties Methods Events

Pipeline series.

Unit
TeeFunnel

Description
The TFunnelSeries is a graphical representation of Funnel (Pipeline) chart.


TGalleryChart

TGalleryChart
Hierarchy Properties Methods Events

Unit
TeeGalleryPanel

Description
The TGalleryChart component is internally used to display charts at a Chart Gallery panel.


TGammaCorrectionFilter

TGammaCorrectionFilter
Hierarchy Properties Methods Events

Gamma correction filter controls the overall brightness

Unit
TeeFilters

Description
Gamma correction filter controls the overall brightness of an image (or referenced region). Images that are not properly corrected can look either bleached out, or too dark. Accurate reproduction of colors also requires some knowledge of gamma. Changing the amount of gamma correction not only influences the brightness, but also the ratios of red to green to blue.

Adjustable settings:
Amount - setting of image brightness level


TGanttSeries

TGanttSeries
Hierarchy Properties Methods Events

Scheduling map series, to display horizontal bars at different positions.

Unit
GanttCh

Description
The TGanttSeries component outputs all points as horizontal bars with different starting and ending horizontal coordinates and different vertical positions.
To see a visual representation of this Series type, go to the TeeChart User Guide.

It can be used to display a sequence of temporal tasks, sorted over time along the horizontal axis.

Set the ParentChart property to the desired Chart or DBChart component.
Use the AddGantt or AddGanttColor methods to manually fill gantt bar points.

Each gantt bar has start and end values.
These values can be TDateTime or Double types.

The StartValues property stores all starting values for all Gantt bars.
The EndValues property stores all ending values for all Gantt bars.

You can connect gantt bars by using the NextTask property.

Example:

Var tmp1,tmp2 : Integer;
{ Clear all Series Gantt bars }
GanttSeries1.Clear;
{ Add a first Gantt bar }
tmp1 := GanttSeries1.AddGantt( EncodeDate( 1996, 1,1 ),
EncodeDate( 1996, 1,31 ),
0,
'Programming' );

{ Add a second Gantt bar }
tmp2 := GanttSeries1.AddGantt( EncodeDate( 1996, 3,1 ),
EncodeDate( 1996, 3,31 ),

1,
'Testing' );

{ Connect the first bar to the second bar }
GanttSeries1.NextTask[ tmp1 ]:= tmp2 ;

The ConnectingPen property determines the pen used to draw the connecting lines between gantt bar points.

The Pointer.VertSize property specifies the gantt bars height.

Please refer to TPointSeries ancestor class description for all common Series properties like Pointer, Marks, Axis dependence, methods and events.


TGanttTool

TGanttTool
Hierarchy Properties Methods Events

Unit
TeeGanttTool

Description
The Gantt tool provides automatic dragging and resizing of gantt series bars.

Set the Series property to a Gantt series.


TGatorFunction

TGatorFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
GatorFunction is based on the TAlligatorFunction and shows the degree of convergence/divergence of Alligator's "jaws", "teeth" and "lips".


TGaugeHand

TGaugeHand
Hierarchy Properties Methods

Unit
TeeCircularGauge

Description
Special pointer shape class to draw the gauge hand (the arrow that points to gauge Value).


TGaugePointerRange

TGaugePointerRange
Hierarchy Properties Methods

Unit
TeeLinearGauge

Description
Determines the range of the GreenLine and RedLine start and end values on a Linear Gauge.


TGaugeSeries

TGaugeSeries
Hierarchy Properties Methods Events

Gauge (instrumentation control)

Unit
TeeGauges

Description
The Gauge series is a simple instrumentation control.
Several properties control the appearance and numeric settings of the gauge axis, labels, etc.


TGaugeSeriesPointer

TGaugeSeriesPointer
Hierarchy Properties Methods

Unit
TeeLinearGauge

Description
Defines the pointer style.


TGdiplusBase

TGdiplusBase
Hierarchy Methods

Unit
GDIPAPI


TGDIPlusCanvas

TGDIPlusCanvas
Hierarchy Properties Methods

Unit
TeeGDIPlus

Description
This canvas class implements all graphical commands needed by TeeChart using Microsoft GDI+ "Plus" api.

GDI+ provides an enhancement to GDI that is to smooth diagonal and curve lines by filling line neighboring pixels with a color blended with the line color and the background.

The AntiAlias and AntiAliasText properties allow enabling or disabling line smoothing.


TGDIPlusEditor

TGDIPlusEditor
Hierarchy Properties Methods Events

Unit
TeeGDIPlusEditor


TGIFAppExtNSLoop

TGIFAppExtNSLoop
Hierarchy Properties Methods

Unit
GIFImage


TGIFApplicationExtension

TGIFApplicationExtension
Hierarchy Properties Methods

Unit
GIFImage


TGIFBlock

TGIFBlock
Hierarchy Properties Methods

Unit
GIFImage


TGIFColorMap

TGIFColorMap
Hierarchy Properties Methods

Unit
GIFImage


TGIFCommentExtension

TGIFCommentExtension
Hierarchy Properties Methods

Unit
GIFImage


TGIFExportFormat

TGIFExportFormat
Hierarchy Methods

Unit
TeeGIF

Description
Use TGIFExportFormat to create and export the TeeChart in GIF format. The Class returns default export characteristics to be used when exporting a GIF image of the Chart.

TeeChart provides the means to create GIF Chart images but you should check use of GIF licensing stance with Unisys (http://unisys.com) for use of GIF LZW encoded images. The alternative RLE encoding is not subject to Unisys licenses.

Example

Uses TeeGIF;

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp:TGIFExportFormat;
begin
tmp:= TGIFExportFormat.Create;
tmp.Panel:=Chart1;
tmp.SaveToFile('c:\tempCharts\Chart1GIF.' + tmp.FileExtension);
tmp.Free;
end;


TGIFExtension

TGIFExtension
Hierarchy Properties Methods

Unit
GIFImage


TGIFExtensionList

TGIFExtensionList
Hierarchy Properties Methods

Unit
GIFImage


TGIFGraphicControlExtension

TGIFGraphicControlExtension
Hierarchy Properties Methods

Unit
GIFImage


TGIFHeader

TGIFHeader
Hierarchy Properties Methods

Unit
GIFImage


TGIFImage

TGIFImage
Hierarchy Properties Methods Events

Unit
GIFImage


TGIFImageList

TGIFImageList
Hierarchy Properties Methods

Unit
GIFImage


TGIFItem

TGIFItem
Hierarchy Properties Methods

Unit
GIFImage


TGIFList

TGIFList
Hierarchy Properties Methods

Unit
GIFImage


TGIFPainter

TGIFPainter
Hierarchy Properties Methods Events

Unit
GIFImage


TGIFSubImage

TGIFSubImage
Hierarchy Properties Methods

Unit
GIFImage


TGIFTextExtension

TGIFTextExtension
Hierarchy Properties Methods

Unit
GIFImage


TGIFTrailer

TGIFTrailer
Hierarchy Properties Methods

Unit
GIFImage


TGIFUnknownAppExtension

TGIFUnknownAppExtension
Hierarchy Properties Methods

Unit
GIFImage


TGLCanvas

TGLCanvas
Hierarchy Properties Methods Events

Unit
TeeGLCanvas

Description
The TGLCanvas component controls access to TeeChart's OpenGL Canvas draw properties and methods.

This Canvas redirects all graphical instructions (LineTo, Rectangle, etc, etc) to OpenGL library.

Every method in TCanvas3D is overrided to call OpenGL.

See also:
THorizHistogramSeries


TGLLight

TGLLight
Hierarchy Properties Methods

Unit
TeeOpenGL

Description
The TGLLight is the ancestor of TGLLightSource. The GLLight class includes properties for Color and Visibility of the light together with effects like Diffuse and Specular.


TGLLightSource

TGLLightSource
Hierarchy Properties Methods

Unit
TeeOpenGL

Description
TGLLightSource is a descendant of TGLLight.
The TGLLightSource adds has only one property more than TGLLight which allows to define the postion of the light on the canvas.


TGLPosition

TGLPosition
Hierarchy Properties Methods

Unit
TeeOpenGL

Description
The TGLPosition class is used by the TGLLightSource. Set X,Y and Z properties to position the LightSource on the canvas.


TGrayScaleFilter

TGrayScaleFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Use this Filter if the user wants to obtain a grayscale of the object where the filter is assigned to.


TGrayscaleTheme

TGrayscaleTheme
Hierarchy Methods

Unit
TeeThemes

Description
Theme with Verdana font and a range of grey color tones.


TGridBandBrush

TGridBandBrush
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Special brush class used by GridBand tool to fill colored bands.


TGridBandTool

TGridBandTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Use this tool to fill the chart background with two alternate colored bands.

Use Band1 and Band2 properties to customize the color and brush of each band.


TGridTransposeTool

TGridTransposeTool
Hierarchy Properties Methods Events

Unit
TeeTransposeTool

Description
Tool to invert (transpose) X by Z values in a 3D grid series.

Use the Transpose method to exchange all X values with Z values in the grid.

The result of transposing a grid is the same as if rotating the grid (surface, etc) 90 degree on the X axis.

1) Set the 3D Grid Series using the Series property.
2) Call the Transpose method.


THighLowLineSeries

THighLowLineSeries
Hierarchy Properties Methods Events

Unit
TeeHighLowLine

Description
High-Low Line series display vertical lines that go from a Low value to a High value for each point in the series.

It can optionally display pointer symbols either at the Low and / or High positions of each series point.


THighLowSeries

THighLowSeries
Hierarchy Properties Methods Events

Displays points represented by High and Low values.

Unit
ErrorBar

Description
THighLowSeries is an abstract Series class that maintains lists for High and Low values.


THighTeeFunction

THighTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
THighTeeFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for THighTeeFunction is 0 (By default, THighTeeFunction will show the highest point of all the series points). Period is applicable to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

If more than 1 data series is added as datasource for THighTeeFunction then the period default changes to 1.

THighTeeFunction will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor.

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.


THistogramFunction

THistogramFunction
Hierarchy Properties Methods Events

Unit
TeeHistogram

Description
Calculates the number of points of the datasource Series, grouped by intervals defined by the NumBins property.

Values can be accumulated or not depending on the Cumulative property.

TeeFunction1.NumBins := 10;
TeeFunction1.Cumulative := False;
Series1.DataSource := Series2;
Series1.FunctionType:= TeeFunction1;


THistogramSeries

THistogramSeries
Hierarchy Properties Methods Events

Squared area series.

Unit
StatChar

Description
THistogramSeries is a 2D Series that draws a 'bar like' plot with no gaps between points.

Bar centers are centered to the Grid.

Use it as an alternative option to a Bar Series or Staired Area Series.

It is similar to a Staired Area Series except Histogram Step changes occur at point boundaries (mid-point between points) whereas for a Staired Area Series step changes occur at the point co-ordinate itself.

See also THorizHistogramSeries


THorizAreaSeries

THorizAreaSeries
Hierarchy Properties Methods Events

Draws points filling the area from the point values to the left or right axis (vertical axis).

Unit
Series

Description
The THorizAreaSeries component outputs all points by drawing a line between them and fills the area defined by the line and the left or right side of the Chart.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.
Use the Add or AddXY method to manually fill area points.

Use the AreaBrush property to draw patterned areas.

The AreaColor property determines the background area color.

The lines dividing area points are drawn using the AreaLinesPen property.

To build stacked area charts use the MultiArea property.

The Stairs property controls how to draw the connecting lines between points.
Use then the InvertedStairs property to change how are these steps drawn.

The top lines can be altered by using the LinePen property.

Please refer to TCustomSeries ancestor description for all common Series properties like Marks, Axis, Pointers and events.


THorizBarSeries

THorizBarSeries
Hierarchy Properties Methods Events

Horizontal Bar series.

Unit
Series

Description
The THorizBarSeries component outputs all points as horizontal bars. To see a visual representation of this Series type, go to the TeeChart User Guide.

Several THorizBarSeries can be displayed side-to-side, one behind the other, stacked or stacked 100% by using the MultiBar property.

Set the ParentChart property to the desired Chart component. Use the Add or AddXY methods to manually fill area points.

Warning:

The most important concept in THorizBarSeries is that point values are INVERTED.
That means Y values are the bar order position while X values are the bars values.

The Add method does the conversion automatically and is the recommended method to add points.
When using the AddXY method you should calculate the correct Y position.

Example:

// This code adds 10 horizontal bars.
// The loop counter is used as the Y bar value (the bar order)
for t:= 1 to 10 do
Series1.AddXY( MyValues[t], t, MyLabels[t], MyColor[t] );

The BarBrush property determines the pattern used to fill bars, while the BarPen property is used to draw the bar edges.

Set the desired bar style ( cilynder, pyramid, etc ) by changing the BarStyle property.

Use the BarWidthPercent property to control the relative distance between bars. You can specify an exact bar height by using the CustomBarHeight property.

The Dark3D property controls if bar sides are filled with a darker color than front bar faces.

The OffsetPercent property determines the bars vertical displacement. This can be used to create overlayed bars with several bar series components.

Bar series leave margins both at top and bottom Chart sides. You can turn off this default behaviour setting the SideMargins property to False.

By default, bar left positions start at zero horizontal coordinate. Set the YOrigin property to the desired starting left value or set the UseYOrigin to False to make bar left sides start at minimum bars value.

The OnGetBarStyle event can be used to supply a different bar style for each Series point.

Please refer to TCustomBarSeries ancestor class description for all common Series properties like Marks, Axis dependence, methods and events.


THorizBoxSeries

THorizBoxSeries
Hierarchy Properties Methods Events

Horizontal Box-Whiskers series.

Unit
TeeBoxPlot

Description
The THorizBoxSeries plots a box series horizontaly.


THorizHistogramSeries

THorizHistogramSeries
Hierarchy Properties Methods Events

Squared horizontal area series.

Unit
StatChar

Description
Horizontal histogram series is identical to vertical histogram except it is displayed swapping the X and Y values.

It is a 2D Series that draws an 'horizontal bar like' plot with no gaps between points.

Bar centers are centered to the Grid.

Use it as an alternative option to an Horizontal Bar Series or Stairs Horizontal Area Series.

It is similar to a Staired Area Series except Histogram Step changes occur at point boundaries (mid-point between points) whereas for a Staired Area Series step changes occur at the point co-ordinate itself.

See also THistogramSeries

See also:
TGLCanvas


THorizLineSeries

THorizLineSeries
Hierarchy Properties Methods Events

Horizontal Line series.

Unit
Series

Description
The THorizLineSeries is very similar to the TLineSeries in all respects except that default display assumes a Y Axis ordering of points which causes most standard point sets to draw a vertically orientated line on the Chart.


THueLumSatFilter

THueLumSatFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
This filter allows changing the Hue, Luminosity and Saturation parts of pixels separately.


TImageBarSeries

TImageBarSeries
Hierarchy Properties Methods Events

ImageBar displays bar points filled with images.

Unit
ImageBar

Description
The ImageBarSeries is a normal TBarSeries with an optional Image to be displayed on each Bar point, stretched or tiled.

Only the rectangular Bar style is allowed.


TImageFiltered

TImageFiltered
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Simple TImage component that includes an additional Filters property.
This component can be used at design-time or run-time, standalone, without having to associate it with any Chart.


TImagePointSeries

TImagePointSeries
Hierarchy Properties Methods Events

Point series to display images at XY positions.

Unit
ImaPoint

Description
TImagePointSeries is a point series descendant which can display images instead of pointers at the point values.


TImportChart

TImportChart
Hierarchy Properties Methods Events

Unit
TeeURL

Description
TImportChart component makes easier to load charts at design o run-time from files, streams or URL addresses.

Loaded charts must be stored in native *.TEE format.


TInspectorHeader

TInspectorHeader
Hierarchy Properties Methods

Unit
TeeInspector

Description
Properties to define the inspector header appearance.


TInspectorItem

TInspectorItem
Hierarchy Properties Methods Events

Unit
TeeInspector

Description
Properties that define an item in the inspector, such as Caption text, custom data, style, etc.


TInspectorItems

TInspectorItems
Hierarchy Properties Methods Events

Unit
TeeInspector

Description
Contains list of items. The inspector component uses this list to store all items.


TInvertFilter

TInvertFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
This filter inverts all colors. The Red, Green and Blue component of each pixel are taken and subtracted from 255. This means that red becomes cyan, green becomes purple, and blue becomes yellow. The resulting values form the new pixel color.

This filter is not customizable, only region can be defined.


TIsoSurfaceSeries

TIsoSurfaceSeries
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
The Iso-Surface series is very similar to a TSurfaceSeries.
It draws a 3D XYZ mesh of X by Z regular-spaced grid elements using the Y value as elevation value.

The difference between a Surface and Iso-Surface series is that Iso-Surface fill each "cell" in a different way then Surface.
Surface series simply paints the interior of a cell using a calculated color based on each cell Y value.

Iso-surface, in contrast, fills each cell with "horizontal" bands of multiple colors depending on the cell slope and the number of palette colors.

An iso-surface series can be seen like a filled contour series displayed in 3D mode.


TJPEGExportFormat

TJPEGExportFormat
Hierarchy Properties Methods

Unit
TeeJPEG

Description
Format used to define JPEG export characteristics.

When using the TeeExport method to show the export dialogue, put TeeJPEG in the form Uses list to include JPEG options in the dialogue.

Example:

Uses TeeJPEG;

TeeSaveToJPEGFile( Chart1, 'c:\mychart.jpg',
False, // not gray scale
jpBestQuality,
95, // compression
Chart1.Width, Chart1.Height );


TKagiSeries

TKagiSeries
Hierarchy Properties Methods Events

Unit
TeeKagiSeries

Description
The Kagi financial chart. Copyright (c) 2007 by Marjan Slatinek

Kagi charts, at first glance, look like swing charts. Like swing charts, they have no time axis and are made up of a series of vertical lines, however in the case of kagi charts, the vertical lines are based solely on the action of closing prices, not a bar's high and low prices. Another difference is that the thickness of a kagi chart line changes when closing prices penetrate the previous column top or bottom.

Construction of Kagi Chart:

Choose a reversal amount - absolute or relative value.

Note the first closing price in your data. This is called the BasePrice.

If the closing price of Day 2 is greater than the closing price of Day 1, (the base price), use UpSwing stype to draw vertical line upwards from the closing price of Day 1 to the closing price of Day 2.

If the closing price of Day 2 is less than the closing price of Day 1, use DownSwing style to draw vertical line downwards from the closing price of Day 1 to the closing price of Day 2.

If the closing price of Day 2 is equal to the closing price of Day 1, do nothing. Instead, wait until the end of Day 3, and compare this price with the base price.

If the closing price continues to rise (or fall), we keep moving the Kagi chart up (or down) to the close of each day, regardless of how much or how little it moves.

If the closing price moves in the opposite direction by less than a predetermined number of cents, the reversal amount, we ignore the small move and do nothing to our chart.

If the kagi line has been moving upwards, and the closing price has fallen by more than the reversal amount, we draw a short horizontal line, called the 'inflection line', then a new line downwards, to the lower close of that day.

If the kagi line has been moving downwards, and the closing price has risen by more than the reversal amount, we draw an inflection line, then a new line upwards, to the higher close of that day.

Vertical drawing pen style is defined by the following rules:

If a DownSwing line is extended beyond the previous swing high, pen style is change to UpSwing penbeyond that point.

An UpSwing pen changes to DownSwing pen when the UpSwing line moves below the previous swing low.


TKnobGauge

TKnobGauge
Hierarchy Properties Methods Events

Unit
TeeKnobGauge

Description
Accesses the properties and methods of the Knob gauge.


TKnobGaugeEditor

TKnobGaugeEditor
Hierarchy Properties Methods Events

Unit
TeeKnobGauge

Description
Editor which allows to change the aspect of the Knob gauge.


TKurtosisFunction

TKurtosisFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Kurtosis is a measure of the "peakedness" of the probability distribution of a real-valued random variable.


TLabelsList

TLabelsList
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Specialized TList class to hold Series labels.

Used at TChartSeries Labels property class.


TLanguageStrings

TLanguageStrings
Hierarchy Properties Methods Events

Unit
TeeTranslate

Description
Specialized stringlist that holds all the strings in the currently selected language, to be used to translate all forms.


TLegendItem

TLegendItem
Hierarchy Properties Methods

Unit
Chart

Description
The LegendItem class describes characteristics of each item that are placed to the Legend.


TLegendItems

TLegendItems
Hierarchy Properties Methods Events

Unit
Chart

Description
Specialized TList class to hold Legend items of type TLegendItem.


TLegendPaletteTool

TLegendPaletteTool
Hierarchy Properties Methods Events

Unit
TeeLegendPalette

Description
TLegendPaletteTool is used to display a color legend that matches palette properties of a Surface or Contour or any other 3D Palette series.

It is very configurable as it is internally made with a sub-chart control offering and supporting many of its properties and events.


TLegendScrollBar

TLegendScrollBar
Hierarchy Properties Methods Events

Unit
TeeLegendScrollBar

Description
Chart Tool used to display an scrollbar inside the Chart Legend.

This scrollbar can be used to scroll among the legend items.

When chart paging is active (Chart1.MaxPointsPerPage property), the scrollbar scrolls page by page instead of point by point.


TLegendSymbol

TLegendSymbol
Hierarchy Properties Methods Events

Unit
Chart

Description
The LegendSymbol class describes characteristics of the colour box symbols that are placed adjacent to the Legend text descriptions.


TLegendTitle

TLegendTitle
Hierarchy Properties Methods

Unit
Chart

Description
The Chart legend has a property "Title" of this class.

This class is used to display an annotation on top of the chart legend.

Set the Text and TextAlignment properties with the text you want to display on top of legend.


TLightFilter

TLightFilter
Hierarchy Properties Methods Events

Unit
TeeLighting

Description
Creates the effect of a light shining on the content of the applied region.


TLightTool

TLightTool
Hierarchy Properties Methods Events

Unit
TeeLighting

Description
Use this tool to display a light-spot in 2D dimensions on top of a chart control.


TLinearGauge

TLinearGauge
Hierarchy Properties Methods Events

Unit
TeeLinearGauge

Description
Accesses the properties and methods of the Linear gauge


TLineSeries

TLineSeries
Hierarchy Properties Methods Events

Standard Line series, with optional point markers.

Unit
Series

Description
The TLineSeries component outputs all points by drawing a line between them. (To see a visual representation go to the TeeChart User Guide).

Set the ParentChart property to the desired Chart component.
Use the Add or AddXY method to manually fill line points.

TLineSeries derives from TCustomSeries , which adds support for Series Pointer, Marks and click events.

The LinePen property determines the kind of pen used to draw the lines between points.

Use the LineBrush in 3D mode to change the line fill pattern.

The Stairs property controls how to draw the connecting lines between points. Use then the InvertedStairs property to change how are these steps drawn.

You can show point shapes by using the Pointer subcomponent property.

Please refer to TCustomSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TLinkTool

TLinkTool
Hierarchy Properties Methods Events

Unit
TeeLinkTool

Description
Special annotation shape that accepts clicks to launch default URL browser.

See also Text, Hint and URL properties.


TLowTeeFunction

TLowTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TLowTeeFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for TLowTeeFunction is 0 (By default, TLowTeeFunction will show the lowest point of all the series points). Period is applicable to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

If more than 1 data series is added as datasource for TLowTeeFunction then the period default changes to 1.

TLowTeeFunction will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor.

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.


TMACDFunction

TMACDFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The MACD function (Moving Average Convergence Divergence), used in financial charts.


TMagnifyTool

TMagnifyTool
Hierarchy Properties Methods Events

Unit
TeeMagnifyTool

Description
This tool is used to zoom pixels of a chart zone while moving the mouse.


TManySeriesTeeFunction

TManySeriesTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TManySeriesTeeFunction is an ancestor function class for Functions that permit several Series for input.

It is an internally-used middle class.


TMapSeries

TMapSeries
Hierarchy Properties Methods Events

Displays polygons scaling XY coordinates to axis. For GIS / MAP applications.

Unit
TeeMapSeries

Description
You can use the Map Series for drawing a collection of polygon shapes.
Each Polygon is comprised of a collection of X, Y points and each Polygon has a (Z) value that may be used to store the 'Polygon Value'.
Every shape has formatting attributes like pen, brush, gradient, etc.
The shape color references the color palette for its "Polygon Value" or may be custom defined.

Using the BackImage tool to fill the background with a custom picture, this series behaves like a GIS / MAP application, where zooming and scrolling the polygons also zooms and scrolls the picture (for example a map).


TMargins

TMargins
Hierarchy Properties Methods

Unit
TeEngine

Description
This class is used at TTextShape, Series Marks and TAnnotationTool classes among others.

Defines the amount of screen space to leave at the edges of a shape or annotation rectangle.

Distinct values can be specified in the four directions (Left, Top, Right, Bottom) in different ways using the Units property.


TMarksCallout

TMarksCallout
Hierarchy Properties Methods

Unit
TeEngine

Description
Describes properties to draw the line between a series mark and its corresponding series point.


TMarksItem

TMarksItem
Hierarchy Properties Methods

Unit
TeEngine

Description
Class with formatting properties to use to draw a single series mark.

// Customize mark...
with Series1.Marks[3] do
begin
Font.Size:=14;
Color:=clSilver;
end;

// Customize another mark...
with Series1.Marks[5] do
begin
Font.Size:=12;
Font.Color:=clWhite;
Color:=clNavy;
ShapeStyle:=fosRoundRectangle;
Shadow.Size:=4;
Shadow.Transparency:=60;
Shadow.Color:=clDkGray;
end;


TMarksItems

TMarksItems
Hierarchy Properties Methods Events

Unit
TeEngine

Description
List containing formatting properties for each series mark.

// customize mark...
with Series1.Marks[3] do
begin
Font.Size:=14;
Color:=clSilver;
end;

// customize another mark...
with Series1.Marks[5] do
begin
Font.Size:=12;
Font.Color:=clWhite;
Color:=clNavy;
ShapeStyle:=fosRoundRectangle;
Shadow.Size:=4;
Shadow.Transparency:=60;
Shadow.Color:=clDkGray;
end;


TMarksTipTool

TMarksTipTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Marks Tip tool is used to display default Hint windows when the
mouse is over (or clicks) a Series point. The Style property and the
OnGetText event can be used to customize the hint text.


TMedianTeeFunction

TMedianTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
Calculates the median value of the source series values.

The median value is different than the average in that median returns the value that is "at the middle" of the source series values ordered in ascending order.

If more than one value shares the middle position, this function returns the average of those values.


TMetafileHeader

TMetafileHeader
Hierarchy Methods

Unit
GDIPAPI


TMirrorFilter

TMirrorFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The Mirror filter generates a mirrored image of the region applied. There's the possibility to specify the direction tu use.
See "Direction" property.


TModeTeeFunction

TModeTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
The mode function returns the source series value that is repeated more times.


TMomentumDivFunction

TMomentumDivFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The Momentum Division function calculates the ratio of a point value
compared to the previous N point value.

The formula is : Momentum = 100 * Value / PreviousValue


TMomentumFunction

TMomentumFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
TMomentumFunction is a descendant of TMovingTeeFunction. Each Y value is the current point's Y value less the last Period point's Y value.

Example:

We have the following Y values: 4 6 2 8 5 1 0 3 6

The TMomentumFunction calculated points (with a Period of 4) are: (5-4) (1-6) (0-2) (3-8) (6-5)

That is: 1 -5 -2 -5 1

These are the Y values of TMomentumFunction. As new points are being appended, TMomentumFunction calculates new points.

To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.


TMoneyFlowFunction

TMoneyFlowFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The Money Flow Index function determines the strength of money flowing into or out of a security by comparing the volume of upward and
downward price changes over a given period of time.
Money flow by Marc Chaiken, the formula.

CMF = SUM(AD, n) / SUM(VOL, n)
where n = Period
AD = VOL * (CL - OP) / (HI - LO)
AD stands for Accumulation Distribution


TMosaicFilter

TMosaicFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Groups and averages squared zones of pixels in the image.


TMouseLeaveEvent

TMouseLeaveEvent
Hierarchy Methods

Unit
TeeProcs

Description
This event is fired when the mouse leaves the object (i.e. TChart) assigned to.


TMovingAverageFunction

TMovingAverageFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
TMovingAverageFunction is a descendant of TTeeMovingFunction. It does an average calculation of last Period point values. To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.

Calculation: TMovingAverageFunction will calculate the simple or weighted average of every group of Period points.

Example:

We have a Series with the following Y values: 4 8 2 6 7 2 1

And we want to plot a simple Moving Average of Period: 3

That is: (4+8+2)/3 (8+2+6)/3 (2+6+7)/3 (6+7+2)/3 (7+2+1)/3

Then: 14/3 16/3 15/3 15/3 10/3

New appended points will trigger new MovingAverage points. Changing the Period property (both at design and runtime) will recalculate entirely the MovingAverage.


TMultiplyTeeFunction

TMultiplyTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TMultiplyTeeFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for TMultiplyTeeFunction is 1 (By default, multiply will show the multiplication of all series at each axis point). Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

Multiply will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor.

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.


TMultiTimer

TMultiTimer
Hierarchy Properties Methods Events

Unit
TeeAnimate


TMyPointSeries

TMyPointSeries
Hierarchy Properties Methods Events

MyPoint series draws a vertical and horizontal line from the axes to each series point.

Unit
MyPoint

Description
TMyPointSeries draws one horizontal and one vertical line from the axis to every point.

TMyPointSeries is a sample Series to demonstrate how to override the protected DrawValue method.
Refer to the source-code for more information.


TNearestTool

TNearestTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
Moves a marker to the point nearest to the cursor.
The tool may be associated with a Series or applied globally to the Chart.


TNumberAnimation

TNumberAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate

Description
\sa\sl\slmultAnimation which allows you to animate a number. You can specify the start and end value.


TNumericGauge

TNumericGauge
Hierarchy Properties Methods Events

Unit
TeeNumericGauge

Description
Gauge to draw text and numbers in a similar way to LCD or LED gauges.

Content is stored as a collection of Markers.
Three default predefined Markers are already created by TNumericGauge:

TextMarker, UnitsMarker and ValueMarker

Markers have individual properties like text, font, color, pen, etc.


TNumericMarker

TNumericMarker
Hierarchy Properties Methods Events

Unit
TeeNumericGauge

Description
Properties that define an individual marker inside a Numeric gauge.


TNumericMarkers

TNumericMarkers
Hierarchy Properties Methods Events

Unit
TeeNumericGauge

Description
Collection of markers that are displayed inside a Numeric gauge.


TNumericShape

TNumericShape
Hierarchy Properties Methods

Unit
TeeNumericGauge


TObjectInspector

TObjectInspector
Hierarchy Properties Methods Events

Unit
TeeObjectInspector


TOBVFunction

TOBVFunction
Hierarchy Properties Methods Events

Unit
TeeOBVFunction

Description
On Balance Volume function.

This function uses an OHLC series (Candle) and another Volume series values.

For each point in the OHLC series, the Close price is compared to the Open price.
If the Close is higher, the Volume value for that point is added.
If the Close is lower, the Volume value is lowered.
\sb\saThe result is a fluctuating line.


TOHLCSeries

TOHLCSeries
Hierarchy Properties Methods Events

Unit
OHLChart

Description
TOHLCSeries is an abstract Series class that maintains lists for Open, Close, High and Low values.
Its inmediate descendant is TCandleSeries, but can be used as the ancestor of any Financial Series type.


TOperaTheme

TOperaTheme
Hierarchy Methods

Unit
TeeThemes

Description
Theme with Verdana font and blue-silver colors.


TOptionsForm

TOptionsForm
Hierarchy Properties Methods Events

Unit
TeeDesignOptions

Description
This form is used at design-time to edit several properties related to design-time behaviour of the chart editor dialogs.

The idiom (language) used to translate the editors is also selected using this dialog.

You should maybe never use this dialog at runtime in your applications.


TOrgItem

TOrgItem
Hierarchy Properties Methods Events

Unit
TeeOrgSeries

Description
Represents an item in the collection of items of TOrgSeries.

Items are displayed as rectangle annotations.

The item has AddBrother and AddChild methods you can use to add new items programatically at runtime.

See also:
TOrgItemCollection


TOrgItemCollection

TOrgItemCollection
Hierarchy Properties Methods Events

Unit
TeeOrgSeries

Description
Contains the flat list of items to display in hierarchical structure.

See also:
TOrgItem


TOrgSeries

TOrgSeries
Hierarchy Properties Methods Events

Unit
TeeOrgSeries

Description
Organizational Chart style.

Draws a collection of "items" in hierarchical structure.

Items are rectangles with text and formatting properties.
Every item has a Superior property that defines the index of the "parent" item in the hierarchy.

Lines connecting the items can be displayed using the series Pen and the LineStyle properties.

Items are automatically positioned and auto-sized depending on their text length and font size attributes.

The Spacing property defines default space quantities.


TOrgShape

TOrgShape
Hierarchy Properties Methods

Unit
TeeOrgSeries

Description
Shape object with predefined default values (centered text alignment).

Properties and methods are inherited from TTextShape class.


TPageNumTool

TPageNumTool
Hierarchy Properties Methods Events

Unit
TeePageNumTool

Description
The PageNum tool is an annotation that automatically displays the current page number and the total number of pages.

Example:

"Page 4 of 25"

When the Chart MaxPointsPerPage property is used, the chart is divided in several pages.


TPathData

TPathData
Hierarchy Methods

Unit
GDIPAPI


TPCXExportFormat

TPCXExportFormat
Hierarchy Methods

Unit
TeePCX

Description
Use TPCXExportFormat to create and export the TeeChart in PCX format. The Class returns default export characteristics to be used when exporting a PCX image of the Chart.

TPCXExportFormat uses the PCX unit Copyright Software Matters Inc. 1991-2000
Please see their web http://www.smatters.com for more information.

Example of use

Uses TeePCX;

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp:TPCXExportFormat;
begin
tmp:= TPCXExportFormat.Create;
tmp.Panel:=Chart1;
tmp.SaveToFile('c:\tempCharts\Chart1PCX.' + tmp.FileExtension);
tmp.Free;
end;


TPCXOptions

TPCXOptions
Hierarchy Properties Methods Events

Unit
TeePCX

Description
Options form for PCX export options.

Example

Uses TeePCX;

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp:TPCXExportFormat;
tmpOptionsForm:TForm;
begin
tmp:= TPCXExportFormat.Create;
tmp.Options.ShowModal;
tmp.Panel:=Chart1;
tmp.SaveToFile('c:\tmpCharts\Chart1PCX.' + tmp.FileExtension);
tmp.Free;
end;


TPDFCanvas

TPDFCanvas
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Special 3D Canvas class to generate PDF documents from TChart controls.
You should seldomly create instances of TPDFCanvas.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.

Generated PDF documents might contain mutiple pages with multiple charts on them.
Fonts and images can be embedded inside the PDF document.


TPDFChartObject

TPDFChartObject
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Note: Internal class used by TPDFCanvas.

This class represents a TChart control exported to PDF format.

It is used by the TTeePDFPage class, ChartObject property.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.


TPDFExportFormat

TPDFExportFormat
Hierarchy Methods

Unit
TeePDFCanvas

Description
Use the PDF format to generate PDF (Adobe Portable Document Format) files from TChart controls.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.

More information about PDF format:

http://www.adobe.com/products/acrobat/adobepdf.html

\sb\saPDF is copyright Adobe Systems Incorporated. All rights reserved.

{ Copyright (c) 2002-2007 by Marjan Slatinek }
{ and Steema Software }
{ All Rights Reserved }
{ }
{ Some features taken from }
{ Nishita's PDF Creation VCL (TNPDF) }
{ ( with permission ) }


TPercentChangeFunction

TPercentChangeFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
A percentage change is a way to express a change in a variable. It represents the relative change between the old value and the new one.


TPerformanceFunction

TPerformanceFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Calculates the percentage of difference between each point and the first point of the source series.


TPerimeterFunction

TPerimeterFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Calculates which points from the source series points form the "perimeter" or "boundaries".

The result is a set of points that display a closed polygon passing over the source points that are at the edges of the total source points.


TPieMarks

TPieMarks
Hierarchy Properties Methods

Unit
Series

Description
Specialized class which only holds Marks properties that can be used with Pie Series type.

The LegSize property is used to draw angled lines between the Pie mark and the slice.

When the VertCenter property is True, the line from the Pie mark to the slice starts at the middle vertical position of the mark rectangle instead of the top or bottom corners.


TPieOtherSlice

TPieOtherSlice
Hierarchy Properties Methods

Unit
Series

Description
Pie series uses this class in Pie series OtherSlice property.

The TPieOtherSlice component controls the grouping of Pie slices.
Use the Style property to define how, by percentage or value, you wish to group the smaller value slices of the Pie.


TPieSeries

TPieSeries
Hierarchy Properties Methods Events

Circular representation of values.

Unit
Series

Description
The Pie series outputs all points drawing slices forming a circle or ellipse.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Use the Add method to manually fill pie slices:

Series1.Clear;
Series1.Add( 123 );
Series1.Add( 456, 'Hello' );
Series1.Add( 789, 'abc', clGreen );

The PiePen property determines the kind of pen used to draw the slice frames.

The Chart View3D and Chart Chart3DPercent properties control the 3D pie size.

Set the UsePatterns property to True to fill the pie slices using brush patterns.

The Shadow Color and Dark3D properties apply a shadow effect on pie 3D region.

The PieValues property can be used to access the pie values:

var tmp : Double;
tmp:=Series1.YValues[3]; // fourth slice value

Please refer to TCircledSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TPieTool

TPieTool
Hierarchy Properties Methods Events

Tool to focus pie slices when moving the mouse over them.

Unit
TeePieTool

Description
The TPieTool focuses pie slices as the user moves the mouse over them.

Set the Pen properties to control focus appearance.

ChartTool1.Pen.Color := clRed ;


TPlaySoundAnimation

TPlaySoundAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate


TPNGExportFormat

TPNGExportFormat
Hierarchy Properties Methods

Unit
TeePNG

Description
The TPNGExportFormat class inlcudes characteristics of the PNG image export format for a Chart.


TPoint3DSeries

TPoint3DSeries
Hierarchy Properties Methods Events

XYZ point series.

Unit
TeePoin3

Description
To see a visual representation of this Series type, go to the TeeChart User Guide.
This Series is very similar to a TPointSeries, adding Z values for each point:

Series1.AddXYZ( 123, 456, 789 , 'Hello', clRed );

Point3D series does not impose any limit on the X,Y,Z coordinates or number of points.
Think as it is the same as a normal Point Series, with each point located inside the chart axes in a different XYZ position.

Points can optionally be displayed with lines that link them in the same order they were added to the series.


TPointBlock

TPointBlock
Hierarchy Methods

Unit
TeCanvas


TPointFigureSeries

TPointFigureSeries
Hierarchy Properties Methods Events

Point & Figure financial series.

Unit
TeePointFigure

Description
Point & Figure series is made of X's and O's symbols representing over time filtered price movements.

Use the AddOHLC method to add values.


TPointSeries

TPointSeries
Hierarchy Properties Methods Events

Simple XY series, uses Pointer properties to display points.

Unit
Series

Description
The TPointSeries component outputs all points using the Pointer subcomponent properties.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Use the Add or AddXY method to manually fill point values :

Series1.Add( 123 );

TPointSeries derives from TCustomSeries, which adds support for Series Pointers, Marks and click events.

The Pointer Style property determines the kind of shape used to draw the points.

Use the Pointer Brush property to change the point filling pattern.
The Pointer Pen property defines the kind of pen used to draw the point frames.

Point dimensions can be changed using the Pointer.HorizSize and Pointer.VertSize properties.

Please refer to TCustomSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TPointXY

TPointXY
Hierarchy Properties Methods

Unit
TeeArrowTool

Description
Class which allows you to work with X and Y points as integers.


TPointXYFloat

TPointXYFloat
Hierarchy Properties Methods

Unit
TeCanvas

Description
Class which allows you to work with X and Y points as float.


TPointXYZFloat

TPointXYZFloat
Hierarchy Properties Methods

Unit
TeCanvas

Description
Class which allows to work with X,Y and Z points as float.


TPolarBarSeries

TPolarBarSeries
Hierarchy Properties Methods Events

Unit
TeePolar

Description
The Polar Bar series displays points as lines, starting at the polar center and ending at each polar point position.


TPolarGridSeries

TPolarGridSeries
Hierarchy Properties Methods Events

Unit
TeePolarGrid

Description
Displays an array of values as a circular grid of cells, very similar to a for example hard disk plate with sectors and tracks.

The AddCell method is used to fill the series.


TPolarSeries

TPolarSeries
Hierarchy Properties Methods Events

Circular Series for Radius and Angle values.

Unit
TeePolar

Description
The TPolarSeries component outputs all points using polar coordinates instead of cartesian coordinates.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Each point is defined by an angle and a radius. Angle values correspond to X values and Radius correspond to Y values.

Circle grid lines are determined by the LeftAxis component properties, while radial grid lines are controlled by the BottomAxis component.

Set the ParentChart property to the desired Chart component. Use the AddPolar method to manually fill polar points.

Right-click the component at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query component.

The Pen and Pointer properties determine the Series formatting attributes.

The CloseCircle property controls if a line will be drawn between the first and last Series points.

Use the CirclePen to change the circle frame appearance.

The AngleIncrement property defines the angle origin. By default it's zero, meaning angles start at right most circle coordinate.

The DrawRing method can be used to draw a circle at a specific Series value:

{ Draw a blue ring passing over the 3rd PolarSeries1 Point }
Chart1.Canvas.Brush.Style:=bsClear;
Chart1.Canvas.Pen.Color:=clBlue;
Chart1.Canvas.Pen.Width:= 2;
PolarSeries1.DrawRing( PolarSeries1.YValue[2] );

Please refer to TCustomPolarSeries and TCircledSeries ancestor descriptions for all common Series properties like Marks, Axis dependence, methods and events.


TPolygonSeries

TPolygonSeries
Hierarchy Properties Methods Events

Unit
TeeMapSeries

Description
TPolygonSeries is a descendant of TChartSeries.
Use TPolygonSeries to define the shape of the Polygons to be drawn by the MapSeries.
A PolygonSeries contains the co-ordinates of the points which define the boundary of a Polygon.

TPolygonSeries stores the point Valuelists and individual characteristics of each TMapSeries 'sub' Series (each Polygon is a Chart Series).
TMapSeries hides the need treat each Polygon as a Series by treating the Polygons as an internal collection of Series.

The TTeePolygon.Points property is of type TPolygonSeries.


TPreviewChartPen

TPreviewChartPen
Hierarchy Properties Methods Events

Unit
TeePreviewPanel

Description
Pen used to draw Margin lines on TChart's Print Preview.


TProcessTimer

TProcessTimer
Hierarchy Properties Methods Events

Unit
TeeDosCommand


TPropertyAnimation

TPropertyAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate


TPropertyLink

TPropertyLink
Hierarchy Properties Methods

Unit
TeeAnimate


TPVOFunction

TPVOFunction
Hierarchy Properties Methods Events

Unit
TeePVOFunction

Description
Percentage Volume Oscillator financial function.

Calculates the difference between two exponential moving averages ( a - b)

This difference can be optionally divided by the first moving average : ( a -b ) / a , using the Percentage property.

The Period property defines the first moving average period.
The Period2 property defines the second moving average period.


TPyramidSeries

TPyramidSeries
Hierarchy Properties Methods Events

Vertical pyramid series.

Unit
TeePyramid

Description
The Pyramid series draws points stacked in a vertical pyramid shape.
Border, pattern, size and colors may be customized.
It allows null (missing) points and can be also displayed inverted.

The SizePercent property determines the base size of the pyramid.


TQRChart

TQRChart
Hierarchy Properties Methods Events

Unit
QrTee

Description
QuickReports is a native Delphi / C++ Builder reporting tool Copyright by QuSoft, Norway (www.qusoft.com)
It's included with Delphi & C++ Builder Professional and Enterprise versions.

Note:

To recompile TeeChart QRChart component when you install a newer version of QuickReports, you need the QRChart source code.
These source code files can be obtained from TeeChart web site ( www.teechart.com ) and they are also included at all trial and registered versions of TeeChart Pro.
Detailed, step by step instructions on how to recompile QRChart source code are included with the source code files.

The TQRChart component links TChart or TDBChart components with QuickReports.

It's an interface between both environments to allow Charts to be embedded in report bands.

The TeePrintMethod property allows two operation modes:
The qtmBitmap mode outputs Charts as bitmap pictures.
This makes the Chart appear as it looks on the screen, but remember that bitmaps are larger and slower to print.

You can set TeePrintMethod property to qtmMetafile.
This is much faster and gives much better output quality than bitmaps.
Chart contents are sent to QuickReports in Windows metafile vector instructions.

Please refer to QuickReports documentation and help file to know all details about creating reports.
See the TeeChart User Guide for more information about using TQRChart.

TeeChart Pro includes TQRChart source to allow easy migration with new releases of QuickReport by simply re-compiling the TeeChart package after installing the new QuickReport version.
See the included recompilation instructions.


TQRDBChart

TQRDBChart
Hierarchy Properties Methods Events

Unit
QrTee

Description
See TQRChart.

TQRDBChart is an internal class used by TQRChart control to associate DB sourced data with the QRChart component.

TQRDBChart is automatically added to a Form when TQRChart is added to a QuickReport.

Example

type
TForm1 = class(TForm)
QuickRep1: TQuickRep;
QRDBChart1: TQRDBChart;
QRChart1: TQRChart;
procedure FormCreate(Sender: TObject);
private
{ Private declarations }
public
{ Public declarations }
end;

Example of use:

//Chart is a TQRDBChart class.
QRChart1.Chart.Gradient.Visible:=True;


TRadarSeries

TRadarSeries
Hierarchy Properties Methods Events

Circular series for single values.

Unit
TeePolar

Description
The Radar Series type is very similar to a Polar series (both Polar and Radar derive from a common TCustomPolarSeries class ).
To see a visual representation of this Series type, go to the TeeChart User Guide.

Every point in the Radar series is drawn at a different angle ( 360 degrees divided by total number of points ).

Like Polar Series, more than one Radar series can be plotted together in the same chart (better if all Radar series have the same number of points).


TRandomTheme

TRandomTheme
Hierarchy Methods

Unit
TeeThemes

Description
This theme changes colors and fonts using random values.


TRangePropertyAnimation

TRangePropertyAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate


TRectangleTool

TRectangleTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Rectangle tool is like an annotation tool with resizing and dragging capabilities.

You can use this tool for multiple applications, for example to display the chart contents under the rectangle into another chart, picture or canvas.

Other uses of rectangle tool can be to zoom the chart to the contents of the rectangle using the Chart ZoomRect method or to display minimum and maximum of the values inside the rectangle.


TRenkoSeries

TRenkoSeries
Hierarchy Properties Methods Events

Unit
TeeRenkoSeries

Description
The Renko chart financial indicator.

The Renko chart is a trend following technique.

It got its name from a Japanese word "renga" meaning bricks.
In Renko chart line brick is drawn in the direction of the prior move only if prices move by a minimum BoxSize amount which is equivalent to the box size that are always equal in size.

Renko charts are always based on the closing prices.
Renko bricks are drawn after comparing, that day's close with the previous brick (high or low). A "box size" which determines the minimum price change to show is specified.

Copyright (c) 2007 by Marjan Slatinek


TResizeFilter

TResizeFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Changes the width and height of the image.


TReverseFilter

TReverseFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Mirrors the image in the horizontal direction.

See also: TFlipFilter.


TRMSFunction

TRMSFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The TRMSFunction function calculates the Root Mean Square value (RMS) for range of points. Depending on the Complete property, two different equations are used to calculate RMS:

RMS = Sqrt(Sum(Sqr(x[i]))/NumPoints) ... Complete = true
RMS = Sqrt(Sum(Sqr(x[i]))/(NumPoints-1)) ... Complete = false

where NumPoints is number of points within range.


TRoseSeries

TRoseSeries
Hierarchy Properties Methods Events

Unit
TeeRose

Description
TRoseSeries is a combination of a polar chart and a histogram. It plots the frequency or percentage of occurrences data shows up at a particular
angle or direction. Mostly used to help visualize cumulative wind direction or wave direction data but also used anytime you need to show a
histogram related to direction.

Displays more than one series at the same time, each one with specific properties and also stack them if necessary.These charts are created by using sector zones of variable directions and radii. It is possible to create MultiRose or stacked Rose charts by using the MultiRose property.
One use for Rose Charts is to plot wind directions as compass points together with the different wind speeds.


TRotateFilter

TRotateFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Rotates the image using the given Angle property.

It optionally resizes the image to fit the whole width x height current size, and if so, fill the remaining empty space with the BackColor property.

See also: AutoSize property.


TRotateTool

TRotateTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The Rotate tool changes the elevation and rotation of charts when dragging the mouse over a chart.

You can set the Button property to define which mouse button is used to rotate.
And the Style property to set in which direction is the chart allowed to rotate.

The Inertia property is used to animate rotation after you stop dragging the mouse.

Rotation can be Inverted and rotation Speed can be customized.


TRSIFunction

TRSIFunction
Hierarchy Properties Methods Events

Unit
CandleCh

Description
TRSIFunction is a TLineSeries derived component that calculates a percent value based on Financial data.
TRSIFunction must be connected to a TOHLCSeries or any derived Series component (like TCandleSeries . Like a TMovingAverageFunction, RSI will calculate a new point Y value by using previous Period points.

The used formula is:

Add all Close prices greater than Open prices and divide by ocurrences (Ups).

Add all Close prices lower than Open prices and divide by ocurrences (Downs).

RSI := 100.0 - ( 100.0 / ( 1.0 + Abs( Ups / Downs ) ) )

To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.


TRVIFunction

TRVIFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Relative Vigor Index (RVI) is an indicator that measures the conviction of a recent price action and the likelihood that it will continue. The RVI
compares the positioning of a security's closing price relative to its price range. The result is smoothed by calculating a moving average of the
values and compared with a 4-period signal line.

The indicator is calculated using the formula:

RVI = (CLOSE-OPEN)/(HIGH-LOW)

The RVI Function uses a OHLC ( Candle ) series as datasource.


TSARFunction

TSARFunction
Hierarchy Properties Methods Events

Unit
TeeSAR

Description
Financial function that calculates trends in OHLC datasource series (Open High Low Close financial data).

Also called Parabolic Stop and Reversal.

Formula used:

Sar(index) = Sar(index-1) + AccelerationFactor * ( Price(index-1) - Sar(index-1) )

Where:

Sar(index-1) is the previous point SAR value.
Acceleration factor is an user-defined constant value.
Price is the highest (or lowest) price for the previous period (High for long and Low for short positions).

For more information follow these links:

http://www.linnsoft.com/tour/techind/sar.htm
http://calderone.eresmas.com/parabolic_sar.htm
http://es.biz.yahoo.com/edu/tech/osciladores1014.html

http://www.trade10.com/parabolic_s&r.htm
http://www.market-analyst.com/kb/article.php/Parabolic_Stop_and_Reverse/
http://www.incrediblecharts.com/technical/parabolic_sar_construction.htm
http://trader.online.pl/

http://www.amibroker.com/library/formula.php?id=242
http://www.amibroker.com/library/formula.php?id=241


TScrollBarThumb

TScrollBarThumb
Hierarchy Properties Methods

Unit
TeeLegendScrollBar

Description
Contains properties that define how to display the TTeeScrollBar.Thumb


TSelectorTool

TSelectorTool
Hierarchy Properties Methods Events

Unit
TeeSelectorTool

Description
This tool enables the end-user to click and drag chart elements like series, axes, legend, titles, etc.

Events are called whenever the user selects an element by clicking it, drags the element to a new location or resizes the chart.


TSeriesAction

TSeriesAction
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
TSeriesAction is the base class for Series related Actions.


TSeriesActionActive

TSeriesActionActive
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TSeriesActionActive Action is used to set Active to True/False. It automatically switches Series.Active boolean property between True and False.


TSeriesActionEdit

TSeriesActionEdit
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
Activates (displays) the editor dialog for the associated Series.


TSeriesActionMarks

TSeriesActionMarks
Hierarchy Properties Methods Events

Unit
TeeChartActions

Description
The TSeriesActionMarks Action is used to show / hide the Series Marks. It automatically switches Series.Marks.Visible between True and False.


TSeriesAnimationTool

TSeriesAnimationTool
Hierarchy Properties Methods Events

Unit
TeeTools

Description
The series animation tool is a small tool intended to be used with any series, to perform a simple visual animation.

The animation changes each series point value to, for example, show a growing series.

The number of animation Steps and the Delay between each step determine the total animation time.

The Loop property defines if the animation stops when finished or starts again at the beginning.


TSeriesBandTool

TSeriesBandTool
Hierarchy Properties Methods Events

Unit
TeeSeriesBandTool

Description
This chart tool fills the area between two series (for example two line series) using the border, color, brush, gradient and transparency properties.

ChartTool1.Gradient.Visible := True;
ChartTool1.Series := Series1;
ChartTool1.Series2 := Series2;

It can also fill the area between one series and a constant value, by not setting the Series2 property and setting the BoundValue fixed constant value:

ChartTool1.Series := Series1;
ChartTool1.Series2 := nil;
ChartTool1.BoundValue := 123;


TSeriesColorPalette

TSeriesColorPalette
Hierarchy Properties Methods

Unit
TeeSurfa


TSeriesData

TSeriesData
Hierarchy Properties Methods

Unit
TeeStore

Description
The TSeriesData component is the ancestor component for TeeChart's data export components:
- TSeriesDataHTML
- TSeriesDataText
- TSeriesDataXLS
- TSeriesDataXML

TSeriesData sets the source Series to be exported and handles the output instructions to copy to clipboard, file or stream.


TSeriesDataHTML

TSeriesDataHTML
Hierarchy Properties Methods

Unit
TeeStore

Description
Series data can be exported to HTML tables. TSeriesData allows saving to file and copying to clipboard. There are several options when exporting to text format, such as include labels, point index, etc.


TSeriesDataSet

TSeriesDataSet
Hierarchy Properties Methods Events

Unit
TeeData

Description
This component enables the connection of a DBGrid to a TChart/TDBChart's single Series data. The TSeriesDataset component may be activated to connect to any TeeChart Series on a Form. Use a TDatasource component to connect to the TSeriesDataset in the same way as if it were a TTable or TQuery. A DBGrid may then be connected to the TDatasource to access the Series data.


TSeriesDataText

TSeriesDataText
Hierarchy Properties Methods

Unit
TeeStore

Description
Use TSeriesDataText to export data from a Chart Series to a delimited text file, stream or clipboard.


TSeriesDataXLS

TSeriesDataXLS
Hierarchy Properties Methods

Unit
TeeStore

Description
Use TSeriesDataText to export data from a Chart Series to an Excel spreadsheet as File or Stream.


TSeriesDataXML

TSeriesDataXML
Hierarchy Properties Methods

Unit
TeeStore

Description
Series data can be exported to XML. It allows saving to file and copying to clipboard. There are several options when exporting to text format, such as include labels, point index, etc.


TSeriesGroup

TSeriesGroup
Hierarchy Properties Methods Events

Unit
TeEngine

Description
This class contains the name of the group, the series that are included in this group and if the series in this group are active (Visible) or not.


TSeriesGroups

TSeriesGroups
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Chart Series can be grouped. Series groups can optionally be displayed at the chart editor.
The main purpose of groups is to have an easy way to show or hide multiple series, that is, show or hide individual groups of series.

A single series can pertain to no groups, to one group or to more than one group.

The Chart1.SeriesList.Groups property is a TSeriesGroups instance.


TSeriesMarkPosition

TSeriesMarkPosition
Hierarchy Methods

Unit
TeEngine

Description
Component defines position for the Mark referenced by the position index.


TSeriesMarks

TSeriesMarks
Hierarchy Properties Methods

Unit
TeEngine

Description
The TSeriesMarks component controls access to TeeChart Series Marks properties and methods.


TSeriesMarksPositions

TSeriesMarksPositions
Hierarchy Properties Methods Events

Unit
TeEngine

Description
This class provides access to Custom Series Mark positions.

When drawing a Series with visible Marks, the Marks Positions array is automatically filled with a TSeriesMarkPosition object for each displayed mark.

You can alter the mark positions properties after a Series is displayed.


TSeriesMarksSymbol

TSeriesMarksSymbol
Hierarchy Properties Methods

Unit
TeEngine

Description
Shape used by Series Marks to display a small rectangle similar to Chart Legend symbol.

The rectangle is filled with the same color as the corresponding mark's series point.


TSeriesPointer

TSeriesPointer
Hierarchy Properties Methods

Unit
TeEngine

Description
Some Series have a Pointer property of TSeriesPointer class.
Pointers are shape figures drawn on each Y point coordinates.
You can set several properties to change the pointers appearance.


TSeriesRegionTool

TSeriesRegionTool
Hierarchy Properties Methods Events

Unit
TeeSeriesRegion

Description
This tool fills the area between Series point values and a constant value, or between series and the axis line.

// Choose a Series and a value:

ChartTool1.Series := Series1;
ChartTool1.Origin := 123;

// Start and end point indexes can be also customized:

ChartTool1.LowerBound := 0;
ChartTool1.UpperBound := Series1.Count-1;

// Or set automatic (the default) :

ChartTool1.AutoBounds := True;

// If we dont need a constant value:

ChartTool1.UseOrigin := False;


TSeriesStatsTool

TSeriesStatsTool
Hierarchy Properties Methods Events

Unit
TeeSeriesStats

Description
This tool calculates basic statistical information using one series data point values.

It also makes easier for users to add statistical series, for example average lines, trends, etc by just clicking check-boxes at the tool editor dialog.

Statistical information can be obtained in text format calling the Statistics method.


TSeriesTextField

TSeriesTextField
Hierarchy Properties Methods Events

Unit
TeeSeriesTextEd

Description
TSeriesTextField contains the list of characteristics of the Field, used by TSeriesTextSource class, as data input for a Chart Series .


TSeriesTextFields

TSeriesTextFields
Hierarchy Properties Methods Events

Unit
TeeSeriesTextEd

Description
TSeriesTextFields is a collection of the TSeriesTextSource fields assigned for the inputting of TextSource data to a Series.


TSeriesTextSource

TSeriesTextSource
Hierarchy Properties Methods Events

Unit
TeeSeriesTextEd

Description
The TSeriesTextSource Component allows access to the properties and methods associated with the manipulation of data from text sources. The the TeeChart 'Internet Applications' tutorial for more information about use.

Example :

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
With SeriesTextSource1 do
Begin
Series:=Series1;
Filename:='http://www.steema.com/test.txt';
Headerlines:=1;

SeriesTextSource1.AddField('Bar',3);

{ Use the keyword 'Text' to select the Label field }
SeriesTextSource1.AddField('Text',1);

Active:=True;
end;
end;


TSharpenFilter

TSharpenFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
The Sharpen filter enhances edges using a simple algorithm. This is very fast to compute but can produce artificially over-sharp or over-noisy images if not used carefully.


TSingleRecordSeriesSource

TSingleRecordSeriesSource
Hierarchy Properties Methods Events

Unit
TeeDBSourceEditor

Description
Implements a Series source that connects a standard TDataSource component with a Series via the DataSource property.

The SingleRecord source loads database fields data into a Series for the current record only.

When the current record is changed, the source object reloads fields contents into the series.

This kind of database source is useful when tables have multiple fields to plot within a single record.


TSinusAnimation

TSinusAnimation
Hierarchy Properties Methods Events

Unit
TeeAnimate


TSkewnessFunction

TSkewnessFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
Skewness is a measure of the asymmetry of the probability distribution of a real-valued random variable.


TSliceValueList

TSliceValueList
Hierarchy Properties Methods Events

Unit
Series

Description
Contains the collection list of exploded slices and height of slices of a T PieSeries.html">Pie Series.


TSlopeFunction

TSlopeFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The slope or gradient of a line describes its steepness, incline, or grade. A higher slope value indicates a steeper incline.


TSmithSeries

TSmithSeries
Hierarchy Properties Methods Events

Telecomm Series.

Unit
TeeSmith

Description
The Smith Series is a graphical representation of transmission-line parameters that is used for presenting design parameters in a visual setting.


TSmoothedMovAvgFunction

TSmoothedMovAvgFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The Smoothed Moving Average (SMMA) gives the recent prices an equal weighting to the historic ones. The calculation does not refer to a fixed
period, but rather takes all available data series into account. This is achieved by subtracting yesterday's SMMA from today's price. Adding this
result to yesterday's SMMA, results in today's SMMA.

The SMMA is more reactive to trend changes than the Simple Moving Average (SMA).


TSmoothingFunction

TSmoothingFunction
Hierarchy Properties Methods Events

Unit
TeeSpline

Description
Creates a new series with smoothed points from a given source series.

var
Smoothingfunction1: TSmoothingFunction;

Smoothingfunction1 := TSmoothingFunction.Create(Self);
Series2.SetFunction(Smoothingfunction1);
Series2.DataSource := Series1;


TSmoothPoints

TSmoothPoints
Hierarchy Properties Methods

Unit
TeeSurfa

Description
Class to perform smoothing (using bicubic sp-line algorithm) of a list of values.

This class uses TBSpline class (located at TeeSpline unit), used with permission from Mr. M. v. Engeland.

ContourSeries uses this class to provide smoothing of contour level lines.


TSoftenFilter

TSoftenFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
Applies a transformation to pixels to smooth their differences with neighbouring pixels, thus eliminating contrast.


TSpacing

TSpacing
Hierarchy Properties Methods

Unit
TeeOrgSeries

Description
Defines the horizontal and vertical pixel values used as space between items.


TSpeedTheme

TSpeedTheme
Hierarchy Methods

Unit
TeeThemes

Description
New TSpeedTheme for easily getting optimal performance from TeeChart. Implements most chart settings suggested at this article:

http://www.teechart.net/reference/articles/VCLRealtime.htm

Pen's OwnerCriticalSection for chart and series as well as other series settings are left to the user.


TStdDeviationFunction

TStdDeviationFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
TStdDeviationFunction constructs a line based on the Standard deviation of its input Series' values.

The Standard Deviation Function calculates and plots

this formula: Sqrt( ((n*Sum(y*y)) - Sqr(Sum(y))) / (n*(n-1)) )

"Complete" Std.Deviation calculates (See the Complete property):

Sqrt( ((n*Sum(y*y)) - Sqr(Sum(y))) / Sqrt(n) )

To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.


TStochasticFunction

TStochasticFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The Stochastic function is used in financial charts.
It calculates the highest and lowest value on a given period and then:

value = (close - lowest ) / ( highest - lowest )


TSubChart

TSubChart
Hierarchy Properties Methods Events

Unit
TeeSubChart

Description
Special collection item containing a chart property.

The TSubChartTool class contains a collection of charts of TSubChart class.


TSubChartTool

TSubChartTool
Hierarchy Properties Methods Events

Unit
TeeSubChart

Description
This tool can be used to create many Charts into a parent Chart, having the possibility to customize each Chart as desired.
A simple code example of creation would be :

uses
TeeSubChart;

var
SubChart : TSubChartTool;

SubChart:=TSubChartTool.Create(Self);

with SubChart do
begin
ParentChart:=Chart1;
Charts.AddChart('Chart1');

with Charts[0] do
begin
Height:=130;
Width:=170;

with Chart do
begin
BevelOuter:=bvLowered;
AddSeries(TBubbleSeries.Create(self));
Series[0].FillSampleValues(5);
MarginTop:=5;
MarginBottom:=5;
MarginLeft:=5;
MarginRight:=5;
ApplyChartTheme(ChartThemes.Theme[3],Chart,7);
end ;

end ;
 end;


TSubGradient

TSubGradient
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Defines a gradient of colors used by Gradient.SubGradient property.
Subgradient colors are merged with its gradient colors to display a more complex gradient.


TSubsetTeeFunction

TSubsetTeeFunction
Hierarchy Properties Methods Events

Unit
TeeSubsetEditor

Description
Extracts a portion of the values of the underlying datasource series and adds them to the series associated to this function.

The StartValue and EndValue properties define the range of points to extract.


TSubtractTeeFunction

TSubtractTeeFunction
Hierarchy Properties Methods Events

Unit
TeeFunci

Description
TSubtractTeeFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for TSubtractTeeFunction is 1 (By default, subtract will show the subtraction of one series from another at each axis point). Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

Subtract will only work with 2 input series. The first series in the Chart Editor list will subtract the 2nd series.

To see a visual representation of TeeChart Standard Functions, go to the TeeChart User Guide.


TSurfaceNearestTool

TSurfaceNearestTool
Hierarchy Properties Methods Events

Unit
TeeSurfaceTool

Description
Use this tool to display a visual indication of selecting a Surface cell when the user moves the mouse over a surface series.


TSurfaceSeries

TSurfaceSeries
Hierarchy Properties Methods Events

Grid of XYZ points displayed as cell rectangles.

Unit
TeeSurfa

Description
The TSurfaceSeries component outputs all points as a 3 dimensions grid.
You can control grid colors palette and line attributes.
To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Points should be added manually to the Series by using either the AddXYZ method or the OnGetYValue event.
Null values (missing values) are also supported, they display empty (transparent) surface cells.

The NumXValues and NumZValues properties determine the grid dimensions.
NumXValues and NumZValues properties are automatically incremented when adding points with X or Z values outside current values.

A Surface chart made of 2000 x 2000 grid cells takes a lot of computing time, while (for example) a 100 x 100 grid size redraws quite fast on a modern machine.
Its all dependant on the CPU and Graphics card speed.

The Pen property determines the kind of pen used to draw Surface's grid lines.

Set the WireFrame property to True to draw transparent Surface's grids.

Surface point values are stored at XValues, YValues and ZValues properties.

The Brush property defines the pattern style used to fill Surface's grid cells.

The TimesZOrder property determines the ratio between Z scales and Chart depth in pixels.
The default value is 3 times the TChart Chart3DPercent value.

You can use the OnGetYValue event as the function that calculates Y values for a given X,Z grid cell coordinate.

The OnGetColor event can be used to supply specific grid cell colors.

The TSurfaceSeries has three color modes:

1) All cells with same color.

Set the UseColorRange and UsePalette properties to False.

2) Each cell color is calculated to be between two colors.

Set the UseColorRange property to True and set the desired StartColor and EndColor properties.

Each point Y value is used to calculate the corresponding cell color between the above two colors.

3) Each cell color is calculated from an internal color palette.

Set the UsePalette property to True and set the PaletteSteps property to the number of different color degrees.

The RedFactor, GreenFactor and BlueFactor run-time properties control how are the internal palette colors calculated.

The ClearPalette, AddPalette and Palette properties can be used to customize color ranges.

The CreateDefaultPalette restores the default internal color palette.

The GetSurfacePaletteColor function returns the color corresponding to a given Y value.

The GetXZValue function returns the stored Y value that corresponds to a given X,Y grid cell coordinates.

The ReCreateValues method can be used to force TSurfaceSeries to create again the grid and call again your OnGetYValue event to supply all Surface Y values.

The CreateValues method can be used to change the X and Z grid dimensions and refill again all Surface values.

Please refer to TChartSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TSurfaceSides

TSurfaceSides
Hierarchy Properties Methods

Unit
TeeSurfa

Description
Used by TIsoSurfaceSeries.Sides property.

Contains attributes used to fill the external sides of a iso-surface (mesh) chart.


TSVGCanvas

TSVGCanvas
Hierarchy Properties Methods

Unit
TeeSVGCanvas

Description
Specialized canvas that generates all graphical instructions in SVG syntax, using <xml> tags.

See also TSVGExportFormat class.


TSVGExportFormat

TSVGExportFormat
Hierarchy Methods

Unit
TeeSVGCanvas

Description
Use TSVGExportFormat to create and export the TeeChart in SVG format.
The class returns default export characteristics to be used when exporting a SVG image of the Chart.

SVG means Scalable Vector Graphics.
For more information visit: http://www.w3.org/Graphics/SVG

Example of use

Uses TeeSVGCanvas;

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp:TSVGExportFormat;
begin
tmp:= TSVGExportFormat.Create;
try
tmp.Panel:=Chart1;
tmp.SaveToFile('c:\tempCharts\Chart1.' + tmp.FileExtension);
finally
tmp.Free;
end;
end;

Easier way to do the same as above:

TeeSaveToSVGFile(Chart1,'c:\tempCharts\Chart1.svg');


TTableLegend

TTableLegend
Hierarchy Properties Methods

Unit
TeeDataTableTool

Description
Used by TDataTableTool.Legend property.
Defines the attributes used to display series names with optional graphical symbols near the row or colum values of a data table grid.


TTagCloudSeries

TTagCloudSeries
Hierarchy Properties Methods Events

Unit
TeeTagCloud

Description
Draws the list of XLabel text values (tags) sorted alphabetically or by their YValue.

Each label (tag) is displayed using a different font size, that is proportional to its value compared to the other labels (tags). The GetTagFontSize function returns the appropiate font size for a given tag index.

Tags can be added using the AddTag method which is simplier but equivalent to call the inherited Add method.

The tag color is obtained using the default ValueColor method which calculates colors based on the tag YValue and the Palette or UseColorRange properties.

Tags can be filtered using the Filter property.
Separation between tags is controlled by the TagSeparation property.

The Pen, Brush and Gradient properties can be used to fill the area behind the tags.

The Chart ClipPoints property controls if tags can be displayed outside the chart boundaries or not.

You can customize the font used to display each tag by using the OnDrawTag event, which is called everytime a tag is displayed and when the series needs to calculate a tag width and height.


TTeeAnimate

TTeeAnimate
Hierarchy Properties Methods Events

Unit
TeeAnimate


TTeeBlend

TTeeBlend
Hierarchy Properties Methods

Unit
TeCanvas

Description
The TeeBlend object is used to set transparency for a given screen rectangle.

The usage of TeeBlend is for example as follows:

Var Blend : TTeeBlend ;

R:=Rect( 10,10,50,50 );
Blend := TTeeBlend.Create( Chart1.Canvas, R );
try
...
Chart1.Canvas.Brush.Color:=clRed;
Chart1.Canvas.Brush.Style:=bsSolid;
Chart1.Canvas.Rectangle(R);
...
Blend.DoBlend( 50 ) ; // 50% transparency
finally
Blend.Free;
end;


TTeeButton

TTeeButton
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Internal use.
TeeButton is the common ancestor for TButtonPen and TButtonColor controls.

This class implements custom drawing over the Button canvas.


TTeeCanvas

TTeeCanvas
Hierarchy Properties Methods

Unit
TeCanvas

Description
The TTeeCanvas component controls access to TeeChart's 2D Canvas draw properties and methods.
It's an internal, virtual and abstract class.


TTeeCanvas3D

TTeeCanvas3D
Hierarchy Properties Methods

Unit
TeCanvas

Description
The TTeeCanvas3D component controls access to TeeChart's 3D Canvas draw properties and methods.


TTeeCommander

TTeeCommander
Hierarchy Properties Methods Events

Unit
TeeComma

Description
Use TTeeCommander to associate the TeeCommander navigation bar with a TeeChart Panel (TChart or TDraw3D).
TeeCommander navigation buttons offer:

 Normal mode (desactivate navigation)
 Chart Rotation up/down and left/right
 Overall Chart displacement up/down and left/right
Zoom
 3d Depth

To obtain the navigation you require, select the appropriate button from the bar and then drag, with the left mouse button depressed, over the Chart.


TTeeCustomAnimation

TTeeCustomAnimation
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Default : 50

Sets the animation speed to be used.


TTeeCustomShape

TTeeCustomShape
Hierarchy Properties Methods

Unit
TeeProcs

Description
TTeeCustomShape class describes panel appearance characteristics (bevel, colour, etc) for descendant TChart component shapes.


TTeeCustomShapeBrushPen

TTeeCustomShapeBrushPen
Hierarchy Properties Methods

Unit
TeeProcs

Description
Class used by TeeChart descendant components for Brush and Pen characteristics.


TTeeCustomShapePosition

TTeeCustomShapePosition
Hierarchy Properties Methods

Unit
Chart

Description
TTeeCustomShapePosition is used internally by TeeChart to permit custom positioning of descendant components.
Components that use Custom positioning include the TChartTitle and TChartLegend.


TTeeCustomTool

TTeeCustomTool
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TTeeCustomTool is the ancestor class for TeeChart Tool classes.


TTeeCustomToolAxis

TTeeCustomToolAxis
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TTeeCustomToolAxis is the ancestor for Axis associated Chart tools.

This class is used internally and can be used to create derived custom tools that need an Axis property.
Do not create a TTeeCustomTool or TTeeCustomToolAxis component directly.


TTeeCustomToolSeries

TTeeCustomToolSeries
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TTeeCustomToolSeries is the ancestor for Series associated Chart tools .

This class is used internally and can be used to create derived custom tools that need a Series property.
Do not create a TTeeCustomTool or TTeeCustomToolSeries component directly.


TTeeDataSet

TTeeDataSet
Hierarchy Properties Methods Events

Unit
TeeData

Description
Base class internally used at TChartDataSet and TSeriesDataSet classes.


TTeeDebugPaint

TTeeDebugPaint
Hierarchy Methods

Unit
TeeProcs


TTeeDlgWizard

TTeeDlgWizard
Hierarchy Properties Methods Events

Unit
TeeExpForm

Description
Internal form used by TeeChart Wizard at design-time under Delphi.

This form can also be displayed at runtime:

with TTeeDlgWizard.Create( Self ) do
try
ShowModal;
finally
Free;
end;


TTeeDrawEvent

TTeeDrawEvent
Hierarchy Methods

Unit
TeeProcs

Description
Internal use.


TTeeEmboss

TTeeEmboss
Hierarchy Properties Methods

Unit
TeCanvas

Description
TTeeEmboss is used by several TeeChart components to define the offset shadow of the component to give an embossed effect.

Components that use TTeeEmboss include base class TTeeCustomShape, TPieSeries and TTeeFont .


TTeeEvent

TTeeEvent
Hierarchy Methods

Unit
TeeProcs

Description
TTeeEvent defines the event. It is used by ITeeEventListener.TeeEvent.


TTeeExcelSource

TTeeExcelSource
Hierarchy Properties Methods Events

Unit
TeeExcelSource

Description
Component to allow linking series to Microsoft Excel spreadsheets.

You can use this class at design-time using the Series DataSource editor dialog, selecting Excel in the source combobox, or manually programatically like the following example code:

var
e : TTeeExcelSource;

e:=TTeeExcelSource.Create(Self);
Series1.DataSource := e;


TTeeExportData

TTeeExportData
Hierarchy Methods

Unit
TeeProcs

Description
Base abstract class.
Provides an standard mechanism to export Chart Series data to streams.


TTeeExportFormat

TTeeExportFormat
Hierarchy Methods

Unit
TeeExport

Description
TTeeExportFormat is the ancestor class for several TeeChart export formats including TGIFExportFormat, TPNGExportFormat, TPCXExportFormat, TVMLExportFormat, etc.

You should not use TTeeExportFormat object directly, as it is an abstract ancestor.


TTeeExportFormats

TTeeExportFormats
Hierarchy Properties Methods Events

Unit
TeeExport

Description
Internal use. TTeeExportFormats contains the list of registered TTeeExportFormat components.
Every unit containing an export format automatically register it at the units initialization section.

For example, TeeJPEG unit registers TJPEGExportFormat.

This list is used by the Chart Export Dialog at TeExport unit.


TTeeFilter

TTeeFilter
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Base abstract class for all image "Filters".

A TeeFilter class implements image manipulation at the pixel level, such as Blur, Contrast, Brightness and so on.

See TeeFilters unit for a list of filters.

The Filter Editor dialog allows adding, configuring and removing filters for a specific image property, both at design-time and run-time.

New filter classes can be easily implemented by deriving from TTeeFilter class or any other filter class.
For example, the following code implements a new filter class to "invert" all pixels of a bitmap:

type
TInvertFilter=class(TTeeFilter)
public
procedure Apply(Bitmap:TBitmap; const R:TRect); override;
class function Description: String; override;
end;

The Apply method does the job of inverting all pixels in the Bitmap image of a given rectangle area:

procedure TInvertFilter.Apply(Bitmap:TBitmap; const R:TRect);
var x,y : Integer;
begin
inherited;

if Length(Lines)=0 then
Exit;

for y:=R.Top to R.Bottom do
for x:=R.Left to R.Right do
with Lines[y,x] do
begin
Blue:=255-Blue;
Green:=255-Green;
Red:=255-Red;
end;
end;

The Description function returns a string that identifies the filter class, to show at filters editor dialog:

class function TInvertFilter.Description: String;
begin
result:='Invert';
end;

To show this filter class at design and runtime at the filters editor dialog you should first "register" the filter using the following procedure:

initialization
TeeRegisterFilters([ TInvertFilter ]);
finalization
TeeUnRegisterFilters([ TInvertFilter ]);

It is recommended to register filters at the initialization of your units, but not mandatory.
Registered filters are kept at public global variable FilterClasses (of type TList) in TeeFilters unit.

To use the filter class you can use the quick way of a class method that automatically creates and destroys the filter instance, for example:

TInvertFilter.ApplyTo(MyBitmap);

or you can create the filter instance and call the Apply method:

var i : TInvertFilter;
i:=TInvertFilter.Create(nil);
i.Apply(MyBitmap);
i.Free;

You can add new properties, events, constructors and methods to a filter class like any other class.

Filter classes can show a custom editor dialog to modify their properties.
This is accomplished by overriding the CreateEditor virtual method.


TTeeFont

TTeeFont
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
The TTeeFont Component gives access to additional properties and methods relative to fonts.


TTeeFontGradient

TTeeFontGradient
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Special gradient class used by TeeFont to fill its interior or its outline border.


TTeeFunction

TTeeFunction
Hierarchy Properties Methods Events

Unit
TeEngine

Description
TTeeFunction is an abstract Series type.

While points are being inserted into series, TeeFunction will trigger a calculation request when the last inserted point has overflowed the specified period.


TTeeGalleryForm

TTeeGalleryForm
Hierarchy Properties Methods Events

Unit
TeeGalleryAlternate

Description
This form shows an alternate Chart Gallery, showing chart styles and sub-styles.


TTeeGDIPlus

TTeeGDIPlus
Hierarchy Properties Methods Events

Unit
TeeGDIPlus

Description
Microsoft GDI+ Redistributable:
http://www.microsoft.com/downloads/details.aspx?FamilyID=6a63ab9c-df12-4d41-933c-be590feaa05a&DisplayLang=en
http://msdn.microsoft.com/en-us/library/ms533798%28VS.85%29.aspx


TTeeGradient

TTeeGradient
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Gradient class used by default by all TeeChart components.


TTeeInspector

TTeeInspector
Hierarchy Properties Methods Events

Unit
TeeInspector

Description
Useful control to edit a group of properties.
Similar to Delphi's IDE Inspector window.

The advantadge of TeeInspector is that it does not need a class structure with predefined properties.
Every item in the inspector can be a custom object, string or boolean variable, etc.

Items can be added at design-time and runtime.

Every item is of type TInspectorItem with its own properties like Caption, OnChange event, etc.

Runtime Example:

TeeInspector1.Items.Clear;
TeeInspector1.Items.Add(iiFont,'Font',Button1.Font);

The inspector will show an item with the font name of Button1.Font, and a ellipsi button.
Clicking the button shows the font editor dialog to modify Button1.Font.


TTeeMouseEvent

TTeeMouseEvent
Hierarchy Methods

Unit
TeeProcs

Description
Internal use. Used for EventListener Mouse events.


TTeeMovingFunction

TTeeMovingFunction
Hierarchy Properties Methods Events

Unit
TeEngine

Description
An ancestor class used by TeeChart moving functions.


TTeeNavButton

TTeeNavButton
Hierarchy Properties Methods Events

Unit
TeeNavigator

Description
Button used at CustomTeeNavigator class.


TTeeNeutralCanvas

TTeeNeutralCanvas
Hierarchy Properties Methods

Unit
TeCanvas


TTeeOpenGL

TTeeOpenGL
Hierarchy Properties Methods Events

Unit
TeeOpenGL

Description
Use the TTeeOpenGL component to change the Canvas mode of a TeeChart panel (TChart or TDraw3D) to OpenGL.

Any Chart, DBChart, QRChart (also DecisionGraph), and the TDraw3D component benefit of the new TTeeOpenGL component.
This non-visual component can be added to a Form at design-time, and by setting two properties it will instantly display a Chart or Draw3D using OpenGL 3D rendering engine:

When this component is Active, it replaces the TeePanel Canvas property with an instance of TGLCanvas class, which provides the methods to display graphical elements in 3 dimensions using the OpenGL API.

For Charts:

TeeOpenGL1.TeePanel := Chart1;
TeeOpenGL1.Active := True;

For Draw3D:

TeeOpenGL1.TeePanel := Draw3D1;
TeeOpenGL1.Active := True;

The OpenGL Canvas provides Light properties with Visible, Color and Position XYZ attributes, and other OpenGL related parameters.


TTeePanelsList

TTeePanelsList
Hierarchy Properties Methods Events

Unit
TeePreviewPanel

Description
The TTeePreviewPanel is a panel that may be inserted on a dialogue form to show WYSIWYG printable output of a Chart. The Panel includes option buttons to change print characteristics. The PanelsList contains a list of all Panels on a multipage printout.


TTeePanning

TTeePanning
Hierarchy Properties Methods

Unit
TeeProcs


TTeePDFFontList

TTeePDFFontList
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Note: Internal class used by TPDFCanvas.

Contains a list of embedded Fonts inside a PDF document.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.


TTeePDFFontListEntry

TTeePDFFontListEntry
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Note: Internal class used by TPDFCanvas.

This class represents an embedded Font inside a PDF document.
It is used by TTeePDFFontList class.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.


TTeePDFImageList

TTeePDFImageList
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Note: Internal class used by TPDFCanvas.

Contains a list of images embedded inside a PDF document.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.

See also:
TTeePDFImageListEntry


TTeePDFImageListEntry

TTeePDFImageListEntry
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Note: Internal class used by TPDFCanvas.

This class represents an image inside a PDF document.
It is used by TTeePDFImageListEntry class.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.

See also:
TTeePDFImageList, TTeePDFPage


TTeePDFPage

TTeePDFPage
Hierarchy Properties Methods

Unit
TeePDFCanvas

Description
Note: Internal class used by TPDFCanvas.

This class represents a page inside a PDF document, showing a TChart control inside it.

The ChartObject property contains the desired TChart control to export to PDF format.

See the global TeeSaveToPDFFile procedure as an easy way to generate PDF documents with TChart controls.

See also:
TTeePDFImageListEntry


TTeePicture

TTeePicture
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
This class adds more functionality to standard TPicture.

The Filters property holds a collection of filter instances.
Filters are small classes that manipulate the picture pixels such as brightness, blurring, etc.


TTeePolygon

TTeePolygon
Hierarchy Properties Methods Events

Unit
TeeMapSeries

Description
TTeePolygon is a descendant of TCollectionItem. Polygons have many properties to configure.
Use these properties to adjust the Polygon characteristics to your needs.


TTeePolygonList

TTeePolygonList
Hierarchy Properties Methods Events

Unit
TeeMapSeries

Description
TTeePolygonList is a Collection of Polygons, ie. the list containing Polygons of TMapSeries.


TTeePreviewPanel

TTeePreviewPanel
Hierarchy Properties Methods Events

Unit
TeePreviewPanel

Description
The TTeePreviewPanel is a panel that may be inserted on a dialogue form to show WYSIWYG printable output of a Chart. The Panel includes option buttons to change print characteristics.


TTeeScrollBar

TTeeScrollBar
Hierarchy Properties Methods Events

Unit
TeeLegendScrollBar

Description
Abstract class that define a scrollbar object.

Used by TLegendScrollBar charting tool.


TTeeSeriesDBSource

TTeeSeriesDBSource
Hierarchy Properties Methods Events

Unit
DBChart

Description
This object class is internally used by the TDBChart for different ways to connect to Database datasets.


TTeeSeriesSource

TTeeSeriesSource
Hierarchy Properties Methods Events

Unit
TeEngine

Description
Base ancestor class for components that implement "series sources".

A Series source is a generic data provider to Series.

Several other classes derive from this base class.

For example to support Text file importing into series, and at the DBChart to support the different ways to connect a Database dataset to a Series.

Other kinds of "sources" can be implemented deriving from this base class and implementing the virtul methods.

The TeeChartOffice application includes several examples of "sources", like Excel, etc.


TTeeSeriesSourceFile

TTeeSeriesSourceFile
Hierarchy Properties Methods Events

Unit
TeeURL

Description
This class is used internally.


TTeeSeriesType

TTeeSeriesType
Hierarchy Methods

Unit
TeEngine

Description
Used internally by the TeeChart Gallery to create the Gallery's individual Series type Charts.


TTeeSeriesTypes

TTeeSeriesTypes
Hierarchy Properties Methods Events

Unit
Chart

Description
This list contains all the registered series types.

A Series type registers itself usually at the initialization part of the series unit.

Some units, like Series.pas unit, have a global procedure that registers several Series at once.

See also:

Chart unit, RegisterTeeSeries global procedure.


TTeeShadow

TTeeShadow
Hierarchy Properties Methods

Unit
TeCanvas

Description
TTeeShadow is used by several TeeChart components to define the offset shadow of the component.

Components that use TTeeShadow include base class TTeeCustomShape, TPieSeries and TTeeFont .


TTeeShape

TTeeShape
Hierarchy Properties Methods

Unit
TeeProcs

Description
Defines the panel shape used by many TeeChart components.


TTeeShapePosition

TTeeShapePosition
Hierarchy Properties Methods

Unit
TeeTools

Description
This class is used internally as a middle ancestor class used by other Chart objects, like TChartLegend, TChartTitle and TAnnotationTool.


TTeeToolTypes

TTeeToolTypes
Hierarchy Properties Methods Events

Unit
Chart

Description
List containing TeeChart's available Tooltypes of type TTeeCustomTool.


TTeeXMLSource

TTeeXMLSource
Hierarchy Properties Methods Events

Unit
TeeXML

Description
Use this component as an XML data provider to Series or Chart components.

Usage steps:

1) Set the Chart property to desired Chart.
2) Set the XML property to desired file containing series data in XML format.
3) Call the Open method or set Active property to True to import XML data.

Format :

The XML format must be the same as when exporting Series data to XML format.

See TSeriesDataXML class for info about exporting Series data to XML.

Multiple series can coexist in the XML source.

The SeriesNode property can be set to choose an individual series.

Example:

var PointSeries : TPointSeries;
XML : TTeeXMLSource;

// Create a sample series...
PointSeries:=TPointSeries.Create(Self);
Chart1.AddSeries(PointSeries);

// Create an XML source...
XML:=TTeeXMLSource.Create(Self);

// Configure XML...
XML.XML.Text:=Memo2.Text; // <--- set text string with XML data

// XML.FileName:='c:\mydata.xml'; <--- or load xml file

XML.Series:=PointSeries; // <-- series to fill
XML.SeriesNode:='Series1'; // <-- xml node to use
XML.ValueSource:='Y'; // <-- xml "point" attribute to use as value

// Load data, fill series...
XML.Open;


TTeeZoom

TTeeZoom
Hierarchy Properties Methods

Unit
TeeProcs

Description
TTeeZoom class contains characteristics for the configuration of Chart Mousedrag zoom.


TTeeZoomBrush

TTeeZoomBrush
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
Brush used to fill area inside rectangle generated on mousedrag Chart zoom.


TTeeZoomPen

TTeeZoomPen
Hierarchy Properties Methods Events

Unit
TeeProcs

Description
The Pen used to draw the Mousedrag Zoom rectangle.


TTernarySeries

TTernarySeries
Hierarchy Properties Methods Events

Unit
TeeTernary

Description
The Ternary series is used to represent the relative percentage of three components.
The three components will sum to 100%, or will be normalised by TeeChart to 100%.

The Ternary Series can plot relative position, value 'size' as point radius and use a colour gradient scale to add weighting information.


TText3DTool

TText3DTool
Hierarchy Properties Methods Events

Unit
TeeText3D

Description
TText3DTool displays text in 3D mode with rotation and elevation inside a Canvas.


TTextShape

TTextShape
Hierarchy Properties Methods

Unit
TeeTools

Description
This class implements a "shape" (rectangle) with properties to display text inside it.

Some other classes derive from it or wrap instances of TTextShape, like TAnnotationTool or TOrgSeries Items (TOrgItem).

Properties of TTextShape include Text (string), TextAlignment, ClipText and AutoSize.

The Text property can contain "line returns" (the #13 character) to define break lines (multiple lines of text).


TThemesList

TThemesList
Hierarchy Properties Methods Events

Unit
TeeThemes

Description
The global ChartThemes instance is a TThemesList object.

Holds the "registered" available chart theme classes, like Business, Classic, etc.

The TeeThemes.pas unit registers several themes at its initialization.


TTileFilter

TTileFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
This filter makes several copies of the original image, in a same or reduced size, into a bigger (new) image.


TTimerThread

TTimerThread
Hierarchy Properties Methods Events

Unit
TeeAnimate


TTowerSeries

TTowerSeries
Hierarchy Properties Methods Events

Grid of XYZ points displayed as vertical bars, pyramids, etc.

Unit
TeeSurfa

Description
Displays a 3D grid of "tower" points.

Each point can be a Cube, Pyramid, Cone, Cylinder, etc, using the TowerStyle property.

Series1.Clear;
for x:=1 to 10 do
for z:=1 to 10 do
Series1.Value[x,z]:=Random(1000)-100;

// example:
Series1.Origin:=500;
Series1.UseOrigin:=True;


TTranslatable

TTranslatable
Hierarchy Properties Methods Events

Unit
TeeProcs


TTransposeSeriesTool

TTransposeSeriesTool
Hierarchy Properties Methods Events

Unit
TeeTransposeSeries

Description
This tool is used to exchange series data rows by columns and vice-versa.

For example, if you have a chart with 3 series that have 5 points each series, after applying the transpose tool the chart will show 5 series with 3 points each series.

You can use transpose tool at design-time using the Chart Tools Editor dialog, or at runtime by code like the following example:

// Declare variable
var t : TTransposeSeriesTool;

// Create and associate to Chart1
t:=TTransposeSeriesTool.Create(Self);
t.ParentChart:=Chart1;

// Do transpose
t.Transpose;

// Not necessary to destroy de tool right here.
// It will be automatically destroyed when the chart is destroyed.
// t.Free;


TTreeMapItem

TTreeMapItem
Hierarchy Properties Methods Events

Unit
TeeTreeMapSeries

Description
This class contains the properties and methods that can be applied to each organizacional item, like its value.


TTreeMapSeries

TTreeMapSeries
Hierarchy Properties Methods Events

Unit
TeeTreeMapSeries

Description
Treemaps display hierarchical (tree-structured) data as a set of nested rectangles. Each branch of the tree is given a rectangle, which is then tiled
with smaller rectangles representing sub-branches. A leaf node's rectangle has an area proportional to a specified dimension on the data.
(Description from http://en.wikipedia.org/wiki/Treemapping)

In specific Add method override, AValue represent node's value, Text represents node's text and Superior node's parent.

Few rectangle tiling mehtods are also available.


TTrendFunction

TTrendFunction
Hierarchy Properties Methods Events

Unit
CurvFitt

Description
TrendFunction constructs a line based on the trend of its input Series' values.

To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.


TTriangulator

TTriangulator
Hierarchy Methods

Unit
TeeTriangulate

Description
Class used to form the triangules for the TriSurface Series .surface.


TTriSurfaceSeries

TTriSurfaceSeries
Hierarchy Properties Methods Events

3D Triangle surface from arbitrary XYZ points.

Unit
TeeTriSurface

Description
Tri Surface series uses triangulation to build the a surface between a set of X,Y,Z points.

Inherits all properties from 3D palette series.

Uses a variation of the Voronoi triangulation algorithm.

It can optionally hide triangles that are obscured from other triangles.
This option is useless when using OpenGL rendering, as OpenGL API itself hides pixels obscured by more in-front pixels.


TVarianceFunction

TVarianceFunction
Hierarchy Properties Methods Events

Unit
StatChar

Description
The Variance function returns how spread out a distribution is.
The Standard Deviation function is the square root of the variance.


TVector3DSeries

TVector3DSeries
Hierarchy Properties Methods Events

Unit
TeeSurfa

Description
Vector3D series displays points that have individual XYZ origin and XYZ ending coordinates (in axis values).

Points are displayed as vector lines in 3D space.

Vector lines can be optionally displayed with arrow shapes at start or end vector coordinates.


TVideoPlayerTool

TVideoPlayerTool
Hierarchy Properties Methods Events

Unit
TeeVideoPlayer

Description
This tool allows playing *.avi video files at rectangle zones inside charts, or as background of chart parts like legend, headers, etc.

Note: Some avi video files, specially when compressed with codecs, are not supported by Microsoft AVIFIL api.


TVideoTool

TVideoTool
Hierarchy Properties Methods Events

Unit
TeeVideo

Description
This tool is used to create an *.avi video file.
The *.avi video will contain image frames saved from each chart repaint.
You can use this tool for example together with a TSeriesAnimationTool or custom code that performs changes in charts and repaints them.


TView3DOptions

TView3DOptions
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
The TView3dOptions component controls access to overall Chart Zoom and position.

See TCustomTeePanel View3DOptions property.


TVisualBlock

TVisualBlock
Hierarchy Properties Methods Events

Unit
TeCanvas


TVisualEditor

TVisualEditor
Hierarchy Properties Methods Events

Unit
TeCanvas


TVisualsList

TVisualsList
Hierarchy Properties Methods Events

Unit
TeEngine


TVMLCanvas

TVMLCanvas
Hierarchy Properties Methods

Unit
TeeVMLCanvas

Description
This class is used by the TVMLExportFormat object to convert a Chart into VML instructions.

All the virtual and abstract methods of TTeeCanvas3D are implemented to output VML code.

You will seldomly use TVMLCanvas directly, use TVMLExportFormat object instead.

VML (Vector Markup Language) is a standard format for vectorial graphics.
Internet Explorer 5 and greater support displaying VML images.

See also:

TVMLExportFormat class


TVMLExportFormat

TVMLExportFormat
Hierarchy Methods

Unit
TeeVMLCanvas

Description
This class implements an "export format", to convert Charts into VML format.

VML (Vector Markup Language) is a vectorial format defined at:

http://www.w3.org/TR/NOTE-VML

Microsoft's Internet Explorer (version 5 and up) can display VML files.

Example:

procedure TForm1.Button1Click(Sender: TObject);
begin
with TVMLExportFormat.Create do
try
Panel:=Chart1;
SaveToFile('c:\test.htm');
finally
Free;
end;
end;

You can then use Internet Explorer to open the test.htm file.

Alternative method:

TeeSaveToVMLFile(Chart1,'c:\test.htm');


TVolumePipeSeries

TVolumePipeSeries
Hierarchy Properties Methods Events

Unit
TeeVolumePipe

Description
The VolumePipe Series represents values by the front-plane area associated with each point.

The TVolumePipeSeries.ConePercent .html">Cone taper may be adjusted for the Series that will affect the relative width of point areas so that values nearer the tip of the Cone take up more width relative to those further from the tip.


TVolumeSeries

TVolumeSeries
Hierarchy Properties Methods Events

Vertical thin lines, fast speed. (Suitable for financial trading volume values).

Unit
CandleCh

Description
The TVolumeSeries outputs all points as a vertical thin line starting at the bottom of the Chart.
To see a visual representation of this Series type, go to the TeeChart User Guide.

This Series can be used for example, to display Stock Market Volumes.

It is very similar to a Bar series, except it can not be stacked and that each point is a thin line instead of a bar.

Set the ParentChart property to the desired Chart component.

Use the Add or AddXY methods to manually fill Volume points:

Series1.Clear;
Series1.Add( 123 );
Series1.Add( 456 );

Right-click the component at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query component.

The VolumeValues property stores all point values.

Use the LinePen property to alter the default pen attributes.

Please refer to TCustomSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


TVRML3DCanvas

TVRML3DCanvas
Hierarchy Properties Methods

Unit
TeeVRML3D

Description
This class is used by the TVMLExportFormat object to convert a 3DChart into VML instructions.

All the virtual and abstract methods of TTeeCanvas3D are implemented to output VML code.

You will seldomly use TVMLCanvas directly, use TVMLExportFormat object instead.

VML (Vector Markup Language) is a standard format for vectorial graphics.
Internet Explorer 5 and greater support displaying VML images.


TVRMLExportFormat

TVRMLExportFormat
Hierarchy Methods

Unit
TeeVRML3D

Description
This class implements an "export format", to convert Charts into VRML format.

VRML format (Virtual Reality Modelling Language) is defined at:

http://en.wikipedia.org/wiki/VRML

Example:

procedure TForm1.Button1Click(Sender: TObject);
begin
with TVRMLExportFormat.Create do
try
Panel:=Chart1;
SaveToFile('c:\test.vrml');
finally
Free;
end;
end;

Alternative method:

TeeSaveToVRMLFile(Chart1,'c:\test.xaml');


TWaterFallSeries

TWaterFallSeries
Hierarchy Properties Methods Events

Surface made of vertical areas.

Unit
TeeSurfa

Description
WaterFall series is like a Surface series.
It draws vertical "slices", one for each Z row in the surface.

Please follow TSurfaceSeries series documentation.


TWebTheme

TWebTheme
Hierarchy Methods

Unit
TeeThemes

Description
Visual chart theme with colors and properties like web pages.


TWhitePen

TWhitePen
Hierarchy Properties Methods Events

Unit
TeCanvas

Description
Internal pen class.
It only configures the pen color to "white" (clWhite) and sets the default property value to white so it will not get stored into component streams.


TWindowsXPTheme

TWindowsXPTheme
Hierarchy Methods

Unit
TeeThemes

Description
Visual chart theme with colors and formatting properties similar to Windows XP "Luna" look.


TWindRoseSeries

TWindRoseSeries
Hierarchy Properties Methods Events

Displays Angle / Radius values of geographical coordinates.

Unit
TeeRose

Description
TWindRoseSeries is a Polar Series displaying Wind directions,

TWindRoseSeries is a small component which derives from Polar Series.
It overrides the default labels around the polar circle perimeter to show "Wind" directions ( North, South, West, East, etc ).

It is provided as an example of Series customization.

The "AngleIncrement" property controls how many labels around the circle will be displayed.
By default WindRose is configured to plot labels every 30 degree.

Series1.AngleIncrement := 30;

"Wind" data can be added using the AddPolar method:

MyAngle := 180 ; { wind coming from the south }
MyValue := 123 , { wind speed value }
Series1.AddPolar( MyAngle, MyValue, '', clRed );


TWorldSeries

TWorldSeries
Hierarchy Properties Methods Events

Unit
TeeWorldSeries

Description
TWorldSeries automatically loads and creates shape objects from internal binary resources that configure maps like World, America, Europe, etc.

The Map property defines which map to load at startup.

Shape format details aren't persisted at design-time for performance reasons.
Each shape (world country, USA state, etc) has Text and Z value (that determines the polygon color) properties.


TXAML3DCanvas

TXAML3DCanvas
Hierarchy Properties Methods

Unit
TeeXAMLCanvas

Description
Internal class, used to generate WPF 3D (Viewport) xaml code from a Chart.


TXAMLCanvas

TXAMLCanvas
Hierarchy Properties Methods

Unit
TeeXAMLCanvas

Description
Implements a custom Canvas that generates graphical commands (like Line, Polygon, etc) in XAML tag format.


TXAMLExportFormat

TXAMLExportFormat
Hierarchy Methods

Unit
TeeXAMLCanvas

Description
This class implements an "export format", to convert Charts into XAML format.

XAML format (Extensible Application Markup Language) is defined at:

http://en.wikipedia.org/wiki/Extensible_Application_Markup_Language

Example:

procedure TForm1.Button1Click(Sender: TObject);
begin
with TXAMLExportFormat.Create do
try
Panel:=Chart1;
SaveToFile('c:\test.xaml');
finally
Free;
end;
end;

Alternative method:

TeeSaveToXAMLFile(Chart1,'c:\test.xaml');


TZoomFilter

TZoomFilter
Hierarchy Properties Methods Events

Unit
TeeFilters

Description
This Filter allows the user to do a Zoom of the region specified. The zoomed image will be displayed at the same region boundaries.


TZoomPanning

TZoomPanning
Hierarchy Properties Methods

Unit
TeeProcs

Description
TeeChart internal use. Used by Chart.TCustomTeePanelExtended.Zoom and Chart.TCustomTeePanel.IPanning properties.


TZoomSnapshot

TZoomSnapshot
Hierarchy Methods

Unit
TeeProcs


TZoomSnapshots

TZoomSnapshots
Hierarchy Properties Methods Events

Unit
TeeProcs


WebChart

WebChart

Unit
Steema


WebChartDesigner

WebChartDesigner
Hierarchy

Unit
Steema


ICanvasHyperlinks

ICanvasHyperlinks
Methods

Unit
TeCanvas

Description
Internal use. Used by TLinkTool tool.


ICanvasToolTips

ICanvasToolTips
Methods

Unit
TeCanvas

Description
Internal use. Used by TMarksTipTool tool.


IFormCreator

IFormCreator
Methods

Unit
TeCanvas

Description
Internal interface used and implemented by TTeeFilter class CreateEditor method.


IImageBytes

IImageBytes
Hierarchy Methods

Unit
GDIPAPI


ITeeEventListener

ITeeEventListener
Methods

Unit
TeeProcs

Description
This interface is internally used by the Chart Tools, Chart ListBox and other objects.

Provides a mechanism to notify mouse and chart repaint events to implementors of this interface.


_GLUquadricObj

_GLUquadricObj

type _GLUquadricObj = record;

Unit
OpenGLLinux


_GLUtesselator

_GLUtesselator

type _GLUtesselator = record;

Unit
OpenGLLinux


_GLYPHMETRICSFLOAT

_GLYPHMETRICSFLOAT

type _GLYPHMETRICSFLOAT = record;

Unit
OpenGLLinux


_POINTFLOAT

_POINTFLOAT

type _POINTFLOAT = record;

Unit
OpenGLLinux


BitmapData

BitmapData

type BitmapData = record;

Unit
GDIPAPI


BrushType

BrushType

type BrushType = (BrushTypeSolidColor, BrushTypeHatchFill, BrushTypeTextureFill, BrushTypePathGradient, BrushTypeLinearGradient);

Unit
GDIPAPI


ColorAdjustType

ColorAdjustType

type ColorAdjustType = (ColorAdjustTypeDefault, ColorAdjustTypeBitmap, ColorAdjustTypeBrush, ColorAdjustTypePen, ColorAdjustTypeText, ColorAdjustTypeCount, ColorAdjustTypeAny);

Unit
GDIPAPI


ColorChannelFlags

ColorChannelFlags

type ColorChannelFlags = (ColorChannelFlagsC, ColorChannelFlagsM, ColorChannelFlagsY, ColorChannelFlagsK, ColorChannelFlagsLast);

Unit
GDIPAPI


ColorMap

ColorMap

type ColorMap = record;

Unit
GDIPAPI


ColorMatrixFlags

ColorMatrixFlags

type ColorMatrixFlags = (ColorMatrixFlagsDefault, ColorMatrixFlagsSkipGrays, ColorMatrixFlagsAltGray);

Unit
GDIPAPI


ColorMode

ColorMode

type ColorMode = (ColorModeARGB32, ColorModeARGB64);

Unit
GDIPAPI


ColorPalette

ColorPalette variable

Var ColorPalette;

Unit
TeeProcs

Description
Array of colors.
This array is used to determine the default initial color of series, and the color of each series point when the series ColorEachPoint property is true.

The global GetDefaultColor function uses this variable.


CombineMode

CombineMode

type CombineMode = (CombineModeReplace, CombineModeIntersect, CombineModeUnion, CombineModeXor, CombineModeExclude, CombineModeComplement);

Unit
GDIPAPI


CompositingMode

CompositingMode

type CompositingMode = (CompositingModeSourceOver, CompositingModeSourceCopy);

Unit
GDIPAPI


CoordinateSpace

CoordinateSpace

type CoordinateSpace = (CoordinateSpaceWorld, CoordinateSpacePage, CoordinateSpaceDevice);

Unit
GDIPAPI


CustomLineCapType

CustomLineCapType

type CustomLineCapType = (CustomLineCapTypeDefault, CustomLineCapTypeAdjustableArrow);

Unit
GDIPAPI


DashStyle

DashStyle

type DashStyle = (DashStyleSolid, DashStyleDash, DashStyleDot, DashStyleDashDot, DashStyleDashDotDot, DashStyleCustom);

Unit
GDIPAPI


DebugEventLevel

DebugEventLevel

type DebugEventLevel = (DebugEventLevelFatal, DebugEventLevelWarning);

Unit
GDIPAPI


DebugEventProc

DebugEventProc

type DebugEventProc = procedure(level: DebugEventLevel; message: PChar);

Unit
GDIPAPI


EncoderParameter

EncoderParameter

type EncoderParameter = record;

Unit
GDIPAPI


EncoderParameters

EncoderParameters

type EncoderParameters = record;

Unit
GDIPAPI


EncoderValue

EncoderValue

type EncoderValue = (EncoderValueColorTypeCMYK, EncoderValueColorTypeYCCK, EncoderValueCompressionLZW, EncoderValueCompressionCCITT3, EncoderValueCompressionCCITT4, EncoderValueCompressionRle, EncoderValueCompressionNone, EncoderValueScanMethodInterlaced, EncoderValueScanMethodNonInterlaced, EncoderValueVersionGif87, EncoderValueVersionGif89, EncoderValueRenderProgressive, EncoderValueRenderNonProgressive, EncoderValueTransformRotate90, EncoderValueTransformRotate180, EncoderValueTransformRotate270, EncoderValueTransformFlipHorizontal, EncoderValueTransformFlipVertical, EncoderValueMultiFrame, EncoderValueLastFrame, EncoderValueFlush, EncoderValueFrameDimensionTime, EncoderValueFrameDimensionResolution, EncoderValueFrameDimensionPage);

Unit
GDIPAPI


ENHMETAHEADER3

ENHMETAHEADER3

type ENHMETAHEADER3 = record;

Unit
GDIPAPI


EnumerateMetafileProc

EnumerateMetafileProc

type EnumerateMetafileProc = function(recordType: EmfPlusRecordType; flags, dataSize: UINT; data: PBYTE; callbackData: Pointer): BOOL;

Unit
GDIPAPI


FillMode

FillMode

type FillMode = (FillModeAlternate, FillModeWinding);

Unit
GDIPAPI


FlushIntention

FlushIntention

type FlushIntention = (FlushIntentionFlush, FlushIntentionSync);

Unit
GDIPAPI


GdiplusStartupInput

GdiplusStartupInput

type GdiplusStartupInput = record;

Unit
GDIPAPI


GdiplusStartupOutput

GdiplusStartupOutput

type GdiplusStartupOutput = record;

Unit
GDIPAPI


GenericFontFamily

GenericFontFamily

type GenericFontFamily = (GenericFontFamilySerif, GenericFontFamilySansSerif, GenericFontFamilyMonospace);

Unit
GDIPAPI


GLUquadricErrorProc

GLUquadricErrorProc

type GLUquadricErrorProc = procedure(error: GLenum);

Unit
OpenGLLinux


GLUtessBeginProc

GLUtessBeginProc

type GLUtessBeginProc = procedure(a: GLenum);

Unit
OpenGLLinux


GLUtessCombineProc

GLUtessCombineProc

type GLUtessCombineProc = procedure(a: PGLdouble; b: Pointer; c: PGLfloat; Var d: Pointer);

Unit
OpenGLLinux


GLUtessEdgeFlagProc

GLUtessEdgeFlagProc

type GLUtessEdgeFlagProc = procedure(flag: GLboolean);

Unit
OpenGLLinux


GLUtessEndProc

GLUtessEndProc

type GLUtessEndProc = procedure;

Unit
OpenGLLinux


GLUtessVertexProc

GLUtessVertexProc

type GLUtessVertexProc = procedure(P: Pointer);

Unit
OpenGLLinux


HatchStyle

HatchStyle

type HatchStyle = (HatchStyleHorizontal, HatchStyleVertical, HatchStyleForwardDiagonal, HatchStyleBackwardDiagonal, HatchStyleCross, HatchStyleDiagonalCross, HatchStyle05Percent, HatchStyle10Percent, HatchStyle20Percent, HatchStyle25Percent, HatchStyle30Percent, HatchStyle40Percent, HatchStyle50Percent, HatchStyle60Percent, HatchStyle70Percent, HatchStyle75Percent, HatchStyle80Percent, HatchStyle90Percent, HatchStyleLightDownwardDiagonal, HatchStyleLightUpwardDiagonal, HatchStyleDarkDownwardDiagonal, HatchStyleDarkUpwardDiagonal, HatchStyleWideDownwardDiagonal, HatchStyleWideUpwardDiagonal, HatchStyleLightVertical, HatchStyleLightHorizontal, HatchStyleNarrowVertical, HatchStyleNarrowHorizontal, HatchStyleDarkVertical, HatchStyleDarkHorizontal, HatchStyleDashedDownwardDiagonal, HatchStyleDashedUpwardDiagonal, HatchStyleDashedHorizontal, HatchStyleDashedVertical, HatchStyleSmallConfetti, HatchStyleLargeConfetti, HatchStyleZigZag, HatchStyleWave, HatchStyleDiagonalBrick, HatchStyleHorizontalBrick, HatchStyleWeave, HatchStylePlaid, HatchStyleDivot, HatchStyleDottedGrid, HatchStyleDottedDiamond, HatchStyleShingle, HatchStyleTrellis, HatchStyleSphere, HatchStyleSmallGrid, HatchStyleSmallCheckerBoard, HatchStyleLargeCheckerBoard, HatchStyleOutlinedDiamond, HatchStyleSolidDiamond, HatchStyleTotal);

Unit
GDIPAPI


HotkeyPrefix

HotkeyPrefix

type HotkeyPrefix = (HotkeyPrefixNone, HotkeyPrefixShow, HotkeyPrefixHide);

Unit
GDIPAPI


ImageAbort

ImageAbort

type ImageAbort = function: BOOL;

Unit
GDIPAPI


ImageCodecInfo

ImageCodecInfo

type ImageCodecInfo = record;

Unit
GDIPAPI


ImageType

ImageType

type ImageType = (ImageTypeUnknown, ImageTypeBitmap, ImageTypeMetafile);

Unit
GDIPAPI


LinearGradientMode

LinearGradientMode

type LinearGradientMode = (LinearGradientModeHorizontal, LinearGradientModeVertical, LinearGradientModeForwardDiagonal, LinearGradientModeBackwardDiagonal);

Unit
GDIPAPI


LineJoin

LineJoin

type LineJoin = (LineJoinMiter, LineJoinBevel, LineJoinRound, LineJoinMiterClipped);

Unit
GDIPAPI


MatrixOrder

MatrixOrder

type MatrixOrder = (MatrixOrderPrepend, MatrixOrderAppend);

Unit
GDIPAPI


MetafileType

MetafileType

type MetafileType = (MetafileTypeInvalid, MetafileTypeWmf, MetafileTypeWmfPlaceable, MetafileTypeEmf, MetafileTypeEmfPlusOnly, MetafileTypeEmfPlusDual);

Unit
GDIPAPI


NotificationHookProc

NotificationHookProc

type NotificationHookProc = function(Out token: ULONG): Status;

Unit
GDIPAPI


NotificationUnhookProc

NotificationUnhookProc

type NotificationUnhookProc = procedure(token: ULONG);

Unit
GDIPAPI


ObjectType

ObjectType

type ObjectType = (ObjectTypeInvalid, ObjectTypeBrush, ObjectTypePen, ObjectTypePath, ObjectTypeRegion, ObjectTypeImage, ObjectTypeFont, ObjectTypeStringFormat, ObjectTypeImageAttributes, ObjectTypeCustomLineCap);

Unit
GDIPAPI


PenAlignment

PenAlignment

type PenAlignment = (PenAlignmentCenter, PenAlignmentInset);

Unit
GDIPAPI


PFNGLADDSWAPHINTRECTWINPROC

PFNGLADDSWAPHINTRECTWINPROC

type PFNGLADDSWAPHINTRECTWINPROC = procedure(X, Y: GLint; width, height: GLsizei);

Unit
OpenGLLinux


PFNGLARRAYELEMENTEXTPROC

PFNGLARRAYELEMENTEXTPROC

type PFNGLARRAYELEMENTEXTPROC = procedure(i: GLint);

Unit
OpenGLLinux


PFNGLCOLORPOINTEREXTPROC

PFNGLCOLORPOINTEREXTPROC

type PFNGLCOLORPOINTEREXTPROC = procedure(size: GLint; type_: GLenum; stride, count: GLsizei; P: Pointer);

Unit
OpenGLLinux


PFNGLDRAWARRAYSEXTPROC

PFNGLDRAWARRAYSEXTPROC

type PFNGLDRAWARRAYSEXTPROC = procedure(mode: GLenum; first: GLint; count: GLsizei);

Unit
OpenGLLinux


PFNGLEDGEFLAGPOINTEREXTPROC

PFNGLEDGEFLAGPOINTEREXTPROC

type PFNGLEDGEFLAGPOINTEREXTPROC = procedure(stride, count: GLsizei; P: PGLBoolean);

Unit
OpenGLLinux


PFNGLGETPOINTERVEXTPROC

PFNGLGETPOINTERVEXTPROC

type PFNGLGETPOINTERVEXTPROC = procedure(pname: GLenum; Var params);

Unit
OpenGLLinux


PFNGLINDEXPOINTEREXTPROC

PFNGLINDEXPOINTEREXTPROC

type PFNGLINDEXPOINTEREXTPROC = procedure(type_: GLenum; stride, count: GLsizei; P: Pointer);

Unit
OpenGLLinux


PFNGLNORMALPOINTEREXTPROC

PFNGLNORMALPOINTEREXTPROC

type PFNGLNORMALPOINTEREXTPROC = procedure(type_: GLenum; stride, count: GLsizei; P: Pointer);

Unit
OpenGLLinux


PFNGLTEXCOORDPOINTEREXTPROC

PFNGLTEXCOORDPOINTEREXTPROC

type PFNGLTEXCOORDPOINTEREXTPROC = procedure(size: GLint; type_: GLenum; stride, count: GLsizei; P: Pointer);

Unit
OpenGLLinux


PFNGLVERTEXPOINTEREXTPROC

PFNGLVERTEXPOINTEREXTPROC

type PFNGLVERTEXPOINTEREXTPROC = procedure(size: GLint; type_: GLenum; stride, count: GLsizei; P: Pointer);

Unit
OpenGLLinux


PropertyItem

PropertyItem

type PropertyItem = record;

Unit
GDIPAPI


PWMFRect16

PWMFRect16

type PWMFRect16 = record;

Unit
GDIPAPI


RotateFlipType

RotateFlipType

type RotateFlipType = (RotateNoneFlipNone, Rotate90FlipNone, Rotate180FlipNone, Rotate270FlipNone, RotateNoneFlipX, Rotate90FlipX, Rotate180FlipX, Rotate270FlipX);

Unit
GDIPAPI


Status

Status

type Status = (Ok, GenericError, InvalidParameter, OutOfMemory, ObjectBusy, InsufficientBuffer, NotImplemented, Win32Error, WrongState, Aborted, FileNotFound, ValueOverflow, AccessDenied, UnknownImageFormat, FontFamilyNotFound, FontStyleNotFound, NotTrueTypeFont, UnsupportedGdiplusVersion, GdiplusNotInitialized, PropertyNotFound, PropertyNotSupported);

Unit
GDIPAPI


StringAlignment

StringAlignment

type StringAlignment = (StringAlignmentNear, StringAlignmentCenter, StringAlignmentFar);

Unit
GDIPAPI


StringDigitSubstitute

StringDigitSubstitute

type StringDigitSubstitute = (StringDigitSubstituteUser, StringDigitSubstituteNone, StringDigitSubstituteNational, StringDigitSubstituteTraditional);

Unit
GDIPAPI


StringTrimming

StringTrimming

type StringTrimming = (StringTrimmingNone, StringTrimmingCharacter, StringTrimmingWord, StringTrimmingEllipsisCharacter, StringTrimmingEllipsisWord, StringTrimmingEllipsisPath);

Unit
GDIPAPI


TAnimateEditorOptions

TAnimateEditorOptions

type TAnimateEditorOptions = record;

Unit
TeeAnimate


TAnimateGalleryEvent

TAnimateGalleryEvent

type TAnimateGalleryEvent = procedure(Sender: TObject; Var Animation: TAnimation; AParent: TAnimation) of object;

Unit
TeeAnimateEditor


TAnimateGetName

TAnimateGetName

type TAnimateGetName = procedure(Animation: TAnimation; Var S: String) of object;

Unit
TeeAnimateEditor


TAnimationEndEvent

TAnimationEndEvent

type TAnimationEndEvent = procedure(Sender: TAnimation; Var FreeAnimation: Boolean) of object;

Unit
TeeAnimate


TAnimationState

TAnimationState

type TAnimationState = (asStopped, asPlaying, asPaused);

Unit
TeeAnimate


TAnimationTrigger

TAnimationTrigger

type TAnimationTrigger = (atMouseClick, atMouseOver);

Unit
TeEngine


TAnnotationClick

TAnnotationClick

type TAnnotationClick = procedure(Sender: TAnnotationTool; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
TeeTools

Description
Event handler used by TAnnotationTool OnClick event.


TAnnotationPosition

TAnnotationPosition

type TAnnotationPosition = (ppLeftTop, ppLeftBottom, ppRightTop, ppRightBottom, ppCenter);

Unit
TeeTools

Description

Controls the default position of Annotation where to display on a chart.

If the Annotation.Shape.CustomPosition is True, the default position is not used.

Example:

ChartTool1.Position := ppLeftTop ; // <-- display at left-top corner

ChartTool1.Shape.Left := 50 ; // <-- do not use Position, use Shape's Left and Top positions.


TAntiAlias

TAntiAlias

type TAntiAlias = (aaYes, aaNo);

Unit
TeeAntiAlias

Description
Used by TAntiAliasCanvas.AntiAlias property.


TArrowHeadStyle

TArrowHeadStyle

type TArrowHeadStyle = (ahNone, ahLine, ahSolid);

Unit
TeEngine

Description
Used by TCallout class to optionally display an "arrow head" shape at the end of the callout line.


TAxisArrowClickEvent

TAxisArrowClickEvent

type TAxisArrowClickEvent = procedure(Sender: TAxisArrowTool; AtStart: Boolean) of object;

Unit
TeeTools

Description
This event is called by AxisArrow tool when the end user clicks an arrow (to scroll the axis).
The AtStart parameter determines if the clicked arrow was the starting or ending axis arrow.


TAxisArrowToolPosition

TAxisArrowToolPosition

type TAxisArrowToolPosition = (aaStart, aaEnd, aaBoth);

Unit
TeeTools

Description
Adds the Tool to the Start, End or Both ends of an Axis.


TAxisBreakStyle

TAxisBreakStyle

type TAxisBreakStyle = (tabSmallZigZag, tabZigZag, tabLine, tabNone);

Unit
TeeAxisBreaks


TAxisCalcPos

TAxisCalcPos

type TAxisCalcPos = function(Const Value: TChartValue): Integer of object;

Unit
TeEngine

Description
Internally used to speed up axis calculations.


TAxisCalcPosLabels

TAxisCalcPosLabels

type TAxisCalcPosLabels = function(Axis: TChartAxis; Value: Integer): Integer of object;

Unit
TeEngine

Description
This event is internally used by TChartAxes class protected property CalcPosLabels, to allow TDataTableTool to move labels the necessary amount of pixels to fit the data table inside the chart boundaries.


TAxisCalcPosPoint

TAxisCalcPosPoint

type TAxisCalcPosPoint = function(Const Value: Integer): Double of object;

Unit
TeEngine


TAxisDrawGrids

TAxisDrawGrids

type TAxisDrawGrids = procedure(Sender: TChartAxis) of object;

Unit
TeEngine

Description
This event is internally used by ColorBand tool to fill the space between axis grid lines.


TAxisDrawLabelEvent

TAxisDrawLabelEvent

type TAxisDrawLabelEvent = procedure(Sender: TChartAxis; Var x, y, Z: Integer; Var Text: String; Var DrawLabel: Boolean) of object;

Unit
TeEngine

Description
Used by Chart1.Axes.Left.OnDrawLabel event, called for every axis label.


TAxisLabelAlign

TAxisLabelAlign

type TAxisLabelAlign = (alDefault, alOpposite);

Unit
TeEngine

Description
The default position of an AxisLabel will depend on the Axis with which it is associated. A Bottom Axis will place Labels below the Axis by default. A Top Axis will place the Labels above the Axis. The default behaviour may be overriden by using the TChartAxis.Otherside property.


TAxisLabelStyle

TAxisLabelStyle

type TAxisLabelStyle = (talAuto, talNone, talValue, talMark, talText, talPointValue);

Unit
TeEngine

Description
TAxisLabelStyle defines the possible values of the TChartAxis LabelStyle property.

You can override each axis label text by using the Chart OnGetAxisLabel event.

Possible values for LabelStyle are:

    • \*\pn
      \pnindent\pntxtb
    \fi-200\litalAuto     Choose the Style automatically.
    • talNone     No label. This will trigger the event with empty strings.
    • talValue     Axis labeling is based on axis Minimum and Maximum properties.
    • talMark     Each Series point will have a Label using Series Marks style.
    • talText     Each Series point will have a Label using Series Labels strings.


TAxisOnGetLabel

TAxisOnGetLabel

type TAxisOnGetLabel = procedure(Sender: TChartAxis; Series: TChartSeries; ValueIndex: Integer; Var LabelText: String) of object;

Unit
TeEngine

Description
The TAxisOnGetLabel type points to a method that notifies a TChartAxis component that an event has occurred.
It is used by the TChartAxis.OnGetAxisLabel event.


TAxisOnGetNextLabel

TAxisOnGetNextLabel

type TAxisOnGetNextLabel = procedure(Sender: TChartAxis; LabelIndex: Integer; Var LabelValue: Double; Var Stop: Boolean) of object;

Unit
TeEngine

Description
The TAxisOnGetNextLabel type points to a method that notifies a TChartAxis component that an event has occurred. It is used by the OnGetNextAxisLabel event.


TBarRound

TBarRound

type TBarRound = (brNone, brAtValue, brBothEnds);

Unit
Series


TBarStyle

TBarStyle

type TBarStyle = (bsRectangle, bsPyramid, bsInvPyramid, bsCilinder, bsEllipse, bsArrow, bsRectGradient, bsCone, bsBevel, bsSlantCube, bsDiamond, bsInvArrow, bsInvCone, bsCustom, bsRoundRectangle);

Unit
Series

Description
TBarStyle defines the possible values of the TCustomBarSeries BarStyle property.

These are the possible Bar styles:

bsRectangle,
bsPyramid,
bsInvPyramid,
bsCilinder,
bsEllipse,
bsArrow,
bsRectGradient,
bsCone,
bsBevel,
bsSlantCube,
bsDiamond,
bsInvArrow,
bsInvCone,
bsCustom,
bsRoundRectangle


TBezierStyle

TBezierStyle

type TBezierStyle = (bsWindows, bsBezier3, bsBezier4);

Unit
TeeBezie

Description
Choose Style with which to display Bezier plot.

bsWindows:
The first curve is drawn from the first point to the fourth point, using the second and third points as control points. Each subsequent curve in the sequence needs exactly three more points: the ending point of the previous curve is used as the starting point, the next two points in the sequence are control points, and the third is the ending point.

bsBezier3:
The first curve is drawn from the first point to the third point, using the second point as control point. Each subsequent curve in the sequence needs exactly three more points: the ending point of the previous curve is used as the starting point, the next two points in the sequence are control points, and the third is the ending point.

bsBezier4:
The first curve is drawn from the first point to the fourth point, using the second and third points as control points. Each subsequent curve in the sequence needs exactly four more points: the ending point of the previous curve is used as the starting point, the next two points in the sequence are control points, and the third is the ending point.


TCalculateEvent

TCalculateEvent

type TCalculateEvent = procedure(Sender: TCustomTeeFunction; Const x: Double; Var y: Double) of object;

Unit
TeeFunci

Description
Event used by TCustomTeeFunction.

You should return your calculation result into Y parameter.

procedure TCustomFunctionDemo.TeeFunction1Calculate(Sender: TCustomTeeFunction;
const x: Double; var y: Double);
begin
y:= Sin(x/10);
end;


TCalendarChangeEvent

TCalendarChangeEvent

type TCalendarChangeEvent = procedure(Sender: TCalendarSeries; Var Value: TDateTime) of object;

Unit
TeeCalendar

Description
The TCalendarSeries.OnChange event notifies that the end-user has clicked on a
different calendar day.

The Value parameter specifies the new day. You have the opportunity to modify this value thus overriding the user day change.


TCandleColorStyle

TCandleColorStyle

type TCandleColorStyle = (cssRelativeToOpen, cssRelativeToClose);

Unit
CandleCh

Description

Determines the method used to calculate Candle series colors.

See TCandleSeries.ColorStyle property.


TCandleItem

TCandleItem

Internal record used by Candle series to draw candle points.

type TCandleItem = record;

Unit
CandleCh

Description
Internal record. Candle series uses this record to fill pre-calculated coordinates of candle points.
This calculations are used to draw a candle point and to calculate if mouse cursor is over a candle (Clicked method).


TCandleStyle

TCandleStyle

type TCandleStyle = (csCandleStick, csCandleBar, csOpenClose, csLine);

Unit
CandleCh

Description
TCandleStyle defines the possible values of the CandleSeries CandleStyle property.
TCandleSeries.CandleStyle property defines how a CandleSeries point will be visually displayed.

 csCandleStick Each Candle is drawn as a Rectangle with top (High) and bottom (Low) lines.
 csCandleBar Each Candle is drawn as a vertical Line with small horizontal lines at Open and Close.
 csOpenClose Each Candle is drawn as a Rectangle (without High and Low lines)
csLine Lines are drawn between points (like a normal Line series)

The default CandleStyle is csCandleStick.

You can switch between Candle Styles both at design and runtime:

CandleSeries1.CandleStyle := csCandleBar;


TCanvas3DPlane

TCanvas3DPlane

type TCanvas3DPlane = (cpX, cpY, cpZ);

Unit
TeCanvas

Description
Used by TColorGridSeries.DrawPlane3D property and TCanvas3D.StretchDraw method.

Defines the spatial orientation (the axis plane) to draw a picture inside a chart panel in 3D mode.


TCanvasBackMode

TCanvasBackMode

type TCanvasBackMode = (cbmNone, cbmTransparent, cbmOpaque);

Unit
TeCanvas

Description
Corresponds to the possible values of the Canvas BackModeBackMode# property.

The BackMode is used when drawing solid or patterned brushes.


TCanvasZoomText

TCanvasZoomText

type TCanvasZoomText = (ztManual, ztNo, ztAuto);

Unit
TeCanvas


TCellsOrientation

TCellsOrientation

type TCellsOrientation = record;

Unit
TeeSurfa

Description
Used as the returning type of TSurfaceSeries CellsOrientation method.

This record contains several fields that help to display surface cells given one of the cell's corner index.

See the demo of TSurfaceNearestTool at the TeeNew examples project.


TChangeOrderEvent

TChangeOrderEvent

type TChangeOrderEvent = procedure(Sender: TChartListBox; Series1, Series2: TCustomChartSeries) of object;

Unit
TeeLisB

Description
Used by TChartListBox OnChangeOrder event.
Series1 and Series2 are the series that have been exchanged prior to triggering the event.


TChangeVisual

TChangeVisual

type TChangeVisual = function(AOwner, AVisualOwner: TComponent; AVisual: TVisualBlock): TVisualBlock;

Unit
TeCanvas


TCharacterRange

TCharacterRange

type TCharacterRange = record;

Unit
GDIPAPI


TChartAllowScrollEvent

TChartAllowScrollEvent

type TChartAllowScrollEvent = procedure(Sender: TChartAxis; Var AMin, AMax: Double; Var AllowScroll: Boolean) of object;

Unit
Chart

Description
Use event type with TCustomChart.OnAllowScroll event. Set Chart scroll restrictions with TCustomTeePanelExtended.AllowPanning property.


TChartAxisLabelValue

TChartAxisLabelValue

type TChartAxisLabelValue = procedure(Sender: TChartAxis; Var tmpValue: Double) of object;

Unit
TeEngine


TChartClick

TChartClick

type TChartClick = procedure(Sender: TCustomChart; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
Chart

Description
The TChartClick type points to a method that notifies a TChart component that a click event has occurred. It is used by OnClickLegend and OnClickBackground


TChartClickAxis

TChartClickAxis

type TChartClickAxis = procedure(Sender: TCustomChart; Axis: TChartAxis; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
Chart

Description
The TChartClickAxis type points to a method that notifies a TChartAxis component that a click event has occurred. It is used by OnClickAxis.


TChartClickedPart

TChartClickedPart

type TChartClickedPart = record;

Unit
TeEngine

Description

Record used to store information about the TChart component at an X,Y co-ordinate

TChartClickedPart = record
Part : TChartClickedPartStyle;
PointIndex : Integer;
ASeries : TChartSeries;
AAxis : TChartAxis;
 end;

Several methods require or return a TChartClickedPart record variable, like CalcClickedPart.

The TSelectorTool is a convenient, easy to use component to manage mouse clicks at different Chart parts.


TChartClickedPartStyle

TChartClickedPartStyle

type TChartClickedPartStyle = (cpNone, cpLegend, cpAxis, cpSeries, cpTitle, cpFoot, cpChartRect, cpSeriesMarks, cpSeriesPointer, cpSubTitle, cpSubFoot, cpAxisTitle);

Unit
TeEngine

Description
The TChartClickedPartStyle contains the Component Style of the TChart Component. Use with TChartClickedPart event and TCustomChart.CalcClickedPart method.


TChartClickSeries

TChartClickSeries

type TChartClickSeries = procedure(Sender: TCustomChart; Series: TChartSeries; ValueIndex: Integer; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
Chart

Description
The TChartClickSeries type points to a method that notifies a TChart component that a click event has occurred. It is used by the OnClickSeries event.


TChartClickTitle

TChartClickTitle

type TChartClickTitle = procedure(Sender: TCustomChart; ATitle: TChartTitle; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
Chart

Description
Use the event type with TCustomChart.OnClickTitle event.


TChartDragDropEvent

TChartDragDropEvent

type TChartDragDropEvent = (cdeOver, cdeDrop, cdeStart, cdeEnd);

Unit
TeEngine


TChartEditorOption

TChartEditorOption

type TChartEditorOption = (ceAdd, ceDelete, ceChange, ceClone, ceDataSource, ceTitle, ceHelp, ceGroups, ceGroupAll, ceOrderSeries, ceAskDelete);

Unit
TeeEditCha

Description
Use with TChartEditor.Options property. Enables/disables use at runtime of the first page Chart Editor buttons.


TChartEditorTab

TChartEditorTab

type TChartEditorTab = (cetMain, cetGeneral, cetAxis, cetTitles, cetLegend, cetPanel, cetPaging, cetWalls, cet3D, cetSeriesGeneral, cetSeriesMarks, cetAllSeries, cetSeriesData, cetExport, cetExportNative, cetTools, cetAnimations, cetPrintPreview);

Unit
TeeEditCha

Description
TChartEditorTab is used to define which TChart Editor tabs are visible at runtime.
The TChartEditor.HideTabs property uses TChartEditorHiddenTabs which defines a subset of the TChartEditorTabs.


TChartGridShow

TChartGridShow

type TChartGridShow = (cgsAuto, cgsNo, cgsYes);

Unit
TeeChartGrid

Description
Use with TCustomChartGrid.ShowXValues


TChartKeyEvent

TChartKeyEvent

type TChartKeyEvent = (ckeDown, ckeUp, ckePress);

Unit
TeEngine


TChartListOrder

TChartListOrder

type TChartListOrder = (loNone, loAscending, loDescending);

Unit
TeEngine

Description
Use with TChartValueList.Order property to set order type for Chart TChart Series.html">Series points.


TChartMouseEvent

TChartMouseEvent

type TChartMouseEvent = (cmeDown, cmeMove, cmeUp);

Unit
TeEngine

Description
TChartMouseEvent type registers mouseclick action as button Down, Move, button Up.


TChartObjectShapeStyle

TChartObjectShapeStyle

type TChartObjectShapeStyle = (fosRectangle, fosRoundRectangle, fosEllipse);

Unit
TeeProcs

Description
Used with TTeeCustomShape.ShapeStyle to define shape style.


TChartPreviewOption

TChartPreviewOption

type TChartPreviewOption = (cpoChangePrinter, cpoSetupPrinter, cpoResizeChart, cpoMoveChart, cpoChangeDetail, cpoChangePaperOrientation, cpoChangeMargins, cpoProportional, cpoDragChart, cpoPrintPanel, cpoAsBitmap);

Unit
TeeEdit

Description
Options describe the visible user options when the TChartPreviewer is displayed.


TChartSeriesEvent

TChartSeriesEvent

type TChartSeriesEvent = (seAdd, seRemove, seChangeTitle, seChangeColor, seSwap, seChangeActive, seDataChanged, seAfterRemove);

Unit
TeEngine

Description
TeeChart internal use. Event called when one of the above changes occurs with a Series.


TChartSeriesStyle

TChartSeriesStyle

type TChartSeriesStyle = (tssIsTemplate, tssDenyChangeType, tssDenyDelete, tssDenyClone, tssIsPersistent, tssHideDataSource);

Unit
TeEngine

Description
Internally used by the CodeGear's DecisionGraph component.


TChartShapeStyle

TChartShapeStyle

type TChartShapeStyle = (chasRectangle, chasCircle, chasVertLine, chasHorizLine, chasTriangle, chasInvertTriangle, chasLine, chasDiamond, chasCube, chasCross, chasDiagCross, chasStar, chasPyramid, chasInvertPyramid);

Unit
TeeShape

Description
Used by TChartShape Series to set Shape style.


TChartShapeXYStyle

TChartShapeXYStyle

type TChartShapeXYStyle = (xysPixels, xysAxis, xysAxisOrigin);

Unit
TeeShape

Description
TChartShapeStyle defines the list of possible values for the TChartShape.XYStyle property.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lixysPixels: Position relative to Chart Panel. 0,0 is Panel Left, Top.
    • xysAxis: Position in Axis units.
    • xysAxisOrigin: Use Left,Top (X0,Y0) to set the Axis origin in Axis units. Right, Bottom sets width and height in Pixels.


TChartSurfaceGetColor

TChartSurfaceGetColor

type TChartSurfaceGetColor = procedure(Sender: TChartSeries; ValueIndex: Integer; Var Color: TColor) of object;

Unit
TeeSurfa

Description
The TChartSurfaceGetColor type points to a method that notifies a TChartSeries component that an event has occurred. It is used by the OnGetColor Event


TChartSurfaceGetY

TChartSurfaceGetY

type TChartSurfaceGetY = function(Sender: TChartSeries; X, Z: Integer): Double of object;

Unit
TeeSurfa

Description
The TChartSurfaceGetY type points to a method that notifies a TChartSeries component that an event has occurred. It is used by the OnGetYValue Event.


TChartToolEvent

TChartToolEvent

type TChartToolEvent = (cteAfterDraw, cteBeforeDrawSeries, cteBeforeDraw, cteBeforeDrawAxes, cteAfterDrawSeries, cteMouseLeave);

Unit
TeEngine

Description
Internally used by the Chart Tool objects.


TCheckBoxesStyle

TCheckBoxesStyle

type TCheckBoxesStyle = (cbsCheck, cbsRadio);

Unit
Chart

Description
Determines the aspect of the interactive boxes of Legend items.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\licbsCheck displays boxes as check-boxes.
    • cbsRadio displays boxes as radio-buttons.

    See also: Legend CheckBoxes property.


TClockSeriesGetTimeEvent

TClockSeriesGetTimeEvent

type TClockSeriesGetTimeEvent = procedure(Sender: TClockSeries; Var ATime: TDateTime) of object;

Unit
TeeRose

Description
TClockSeriesGetTimeEvent is used by the TClockSeries.
This event is triggered at every second, offering the possibility to change the displayed time.

You can use this event to "fake" the actual time displayed in the clock, by passing a different time value:

procedure TForm1.Series3GetTime(Sender: TClockSeries;
var ATime: TDateTime);
var hour, min, sec, msec: Word;
begin
DecodeTime( ATime, hour, min, sec, msec );
hour:=hour+1;
if hour > 23 then hour:=0;
ATime := EncodeTime( hour, min, sec, msec );
end;


TClockSeriesStyle

TClockSeriesStyle

type TClockSeriesStyle = (cssDecimal, cssRoman);

Unit
TeeRose

Description
TClockSeriesStyle is used to specify the presentation of the hours on a Clock Series. It is used by the TClockSeries object.

The following table lists the TClockSeriesStyle constants from the TeeRose unit.
The first column displays the possible styles, while the last column shows their meaning.

Value Meaning

    • \*\pn
      \pnindent\pntxtb
    \fi-200\licssDecimal The hours of the clock are drawn as decimal numbers
    • cssRoman The hours of the clock are drawn as roman numbers


TCMFStyle

TCMFStyle

type TCMFStyle = (cmfLine, cmfArea, cmfVolume, cmfHistogram);

Unit
StatChar


TColorEvent

TColorEvent

type TColorEvent = procedure(Const aColor: TColor) of object;

Unit
TeeProcs


TColorLineStyle

TColorLineStyle

type TColorLineStyle = (clCustom, clMaximum, clCenter, clMinimum);

Unit
TeeTools

Description
ColorLine tool Style property uses this enumeration to display lines at automatic axis positions.

Default value is : clCustom ( user defined position ).

    • \*\pn
      \pnindent\pntxtb
    \fi-200\liclMaximum means the line will be displayed at axis maximum position.
    • clCenter means the line will be displayed at axis center position.
    • clMinimum means the line will be displayed at axis minimum position.


TColorLineToolOnDrag

TColorLineToolOnDrag

type TColorLineToolOnDrag = procedure(Sender: TColorLineTool) of object;

Unit
TeeTools

Description
Event triggered when drag of TColorLine begins.


TColorMethod

TColorMethod

type TColorMethod = (cmRGB, cmHLS);

Unit
TeeAnimate


TColorReduction

TColorReduction

type TColorReduction = (rmNone, rmWindows20, rmWindows256, rmWindowsGray, rmMonochrome, rmGrayScale, rmNetscape, rmQuantize, rmQuantizeWindows, rmPalette);

Unit
GIFImage


TCommanderControls

TCommanderControls

type TCommanderControls = (tcbNormal, tcbSeparator, tcbRotate, tcbMove, tcbZoom, tcbDepth, tcbEdit, tcbPrintPreview, tcbCopy, tcbSave, tcbLabel, tcb3D);

Unit
TeeComma

Description

See TTeeCommander.DefaultButton property.

Each of the TCommanderControls elements corresponds to an item of the commander toolbar (buttons).


TCompressGetDate

TCompressGetDate

type TCompressGetDate = procedure(Sender: TTeeFunction; Source: TChartSeries; ValueIndex: Integer; Var Date: TDateTime) of object;

Unit
TeeCompressOHLC

Description
Event used at TCompressFunction OnGetDate event to allow custom supply of Date values.

This event is useful if your source Candle series to be compressed does not have Date values (ie: uses sequential values to skip weekends).

Note: For this event to work, the function Period property must be zero, for the Compress property to define the grouping datetime period.

Example of converting candle labels as datetime values:

procedure TForm1.eeFunction1GetDate(Sender: TTeeFunction;
Source: TChartSeries; ValueIndex: Integer; var Date: TDateTime);
begin
Date:=StrToDate( (Source as TCandleSeries).Labels[ValueIndex] );
end;


TCompressionPeriod

TCompressionPeriod

type TCompressionPeriod = (ocDay, ocWeek, ocMonth, ocBiMonth, ocQuarter, ocYear, ocSecond, ocTenSecond, ocMinute, ocTwoMinutes, ocFiveMinutes, ocTenMinutes, ocFifteenMinutes, ocTwentyMinutes, ocHalfHour, ocHour, ocTwoHours, ocThreeHour, ocSixHour, ocTwelveHour);

Unit
TeeCompressOHLC

Description
Used by TCompressFunction Compress property to determine how source values are grouped (compressed).

Note: The Compress property is only used when the function Period is zero. This indicates we want to compress a series by datetime groups instead of grouping it every number of points.


TCursorClicked

TCursorClicked

type TCursorClicked = (ccNone, ccHorizontal, ccVertical, ccBoth);

Unit
TeeTools

Description
Used with TCursorTool.Clicked.


TCursorToolChangeEvent

TCursorToolChangeEvent

type TCursorToolChangeEvent = procedure(Sender: TCursorTool; x, y: Integer; Const XValue, YValue: Double; Series: TChartSeries; ValueIndex: Integer) of object;

Unit
TeeTools

Description
Used with TCursorTool.OnChange event.


TCursorToolGetAxisRect

TCursorToolGetAxisRect

type TCursorToolGetAxisRect = procedure(Sender: TCursorTool; Var Rect: TRect) of object;

Unit
TeeTools

Description
Use with TCursorTool.OnGetAxisRect event.


TCursorToolStyle

TCursorToolStyle

type TCursorToolStyle = (cssHorizontal, cssVertical, cssBoth, cssScope, cssScopeOnly);

Unit
TeeTools

Description
Line direction for TCursorTool's Line[s].


TCustomSeriesStack

TCustomSeriesStack

type TCustomSeriesStack = (cssNone, cssOverlap, cssStack, cssStack100);

Unit
Series

Description
Use with TCustomSeries #TCustomSeries.Stacked#Stacked# property.

cssNone: No overlap action. All Series displayed in individual Z space

cssOverlap: Series displayed in same Z space (all Series take same ZOrder position).
This will result in overpainting of equal Series points.

cssStack: Stack Series one above the other.
Series begin with lowest index order at bottom, further Series are then plotted above in their respective indexed order with each point taking the cumulative value of lower points as their starting value.

cssStack100: Plots take up full Bottom to Top space of the Chart Area resulting in a percentage division by Area to reflect Series values.
The Y displacement below each line equates to its percentage value of total.
Thus the Last Line will be parallel with/at the top of the Chart and the area below that line reflects its percentage proportion.


TDataStyle

TDataStyle

type TDataStyle = (hdsTruncate, hdsRound);

Unit
TeeHistogram


TDataTableFilterSeries

TDataTableFilterSeries

type TDataTableFilterSeries = procedure(Sender: TDataTableTool; Series: TChartSeries; Var Accept: Boolean) of object;

Unit
TeeDataTableTool

Description
Used by TDataTableTool OnFilterSeries event.


TDateTimeStep

TDateTimeStep

type TDateTimeStep = (dtOneMicroSecond, dtOneMillisecond, dtOneSecond, dtFiveSeconds, dtTenSeconds, dtFifteenSeconds, dtThirtySeconds, dtOneMinute, dtFiveMinutes, dtTenMinutes, dtFifteenMinutes, dtThirtyMinutes, dtOneHour, dtTwoHours, dtSixHours, dtTwelveHours, dtOneDay, dtTwoDays, dtThreeDays, dtOneWeek, dtHalfMonth, dtOneMonth, dtTwoMonths, dtThreeMonths, dtFourMonths, dtSixMonths, dtOneYear, dtNone);

Unit
TeeProcs

Description
TDateTimeStep is a set of constants used to specify a date time increment.

Example:

Chart1.BottomAxis.Increment := DateTimeStep[ dtTwoDays ];

This array is initialized internally at Chart unit.

Example:

DateTimeStep[ dtFifteenMinutes ] := EncodeTime( 0, 15, 0) ;
DateTimeStep[ dtThreeDays ] := 3 ;


TDblClickSeriesEvent

TDblClickSeriesEvent

type TDblClickSeriesEvent = procedure(Sender: TChartListBox; Index: Integer) of object;

Unit
TeeLisB

Description
Event triggered by double-click on Series in TChartListbox.


TDebugPaintStyle

TDebugPaintStyle

type TDebugPaintStyle = (dpFramesPerSecond, dpFrameCount);

Unit
TeeProcs


TDeleteChartEvent

TDeleteChartEvent

type TDeleteChartEvent = procedure(Sender: TChartBook; Chart: TCustomChart; Var Delete: Boolean) of object;

Unit
TeeChartBook

Description
Used by TChartBool.OnDeleteChart event.
This event is called just before a chart in a TChartBook is going to be deleted per user request (clicking the Delete menu item that shows at tab popup dialog).

The Delete boolean parameter can be set to False to disallow the chart removal.


TDeltaImageStyle

TDeltaImageStyle

type TDeltaImageStyle = (disSmiles, disHands);

Unit
ImaPoint

Description
TDeltaImageStyle is used by the TDeltaPointSeries.


TDigitalFont

TDigitalFont

type TDigitalFont = (dfBar, dfDot, dfCustom);

Unit
TeeNumericGauge

Description
Used by TNumericGauge DigitalFont property.

Determines the internal font typeface used to display text inside a gauge.

dfBar is associated with "DS-Digital" font.
dfDot is associated with "Elektra" font.

These fonts are embedded inside the TeeFonts.res resource file, used by TeeNumericGauge unit.


TDisposalMethod

TDisposalMethod

type TDisposalMethod = (dmNone, dmNoDisposal, dmBackground, dmPrevious);

Unit
GIFImage


TDitherMode

TDitherMode

type TDitherMode = (dmNearest, dmFloydSteinberg, dmStucki, dmSierra, dmJaJuNI, dmSteveArche, dmBurkes);

Unit
GIFImage


TDownSampleMethod

TDownSampleMethod

type TDownSampleMethod = (dsDouglas, dsMax, dsMin, dsMinMax, dsAverage, dsMinMaxFirstLast, dsMinMaxFirstLastNull);

Unit
TeeDownSampling

Description
Used by TDownSamplingFunction.DownSampleMethod property.

Given an interval of points, reduction is done :

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lidsDouglas means the interval points are simplified by calculating their square vector distance and a tolerance value.
    • dsMax means the maximum value of all points in the interval is used.
    • dsMin means the minimum value of all points in the interval is used.
    • dsMinMax means both the minimum and maximum point values are considered.
    • dsAverage means the mean of all interval point values is used.


TDragMarkEvent

TDragMarkEvent

type TDragMarkEvent = procedure(Sender: TDragMarksTool; Index: Integer; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
TeeTools

Description
Used by TDragMarksTool component, OnDraggingMark and OnDraggedMark events.


TDragPointStartEvent

TDragPointStartEvent

type TDragPointStartEvent = procedure(Sender: TDragPointTool; Index: Integer; Var Start: Boolean) of object;

Unit
TeeDragPoint


TDragPointStyle

TDragPointStyle

type TDragPointStyle = (dsX, dsY, dsBoth);

Unit
TeeDragPoint

Description
Default value: dsBoth

Indicates if DragPoint tool will allow the end user to drag points in X and / or Y directions.

The DragStyle property is of TDragPointStyle type.

ChartTool1.DragStyle := dsY ; // allows vertical dragging only


TDragPointToolEvent

TDragPointToolEvent

type TDragPointToolEvent = procedure(Sender: TDragPointTool; Index: Integer) of object;

Unit
TeeDragPoint

Description
Event type of TDragPointTool OnDragPoint event property.


TDraw3DPaintEvent

TDraw3DPaintEvent

type TDraw3DPaintEvent = procedure(Sender: TObject; Const ARect: TRect) of object;

Unit
TeeDraw3D

Description
Used with TDraw3D.OnPaint event.


TDrawAllPointsStyle

TDrawAllPointsStyle

type TDrawAllPointsStyle = (daFirst, daMinMax);

Unit
Series


TDrawLineHandle

TDrawLineHandle

type TDrawLineHandle = (chNone, chStart, chEnd, chSeries);

Unit
TeeTools

Description
Sets location/visibility of TDrawLine Handle.


TDrawLineSelecting

TDrawLineSelecting

type TDrawLineSelecting = procedure(Sender: TDrawLineTool; Line: TDrawLine; Var AllowSelect: Boolean) of object;

Unit
TeeTools

Description
Used by DrawLine tool OnSelecting event.
This event is called just when clicking an existing line.
You can set AllowSelect to False to disable selecting the Line.


TDrawLineStyle

TDrawLineStyle

type TDrawLineStyle = (dlLine, dlHorizParallel, dlVertParallel, dlRectangle, dlEllipse);

Unit
TeeTools

Description
Determines how will Lines be displayed at DrawLine tool when dragging new lines or selecting and modifying them.

Lines can be displayed diagonal (the default), horizontal or vertical.


TDrawTagEvent

TDrawTagEvent

type TDrawTagEvent = procedure(Sender: TTagCloudSeries; ValueIndex: Integer) of object;

Unit
TeeTagCloud

Description
Used by TTagCloudSeries OnDrawTag event.


TEdgeStyle

TEdgeStyle

type TEdgeStyle = (edFlat, edCurved, edNone);

Unit
TeCanvas


TEditingCellEvent

TEditingCellEvent

type TEditingCellEvent = procedure(Sender: TCustomChartGrid; ACol, ARow: Integer; Var Allow: Boolean) of object;

Unit
TeeChartGrid

Description
Used by TCustomChartGrid.OnEditingCell event.

The Allow parameter, when False, disables cell editing for the specified ACol and ARow grid cell.


TEditVisual

TEditVisual

type TEditVisual = function(AOwner: TComponent; AVisual: TVisualBlock): Boolean;

Unit
TeCanvas


TeeFormatFlags

TeeFormatFlags

type TeeFormatFlags = (tfNoMandatory, tfColor, tfLabel, tfMarkPosition);

Unit
TeEngine

Description
Used by SeriesGuessContents method.

Determines if a Series contains colors, labels, mark positions and / or non-mandatory values.


TErrorSeriesStyle

TErrorSeriesStyle

type TErrorSeriesStyle = (essLeft, essRight, essLeftRight, essTop, essBottom, essTopBottom);

Unit
ErrorBar

Description
Type describes the 'T' error displacement indicator used for the TErrorSeries.


TErrorWidthUnits

TErrorWidthUnits

type TErrorWidthUnits = (ewuPercent, ewuPixels);

Unit
ErrorBar

Description
TErrorWidthUnits defines the possible values of the TCustomErrorSeries.ErrorWidthUnits property.


TextRenderingHint

TextRenderingHint

type TextRenderingHint = (TextRenderingHintSystemDefault, TextRenderingHintSingleBitPerPixelGridFit, TextRenderingHintSingleBitPerPixel, TextRenderingHintAntiAliasGridFit, TextRenderingHintAntiAlias, TextRenderingHintClearTypeGridFit);

Unit
GDIPAPI


TFaderStyle

TFaderStyle

type TFaderStyle = (fsFadeIn, fsFadeOut);

Unit
TeeFaderTool

Description
Used by TFaderTool.Style property.


TFibonacciStyle

TFibonacciStyle

type TFibonacciStyle = (fsArc, fsFan, fsRetracement);

Unit
TeeFibonacci

Description
Determines how the Fibonacci tool draws its collection of Levels.


TFloatPoint

TFloatPoint

type TFloatPoint = record;

Unit
TeCanvas

Description
X,Y point in Axis values.


TFloatRect

TFloatRect

type TFloatRect = record;

Unit
TeCanvas


TFontData

TFontData

type TFontData = record;

Unit
TeePDFCanvas

Description
Structure to contain a font definition.
Used by TTeePDFFontListEntry class FontData property.


TFontQuality

TFontQuality

type TFontQuality = (fqBest, fqNormal, fqDefault);

Unit
TeCanvas

See also:
TFunctionPeriodStyle


TFunctionPeriodAlign

TFunctionPeriodAlign

type TFunctionPeriodAlign = (paFirst, paCenter, paLast);

Unit
TeEngine

Description
Type describes where to place the point within the period range, at first, centre or last value.


TFunctionPeriodStyle

TFunctionPeriodStyle

type TFunctionPeriodStyle = (psNumPoints, psRange);

Unit
TeEngine

Description
TFunctionPeriodStyle defines the possible values of the TTeeFunction.PeriodStyle property.

For example, TAverageTeeFunction and TMovingAverageFunction have a Period value. This is a numeric value that can be expressed either as a number of points or a horizontal range.

 msNumPoints A number of points (for example: 20).
 msRange A X value range (DateTime or not).

Example:

AverageSeries1.PeriodStyle := psRange ;
AverageSeries1.Period := DateTimeStep[ dtOneDay ] ;

That will construct a Series based on its DataSource Series. For every group of points within a Day, it will calculate its average.

See also:
TFontQuality


TGanttDragEvent

TGanttDragEvent

type TGanttDragEvent = procedure(Sender: TGanttTool; GanttBar: Integer) of object;

Unit
TeeGanttTool

Description
Event type used by OnDragBar event.


TGanttResizeEvent

TGanttResizeEvent

type TGanttResizeEvent = procedure(Sender: TGanttTool; GanttBar: Integer; BarPart: TGanttToolBarPart) of object;

Unit
TeeGanttTool

Description
Event type used by OnResizeBar event.


TGanttToolBarPart

TGanttToolBarPart

type TGanttToolBarPart = (pbStart, pbAll, pbEnd);

Unit
TeeGanttTool

Description
Defines the part of a gantt bar that the user is dragging or resizing.

pbStart means the user is resizing the start edge (left) of a gantt bar.

These values are used by OnResizeBar event.


TGaugePointerStyles

TGaugePointerStyles

type TGaugePointerStyles = (gpHand, gpCenter, gpTick, gpMinorTick, gpColorLine);

Unit
TeeLinearGauge

Description
Determines how the Guage Pointers will be drawn.
It adds more styles to the gauge styles for the Hand, Centre, Ticks, MinorTicks and ColorLine.
TGaugePointerStyles=(gpHand, gpCenter, gpTick, gpMinorTick, gpColorLine);


TGDIPlusFontQuality

TGDIPlusFontQuality

type TGDIPlusFontQuality = (gpfBest, gpfDefault, gpfClearType, gpfNormal);

Unit
TeeGDIPlus


TGetBarStyleEvent

TGetBarStyleEvent

type TGetBarStyleEvent = procedure(Sender: TCustomBarSeries; ValueIndex: Integer; Var TheBarStyle: TBarStyle) of object;

Unit
Series

Description
The TGetBarStyleEvent type points to a method that notifies a TCustomBarSeries component that an event has occurred.

It is used by the OnGetBarStyle event.


TGetImageEvent

TGetImageEvent

type TGetImageEvent = procedure(Sender: TCustomImagePointSeries; ValueIndex: Integer; Picture: TPicture) of object;

Unit
ImaPoint

Description
The TGetImageEvent type is used for the drawing of images in the TCustomImagePoint series descendants.


TGetInspectorItems

TGetInspectorItems

type TGetInspectorItems = procedure(Sender: TInspectorItem; Proc: TGetItemProc) of object;

Unit
TeeInspector

Description
Used by TeeInspector Item class, OnGetItems event to obtain the elements of an inspector item that has "iiSelection" style.

See TInspectorItemStyle for more information.


TGetItemIndex

TGetItemIndex

type TGetItemIndex = procedure(Sender: TInspectorItem; Var Index: Integer) of object;

Unit
TeeInspector

Description
Used by TInspectorItem.OnGetItemIndex event.


TGetItemProc

TGetItemProc

type TGetItemProc = procedure(Const S: String; AObject: TObject) of object;

Unit
TeeInspector

Description
Procedure type used at TInspectorItem OnGetItems event.


TGetPropertyValueProc

TGetPropertyValueProc

type TGetPropertyValueProc = function(AInstance: TObject; Const AProperty: String): Variant of object;

Unit
TeeAnimate


TGetValueProc

TGetValueProc

type TGetValueProc = function(Index: Integer): Double of object;

Unit
TeeTriangulate


TGIFApplicationRec

TGIFApplicationRec

type TGIFApplicationRec = record;

Unit
GIFImage


TGIFColor

TGIFColor

type TGIFColor = record;

Unit
GIFImage


TGIFCompression

TGIFCompression

type TGIFCompression = (gcLZW, gcRLE);

Unit
GIFImage


TGIFDrawOption

TGIFDrawOption

type TGIFDrawOption = (goAsync, goTransparent, goAnimate, goLoop, goLoopContinously, goValidateCanvas, goDirectDraw, goClearOnLoop, goTile, goDither, goAutoDither);

Unit
GIFImage


TGIFGCERec

TGIFGCERec

type TGIFGCERec = record;

Unit
GIFImage


TGIFOptimizeOption

TGIFOptimizeOption

type TGIFOptimizeOption = (ooCrop, ooMerge, ooCleanup, ooColorMap, ooReduceColors);

Unit
GIFImage


TGIFPlainTextExtensionRec

TGIFPlainTextExtensionRec

type TGIFPlainTextExtensionRec = record;

Unit
GIFImage


TGIFSeverity

TGIFSeverity

type TGIFSeverity = (gsInfo, gsWarning, gsError);

Unit
GIFImage


TGIFVersion

TGIFVersion

type TGIFVersion = (gvUnknown, gv87a, gv89a);

Unit
GIFImage


TGIFWarning

TGIFWarning

type TGIFWarning = procedure(Sender: TObject; Severity: TGIFSeverity; Message: String) of object;

Unit
GIFImage


TGLGetPicBits

TGLGetPicBits

type TGLGetPicBits = function(AGraphic: TGraphic; Var Bits: PByteArray): Boolean of object;

Unit
TeeGLCanvas


TGLUnurbsObj

TGLUnurbsObj

type TGLUnurbsObj = record;

Unit
OpenGLLinux


TGPPoint

TGPPoint

type TGPPoint = record;

Unit
GDIPAPI


TGPPointF

TGPPointF

type TGPPointF = record;

Unit
GDIPAPI


TGPRect

TGPRect

type TGPRect = record;

Unit
GDIPAPI


TGPRectF

TGPRectF

type TGPRectF = record;

Unit
GDIPAPI


TGPSize

TGPSize

type TGPSize = record;

Unit
GDIPAPI


TGPSizeF

TGPSizeF

type TGPSizeF = record;

Unit
GDIPAPI


TGradientDirection

TGradientDirection

type TGradientDirection = (gdTopBottom, gdBottomTop, gdLeftRight, gdRightLeft, gdFromCenter, gdFromTopLeft, gdFromBottomLeft, gdRadial, gdDiagonalUp, gdDiagonalDown);

Unit
TeCanvas

Description
TGradientDirection defines the possible values of the TCustomTeeGradient.Direction property.


TGradientRotate

TGradientRotate

type TGradientRotate = procedure(Gradient: TCustomTeeGradient; Bitmap: TBitmap);

Unit
TeCanvas

Description
Internal use.


TGrayMethod

TGrayMethod

type TGrayMethod = (gmSimple, gmEye, gmEye2, gmLight);

Unit
TeeFilters

Description
Used by TGrayScaleFilter.Method property to convert pixels to their gray-scale equivalents.


TGridPalette

TGridPalette

type TGridPalette = record;

Unit
TeeSurfa

Description
Used in TCustom3DPalette series to store the palette values.
The UpToValue member defines the maximum value to apply the Color.

TGridPalette=packed record
UpToValue : Double;
Color : TColor;
end;


TGroupFormula

TGroupFormula

type TGroupFormula = (gfCount, gfSum);

Unit
TeeDBCrossTab

Description
Used by DBCrossTabSource Formula property.

Determines if crosstab will acumulate dataset field values or will simply count records.


THandStyle

THandStyle

type THandStyle = (hsLine, hsTriangle);

Unit
TeeGauges

Description
Defines the appearance of Gauge series hand line.

Used at Gauge series HandStyle property.


THorizAxis

THorizAxis

type THorizAxis = (aTopAxis, aBottomAxis, aBothHorizAxis, aCustomHorizAxis);

Unit
TeEngine

Description
Type describes Horizontal Axis type.


TImageDescriptor

TImageDescriptor

type TImageDescriptor = record;

Unit
GIFImage


TImageType

TImageType

type TImageType = (itJPEG, itBitmap, itUnknown);

Unit
TeePDFCanvas

Description
Determines the kind of image saved in the PDF stream.
Used by the TTeePDFImageListEntry class ImageType property.


TInspectorChange

TInspectorChange

type TInspectorChange = procedure(Sender: TTeeInspector; Item: TInspectorItem) of object;

Unit
TeeObjectInspector


TInspectorFilter

TInspectorFilter

type TInspectorFilter = procedure(Sender: TObjectInspector; Instance: TObject; Const PropertyName: String; Var Accept: Boolean) of object;

Unit
TeeObjectInspector


TInspectorItemStyle

TInspectorItemStyle

type TInspectorItemStyle = (iiBoolean, iiString, iiSelection, iiColor, iiPen, iiGradient, iiBrush, iiFont, iiImage, iiButton, iiInteger, iiDouble);

Unit
TeeInspector

Description
Defines the available styles for inspector items.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\liiiBoolean The inspector item shows a checkbox to switch between true and false values.
    • iiString The inspector item shows an edit box to change a string of text.
    • iiSelection The inspector item shows a combobox with available subitems to select.
    • iiColor The inspector item shows a colored box and a button to show the color editor dialog.
    • iiPen The inspector item shows a line drawn with the item pen and a button to show the TeeChart pen editor dialog.
    • iiGradient The inspector item shows a colored box filled with the item gradient, and a button to show the gradient editor dialog.
    • iiBrush The inspector item shows a colored box filled with the item brush, and a button to show the TeeChart brush editor dialog.
    • iiFont The inspector item shows the item font name and a button to show the standard font or TeeChart TTeeFont editor dialog.
    • iiImage The inspector item shows the image name and a button to show the picture open dialog to load a new image.
    • iiButton The inspector item shows a button, clicking the button raises the item OnChange event.
    • iiInteger The inspector item shows an edit box to change an integer value.


TLegendAlignment

TLegendAlignment

type TLegendAlignment = (laLeft, laRight, laTop, laBottom);

Unit
Chart

Description
TLegendAlignment defines the possible values of the TChartLegend.Alignment property.


TLegendPaletteAxis

TLegendPaletteAxis

type TLegendPaletteAxis = (laDefault, laOther, laBoth);

Unit
TeeLegendPalette

Description
Used by TLegendPaletteTool.Axis property.

Determines if legend will show the Left, Right or both Left and Right axes (for vertical orientation), or will show the Top, Bottom or both Top and Bottom axes (for horizontal orientation).


TLegendStyle

TLegendStyle

type TLegendStyle = (lsAuto, lsSeries, lsValues, lsLastValues, lsSeriesGroups);

Unit
Chart

Description
TLegendStyle defines the possible values of the TChartLegend.LegendStyle property.

The Chart Legend can draw either the Chart Series Titles or the first Series Values.

This feature is controlled through this property:

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lilsAuto TChartLegend draws Series Titles if there's more than one TChartSeries in the TChart
    • lsSeries TChartLegend draws the Series Titles (also if there's only one TChartSeries in the chart.
    • lsValues TChartLegend draws the first Active TChartSeries values.
    • lsLastValues TChartLegend draws the Last Value of each Active TChartSeries (similar to lsSeries).


TLegendSymbolPosition

TLegendSymbolPosition

type TLegendSymbolPosition = (spLeft, spRight);

Unit
Chart

Description
Position of Legend colour boxes.


TLegendSymbolSize

TLegendSymbolSize

type TLegendSymbolSize = (lcsPercent, lcsPixels);

Unit
Chart

Description
Defines whether the Legend Symbol size should be set as a percentage of the Legend box or by pixels.


TLegendTextStyle

TLegendTextStyle

type TLegendTextStyle = (ltsPlain, ltsLeftValue, ltsRightValue, ltsLeftPercent, ltsRightPercent, ltsXValue, ltsValue, ltsPercent, ltsXAndValue, ltsXAndPercent, ltsXAndText);

Unit
TeEngine

Description
How Legend text items are formatted


TLevelPoint

TLevelPoint

type TLevelPoint = record;

Unit
TeeSurfa

Description
Record containing two "double" variables (x and y).

TLevelPoint=packed record
X,Y: TChartValue;
end;

This record is used by TLevelSegment record.


TLevelSegment

TLevelSegment

type TLevelSegment = record;

Unit
TeeSurfa

Description
This record contains an array of TLevelPoint variables.

TLevelSegment=packed record
Points : Array of TLevelPoint;
end;

TLevelSegments=Array of TLevelSegment;

This record is used by TContourLevel in Segments property.


TLightDrawStyle

TLightDrawStyle

type TLightDrawStyle = (ldsAfterChart, ldsBeforeChart, ldsAfterSeries, ldsBeforeSeries, ldsBeforeAxes);

Unit
TeeLighting


TLightStyle

TLightStyle

type TLightStyle = (lsLinear, lsSpotLight);

Unit
TeeLighting

Description
Corresponds to TLightTool Style property.

Determines how is light calculated:

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lilsLinear Light is uniform around the Left Top position.
    • lsSpotLight Light is circular


TLogicalScreenDescriptor

TLogicalScreenDescriptor

type TLogicalScreenDescriptor = record;

Unit
GIFImage


TMarginUnits

TMarginUnits

type TMarginUnits = (maPercentFont, maPercentSize, maPixels);

Unit
TeEngine

Description
Used by TMargins Units property.
Defines how margins are calculated. See TMargins class.


TMarksLocation

TMarksLocation

type TMarksLocation = (mlStart, mlCenter, mlEnd);

Unit
Series


TMarksTipGetText

TMarksTipGetText

type TMarksTipGetText = procedure(Sender: TMarksTipTool; Var Text: String) of object;

Unit
TeeTools

Description
Used with TMarksTipTool.OnGetText event.


TMarkToolMouseAction

TMarkToolMouseAction

type TMarkToolMouseAction = (mtmMove, mtmClick);

Unit
TeeTools

Description
Used with TMarksTipTool.MouseAction.


TMirrorDirection

TMirrorDirection

type TMirrorDirection = (mdDown, mdUp, mdRight, mdLeft);

Unit
TeeFilters

Description
Used by TMirrorFilter.Direction property.


TMultiArea

TMultiArea

type TMultiArea = (maNone, maStacked, maStacked100);

Unit
Series

Description
TMultiArea defines the possible values of the MultiArea property.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\limaNone    : No stacking
    • maStacked    : Area series are stacked.
    • maStacked100    : Area series are stacked as percentage.


TMultiBar

TMultiBar

type TMultiBar = (mbNone, mbSide, mbStacked, mbStacked100, mbSideAll, mbSelfStack);

Unit
Series

Description
TMultiBar defines the possible values of the TCustomBarSeries MultiBar property.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\limbNone    : No stacking. No side-to-side layout.
    • mbSide    : Series are displayed side-to-side.
    • mbStacked    : Series are stacked.
    • mbStacked100    : Series are stacked as percentage.
    • mbSideAll    : All points from one series are displayed side-to-side with all points from other series.
    • mbSelfStack    : Points of the same series are stacked.


TMultiPie

TMultiPie

type TMultiPie = (mpAutomatic, mpDisabled);

Unit
Series

Description
Used by TPieSeries MultiPie property.


TMultiRose

TMultiRose

type TMultiRose = (mrNone, mrStacked);

Unit
TeeRose


TNearestToolStyle

TNearestToolStyle

type TNearestToolStyle = (hsNone, hsCircle, hsRectangle, hsDiamond, hsSeries);

Unit
TeeTools

Description
Style of the enclosing shape for the TNearestTool. The shape moves over the nearest point to the cursor.


TNewChartEvent

TNewChartEvent

type TNewChartEvent = procedure(Sender: TChartBook; Chart: TCustomChart) of object;

Unit
TeeChartBook

Description
Used by TChartBook.OnNewChart event.
This event is called just after a new chart has been added to a TChartBook control.


TNewLineEvent

TNewLineEvent

type TNewLineEvent = procedure(Sender: TObject; NewLine: String; OutputType: TOutputType) of object;

Unit
TeeDosCommand


TNotifyButtonClickedEvent

TNotifyButtonClickedEvent

type TNotifyButtonClickedEvent = procedure(Index: TTeeNavigateBtn) of object;

Unit
TeeNavigator

Description
Used by TCustomChartNavigator.OnButtonClicked event.


TNotifySeriesEvent

TNotifySeriesEvent

type TNotifySeriesEvent = procedure(Sender: TChartListBox; Series: TCustomChartSeries) of object;

Unit
TeeLisB

Description
Used by TChartListBox component, OnRemovedSeries event.

This event is called when a Series is removed (destroyed) from a Chart.


TOnBeforeDrawLevelEvent

TOnBeforeDrawLevelEvent

type TOnBeforeDrawLevelEvent = procedure(Sender: TContourSeries; LevelIndex: Integer) of object;

Unit
TeeSurfa

Description
Event used by Contour series OnBeforeDrawLevel property.

This event is called just before drawing each contour level.


TOnChangeMarginsEvent

TOnChangeMarginsEvent

type TOnChangeMarginsEvent = procedure(Sender: TObject; DisableProportional: Boolean; Const NewMargins: TRect) of object;

Unit
TeePreviewPanel

Description
Used by TTeePreviewPanel.OnChangeMargins. Triggered when Margins in PrintPreview Panel are mousedrag resized.


TOnGetLegendPos

TOnGetLegendPos

type TOnGetLegendPos = procedure(Sender: TCustomChart; Index: Integer; Var x, y, XColor: Integer) of object;

Unit
Chart

Description
The TOnGetLegendPos type points to a method that notifies a TChart component that an event has occurred. It is used by the OnGetLegendPos Event


TOnGetLegendRect

TOnGetLegendRect

type TOnGetLegendRect = procedure(Sender: TCustomChart; Var Rect: TRect) of object;

Unit
Chart

Description
The TOnGetLegendRect type points to a method that notifies a TChart component that an event has occurred. It is used by the OnGetLegendRect Event.


TOnGetLegendText

TOnGetLegendText

type TOnGetLegendText = procedure(Sender: TCustomAxisPanel; LegendStyle: TLegendStyle; Index: Integer; Var LegendText: String) of object;

Unit
Chart

Description
The TOnGetLegendText type points to a method that notifies a TChart component that an event has occurred. It is used by the OnGetLegendText event.


TOnGetLevelEvent

TOnGetLevelEvent

type TOnGetLevelEvent = procedure(Sender: TContourSeries; LevelIndex: Integer; Var Value: Double; Var Color: TColor) of object;

Unit
TeeSurfa

Description
Use with TContourSeries.OnGetLevel as each Y level is about to be plotted.


TOnGetPaperRect

TOnGetPaperRect

type TOnGetPaperRect = procedure(Sender: TObject; Var PaperRect: TRect) of object;

Unit
TeePreviewPanel

Description
Used by TTeePreviewPanel.OnGetPaperRect event.


TOnGetPointerStyle

TOnGetPointerStyle

type TOnGetPointerStyle = function(Sender: TChartSeries; ValueIndex: Integer): TSeriesPointerStyle of object;

Unit
Series

Description
Use the OnGetPointerStyle event to call and/or set the Pointer Style for the point to be plotted.


TOnGetPolarLabel

TOnGetPolarLabel

type TOnGetPolarLabel = procedure(Sender: TCustomPolarSeries; Const Angle: Double; Index: Integer; Var Text: String) of object;

Unit
TeePolar

Description
Used by TCustomPolarSeries.OnGetCircleLabel event.

You can use this event to return custom "Text" for a given Angle value.


TOrgLineStyle

TOrgLineStyle

type TOrgLineStyle = (lsSquared, lsDiagonal);

Unit
TeeOrgSeries

Description
Used by TOrgSeries.LineStyle property.

Determines how to draw lines between items and their child items.


TOutputType

TOutputType

type TOutputType = (otEntireLine, otBeginningOfLine);

Unit
TeeDosCommand


TPanMouseWheel

TPanMouseWheel

type TPanMouseWheel = (pmwNormal, pmwInverted, pmwNone);

Unit
TeeProcs


TPanningMode

TPanningMode

type TPanningMode = (pmNone, pmHorizontal, pmVertical, pmBoth);

Unit
TeeProcs

Description
TPanningMode defines the possible values of the AllowPanning property.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lipmNone Deny scrolling.
    • pmHorizontal Allow only Horizontal Scrolling.
    • pmVertical Allow only Vertical Scrolling.
    • pmBoth Allow complete Horizontal and Vertical Scrolling.


TPenEndStyle

TPenEndStyle

type TPenEndStyle = (esRound, esSquare, esFlat);

Unit
TeCanvas

Description
Corresponds to the TChartPen EndStyle property.

Works only in Windows NT,2000 and XP.

When drawing multiple lines, the EndStyle property controls how will lines join.


TPenLineMode

TPenLineMode

type TPenLineMode = (lmLine, lmCylinder, lmRectangle);

Unit
TeEngine

Description
Used by TChartAxisPen.LineMode property.


TPicData

TPicData

type TPicData = record;

Unit
TeePNG

Description
Internally used at TeePNG unit.

TPicData = record
Stream : TMemoryStream;
APtr : Pointer;
BLineWidth,
LineWidth,
Width,
Height : Integer;
end;


TPieAngle

TPieAngle

type TPieAngle = record;

Unit
Series

Description
Internal record structure used by Pie series to store each pie slice angles.

TPieAngle=Packed Record
StartAngle : Double;
MidAngle : Double;
EndAngle : Double;
end;


TPieOtherStyle

TPieOtherStyle

type TPieOtherStyle = (poNone, poBelowPercent, poBelowValue);

Unit
Series

Description
Controls OtherSlice style.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lipoNone No Otherslice
    • poBelowPercent Group all slices less than your value percentage
    • poBelowValue     Group all slices less than you absolute value


TPieToolStyle

TPieToolStyle

type TPieToolStyle = (ptFocus, ptExplode);

Unit
TeePieTool

Description
Used by TPieTool Style property.

Default : ptFocus


TPoint3D

TPoint3D

type TPoint3D = record;

Unit
TeCanvas

Description
TPoint3D=Packed Record
x,y,z:Integer;
end;

Used internally by TTeeCanvasCalcPoints for X,Y,Z point.


TPoint3DFloat

TPoint3DFloat

type TPoint3DFloat = record;

Unit
TeCanvas

Description
TPoint3DFloat=packed record
X : Double;
Y : Double;
Z : Double;
end;


TPointFloat2D

TPointFloat2D

type TPointFloat2D = record;

Unit
TeeDownSampling

Description
Structure to contain X and Y floating point values.


TPrintChartEvent

TPrintChartEvent

type TPrintChartEvent = procedure(Sender: TQRChart; Var PaperRect, ChartRect: TRect) of object;

Unit
QrTee

Description
Used by TQRChart.OnPrint event.

The "PaperRect" parameter has the coordinates of the Chart in QuickReport units.
The "ChartRect" parameter has the coordinates of the Chart in TeeChart units.

Both parameters can be changed using this new event.

For example, if the "ChartRect" parameter is doubled in size, the Chart will be twice bigger, but printed in the same position and space:

procedure TForm1.QRChart1Print( Sender: TQRChart;
var PaperRect, ChartRect: TRect);
begin
With ChartRect do
Begin
Right := 2*Right - Left;
Bottom := 2*Bottom - Top;
End;
End;


TProcessRecordEvent

TProcessRecordEvent

type TProcessRecordEvent = procedure(Sender: TCustomDBChart; DataSet: TDataSet) of object;

Unit
DBChart

Description
The TProcessRecordEvent type points to a method that notifies a TDBChart component that an event has occurred.
It is used by the OnProcessRecord Event.


TQuaternion

TQuaternion

type TQuaternion = record;

Unit
TeeGeometry


TRecInfo

TRecInfo

type TRecInfo = record;

Unit
TeeData

Description
Internally used at TSeriesDataSet component.

TRecInfo = packed record
Bookmark : Integer;
BookmarkFlag : TBookmarkFlag;
end;


TRectangle

TRectangle

type TRectangle = record;

Unit
TeeGeometry


TRGB

TRGB

type TRGB = record;

Unit
TeCanvas

Description
TRGB structure contains 3 byte variables (Red,Green and Blue).
It can be used to access pixel color values of 24bit color depth resolution bitmap images.


TRGBA

TRGBA

type TRGBA = record;

Unit
TeCanvas


TRotateToolStyles

TRotateToolStyles

type TRotateToolStyles = (rsAll, rsRotation, rsElevation);

Unit
TeeTools

Description
Used by Rotate tool to determine if mouse dragging should rotate and / or elevate chart.

Default value is : rsAll


TRSIStyle

TRSIStyle

type TRSIStyle = (rsiOpenClose, rsiClose);

Unit
CandleCh

Description
Used in TRSIFunction.Style property.

Will associate RSI function to:

 rsiOpenClose: Uses Close values comparative to their respective Open Values.
 rsiClose: Uses Close values comparative to prior Close values.


TScopeCursorStyle

TScopeCursorStyle

type TScopeCursorStyle = (scsRectangle, scsCircle, scsDiamond, scsEmpty, scsCamera);

Unit
TeeTools

Description
Used by TCursorTool.ScopeStyle property.
Defines the shape to draw around the Cursor XY position, only when the Cursor Style property is cssScope.

See also ScopeSize and Style properties.


TScrollBarAxis

TScrollBarAxis

type TScrollBarAxis = (sbDefault, sbOther, sbBoth);

Unit
TeeScroB

Description
Chart Axis to which to associate the ScrollBar.


TScrollDirection

TScrollDirection

type TScrollDirection = (sdRightLeft, sdLeftRight);

Unit
TeeBannerTool

Description
Used by TBannerTool.ScrollDirection property.

Defines if text scrolling will go from left to right or from right to left.

Default value is sdRightLeft ( from right to left ).


TScrollThumbStyle

TScrollThumbStyle

type TScrollThumbStyle = (stsCustom, stsThumb1, stsThumb2, stsThumb3, stsThumb4);

Unit
TeeLegendScrollBar

Description
Used by TScrollBarThumb.Style property to draw the scroll bar thumb using custom color and gradient, or a predefined picture.


TSeriesAnimationLoop

TSeriesAnimationLoop

type TSeriesAnimationLoop = (salNo, salOneWay, salCircular);

Unit
TeeTools

Description
Used by TSeriesAnimationTool Loop property.

Defines how will the animation tool behave at the last animation step.


TSeriesAnimationStep

TSeriesAnimationStep

type TSeriesAnimationStep = procedure(Sender: TSeriesAnimationTool; Step: Integer) of object;

Unit
TeeTools

Description
This event is called by SeriesAnimation tool at each animation step.


TSeriesClick

TSeriesClick

type TSeriesClick = procedure(Sender: TChartSeries; ValueIndex: Integer; Button: TMouseButton; Shift: TShiftState; x, y: Integer) of object;

Unit
TeEngine

Description
Use with TChartSeries.OnClick, TChartSeries.OnDblClick and generic TChartSeries (TCustomSeries).OnClickPointer events.


TSeriesClickPointer3DEvent

TSeriesClickPointer3DEvent

type TSeriesClickPointer3DEvent = procedure(Sender: TTernarySeries; ValueIndex, X, Y: Integer) of object;

Unit
TeeTernary

Description
Use with TPoint3DSeries.OnClickPointer event.


TSeriesClickPointerEvent

TSeriesClickPointerEvent

type TSeriesClickPointerEvent = procedure(Sender: TCustomSeries; ValueIndex, X, Y: Integer) of object;

Unit
Series

Description
The TSeriesClickPointerEvent type points to a method that notifies a TCustomSeries component that an event has occurred.
It is used by the OnClickPointer Event.


TSeriesDrawValue

TSeriesDrawValue

type TSeriesDrawValue = procedure(Series: TChartSeries; Index: Integer) of object;

Unit
TeEngine


TSeriesGroupActive

TSeriesGroupActive

type TSeriesGroupActive = (gaYes, gaNo, gaSome);

Unit
TeEngine

Description
Used by series groups Active property.


TSeriesMarksStyle

TSeriesMarksStyle

type TSeriesMarksStyle = (smsValue, smsPercent, smsLabel, smsLabelPercent, smsLabelValue, smsLegend, smsPercentTotal, smsLabelPercentTotal, smsXValue, smsXY, smsSeriesTitle, smsPointIndex, smsPercentRelative);

Unit
TeEngine

Description
Use with TSeriesMarks.Style and TMarksTipTool.Style


TSeriesNotifyEvent

TSeriesNotifyEvent

type TSeriesNotifyEvent = procedure(Sender: TCustomChartSeries) of object;

Unit
TeEngine

Description
Used by TCustomAxisPanel OnAddSeries and OnRemoveSeries events.


TSeriesOnAfterAdd

TSeriesOnAfterAdd

type TSeriesOnAfterAdd = procedure(Sender: TChartSeries; ValueIndex: Integer) of object;

Unit
TeEngine

Description
Use with TChartSeries.OnAfterAdd event.


TSeriesOnBeforeAdd

TSeriesOnBeforeAdd

type TSeriesOnBeforeAdd = function(Sender: TChartSeries): Boolean of object;

Unit
TeEngine

Description
Use with TChartSeries.OnBeforeAdd event.


TSeriesOnClear

TSeriesOnClear

type TSeriesOnClear = procedure(Sender: TChartSeries) of object;

Unit
TeEngine

Description
Use with TChartSeries.OnClearValues event.


TSeriesOnGetMarkText

TSeriesOnGetMarkText

type TSeriesOnGetMarkText = procedure(Sender: TChartSeries; ValueIndex: Integer; Var MarkText: String) of object;

Unit
TeEngine

Description
Use with TChartSeries.OnGetMarkText event.


TSeriesPoint

TSeriesPoint

type TSeriesPoint = record;

Unit
TeeData

Description
Internally used by the TSeriesDataSet component.

TSeriesPoint=packed record
Color : TColor; { 4 bytes }
X : Double; { 8 bytes }
Values : Array[0..10] of Double; { 88 bytes }
ALabel : String[MaxLabelLen]; { 128 bytes }
end;


TSeriesPointerStyle

TSeriesPointerStyle

type TSeriesPointerStyle = (psRectangle, psCircle, psTriangle, psDownTriangle, psCross, psDiagCross, psStar, psDiamond, psSmallDot, psNothing, psLeftTriangle, psRightTriangle, psHexagon, psVisual);

Unit
TeEngine

Description
TSeriesPointerStyle defines the possible values of the TSeriesPointer.Style property. This is the shape a Pointer has.

 psRectangle
 psCircle
 psTriangle
 psDownTriangle
 psCross
 psDiagCross
 psStar
 psNothing
psDot
psLeftTriangle
psRightTriangle
 psHexagon

You can change the pointer Style both at design and runtime:

PointSeries1.Pointer.Style := psTriangle ;


TSeriesRandomBounds

TSeriesRandomBounds

type TSeriesRandomBounds = record;

Unit
TeEngine

Description
Internally used.
This record is used by TChartSeries RandomBounds function to calculate some variables used to add sample random values at design-time.


TSeriesRecalcOptions

TSeriesRecalcOptions

type TSeriesRecalcOptions = (rOnDelete, rOnModify, rOnInsert, rOnClear);

Unit
TeEngine

Description
Use with TChartSeries.RecalcOptions.


TSeriesTextGetValue

TSeriesTextGetValue

type TSeriesTextGetValue = procedure(Field: TSeriesTextField; Const Text: String; Var Value: Double) of object;

Unit
TeeSeriesTextEd

Description
Use with TSeriesTextField T SeriesTextField.OnGetValue.html">OnGetValue event.

The Field parameter specifies the text field in the source text data.
The Text string parameter contains the text representation of value.

Note:
The Value parameter must be set in this event.


TSetItemIndex

TSetItemIndex

type TSetItemIndex = procedure(Sender: TInspectorItem; Index: Integer) of object;

Unit
TeeInspector

Description
Used by TInspectorItem.OnSetItemIndex event.


TSetPositionEvent

TSetPositionEvent

type TSetPositionEvent = procedure(Sender: TTeeScrollBar; Value: Integer) of object;

Unit
TeeLegendScrollBar

Description
Used by TTeeScrollBar.OnSetPosition event.


TSetValueProc

TSetValueProc

type TSetValueProc = procedure(Dest, Source: Integer) of object;

Unit
TeeTriangulate


TSize

TSize

type TSize = record;

Unit
TeeHtml

Description

Generic structure to hold Width and Height values.


TSmoothStretchOption

TSmoothStretchOption

type TSmoothStretchOption = (ssBestQuality, ssBestPerformance);

Unit
TeCanvas

Description
Optionally used by the SmoothStretch global method.

Determines which algorithm will be used to smooth pixels.

"ssBestQuality" uses "Lanczos3" filter, while "ssBestPerformance" uses a regular and faster "Triangle" filter.


TSnapStyle

TSnapStyle

type TSnapStyle = (ssDefault, ssHorizontal, ssVertical);

Unit
TeeTools

Description
Used by TCursorTool.SnapStyle property.

When a Cursor tool Snap property is True, SnapStyle property determines if the cursor will "jump" to existing series points as the user moves the mouse near them.

By default (ssDefault), when Snap is True, the cursor "jumps" to exact X (horizontal) and Y (vertical) point coordinates.


TSourceLoadMode

TSourceLoadMode

type TSourceLoadMode = (lmClear, lmAppend);

Unit
TeEngine

Description
Used by TTeeSeriesSource.LoadMode property.

By default Series are emptied (cleared) before the series datasource starts adding points to the series.

When the LoadMode property is "lmAppend" the series is not emptied and all datasource points are appended to the series.


TSymbolCalcHeight

TSymbolCalcHeight

type TSymbolCalcHeight = function: Integer of object;

Unit
Chart

Description
Internal.
This function is used by TLegendSymbol protected CalcItemHeight event.

Its purpose is to resize the legend symbol according to the needed space by TDataTableTool.Legend property.


TSymbolDrawEvent

TSymbolDrawEvent

type TSymbolDrawEvent = procedure(Sender: TObject; Series: TChartSeries; ValueIndex: Integer; R: TRect) of object;

Unit
Chart

Description
Used by Chart1.Legend.Symbol.OnDraw event.

Event called when the legend is going to display a legend item "symbol" rectangle.


TTagCloudOrder

TTagCloudOrder

type TTagCloudOrder = (toText, toValue, toNone);

Unit
TeeTagCloud

Description
Used at TTagCloudSeries Sort method to order series tags alphabetically or by their value.


TTeeAnimateEvents

TTeeAnimateEvents

type TTeeAnimateEvents = record;

Unit
TeeAnimate


TTeeBackImageMode

TTeeBackImageMode

type TTeeBackImageMode = (pbmStretch, pbmTile, pbmCenter, pbmCustom);

Unit
TeeProcs

Description
TTeeBackImageMode defines the possible values of the BackImageMode property.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lipbmStretch : The BackImage will be resized to fit Chart dimensions.
    • pbmTile : The BackImage will be tiled.
    • pbmCenter : The BackImage will not be resized.


TTeeCanvasSurfaceStyle

TTeeCanvasSurfaceStyle

type TTeeCanvasSurfaceStyle = (tcsSolid, tcsWire, tcsDot);

Unit
TeCanvas

Description
Used by Surface series, Style property, to display cells in different ways:

    • \*\pn
      \pnindent\pntxtb
    \fi-200\litcsSolid : Cells are filled using the surface brush and cell color properties.
    • tcsWire: Cells are drawn without filling the interior. The surface's Pen is used to draw the cell.
    • tcsDot: A single pixel is displayed at each cell position. Intended for very big surfaces.


TTeeCanvasTriPoints

TTeeCanvasTriPoints

type TTeeCanvasTriPoints = procedure(Index: Integer; Var Points: TTrianglePoints3D; Var Colors: TTriangleColors3D; Var Indexes: TTriangleIndexes) of object;

Unit
TeCanvas


TTeeCommanderOnSetLabel

TTeeCommanderOnSetLabel

type TTeeCommanderOnSetLabel = procedure(Sender: TTeeCommander; Var Text: String) of object;

Unit
TeeComma

Description
This event corresponds to TeeCommander OnSetLabel event.

OnSetLabel event is called whenever the TeeCommander displays text at the optional right-most label.

See also:

TTeeCommander OnSetLabel event
TTeeCommander LabelValues property
TTeeCommander LabelText property


TTeeDBGroup

TTeeDBGroup

type TTeeDBGroup = (dgHour, dgDay, dgWeek, dgWeekDay, dgMonth, dgQuarter, dgYear, dgNone);

Unit
DBChart

Description
Internally used by the DBChart to calculate "summaries" based on datetime fields.


TTeeEditedChartEvent

TTeeEditedChartEvent

type TTeeEditedChartEvent = procedure(Sender: TTeeCommander; AChart: TCustomChart) of object;

Unit
TeeComma

Description
Event type associated with OnEditedChart event of TeeCommander component.


TTeeFontStyle

TTeeFontStyle

type TTeeFontStyle = (fsNormal, fsOutline, fsBitmap);

Unit
TeCanvas


TTeeMouseEventKind

TTeeMouseEventKind

type TTeeMouseEventKind = (meDown, meUp, meMove);

Unit
TeeProcs

Description
Internal use.

Corresponds to the mouse event ( down, up or move ) that is passed to subscribers of the ITeeEvent interface.


TTeeNavigateBtn

TTeeNavigateBtn

type TTeeNavigateBtn = (nbFirst, nbPrior, nbNext, nbLast, nbInsert, nbDelete, nbEdit, nbPost, nbCancel);

Unit
TeeNavigator

Description
TChartNavigator button type used with TNotifyButtonClickedEvent


TTeeOnCreateEditor

TTeeOnCreateEditor

type TTeeOnCreateEditor = procedure(AOwner: TComponent; APanel: TCustomTeePanel; ATab: TTabSheet; APageControl: TPageControl);

Unit
TeeEditCha

Description
Internal use.

This procedure type is used by several editor dialogs to add themselves inside the Tab parameter.

This happens when the Chart editor is about to being displayed.

Examples of usage of this type are the Themes editor and the OpenGL editor.


TTeeOnGetFieldType

TTeeOnGetFieldType

type TTeeOnGetFieldType = procedure(Const AType: TFieldType; Var TeeType: TTeeFieldType);

Unit
DBChart


TTeePaletteStyle

TTeePaletteStyle

type TTeePaletteStyle = (psPale, psStrong, psGrayScale, psInvGray, psRainbow, psCustom);

Unit
TeeSurfa

Description
Use with TCustom3DPaletteSeries.PaletteStyle.
Selects the color palette used to fill the series elements (cells in a Surface series, polygons in a Map series, etc).


TTeePreviewPanelOrientation

TTeePreviewPanelOrientation

type TTeePreviewPanelOrientation = (ppoDefault, ppoPortrait, ppoLandscape);

Unit
TeePreviewPanel

Description
Used by TTeePreviewPanel.Orientation property.
Set the Preview Page Panel viewpoint to default (the current printer orientation setting), portrait or landscape.


TTeePrintEvent

TTeePrintEvent

type TTeePrintEvent = procedure(Sender: TCustomTeePanel; Canvas: TCanvas; Var R: TRect) of object;

Unit
TeeProcs

Description

This event is used by TCustomTeePanel.OnBeforePrint

The R rectangle parameter determines the area used to display the panel (Chart or Tree) in printer space coordinates.


TTeeQuickMethod

TTeeQuickMethod

type TTeeQuickMethod = (qtmBitmap, qtmMetafile);

Unit
QrTee

Description
TTeeQuickMethod defines the possible values of the TeePrintMethod property.
Used in QuickReport Chart component.


TTeeScrollBarDrawStyle

TTeeScrollBarDrawStyle

type TTeeScrollBarDrawStyle = (dsAlways, dsWhenNeeded);

Unit
TeeLegendScrollBar

Description
Corresponds to DrawStyle property.

Determines when will be the scrollbar displayed.

    • \*\pn
      \pnindent\pntxtb
    \fi-200\lidsAlways The scrollbar will always be displayed, even if it's not necessary.
    • dsWhenNeeded The scrollbar will only be displayed when necessary, that is, when there are more legend items than space in the legend to display all of them.


TTeeSortCompare

TTeeSortCompare

type TTeeSortCompare = function(a, b: Integer): Integer of object;

Unit
TeeProcs

Description
The TeeSort global method sorts custom data in a generic way using the standard QuickSort algorithm.

The Compare function should return -1 if the "a" element is "lower" than the "b" element, 0 is they are equal and 1 if "b" is "lower" than "a".

Example:

In this example, the "TElement" class refers to any class you may have.

procedure TExample.Swap(a,b:Integer);
var tmp : TElement;
begin
tmp:=Element[a];
Element[a]:=Element[b];
Element[b]:=tmp;
end;

Function TExample.Compare(a,b:Integer):Integer;
begin
if Element[a] < Element[b] then result:= -1
else
if Element[b] < Element[a] then result:= 1
else
result:=0
end;

procedure TExample.Sort;
begin
TeeSort(0,Count-1,Compare,Swap);
end;


TTeeSortSwap

TTeeSortSwap

type TTeeSortSwap = procedure(a, b: Integer) of object;

Unit
TeeProcs

Description
Swap interchanges a and b.

Used by QuickSort TeeSort sorting algorithm.


TTeeTexture

TTeeTexture

type TTeeTexture = record;

Unit
TeeGLCanvas


TTeeTranslateStringHook

TTeeTranslateStringHook

type TTeeTranslateStringHook = function(Const Text: String): String;

Unit
TeeProcs


TTeeUnits

TTeeUnits

type TTeeUnits = (muPercent, muPixels);

Unit
TeeProcs

Description
Defines the meaning of other properties.
Used at Chart Marginxxx properties, Axis PositionPercent property, etc.


TTeeVertAlign

TTeeVertAlign

type TTeeVertAlign = (vaTop, vaCenter, vaBottom);

Unit
TeeShape

Description
Sets vertical alignment of Text within a TChartShape Series shape.


TTeeView3DChangedZoom

TTeeView3DChangedZoom

type TTeeView3DChangedZoom = procedure(NewZoom: Integer) of object;

Unit
TeCanvas

Description
Event type for TView3DOptions OnChangedZoom .

NewZoom Value as Zoom percentage.


TTeeView3DScrolled

TTeeView3DScrolled

type TTeeView3DScrolled = procedure(IsHoriz: Boolean) of object;

Unit
TeCanvas

Description
Event type for TView3DOptions OnScrolled .

True denotes a Horizontal offset scroll, False for Vertical offset.


TTeeZoomDirection

TTeeZoomDirection

type TTeeZoomDirection = (tzdHorizontal, tzdVertical, tzdBoth);

Unit
TeeProcs

Description
Default tzdBoth

Used by TTeeZoom.Direction.

Set the direction of the zoom on a selected area. Eg. tzdHorizontal will zoom only on a horizontal plane although the mouse is dragged across a vertical and horizontal plane.


TTernaryAxisScale

TTernaryAxisScale

type TTernaryAxisScale = (tlasUnit, tlasPercent);

Unit
TeeTernary


TTernaryFormat

TTernaryFormat

type TTernaryFormat = (tlfTernary, tlfPiper);

Unit
TeeTernary


TTernaryLegendStyle

TTernaryLegendStyle

type TTernaryLegendStyle = (tlsValues, tlsValuesBubble, tlsValuesBubbleWeight, tlsBubble, tlsBubbleWeight, tlsWeight);

Unit
TeeTernary


TTernaryMarkStyle

TTernaryMarkStyle

type TTernaryMarkStyle = (tmsShort, tmsLong, tmsLongLabelled);

Unit
TeeTernary


TTernaryStyle

TTernaryStyle

type TTernaryStyle = (tsPoint, tsBubble);

Unit
TeeTernary


TTextFormat

TTextFormat

type TTextFormat = (ttfNormal, ttfHtml);

Unit
TeeProcs

Description

Several TeeChart classes use the TextFormat property to output normal plain text or text that might contain HTML formatting tags.

When using ttfNormal , text is displayed without considering HTML tags.


TTextOutItem

TTextOutItem

type TTextOutItem = record;

Unit
TeeXAMLCanvas

Description
Internally used by the XAML Canvas class to display text strings.


TTimerEnabled

TTimerEnabled

type TTimerEnabled = function(Const Sender: TTimerEvent): Boolean of object;

Unit
TeeAnimate


TTimerEvent

TTimerEvent

type TTimerEvent = record;

Unit
TeeAnimate


TTowerStyle

TTowerStyle

type TTowerStyle = (tsCube, tsRectangle, tsCover, tsCylinder, tsArrow, tsCone, tsPyramid, tsSlantCube, tsVisual);

Unit
TeeSurfa

Description
The drawing style to display Tower series points.

See Tower series TowerStyle property.


TTransType

TTransType

type TTransType = (ttScaleX, ttScaleY, ttScaleZ, ttShearXY, ttShearXZ, ttShearYZ, ttRotateX, ttRotateY, ttRotateZ, ttTranslateX, ttTranslateY, ttTranslateZ, ttPerspectiveX, ttPerspectiveY, ttPerspectiveZ, ttPerspectiveW);

Unit
TeeGeometry


TTreatNullsStyle

TTreatNullsStyle

type TTreatNullsStyle = (tnDontPaint, tnSkip, tnIgnore);

Unit
Series

Description
Default value is tnDontPaint.

Determines how empty (null) point values are handled by series using the series TreatNulls property.

See also:

SetNull method.
IsNull function.

Each series displays null points in a different way.

For example, for Line and HorizLine series:

    • \*\pn
      \pnindent\pntxtb
    \fi-200\litnDontPaint means the line between a non-null and a null point is displayed but the line from the null point to the next point is not displayed.
    • tnSkip means the lines between a non-null point and the null point and the next non-null point are not displayed.
    • tnIgnore means all points are considered non-null.


TTreeMapColorStyle

TTreeMapColorStyle

type TTreeMapColorStyle = (csByLevel, csByValue);

Unit
TeeTreeMapSeries


TTreeMapTiling

TTreeMapTiling

type TTreeMapTiling = (tmSlice, tmStrip);

Unit
TeeTreeMapSeries


TTrendStyle

TTrendStyle

type TTrendStyle = (tsNormal, tsLogarithmic, tsExponential);

Unit
CurvFitt

Description

Trend calculation styles.
Used by TTrendFunction Function.


TTriangle

TTriangle

type TTriangle = record;

Unit
TeeTriSurface

Description
Used by the TriSurface series to store all triangles needed to be displayed.

This record contains the triangle coordinates, Z position, Color, index in the list and pointer to the previous and next triangles.

Index : Integer;
Color : TColor;
Next : PTriangle;
Prev : PTriangle;
P : TTrianglePoints;
Z : Double;


TTriangleIndexes

TTriangleIndexes

type TTriangleIndexes = record;

Unit
TeCanvas


TTypeFitting

TTypeFitting

type TTypeFitting = (cfPolynomial);

Unit
CurvFitt

Description
TTypeFitting defines the possible values of the TCustomFittingFunction.TypeFitting property.
Presenty only one option, cfPolynomial, is included.


TUsageCount

TUsageCount

type TUsageCount = record;

Unit
GIFImage


TValidDataSourceEvent

TValidDataSourceEvent

type TValidDataSourceEvent = procedure(Sender: TCustomAxisPanel; ASeries: TChartSeries; AComponent: TComponent; Var Valid: Boolean) of object;

Unit
TeEngine


TValueEvent

TValueEvent

type TValueEvent = (veClear, veAdd, veDelete, veRefresh, veModify);

Unit
TeEngine

Description
The TChartSeries notify other series whenever points are added, deleted, modified, etc.

The TChartSeries.NotifyValue protected method uses the ValueEvent parameter to tell other series of a data change event.

 veClear: The series points have been removed. The series has been cleared.
 veAdd : A new point has been added
 veDelete : A point has been removed.
 veRefresh: After modifying points, the RefreshSeries method has been called.
 veModify: A point value has been modified.

Series that are data-source objects for other series generate these events.

For example, if Series1.DataSource := Series2, Series2 will inform Series1 of the above events.


TVertAxis

TVertAxis

type TVertAxis = (aLeftAxis, aRightAxis, aBothVertAxis, aCustomVertAxis);

Unit
TeEngine

Description
Use with TChartSeries.VertAxis property to set the axes associated with the Series.


TVertex

TVertex

type TVertex = record;

Unit
TeeSpline

Description
Internal record used by TBSpline class.

TDataType=Double;

TVertex=packed record
X,Y : TDataType;
end;


TWheelMouseEvent

TWheelMouseEvent

type TWheelMouseEvent = (wmeDown, wmeMove, wmeUp);

Unit
TeEngine

Description
Internally used to notify chart Tools of mouse wheel events.


TWorldMap

TWorldMap

type TWorldMap = (wmWorld, wmAfrica, wmAsia, wmAustralia, wmCentralAmerica, wmEurope, wmEurope15, wmEurope27, wmSpain, wmMiddleEast, wmNorthAmerica, wmSouthAmerica, wmUSA, wmUSAHawaiiAlaska);

Unit
TeeWorldSeries

Description
Used by TWorldSeries.Map property.
Defines the map to load and display.
Maps are stored at TeeWorld.res binary resource as SHP shape file format, and automatically loaded by TWorldSeries.


Unit_

Unit_

type Unit_ = (UnitWorld, UnitDisplay, UnitPixel, UnitPoint, UnitInch, UnitDocument, UnitMillimeter);

Unit
GDIPAPI


WarpMode

WarpMode

type WarpMode = (WarpModePerspective, WarpModeBilinear);

Unit
GDIPAPI


WmfPlaceableFileHeader

WmfPlaceableFileHeader

type WmfPlaceableFileHeader = record;

Unit
GDIPAPI


WrapMode

WrapMode

type WrapMode = (WrapModeTile, WrapModeTileFlipX, WrapModeTileFlipY, WrapModeTileFlipXY, WrapModeClamp);

Unit
GDIPAPI


AddChartThemes

AddChartThemes procedure

procedure AddChartThemes(Items: TStrings);

Unit
TeeThemeEditor

Description
Internal use.
Fills all available registered visual theme names into the Items parameter.


AddFormTo

AddFormTo procedure

procedure AddFormTo(AForm: TForm; AParent: TWinControl);

Unit
TeePenDlg

Description
Internally used by the Chart editors to insert one form inside another.


ApplyBright

ApplyBright function

function ApplyBright(Color: TColor; HowMuch: Byte): TColor;

Unit
TeCanvas

Description
The ApplyBright function converts the Color parameter to a lighter color.
The HowMuch parameter indicates the quantity of lightening increment, from 0 to 255.

Example:

Series1.Color := ApplyBright( Series1.Color, 128 );


ApplyChartTheme

ApplyChartTheme procedure

procedure ApplyChartTheme(Theme: TChartThemeClass; Chart: TCustomChart; PaletteIndex: Integer);

Unit
TeeThemes

Description
Tells the Theme class to apply visual settings to Chart parameter.

The PaletteIndex parameter can be "-1" to specify to use the default theme color palette.


ApplyDark

ApplyDark function

function ApplyDark(Color: TColor; HowMuch: Byte): TColor;

Unit
TeCanvas

Description
The ApplyDark function converts the Color parameter to a darker color.
The HowMuch parameter indicates the quantity of dark increment.

It is used by TBarSeries and TPieSeries to calculate the right color to draw Bar sides and Pie 3D zones.
The TeCanvas unit must be in your uses clause.

This is the ApplyDark source code:

Function ApplyDark(Color:TColor; HowMuch:Byte):TColor;
Var r,g,b:Byte;
begin
Color:=ColorToRGB(Color);

r:=GetRValue(Color);
g:=GetGValue(Color);
b:=GetBValue(Color);

if r>HowMuch then r:=r-HowMuch else r:=0;
if g>HowMuch then g:=g-HowMuch else g:=0;
if b>HowMuch then b:=b-HowMuch else b:=0;

result:=RGB(r,g,b);
end;

Example:

Series1.Color := ApplyDark( Series1.Color, 128 );


ARGBToColorRef

ARGBToColorRef function

function ARGBToColorRef(color: ARGB): COLORREF;

Unit
GDIPAPI


AssignSeries

AssignSeries procedure

procedure AssignSeries(Var OldSeries, NewSeries: TChartSeries);

Unit
Chart

Description
Global procedure.

The AssignSeries method copies all properties and event handlers from OldSeries to NewSeries, then removes OldSeries and finally adds NewSeries to the Chart.

Data point values are not assigned, but as DataSource property is copied, NewSeries obtains points from DataSource.

This method is used internally when changing a Series type to assign old properties to new Series type instance.


CalcFitting

CalcFitting function

function CalcFitting(PolyDegree: Integer; Const Answer: TDegreeVector; Const XWert: Float): Float;

Unit
TeePoly

Description
The CalcFitting function evaluates polynomial of the PolyDegree order with X value.
Polynomial coefficients are stored in Answer array.

The following formula is used to evaluate polynomial:

P(x) = Answer[0] + Answer[1]*x^2 + Answer[2]*x^3 + ...

This function is internally used by the Polynomial Fitting function (TCurveFittingFunction).


ChangeAllSeriesGallery

ChangeAllSeriesGallery procedure

procedure ChangeAllSeriesGallery(AOwner: TComponent; AChart: TCustomChart);

Unit
TeeGally

Description
Shows the gallery and asks the user a Series type.
Then changes all Series in AChart to the new series type choosen.

ChangeAllSeriesGallery( Self, Chart1 );


ChangeAllSeriesType

ChangeAllSeriesType procedure

procedure ChangeAllSeriesType(AChart: TCustomChart; AClass: TChartSeriesClass);

Unit
Chart

Description
Changes all Series in Chart AChart to SeriesType AClass.

ChangeAllSeriesType( Chart1, TBarSeries );


ChangeSeriesType

ChangeSeriesType function

function ChangeSeriesType(Var ASeries: TChartSeries; NewType: TChartSeriesClass): TChartSeries;

Unit
Chart

Description
The ChangeSeriesType method changes the Series type for the Series of the given index.

ChangeSeriesType( Series1, TPointSeries );


ChangeSeriesTypeGallery

ChangeSeriesTypeGallery procedure

procedure ChangeSeriesTypeGallery(AOwner: TComponent; Var tmpSeries: TChartSeries);

Unit
TeeGally

Description
Shows the gallery and asks the user a Series type. Then changes tmpSeries to the new type.


ChartPreview

ChartPreview procedure

procedure ChartPreview(AOwner: TComponent; TeePanel: TCustomTeePanel);

Unit
TeeEdiGene

Description

Opens default Chart Print Preview dialog:

\sb\saChart1.PrintProportional := False; // disable automatic margins
Chart1.PrintMargins := Rect(5,5,5,5); // percentage
ChartPreview( Self, Chart1 );


ChartThemeSelector

ChartThemeSelector function

function ChartThemeSelector(AChart: TCustomChart): TChartThemeClass;

Unit
TeeThemeEditor

Description
Shows the Theme editor dialog and returns the selected theme class.

uses TeeThemeEditor;

...
AddChartThemes(ListBox1.Items);
...

procedure TChartThemes.Button1Click(Sender: TObject);
var tmp : TChartThemeClass;
begin
// Show the Chart Theme editor
tmp:=TChartThemeClass(ChartThemeSelector(Chart1));

if Assigned(tmp) then
ListBox1.ItemIndex:=ListBox1.Items.IndexOfObject(TObject(tmp));
end;


ClipCanvas

ClipCanvas procedure

procedure ClipCanvas(ACanvas: TCanvas; Const Rect: TRect);

Unit
TeCanvas

Description
This global procedure is used by the Chart Canvas to create a clipping region using the Rect parameter as rectangular clipping boundaries.

See also UnClipCanvas procedure.


ClipEllipse

ClipEllipse procedure

procedure ClipEllipse(ACanvas: TTeeCanvas; Const Rect: TRect);

Unit
TeCanvas

Description
Creates an elliptical clipping region on ACanvas using the Rect parameter as ellipse boundaries.

See also:

ClipCanvas
ClipPolygon
ClipRoundRectangle


ClipPolygon

ClipPolygon procedure

procedure ClipPolygon(ACanvas: TTeeCanvas; Const Points: array of TPoint; NumPoints: Integer);

Unit
TeCanvas

Description
Creates a clipping region on ACanvas using the polygon points specified in Points and NumPoints parameters.

See also:

ClipCanvas
ClipEllipse
ClipRoundRectangle


ClipRoundRectangle

ClipRoundRectangle procedure

procedure ClipRoundRectangle(ACanvas: TTeeCanvas; Const Rect: TRect; RoundSize: Integer);

Unit
TeCanvas

Description
Creates a clipping region using the Rect rectangle coordinates and the RoundSize (pixels) parameters.

See also:

ClipCanvas
ClipEllipse
ClipPolygon


CloneChartAnimation

CloneChartAnimation function

function CloneChartAnimation(AAnimation: TTeeCustomAnimation; AOwner: TComponent): TTeeCustomAnimation;

Unit
Chart


CloneChartSeries

CloneChartSeries function

function CloneChartSeries(ASeries: TChartSeries): TChartSeries;

Unit
Chart

Description
Makes a new, duplicate Series of selected Series.


CloneChartTool

CloneChartTool function

function CloneChartTool(ATool: TTeeCustomTool; AOwner: TComponent): TTeeCustomTool;

Unit
Chart

Description
Duplicates and returns the "ATool" Chart Tool component parameter.


ColorRefToARGB

ColorRefToARGB function

function ColorRefToARGB(rgb: COLORREF): ARGB;

Unit
GDIPAPI


ColorRGBA

ColorRGBA function

function ColorRGBA(Const Color: TColor): TRGBA;

Unit
TeCanvas


ColorToGL

ColorToGL procedure

procedure ColorToGL(AColor: TColor; Var C: GLMat);

Unit
TeeGLCanvas

Description
Returns in C parameter the corresponding values for the AColor parameter in OpenGL system.


ColorToHLS

ColorToHLS procedure

procedure ColorToHLS(Color: TColor; Out Hue, Luminance, Saturation: Word);

Unit
TeeFilters

Description
Extract the Color parameter separate components:

Hue
Luminance
Saturation


ConvertRotation

ConvertRotation function

function ConvertRotation(Const Angles: TAffineVector): TVector;

Unit
TeeGeometry


ConvertTeeFileToBinary

ConvertTeeFileToBinary procedure

procedure ConvertTeeFileToBinary(Const InputFile, OutputFile: String);

Unit
TeeStore

Description
Given a *.tee file in text mode, converts it to binary format and saves the binary file to OutputFile parameter.


ConvertTeeFileToText

ConvertTeeFileToText procedure

procedure ConvertTeeFileToText(Const InputFile, OutputFile: String);

Unit
TeeStore

Description
This global procedure can be used to convert a *.tee file into a readable stringlist.


ConvertTextToXML

ConvertTextToXML procedure

procedure ConvertTextToXML(Stream: TStream; XMLHeader: Boolean);

Unit
TeeProcs


CreateChart

CreateChart procedure

procedure CreateChart;

Unit
Steema


CreateDesignPictureFile

CreateDesignPictureFile function

function CreateDesignPictureFile: String;

Unit
Steema


CreateNewSeries

CreateNewSeries function

function CreateNewSeries(AOwner: TComponent; AChart: TCustomAxisPanel; AClass: TChartSeriesClass; AFunctionClass: TTeeFunctionClass): TChartSeries;

Unit
Chart

Description
Creates and adds a new Series to AChart parameter, using the optional AFunctionClass function.

This is an internal method, you should seldomly use it in your applications.

See also:

TChart AddSeries method.
TChartSeries FunctionType property.


CreateNewSeriesGallery

CreateNewSeriesGallery function

function CreateNewSeriesGallery(AOwner: TComponent; OldSeries: TChartSeries; tmpChart: TCustomAxisPanel; AllowSameType, CheckSeries: Boolean; Var SubIndex: Integer; AGalleryWidth, AGalleryHeight: Integer): TChartSeries;

Unit
TeeGally

Description
Shows the gallery and asks the user a Series type. If user double clicks a chart or presses Ok, a new Series is created and returned. The new Series is owned by AOwner parameter (usually the Form).


CreateNewTeeFunction

CreateNewTeeFunction function

function CreateNewTeeFunction(ASeries: TChartSeries; AClass: TTeeFunctionClass): TTeeFunction;

Unit
Chart

Description
This method is internally used.

Given a Series, and a Function class, creates a function instance and associates it to the Series.


CreateOptimizedPaletteFromManyBitmaps

CreateOptimizedPaletteFromManyBitmaps function

function CreateOptimizedPaletteFromManyBitmaps(Bitmaps: TList; Colors, ColorBits: Integer; Windows: Boolean): HPalette;

Unit
GIFImage


CreatePictureFile

CreatePictureFile procedure

procedure CreatePictureFile(writer: HtmlTextWriter);

Unit
Steema


CreateRotationMatrix

CreateRotationMatrix function

function CreateRotationMatrix(Const Axis: TAffineVector; Const Angle: Single): TMatrix;

Unit
TeeGeometry


CreateRotationMatrixX

CreateRotationMatrixX function

function CreateRotationMatrixX(Const Sine, Cosine: Single): TMatrix;

Unit
TeeGeometry


CreateRotationMatrixY

CreateRotationMatrixY function

function CreateRotationMatrixY(Const Sine, Cosine: Single): TMatrix;

Unit
TeeGeometry


CreateRotationMatrixZ

CreateRotationMatrixZ function

function CreateRotationMatrixZ(Const Sine, Cosine: Single): TMatrix;

Unit
TeeGeometry


CreateScaleMatrix

CreateScaleMatrix function

function CreateScaleMatrix(Const V: TAffineVector): TMatrix;

Unit
TeeGeometry


CreateTranslationMatrix

CreateTranslationMatrix function

function CreateTranslationMatrix(Const V: TAffineVector): TMatrix;

Unit
TeeGeometry


CrossingLines

CrossingLines function

function CrossingLines(Const X1, Y1, X2, Y2, X3, Y3, X4, Y4: Double; Out x, y: Double): Boolean;

Unit
TeeProcs

Description
Returns True if two lines cross.

First line is defined by coordinates X1Y1 to X2Y2
Second line is defined by X3Y3 to X4Y4

If lines do cross, the XY reference parameters are returned with crossing location.


DateTimeDefaultFormat

DateTimeDefaultFormat function

function DateTimeDefaultFormat(Const AStep: Double): String;

Unit
TeeProcs

Description
This global function returns either a Time or Date format depending if the AStep parameter is lower than one day (time) or greater (date).


DateToWeek

DateToWeek function

function DateToWeek(ADate: TDateTime; Var Year: Word): Integer;

Unit
DBChart

Description
Returns the Week number of a given date using the ISO-8601 definition.

The Year parameter might return a different Year number than the ADate passed parameter, if the week is close to the end of December or beginning of January.


DateToWeekOld

DateToWeekOld function

function DateToWeekOld(Const ADate: TDateTime; Var Year: Word): Integer;

Unit
DBChart

Description
For compatibility reasons only.
This global method returns the Week number for a given ADate parameter.

See DateToWeek global procedure for more information.


DaysInMonth

DaysInMonth function

function DaysInMonth(Year, Month: Word): Word;

Unit
TeeProcs

Description
Returns the number of days for a given Month and Year parameters.


DownloadURL

DownloadURL function

Retrieves a file from an internet URL into a Stream.

function DownloadURL(AURL: PAnsiChar; ToStream: TStream): HResult;

Unit
TeeURL

Description
This function can be used to retrieve a file from a remote URL (internet address).
Returns 0 when succesful, otherwise returns an error code.

Under Windows, this function uses the Microsoft WinInet DLL.
Uses CLX and Linux, the Indy HTTP component is used.

Note: When requesting an invalid non-existent URL file, the function will return 0 (ok), but the content in the Stream will contain an html "404" error from the web server.

See also the TeeURLErrorMessage function.

Example:

Uses TeeURL;

procedure TForm1.Button1Click(Sender: TObject);
Var MyStream : TMemoryStream;
ErrorCode : HResult;
begin
MyStream := TMemoryStream.Create;
try
ErrorCode:= DownloadURL('http://www.steema.com/demo.txt',MyStream);
if ErrorCode=0 then
Memo1.Lines.LoadFromStream(MyStream)
else
ShowMessage( TeeURLErrorMessage( ErrorCode ) );
finally
MyStream.Free;
end;
end;


DrawBevel

DrawBevel procedure

procedure DrawBevel(Canvas: TTeeCanvas; Bevel: TPanelBevel; Var R: TRect; Width, Round: Integer);

Unit
TeeProcs

Description
Draws a beveled line around the R rectangle parameter using the "Width" in pixels.
The "Round" parameter indicates the number of pixels to draw "rounded" rectangle corners.


EditChart

EditChart procedure

procedure EditChart(AOwner: TComponent; AChart: TCustomChart);

Unit
EditChar

Description
This method will call the runtime chart editor.

You will need to add the TeeEditPro and EditChar units to your project to make the Chart Editor available at runtime.

Note:

At design time you may call the subject specific page of the Chart Editor directly by double-clicking your chart over the subject.
For example a double-click on your Legend will bring up the Chart Editor at the Legend.


EditChartAnimation

EditChartAnimation procedure

procedure EditChartAnimation(AOwner: TComponent; AChartAnimation: TTeeCustomAnimation);

Unit
EditChar


EditChartAxis

EditChartAxis procedure

procedure EditChartAxis(AOwner: TComponent; Axis: TChartAxis);

Unit
EditChar

Description
Shows the Chart editor dialog at the Axis tab, locating the Axis parameter.

See also:

EditChart


EditChartBrush

EditChartBrush function

function EditChartBrush(AOwner: TComponent; ChartBrush: TChartBrush): Boolean;

Unit
TeeBrushDlg

Description
Shows the Brush editor dialog using the ChartBrush parameter.

Returns True if the user closes the dialog using the OK button, otherwise returns False if the user cancels the dialog.

See also:

EditChartPen


EditChartBrushLinkedColor

EditChartBrushLinkedColor function

function EditChartBrushLinkedColor(AOwner: TComponent; ChartBrush: TChartBrush; aLinkedColor: TColorEvent): Boolean;

Unit
TeeBrushDlg


EditChartLegend

EditChartLegend procedure

procedure EditChartLegend(AOwner: TComponent; AChart: TCustomChart);

Unit
EditChar

Description
Shows the Chart Editor dialog positioned at the Legend tab.


EditChartPen

EditChartPen function

function EditChartPen(AOwner: TComponent; ChartPen: TChartPen; HideColor: Boolean): Boolean;

Unit
TeePenDlg

Description
Shows the Chart Pen Editor dialog.
Returns True if the user clicks the Ok button, False if clicks the Cancel button.


EditChartTitle

EditChartTitle procedure

procedure EditChartTitle(AOwner: TComponent; ATitle: TChartTitle);

Unit
EditChar

Description
Shows the Chart Editor dialog positioned at the Titles tab, and locating the ATitle parameter.


EditChartTool

EditChartTool procedure

procedure EditChartTool(AOwner: TComponent; AChartTool: TTeeCustomTool);

Unit
EditChar

Description
Shows the Chart Editor dialog positioned at the Tools tab, and locating the AChartTool parameter.


EditChartWall

EditChartWall procedure

procedure EditChartWall(AOwner: TComponent; AWall: TCustomChartWall);

Unit
EditChar

Description
Shows the Chart Editor dialog positioned at the Walls tab, and locating the AWall parameter.


EditColor

EditColor function

function EditColor(AOwner: TComponent; AColor: TColor): TColor;

Unit
TeCanvas

Description
Shows the color editor dialog and enables the user to select a color.
Returns the selected color.

Example:

Series1.Color := EditColor( Self, Series1.Color );


EditColorDialog

EditColorDialog function

function EditColorDialog(AOwner: TComponent; Var AColor: TColor; Const AOptions: TColorDialogOptions): Boolean;

Unit
TeCanvas

Description
Shows the color editor dialog.
Uses AColor to initialize the dialog and to return the newly selected color.
Returns True when the end user has selected a different color.
Returns False when the end user has cancelled the dialog.


EditOneSeries

EditOneSeries procedure

procedure EditOneSeries(AOwner: TControl; ASeries: TChartSeries);

Unit
TeeEditPro

Description
Show the Series Editor for the ASeries Series.


EditSeries

EditSeries procedure

procedure EditSeries(AOwner: TComponent; ASeries: TChartSeries);

Unit
EditChar

Description
Shows the Chart editor dialog positioned at the Series tab, and locating the ASeries parameter.

See also:

EditChart


EditSeriesDialog

EditSeriesDialog procedure

procedure EditSeriesDialog(AOwner: TComponent; ASeries: TChartSeries);

Unit
TeeEdiSeri

Description
Shows a modal editor dialog that is associated with ASeries parameter.

EditSeriesDialog(Self, Series1);


EditSeriesMarks

EditSeriesMarks procedure

procedure EditSeriesMarks(AOwner: TComponent; ASeries: TChartSeries; SymbolsTab: Boolean);

Unit
EditChar

Description
Shows the Chart Editor dialog, positioned at the Series tab, and locating and selecting the ASeries parameter.
It then switches to the Series Marks tab.


EditSeriesPointer

EditSeriesPointer function

function EditSeriesPointer(AOwner: TComponent; APointer: TSeriesPointer): Boolean;

Unit
TeePoEdi

Description
Shows the Series Pointer editor dialog.

EditSeriesPointer( Self, Series1.Pointer );


EditTeeCustomShape

EditTeeCustomShape function

function EditTeeCustomShape(AOwner: TComponent; AShape: TTeeCustomShape; HideText: Boolean; Const ACaption: String): Boolean;

Unit
TeeCustomShapeEditor

Description
Shows the custom shape editor dialog:

EditTeeCustomShape( Self, Chart1.Legend );


EditTeeFont

EditTeeFont function

function EditTeeFont(AOwner: TComponent; AFont: TFont): Boolean;

Unit
TeeBrushDlg

Description
Shows the default Font editor dialog using the AFont parameter.
Returns True if the user clicks the Ok button, False if the user clicks Cancel.

See also:

EditChartPen
EditChartBrush


EditTeeFontEx

EditTeeFontEx function

function EditTeeFontEx(AOwner: TComponent; AFont: TTeeFont): Boolean;

Unit
TeeEdiFont

Description
Shows the default TeeChart editor dialog for TTeeFont objects.


EditTeeGradient

EditTeeGradient function

function EditTeeGradient(AOwner: TComponent; AGradient: TCustomTeeGradient): Boolean;

Unit
TeeEdiGrad

Description
Shows the Gradient editor dialog using the AGradient parameter.
Returns True when the user clicks the Ok button, False if the user clicks the Cancel button.

The optional OnlyStart parameter, when true, hides the Gradient dialog ending color button.

See also:

EditChartPen
EditChartBrush
EditTeeFont
EditChart
EditSeries


EditTeeOpenGL

EditTeeOpenGL function

function EditTeeOpenGL(AOwner: TComponent; ATeeOpenGL: TTeeOpenGL): Boolean;

Unit
TeeGLEditor

Description
Shows the OpenGL Editor dialog for the ATeeOpenGL component parameter.
Returns True if the user clicks the Ok button, False if the user clicks the Cancel button.


EditTeePicture

EditTeePicture function

function EditTeePicture(AOwner: TComponent; APicture: TTeePicture): Boolean;

Unit
TeeBackImage

Description
Shows the TTeePicture editor dialog to modify property values of TTeePicture instances.

TTeePicture class adds aditional image filtering properties to VCL's TPicture class.

The editor dialog allows adding, configuring and removing image filters.


EditTeeShadow

EditTeeShadow function

function EditTeeShadow(AOwner: TComponent; AShadow: TTeeShadow): Boolean;

Unit
TeeShadowEditor

Description
Shows the Shadow editor dialog to edit the AShadow parameter properties.

Returns True if the end-user clicks the OK button to close the dialog.

EditTeeShadow( Self, Chart1.Legend.Font.Shadow );


EnableControls

EnableControls procedure

procedure EnableControls(Enable: Boolean; Const ControlArray: array of TControl);

Unit
TeeProcs

Description
Sets the Enabled property for all the controls in the ControlArray parameter to the Enable value.

EnableControls( True, [ Button1, CheckBox1, Label1 ] );


FillDataSet

FillDataSet procedure

procedure FillDataSet(ADataSet: TDataSet; ASeries: TChartSeries; Const AGroupField, ALabelField, AValueField: String; GroupFormula: TGroupFormula);

Unit
TeeDBCrossTab

Description
Global method that can be called without having to use a DBCrossTabSource component.

The ADataset parameter means the original source dataset.
The ASeries parameter is the destination series that will be filled with crosstab results.
The AGroupField defines the field in the dataset to be used as the "grouping" field.
The ALabelField is the field in the dataset that will be used to add label text to series.
The AValueField is the field in the dataset that contains the values that will be acumulated when grouping.

The GroupFormula parameter specifies what to do with Values (sum them or count them).

Example:

FillDataSet( Table1, Series1, 'ShipVIA', 'CustNo', 'AmountPaid', gfSum );


FillDescriptor

FillDescriptor procedure

procedure FillDescriptor(DC: HDC; Options: TRCOptions; ColorDepth: Integer; StencilBits: Byte; Var PFDescriptor: TPixelFormatDescriptor);

Unit
OpenGL2


FillSeriesItems

FillSeriesItems procedure

procedure FillSeriesItems(AItems: TStrings; AList: TCustomSeriesList; UseTitles: Boolean);

Unit
TeEngine

Description
Stores in AItems parameter, the list of Series contained in AList parameter.

Example:

FillSeriesItems(ListBox1.Items,Chart1.SeriesList);

It also stores the address (pointer) to each Series component into the "Objects" array of Items.


FillSeriesSources

FillSeriesSources procedure

procedure FillSeriesSources(AItems, AItems2: TStrings; TheSeries: TChartSeries; AddCurrent: Boolean);

Unit
TeeFuncEdit

Description
Adds to AItems (and optionally to AItems2) all series in TheSeries.ParentChart instance that are valid candidates to be datasources of TheSeries parameter.

When AddCurrent is True, TheSeries is also added to the string list.

AItems2 is optional and can be passed nil.


GDIP_EMFPLUS_RECORD_TO_WMF

GDIP_EMFPLUS_RECORD_TO_WMF function

function GDIP_EMFPLUS_RECORD_TO_WMF(n: Integer): Integer;

Unit
GDIPAPI


GDIP_IS_WMF_RECORDTYPE

GDIP_IS_WMF_RECORDTYPE function

function GDIP_IS_WMF_RECORDTYPE(n: Integer): BOOL;

Unit
GDIPAPI


GDIP_WMF_RECORD_TO_EMFPLUS

GDIP_WMF_RECORD_TO_EMFPLUS function

function GDIP_WMF_RECORD_TO_EMFPLUS(n: Integer): Integer;

Unit
GDIPAPI


GetAlpha

GetAlpha function

function GetAlpha(color: ARGB): Byte;

Unit
GDIPAPI


GetBase64

GetBase64 function

function GetBase64(mstr: Stream): String;

Unit
Steema


GetBlue

GetBlue function

function GetBlue(color: ARGB): Byte;

Unit
GDIPAPI


GetBounds

GetBounds procedure

procedure GetBounds(Out Rect: TGPRect);

Unit
GDIPAPI


GetChartGalleryFunction

GetChartGalleryFunction function

function GetChartGalleryFunction(AOwner: TComponent): TTeeFunctionClass;

Unit
TeeGally

Description
Shows the gallery and asks the user to select a TeeFunction class.
Returns "nil" if the user clicks the cancel button or presses the escape key to close the gallery without selecting a function.


GetDefaultColor

GetDefaultColor function

function GetDefaultColor(Const Index: Integer): TColor;

Unit
TeeProcs

Description
Returns a color from global ColorPalette array variable.

If Index parameter is greater than ColorPalette size, Index is mod the array size.


GetGallerySeriesName

GetGallerySeriesName function

function GetGallerySeriesName(ASeries: TChartSeries): String;

Unit
Chart

Description
Returns the textual representation of a given ASeries parameter.
This text is used at the Chart gallery and Chart editor dialog to identify the series class.

(ie: it returns "Bar" for a TBarSeries object)


GetGreen

GetGreen function

function GetGreen(color: ARGB): Byte;

Unit
GDIPAPI


GetPixelFormatSize

GetPixelFormatSize function

function GetPixelFormatSize(pixfmt: PixelFormat): UINT;

Unit
GDIPAPI


GetRed

GetRed function

function GetRed(color: ARGB): Byte;

Unit
GDIPAPI


GetRegistryHelpPath

GetRegistryHelpPath function

function GetRegistryHelpPath(Const HelpFile: String): String;

Unit
TeeExport

Description
This function is internally used to obtain the filename for the HelpFile parameter.
It is used at the Chart editor dialog to provide context sensitive help.


GetTeeBrush

GetTeeBrush procedure

procedure GetTeeBrush(Index: Integer; ABitmap: TBitmap);

Unit
TeeBrushDlg

Description
Returns the internal bitmap used by TChartBrush to fill polygons with.

These bitmaps are automatically loaded from a resource at startup.

Valid range for Index parameter is 0 to 11 in current version.


GetTeeChartHelpFile

GetTeeChartHelpFile function

function GetTeeChartHelpFile: String;

Unit
TeeEditCha

Description
Returns name as string of TeeChart helpfile.


GetVectorValue

GetVectorValue function

function GetVectorValue(Const V: TVector; Index: Integer): Float;

Unit
TeePoly

Description
The GetVectorValue function returns the V[Index] value. This function is used internally by the CurvFitt unit.


glAccum

glAccum procedure

procedure glAccum(op: GLenum; value: GLfloat);

Unit
OpenGLLinux


glAlphaFunc

glAlphaFunc procedure

procedure glAlphaFunc(func: GLenum; ref: GLclampf);

Unit
OpenGLLinux


glBegin

glBegin procedure

procedure glBegin(mode: GLenum);

Unit
OpenGLLinux


glBitmap

glBitmap procedure

procedure glBitmap(width, height: GLsizei; xorig, yorig, xmove, ymove: GLfloat; bitmap: Pointer);

Unit
OpenGLLinux


glBlendFunc

glBlendFunc procedure

procedure glBlendFunc(sfactor, dfactor: GLenum);

Unit
OpenGLLinux


glCallList

glCallList procedure

procedure glCallList(list: GLuint);

Unit
OpenGLLinux


glCallLists

glCallLists procedure

procedure glCallLists(n: GLsizei; cltype: GLenum; lists: Pointer);

Unit
OpenGLLinux


glClear

glClear procedure

procedure glClear(mask: GLbitfield);

Unit
OpenGLLinux


glClearAccum

glClearAccum procedure

procedure glClearAccum(red, green, blue, alpha: GLfloat);

Unit
OpenGLLinux


glClearColor

glClearColor procedure

procedure glClearColor(red, green, blue, alpha: GLclampf);

Unit
OpenGLLinux


glClearDepth

glClearDepth procedure

procedure glClearDepth(depth: GLclampd);

Unit
OpenGLLinux


glClearIndex

glClearIndex procedure

procedure glClearIndex(c: GLfloat);

Unit
OpenGLLinux


glClearStencil

glClearStencil procedure

procedure glClearStencil(s: GLint);

Unit
OpenGLLinux


glClipPlane

glClipPlane procedure

procedure glClipPlane(plane: GLenum; equation: PGLdouble);

Unit
OpenGLLinux


glColor

glColor procedure

procedure glColor(red, green, blue: GLbyte);

Unit
OpenGLLinux


glColor3

glColor3 procedure

procedure glColor3(v: PGLByte);

Unit
OpenGLLinux


glColor3b

glColor3b procedure

procedure glColor3b(red, green, blue: GLbyte);

Unit
OpenGLLinux


glColor3bv

glColor3bv procedure

procedure glColor3bv(v: PGLByte);

Unit
OpenGLLinux


glColor3d

glColor3d procedure

procedure glColor3d(red, green, blue: GLdouble);

Unit
OpenGLLinux


glColor3dv

glColor3dv procedure

procedure glColor3dv(v: PGLdouble);

Unit
OpenGLLinux


glColor3f

glColor3f procedure

procedure glColor3f(red, green, blue: GLfloat);

Unit
OpenGLLinux


glColor3fv

glColor3fv procedure

procedure glColor3fv(v: PGLfloat);

Unit
OpenGLLinux


glColor3i

glColor3i procedure

procedure glColor3i(red, green, blue: GLint);

Unit
OpenGLLinux


glColor3iv

glColor3iv procedure

procedure glColor3iv(v: PGLInt);

Unit
OpenGLLinux


glColor3s

glColor3s procedure

procedure glColor3s(red, green, blue: GLshort);

Unit
OpenGLLinux


glColor3sv

glColor3sv procedure

procedure glColor3sv(v: PGLShort);

Unit
OpenGLLinux


glColor3ub

glColor3ub procedure

procedure glColor3ub(red, green, blue: GLubyte);

Unit
OpenGLLinux


glColor3ubv

glColor3ubv procedure

procedure glColor3ubv(v: PGLubyte);

Unit
OpenGLLinux


glColor3ui

glColor3ui procedure

procedure glColor3ui(red, green, blue: GLuint);

Unit
OpenGLLinux


glColor3uiv

glColor3uiv procedure

procedure glColor3uiv(v: PGLuint);

Unit
OpenGLLinux


glColor3us

glColor3us procedure

procedure glColor3us(red, green, blue: GLushort);

Unit
OpenGLLinux


glColor3usv

glColor3usv procedure

procedure glColor3usv(v: PGLushort);

Unit
OpenGLLinux


glColor4

glColor4 procedure

procedure glColor4(v: PGLByte);

Unit
OpenGLLinux


glColor4b

glColor4b procedure

procedure glColor4b(red, green, blue, alpha: GLbyte);

Unit
OpenGLLinux


glColor4bv

glColor4bv procedure

procedure glColor4bv(v: PGLByte);

Unit
OpenGLLinux


glColor4d

glColor4d procedure

procedure glColor4d(red, green, blue, alpha: GLdouble);

Unit
OpenGLLinux


glColor4dv

glColor4dv procedure

procedure glColor4dv(v: PGLdouble);

Unit
OpenGLLinux


glColor4f

glColor4f procedure

procedure glColor4f(red, green, blue, alpha: GLfloat);

Unit
OpenGLLinux


glColor4fv

glColor4fv procedure

procedure glColor4fv(v: PGLfloat);

Unit
OpenGLLinux


glColor4i

glColor4i procedure

procedure glColor4i(red, green, blue, alpha: GLint);

Unit
OpenGLLinux


glColor4iv

glColor4iv procedure

procedure glColor4iv(v: PGLInt);

Unit
OpenGLLinux


glColor4s

glColor4s procedure

procedure glColor4s(red, green, blue, alpha: GLshort);

Unit
OpenGLLinux


glColor4sv

glColor4sv procedure

procedure glColor4sv(v: PGLShort);

Unit
OpenGLLinux


glColor4ub

glColor4ub procedure

procedure glColor4ub(red, green, blue, alpha: GLubyte);

Unit
OpenGLLinux


glColor4ubv

glColor4ubv procedure

procedure glColor4ubv(v: PGLubyte);

Unit
OpenGLLinux


glColor4ui

glColor4ui procedure

procedure glColor4ui(red, green, blue, alpha: GLuint);

Unit
OpenGLLinux


glColor4uiv

glColor4uiv procedure

procedure glColor4uiv(v: PGLuint);

Unit
OpenGLLinux


glColor4us

glColor4us procedure

procedure glColor4us(red, green, blue, alpha: GLushort);

Unit
OpenGLLinux


glColor4usv

glColor4usv procedure

procedure glColor4usv(v: PGLushort);

Unit
OpenGLLinux


glColorMask

glColorMask procedure

procedure glColorMask(red, green, blue, alpha: GLboolean);

Unit
OpenGLLinux


glColorMaterial

glColorMaterial procedure

procedure glColorMaterial(face, mode: GLenum);

Unit
OpenGLLinux


glCopyPixels

glCopyPixels procedure

procedure glCopyPixels(X, Y: GLint; width, height: GLsizei; pixeltype: GLenum);

Unit
OpenGLLinux


glCullFace

glCullFace procedure

procedure glCullFace(mode: GLenum);

Unit
OpenGLLinux


glDeleteLists

glDeleteLists procedure

procedure glDeleteLists(list: GLuint; range: GLsizei);

Unit
OpenGLLinux


glDepthFunc

glDepthFunc procedure

procedure glDepthFunc(func: GLenum);

Unit
OpenGLLinux


glDepthMask

glDepthMask procedure

procedure glDepthMask(flag: GLboolean);

Unit
OpenGLLinux


glDepthRange

glDepthRange procedure

procedure glDepthRange(zNear, zFar: GLclampd);

Unit
OpenGLLinux


glDisable

glDisable procedure

procedure glDisable(cap: GLenum);

Unit
OpenGLLinux


glDrawBuffer

glDrawBuffer procedure

procedure glDrawBuffer(mode: GLenum);

Unit
OpenGLLinux


glDrawPixels

glDrawPixels procedure

procedure glDrawPixels(width, height: GLsizei; format, pixeltype: GLenum; pixels: Pointer);

Unit
OpenGLLinux


glEdgeFlag

glEdgeFlag procedure

procedure glEdgeFlag(flag: GLboolean);

Unit
OpenGLLinux


glEdgeFlagv

glEdgeFlagv procedure

procedure glEdgeFlagv(flag: PGLBoolean);

Unit
OpenGLLinux


glEnable

glEnable procedure

procedure glEnable(cap: GLenum);

Unit
OpenGLLinux


glEnd

glEnd procedure

procedure glEnd;

Unit
OpenGLLinux


glEndList

glEndList procedure

procedure glEndList;

Unit
OpenGLLinux


glEvalCoord

glEvalCoord procedure

procedure glEvalCoord(u: GLdouble);

Unit
OpenGLLinux


glEvalCoord1

glEvalCoord1 procedure

procedure glEvalCoord1(v: PGLdouble);

Unit
OpenGLLinux


glEvalCoord1d

glEvalCoord1d procedure

procedure glEvalCoord1d(u: GLdouble);

Unit
OpenGLLinux


glEvalCoord1dv

glEvalCoord1dv procedure

procedure glEvalCoord1dv(u: PGLdouble);

Unit
OpenGLLinux


glEvalCoord1f

glEvalCoord1f procedure

procedure glEvalCoord1f(u: GLfloat);

Unit
OpenGLLinux


glEvalCoord1fv

glEvalCoord1fv procedure

procedure glEvalCoord1fv(u: PGLfloat);

Unit
OpenGLLinux


glEvalCoord2

glEvalCoord2 procedure

procedure glEvalCoord2(v: PGLdouble);

Unit
OpenGLLinux


glEvalCoord2d

glEvalCoord2d procedure

procedure glEvalCoord2d(u, v: GLdouble);

Unit
OpenGLLinux


glEvalCoord2dv

glEvalCoord2dv procedure

procedure glEvalCoord2dv(u: PGLdouble);

Unit
OpenGLLinux


glEvalCoord2f

glEvalCoord2f procedure

procedure glEvalCoord2f(u, v: GLfloat);

Unit
OpenGLLinux


glEvalCoord2fv

glEvalCoord2fv procedure

procedure glEvalCoord2fv(u: PGLfloat);

Unit
OpenGLLinux


glEvalMesh

glEvalMesh procedure

procedure glEvalMesh(mode: GLenum; i1, i2: GLint);

Unit
OpenGLLinux


glEvalMesh1

glEvalMesh1 procedure

procedure glEvalMesh1(mode: GLenum; i1, i2: GLint);

Unit
OpenGLLinux


glEvalMesh2

glEvalMesh2 procedure

procedure glEvalMesh2(mode: GLenum; i1, i2, j1, j2: GLint);

Unit
OpenGLLinux


glEvalPoint

glEvalPoint procedure

procedure glEvalPoint(i: GLint);

Unit
OpenGLLinux


glEvalPoint1

glEvalPoint1 procedure

procedure glEvalPoint1(i: GLint);

Unit
OpenGLLinux


glEvalPoint2

glEvalPoint2 procedure

procedure glEvalPoint2(i, j: GLint);

Unit
OpenGLLinux


glFeedbackBuffer

glFeedbackBuffer procedure

procedure glFeedbackBuffer(size: GLsizei; buftype: GLenum; buffer: PGLfloat);

Unit
OpenGLLinux


glFinish

glFinish procedure

procedure glFinish;

Unit
OpenGLLinux


glFlush

glFlush procedure

procedure glFlush;

Unit
OpenGLLinux


glFog

glFog procedure

procedure glFog(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glFogf

glFogf procedure

procedure glFogf(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glFogfv

glFogfv procedure

procedure glFogfv(pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glFogi

glFogi procedure

procedure glFogi(pname: GLenum; param: GLint);

Unit
OpenGLLinux


glFogiv

glFogiv procedure

procedure glFogiv(pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glFrontFace

glFrontFace procedure

procedure glFrontFace(mode: GLenum);

Unit
OpenGLLinux


glFrustum

glFrustum procedure

procedure glFrustum(left, right, bottom, top, zNear, zFar: GLdouble);

Unit
OpenGLLinux


glGenLists

glGenLists function

function glGenLists(range: GLsizei): GLuint;

Unit
OpenGLLinux


glGetBooleanv

glGetBooleanv procedure

procedure glGetBooleanv(pname: GLenum; params: PGLBoolean);

Unit
OpenGLLinux


glGetClipPlane

glGetClipPlane procedure

procedure glGetClipPlane(plane: GLenum; equation: PGLdouble);

Unit
OpenGLLinux


glGetDoublev

glGetDoublev procedure

procedure glGetDoublev(pname: GLenum; params: PGLdouble);

Unit
OpenGLLinux


glGetError

glGetError function

function glGetError: GLenum;

Unit
OpenGLLinux


glGetFloatv

glGetFloatv procedure

procedure glGetFloatv(pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetIntegerv

glGetIntegerv procedure

procedure glGetIntegerv(pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glGetLight

glGetLight procedure

procedure glGetLight(light, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetLightfv

glGetLightfv procedure

procedure glGetLightfv(light, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetLightiv

glGetLightiv procedure

procedure glGetLightiv(light, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glGetMap

glGetMap procedure

procedure glGetMap(target, query: GLenum; v: PGLdouble);

Unit
OpenGLLinux


glGetMapdv

glGetMapdv procedure

procedure glGetMapdv(target, query: GLenum; v: PGLdouble);

Unit
OpenGLLinux


glGetMapfv

glGetMapfv procedure

procedure glGetMapfv(target, query: GLenum; v: PGLfloat);

Unit
OpenGLLinux


glGetMapiv

glGetMapiv procedure

procedure glGetMapiv(target, query: GLenum; v: PGLInt);

Unit
OpenGLLinux


glGetMaterial

glGetMaterial procedure

procedure glGetMaterial(face, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetMaterialfv

glGetMaterialfv procedure

procedure glGetMaterialfv(face, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetMaterialiv

glGetMaterialiv procedure

procedure glGetMaterialiv(face, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glGetPixelMap

glGetPixelMap procedure

procedure glGetPixelMap(map: GLenum; values: PGLfloat);

Unit
OpenGLLinux


glGetPixelMapfv

glGetPixelMapfv procedure

procedure glGetPixelMapfv(map: GLenum; values: PGLfloat);

Unit
OpenGLLinux


glGetPixelMapuiv

glGetPixelMapuiv procedure

procedure glGetPixelMapuiv(map: GLenum; values: PGLuint);

Unit
OpenGLLinux


glGetPixelMapusv

glGetPixelMapusv procedure

procedure glGetPixelMapusv(map: GLenum; values: PGLushort);

Unit
OpenGLLinux


glGetPolygonStipple

glGetPolygonStipple procedure

procedure glGetPolygonStipple(Var mask: GLubyte);

Unit
OpenGLLinux


glGetString

glGetString function

function glGetString(name: GLenum): PChar;

Unit
OpenGLLinux


glGetTexEnv

glGetTexEnv procedure

procedure glGetTexEnv(target, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexEnvfv

glGetTexEnvfv procedure

procedure glGetTexEnvfv(target, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexEnviv

glGetTexEnviv procedure

procedure glGetTexEnviv(target, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glGetTexGen

glGetTexGen procedure

procedure glGetTexGen(coord, pname: GLenum; params: PGLdouble);

Unit
OpenGLLinux


glGetTexGendv

glGetTexGendv procedure

procedure glGetTexGendv(coord, pname: GLenum; params: PGLdouble);

Unit
OpenGLLinux


glGetTexGenfv

glGetTexGenfv procedure

procedure glGetTexGenfv(coord, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexGeniv

glGetTexGeniv procedure

procedure glGetTexGeniv(coord, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glGetTexImage

glGetTexImage procedure

procedure glGetTexImage(target: GLenum; level: GLint; format, _type: GLenum; pixels: Pointer);

Unit
OpenGLLinux


glGetTexLevelParameter

glGetTexLevelParameter procedure

procedure glGetTexLevelParameter(target: GLenum; level: GLint; pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexLevelParameterfv

glGetTexLevelParameterfv procedure

procedure glGetTexLevelParameterfv(target: GLenum; level: GLint; pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexLevelParameteriv

glGetTexLevelParameteriv procedure

procedure glGetTexLevelParameteriv(target: GLenum; level: GLint; pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glGetTexParameter

glGetTexParameter procedure

procedure glGetTexParameter(target, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexParameterfv

glGetTexParameterfv procedure

procedure glGetTexParameterfv(target, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glGetTexParameteriv

glGetTexParameteriv procedure

procedure glGetTexParameteriv(target, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glHint

glHint procedure

procedure glHint(target, mode: GLenum);

Unit
OpenGLLinux


glIndex

glIndex procedure

procedure glIndex(c: GLdouble);

Unit
OpenGLLinux


glIndexd

glIndexd procedure

procedure glIndexd(c: GLdouble);

Unit
OpenGLLinux


glIndexdv

glIndexdv procedure

procedure glIndexdv(c: PGLdouble);

Unit
OpenGLLinux


glIndexf

glIndexf procedure

procedure glIndexf(c: GLfloat);

Unit
OpenGLLinux


glIndexfv

glIndexfv procedure

procedure glIndexfv(c: PGLfloat);

Unit
OpenGLLinux


glIndexi

glIndexi procedure

procedure glIndexi(c: GLint);

Unit
OpenGLLinux


glIndexiv

glIndexiv procedure

procedure glIndexiv(c: PGLInt);

Unit
OpenGLLinux


glIndexMask

glIndexMask procedure

procedure glIndexMask(mask: GLuint);

Unit
OpenGLLinux


glIndexs

glIndexs procedure

procedure glIndexs(c: GLshort);

Unit
OpenGLLinux


glIndexsv

glIndexsv procedure

procedure glIndexsv(c: PGLShort);

Unit
OpenGLLinux


glInitNames

glInitNames procedure

procedure glInitNames;

Unit
OpenGLLinux


glIsEnabled

glIsEnabled function

function glIsEnabled(cap: GLenum): GLboolean;

Unit
OpenGLLinux


glIsList

glIsList function

function glIsList(list: GLuint): GLboolean;

Unit
OpenGLLinux


glLight

glLight procedure

procedure glLight(light, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glLightf

glLightf procedure

procedure glLightf(light, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glLightfv

glLightfv procedure

procedure glLightfv(light, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glLighti

glLighti procedure

procedure glLighti(light, pname: GLenum; param: GLint);

Unit
OpenGLLinux


glLightiv

glLightiv procedure

procedure glLightiv(light, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glLightModel

glLightModel procedure

procedure glLightModel(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glLightModelf

glLightModelf procedure

procedure glLightModelf(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glLightModelfv

glLightModelfv procedure

procedure glLightModelfv(pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glLightModeli

glLightModeli procedure

procedure glLightModeli(pname: GLenum; param: GLint);

Unit
OpenGLLinux


glLightModeliv

glLightModeliv procedure

procedure glLightModeliv(pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glLineStipple

glLineStipple procedure

procedure glLineStipple(factor: GLint; pattern: GLushort);

Unit
OpenGLLinux


glLineWidth

glLineWidth procedure

procedure glLineWidth(width: GLfloat);

Unit
OpenGLLinux


glListBase

glListBase procedure

procedure glListBase(base: GLuint);

Unit
OpenGLLinux


glLoadIdentity

glLoadIdentity procedure

procedure glLoadIdentity;

Unit
OpenGLLinux


glLoadMatrix

glLoadMatrix procedure

procedure glLoadMatrix(m: PGLdouble);

Unit
OpenGLLinux


glLoadMatrixd

glLoadMatrixd procedure

procedure glLoadMatrixd(m: PGLdouble);

Unit
OpenGLLinux


glLoadMatrixf

glLoadMatrixf procedure

procedure glLoadMatrixf(m: PGLfloat);

Unit
OpenGLLinux


glLoadName

glLoadName procedure

procedure glLoadName(name: GLuint);

Unit
OpenGLLinux


glLogicOp

glLogicOp procedure

procedure glLogicOp(opcode: GLenum);

Unit
OpenGLLinux


glMap

glMap procedure

procedure glMap(target: GLenum; u1, u2: GLdouble; stride, order: GLint; Points: PGLdouble);

Unit
OpenGLLinux


glMap1d

glMap1d procedure

procedure glMap1d(target: GLenum; u1, u2: GLdouble; stride, order: GLint; Points: PGLdouble);

Unit
OpenGLLinux


glMap1f

glMap1f procedure

procedure glMap1f(target: GLenum; u1, u2: GLfloat; stride, order: GLint; Points: PGLfloat);

Unit
OpenGLLinux


glMap2d

glMap2d procedure

procedure glMap2d(target: GLenum; u1, u2: GLdouble; ustride, uorder: GLint; v1, v2: GLdouble; vstride, vorder: GLint; Points: PGLdouble);

Unit
OpenGLLinux


glMap2f

glMap2f procedure

procedure glMap2f(target: GLenum; u1, u2: GLfloat; ustride, uorder: GLint; v1, v2: GLfloat; vstride, vorder: GLint; Points: PGLfloat);

Unit
OpenGLLinux


glMapGrid

glMapGrid procedure

procedure glMapGrid(un: GLint; u1, u2: GLdouble);

Unit
OpenGLLinux


glMapGrid1d

glMapGrid1d procedure

procedure glMapGrid1d(un: GLint; u1, u2: GLdouble);

Unit
OpenGLLinux


glMapGrid1f

glMapGrid1f procedure

procedure glMapGrid1f(un: GLint; u1, u2: GLfloat);

Unit
OpenGLLinux


glMapGrid2d

glMapGrid2d procedure

procedure glMapGrid2d(un: GLint; u1, u2: GLdouble; vn: GLint; v1, v2: GLdouble);

Unit
OpenGLLinux


glMapGrid2f

glMapGrid2f procedure

procedure glMapGrid2f(un: GLint; u1, u2: GLfloat; vn: GLint; v1, v2: GLfloat);

Unit
OpenGLLinux


glMaterial

glMaterial procedure

procedure glMaterial(face, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glMaterialf

glMaterialf procedure

procedure glMaterialf(face, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glMaterialfv

glMaterialfv procedure

procedure glMaterialfv(face, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glMateriali

glMateriali procedure

procedure glMateriali(face, pname: GLenum; param: GLint);

Unit
OpenGLLinux


glMaterialiv

glMaterialiv procedure

procedure glMaterialiv(face, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glMatrixMode

glMatrixMode procedure

procedure glMatrixMode(mode: GLenum);

Unit
OpenGLLinux


glMultMatrix

glMultMatrix procedure

procedure glMultMatrix(m: PGLdouble);

Unit
OpenGLLinux


glMultMatrixd

glMultMatrixd procedure

procedure glMultMatrixd(m: PGLdouble);

Unit
OpenGLLinux


glMultMatrixf

glMultMatrixf procedure

procedure glMultMatrixf(m: PGLfloat);

Unit
OpenGLLinux


glNewList

glNewList procedure

procedure glNewList(ListIndex: GLuint; mode: GLenum);

Unit
OpenGLLinux


glNormal

glNormal procedure

procedure glNormal(nx, ny, nz: GLbyte);

Unit
OpenGLLinux


glNormal3

glNormal3 procedure

procedure glNormal3(v: PGLByte);

Unit
OpenGLLinux


glNormal3b

glNormal3b procedure

procedure glNormal3b(nx, ny, nz: GLbyte);

Unit
OpenGLLinux


glNormal3bv

glNormal3bv procedure

procedure glNormal3bv(v: PGLByte);

Unit
OpenGLLinux


glNormal3d

glNormal3d procedure

procedure glNormal3d(nx, ny, nz: GLdouble);

Unit
OpenGLLinux


glNormal3dv

glNormal3dv procedure

procedure glNormal3dv(v: PGLdouble);

Unit
OpenGLLinux


glNormal3f

glNormal3f procedure

procedure glNormal3f(nx, ny, nz: GLfloat);

Unit
OpenGLLinux


glNormal3fv

glNormal3fv procedure

procedure glNormal3fv(v: PGLfloat);

Unit
OpenGLLinux


glNormal3i

glNormal3i procedure

procedure glNormal3i(nx, ny, nz: GLint);

Unit
OpenGLLinux


glNormal3iv

glNormal3iv procedure

procedure glNormal3iv(v: PGLInt);

Unit
OpenGLLinux


glNormal3s

glNormal3s procedure

procedure glNormal3s(nx, ny, nz: GLshort);

Unit
OpenGLLinux


glNormal3sv

glNormal3sv procedure

procedure glNormal3sv(v: PGLShort);

Unit
OpenGLLinux


glOrtho

glOrtho procedure

procedure glOrtho(left, right, bottom, top, zNear, zFar: GLdouble);

Unit
OpenGLLinux


glPassThrough

glPassThrough procedure

procedure glPassThrough(token: GLfloat);

Unit
OpenGLLinux


glPixelMap

glPixelMap procedure

procedure glPixelMap(map: GLenum; mapsize: GLint; values: PGLfloat);

Unit
OpenGLLinux


glPixelMapfv

glPixelMapfv procedure

procedure glPixelMapfv(map: GLenum; mapsize: GLint; values: PGLfloat);

Unit
OpenGLLinux


glPixelMapuiv

glPixelMapuiv procedure

procedure glPixelMapuiv(map: GLenum; mapsize: GLint; values: PGLuint);

Unit
OpenGLLinux


glPixelMapusv

glPixelMapusv procedure

procedure glPixelMapusv(map: GLenum; mapsize: GLint; values: PGLushort);

Unit
OpenGLLinux


glPixelStore

glPixelStore procedure

procedure glPixelStore(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glPixelStoref

glPixelStoref procedure

procedure glPixelStoref(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glPixelStorei

glPixelStorei procedure

procedure glPixelStorei(pname: GLenum; param: GLint);

Unit
OpenGLLinux


glPixelTransfer

glPixelTransfer procedure

procedure glPixelTransfer(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glPixelTransferf

glPixelTransferf procedure

procedure glPixelTransferf(pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glPixelTransferi

glPixelTransferi procedure

procedure glPixelTransferi(pname: GLenum; param: GLint);

Unit
OpenGLLinux


glPixelZoom

glPixelZoom procedure

procedure glPixelZoom(xfactor, yfactor: GLfloat);

Unit
OpenGLLinux


glPointSize

glPointSize procedure

procedure glPointSize(size: GLfloat);

Unit
OpenGLLinux


glPolygonMode

glPolygonMode procedure

procedure glPolygonMode(face, mode: GLenum);

Unit
OpenGLLinux


glPolygonStipple

glPolygonStipple procedure

procedure glPolygonStipple(mask: PGLubyte);

Unit
OpenGLLinux


glPopAttrib

glPopAttrib procedure

procedure glPopAttrib;

Unit
OpenGLLinux


glPopMatrix

glPopMatrix procedure

procedure glPopMatrix;

Unit
OpenGLLinux


glPopName

glPopName procedure

procedure glPopName;

Unit
OpenGLLinux


glPushAttrib

glPushAttrib procedure

procedure glPushAttrib(mask: GLbitfield);

Unit
OpenGLLinux


glPushMatrix

glPushMatrix procedure

procedure glPushMatrix;

Unit
OpenGLLinux


glPushName

glPushName procedure

procedure glPushName(name: GLuint);

Unit
OpenGLLinux


glRasterPos

glRasterPos procedure

procedure glRasterPos(X, Y: GLdouble);

Unit
OpenGLLinux


glRasterPos2

glRasterPos2 procedure

procedure glRasterPos2(v: PGLdouble);

Unit
OpenGLLinux


glRasterPos2d

glRasterPos2d procedure

procedure glRasterPos2d(X, Y: GLdouble);

Unit
OpenGLLinux


glRasterPos2dv

glRasterPos2dv procedure

procedure glRasterPos2dv(v: PGLdouble);

Unit
OpenGLLinux


glRasterPos2f

glRasterPos2f procedure

procedure glRasterPos2f(X, Y: GLfloat);

Unit
OpenGLLinux


glRasterPos2fv

glRasterPos2fv procedure

procedure glRasterPos2fv(v: PGLfloat);

Unit
OpenGLLinux


glRasterPos2i

glRasterPos2i procedure

procedure glRasterPos2i(X, Y: GLint);

Unit
OpenGLLinux


glRasterPos2iv

glRasterPos2iv procedure

procedure glRasterPos2iv(v: PGLInt);

Unit
OpenGLLinux


glRasterPos2s

glRasterPos2s procedure

procedure glRasterPos2s(X, Y: GLshort);

Unit
OpenGLLinux


glRasterPos2sv

glRasterPos2sv procedure

procedure glRasterPos2sv(v: PGLShort);

Unit
OpenGLLinux


glRasterPos3

glRasterPos3 procedure

procedure glRasterPos3(v: PGLdouble);

Unit
OpenGLLinux


glRasterPos3d

glRasterPos3d procedure

procedure glRasterPos3d(X, Y, z: GLdouble);

Unit
OpenGLLinux


glRasterPos3dv

glRasterPos3dv procedure

procedure glRasterPos3dv(v: PGLdouble);

Unit
OpenGLLinux


glRasterPos3f

glRasterPos3f procedure

procedure glRasterPos3f(X, Y, z: GLfloat);

Unit
OpenGLLinux


glRasterPos3fv

glRasterPos3fv procedure

procedure glRasterPos3fv(v: PGLfloat);

Unit
OpenGLLinux


glRasterPos3i

glRasterPos3i procedure

procedure glRasterPos3i(X, Y, z: GLint);

Unit
OpenGLLinux


glRasterPos3iv

glRasterPos3iv procedure

procedure glRasterPos3iv(v: PGLInt);

Unit
OpenGLLinux


glRasterPos3s

glRasterPos3s procedure

procedure glRasterPos3s(X, Y, z: GLshort);

Unit
OpenGLLinux


glRasterPos3sv

glRasterPos3sv procedure

procedure glRasterPos3sv(v: PGLShort);

Unit
OpenGLLinux


glRasterPos4

glRasterPos4 procedure

procedure glRasterPos4(v: PGLdouble);

Unit
OpenGLLinux


glRasterPos4d

glRasterPos4d procedure

procedure glRasterPos4d(X, Y, z, w: GLdouble);

Unit
OpenGLLinux


glRasterPos4dv

glRasterPos4dv procedure

procedure glRasterPos4dv(v: PGLdouble);

Unit
OpenGLLinux


glRasterPos4f

glRasterPos4f procedure

procedure glRasterPos4f(X, Y, z, w: GLfloat);

Unit
OpenGLLinux


glRasterPos4fv

glRasterPos4fv procedure

procedure glRasterPos4fv(v: PGLfloat);

Unit
OpenGLLinux


glRasterPos4i

glRasterPos4i procedure

procedure glRasterPos4i(X, Y, z, w: GLint);

Unit
OpenGLLinux


glRasterPos4iv

glRasterPos4iv procedure

procedure glRasterPos4iv(v: PGLInt);

Unit
OpenGLLinux


glRasterPos4s

glRasterPos4s procedure

procedure glRasterPos4s(X, Y, z, w: GLshort);

Unit
OpenGLLinux


glRasterPos4sv

glRasterPos4sv procedure

procedure glRasterPos4sv(v: PGLShort);

Unit
OpenGLLinux


glReadBuffer

glReadBuffer procedure

procedure glReadBuffer(mode: GLenum);

Unit
OpenGLLinux


glReadPixels

glReadPixels procedure

procedure glReadPixels(X, Y: GLint; width, height: GLsizei; format, _type: GLenum; pixels: Pointer);

Unit
OpenGLLinux


glRect

glRect procedure

procedure glRect(x1, y1, x2, y2: GLdouble);

Unit
OpenGLLinux


glRectd

glRectd procedure

procedure glRectd(x1, y1, x2, y2: GLdouble);

Unit
OpenGLLinux


glRectdv

glRectdv procedure

procedure glRectdv(v1, v2: PGLdouble);

Unit
OpenGLLinux


glRectf

glRectf procedure

procedure glRectf(x1, y1, x2, y2: GLfloat);

Unit
OpenGLLinux


glRectfv

glRectfv procedure

procedure glRectfv(v1, v2: PGLfloat);

Unit
OpenGLLinux


glRecti

glRecti procedure

procedure glRecti(x1, y1, x2, y2: GLint);

Unit
OpenGLLinux


glRectiv

glRectiv procedure

procedure glRectiv(v1, v2: PGLInt);

Unit
OpenGLLinux


glRects

glRects procedure

procedure glRects(x1, y1, x2, y2: GLshort);

Unit
OpenGLLinux


glRectsv

glRectsv procedure

procedure glRectsv(v1, v2: PGLShort);

Unit
OpenGLLinux


glRenderMode

glRenderMode function

function glRenderMode(mode: GLenum): GLint;

Unit
OpenGLLinux


glRotate

glRotate procedure

procedure glRotate(angle, X, Y, z: GLdouble);

Unit
OpenGLLinux


glRotated

glRotated procedure

procedure glRotated(angle, X, Y, z: GLdouble);

Unit
OpenGLLinux


glRotatef

glRotatef procedure

procedure glRotatef(angle, X, Y, z: GLfloat);

Unit
OpenGLLinux


glScale

glScale procedure

procedure glScale(X, Y, z: GLdouble);

Unit
OpenGLLinux


glScaled

glScaled procedure

procedure glScaled(X, Y, z: GLdouble);

Unit
OpenGLLinux


glScalef

glScalef procedure

procedure glScalef(X, Y, z: GLfloat);

Unit
OpenGLLinux


glScissor

glScissor procedure

procedure glScissor(X, Y: GLint; width, height: GLsizei);

Unit
OpenGLLinux


glSelectBuffer

glSelectBuffer procedure

procedure glSelectBuffer(size: GLsizei; buffer: PGLuint);

Unit
OpenGLLinux


glShadeModel

glShadeModel procedure

procedure glShadeModel(mode: GLenum);

Unit
OpenGLLinux


glStencilFunc

glStencilFunc procedure

procedure glStencilFunc(func: GLenum; ref: GLint; mask: GLuint);

Unit
OpenGLLinux


glStencilMask

glStencilMask procedure

procedure glStencilMask(mask: GLuint);

Unit
OpenGLLinux


glStencilOp

glStencilOp procedure

procedure glStencilOp(fail, zfail, zpass: GLenum);

Unit
OpenGLLinux


glTexCoord

glTexCoord procedure

procedure glTexCoord(s: GLdouble);

Unit
OpenGLLinux


glTexCoord1

glTexCoord1 procedure

procedure glTexCoord1(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord1d

glTexCoord1d procedure

procedure glTexCoord1d(s: GLdouble);

Unit
OpenGLLinux


glTexCoord1dv

glTexCoord1dv procedure

procedure glTexCoord1dv(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord1f

glTexCoord1f procedure

procedure glTexCoord1f(s: GLfloat);

Unit
OpenGLLinux


glTexCoord1fv

glTexCoord1fv procedure

procedure glTexCoord1fv(v: PGLfloat);

Unit
OpenGLLinux


glTexCoord1i

glTexCoord1i procedure

procedure glTexCoord1i(s: GLint);

Unit
OpenGLLinux


glTexCoord1iv

glTexCoord1iv procedure

procedure glTexCoord1iv(v: PGLInt);

Unit
OpenGLLinux


glTexCoord1s

glTexCoord1s procedure

procedure glTexCoord1s(s: GLshort);

Unit
OpenGLLinux


glTexCoord1sv

glTexCoord1sv procedure

procedure glTexCoord1sv(v: PGLShort);

Unit
OpenGLLinux


glTexCoord2

glTexCoord2 procedure

procedure glTexCoord2(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord2d

glTexCoord2d procedure

procedure glTexCoord2d(s, t: GLdouble);

Unit
OpenGLLinux


glTexCoord2dv

glTexCoord2dv procedure

procedure glTexCoord2dv(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord2f

glTexCoord2f procedure

procedure glTexCoord2f(s, t: GLfloat);

Unit
OpenGLLinux


glTexCoord2fv

glTexCoord2fv procedure

procedure glTexCoord2fv(v: PGLfloat);

Unit
OpenGLLinux


glTexCoord2i

glTexCoord2i procedure

procedure glTexCoord2i(s, t: GLint);

Unit
OpenGLLinux


glTexCoord2iv

glTexCoord2iv procedure

procedure glTexCoord2iv(v: PGLInt);

Unit
OpenGLLinux


glTexCoord2s

glTexCoord2s procedure

procedure glTexCoord2s(s, t: GLshort);

Unit
OpenGLLinux


glTexCoord2sv

glTexCoord2sv procedure

procedure glTexCoord2sv(v: PGLShort);

Unit
OpenGLLinux


glTexCoord3

glTexCoord3 procedure

procedure glTexCoord3(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord3d

glTexCoord3d procedure

procedure glTexCoord3d(s, t, r: GLdouble);

Unit
OpenGLLinux


glTexCoord3dv

glTexCoord3dv procedure

procedure glTexCoord3dv(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord3f

glTexCoord3f procedure

procedure glTexCoord3f(s, t, r: GLfloat);

Unit
OpenGLLinux


glTexCoord3fv

glTexCoord3fv procedure

procedure glTexCoord3fv(v: PGLfloat);

Unit
OpenGLLinux


glTexCoord3i

glTexCoord3i procedure

procedure glTexCoord3i(s, t, r: GLint);

Unit
OpenGLLinux


glTexCoord3iv

glTexCoord3iv procedure

procedure glTexCoord3iv(v: PGLInt);

Unit
OpenGLLinux


glTexCoord3s

glTexCoord3s procedure

procedure glTexCoord3s(s, t, r: GLshort);

Unit
OpenGLLinux


glTexCoord3sv

glTexCoord3sv procedure

procedure glTexCoord3sv(v: PGLShort);

Unit
OpenGLLinux


glTexCoord4

glTexCoord4 procedure

procedure glTexCoord4(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord4d

glTexCoord4d procedure

procedure glTexCoord4d(s, t, r, q: GLdouble);

Unit
OpenGLLinux


glTexCoord4dv

glTexCoord4dv procedure

procedure glTexCoord4dv(v: PGLdouble);

Unit
OpenGLLinux


glTexCoord4f

glTexCoord4f procedure

procedure glTexCoord4f(s, t, r, q: GLfloat);

Unit
OpenGLLinux


glTexCoord4fv

glTexCoord4fv procedure

procedure glTexCoord4fv(v: PGLfloat);

Unit
OpenGLLinux


glTexCoord4i

glTexCoord4i procedure

procedure glTexCoord4i(s, t, r, q: GLint);

Unit
OpenGLLinux


glTexCoord4iv

glTexCoord4iv procedure

procedure glTexCoord4iv(v: PGLInt);

Unit
OpenGLLinux


glTexCoord4s

glTexCoord4s procedure

procedure glTexCoord4s(s, t, r, q: GLshort);

Unit
OpenGLLinux


glTexCoord4sv

glTexCoord4sv procedure

procedure glTexCoord4sv(v: PGLShort);

Unit
OpenGLLinux


glTexEnv

glTexEnv procedure

procedure glTexEnv(target, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glTexEnvf

glTexEnvf procedure

procedure glTexEnvf(target, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glTexEnvfv

glTexEnvfv procedure

procedure glTexEnvfv(target, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glTexEnvi

glTexEnvi procedure

procedure glTexEnvi(target, pname: GLenum; param: GLint);

Unit
OpenGLLinux


glTexEnviv

glTexEnviv procedure

procedure glTexEnviv(target, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glTexGen

glTexGen procedure

procedure glTexGen(coord, pname: GLenum; param: GLdouble);

Unit
OpenGLLinux


glTexGend

glTexGend procedure

procedure glTexGend(coord, pname: GLenum; param: GLdouble);

Unit
OpenGLLinux


glTexGendv

glTexGendv procedure

procedure glTexGendv(coord, pname: GLenum; params: PGLdouble);

Unit
OpenGLLinux


glTexGenf

glTexGenf procedure

procedure glTexGenf(coord, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glTexGenfv

glTexGenfv procedure

procedure glTexGenfv(coord, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glTexGeni

glTexGeni procedure

procedure glTexGeni(coord, pname: GLenum; param: GLint);

Unit
OpenGLLinux


glTexGeniv

glTexGeniv procedure

procedure glTexGeniv(coord, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glTexImage1D

glTexImage1D procedure

procedure glTexImage1D(target: GLenum; level, components: GLint; width: GLsizei; border: GLint; format, _type: GLenum; pixels: Pointer);

Unit
OpenGLLinux


glTexImage2D

glTexImage2D procedure

procedure glTexImage2D(target: GLenum; level, components: GLint; width, height: GLsizei; border: GLint; format, _type: GLenum; pixels: Pointer);

Unit
OpenGLLinux


glTexParameter

glTexParameter procedure

procedure glTexParameter(target, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glTexParameterf

glTexParameterf procedure

procedure glTexParameterf(target, pname: GLenum; param: GLfloat);

Unit
OpenGLLinux


glTexParameterfv

glTexParameterfv procedure

procedure glTexParameterfv(target, pname: GLenum; params: PGLfloat);

Unit
OpenGLLinux


glTexParameteri

glTexParameteri procedure

procedure glTexParameteri(target, pname: GLenum; param: GLint);

Unit
OpenGLLinux


glTexParameteriv

glTexParameteriv procedure

procedure glTexParameteriv(target, pname: GLenum; params: PGLInt);

Unit
OpenGLLinux


glTranslate

glTranslate procedure

procedure glTranslate(X, Y, z: GLdouble);

Unit
OpenGLLinux


glTranslated

glTranslated procedure

procedure glTranslated(X, Y, z: GLdouble);

Unit
OpenGLLinux


glTranslatef

glTranslatef procedure

procedure glTranslatef(X, Y, z: GLfloat);

Unit
OpenGLLinux


gluBeginCurve

gluBeginCurve procedure

procedure gluBeginCurve(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluBeginSurface

gluBeginSurface procedure

procedure gluBeginSurface(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluBeginTrim

gluBeginTrim procedure

procedure gluBeginTrim(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluBuild1DMipmaps

gluBuild1DMipmaps function

function gluBuild1DMipmaps(target: GLenum; components, width: GLint; format, atype: GLenum; data: Pointer): Integer;

Unit
OpenGLLinux


gluBuild2DMipmaps

gluBuild2DMipmaps function

function gluBuild2DMipmaps(target: GLenum; components, width: GLint; format, atype: GLenum; data: Pointer): Integer;

Unit
OpenGLLinux


gluCylinder

gluCylinder procedure

procedure gluCylinder(quadObject: GLUquadricObj; baseRadius, topRadius, height: GLdouble; slices, stacks: GLint);

Unit
OpenGLLinux


gluDeleteNurbsRenderer

gluDeleteNurbsRenderer procedure

procedure gluDeleteNurbsRenderer(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluDeleteQuadric

gluDeleteQuadric procedure

procedure gluDeleteQuadric(state: GLUquadricObj);

Unit
OpenGLLinux


gluDeleteTess

gluDeleteTess procedure

procedure gluDeleteTess(tess: GLUtesselator);

Unit
OpenGLLinux


gluDisk

gluDisk procedure

procedure gluDisk(quadObject: GLUquadricObj; innerRadius, outerRadius: GLdouble; slices, loops: GLint);

Unit
OpenGLLinux


gluEndCurve

gluEndCurve procedure

procedure gluEndCurve(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluEndSurface

gluEndSurface procedure

procedure gluEndSurface(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluEndTrim

gluEndTrim procedure

procedure gluEndTrim(nobj: GLUnurbsObj);

Unit
OpenGLLinux


gluErrorString

gluErrorString function

function gluErrorString(errCode: GLenum): PChar;

Unit
OpenGLLinux


gluGetNurbsProperty

gluGetNurbsProperty procedure

procedure gluGetNurbsProperty(nobj: GLUnurbsObj; prop: GLenum; Var value: GLfloat);

Unit
OpenGLLinux


gluGetString

gluGetString function

function gluGetString(name: GLenum): PChar;

Unit
OpenGLLinux


gluLoadSamplingMatrices

gluLoadSamplingMatrices procedure

procedure gluLoadSamplingMatrices(nobj: GLUnurbsObj; modelMatrix, projMatrix: PGLdouble; viewport: PGLInt);

Unit
OpenGLLinux


gluLookAt

gluLookAt procedure

procedure gluLookAt(eyex, eyey, eyez, centerx, centery, centerz, upx, upy, upz: GLdouble);

Unit
OpenGLLinux


gluNewNurbsRenderer

gluNewNurbsRenderer function

function gluNewNurbsRenderer: GLUnurbsObj;

Unit
OpenGLLinux


gluNewQuadric

gluNewQuadric function

function gluNewQuadric: GLUquadricObj;

Unit
OpenGLLinux


gluNewTess

gluNewTess function

function gluNewTess: GLUtesselator;

Unit
OpenGLLinux


gluNurbsCallback

gluNurbsCallback procedure

procedure gluNurbsCallback(nobj: GLUnurbsObj; which: GLenum; callback: Pointer);

Unit
OpenGLLinux


gluNurbsCurve

gluNurbsCurve procedure

procedure gluNurbsCurve(nobj: GLUnurbsObj; nknots: GLint; knot: PGLfloat; stride: GLint; ctlpts: PGLfloat; order: GLint; _type: GLenum);

Unit
OpenGLLinux


gluNurbsProperty

gluNurbsProperty procedure

procedure gluNurbsProperty(nobj: GLUnurbsObj; prop: GLenum; value: GLfloat);

Unit
OpenGLLinux


gluNurbsSurface

gluNurbsSurface procedure

procedure gluNurbsSurface(nobj: GLUnurbsObj; sknot_count: GLint; sknot: PGLfloat; tknot_count: GLint; tknot: PGLfloat; s_stride, t_stride: GLint; ctlpts: PGLfloat; sorder, torder: GLint; _type: GLenum);

Unit
OpenGLLinux


gluOrtho2D

gluOrtho2D procedure

procedure gluOrtho2D(left, right, bottom, top: GLdouble);

Unit
OpenGLLinux


gluPartialDisk

gluPartialDisk procedure

procedure gluPartialDisk(quadObject: GLUquadricObj; innerRadius, outerRadius: GLdouble; slices, loops: GLint; startAngle, sweepAngle: GLdouble);

Unit
OpenGLLinux


gluPerspective

gluPerspective procedure

procedure gluPerspective(fovy, aspect, zNear, zFar: GLdouble);

Unit
OpenGLLinux


gluPickMatrix

gluPickMatrix procedure

procedure gluPickMatrix(X, Y, width, height: GLdouble; viewport: PGLInt);

Unit
OpenGLLinux


gluProject

gluProject function

function gluProject(objx, objy, obyz: GLdouble; modelMatrix, projMatrix: PGLdouble; viewport: PGLInt; Var winx, winy, winz: GLdouble): Integer;

Unit
OpenGLLinux


gluPwlCurve

gluPwlCurve procedure

procedure gluPwlCurve(nobj: GLUnurbsObj; count: GLint; Points: PGLfloat; stride: GLint; _type: GLenum);

Unit
OpenGLLinux


gluQuadricCallback

gluQuadricCallback procedure

procedure gluQuadricCallback(quadObject: GLUquadricObj; which: GLenum; callback: Pointer);

Unit
OpenGLLinux


gluQuadricDrawStyle

gluQuadricDrawStyle procedure

procedure gluQuadricDrawStyle(quadObject: GLUquadricObj; drawStyle: GLenum);

Unit
OpenGLLinux


gluQuadricNormals

gluQuadricNormals procedure

procedure gluQuadricNormals(quadObject: GLUquadricObj; normals: GLenum);

Unit
OpenGLLinux


gluQuadricOrientation

gluQuadricOrientation procedure

procedure gluQuadricOrientation(quadObject: GLUquadricObj; orientation: GLenum);

Unit
OpenGLLinux


gluQuadricTexture

gluQuadricTexture procedure

procedure gluQuadricTexture(quadObject: GLUquadricObj; textureCoords: GLboolean);

Unit
OpenGLLinux


gluScaleImage

gluScaleImage function

function gluScaleImage(format: GLenum; widthin, heightin: GLint; typein: GLenum; datain: Pointer; widthout, heightout: GLint; typeout: GLenum; dataout: Pointer): Integer;

Unit
OpenGLLinux


gluSphere

gluSphere procedure

procedure gluSphere(quadObject: GLUquadricObj; radius: GLdouble; slices, loops: GLint);

Unit
OpenGLLinux


gluTessBeginContour

gluTessBeginContour procedure

procedure gluTessBeginContour(tess: GLUtesselator);

Unit
OpenGLLinux


gluTessBeginPolygon

gluTessBeginPolygon procedure

procedure gluTessBeginPolygon(tess: GLUtesselator);

Unit
OpenGLLinux


gluTessCallback

gluTessCallback procedure

procedure gluTessCallback(tess: GLUtesselator; which: GLenum; callback: Pointer);

Unit
OpenGLLinux


gluTessEndContour

gluTessEndContour procedure

procedure gluTessEndContour(tess: GLUtesselator);

Unit
OpenGLLinux


gluTessEndPolygon

gluTessEndPolygon procedure

procedure gluTessEndPolygon(tess: GLUtesselator);

Unit
OpenGLLinux


gluTessNormal

gluTessNormal procedure

procedure gluTessNormal(tess: GLUtesselator; X, Y, z: GLdouble);

Unit
OpenGLLinux


gluTessProperty

gluTessProperty procedure

procedure gluTessProperty(tess: GLUtesselator; which: GLenum; value: GLdouble);

Unit
OpenGLLinux


gluTessVertex

gluTessVertex procedure

procedure gluTessVertex(tess: GLUtesselator; coords: PGLdouble; data: Pointer);

Unit
OpenGLLinux


gluUnProject

gluUnProject function

function gluUnProject(winx, winy, winz: GLdouble; modelMatrix, projMatrix: PGLdouble; viewport: PGLInt; Var objx, objy, objz: GLdouble): Integer;

Unit
OpenGLLinux


glVertex

glVertex procedure

procedure glVertex(X, Y: GLdouble);

Unit
OpenGLLinux


glVertex2

glVertex2 procedure

procedure glVertex2(v: PGLdouble);

Unit
OpenGLLinux


glVertex2d

glVertex2d procedure

procedure glVertex2d(X, Y: GLdouble);

Unit
OpenGLLinux


glVertex2dv

glVertex2dv procedure

procedure glVertex2dv(v: PGLdouble);

Unit
OpenGLLinux


glVertex2f

glVertex2f procedure

procedure glVertex2f(X, Y: GLfloat);

Unit
OpenGLLinux


glVertex2fv

glVertex2fv procedure

procedure glVertex2fv(v: PGLfloat);

Unit
OpenGLLinux


glVertex2i

glVertex2i procedure

procedure glVertex2i(X, Y: GLint);

Unit
OpenGLLinux


glVertex2iv

glVertex2iv procedure

procedure glVertex2iv(v: PGLInt);

Unit
OpenGLLinux


glVertex2s

glVertex2s procedure

procedure glVertex2s(X, Y: GLshort);

Unit
OpenGLLinux


glVertex2sv

glVertex2sv procedure

procedure glVertex2sv(v: PGLShort);

Unit
OpenGLLinux


glVertex3

glVertex3 procedure

procedure glVertex3(v: PGLdouble);

Unit
OpenGLLinux


glVertex3d

glVertex3d procedure

procedure glVertex3d(X, Y, z: GLdouble);

Unit
OpenGLLinux


glVertex3dv

glVertex3dv procedure

procedure glVertex3dv(v: PGLdouble);

Unit
OpenGLLinux


glVertex3f

glVertex3f procedure

procedure glVertex3f(X, Y, z: GLfloat);

Unit
OpenGLLinux


glVertex3fv

glVertex3fv procedure

procedure glVertex3fv(v: PGLfloat);

Unit
OpenGLLinux


glVertex3i

glVertex3i procedure

procedure glVertex3i(X, Y, z: GLint);

Unit
OpenGLLinux


glVertex3iv

glVertex3iv procedure

procedure glVertex3iv(v: PGLInt);

Unit
OpenGLLinux


glVertex3s

glVertex3s procedure

procedure glVertex3s(X, Y, z: GLshort);

Unit
OpenGLLinux


glVertex3sv

glVertex3sv procedure

procedure glVertex3sv(v: PGLShort);

Unit
OpenGLLinux


glVertex4

glVertex4 procedure

procedure glVertex4(v: PGLdouble);

Unit
OpenGLLinux


glVertex4d

glVertex4d procedure

procedure glVertex4d(X, Y, z, w: GLdouble);

Unit
OpenGLLinux


glVertex4dv

glVertex4dv procedure

procedure glVertex4dv(v: PGLdouble);

Unit
OpenGLLinux


glVertex4f

glVertex4f procedure

procedure glVertex4f(X, Y, z, w: GLfloat);

Unit
OpenGLLinux


glVertex4fv

glVertex4fv procedure

procedure glVertex4fv(v: PGLfloat);

Unit
OpenGLLinux


glVertex4i

glVertex4i procedure

procedure glVertex4i(X, Y, z, w: GLint);

Unit
OpenGLLinux


glVertex4iv

glVertex4iv procedure

procedure glVertex4iv(v: PGLInt);

Unit
OpenGLLinux


glVertex4s

glVertex4s procedure

procedure glVertex4s(X, Y, z, w: GLshort);

Unit
OpenGLLinux


glVertex4sv

glVertex4sv procedure

procedure glVertex4sv(v: PGLShort);

Unit
OpenGLLinux


glViewport

glViewport procedure

procedure glViewport(X, Y: GLint; width, height: GLsizei);

Unit
OpenGLLinux


glXChooseVisual

glXChooseVisual function

function glXChooseVisual(dpy: PDisplay; screen: Integer; Var attribList: Integer): PXVisualInfo;

Unit
OpenGLLinux


glXCreateContext

glXCreateContext function

function glXCreateContext(dpy: PDisplay; vis: PXVisualInfo; shareList: GLXContext; direct: Boolean): GLXContext;

Unit
OpenGLLinux


glXDestroyContext

glXDestroyContext procedure

procedure glXDestroyContext(dpy: PDisplay; ctx: GLXContext);

Unit
OpenGLLinux


glXMakeCurrent

glXMakeCurrent function

function glXMakeCurrent(dpy: PDisplay; drawable: GLXDrawable; ctx: GLXContext): Boolean;

Unit
OpenGLLinux


HasColors

HasColors function

function HasColors(ASeries: TChartSeries): Boolean;

Unit
TeEngine

Description
Returns True when the ASeries parameter contains custom colors.

When adding points to a Series without specifying colors, it is considered that all colors are "default", so this function will return False.

Internally, this function compares all Series colors with the default clTeeColor constant.

It is internally used when exporting Series data.


HasLabels

HasLabels function

function HasLabels(ASeries: TChartSeries): Boolean;

Unit
TeEngine

Description
Returns True when the ASeries parameter contains labels (texts).

When adding points to a Series without specifying text labels, this function will return False.

It is internally used when exporting Series data.


HasNoMandatoryValues

HasNoMandatoryValues function

function HasNoMandatoryValues(ASeries: TChartSeries): Boolean;

Unit
TeEngine

Description
Returns True when the ASeries parameter contains values in its "no mandatory" value list.

By default, the Series "No Mandatory" value list is X values.

If only Y values are used when adding points to a Series, this function will return False.

It is internally used when exporting Series data.


Histogram

Histogram procedure

procedure Histogram(Data: TChartValues; Var Bins, Counts: TChartValues; Min, Max: Double; nbins: Integer; DataStyle: TDataStyle);

Unit
TeeHistogram

Description
Internally used by THistogramFunction.

This global procedure returns at Bins and Counts array parameters the calculation using Data source values.

Data is separated into nbins different groups and counted.


HLSToColor

HLSToColor function

function HLSToColor(Hue, Luminance, Saturation: Word): TColor;

Unit
TeeFilters

Description
Returns the Color created with the separate component parameters.


HLSToRGB

HLSToRGB procedure

procedure HLSToRGB(Hue, Luminance, Saturation: Word; Out rgb: TRGB);

Unit
TeeFilters

Description
Returns the "rgb" parameter created using the Hue, Luminance and Saturation parameters.


HtmlMultiLineTextHeight

HtmlMultiLineTextHeight function

function HtmlMultiLineTextHeight(ACanvas: TTeeCanvas; S: String; Out NumLines: Integer): Integer;

Unit
TeeHtml


HtmlTextExtent

HtmlTextExtent function

function HtmlTextExtent(ACanvas: TTeeCanvas; Const Text: String): TSize;

Unit
TeeHtml

Description

Returns the maximum width and height (boundaries) of text parameter after interpreting its HTML formatting tags.


HtmlTextOut

HtmlTextOut procedure

procedure HtmlTextOut(ACanvas: TTeeCanvas; Const x, y: Integer; Text: String);

Unit
TeeHtml

Description

Outputs text to ACanvas canvas, interpreting its HTML formatting tags.
Starts at passed X and Y pixel coordinates.


InternalGetDIB

InternalGetDIB function

function InternalGetDIB(Bitmap: HBitmap; Palette: HPalette; BitmapInfo, Bits, PixelFormat: TPixelFormat): Boolean;

Unit
GIFImage


InternalGetDIBSizes

InternalGetDIBSizes procedure

procedure InternalGetDIBSizes(Bitmap: HBitmap; Var InfoHeaderSize: Integer; Var ImageSize: Longint; PixelFormat: TPixelFormat);

Unit
GIFImage


InternalSaveViewState

InternalSaveViewState function

function InternalSaveViewState(Value: TCustomChart): System;

Unit
Steema


IsAlphaPixelFormat

IsAlphaPixelFormat function

function IsAlphaPixelFormat(pixfmt: PixelFormat): BOOL;

Unit
GDIPAPI


IsCanonicalPixelFormat

IsCanonicalPixelFormat function

function IsCanonicalPixelFormat(pixfmt: PixelFormat): BOOL;

Unit
GDIPAPI


IsEmf

IsEmf function

function IsEmf: BOOL;

Unit
GDIPAPI


IsEmfOrEmfPlus

IsEmfOrEmfPlus function

function IsEmfOrEmfPlus: BOOL;

Unit
GDIPAPI


IsExtendedPixelFormat

IsExtendedPixelFormat function

function IsExtendedPixelFormat(pixfmt: PixelFormat): BOOL;

Unit
GDIPAPI


IsIndexedPixelFormat

IsIndexedPixelFormat function

function IsIndexedPixelFormat(pixfmt: PixelFormat): BOOL;

Unit
GDIPAPI


IsWmf

IsWmf function

function IsWmf: BOOL;

Unit
GDIPAPI


IsWmfPlaceable

IsWmfPlaceable function

function IsWmfPlaceable: BOOL;

Unit
GDIPAPI


LoadBitmapFromResourceName

LoadBitmapFromResourceName procedure

procedure LoadBitmapFromResourceName(ABitmap: TBitmap; Const ResName: String);

Unit
ImageBar

Description
LoadBitmapFromResourceName loads a bitmap (along with palette information) from a resource linked to the executable.
Specify the resource to be loaded as the value of ResName.

This procedure is designed to work also when the application is compiled "using packages".


LoadChartFromFile

LoadChartFromFile procedure

procedure LoadChartFromFile(Var AChart: TCustomChart; Const AFileName: String);

Unit
TeeStore

Description
This method will import the TeeChart 'tee' template Chart from the specified File Name, applying all properties of the template to the Chart.

Tee templates are an efficient way to save and load runtime Chart appearance and may be saved at runtime using the TChart SaveChartToFile.

Optionally, Tee templates can contain Series data values.

The usage of this procedure obligues to cast the Chart parameter, to return the correct new pointer address:

Uses TeeStore;
LoadChartFromFile( TCustomChart( Chart1 ), 'mychart.tee' );


LoadChartFromStream

LoadChartFromStream procedure

procedure LoadChartFromStream(Var AChart: TCustomChart; AStream: TStream);

Unit
TeeStore

Description
This method will import the TeeChart 'tee' template Chart from the specified Stream, applying all properties of the template to the Chart.

See also LoadChartFromFile procedure for more information.


LoadChartFromURL

LoadChartFromURL procedure

procedure LoadChartFromURL(Var AChart: TCustomChart; Const URL: AnsiString);

Unit
TeeURL

Description
Loads a Tee file from an URL address

LoadChartFromURL( TCustomChart( Chart1 ) , 'http://www.steema.com/demo.tee' );

Note:

If the existing Chart1 already contains Series, they will be replaced by the ones contained in the URL *.tee file.

See also LoadChartFromFile procedure for more information.


LoadFromFileX

LoadFromFileX procedure

procedure LoadFromFileX(Const FileName: String; Const Bitmap: TBitmap);

Unit
PCX


LoadMap

LoadMap procedure

procedure LoadMap(Series: TMapSeries; Const FileName: String; Table: TDataSet; Const FieldName, FieldValue: String; ClearSeries: Boolean);

Unit
TeeSHP

Description
Load a "shape file" (*.shp) and adds its polygons to Series parameter.

The optional Table, FieldName and FieldValue parameters are used to open an associated dataset (usually a dBase table) with one record for each polygon in the shape file.
If Table parameter is not nil, then the FieldName field is used to set each Series XLabel text, and the FieldValue field is used to set each Series ZValue value.

The ClearSeries parameter (default is True) determines if the Series parameter will be emptied or not before loading the shape file.
You can pass False if you need to preserve current Series shapes and want to aggregate contents from the shape file (or to load more than one shape file to the same Series).

This method is internally used by the TWorldSeries.

For more information:
http://en.wikipedia.org/wiki/Shapefile


LoadPostData

LoadPostData function

function LoadPostData(postDataKey: String; postCollection: NameValueCollection): Boolean;

Unit
Steema


LoadTeeFromFile

LoadTeeFromFile procedure

procedure LoadTeeFromFile(Var APanel: TCustomTeePanel; Const AName: String);

Unit
TeeExport

Description
Alternative method to LoadChartFromFile.

It can be used to load non-chart objects, like TDraw3D or TeeTree components.

For Chart and DBChart components, use LoadChartFromFile method in TeeStore unit.


LoadTeeFromStream

LoadTeeFromStream procedure

procedure LoadTeeFromStream(Var APanel: TCustomTeePanel; AStream: TStream);

Unit
TeeExport

Description
Alternative method to LoadChartFromStream.

See also LoadTeeFromFile procedure.


MakeCharacterRange

MakeCharacterRange function

function MakeCharacterRange(First, Length: Integer): TCharacterRange;

Unit
GDIPAPI


MakeColor

MakeColor function

function MakeColor(r, g, b: Byte): ARGB;

Unit
GDIPAPI


MakePoint

MakePoint function

function MakePoint(Const X, Y: Single): TGPPointF;

Unit
GDIPAPI


MakeRect

MakeRect function

function MakeRect(Const X, Y, Width, Height: Single): TGPRectF;

Unit
GDIPAPI


MakeSize

MakeSize function

function MakeSize(Const Width, Height: Single): TGPSizeF;

Unit
GDIPAPI


MatrixAdjoint

MatrixAdjoint procedure

procedure MatrixAdjoint(Var M: TMatrix);

Unit
TeeGeometry


MatrixAffineDeterminant

MatrixAffineDeterminant function

function MatrixAffineDeterminant(Const M: TAffineMatrix): Single;

Unit
TeeGeometry


MatrixAffineTranspose

MatrixAffineTranspose procedure

procedure MatrixAffineTranspose(Var M: TAffineMatrix);

Unit
TeeGeometry


MatrixDecompose

MatrixDecompose function

function MatrixDecompose(Const M: TMatrix; Var Tran: TTransformations): Boolean;

Unit
TeeGeometry


MatrixDeterminant

MatrixDeterminant function

function MatrixDeterminant(Const M: TMatrix): Single;

Unit
TeeGeometry


MatrixInvert

MatrixInvert procedure

procedure MatrixInvert(Var M: TMatrix);

Unit
TeeGeometry


MatrixMultiply

MatrixMultiply function

function MatrixMultiply(Const M1, M2: TMatrix): TMatrix;

Unit
TeeGeometry


MatrixScale

MatrixScale procedure

procedure MatrixScale(Var M: TMatrix; Const Factor: Single);

Unit
TeeGeometry


MatrixTranspose

MatrixTranspose procedure

procedure MatrixTranspose(Var M: TMatrix);

Unit
TeeGeometry


ObjectTypeIsValid

ObjectTypeIsValid function

function ObjectTypeIsValid(type_: ObjectType): BOOL;

Unit
GDIPAPI


Offset

Offset variable

Var Offset;

Unit
TeeGLCanvas


OrientRectangle

OrientRectangle function

function OrientRectangle(Const R: TRect): TRect;

Unit
TeCanvas

Description
Returns the passed R rectangle after correcting Left <= Right and Top <= Bottom.

Swaps Left and Right if Left is bigger than Right.
Swaps Top and Bottom if Top is bigger than Bottom.


PaintSeriesLegend

PaintSeriesLegend procedure

procedure PaintSeriesLegend(ASeries: TChartSeries; ACanvas: TCanvas; Const R: TRect);

Unit
Chart

Description
This procedure is internally used by the Series Editor dialog to display a graphical representation of the ASeries parameter.

You can also use this procedure in your own applications, although is an internal procedure and might change in the future.

Example:

PaintSeriesLegend( Series1, PaintBox1.Canvas, PaintBox1.ClientRect );

This procedure is also used by the Chart ListBox component to display each series.


Point3D

Point3D function

function Point3D(Const X, Y, Z: Integer): TPoint3D;

Unit
TeCanvas

Description
Returns a new stack allocated record of type TPoint3D

( TPoint3D record contains "x,y,z : Integer" )


PointAtDistance

PointAtDistance function

function PointAtDistance(Const AFrom, ATo: TPoint; ADist: Integer): TPoint;

Unit
TeCanvas

Description
Given a line containing AFrom and ATo points, this function calculates a new point in the line that has the specified ADist distance from ATo point.


PointInEllipse

PointInEllipse function

function PointInEllipse(Const P: TPoint; Const Rect: TRect): Boolean;

Unit
TeeProcs

Description
Returns True if point P is inside the ellipse bounded by Rect.


PointInHorizTriangle

PointInHorizTriangle function

function PointInHorizTriangle(Const P: TPoint; Const Y0, Y1, X0, X1: Integer): Boolean;

Unit
TeeProcs

Description
Returns True if point P is inside the horiz triangle of x0y0, x1midY, x0y0.


PointInLine

PointInLine function

function PointInLine(Const P: TPoint; Const px, py, qx, qy: Integer): Boolean;

Unit
TeeProcs

Description
Returns True if point T is over line: P --> Q.


PointInLineTolerance

PointInLineTolerance function

function PointInLineTolerance(Const P: TPoint; Const px, py, qx, qy, TolerancePixels: Integer): Boolean;

Unit
TeeProcs

Description
Returns True if point T is over (more or less "Tolerance" pixels) line: P --> Q.


PointInPolygon

PointInPolygon function

function PointInPolygon(Const P: TPoint; Const Poly: array of TPoint): Boolean;

Unit
TeeProcs

Description
Returns True if the point P xy coordinates are inside the Poly polygon of points.


PointInRect

PointInRect function

function PointInRect(Const Rect: TRect; Const P: TPoint): Boolean;

Unit
TeCanvas

Description
Returns True when the XY coordinates are inside the Rect bounds.


PointInTriangle

PointInTriangle function

function PointInTriangle(Const P, P0, P1, P2: TPoint): Boolean;

Unit
TeeProcs

Description
Returns True if point P is inside the vert triangle of x0y0, midxY1, x1y0.


PolyFitting

PolyFitting procedure

procedure PolyFitting(NumPoints, PolyDegree: Integer; Const X, Y: TVector; Var Answer: TDegreeVector);

Unit
TeePoly

Description
The PolyFitting procedure uses Gaussian algorithm to fit the PolyDegree order polynomial to a giver range of points. Points are stored in X and Y arrays.

The algorithm assumes size of X and Y array is equal to NumPoints parameter.
The result - coefficients of fitted polynomial - are returned in Answer array.

The size of Answer array is adjusted automatically.

See also the TeeChart Features demo for an example of obtaining the Array coefficients.

The maximum number of points that can be passed to PolyFitting is 32600.

The maximum allowed PolyDegree (cpu dependant) is aproximately 20.


PolygonArea

PolygonArea function

function PolygonArea(Const P: TPointArray): Double;

Unit
TeCanvas

Description
Returns the size of the closed polygon represented by the array of points P.


PolygonBounds

PolygonBounds function

function PolygonBounds(Const P: array of TPoint): TRect;

Unit
TeCanvas

Description
Returns the smallest rectangle coordinates that contains all XY points in P array.


PolygonCentroid

PolygonCentroid function

function PolygonCentroid(Const P: TPointArray): TPointFloat;

Unit
TeCanvas

Description
Returns the XY coordinates of the point that represents the best "center" of the polygon made with the array of points "P".


PolygonInPolygon

PolygonInPolygon function

function PolygonInPolygon(Const A, B: array of TPoint): Boolean;

Unit
TeCanvas

Description
Returns True when all points of polygon A are inside the boundaries of points that make polygon B.


PositionToCenter

PositionToCenter procedure

procedure PositionToCenter(Const Form: TForm);

Unit
TeePenDlg

Description
Changes the Form parameter Left and Top properties to the center of the screen or the center of the Form Owner depending if the Form Position property is poOwnerFormCenter.


QuaternionConjugate

QuaternionConjugate function

function QuaternionConjugate(Const Q: TQuaternion): TQuaternion;

Unit
TeeGeometry


QuaternionFromPoints

QuaternionFromPoints function

function QuaternionFromPoints(Const V1, V2: TAffineVector): TQuaternion;

Unit
TeeGeometry


QuaternionMultiply

QuaternionMultiply function

function QuaternionMultiply(Const qL, qR: TQuaternion): TQuaternion;

Unit
TeeGeometry


QuaternionSlerp

QuaternionSlerp function

function QuaternionSlerp(Const QStart, QEnd: TQuaternion; Spin: Integer; t: Single): TQuaternion;

Unit
TeeGeometry


QuaternionToMatrix

QuaternionToMatrix function

function QuaternionToMatrix(Const Q: TQuaternion): TMatrix;

Unit
TeeGeometry


QuaternionToPoints

QuaternionToPoints procedure

procedure QuaternionToPoints(Const Q: TQuaternion; Var ArcFrom, ArcTo: TVector);

Unit
TeeGeometry


RaisePostBackEvent

RaisePostBackEvent procedure

procedure RaisePostBackEvent(eventArgument: String);

Unit
Steema


RaisePostDataChangedEvent

RaisePostDataChangedEvent procedure

procedure RaisePostDataChangedEvent;

Unit
Steema


RectangleInRectangle

RectangleInRectangle function

function RectangleInRectangle(Const Small, Big: TRect): Boolean;

Unit
TeCanvas

Description
Returns True when rectangle Small is inside rectangle Big.


RectCenter

RectCenter procedure

procedure RectCenter(Const R: TRect; Var X, Y: Integer);

Unit
TeCanvas

Description
Returns X,Y co-ordinate at Rectangle R's centre.


RectFromPolygon

RectFromPolygon function

function RectFromPolygon(Const Points: array of TPoint; NumPoints: Integer): TRect;

Unit
TeCanvas

Description
Returns the bounding rectangle for a given array of XY points.
That is, the minimum rectangle that fits all points.


RectFromTriangle

RectFromTriangle function

function RectFromTriangle(Const Points: TTrianglePoints): TRect;

Unit
TeCanvas

Description
Returns the smallest rectangle coordinates that contains the 3 XY points.


RectSize

RectSize procedure

procedure RectSize(Const R: TRect; Var RectWidth, RectHeight: Integer);

Unit
TeCanvas

Description
Returns the dimensions of Rect R.

RectWidth := R.Right - R.Left

and

RectHeight := R.Bottom - R.Top


RectToFourPoints

RectToFourPoints procedure

procedure RectToFourPoints(Const ARect: TRect; Const Angle: Double; Var P: TFourPoints);

Unit
TeeProcs

Description
Returns the P parameter array filled with the ARect corners rotated around the Angle parameter in 2D.


ReduceColors

ReduceColors function

function ReduceColors(Bitmap: TBitmap; ColorReduction: TColorReduction; DitherMode: TDitherMode; ReductionBits: Integer; CustomPalette: HPalette): TBitmap;

Unit
GIFImage


RegisterAnimation

RegisterAnimation procedure

procedure RegisterAnimation(Animation: TAnimationClass);

Unit
TeeAnimate


RegisterChartThemes

RegisterChartThemes procedure

procedure RegisterChartThemes(Const Themes: array of TChartThemeClass);

Unit
TeeThemes

Description
Adds a new theme class to the internal list of available themes.

The TChartThemeSelector form uses this internal list to present available themes to the user.

type
TMyVisualTheme = class( TChartTheme )
...
end;

RegisterChartThemes( [ TMyVisualTheme ] );


RegisterTeeAnimations

RegisterTeeAnimations procedure

procedure RegisterTeeAnimations(AAnimations: array of TTeeCustomAnimationClass);

Unit
Chart


RegisterTeeExportFormat

RegisterTeeExportFormat procedure

procedure RegisterTeeExportFormat(AFormat: TTeeExportFormatClass);

Unit
TeeExport

Description
This procedures registers (adds) a new Exporting format into the list of export formats.

This list is used by the Chart export dialog to show the available exporting types.


RegisterTeeSeries

RegisterTeeSeries procedure

procedure RegisterTeeSeries(ASeriesClass: TChartSeriesClass; ADescription, AGalleryPage: PString; ANumGallerySeries: Integer);

Unit
Chart

Description
Adds a new type of Series object into the registered Series classes list.

The ADescription and AGalleryPage parameters are used to display the Series at the Chart Gallery.

The ANumGallerySeries parameter determines how many Series will be used to create the small Chart at the Gallery.


RegisterTeeStandardSeries

RegisterTeeStandardSeries procedure

procedure RegisterTeeStandardSeries;

Unit
Series

Description
This global procedure registers all basic standard Series types:

Line, Point, Area, HorizArea, Bar, HorizBar, HorizLine, Pie, FastLine.

In previous versions, these classes were automatically registered at the initialization part of Series.pas unit.

In current version, this procedure is called when the application uses TeeEditPro unit.

The reason is to avoid linking all those Series classes in case the application is using only one or few of them. (ie: Saving in executable size).

If you are loading *.tee files from templates, you might want to call this procedure to register all basic Series types in Series unit.


RegisterTeeTools

RegisterTeeTools procedure

procedure RegisterTeeTools(ATools: array of TTeeCustomToolClass);

Unit
Chart

Description
Adds the Tools array of classes to the internal list of registered tools.

This internal list is used to display the available tool classes at the Chart Tools Editor dialog.

This method is usually called at the initialization section of a unit that includes a Chart Tool derived class.

See also:

UnRegisterTeeTools
TeeTools unit.


Render

Render procedure

procedure Render(Output: HtmlTextWriter);

Unit
Steema


ReplaceChar

ReplaceChar function

function ReplaceChar(Const AString: String; Const Search, Replace: Char): String;

Unit
TeeProcs

Description
Replaces all "search" characters in string AString, with "Replace" character.

Returns new string.


RGBA

RGBA function

function RGBA(Const RGBA: TRGBA): TColor;

Unit
TeCanvas


RGBToHLS

RGBToHLS procedure

procedure RGBToHLS(Const Color: TRGB; Out Hue, Luminance, Saturation: Word);

Unit
TeeFilters

Description
Extracts the Color "rgb" parameter to its separate Hue, Luminance and Saturation components.


RGBValue

RGBValue function

function RGBValue(Const Color: TColor): TRGB;

Unit
TeCanvas

Description
Returns a TRGBTriple structure for a given color.
This structure contains 3 bytes corresponding to Red, Green and Blue parts of color.


SaveChartDialog

SaveChartDialog function

function SaveChartDialog(AChart: TCustomChart): String;

Unit
TeeEditPro

Description
Shows the Chart Save dialog. Returns a FileName typed by the user.


SaveChartToFile

SaveChartToFile procedure

procedure SaveChartToFile(AChart: TCustomChart; Const AFileName: String; IncludeData, TextFormat: Boolean);

Unit
TeeStore

Description
This method will save the current chart as a TeeChart 'tee' template to the specified File Name.
Tee templates are an efficient way to save runtime Chart appearance and may be loaded at runtime using the LoadChartFromFile.

The IncludeData parameter determines if Series point values are stored or not together with the template definition.
This includes Series point values, colors and text labels.


SaveChartToStream

SaveChartToStream procedure

procedure SaveChartToStream(AChart: TCustomChart; AStream: TStream; IncludeData, TextFormat: Boolean);

Unit
TeeStore

Description
Saves TChart 'AChart' to a Stream as a tee template.
Use the IncludeData boolean property to include or exclude data from the tee file.


SaveChartToXMLFile

SaveChartToXMLFile procedure

procedure SaveChartToXMLFile(AChart: TCustomChart; Const AFileName: String; IncludeData, XMLHeader: Boolean);

Unit
TeeStore

Description
Stores a Chart properties into a file in <xml> format.

See also: SaveChartToXMLStream method. SaveChartToFile method.


SaveChartToXMLStream

SaveChartToXMLStream procedure

procedure SaveChartToXMLStream(AChart: TCustomChart; AStream: TStream; IncludeData, XMLHeader: Boolean);

Unit
TeeStore

Description
Stores a Chart properties into a stream in <xml> format.

See also: SaveChartToXMLFile method. SaveChartToStream method.


SaveTeeToFile

SaveTeeToFile procedure

procedure SaveTeeToFile(APanel: TCustomTeePanel; Const AName: String);

Unit
TeeExport

Description
Alternative method to SaveChartToFile.
Saves TChart 'AChart' to File 'AName' as a tee template, including data.

Use the SaveChartToFile IncludeData boolean parameter to include or exclude data from the tee file.


SaveTeeToStream

SaveTeeToStream procedure

procedure SaveTeeToStream(APanel: TCustomTeePanel; AStream: TStream);

Unit
TeeExport

Description
Alternative method to SaveChartToStream.
SaveTeeToStream includes Chart data.


SaveToFileX

SaveToFileX procedure

procedure SaveToFileX(Const FileName: String; Const Bitmap: TBitmap; PcxType: Byte);

Unit
PCX


ScreenRatio

ScreenRatio function

function ScreenRatio(ACanvas: TCanvas3D): Double;

Unit
TeeProcs

Description
Returns a number between 0 and 1 indicating the proportion of horizontal screen resolution versus vertical screen resolution:

ScreenRatio = Horizontal / Vertical

This function is used by TCircledSeries to calculate the horizontal and vertical radius of the series so it appears as a circle and not an ellipse on screen.

Note:
On some machines and operating systems the screen ratio cannot be correctly calculated and might return wrong results (ie: on Remote Desktop sessions).


SeriesEditorForm

SeriesEditorForm function

function SeriesEditorForm(Series: TChartSeries): TFormClass;

Unit
TeeEdiSeri

Description
Creates and returns a series editor instance that is associated to Series instance.

with SeriesEditorForm( Series1 ) do
try
ShowModal;
finally
Free;
end;


SeriesGuessContents

SeriesGuessContents function

function SeriesGuessContents(ASeries: TChartSeries): TeeFormatFlag;

Unit
TeEngine

Description
Given a Series, returns an special set describing the Series data.
This set might include Colors, Labels, XValues, indicating the Series contains that data.

It is internally used by SaveChartToStream method and others.

The purpose of this "flag" variable is to minimize the amount of data stored into the stream.
For example, if the Series has no Labels, Labels are not stored.


SeriesNameOrIndex

SeriesNameOrIndex function

function SeriesNameOrIndex(ASeries: TCustomChartSeries): String;

Unit
TeEngine

Description
Returns a string containing the name of the ASeries parameter or its index position inside the Chart, if ASeries Name is empty.


SeriesTitleOrName

SeriesTitleOrName function

function SeriesTitleOrName(ASeries: TCustomChartSeries): String;

Unit
TeEngine

Description
If the Title for a ChartSeries is set the string returned will be the Series Title .
If no Title is set the Series Name will be returned.


SetChart

SetChart procedure

procedure SetChart(Const Value: TDBChart);

Unit
Steema


SetDefaultColorPalette

SetDefaultColorPalette procedure

procedure SetDefaultColorPalette;

Unit
TeeProcs

Description
Replaces the current Chart color palette with the default one.

The default color palette contains the colors used by TeeChart since version 1.0


SetVectorValue

SetVectorValue procedure

procedure SetVectorValue(Const V: TVector; Index: Integer; Const Value: Float);

Unit
TeePoly

Description
The SetVectorValue procedure sets the V[Index] value. This procedure is used internally by the CurvFitt unit.


ShowControls

ShowControls procedure

procedure ShowControls(Show: Boolean; Const AControls: array of TControl);

Unit
TeePenDlg

Description
Shows or hides the array of controls.
Same as setting Visible property to all AControls.

ShowControls( True, [ CheckBox1, Button1, Label2 ] );


ShowFiltersEditor

ShowFiltersEditor function

function ShowFiltersEditor(AOwner: TComponent; APicture: TTeePicture): Boolean;

Unit
TeeFiltersEditor

Description
Shows a modal dialog that enables users to add, configure and remove all filters of APicture instance.

Returns True when the user closes the modal dialog clicking the OK button.


ShowMessageUser

ShowMessageUser procedure

procedure ShowMessageUser(Const S: String);

Unit
TeEngine

Description
Uses Windows MessageBox API to show the S text string in a message dialog.


ShowThemesEditor

ShowThemesEditor procedure

procedure ShowThemesEditor(Value: Boolean);

Unit
TeeThemeEditor

Description
Specifies if the chart Themes editor dialog tab will be displayed or not together with the chart editor dialog.
By default, the Themes tab is displayed.


SmoothStretch

SmoothStretch procedure

procedure SmoothStretch(Src, Dst: TBitmap);

Unit
TeCanvas

Description
This method fills the "Dst" bitmap with either a reduced or enlarged view of the "Src" source bitmap.

It's very similar to existing TCanvas Draw method, except it does a better job of smoothing points so the resulting bitmap, if very different in size than the source bitmap, does not loose similarity.

This method uses a modified version of Resample.pas unit by Anders Melander.

Anders Melander Resample.pas
www.melander.dk anders@aztech.dk


SwapDouble

SwapDouble procedure

procedure SwapDouble(Var A, B: Double);

Unit
TeCanvas

Description
Exchanges values in A and B parameters.

This is equivalent to:

var tmp : Double;
tmp:=a;
a:=b;
b:=tmp;


SwapInteger

SwapInteger procedure

procedure SwapInteger(Var A, B: Integer);

Unit
TeCanvas

Description
Exchanges values in A and B parameters.

This is equivalent to:

var tmp : Integer;
tmp:=a;
a:=b;
b:=tmp;


TeeAntiAlias

TeeAntiAlias function

function TeeAntiAlias(Panel: TCustomTeePanel; ChartRect: Boolean): TBitmap;

Unit
TeeProcs

Description
Returns a bitmap that contains the Panel (or Chart) parameter.

The bitmap shows a chart reduced 2 times from a 2 times bigger original size.
The process of increasing and reducing pixels improves the visual appearance of curved lines and text.


TeeAskLanguage

TeeAskLanguage function

function TeeAskLanguage: Boolean;

Unit
TeeTranslate

Description
Creates a TAskLanguage form and lets the user select and change the current language.


TeeBlendBitmaps

TeeBlendBitmaps procedure

procedure TeeBlendBitmaps(Const Percent: Double; ABitmap, BBitmap: TBitmap; BOrigin: TPoint; TransparentMask: TBitmap);

Unit
TeCanvas


TeeCalcLines

TeeCalcLines procedure

procedure TeeCalcLines(Var Lines: TRGBArray; Bitmap: TBitmap);

Unit
TeCanvas


TeeCanTranslate

TeeCanTranslate function

function TeeCanTranslate(Var S, HotKeyList: String): Boolean;

Unit
TeeTranslate

Description
Internal use.
Used when translating forms.


TeeCreateBrazil2

TeeCreateBrazil2 procedure

procedure TeeCreateBrazil2;

Unit
TeeBrazil


TeeCreateBulgarian

TeeCreateBulgarian procedure

procedure TeeCreateBulgarian;

Unit
TeeBulgarian


TeeCreateBulgarian2

TeeCreateBulgarian2 procedure

procedure TeeCreateBulgarian2;

Unit
TeeBulgarian


TeeCreateCzech2

TeeCreateCzech2 procedure

procedure TeeCreateCzech2;

Unit
TeeCzech


TeeCreateDanish2

TeeCreateDanish2 procedure

procedure TeeCreateDanish2;

Unit
TeeDanish


TeeCreateFarsi2

TeeCreateFarsi2 procedure

procedure TeeCreateFarsi2;

Unit
TeeFarsi


TeeCreateFrench2

TeeCreateFrench2 procedure

procedure TeeCreateFrench2;

Unit
TeeFrench


TeeCreateGerman2

TeeCreateGerman2 procedure

procedure TeeCreateGerman2;

Unit
TeeGerman


TeeCreateHellenic2

TeeCreateHellenic2 procedure

procedure TeeCreateHellenic2;

Unit
TeeHellenic


TeeCreateHindi2

TeeCreateHindi2 procedure

procedure TeeCreateHindi2;

Unit
TeeHindi


TeeCreateIndonesian2

TeeCreateIndonesian2 procedure

procedure TeeCreateIndonesian2;

Unit
TeeIndonesian


TeeCreateItalian2

TeeCreateItalian2 procedure

procedure TeeCreateItalian2;

Unit
TeeItalian


TeeCreateJapanese2

TeeCreateJapanese2 procedure

procedure TeeCreateJapanese2;

Unit
TeeJapanese


TeeCreateKorean2

TeeCreateKorean2 procedure

procedure TeeCreateKorean2;

Unit
TeeKorean


TeeCreateNorwegian2

TeeCreateNorwegian2 procedure

procedure TeeCreateNorwegian2;

Unit
TeeNorwegian


TeeCreatePenSmallDots

TeeCreatePenSmallDots function

function TeeCreatePenSmallDots(Const AColor: TColor; Const Space: Integer): HPen;

Unit
TeCanvas

Description
Returns a Windows Handle of a GDI Pen object, created using the AColor parameter and setting the pen style to thin, small dots.

This is different than setting a normal Pen object Style property to "psDot".

Small dots are only supported in Windows NT, 2000 and XP.

In Windows 95,98 and Me, returns the Handle of a newly created Windows Pen object with style "psDot".


TeeCreatePolish2

TeeCreatePolish2 procedure

procedure TeeCreatePolish2;

Unit
TeePolish


TeeCreateRussian2

TeeCreateRussian2 procedure

procedure TeeCreateRussian2;

Unit
TeeRussian


TeeCull

TeeCull function

function TeeCull(Const P: TFourPoints): Boolean;

Unit
TeCanvas

Description
Internally used in 3D drawing operations to determine if a solid face should be displayed or not.

Given a set of 3 points (P[0], P[1] and P[2]), this function returns true when the 3 points are in clockwise order.


TeeCursorToIdent

TeeCursorToIdent function

function TeeCursorToIdent(ACursor: Integer; Var AName: String): Boolean;

Unit
TeeMouseCursor

Description
Given a TCursor parameter, returns in AName the equivalent textual representation of the cursor name.

Returns True if the name can be found, or False if not.


TeeDateTimeIncrement

TeeDateTimeIncrement procedure

procedure TeeDateTimeIncrement(IsDateTime, Increment: Boolean; Var Value: Double; Const AnIncrement: Double; tmpWhichDateTime: TDateTimeStep);

Unit
TeeProcs

Description
Increment or Decrement "Value", for DateTime and not-DateTime.


TeeDBSummaryEditor

TeeDBSummaryEditor function

function TeeDBSummaryEditor(AOwner: TComponent; ASeries: TChartSeries): Boolean;

Unit
TeeDBSumEdit

Description
Shows the database chart summary editor dialog for the series parameter.

Returns True when the end user has modified the editor options.

Note:
The ASeries DataSource property must be set to a Dataset for the editor to work properly.

TeeDBSummaryEditor( Self, Series1 );


TeeDefaultXMLEncoding

TeeDefaultXMLEncoding function

function TeeDefaultXMLEncoding: String;

Unit
TeeProcs


TeeDistance

TeeDistance function

function TeeDistance(Const X, Y: Double): Double;

Unit
TeCanvas

Description
Returns the squared root of the sum of squares of x and y:

result = Sqrt ( Sqr(x) + Sqr(y) )


TeeDrawBitmapEditor

TeeDrawBitmapEditor procedure

procedure TeeDrawBitmapEditor(Canvas: TCanvas; Element: TCustomChartElement; Left, Top: Integer);

Unit
TeEngine

Description
Displays the associated bitmap icon of the Element parameter onto the Canvas at the passed Left and Top coordinates.

An associated icon is located inside the package or executable resources using the Element class name as the resource name.


TeeDrawCheckBox

TeeDrawCheckBox procedure

procedure TeeDrawCheckBox(x, y: Integer; Canvas: TCanvas; Checked: Boolean; ABackColor: TColor; CheckBox: Boolean);

Unit
TeeProcs

Description
Draws a checkbox using Windows default routines.


TeeEditStrings

TeeEditStrings function

function TeeEditStrings(AOwner: TComponent; Strings: TStrings; ReadOnly: Boolean): Boolean;

Unit
TeeStringsEditor

Description
Shows a simple form dialog to show and / or edit multiple lines of text in Strings parameter.

Returns True when the end user clicks the OK button to close the dialog.
Returns False when the end user click the Cancel button to close the dialog.

The ReadOnly parameter defines if the end user will be able to modify the Strings or not.


TeeEmailFile

TeeEmailFile procedure

procedure TeeEmailFile(Const FileName, Subject: String);

Unit
TeExport

Description
TeeEmailFile is used internally when the Send button is clicked in the Export Editor.
The procedure uses Microsoft's MAPI as the mailing method.

Example:

TeeEmailFile('c:\myfile.txt','Some text');

The Subject parameter is optional.
An exception is raised if the user cancels the operation by closing the email client application.


TeeExport

TeeExport procedure

procedure TeeExport(AOwner: TComponent; APanel: TCustomTeePanel; InitialDir: String);

Unit
TeExport

Description
Displays the TeeChart Export dialog for the Chart APanel parameter.

Example:

procedure TForm1.Button2Click(Sender: TObject);
begin
TeeExport(Self, Chart1);
end;


TeeFillCursors

TeeFillCursors procedure

procedure TeeFillCursors(ACombo: TComboFlat; ACursor: TCursor);

Unit
TeeMouseCursor

Description
Fills a combobox with the list of all installed system cursors.
Sets combobox current item to ACursor parameter.


TeeFreeLibrary

TeeFreeLibrary procedure

procedure TeeFreeLibrary(hLibModule: HMODULE);

Unit
TeCanvas

Description
Unloads the DLL Library specified by hLibModule handle. Operating System independent.


TeeGDIPlusStartup

TeeGDIPlusStartup procedure

procedure TeeGDIPlusStartup;

Unit
GDIPOBJ


TeeGetBitmapEditor

TeeGetBitmapEditor procedure

procedure TeeGetBitmapEditor(AObject: TObject; Var Bitmap: TBitmap);

Unit
TeeProcs

Description
For a given Series or Tool ( the AObject parameter ), returns the Bitmap icon associated to it.

Example:

Var B:TBitmap;
B:=TBitmap.Create;
TeeGetBitmapEditor( Series1, B);


TeeGetJPEGImageParams

TeeGetJPEGImageParams function

function TeeGetJPEGImageParams(APanel: TCustomTeePanel; Const Params: TJPEGDefaults; Left, Top, Width, Height: Integer): TJPEGImage;

Unit
TeeJPEG

Description
Creates a JPEG image from a chart or Draw3D control (the APanel parameter), using the size and JPEG specific options.


TeeGetUniqueName

TeeGetUniqueName function

function TeeGetUniqueName(AOwner: TComponent; Const AStartName: String): TComponentName;

Unit
TeeProcs

Description
Internal use. Returns a valid name to apply to an object, child of AOwner.


TeeGotoURL

TeeGotoURL procedure

procedure TeeGotoURL(Handle: TeeWindowHandle; Const URL: String);

Unit
TeeProcs


TeeGrayScale

TeeGrayScale procedure

procedure TeeGrayScale(ABitmap: TBitmap; Inverted: Boolean; AMethod: Integer);

Unit
TeeFilters

Description
This procedure converts all pixels in ABitmap parameter into levels of gray.

The Inverted property determines if black or white will be used as the starting level.

The AMethod parameter can be:

0 ( lineal transformation from color to gray level )

1 ( human-eye visual transformation )


TeeIdentToCursor

TeeIdentToCursor function

function TeeIdentToCursor(Const AName: String; Var ACursor: Integer): Boolean;

Unit
TeeMouseCursor

Description
Given a cursor name in AName parameter, returns the corresponding TCursor value at ACursor parameter.

Returns True if the cursor can be found, or False if not.


TeeIsURL

TeeIsURL function

function TeeIsURL(St: String): Boolean;

Unit
TeeURL

Description
Returns True when string "St" parameter appears to be a valid web url like "http://www.steema.com".


TeeLanguageRegistry

TeeLanguageRegistry function

function TeeLanguageRegistry: Integer;

Unit
TeeTranslate

Description
Returns the index of the currently selected language from Windows registry.


TeeLoadLibrary

TeeLoadLibrary function

function TeeLoadLibrary(Const FileName: String): HInst;

Unit
TeCanvas

Description
Loads the DLL Library specified by hLibModule handle. Operating System independent.
Disables error messages displayed to screen.


TeePCXToStream

TeePCXToStream procedure

procedure TeePCXToStream(Stream: TStream; Const Bitmap: TBitmap; PcxType: Byte);

Unit
PCX


TeePoint

TeePoint function

function TeePoint(Const aX, aY: Integer): TPoint;

Unit
TeCanvas

Description
Returns a new stack allocated record of type TPoint with AX and AY parameters.

This is equivalent to Classes.pas (Types.pas in Delphi 6 and later) global Point function.

For compatibility reasons only.


TeePointerDrawLegend

TeePointerDrawLegend procedure

procedure TeePointerDrawLegend(Pointer: TSeriesPointer; AColor: TColor; Const Rect: TRect; DrawPen: Boolean; AStyle: TSeriesPointerStyle);

Unit
Series

Description
Internal method used to display a Series pointer shape at specified Rect bounding rectangle.


TeePreview

TeePreview procedure

procedure TeePreview(AOwner: TComponent; APanel: TCustomTeePanel);

Unit
TeePrevi

Description
Shows the Print Preview dialog showing APanel.

APanel can be a Chart, DBChart, DecisionGraph, QRChart, TeeTree or any other component derived from TCustomTeePanel.

TeePreview( Self, Chart1 );


TeePreviewCursor

TeePreviewCursor procedure

procedure TeePreviewCursor(ACursor: TCursor; APicture: TPicture);

Unit
TeeMouseCursor

Description
Fills the APicture parameter with a visual graphical representation of the ACursor parameter.


TeeReadBoolOption

TeeReadBoolOption function

function TeeReadBoolOption(Const AKey: String; DefaultValue: Boolean): Boolean;

Unit
TeeProcs

Description
Returns a boolean value read from the Windows Registry at "HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro" subkey.


TeeReadIntegerOption

TeeReadIntegerOption function

function TeeReadIntegerOption(Const AKey: String; DefaultValue: Integer): Integer;

Unit
TeeProcs

Description
Returns an integer value read from the Windows Registry at "HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro" subkey.


TeeReadStringOption

TeeReadStringOption function

function TeeReadStringOption(Const AKey, DefaultValue: String): String;

Unit
TeeProcs

Description
Returns a string read from the Windows Registry at "HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro" subkey.


TeeRect

TeeRect function

function TeeRect(Const Left, Top, Right, Bottom: Integer): TRect;

Unit
TeCanvas

Description
Returns a new stack allocated record of type TRect filled with passed parameters.

This is equivalent to Classes.pas (Types.pas in Delphi 6 and later) global Rect function.

For compatibility reasons only.

var R : TRect;
R:=TeeRect( 10,40,120,300);


TeeRegisterFilters

TeeRegisterFilters procedure

procedure TeeRegisterFilters(Const FilterList: array of TFilterClass);

Unit
TeeFilters

Description
This method adds the list of filter classes in FilterList parameter to the global list of installed filters.

TeeUnRegisterFilters global procedure must be called whenever filters are no longer accesible.

type
TMyFilter = class(TTeeFilter)
...
end;

TeeRegisterFilters( [ TMyFilter ] );


TeeSaveBoolOption

TeeSaveBoolOption procedure

procedure TeeSaveBoolOption(Const AKey: String; Value: Boolean);

Unit
TeeProcs

Description
Stores a boolean value to Windows Registry at "HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro" subkey.


TeeSaveIntegerOption

TeeSaveIntegerOption procedure

procedure TeeSaveIntegerOption(Const AKey: String; Value: Integer);

Unit
TeeProcs

Description
Stores an integer value to Windows Registry at "HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro" subkey.


TeeSavePictureDialog

TeeSavePictureDialog procedure

procedure TeeSavePictureDialog(AOwner: TComponent; AGraphic: TGraphic);

Unit
TeePenDlg


TeeSaveStringOption

TeeSaveStringOption procedure

procedure TeeSaveStringOption(Const AKey, Value: String);

Unit
TeeProcs

Description
Stores a string text value to Windows Registry at "HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro" subkey.


TeeSaveToBitmap

TeeSaveToBitmap procedure

procedure TeeSaveToBitmap(APanel: TCustomTeePanel; Const FileName: WideString; Const R: TRect; Dpi: Integer);

Unit
TeeBmpOptions

Description
Creates a bitmap from a Chart or Tree component and saves it to a file.

TeeSaveToBitmap( Chart1, 'c:\mychart.bmp', Chart1.ChartBounds );


TeeSaveToFlexFile

TeeSaveToFlexFile procedure

procedure TeeSaveToFlexFile(APanel: TCustomTeePanel; Const FileName: WideString; AWidth, AHeight: Integer; EmbededImages: Boolean);

Unit
TeeFlexCanvas

Description
Creates a text string list from a Chart or Tree component and saves it to a Adobe Flex file with default extension MXML.

TeeSaveToFlexFile( Chart1, 'c:\mychart.mxml', 640, 480, True );

The EmbededImages parameter, when True, tells the Adobe Flex compiler to insert all images in a Chart inside the resulting compiled Flash *.swf movie.
When False, the Flash movie will load the images at runtime from the same folder the movie resides.


TeeSaveToJPEG

TeeSaveToJPEG procedure

procedure TeeSaveToJPEG(APanel: TCustomTeePanel; Const FileName: WideString; AWidth, AHeight, Dpi: Integer);

Unit
TeeJPEG

Description
Creates a JPEG picture from a Chart or Tree and saves it to a file.

TeeSaveToJPEG( Chart1, 'mychart.jpg', 400, 250 );


TeeSaveToJPEGFile

TeeSaveToJPEGFile procedure

procedure TeeSaveToJPEGFile(APanel: TCustomTeePanel; Const FileName: WideString; Gray: WordBool; Performance: TJPEGPerformance; Quality, AWidth, AHeight, Dpi: Integer);

Unit
TeeJPEG

Description
SaveToJPEG exports the entire Chart to a JPEG graphics file.

Quality is a percentage 0 - 100% of which 100% is best quality.

TeeSaveToJPEGFile( Chart1, 'c:\mychart.jpg', False, jbBestQuality, 400, 250 );


TeeSaveToPDFFile

TeeSaveToPDFFile procedure

procedure TeeSaveToPDFFile(APanel: TCustomTeePanel; Const FileName: WideString; AWidth, AHeight: Integer);

Unit
TeePDFCanvas

Description
Helper procedure to generate a PDF file with the specified width and height pixel sizes:

TeeSaveToPDFFile( Chart1, 'mychart.pdf', 450, 200 );


TeeSaveToPNG

TeeSaveToPNG procedure

procedure TeeSaveToPNG(APanel: TCustomTeePanel; Const AFileName: WideString; AWidth, AHeight: Integer);

Unit
TeePNG

Description
Creates a PNG file storing APanel.

Example:

Uses TeePNG;

TeeSaveToPNG( Chart1, 'c:\mychart.png', Chart1.Width, Chart1.Height );


TeeSaveToPSFile

TeeSaveToPSFile procedure

procedure TeeSaveToPSFile(APanel: TCustomTeePanel; Const FileName: WideString; AWidth, AHeight: Integer);

Unit
TeePSCanvas

Description
Saves a Chart, DBChart, etc control to Encapsulated PostScript file (EPS).

TeeSaveToPSFile( Chart1, 'mychart.eps', 450, 200 );


TeeSaveToSVGFile

TeeSaveToSVGFile procedure

procedure TeeSaveToSVGFile(APanel: TCustomTeePanel; FileName: String; AWidth, AHeight: Integer);

Unit
TeeSVGCanvas

Description
Stores the APanel display contents into FileName file in SVG graphics format.

The optional AWidth and AHeight parameters determine the size of the graphic.


TeeSaveToVMLFile

TeeSaveToVMLFile procedure

procedure TeeSaveToVMLFile(APanel: TCustomTeePanel; Const FileName: WideString; AWidth, AHeight: Integer);

Unit
TeeVMLCanvas

Description
This global procedure outputs a Chart or Draw3D panel into a VML file, with the optional Width and Height dimensions.

Example:

TeeSaveToVMLFile(Chart1,'c:\test.htm', Chart1.Width, Chart1.Height);

You can then use Internet Explorer ( version 5 and up ) to display (open) the test.htm file.


TeeSaveToVRML

TeeSaveToVRML procedure

procedure TeeSaveToVRML(APanel: TCustomTeePanel; Const FileName: WideString);

Unit
TeeVRML3D


TeeSaveToXAMLFile

TeeSaveToXAMLFile procedure

procedure TeeSaveToXAMLFile(APanel: TCustomTeePanel; Const FileName: WideString; AWidth, AHeight: Integer; XAML3D: Boolean);

Unit
TeeXAMLCanvas

Description
Creates a new file (or overwrites if it already exists) with contents of APanel parameter in XAML markup format.


TeeScaleForm

TeeScaleForm procedure

procedure TeeScaleForm(AForm: TForm);

Unit
TeePenDlg

Description
Resizes the AForm parameter to match its PixelsPerInch property with the current operating system PixelsPerInch value.


TeeSelectFolder

TeeSelectFolder function

function TeeSelectFolder(Const Caption, Root: String; Var Folder: String): Boolean;

Unit
TeeExpForm

Description
Shows the standard Windows or Linux folder selection dialog.
Returns True when the end user presses "ok" to close the dialog and confirms the selection.

The Folder parameter is returned with user's folder selection.


TeeSetAfrikaans

TeeSetAfrikaans procedure

procedure TeeSetAfrikaans;

Unit
TeeAfrikaans

Description
Changes current language for editor dialogs and messages to Afrikaans.


TeeSetArabic

TeeSetArabic procedure

procedure TeeSetArabic;

Unit
TeeArabic

Description
Changes current language for editor dialogs and messages to Arabic.


TeeSetBitmapDPI

TeeSetBitmapDPI procedure

procedure TeeSetBitmapDPI(Bitmap: TBitmap; DPI: Integer);

Unit
TeCanvas


TeeSetBitmapSize

TeeSetBitmapSize procedure

procedure TeeSetBitmapSize(Bitmap: TBitmap; Width, Height: Integer);

Unit
TeCanvas

Description
Sets the Width and Height of the Bitmap parameter.


TeeSetBrazil

TeeSetBrazil procedure

procedure TeeSetBrazil;

Unit
TeeBrazil

Description
Changes the current language to Brazilian


TeeSetBulgarian

TeeSetBulgarian procedure

procedure TeeSetBulgarian;

Unit
TeeBulgarian

Description
Changes all texts in editor dialogs and messages to Bulgarian.


TeeSetCatalan

TeeSetCatalan procedure

procedure TeeSetCatalan;

Unit
TeeCatalan

Description
Changes the current language to Catalan.


TeeSetChinese

TeeSetChinese procedure

procedure TeeSetChinese;

Unit
TeeChinese

Description
Changes the current language to Chinese Traditional.


TeeSetChineseSimp

TeeSetChineseSimp procedure

procedure TeeSetChineseSimp;

Unit
TeeChineseSimp

Description
Changes the current language to Chinese Simplified.


TeeSetCroatian

TeeSetCroatian procedure

procedure TeeSetCroatian;

Unit
TeeCroatian

Description
Changes all texts in editor dialogs and messages to Croatian.


TeeSetCursor

TeeSetCursor function

function TeeSetCursor(ACursor: TCursor; Const S: String): TCursor;

Unit
TeeMouseCursor

Description
Special internal routine.


TeeSetCzech

TeeSetCzech procedure

procedure TeeSetCzech;

Unit
TeeCzech

Description
Changes all texts in editor dialogs and messages to Czech.


TeeSetDanish

TeeSetDanish procedure

procedure TeeSetDanish;

Unit
TeeDanish

Description
Changes the current language to Danish.


TeeSetDutch

TeeSetDutch procedure

procedure TeeSetDutch;

Unit
TeeDutch

Description
Changes the current language to Dutch.


TeeSetFarsi

TeeSetFarsi procedure

procedure TeeSetFarsi;

Unit
TeeFarsi

Description
Changes the current language to Farsi.


TeeSetFinnish

TeeSetFinnish procedure

procedure TeeSetFinnish;

Unit
TeeFinnish

Description
Changes all texts in editor dialogs and messages to Finnish.


TeeSetFrench

TeeSetFrench procedure

procedure TeeSetFrench;

Unit
TeeFrench

Description
Changes the current language to French.


TeeSetGalician

TeeSetGalician procedure

procedure TeeSetGalician;

Unit
TeeGalician

Description
Call this procedure to select Galician language when showing all editor forms.


TeeSetGerman

TeeSetGerman procedure

procedure TeeSetGerman;

Unit
TeeGerman

Description
Changes the current language to German.


TeeSetHebrew

TeeSetHebrew procedure

procedure TeeSetHebrew;

Unit
TeeHebrew

Description
Changes the current language to Hebrew.


TeeSetHellenic

TeeSetHellenic procedure

procedure TeeSetHellenic;

Unit
TeeHellenic

Description
Changes the current language to Hellenic.


TeeSetHindi

TeeSetHindi procedure

procedure TeeSetHindi;

Unit
TeeHindi

Description
Changes the current language to Hindi.


TeeSetHungarian

TeeSetHungarian procedure

procedure TeeSetHungarian;

Unit
TeeHungarian

Description
Changes the current language to Hungarian.


TeeSetIcelandic

TeeSetIcelandic procedure

procedure TeeSetIcelandic;

Unit
TeeIcelandic

Description
Changes the current language to Icelandic.


TeeSetIndonesian

TeeSetIndonesian procedure

procedure TeeSetIndonesian;

Unit
TeeIndonesian

Description
Changes all texts in editor dialogs and messages to Indonesian.


TeeSetItalian

TeeSetItalian procedure

procedure TeeSetItalian;

Unit
TeeItalian

Description
Changes the current language to Italian.


TeeSetJapanese

TeeSetJapanese procedure

procedure TeeSetJapanese;

Unit
TeeJapanese

Description
Changes all texts in editor dialogs and messages to Japanese.


TeeSetKorean

TeeSetKorean procedure

procedure TeeSetKorean;

Unit
TeeKorean

Description
Changes all texts in editor dialogs and messages to Korean.


TeeSetLatvian

TeeSetLatvian procedure

procedure TeeSetLatvian;

Unit
TeeLatvian

Description
Changes all texts in editor dialogs and messages to Latvian.


TeeSetLithuanian

TeeSetLithuanian procedure

procedure TeeSetLithuanian;

Unit
TeeLithuanian

Description
Changes all texts in editor dialogs and messages to Lithuanian.


TeeSetMalaysian

TeeSetMalaysian procedure

procedure TeeSetMalaysian;

Unit
TeeMalaysian

Description
Changes all texts in editor dialogs and messages to Malaysian.


TeeSetNorwegian

TeeSetNorwegian procedure

procedure TeeSetNorwegian;

Unit
TeeNorwegian

Description
Changes all texts in editor dialogs and messages to Norwegian.


TeeSetPolish

TeeSetPolish procedure

procedure TeeSetPolish;

Unit
TeePolish

Description
Changes the current language to Polish.


TeeSetPortuguese

TeeSetPortuguese procedure

procedure TeeSetPortuguese;

Unit
TeePortuguese

Description
Changes the current language to Portuguese.


TeeSetRomanian

TeeSetRomanian procedure

procedure TeeSetRomanian;

Unit
TeeRomanian

Description
Changes all texts in editor dialogs and messages to Romanian language.


TeeSetRussian

TeeSetRussian procedure

procedure TeeSetRussian;

Unit
TeeRussian

Description
Changes the current language to Russian.


TeeSetSerbian

TeeSetSerbian procedure

procedure TeeSetSerbian;

Unit
TeeSerbian

Description
Changes all texts in editor dialogs and messages to Serbian.


TeeSetSlovak

TeeSetSlovak procedure

procedure TeeSetSlovak;

Unit
TeeSlovak

Description
Changes all texts in editor dialogs and messages to Slovak language.


TeeSetSlovene

TeeSetSlovene procedure

procedure TeeSetSlovene;

Unit
TeeSlovene

Description
Changes all texts in editor dialogs and messages to Slovene language.


TeeSetSpanish

TeeSetSpanish procedure

procedure TeeSetSpanish;

Unit
TeeSpanish

Description
Changes the current language to Spanish (Spain).


TeeSetSwedish

TeeSetSwedish procedure

procedure TeeSetSwedish;

Unit
TeeSwedish

Description
Changes the current language to Swedish.


TeeSetTurkish

TeeSetTurkish procedure

procedure TeeSetTurkish;

Unit
TeeTurkish

Description
Changes all texts in editor dialogs and messages to Turkish language.


TeeSetUkrainian

TeeSetUkrainian procedure

procedure TeeSetUkrainian;

Unit
TeeUkrainian

Description
Changes all texts in editor dialogs and messages to Ukrainian language.


TeeSetUrdu

TeeSetUrdu procedure

procedure TeeSetUrdu;

Unit
TeeUrdu

Description
Changes all texts in editor dialogs and messages to Urdu language.


TeeShowAboutBox

TeeShowAboutBox procedure

procedure TeeShowAboutBox(Const ACaption, AVersion, AExtra: String);

Unit
TeeAbout

Description
Shows the Steema About box modal dialog for version information.

ACaption and AVersion parameters are optional.


TeeSort

TeeSort procedure

procedure TeeSort(StartIndex, EndIndex: Integer; CompareFunc: TTeeSortCompare; SwapFunc: TTeeSortSwap);

Unit
TeeProcs

Description
Generic "QuickSort" sorting algorithm.

This procedure is used at Pie Series to sort the slices prior to displaying them when in 3D mode.

It is also used at Series unit to re-order points ( Series Sort method ).


TeeSources

TeeSources function

function TeeSources: TList;

Unit
TeEngine

Description
Internal use.
Contains the list of internal data source components.

These components are used at the Series editor dialog, datasource tab, to show the available sources.

A source is a data provider for Series components.

See TTeeSeriesSource component.


TeeStr

TeeStr function

function TeeStr(Const Num: Integer): String;

Unit
TeeProcs

Description
Same as IntToStr but a little bit faster.


TeeToString

TeeToString function

function TeeToString(APanel: TCustomTeePanel): String;

Unit
TeeExport


TeeTranslateAControl

TeeTranslateAControl procedure

procedure TeeTranslateAControl(AControl: TControl; Const ExcludedChilds: array of TControl);

Unit
TeeTranslate

Description
Equivalent to TeeProcs.pas unit "TeeTranslateControl" method.

Determines and translates properties of AControl parameter (ie: if AControl is a TButton, then translates the button Caption using the currently selected language).

Uses TeeGerman;

TeeSetGerman;
Button1.Caption:='Series';
TeeTranslateControl(Button1);


TeeTranslateControl

TeeTranslateControl procedure

procedure TeeTranslateControl(AControl: TTranslatable);

Unit
TeeProcs

Description
Internal use.
Used to translate forms or controls to current selected language.

Example:

TeeTranslateControl( MyForm );


TeeTranslateString

TeeTranslateString function

function TeeTranslateString(Const Text: String): String;

Unit
TeeProcs


TeeUnRegisterFilters

TeeUnRegisterFilters procedure

procedure TeeUnRegisterFilters(Const FilterList: array of TFilterClass);

Unit
TeeFilters

Description
Removes the list of filter classes in FilterList parameter from the global list of installed filters.

Filters are installed when calling the TeeRegisterFilters global procedure.

TeeUnRegisterFilters( [ TMyFilter ] );


TeeURLErrorMessage

TeeURLErrorMessage function

function TeeURLErrorMessage(ErrorCode: Integer): String;

Unit
TeeURL

Description
Use this function to obtain the textual representation of an error code when using the DownloadURL function.

DownloadURL might fail because network problems (for example, no internet connection) and other situations.

See RTL WinInet.pas file for a list of error codes.


TeeXMLHeader

TeeXMLHeader function

function TeeXMLHeader(Const Encoding: String): String;

Unit
TeeProcs


TeeYesNo

TeeYesNo function

function TeeYesNo(Const Message: String; Owner: TControl): Boolean;

Unit
TeePenDlg

Description
Shows the Windows standard dialog for confirmation.

Returns True if the user clicks the Yes button, False if the user clicks the No button.


TeeYesNoDelete

TeeYesNoDelete function

function TeeYesNoDelete(Const Message: String; Owner: TControl): Boolean;

Unit
TeePenDlg

Description
Shows a message dialog with 3 buttons (Yes, No and Delete).

Returns True if end user presses Yes button.


UnClipCanvas

UnClipCanvas procedure

procedure UnClipCanvas(ACanvas: TCanvas);

Unit
TeCanvas

Description
The UnClipCanvas method removes any clipping region applied to Chart Canvas when using the Clip methods.
Clipping regions are used to prevent drawing to escape from desired rectangle coordinates.

Note:
Metafiles do not accept clipping regions.
Metafile format is used when printing, so clipping can not be performed.


UnRegisterTeeAnimations

UnRegisterTeeAnimations procedure

procedure UnRegisterTeeAnimations(AAnimations: array of TTeeCustomAnimationClass);

Unit
Chart


UnRegisterTeeTools

UnRegisterTeeTools procedure

procedure UnRegisterTeeTools(ATools: array of TTeeCustomToolClass);

Unit
Chart

Description
Removes the tools array from the internal list of tools.
Call this method at the finalization section of the unit that registers a tool, or call it whenever you want to remove a tool from the Chart Tools Editor dialog.


VectorAffineDotProduct

VectorAffineDotProduct function

function VectorAffineDotProduct(Const V1, V2: TAffineVector): Single;

Unit
TeeGeometry


VectorAffineTransform

VectorAffineTransform function

function VectorAffineTransform(Const V: TAffineVector; Const M: TAffineMatrix): TAffineVector;

Unit
TeeGeometry


VectorAngle

VectorAngle function

function VectorAngle(Const V1, V2: TAffineVector): Single;

Unit
TeeGeometry


VectorDotProduct

VectorDotProduct function

function VectorDotProduct(Const V1, V2: TVector): Single;

Unit
TeeGeometry


VectorLength

VectorLength function

function VectorLength(Const V: array of Single): Single;

Unit
TeeGeometry


VectorNegate

VectorNegate procedure

procedure VectorNegate(Const V: array of Single);

Unit
TeeGeometry


VectorNorm

VectorNorm function

function VectorNorm(Const V: array of Single): Single;

Unit
TeeGeometry


VectorNormalize

VectorNormalize function

function VectorNormalize(Const V: array of Single): Single;

Unit
TeeGeometry


VectorScale

VectorScale procedure

procedure VectorScale(Const V: array of Single; Const Factor: Single);

Unit
TeeGeometry


VectorTransform

VectorTransform function

function VectorTransform(Const V: TVector; Const M: TMatrix): TVector;

Unit
TeeGeometry


WebPalette

WebPalette function

function WebPalette: HPalette;

Unit
GIFImage


WithFileExtension

WithFileExtension function

function WithFileExtension(Const FileExtension: String): TGraphic;

Unit
TeeExport

Description

Returns the TGraphic derived class that is associated to a given picture file extension.

For example, returns TBitmap when the FileExtension parameter is 'bmp'


XSetStandardProperties

XSetStandardProperties function

function XSetStandardProperties(dpy: PDisplay; win: TWindow; window_name, icon_name: PChar; icon_pixmap: Pixmap; argv: PChar; arc: Integer; hits: Longint): Integer;

Unit
OpenGLLinux


ArrowCha

Unit ArrowCha

Contains the Arrow series declaration.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

TArrowSeries

Classes
TArrowSeries


Bar3D

Unit Bar3D

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBar3DSeries


BigCandl

Unit BigCandl

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBigCandleSeries


BubbleCh

Unit BubbleCh

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBubbleSeries


CandleCh

Unit CandleCh

Contains Candle and Volume Series, and ADX function.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TADXFunction
TATRFunction
TCandleSeries
TDarvasSeries
TRSIFunction
TVolumeSeries

Types
TCandleColorStyle
TCandleItem
TCandleStyle
TRSIStyle


Chart

Unit Chart

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
LegendException
TChart
TChartBackWall
TChartBottomWall
TChartFootTitle
TChartLeftWall
TChartLegend
TChartRightWall
TChartTheme
TChartTitle
TChartWall
TChartWalls
TColorPalettes
TCustomChart
TCustomChartLegend
TCustomChartWall
TLegendItem
TLegendItems
TLegendSymbol
TLegendTitle
TTeeCustomShapePosition
TTeeSeriesTypes
TTeeToolTypes

Procedures
AssignSeries
ChangeAllSeriesType
ChangeSeriesType
CloneChartAnimation
CloneChartSeries
CloneChartTool
CreateNewSeries
CreateNewTeeFunction
GetGallerySeriesName
PaintSeriesLegend
RegisterTeeAnimations
RegisterTeeSeries
RegisterTeeTools
UnRegisterTeeAnimations
UnRegisterTeeTools

Types
TChartAllowScrollEvent
TChartClick
TChartClickAxis
TChartClickSeries
TChartClickTitle
TCheckBoxesStyle
TLegendAlignment
TLegendStyle
TLegendSymbolPosition
TLegendSymbolSize
TOnGetLegendPos
TOnGetLegendRect
TOnGetLegendText
TSymbolCalcHeight
TSymbolDrawEvent

Variables
AnimatedZoomFactor
ColorPalettes
TeeAnimationTypes
TeeAntiAliasCanvas
TeePageNumToolClass
TeeScrollKeyShift
TeeSeriesTypes
TeeToolTypes


AnimatedZoomFactor

AnimatedZoomFactor variable

Var AnimatedZoomFactor;

Unit
Chart

Description
Default Value: 3.0

The AnimatedZoomFactor property defines the zoom proportion ratio to apply at each successive zoom step.

The TChart.AnimatedZoom property must be True for this property to be in effect.

The TChart.AnimatedZoomSteps property determine the number of zoom steps to apply until Axis scales are set to the desired zoom.

Change the AnimatedZoomFactor property to make those steps to go faster or slower.


ColorPalettes

ColorPalettes variable

Var ColorPalettes;

Unit
Chart

Description

Global Variable of type TColorPalettes.

This variable stores all available color palettes.
Color palettes are used by chart themes, but can also be used stand-alone.

Example:

TColorPalettes.ApplyPalette( Chart1, 3 ) ; // set the third color palette in the list.

TColorPalettes.ApplyPalette( Chart1, [ clGreen, clBlue, clRed ] ) ; // set a custom color palette.

After a palette has been applied to a Chart, the Chart remembers the index of the palette at ColorPaletteIndex property.


TeeAnimationTypes

TeeAnimationTypes variable

Var TeeAnimationTypes;

Unit
Chart


TeeAntiAliasCanvas

TeeAntiAliasCanvas variable

Var TeeAntiAliasCanvas;

Unit
Chart

Description
Default value is nil.

When the TeeAntiAlias canvas unit is used in an application, it will automatically set this global variable to TAntiAliasCanvas.

You can use this global variable to detect and use the anti-alias canvas only when its unit is used.

Example:

if Assigned(TeeAntiAliasCanvas) then
Chart1.Canvas := TeeAntiAliasCanvas.Create;


TeePageNumToolClass

TeePageNumToolClass variable

Var TeePageNumToolClass;

Unit
Chart

Description
Internal variable.
It is used by the Chart Editor dialog to enable the option of adding a Page Number annotation.

This option is represented with a CheckBox control at the "Paging" tab at the Editor dialog.

When your application includes the TPageNumTool component ( TeePageNumTool unit ), this variable is pointed to the tool class (TPageNumTool).

Otherwise, this variable is nil.


TeeScrollKeyShift

TeeScrollKeyShift variable

Var TeeScrollKeyShift;

Unit
Chart

Description
Default Value: []

Keys that should be pressed to start scroll.


TeeSeriesTypes

TeeSeriesTypes variable

Var TeeSeriesTypes;

Unit
Chart

Description
This variable holds the list of Series types registered in your application.

By default, when including a Series unit, the Series automatically registers itself and adds its class to the TeeSeriesTypes list.

This list is used by the Chart Gallery to display the available series types.


TeeToolTypes

TeeToolTypes variable

Var TeeToolTypes;

Unit
Chart

Description
This variable holds the available registered "Tools".

When your application includes units that contain "tool" classes, they are automatically added to TeeToolTypes list.

This list is used by the Chart Tools Editor dialog to display the available tool types.


CurvFitt

Unit CurvFitt

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCorrelationFunction
TCurveFittingFunction
TCustomFittingFunction
TCustomTrendFunction
TExpTrendFunction
TTrendFunction

Types
TTrendStyle
TTypeFitting


DBChart

Unit DBChart

Classes and procedures related to Database Charting (TDBChart component).

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
DBChartException
TCustomDBChart
TDBChart
TDBChartDataSource
TTeeSeriesDBSource

Procedures
DateToWeek
DateToWeekOld

Types
TProcessRecordEvent
TTeeDBGroup
TTeeOnGetFieldType

Variables
TeeOnGetFieldType


TeeOnGetFieldType

TeeOnGetFieldType variable

Var TeeOnGetFieldType;

Unit
DBChart


EditChar

Unit EditChar

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Procedures
EditChart
EditChartAnimation
EditChartAxis
EditChartLegend
EditChartTitle
EditChartTool
EditChartWall
EditSeries
EditSeriesMarks


ErrorBar

Unit ErrorBar

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBaseHighLowSeries
TCustomErrorSeries
TErrorBarSeries
TErrorSeries
THighLowSeries

Types
TErrorSeriesStyle
TErrorWidthUnits


GanttCh

Unit GanttCh

Contains TGanttSeries charting style to draw Gantt diagrams.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Contains TGanttSeries charting style to draw Gantt diagrams.

Classes
TGanttSeries


GDIPAPI

Unit GDIPAPI

Classes
GpPathData
TGdiplusBase
TMetafileHeader
TPathData

Interfaces
IImageBytes

Procedures
ARGBToColorRef
ColorRefToARGB
GDIP_EMFPLUS_RECORD_TO_WMF
GDIP_IS_WMF_RECORDTYPE
GDIP_WMF_RECORD_TO_EMFPLUS
GetAlpha
GetBlue
GetBounds
GetGreen
GetPixelFormatSize
GetRed
IsAlphaPixelFormat
IsCanonicalPixelFormat
IsEmf
IsEmfOrEmfPlus
IsExtendedPixelFormat
IsIndexedPixelFormat
IsWmf
IsWmfPlaceable
MakeCharacterRange
MakeColor
MakePoint
MakeRect
MakeSize
ObjectTypeIsValid

Types
BitmapData
BrushType
ColorAdjustType
ColorChannelFlags
ColorMap
ColorMatrixFlags
ColorMode
ColorPalette
CombineMode
CompositingMode
CoordinateSpace
CustomLineCapType
DashStyle
DebugEventLevel
DebugEventProc
EncoderParameter
EncoderParameters
EncoderValue
ENHMETAHEADER3
EnumerateMetafileProc
FillMode
FlushIntention
GdiplusStartupInput
GdiplusStartupOutput
GenericFontFamily
HatchStyle
HotkeyPrefix
ImageAbort
ImageCodecInfo
ImageType
LinearGradientMode
LineJoin
MatrixOrder
MetafileType
NotificationHookProc
NotificationUnhookProc
ObjectType
PenAlignment
PropertyItem
PWMFRect16
RotateFlipType
Status
StringAlignment
StringDigitSubstitute
StringTrimming
TCharacterRange
TextRenderingHint
TGPPoint
TGPPointF
TGPRect
TGPRectF
TGPSize
TGPSizeF
Unit_
WarpMode
WmfPlaceableFileHeader
WrapMode

Variables
BoundingBox
Checksum
Clsid
CodecName
DebugEventCallback
DllName
dSignature
Entries
FilenameExtension
First
flags
FormatDescription
FormatID
GdipAddPathArc
GdipAddPathArcI
GdipAddPathBezier
GdipAddPathBezierI
GdipAddPathBeziers
GdipAddPathBeziersI
GdipAddPathClosedCurve
GdipAddPathClosedCurve2
GdipAddPathClosedCurve2I
GdipAddPathClosedCurveI
GdipAddPathCurve
GdipAddPathCurve2
GdipAddPathCurve2I
GdipAddPathCurve3
GdipAddPathCurve3I
GdipAddPathCurveI
GdipAddPathEllipse
GdipAddPathEllipseI
GdipAddPathLine
GdipAddPathLine2
GdipAddPathLine2I
GdipAddPathLineI
GdipAddPathPath
GdipAddPathPie
GdipAddPathPieI
GdipAddPathPolygon
GdipAddPathPolygonI
GdipAddPathRectangle
GdipAddPathRectangleI
GdipAddPathRectangles
GdipAddPathRectanglesI
GdipAddPathString
GdipAddPathStringI
GdipAlloc
GdipBeginContainer
GdipBeginContainer2
GdipBeginContainerI
GdipBitmapGetPixel
GdipBitmapLockBits
GdipBitmapSetPixel
GdipBitmapSetResolution
GdipBitmapUnlockBits
GdipClearPathMarkers
GdipCloneBitmapArea
GdipCloneBitmapAreaI
GdipCloneBrush
GdipCloneCustomLineCap
GdipCloneFont
GdipCloneFontFamily
GdipCloneImage
GdipCloneImageAttributes
GdipCloneMatrix
GdipClonePath
GdipClonePen
GdipCloneRegion
GdipCloneStringFormat
GdipClosePathFigure
GdipClosePathFigures
GdipCombineRegionPath
GdipCombineRegionRect
GdipCombineRegionRectI
GdipCombineRegionRegion
GdipComment
GdipCreateAdjustableArrowCap
GdipCreateBitmapFromFile
GdipCreateBitmapFromFileICM
GdipCreateBitmapFromGdiDib
GdipCreateBitmapFromGraphics
GdipCreateBitmapFromHBITMAP
GdipCreateBitmapFromHICON
GdipCreateBitmapFromResource
GdipCreateBitmapFromScan0
GdipCreateBitmapFromStream
GdipCreateBitmapFromStreamICM
GdipCreateCachedBitmap
GdipCreateCustomLineCap
GdipCreateFont
GdipCreateFontFamilyFromName
GdipCreateFontFromDC
GdipCreateFontFromLogfontA
GdipCreateFontFromLogfontW
GdipCreateFromHDC
GdipCreateFromHDC2
GdipCreateFromHWND
GdipCreateFromHWNDICM
GdipCreateHalftonePalette
GdipCreateHatchBrush
GdipCreateHBITMAPFromBitmap
GdipCreateHICONFromBitmap
GdipCreateImageAttributes
GdipCreateLineBrush
GdipCreateLineBrushFromRect
GdipCreateLineBrushFromRectI
GdipCreateLineBrushFromRectWithAngle
GdipCreateLineBrushFromRectWithAngleI
GdipCreateLineBrushI
GdipCreateMatrix
GdipCreateMatrix2
GdipCreateMatrix3
GdipCreateMatrix3I
GdipCreateMetafileFromEmf
GdipCreateMetafileFromFile
GdipCreateMetafileFromStream
GdipCreateMetafileFromWmf
GdipCreateMetafileFromWmfFile
GdipCreatePath
GdipCreatePath2
GdipCreatePath2I
GdipCreatePathGradient
GdipCreatePathGradientFromPath
GdipCreatePathGradientI
GdipCreatePathIter
GdipCreatePen1
GdipCreatePen2
GdipCreateRegion
GdipCreateRegionHrgn
GdipCreateRegionPath
GdipCreateRegionRect
GdipCreateRegionRectI
GdipCreateRegionRgnData
GdipCreateSolidFill
GdipCreateStreamOnFile
GdipCreateStringFormat
GdipCreateTexture
GdipCreateTexture2
GdipCreateTexture2I
GdipCreateTextureIA
GdipCreateTextureIAI
GdipDeleteBrush
GdipDeleteCachedBitmap
GdipDeleteCustomLineCap
GdipDeleteFont
GdipDeleteFontFamily
GdipDeleteGraphics
GdipDeleteMatrix
GdipDeletePath
GdipDeletePathIter
GdipDeletePen
GdipDeletePrivateFontCollection
GdipDeleteRegion
GdipDeleteStringFormat
GdipDisposeImage
GdipDisposeImageAttributes
GdipDrawArc
GdipDrawArcI
GdipDrawBezier
GdipDrawBezierI
GdipDrawBeziers
GdipDrawBeziersI
GdipDrawCachedBitmap
GdipDrawClosedCurve
GdipDrawClosedCurve2
GdipDrawClosedCurve2I
GdipDrawClosedCurveI
GdipDrawCurve
GdipDrawCurve2
GdipDrawCurve2I
GdipDrawCurve3
GdipDrawCurve3I
GdipDrawCurveI
GdipDrawDriverString
GdipDrawEllipse
GdipDrawEllipseI
GdipDrawImage
GdipDrawImageI
GdipDrawImagePointRect
GdipDrawImagePointRectI
GdipDrawImagePoints
GdipDrawImagePointsI
GdipDrawImagePointsRect
GdipDrawImagePointsRectI
GdipDrawImageRect
GdipDrawImageRectI
GdipDrawImageRectRect
GdipDrawImageRectRectI
GdipDrawLine
GdipDrawLineI
GdipDrawLines
GdipDrawLinesI
GdipDrawPath
GdipDrawPie
GdipDrawPieI
GdipDrawPolygon
GdipDrawPolygonI
GdipDrawRectangle
GdipDrawRectangleI
GdipDrawRectangles
GdipDrawRectanglesI
GdipDrawString
GdipEmfToWmfBits
GdipEndContainer
GdipEnumerateMetafileDestPoint
GdipEnumerateMetafileDestPointI
GdipEnumerateMetafileDestPoints
GdipEnumerateMetafileDestPointsI
GdipEnumerateMetafileDestRect
GdipEnumerateMetafileDestRectI
GdipEnumerateMetafileSrcRectDestPoint
GdipEnumerateMetafileSrcRectDestPointI
GdipEnumerateMetafileSrcRectDestPoints
GdipEnumerateMetafileSrcRectDestPointsI
GdipEnumerateMetafileSrcRectDestRect
GdipEnumerateMetafileSrcRectDestRectI
GdipFillClosedCurve
GdipFillClosedCurve2
GdipFillClosedCurve2I
GdipFillClosedCurveI
GdipFillEllipse
GdipFillEllipseI
GdipFillPath
GdipFillPie
GdipFillPieI
GdipFillPolygon
GdipFillPolygon2
GdipFillPolygon2I
GdipFillPolygonI
GdipFillRectangle
GdipFillRectangleI
GdipFillRectangles
GdipFillRectanglesI
GdipFillRegion
GdipFlattenPath
GdipFlush
GdipFontCollectionEnumerable
GdipFontCollectionEnumerate
GdipFree
GdipGetAdjustableArrowCapFillState
GdipGetAdjustableArrowCapHeight
GdipGetAdjustableArrowCapMiddleInset
GdipGetAdjustableArrowCapWidth
GdipGetAllPropertyItems
GdipGetBrushType
GdipGetCellAscent
GdipGetCellDescent
GdipGetClip
GdipGetClipBounds
GdipGetClipBoundsI
GdipGetCompositingMode
GdipGetCompositingQuality
GdipGetCustomLineCapBaseCap
GdipGetCustomLineCapBaseInset
GdipGetCustomLineCapStrokeCaps
GdipGetCustomLineCapStrokeJoin
GdipGetCustomLineCapType
GdipGetCustomLineCapWidthScale
GdipGetDC
GdipGetDpiX
GdipGetDpiY
GdipGetEmHeight
GdipGetEncoderParameterList
GdipGetEncoderParameterListSize
GdipGetFamily
GdipGetFamilyName
GdipGetFontCollectionFamilyCount
GdipGetFontCollectionFamilyList
GdipGetFontHeight
GdipGetFontHeightGivenDPI
GdipGetFontSize
GdipGetFontStyle
GdipGetFontUnit
GdipGetGenericFontFamilyMonospace
GdipGetGenericFontFamilySansSerif
GdipGetGenericFontFamilySerif
GdipGetHatchBackgroundColor
GdipGetHatchForegroundColor
GdipGetHatchStyle
GdipGetHemfFromMetafile
GdipGetImageAttributesAdjustedPalette
GdipGetImageBounds
GdipGetImageDecoders
GdipGetImageDecodersSize
GdipGetImageDimension
GdipGetImageEncoders
GdipGetImageEncodersSize
GdipGetImageFlags
GdipGetImageGraphicsContext
GdipGetImageHeight
GdipGetImageHorizontalResolution
GdipGetImagePalette
GdipGetImagePaletteSize
GdipGetImagePixelFormat
GdipGetImageRawFormat
GdipGetImageThumbnail
GdipGetImageType
GdipGetImageVerticalResolution
GdipGetImageWidth
GdipGetInterpolationMode
GdipGetLineBlend
GdipGetLineBlendCount
GdipGetLineColors
GdipGetLineGammaCorrection
GdipGetLinePresetBlend
GdipGetLinePresetBlendCount
GdipGetLineRect
GdipGetLineRectI
GdipGetLineSpacing
GdipGetLineTransform
GdipGetLineWrapMode
GdipGetLogFontA
GdipGetLogFontW
GdipGetMatrixElements
GdipGetMetafileDownLevelRasterizationLimit
GdipGetMetafileHeaderFromEmf
GdipGetMetafileHeaderFromFile
GdipGetMetafileHeaderFromMetafile
GdipGetMetafileHeaderFromStream
GdipGetMetafileHeaderFromWmf
GdipGetNearestColor
GdipGetPageScale
GdipGetPageUnit
GdipGetPathData
GdipGetPathFillMode
GdipGetPathGradientBlend
GdipGetPathGradientBlendCount
GdipGetPathGradientCenterColor
GdipGetPathGradientCenterPoint
GdipGetPathGradientCenterPointI
GdipGetPathGradientFocusScales
GdipGetPathGradientGammaCorrection
GdipGetPathGradientPath
GdipGetPathGradientPointCount
GdipGetPathGradientPresetBlend
GdipGetPathGradientPresetBlendCount
GdipGetPathGradientRect
GdipGetPathGradientRectI
GdipGetPathGradientSurroundColorCount
GdipGetPathGradientSurroundColorsWithCount
GdipGetPathGradientTransform
GdipGetPathGradientWrapMode
GdipGetPathLastPoint
GdipGetPathPoints
GdipGetPathPointsI
GdipGetPathTypes
GdipGetPathWorldBounds
GdipGetPathWorldBoundsI
GdipGetPenBrushFill
GdipGetPenColor
GdipGetPenCompoundArray
GdipGetPenCompoundCount
GdipGetPenCustomEndCap
GdipGetPenCustomStartCap
GdipGetPenDashArray
GdipGetPenDashCap197819
GdipGetPenDashCount
GdipGetPenDashOffset
GdipGetPenDashStyle
GdipGetPenEndCap
GdipGetPenFillType
GdipGetPenLineJoin
GdipGetPenMiterLimit
GdipGetPenMode
GdipGetPenStartCap
GdipGetPenTransform
GdipGetPenUnit
GdipGetPenWidth
GdipGetPixelOffsetMode
GdipGetPointCount
GdipGetPropertyCount
GdipGetPropertyIdList
GdipGetPropertyItem
GdipGetPropertyItemSize
GdipGetPropertySize
GdipGetRegionBounds
GdipGetRegionBoundsI
GdipGetRegionData
GdipGetRegionDataSize
GdipGetRegionHRgn
GdipGetRegionScans
GdipGetRegionScansCount
GdipGetRegionScansI
GdipGetRenderingOrigin
GdipGetSmoothingMode
GdipGetSolidFillColor
GdipGetStringFormatAlign
GdipGetStringFormatDigitSubstitution
GdipGetStringFormatFlags
GdipGetStringFormatHotkeyPrefix
GdipGetStringFormatLineAlign
GdipGetStringFormatMeasurableCharacterRangeCount
GdipGetStringFormatTabStopCount
GdipGetStringFormatTabStops
GdipGetStringFormatTrimming
GdipGetTextContrast
GdipGetTextRenderingHint
GdipGetTextureImage
GdipGetTextureTransform
GdipGetTextureWrapMode
GdipGetVisibleClipBounds
GdipGetVisibleClipBoundsI
GdipGetWorldTransform
GdipGraphicsClear
GdipImageForceValidation
GdipImageGetFrameCount
GdipImageGetFrameDimensionsCount
GdipImageGetFrameDimensionsList
GdipImageRotateFlip
GdipImageSelectActiveFrame
GdipInvertMatrix
GdipIsClipEmpty
GdipIsEmptyRegion
GdipIsEqualRegion
GdipIsInfiniteRegion
GdipIsMatrixEqual
GdipIsMatrixIdentity
GdipIsMatrixInvertible
GdipIsOutlineVisiblePathPoint
GdipIsOutlineVisiblePathPointI
GdipIsStyleAvailable
GdipIsVisibleClipEmpty
GdipIsVisiblePathPoint
GdipIsVisiblePathPointI
GdipIsVisiblePoint
GdipIsVisiblePointI
GdipIsVisibleRect
GdipIsVisibleRectI
GdipIsVisibleRegionPoint
GdipIsVisibleRegionPointI
GdipIsVisibleRegionRect
GdipIsVisibleRegionRectI
GdipLoadImageFromFile
GdipLoadImageFromFileICM
GdipLoadImageFromStream
GdipLoadImageFromStreamICM
GdiplusShutdown
GdiplusStartup
GdiplusVersion
GdipMeasureCharacterRanges
GdipMeasureDriverString
GdipMeasureString
GdipMultiplyLineTransform
GdipMultiplyMatrix
GdipMultiplyPathGradientTransform
GdipMultiplyPenTransform
GdipMultiplyTextureTransform
GdipMultiplyWorldTransform
GdipNewInstalledFontCollection
GdipNewPrivateFontCollection
GdipPathIterCopyData
GdipPathIterEnumerate
GdipPathIterGetCount
GdipPathIterGetSubpathCount
GdipPathIterHasCurve
GdipPathIterIsValid
GdipPathIterNextMarker
GdipPathIterNextMarkerPath
GdipPathIterNextPathType
GdipPathIterNextSubpath
GdipPathIterNextSubpathPath
GdipPathIterRewind
GdipPlayMetafileRecord
GdipPrivateAddFontFile
GdipPrivateAddMemoryFont
GdipRecordMetafile
GdipRecordMetafileFileName
GdipRecordMetafileFileNameI
GdipRecordMetafileI
GdipRecordMetafileStream
GdipRecordMetafileStreamI
GdipReleaseDC
GdipRemovePropertyItem
GdipResetClip
GdipResetImageAttributes
GdipResetLineTransform
GdipResetPageTransform
GdipResetPath
GdipResetPathGradientTransform
GdipResetPenTransform
GdipResetTextureTransform
GdipResetWorldTransform
GdipRestoreGraphics
GdipReversePath
GdipRotateLineTransform
GdipRotateMatrix
GdipRotatePathGradientTransform
GdipRotatePenTransform
GdipRotateTextureTransform
GdipRotateWorldTransform
GdipSaveAdd
GdipSaveAddImage
GdipSaveGraphics
GdipSaveImageToFile
GdipSaveImageToStream
GdipScaleLineTransform
GdipScaleMatrix
GdipScalePathGradientTransform
GdipScalePenTransform
GdipScaleTextureTransform
GdipScaleWorldTransform
GdipSetAdjustableArrowCapFillState
GdipSetAdjustableArrowCapHeight
GdipSetAdjustableArrowCapMiddleInset
GdipSetAdjustableArrowCapWidth
GdipSetClipGraphics
GdipSetClipHrgn
GdipSetClipPath
GdipSetClipRect
GdipSetClipRectI
GdipSetClipRegion
GdipSetCompositingMode
GdipSetCompositingQuality
GdipSetCustomLineCapBaseCap
GdipSetCustomLineCapBaseInset
GdipSetCustomLineCapStrokeCaps
GdipSetCustomLineCapStrokeJoin
GdipSetCustomLineCapWidthScale
GdipSetEmpty
GdipSetImageAttributesColorKeys
GdipSetImageAttributesColorMatrix
GdipSetImageAttributesGamma
GdipSetImageAttributesICMMode
GdipSetImageAttributesNoOp
GdipSetImageAttributesOutputChannel
GdipSetImageAttributesOutputChannelColorProfile
GdipSetImageAttributesRemapTable
GdipSetImageAttributesThreshold
GdipSetImageAttributesToIdentity
GdipSetImageAttributesWrapMode
GdipSetImagePalette
GdipSetInfinite
GdipSetInterpolationMode
GdipSetLineBlend
GdipSetLineColors
GdipSetLineGammaCorrection
GdipSetLineLinearBlend
GdipSetLinePresetBlend
GdipSetLineSigmaBlend
GdipSetLineTransform
GdipSetLineWrapMode
GdipSetMatrixElements
GdipSetMetafileDownLevelRasterizationLimit
GdipSetPageScale
GdipSetPageUnit
GdipSetPathFillMode
GdipSetPathGradientBlend
GdipSetPathGradientCenterColor
GdipSetPathGradientCenterPoint
GdipSetPathGradientCenterPointI
GdipSetPathGradientFocusScales
GdipSetPathGradientGammaCorrection
GdipSetPathGradientLinearBlend
GdipSetPathGradientPath
GdipSetPathGradientPresetBlend
GdipSetPathGradientSigmaBlend
GdipSetPathGradientSurroundColorsWithCount
GdipSetPathGradientTransform
GdipSetPathGradientWrapMode
GdipSetPathMarker
GdipSetPenBrushFill
GdipSetPenColor
GdipSetPenCompoundArray
GdipSetPenCustomEndCap
GdipSetPenCustomStartCap
GdipSetPenDashArray
GdipSetPenDashCap197819
GdipSetPenDashOffset
GdipSetPenDashStyle
GdipSetPenEndCap
GdipSetPenLineCap197819
GdipSetPenLineJoin
GdipSetPenMiterLimit
GdipSetPenMode
GdipSetPenStartCap
GdipSetPenTransform
GdipSetPenUnit
GdipSetPenWidth
GdipSetPixelOffsetMode
GdipSetPropertyItem
GdipSetRenderingOrigin
GdipSetSmoothingMode
GdipSetSolidFillColor
GdipSetStringFormatAlign
GdipSetStringFormatDigitSubstitution
GdipSetStringFormatFlags
GdipSetStringFormatHotkeyPrefix
GdipSetStringFormatLineAlign
GdipSetStringFormatMeasurableCharacterRanges
GdipSetStringFormatTabStops
GdipSetStringFormatTrimming
GdipSetTextContrast
GdipSetTextRenderingHint
GdipSetTextureTransform
GdipSetTextureWrapMode
GdipSetWorldTransform
GdipShearMatrix
GdipStartPathFigure
GdipStringFormatGetGenericDefault
GdipStringFormatGetGenericTypographic
GdipTransformMatrixPoints
GdipTransformMatrixPointsI
GdipTransformPath
GdipTransformPoints
GdipTransformPointsI
GdipTransformRegion
GdipTranslateClip
GdipTranslateClipI
GdipTranslateLineTransform
GdipTranslateMatrix
GdipTranslatePathGradientTransform
GdipTranslatePenTransform
GdipTranslateRegion
GdipTranslateRegionI
GdipTranslateTextureTransform
GdipTranslateWorldTransform
GdipVectorTransformMatrixPoints
GdipVectorTransformMatrixPointsI
GdipWarpPath
GdipWidenPath
GdipWindingModeOutline
Guid
Hmf
id
Inch
iType
Key
Length
MimeType
nBytes
nDescription
newColor
nHandles
NotificationHook
NotificationUnhook
nPalEntries
nRecords
NumberOfValues
offDescription
oldColor
Parameter
PixelFormat
rclBounds
rclFrame
Reserved
Scan0
SigCount
SigMask
SigPattern
SigSize
sReserved
Stride
SuppressBackgroundThread
SuppressExternalCodecs
szlDevice
szlMillimeters
type_
Value


BoundingBox

BoundingBox variable

Var BoundingBox;

Unit
GDIPAPI


Checksum

Checksum variable

Var Checksum;

Unit
GDIPAPI


Clsid

Clsid variable

Var Clsid;

Unit
GDIPAPI


CodecName

CodecName variable

Var CodecName;

Unit
GDIPAPI


DebugEventCallback

DebugEventCallback variable

Var DebugEventCallback;

Unit
GDIPAPI


DllName

DllName variable

Var DllName;

Unit
GDIPAPI


dSignature

dSignature variable

Var dSignature;

Unit
GDIPAPI


Entries

Entries variable

Var Entries;

Unit
GDIPAPI


FilenameExtension

FilenameExtension variable

Var FilenameExtension;

Unit
GDIPAPI


First

First variable

Var First;

Unit
GDIPAPI


flags

flags variable

Var flags;

Unit
GDIPAPI


FormatDescription

FormatDescription variable

Var FormatDescription;

Unit
GDIPAPI


FormatID

FormatID variable

Var FormatID;

Unit
GDIPAPI


GdipAddPathArc

GdipAddPathArc variable

Var GdipAddPathArc;

Unit
GDIPAPI


GdipAddPathArcI

GdipAddPathArcI variable

Var GdipAddPathArcI;

Unit
GDIPAPI


GdipAddPathBezier

GdipAddPathBezier variable

Var GdipAddPathBezier;

Unit
GDIPAPI


GdipAddPathBezierI

GdipAddPathBezierI variable

Var GdipAddPathBezierI;

Unit
GDIPAPI


GdipAddPathBeziers

GdipAddPathBeziers variable

Var GdipAddPathBeziers;

Unit
GDIPAPI


GdipAddPathBeziersI

GdipAddPathBeziersI variable

Var GdipAddPathBeziersI;

Unit
GDIPAPI


GdipAddPathClosedCurve

GdipAddPathClosedCurve variable

Var GdipAddPathClosedCurve;

Unit
GDIPAPI


GdipAddPathClosedCurve2

GdipAddPathClosedCurve2 variable

Var GdipAddPathClosedCurve2;

Unit
GDIPAPI


GdipAddPathClosedCurve2I

GdipAddPathClosedCurve2I variable

Var GdipAddPathClosedCurve2I;

Unit
GDIPAPI


GdipAddPathClosedCurveI

GdipAddPathClosedCurveI variable

Var GdipAddPathClosedCurveI;

Unit
GDIPAPI


GdipAddPathCurve

GdipAddPathCurve variable

Var GdipAddPathCurve;

Unit
GDIPAPI


GdipAddPathCurve2

GdipAddPathCurve2 variable

Var GdipAddPathCurve2;

Unit
GDIPAPI


GdipAddPathCurve2I

GdipAddPathCurve2I variable

Var GdipAddPathCurve2I;

Unit
GDIPAPI


GdipAddPathCurve3

GdipAddPathCurve3 variable

Var GdipAddPathCurve3;

Unit
GDIPAPI


GdipAddPathCurve3I

GdipAddPathCurve3I variable

Var GdipAddPathCurve3I;

Unit
GDIPAPI


GdipAddPathCurveI

GdipAddPathCurveI variable

Var GdipAddPathCurveI;

Unit
GDIPAPI


GdipAddPathEllipse

GdipAddPathEllipse variable

Var GdipAddPathEllipse;

Unit
GDIPAPI


GdipAddPathEllipseI

GdipAddPathEllipseI variable

Var GdipAddPathEllipseI;

Unit
GDIPAPI


GdipAddPathLine

GdipAddPathLine variable

Var GdipAddPathLine;

Unit
GDIPAPI


GdipAddPathLine2

GdipAddPathLine2 variable

Var GdipAddPathLine2;

Unit
GDIPAPI


GdipAddPathLine2I

GdipAddPathLine2I variable

Var GdipAddPathLine2I;

Unit
GDIPAPI


GdipAddPathLineI

GdipAddPathLineI variable

Var GdipAddPathLineI;

Unit
GDIPAPI


GdipAddPathPath

GdipAddPathPath variable

Var GdipAddPathPath;

Unit
GDIPAPI


GdipAddPathPie

GdipAddPathPie variable

Var GdipAddPathPie;

Unit
GDIPAPI


GdipAddPathPieI

GdipAddPathPieI variable

Var GdipAddPathPieI;

Unit
GDIPAPI


GdipAddPathPolygon

GdipAddPathPolygon variable

Var GdipAddPathPolygon;

Unit
GDIPAPI


GdipAddPathPolygonI

GdipAddPathPolygonI variable

Var GdipAddPathPolygonI;

Unit
GDIPAPI


GdipAddPathRectangle

GdipAddPathRectangle variable

Var GdipAddPathRectangle;

Unit
GDIPAPI


GdipAddPathRectangleI

GdipAddPathRectangleI variable

Var GdipAddPathRectangleI;

Unit
GDIPAPI


GdipAddPathRectangles

GdipAddPathRectangles variable

Var GdipAddPathRectangles;

Unit
GDIPAPI


GdipAddPathRectanglesI

GdipAddPathRectanglesI variable

Var GdipAddPathRectanglesI;

Unit
GDIPAPI


GdipAddPathString

GdipAddPathString variable

Var GdipAddPathString;

Unit
GDIPAPI


GdipAddPathStringI

GdipAddPathStringI variable

Var GdipAddPathStringI;

Unit
GDIPAPI


GdipAlloc

GdipAlloc variable

Var GdipAlloc;

Unit
GDIPAPI


GdipBeginContainer

GdipBeginContainer variable

Var GdipBeginContainer;

Unit
GDIPAPI


GdipBeginContainer2

GdipBeginContainer2 variable

Var GdipBeginContainer2;

Unit
GDIPAPI


GdipBeginContainerI

GdipBeginContainerI variable

Var GdipBeginContainerI;

Unit
GDIPAPI


GdipBitmapGetPixel

GdipBitmapGetPixel variable

Var GdipBitmapGetPixel;

Unit
GDIPAPI


GdipBitmapLockBits

GdipBitmapLockBits variable

Var GdipBitmapLockBits;

Unit
GDIPAPI


GdipBitmapSetPixel

GdipBitmapSetPixel variable

Var GdipBitmapSetPixel;

Unit
GDIPAPI


GdipBitmapSetResolution

GdipBitmapSetResolution variable

Var GdipBitmapSetResolution;

Unit
GDIPAPI


GdipBitmapUnlockBits

GdipBitmapUnlockBits variable

Var GdipBitmapUnlockBits;

Unit
GDIPAPI


GdipClearPathMarkers

GdipClearPathMarkers variable

Var GdipClearPathMarkers;

Unit
GDIPAPI


GdipCloneBitmapArea

GdipCloneBitmapArea variable

Var GdipCloneBitmapArea;

Unit
GDIPAPI


GdipCloneBitmapAreaI

GdipCloneBitmapAreaI variable

Var GdipCloneBitmapAreaI;

Unit
GDIPAPI


GdipCloneBrush

GdipCloneBrush variable

Var GdipCloneBrush;

Unit
GDIPAPI


GdipCloneCustomLineCap

GdipCloneCustomLineCap variable

Var GdipCloneCustomLineCap;

Unit
GDIPAPI


GdipCloneFont

GdipCloneFont variable

Var GdipCloneFont;

Unit
GDIPAPI


GdipCloneFontFamily

GdipCloneFontFamily variable

Var GdipCloneFontFamily;

Unit
GDIPAPI


GdipCloneImage

GdipCloneImage variable

Var GdipCloneImage;

Unit
GDIPAPI


GdipCloneImageAttributes

GdipCloneImageAttributes variable

Var GdipCloneImageAttributes;

Unit
GDIPAPI


GdipCloneMatrix

GdipCloneMatrix variable

Var GdipCloneMatrix;

Unit
GDIPAPI


GdipClonePath

GdipClonePath variable

Var GdipClonePath;

Unit
GDIPAPI


GdipClonePen

GdipClonePen variable

Var GdipClonePen;

Unit
GDIPAPI


GdipCloneRegion

GdipCloneRegion variable

Var GdipCloneRegion;

Unit
GDIPAPI


GdipCloneStringFormat

GdipCloneStringFormat variable

Var GdipCloneStringFormat;

Unit
GDIPAPI


GdipClosePathFigure

GdipClosePathFigure variable

Var GdipClosePathFigure;

Unit
GDIPAPI


GdipClosePathFigures

GdipClosePathFigures variable

Var GdipClosePathFigures;

Unit
GDIPAPI


GdipCombineRegionPath

GdipCombineRegionPath variable

Var GdipCombineRegionPath;

Unit
GDIPAPI


GdipCombineRegionRect

GdipCombineRegionRect variable

Var GdipCombineRegionRect;

Unit
GDIPAPI


GdipCombineRegionRectI

GdipCombineRegionRectI variable

Var GdipCombineRegionRectI;

Unit
GDIPAPI


GdipCombineRegionRegion

GdipCombineRegionRegion variable

Var GdipCombineRegionRegion;

Unit
GDIPAPI


GdipComment

GdipComment variable

Var GdipComment;

Unit
GDIPAPI


GdipCreateAdjustableArrowCap

GdipCreateAdjustableArrowCap variable

Var GdipCreateAdjustableArrowCap;

Unit
GDIPAPI


GdipCreateBitmapFromFile

GdipCreateBitmapFromFile variable

Var GdipCreateBitmapFromFile;

Unit
GDIPAPI


GdipCreateBitmapFromFileICM

GdipCreateBitmapFromFileICM variable

Var GdipCreateBitmapFromFileICM;

Unit
GDIPAPI


GdipCreateBitmapFromGdiDib

GdipCreateBitmapFromGdiDib variable

Var GdipCreateBitmapFromGdiDib;

Unit
GDIPAPI


GdipCreateBitmapFromGraphics

GdipCreateBitmapFromGraphics variable

Var GdipCreateBitmapFromGraphics;

Unit
GDIPAPI


GdipCreateBitmapFromHBITMAP

GdipCreateBitmapFromHBITMAP variable

Var GdipCreateBitmapFromHBITMAP;

Unit
GDIPAPI


GdipCreateBitmapFromHICON

GdipCreateBitmapFromHICON variable

Var GdipCreateBitmapFromHICON;

Unit
GDIPAPI


GdipCreateBitmapFromResource

GdipCreateBitmapFromResource variable

Var GdipCreateBitmapFromResource;

Unit
GDIPAPI


GdipCreateBitmapFromScan0

GdipCreateBitmapFromScan0 variable

Var GdipCreateBitmapFromScan0;

Unit
GDIPAPI


GdipCreateBitmapFromStream

GdipCreateBitmapFromStream variable

Var GdipCreateBitmapFromStream;

Unit
GDIPAPI


GdipCreateBitmapFromStreamICM

GdipCreateBitmapFromStreamICM variable

Var GdipCreateBitmapFromStreamICM;

Unit
GDIPAPI


GdipCreateCachedBitmap

GdipCreateCachedBitmap variable

Var GdipCreateCachedBitmap;

Unit
GDIPAPI


GdipCreateCustomLineCap

GdipCreateCustomLineCap variable

Var GdipCreateCustomLineCap;

Unit
GDIPAPI


GdipCreateFont

GdipCreateFont variable

Var GdipCreateFont;

Unit
GDIPAPI


GdipCreateFontFamilyFromName

GdipCreateFontFamilyFromName variable

Var GdipCreateFontFamilyFromName;

Unit
GDIPAPI


GdipCreateFontFromDC

GdipCreateFontFromDC variable

Var GdipCreateFontFromDC;

Unit
GDIPAPI


GdipCreateFontFromLogfontA

GdipCreateFontFromLogfontA variable

Var GdipCreateFontFromLogfontA;

Unit
GDIPAPI


GdipCreateFontFromLogfontW

GdipCreateFontFromLogfontW variable

Var GdipCreateFontFromLogfontW;

Unit
GDIPAPI


GdipCreateFromHDC

GdipCreateFromHDC variable

Var GdipCreateFromHDC;

Unit
GDIPAPI


GdipCreateFromHDC2

GdipCreateFromHDC2 variable

Var GdipCreateFromHDC2;

Unit
GDIPAPI


GdipCreateFromHWND

GdipCreateFromHWND variable

Var GdipCreateFromHWND;

Unit
GDIPAPI


GdipCreateFromHWNDICM

GdipCreateFromHWNDICM variable

Var GdipCreateFromHWNDICM;

Unit
GDIPAPI


GdipCreateHalftonePalette

GdipCreateHalftonePalette variable

Var GdipCreateHalftonePalette;

Unit
GDIPAPI


GdipCreateHatchBrush

GdipCreateHatchBrush variable

Var GdipCreateHatchBrush;

Unit
GDIPAPI


GdipCreateHBITMAPFromBitmap

GdipCreateHBITMAPFromBitmap variable

Var GdipCreateHBITMAPFromBitmap;

Unit
GDIPAPI


GdipCreateHICONFromBitmap

GdipCreateHICONFromBitmap variable

Var GdipCreateHICONFromBitmap;

Unit
GDIPAPI


GdipCreateImageAttributes

GdipCreateImageAttributes variable

Var GdipCreateImageAttributes;

Unit
GDIPAPI


GdipCreateLineBrush

GdipCreateLineBrush variable

Var GdipCreateLineBrush;

Unit
GDIPAPI


GdipCreateLineBrushFromRect

GdipCreateLineBrushFromRect variable

Var GdipCreateLineBrushFromRect;

Unit
GDIPAPI


GdipCreateLineBrushFromRectI

GdipCreateLineBrushFromRectI variable

Var GdipCreateLineBrushFromRectI;

Unit
GDIPAPI


GdipCreateLineBrushFromRectWithAngle

GdipCreateLineBrushFromRectWithAngle variable

Var GdipCreateLineBrushFromRectWithAngle;

Unit
GDIPAPI


GdipCreateLineBrushFromRectWithAngleI

GdipCreateLineBrushFromRectWithAngleI variable

Var GdipCreateLineBrushFromRectWithAngleI;

Unit
GDIPAPI


GdipCreateLineBrushI

GdipCreateLineBrushI variable

Var GdipCreateLineBrushI;

Unit
GDIPAPI


GdipCreateMatrix

GdipCreateMatrix variable

Var GdipCreateMatrix;

Unit
GDIPAPI


GdipCreateMatrix2

GdipCreateMatrix2 variable

Var GdipCreateMatrix2;

Unit
GDIPAPI


GdipCreateMatrix3

GdipCreateMatrix3 variable

Var GdipCreateMatrix3;

Unit
GDIPAPI


GdipCreateMatrix3I

GdipCreateMatrix3I variable

Var GdipCreateMatrix3I;

Unit
GDIPAPI


GdipCreateMetafileFromEmf

GdipCreateMetafileFromEmf variable

Var GdipCreateMetafileFromEmf;

Unit
GDIPAPI


GdipCreateMetafileFromFile

GdipCreateMetafileFromFile variable

Var GdipCreateMetafileFromFile;

Unit
GDIPAPI


GdipCreateMetafileFromStream

GdipCreateMetafileFromStream variable

Var GdipCreateMetafileFromStream;

Unit
GDIPAPI


GdipCreateMetafileFromWmf

GdipCreateMetafileFromWmf variable

Var GdipCreateMetafileFromWmf;

Unit
GDIPAPI


GdipCreateMetafileFromWmfFile

GdipCreateMetafileFromWmfFile variable

Var GdipCreateMetafileFromWmfFile;

Unit
GDIPAPI


GdipCreatePath

GdipCreatePath variable

Var GdipCreatePath;

Unit
GDIPAPI


GdipCreatePath2

GdipCreatePath2 variable

Var GdipCreatePath2;

Unit
GDIPAPI


GdipCreatePath2I

GdipCreatePath2I variable

Var GdipCreatePath2I;

Unit
GDIPAPI


GdipCreatePathGradient

GdipCreatePathGradient variable

Var GdipCreatePathGradient;

Unit
GDIPAPI


GdipCreatePathGradientFromPath

GdipCreatePathGradientFromPath variable

Var GdipCreatePathGradientFromPath;

Unit
GDIPAPI


GdipCreatePathGradientI

GdipCreatePathGradientI variable

Var GdipCreatePathGradientI;

Unit
GDIPAPI


GdipCreatePathIter

GdipCreatePathIter variable

Var GdipCreatePathIter;

Unit
GDIPAPI


GdipCreatePen1

GdipCreatePen1 variable

Var GdipCreatePen1;

Unit
GDIPAPI


GdipCreatePen2

GdipCreatePen2 variable

Var GdipCreatePen2;

Unit
GDIPAPI


GdipCreateRegion

GdipCreateRegion variable

Var GdipCreateRegion;

Unit
GDIPAPI


GdipCreateRegionHrgn

GdipCreateRegionHrgn variable

Var GdipCreateRegionHrgn;

Unit
GDIPAPI


GdipCreateRegionPath

GdipCreateRegionPath variable

Var GdipCreateRegionPath;

Unit
GDIPAPI


GdipCreateRegionRect

GdipCreateRegionRect variable

Var GdipCreateRegionRect;

Unit
GDIPAPI


GdipCreateRegionRectI

GdipCreateRegionRectI variable

Var GdipCreateRegionRectI;

Unit
GDIPAPI


GdipCreateRegionRgnData

GdipCreateRegionRgnData variable

Var GdipCreateRegionRgnData;

Unit
GDIPAPI


GdipCreateSolidFill

GdipCreateSolidFill variable

Var GdipCreateSolidFill;

Unit
GDIPAPI


GdipCreateStreamOnFile

GdipCreateStreamOnFile variable

Var GdipCreateStreamOnFile;

Unit
GDIPAPI


GdipCreateStringFormat

GdipCreateStringFormat variable

Var GdipCreateStringFormat;

Unit
GDIPAPI


GdipCreateTexture

GdipCreateTexture variable

Var GdipCreateTexture;

Unit
GDIPAPI


GdipCreateTexture2

GdipCreateTexture2 variable

Var GdipCreateTexture2;

Unit
GDIPAPI


GdipCreateTexture2I

GdipCreateTexture2I variable

Var GdipCreateTexture2I;

Unit
GDIPAPI


GdipCreateTextureIA

GdipCreateTextureIA variable

Var GdipCreateTextureIA;

Unit
GDIPAPI


GdipCreateTextureIAI

GdipCreateTextureIAI variable

Var GdipCreateTextureIAI;

Unit
GDIPAPI


GdipDeleteBrush

GdipDeleteBrush variable

Var GdipDeleteBrush;

Unit
GDIPAPI


GdipDeleteCachedBitmap

GdipDeleteCachedBitmap variable

Var GdipDeleteCachedBitmap;

Unit
GDIPAPI


GdipDeleteCustomLineCap

GdipDeleteCustomLineCap variable

Var GdipDeleteCustomLineCap;

Unit
GDIPAPI


GdipDeleteFont

GdipDeleteFont variable

Var GdipDeleteFont;

Unit
GDIPAPI


GdipDeleteFontFamily

GdipDeleteFontFamily variable

Var GdipDeleteFontFamily;

Unit
GDIPAPI


GdipDeleteGraphics

GdipDeleteGraphics variable

Var GdipDeleteGraphics;

Unit
GDIPAPI


GdipDeleteMatrix

GdipDeleteMatrix variable

Var GdipDeleteMatrix;

Unit
GDIPAPI


GdipDeletePath

GdipDeletePath variable

Var GdipDeletePath;

Unit
GDIPAPI


GdipDeletePathIter

GdipDeletePathIter variable

Var GdipDeletePathIter;

Unit
GDIPAPI


GdipDeletePen

GdipDeletePen variable

Var GdipDeletePen;

Unit
GDIPAPI


GdipDeletePrivateFontCollection

GdipDeletePrivateFontCollection variable

Var GdipDeletePrivateFontCollection;

Unit
GDIPAPI


GdipDeleteRegion

GdipDeleteRegion variable

Var GdipDeleteRegion;

Unit
GDIPAPI


GdipDeleteStringFormat

GdipDeleteStringFormat variable

Var GdipDeleteStringFormat;

Unit
GDIPAPI


GdipDisposeImage

GdipDisposeImage variable

Var GdipDisposeImage;

Unit
GDIPAPI


GdipDisposeImageAttributes

GdipDisposeImageAttributes variable

Var GdipDisposeImageAttributes;

Unit
GDIPAPI


GdipDrawArc

GdipDrawArc variable

Var GdipDrawArc;

Unit
GDIPAPI


GdipDrawArcI

GdipDrawArcI variable

Var GdipDrawArcI;

Unit
GDIPAPI


GdipDrawBezier

GdipDrawBezier variable

Var GdipDrawBezier;

Unit
GDIPAPI


GdipDrawBezierI

GdipDrawBezierI variable

Var GdipDrawBezierI;

Unit
GDIPAPI


GdipDrawBeziers

GdipDrawBeziers variable

Var GdipDrawBeziers;

Unit
GDIPAPI


GdipDrawBeziersI

GdipDrawBeziersI variable

Var GdipDrawBeziersI;

Unit
GDIPAPI


GdipDrawCachedBitmap

GdipDrawCachedBitmap variable

Var GdipDrawCachedBitmap;

Unit
GDIPAPI


GdipDrawClosedCurve

GdipDrawClosedCurve variable

Var GdipDrawClosedCurve;

Unit
GDIPAPI


GdipDrawClosedCurve2

GdipDrawClosedCurve2 variable

Var GdipDrawClosedCurve2;

Unit
GDIPAPI


GdipDrawClosedCurve2I

GdipDrawClosedCurve2I variable

Var GdipDrawClosedCurve2I;

Unit
GDIPAPI


GdipDrawClosedCurveI

GdipDrawClosedCurveI variable

Var GdipDrawClosedCurveI;

Unit
GDIPAPI


GdipDrawCurve

GdipDrawCurve variable

Var GdipDrawCurve;

Unit
GDIPAPI


GdipDrawCurve2

GdipDrawCurve2 variable

Var GdipDrawCurve2;

Unit
GDIPAPI


GdipDrawCurve2I

GdipDrawCurve2I variable

Var GdipDrawCurve2I;

Unit
GDIPAPI


GdipDrawCurve3

GdipDrawCurve3 variable

Var GdipDrawCurve3;

Unit
GDIPAPI


GdipDrawCurve3I

GdipDrawCurve3I variable

Var GdipDrawCurve3I;

Unit
GDIPAPI


GdipDrawCurveI

GdipDrawCurveI variable

Var GdipDrawCurveI;

Unit
GDIPAPI


GdipDrawDriverString

GdipDrawDriverString variable

Var GdipDrawDriverString;

Unit
GDIPAPI


GdipDrawEllipse

GdipDrawEllipse variable

Var GdipDrawEllipse;

Unit
GDIPAPI


GdipDrawEllipseI

GdipDrawEllipseI variable

Var GdipDrawEllipseI;

Unit
GDIPAPI


GdipDrawImage

GdipDrawImage variable

Var GdipDrawImage;

Unit
GDIPAPI


GdipDrawImageI

GdipDrawImageI variable

Var GdipDrawImageI;

Unit
GDIPAPI


GdipDrawImagePointRect

GdipDrawImagePointRect variable

Var GdipDrawImagePointRect;

Unit
GDIPAPI


GdipDrawImagePointRectI

GdipDrawImagePointRectI variable

Var GdipDrawImagePointRectI;

Unit
GDIPAPI


GdipDrawImagePoints

GdipDrawImagePoints variable

Var GdipDrawImagePoints;

Unit
GDIPAPI


GdipDrawImagePointsI

GdipDrawImagePointsI variable

Var GdipDrawImagePointsI;

Unit
GDIPAPI


GdipDrawImagePointsRect

GdipDrawImagePointsRect variable

Var GdipDrawImagePointsRect;

Unit
GDIPAPI


GdipDrawImagePointsRectI

GdipDrawImagePointsRectI variable

Var GdipDrawImagePointsRectI;

Unit
GDIPAPI


GdipDrawImageRect

GdipDrawImageRect variable

Var GdipDrawImageRect;

Unit
GDIPAPI


GdipDrawImageRectI

GdipDrawImageRectI variable

Var GdipDrawImageRectI;

Unit
GDIPAPI


GdipDrawImageRectRect

GdipDrawImageRectRect variable

Var GdipDrawImageRectRect;

Unit
GDIPAPI


GdipDrawImageRectRectI

GdipDrawImageRectRectI variable

Var GdipDrawImageRectRectI;

Unit
GDIPAPI


GdipDrawLine

GdipDrawLine variable

Var GdipDrawLine;

Unit
GDIPAPI


GdipDrawLineI

GdipDrawLineI variable

Var GdipDrawLineI;

Unit
GDIPAPI


GdipDrawLines

GdipDrawLines variable

Var GdipDrawLines;

Unit
GDIPAPI


GdipDrawLinesI

GdipDrawLinesI variable

Var GdipDrawLinesI;

Unit
GDIPAPI


GdipDrawPath

GdipDrawPath variable

Var GdipDrawPath;

Unit
GDIPAPI


GdipDrawPie

GdipDrawPie variable

Var GdipDrawPie;

Unit
GDIPAPI


GdipDrawPieI

GdipDrawPieI variable

Var GdipDrawPieI;

Unit
GDIPAPI


GdipDrawPolygon

GdipDrawPolygon variable

Var GdipDrawPolygon;

Unit
GDIPAPI


GdipDrawPolygonI

GdipDrawPolygonI variable

Var GdipDrawPolygonI;

Unit
GDIPAPI


GdipDrawRectangle

GdipDrawRectangle variable

Var GdipDrawRectangle;

Unit
GDIPAPI


GdipDrawRectangleI

GdipDrawRectangleI variable

Var GdipDrawRectangleI;

Unit
GDIPAPI


GdipDrawRectangles

GdipDrawRectangles variable

Var GdipDrawRectangles;

Unit
GDIPAPI


GdipDrawRectanglesI

GdipDrawRectanglesI variable

Var GdipDrawRectanglesI;

Unit
GDIPAPI


GdipDrawString

GdipDrawString variable

Var GdipDrawString;

Unit
GDIPAPI


GdipEmfToWmfBits

GdipEmfToWmfBits variable

Var GdipEmfToWmfBits;

Unit
GDIPAPI


GdipEndContainer

GdipEndContainer variable

Var GdipEndContainer;

Unit
GDIPAPI


GdipEnumerateMetafileDestPoint

GdipEnumerateMetafileDestPoint variable

Var GdipEnumerateMetafileDestPoint;

Unit
GDIPAPI


GdipEnumerateMetafileDestPointI

GdipEnumerateMetafileDestPointI variable

Var GdipEnumerateMetafileDestPointI;

Unit
GDIPAPI


GdipEnumerateMetafileDestPoints

GdipEnumerateMetafileDestPoints variable

Var GdipEnumerateMetafileDestPoints;

Unit
GDIPAPI


GdipEnumerateMetafileDestPointsI

GdipEnumerateMetafileDestPointsI variable

Var GdipEnumerateMetafileDestPointsI;

Unit
GDIPAPI


GdipEnumerateMetafileDestRect

GdipEnumerateMetafileDestRect variable

Var GdipEnumerateMetafileDestRect;

Unit
GDIPAPI


GdipEnumerateMetafileDestRectI

GdipEnumerateMetafileDestRectI variable

Var GdipEnumerateMetafileDestRectI;

Unit
GDIPAPI


GdipEnumerateMetafileSrcRectDestPoint

GdipEnumerateMetafileSrcRectDestPoint variable

Var GdipEnumerateMetafileSrcRectDestPoint;

Unit
GDIPAPI


GdipEnumerateMetafileSrcRectDestPointI

GdipEnumerateMetafileSrcRectDestPointI variable

Var GdipEnumerateMetafileSrcRectDestPointI;

Unit
GDIPAPI


GdipEnumerateMetafileSrcRectDestPoints

GdipEnumerateMetafileSrcRectDestPoints variable

Var GdipEnumerateMetafileSrcRectDestPoints;

Unit
GDIPAPI


GdipEnumerateMetafileSrcRectDestPointsI

GdipEnumerateMetafileSrcRectDestPointsI variable

Var GdipEnumerateMetafileSrcRectDestPointsI;

Unit
GDIPAPI


GdipEnumerateMetafileSrcRectDestRect

GdipEnumerateMetafileSrcRectDestRect variable

Var GdipEnumerateMetafileSrcRectDestRect;

Unit
GDIPAPI


GdipEnumerateMetafileSrcRectDestRectI

GdipEnumerateMetafileSrcRectDestRectI variable

Var GdipEnumerateMetafileSrcRectDestRectI;

Unit
GDIPAPI


GdipFillClosedCurve

GdipFillClosedCurve variable

Var GdipFillClosedCurve;

Unit
GDIPAPI


GdipFillClosedCurve2

GdipFillClosedCurve2 variable

Var GdipFillClosedCurve2;

Unit
GDIPAPI


GdipFillClosedCurve2I

GdipFillClosedCurve2I variable

Var GdipFillClosedCurve2I;

Unit
GDIPAPI


GdipFillClosedCurveI

GdipFillClosedCurveI variable

Var GdipFillClosedCurveI;

Unit
GDIPAPI


GdipFillEllipse

GdipFillEllipse variable

Var GdipFillEllipse;

Unit
GDIPAPI


GdipFillEllipseI

GdipFillEllipseI variable

Var GdipFillEllipseI;

Unit
GDIPAPI


GdipFillPath

GdipFillPath variable

Var GdipFillPath;

Unit
GDIPAPI


GdipFillPie

GdipFillPie variable

Var GdipFillPie;

Unit
GDIPAPI


GdipFillPieI

GdipFillPieI variable

Var GdipFillPieI;

Unit
GDIPAPI


GdipFillPolygon

GdipFillPolygon variable

Var GdipFillPolygon;

Unit
GDIPAPI


GdipFillPolygon2

GdipFillPolygon2 variable

Var GdipFillPolygon2;

Unit
GDIPAPI


GdipFillPolygon2I

GdipFillPolygon2I variable

Var GdipFillPolygon2I;

Unit
GDIPAPI


GdipFillPolygonI

GdipFillPolygonI variable

Var GdipFillPolygonI;

Unit
GDIPAPI


GdipFillRectangle

GdipFillRectangle variable

Var GdipFillRectangle;

Unit
GDIPAPI


GdipFillRectangleI

GdipFillRectangleI variable

Var GdipFillRectangleI;

Unit
GDIPAPI


GdipFillRectangles

GdipFillRectangles variable

Var GdipFillRectangles;

Unit
GDIPAPI


GdipFillRectanglesI

GdipFillRectanglesI variable

Var GdipFillRectanglesI;

Unit
GDIPAPI


GdipFillRegion

GdipFillRegion variable

Var GdipFillRegion;

Unit
GDIPAPI


GdipFlattenPath

GdipFlattenPath variable

Var GdipFlattenPath;

Unit
GDIPAPI


GdipFlush

GdipFlush variable

Var GdipFlush;

Unit
GDIPAPI


GdipFontCollectionEnumerable

GdipFontCollectionEnumerable variable

Var GdipFontCollectionEnumerable;

Unit
GDIPAPI


GdipFontCollectionEnumerate

GdipFontCollectionEnumerate variable

Var GdipFontCollectionEnumerate;

Unit
GDIPAPI


GdipFree

GdipFree variable

Var GdipFree;

Unit
GDIPAPI


GdipGetAdjustableArrowCapFillState

GdipGetAdjustableArrowCapFillState variable

Var GdipGetAdjustableArrowCapFillState;

Unit
GDIPAPI


GdipGetAdjustableArrowCapHeight

GdipGetAdjustableArrowCapHeight variable

Var GdipGetAdjustableArrowCapHeight;

Unit
GDIPAPI


GdipGetAdjustableArrowCapMiddleInset

GdipGetAdjustableArrowCapMiddleInset variable

Var GdipGetAdjustableArrowCapMiddleInset;

Unit
GDIPAPI


GdipGetAdjustableArrowCapWidth

GdipGetAdjustableArrowCapWidth variable

Var GdipGetAdjustableArrowCapWidth;

Unit
GDIPAPI


GdipGetAllPropertyItems

GdipGetAllPropertyItems variable

Var GdipGetAllPropertyItems;

Unit
GDIPAPI


GdipGetBrushType

GdipGetBrushType variable

Var GdipGetBrushType;

Unit
GDIPAPI


GdipGetCellAscent

GdipGetCellAscent variable

Var GdipGetCellAscent;

Unit
GDIPAPI


GdipGetCellDescent

GdipGetCellDescent variable

Var GdipGetCellDescent;

Unit
GDIPAPI


GdipGetClip

GdipGetClip variable

Var GdipGetClip;

Unit
GDIPAPI


GdipGetClipBounds

GdipGetClipBounds variable

Var GdipGetClipBounds;

Unit
GDIPAPI


GdipGetClipBoundsI

GdipGetClipBoundsI variable

Var GdipGetClipBoundsI;

Unit
GDIPAPI


GdipGetCompositingMode

GdipGetCompositingMode variable

Var GdipGetCompositingMode;

Unit
GDIPAPI


GdipGetCompositingQuality

GdipGetCompositingQuality variable

Var GdipGetCompositingQuality;

Unit
GDIPAPI


GdipGetCustomLineCapBaseCap

GdipGetCustomLineCapBaseCap variable

Var GdipGetCustomLineCapBaseCap;

Unit
GDIPAPI


GdipGetCustomLineCapBaseInset

GdipGetCustomLineCapBaseInset variable

Var GdipGetCustomLineCapBaseInset;

Unit
GDIPAPI


GdipGetCustomLineCapStrokeCaps

GdipGetCustomLineCapStrokeCaps variable

Var GdipGetCustomLineCapStrokeCaps;

Unit
GDIPAPI


GdipGetCustomLineCapStrokeJoin

GdipGetCustomLineCapStrokeJoin variable

Var GdipGetCustomLineCapStrokeJoin;

Unit
GDIPAPI


GdipGetCustomLineCapType

GdipGetCustomLineCapType variable

Var GdipGetCustomLineCapType;

Unit
GDIPAPI


GdipGetCustomLineCapWidthScale

GdipGetCustomLineCapWidthScale variable

Var GdipGetCustomLineCapWidthScale;

Unit
GDIPAPI


GdipGetDC

GdipGetDC variable

Var GdipGetDC;

Unit
GDIPAPI


GdipGetDpiX

GdipGetDpiX variable

Var GdipGetDpiX;

Unit
GDIPAPI


GdipGetDpiY

GdipGetDpiY variable

Var GdipGetDpiY;

Unit
GDIPAPI


GdipGetEmHeight

GdipGetEmHeight variable

Var GdipGetEmHeight;

Unit
GDIPAPI


GdipGetEncoderParameterList

GdipGetEncoderParameterList variable

Var GdipGetEncoderParameterList;

Unit
GDIPAPI


GdipGetEncoderParameterListSize

GdipGetEncoderParameterListSize variable

Var GdipGetEncoderParameterListSize;

Unit
GDIPAPI


GdipGetFamily

GdipGetFamily variable

Var GdipGetFamily;

Unit
GDIPAPI


GdipGetFamilyName

GdipGetFamilyName variable

Var GdipGetFamilyName;

Unit
GDIPAPI


GdipGetFontCollectionFamilyCount

GdipGetFontCollectionFamilyCount variable

Var GdipGetFontCollectionFamilyCount;

Unit
GDIPAPI


GdipGetFontCollectionFamilyList

GdipGetFontCollectionFamilyList variable

Var GdipGetFontCollectionFamilyList;

Unit
GDIPAPI


GdipGetFontHeight

GdipGetFontHeight variable

Var GdipGetFontHeight;

Unit
GDIPAPI


GdipGetFontHeightGivenDPI

GdipGetFontHeightGivenDPI variable

Var GdipGetFontHeightGivenDPI;

Unit
GDIPAPI


GdipGetFontSize

GdipGetFontSize variable

Var GdipGetFontSize;

Unit
GDIPAPI


GdipGetFontStyle

GdipGetFontStyle variable

Var GdipGetFontStyle;

Unit
GDIPAPI


GdipGetFontUnit

GdipGetFontUnit variable

Var GdipGetFontUnit;

Unit
GDIPAPI


GdipGetGenericFontFamilyMonospace

GdipGetGenericFontFamilyMonospace variable

Var GdipGetGenericFontFamilyMonospace;

Unit
GDIPAPI


GdipGetGenericFontFamilySansSerif

GdipGetGenericFontFamilySansSerif variable

Var GdipGetGenericFontFamilySansSerif;

Unit
GDIPAPI


GdipGetGenericFontFamilySerif

GdipGetGenericFontFamilySerif variable

Var GdipGetGenericFontFamilySerif;

Unit
GDIPAPI


GdipGetHatchBackgroundColor

GdipGetHatchBackgroundColor variable

Var GdipGetHatchBackgroundColor;

Unit
GDIPAPI


GdipGetHatchForegroundColor

GdipGetHatchForegroundColor variable

Var GdipGetHatchForegroundColor;

Unit
GDIPAPI


GdipGetHatchStyle

GdipGetHatchStyle variable

Var GdipGetHatchStyle;

Unit
GDIPAPI


GdipGetHemfFromMetafile

GdipGetHemfFromMetafile variable

Var GdipGetHemfFromMetafile;

Unit
GDIPAPI


GdipGetImageAttributesAdjustedPalette

GdipGetImageAttributesAdjustedPalette variable

Var GdipGetImageAttributesAdjustedPalette;

Unit
GDIPAPI


GdipGetImageBounds

GdipGetImageBounds variable

Var GdipGetImageBounds;

Unit
GDIPAPI


GdipGetImageDecoders

GdipGetImageDecoders variable

Var GdipGetImageDecoders;

Unit
GDIPAPI


GdipGetImageDecodersSize

GdipGetImageDecodersSize variable

Var GdipGetImageDecodersSize;

Unit
GDIPAPI


GdipGetImageDimension

GdipGetImageDimension variable

Var GdipGetImageDimension;

Unit
GDIPAPI


GdipGetImageEncoders

GdipGetImageEncoders variable

Var GdipGetImageEncoders;

Unit
GDIPAPI


GdipGetImageEncodersSize

GdipGetImageEncodersSize variable

Var GdipGetImageEncodersSize;

Unit
GDIPAPI


GdipGetImageFlags

GdipGetImageFlags variable

Var GdipGetImageFlags;

Unit
GDIPAPI


GdipGetImageGraphicsContext

GdipGetImageGraphicsContext variable

Var GdipGetImageGraphicsContext;

Unit
GDIPAPI


GdipGetImageHeight

GdipGetImageHeight variable

Var GdipGetImageHeight;

Unit
GDIPAPI


GdipGetImageHorizontalResolution

GdipGetImageHorizontalResolution variable

Var GdipGetImageHorizontalResolution;

Unit
GDIPAPI


GdipGetImagePalette

GdipGetImagePalette variable

Var GdipGetImagePalette;

Unit
GDIPAPI


GdipGetImagePaletteSize

GdipGetImagePaletteSize variable

Var GdipGetImagePaletteSize;

Unit
GDIPAPI


GdipGetImagePixelFormat

GdipGetImagePixelFormat variable

Var GdipGetImagePixelFormat;

Unit
GDIPAPI


GdipGetImageRawFormat

GdipGetImageRawFormat variable

Var GdipGetImageRawFormat;

Unit
GDIPAPI


GdipGetImageThumbnail

GdipGetImageThumbnail variable

Var GdipGetImageThumbnail;

Unit
GDIPAPI


GdipGetImageType

GdipGetImageType variable

Var GdipGetImageType;

Unit
GDIPAPI


GdipGetImageVerticalResolution

GdipGetImageVerticalResolution variable

Var GdipGetImageVerticalResolution;

Unit
GDIPAPI


GdipGetImageWidth

GdipGetImageWidth variable

Var GdipGetImageWidth;

Unit
GDIPAPI


GdipGetInterpolationMode

GdipGetInterpolationMode variable

Var GdipGetInterpolationMode;

Unit
GDIPAPI


GdipGetLineBlend

GdipGetLineBlend variable

Var GdipGetLineBlend;

Unit
GDIPAPI


GdipGetLineBlendCount

GdipGetLineBlendCount variable

Var GdipGetLineBlendCount;

Unit
GDIPAPI


GdipGetLineColors

GdipGetLineColors variable

Var GdipGetLineColors;

Unit
GDIPAPI


GdipGetLineGammaCorrection

GdipGetLineGammaCorrection variable

Var GdipGetLineGammaCorrection;

Unit
GDIPAPI


GdipGetLinePresetBlend

GdipGetLinePresetBlend variable

Var GdipGetLinePresetBlend;

Unit
GDIPAPI


GdipGetLinePresetBlendCount

GdipGetLinePresetBlendCount variable

Var GdipGetLinePresetBlendCount;

Unit
GDIPAPI


GdipGetLineRect

GdipGetLineRect variable

Var GdipGetLineRect;

Unit
GDIPAPI


GdipGetLineRectI

GdipGetLineRectI variable

Var GdipGetLineRectI;

Unit
GDIPAPI


GdipGetLineSpacing

GdipGetLineSpacing variable

Var GdipGetLineSpacing;

Unit
GDIPAPI


GdipGetLineTransform

GdipGetLineTransform variable

Var GdipGetLineTransform;

Unit
GDIPAPI


GdipGetLineWrapMode

GdipGetLineWrapMode variable

Var GdipGetLineWrapMode;

Unit
GDIPAPI


GdipGetLogFontA

GdipGetLogFontA variable

Var GdipGetLogFontA;

Unit
GDIPAPI


GdipGetLogFontW

GdipGetLogFontW variable

Var GdipGetLogFontW;

Unit
GDIPAPI


GdipGetMatrixElements

GdipGetMatrixElements variable

Var GdipGetMatrixElements;

Unit
GDIPAPI


GdipGetMetafileDownLevelRasterizationLimit

GdipGetMetafileDownLevelRasterizationLimit variable

Var GdipGetMetafileDownLevelRasterizationLimit;

Unit
GDIPAPI


GdipGetMetafileHeaderFromEmf

GdipGetMetafileHeaderFromEmf variable

Var GdipGetMetafileHeaderFromEmf;

Unit
GDIPAPI


GdipGetMetafileHeaderFromFile

GdipGetMetafileHeaderFromFile variable

Var GdipGetMetafileHeaderFromFile;

Unit
GDIPAPI


GdipGetMetafileHeaderFromMetafile

GdipGetMetafileHeaderFromMetafile variable

Var GdipGetMetafileHeaderFromMetafile;

Unit
GDIPAPI


GdipGetMetafileHeaderFromStream

GdipGetMetafileHeaderFromStream variable

Var GdipGetMetafileHeaderFromStream;

Unit
GDIPAPI


GdipGetMetafileHeaderFromWmf

GdipGetMetafileHeaderFromWmf variable

Var GdipGetMetafileHeaderFromWmf;

Unit
GDIPAPI


GdipGetNearestColor

GdipGetNearestColor variable

Var GdipGetNearestColor;

Unit
GDIPAPI


GdipGetPageScale

GdipGetPageScale variable

Var GdipGetPageScale;

Unit
GDIPAPI


GdipGetPageUnit

GdipGetPageUnit variable

Var GdipGetPageUnit;

Unit
GDIPAPI


GdipGetPathData

GdipGetPathData variable

Var GdipGetPathData;

Unit
GDIPAPI


GdipGetPathFillMode

GdipGetPathFillMode variable

Var GdipGetPathFillMode;

Unit
GDIPAPI


GdipGetPathGradientBlend

GdipGetPathGradientBlend variable

Var GdipGetPathGradientBlend;

Unit
GDIPAPI


GdipGetPathGradientBlendCount

GdipGetPathGradientBlendCount variable

Var GdipGetPathGradientBlendCount;

Unit
GDIPAPI


GdipGetPathGradientCenterColor

GdipGetPathGradientCenterColor variable

Var GdipGetPathGradientCenterColor;

Unit
GDIPAPI


GdipGetPathGradientCenterPoint

GdipGetPathGradientCenterPoint variable

Var GdipGetPathGradientCenterPoint;

Unit
GDIPAPI


GdipGetPathGradientCenterPointI

GdipGetPathGradientCenterPointI variable

Var GdipGetPathGradientCenterPointI;

Unit
GDIPAPI


GdipGetPathGradientFocusScales

GdipGetPathGradientFocusScales variable

Var GdipGetPathGradientFocusScales;

Unit
GDIPAPI


GdipGetPathGradientGammaCorrection

GdipGetPathGradientGammaCorrection variable

Var GdipGetPathGradientGammaCorrection;

Unit
GDIPAPI


GdipGetPathGradientPath

GdipGetPathGradientPath variable

Var GdipGetPathGradientPath;

Unit
GDIPAPI


GdipGetPathGradientPointCount

GdipGetPathGradientPointCount variable

Var GdipGetPathGradientPointCount;

Unit
GDIPAPI


GdipGetPathGradientPresetBlend

GdipGetPathGradientPresetBlend variable

Var GdipGetPathGradientPresetBlend;

Unit
GDIPAPI


GdipGetPathGradientPresetBlendCount

GdipGetPathGradientPresetBlendCount variable

Var GdipGetPathGradientPresetBlendCount;

Unit
GDIPAPI


GdipGetPathGradientRect

GdipGetPathGradientRect variable

Var GdipGetPathGradientRect;

Unit
GDIPAPI


GdipGetPathGradientRectI

GdipGetPathGradientRectI variable

Var GdipGetPathGradientRectI;

Unit
GDIPAPI


GdipGetPathGradientSurroundColorCount

GdipGetPathGradientSurroundColorCount variable

Var GdipGetPathGradientSurroundColorCount;

Unit
GDIPAPI


GdipGetPathGradientSurroundColorsWithCount

GdipGetPathGradientSurroundColorsWithCount variable

Var GdipGetPathGradientSurroundColorsWithCount;

Unit
GDIPAPI


GdipGetPathGradientTransform

GdipGetPathGradientTransform variable

Var GdipGetPathGradientTransform;

Unit
GDIPAPI


GdipGetPathGradientWrapMode

GdipGetPathGradientWrapMode variable

Var GdipGetPathGradientWrapMode;

Unit
GDIPAPI


GdipGetPathLastPoint

GdipGetPathLastPoint variable

Var GdipGetPathLastPoint;

Unit
GDIPAPI


GdipGetPathPoints

GdipGetPathPoints variable

Var GdipGetPathPoints;

Unit
GDIPAPI


GdipGetPathPointsI

GdipGetPathPointsI variable

Var GdipGetPathPointsI;

Unit
GDIPAPI


GdipGetPathTypes

GdipGetPathTypes variable

Var GdipGetPathTypes;

Unit
GDIPAPI


GdipGetPathWorldBounds

GdipGetPathWorldBounds variable

Var GdipGetPathWorldBounds;

Unit
GDIPAPI


GdipGetPathWorldBoundsI

GdipGetPathWorldBoundsI variable

Var GdipGetPathWorldBoundsI;

Unit
GDIPAPI


GdipGetPenBrushFill

GdipGetPenBrushFill variable

Var GdipGetPenBrushFill;

Unit
GDIPAPI


GdipGetPenColor

GdipGetPenColor variable

Var GdipGetPenColor;

Unit
GDIPAPI


GdipGetPenCompoundArray

GdipGetPenCompoundArray variable

Var GdipGetPenCompoundArray;

Unit
GDIPAPI


GdipGetPenCompoundCount

GdipGetPenCompoundCount variable

Var GdipGetPenCompoundCount;

Unit
GDIPAPI


GdipGetPenCustomEndCap

GdipGetPenCustomEndCap variable

Var GdipGetPenCustomEndCap;

Unit
GDIPAPI


GdipGetPenCustomStartCap

GdipGetPenCustomStartCap variable

Var GdipGetPenCustomStartCap;

Unit
GDIPAPI


GdipGetPenDashArray

GdipGetPenDashArray variable

Var GdipGetPenDashArray;

Unit
GDIPAPI


GdipGetPenDashCap197819

GdipGetPenDashCap197819 variable

Var GdipGetPenDashCap197819;

Unit
GDIPAPI


GdipGetPenDashCount

GdipGetPenDashCount variable

Var GdipGetPenDashCount;

Unit
GDIPAPI


GdipGetPenDashOffset

GdipGetPenDashOffset variable

Var GdipGetPenDashOffset;

Unit
GDIPAPI


GdipGetPenDashStyle

GdipGetPenDashStyle variable

Var GdipGetPenDashStyle;

Unit
GDIPAPI


GdipGetPenEndCap

GdipGetPenEndCap variable

Var GdipGetPenEndCap;

Unit
GDIPAPI


GdipGetPenFillType

GdipGetPenFillType variable

Var GdipGetPenFillType;

Unit
GDIPAPI


GdipGetPenLineJoin

GdipGetPenLineJoin variable

Var GdipGetPenLineJoin;

Unit
GDIPAPI


GdipGetPenMiterLimit

GdipGetPenMiterLimit variable

Var GdipGetPenMiterLimit;

Unit
GDIPAPI


GdipGetPenMode

GdipGetPenMode variable

Var GdipGetPenMode;

Unit
GDIPAPI


GdipGetPenStartCap

GdipGetPenStartCap variable

Var GdipGetPenStartCap;

Unit
GDIPAPI


GdipGetPenTransform

GdipGetPenTransform variable

Var GdipGetPenTransform;

Unit
GDIPAPI


GdipGetPenUnit

GdipGetPenUnit variable

Var GdipGetPenUnit;

Unit
GDIPAPI


GdipGetPenWidth

GdipGetPenWidth variable

Var GdipGetPenWidth;

Unit
GDIPAPI


GdipGetPixelOffsetMode

GdipGetPixelOffsetMode variable

Var GdipGetPixelOffsetMode;

Unit
GDIPAPI


GdipGetPointCount

GdipGetPointCount variable

Var GdipGetPointCount;

Unit
GDIPAPI


GdipGetPropertyCount

GdipGetPropertyCount variable

Var GdipGetPropertyCount;

Unit
GDIPAPI


GdipGetPropertyIdList

GdipGetPropertyIdList variable

Var GdipGetPropertyIdList;

Unit
GDIPAPI


GdipGetPropertyItem

GdipGetPropertyItem variable

Var GdipGetPropertyItem;

Unit
GDIPAPI


GdipGetPropertyItemSize

GdipGetPropertyItemSize variable

Var GdipGetPropertyItemSize;

Unit
GDIPAPI


GdipGetPropertySize

GdipGetPropertySize variable

Var GdipGetPropertySize;

Unit
GDIPAPI


GdipGetRegionBounds

GdipGetRegionBounds variable

Var GdipGetRegionBounds;

Unit
GDIPAPI


GdipGetRegionBoundsI

GdipGetRegionBoundsI variable

Var GdipGetRegionBoundsI;

Unit
GDIPAPI


GdipGetRegionData

GdipGetRegionData variable

Var GdipGetRegionData;

Unit
GDIPAPI


GdipGetRegionDataSize

GdipGetRegionDataSize variable

Var GdipGetRegionDataSize;

Unit
GDIPAPI


GdipGetRegionHRgn

GdipGetRegionHRgn variable

Var GdipGetRegionHRgn;

Unit
GDIPAPI


GdipGetRegionScans

GdipGetRegionScans variable

Var GdipGetRegionScans;

Unit
GDIPAPI


GdipGetRegionScansCount

GdipGetRegionScansCount variable

Var GdipGetRegionScansCount;

Unit
GDIPAPI


GdipGetRegionScansI

GdipGetRegionScansI variable

Var GdipGetRegionScansI;

Unit
GDIPAPI


GdipGetRenderingOrigin

GdipGetRenderingOrigin variable

Var GdipGetRenderingOrigin;

Unit
GDIPAPI


GdipGetSmoothingMode

GdipGetSmoothingMode variable

Var GdipGetSmoothingMode;

Unit
GDIPAPI


GdipGetSolidFillColor

GdipGetSolidFillColor variable

Var GdipGetSolidFillColor;

Unit
GDIPAPI


GdipGetStringFormatAlign

GdipGetStringFormatAlign variable

Var GdipGetStringFormatAlign;

Unit
GDIPAPI


GdipGetStringFormatDigitSubstitution

GdipGetStringFormatDigitSubstitution variable

Var GdipGetStringFormatDigitSubstitution;

Unit
GDIPAPI


GdipGetStringFormatFlags

GdipGetStringFormatFlags variable

Var GdipGetStringFormatFlags;

Unit
GDIPAPI


GdipGetStringFormatHotkeyPrefix

GdipGetStringFormatHotkeyPrefix variable

Var GdipGetStringFormatHotkeyPrefix;

Unit
GDIPAPI


GdipGetStringFormatLineAlign

GdipGetStringFormatLineAlign variable

Var GdipGetStringFormatLineAlign;

Unit
GDIPAPI


GdipGetStringFormatMeasurableCharacterRangeCount

GdipGetStringFormatMeasurableCharacterRangeCount variable

Var GdipGetStringFormatMeasurableCharacterRangeCount;

Unit
GDIPAPI


GdipGetStringFormatTabStopCount

GdipGetStringFormatTabStopCount variable

Var GdipGetStringFormatTabStopCount;

Unit
GDIPAPI


GdipGetStringFormatTabStops

GdipGetStringFormatTabStops variable

Var GdipGetStringFormatTabStops;

Unit
GDIPAPI


GdipGetStringFormatTrimming

GdipGetStringFormatTrimming variable

Var GdipGetStringFormatTrimming;

Unit
GDIPAPI


GdipGetTextContrast

GdipGetTextContrast variable

Var GdipGetTextContrast;

Unit
GDIPAPI


GdipGetTextRenderingHint

GdipGetTextRenderingHint variable

Var GdipGetTextRenderingHint;

Unit
GDIPAPI


GdipGetTextureImage

GdipGetTextureImage variable

Var GdipGetTextureImage;

Unit
GDIPAPI


GdipGetTextureTransform

GdipGetTextureTransform variable

Var GdipGetTextureTransform;

Unit
GDIPAPI


GdipGetTextureWrapMode

GdipGetTextureWrapMode variable

Var GdipGetTextureWrapMode;

Unit
GDIPAPI


GdipGetVisibleClipBounds

GdipGetVisibleClipBounds variable

Var GdipGetVisibleClipBounds;

Unit
GDIPAPI


GdipGetVisibleClipBoundsI

GdipGetVisibleClipBoundsI variable

Var GdipGetVisibleClipBoundsI;

Unit
GDIPAPI


GdipGetWorldTransform

GdipGetWorldTransform variable

Var GdipGetWorldTransform;

Unit
GDIPAPI


GdipGraphicsClear

GdipGraphicsClear variable

Var GdipGraphicsClear;

Unit
GDIPAPI


GdipImageForceValidation

GdipImageForceValidation variable

Var GdipImageForceValidation;

Unit
GDIPAPI


GdipImageGetFrameCount

GdipImageGetFrameCount variable

Var GdipImageGetFrameCount;

Unit
GDIPAPI


GdipImageGetFrameDimensionsCount

GdipImageGetFrameDimensionsCount variable

Var GdipImageGetFrameDimensionsCount;

Unit
GDIPAPI


GdipImageGetFrameDimensionsList

GdipImageGetFrameDimensionsList variable

Var GdipImageGetFrameDimensionsList;

Unit
GDIPAPI


GdipImageRotateFlip

GdipImageRotateFlip variable

Var GdipImageRotateFlip;

Unit
GDIPAPI


GdipImageSelectActiveFrame

GdipImageSelectActiveFrame variable

Var GdipImageSelectActiveFrame;

Unit
GDIPAPI


GdipInvertMatrix

GdipInvertMatrix variable

Var GdipInvertMatrix;

Unit
GDIPAPI


GdipIsClipEmpty

GdipIsClipEmpty variable

Var GdipIsClipEmpty;

Unit
GDIPAPI


GdipIsEmptyRegion

GdipIsEmptyRegion variable

Var GdipIsEmptyRegion;

Unit
GDIPAPI


GdipIsEqualRegion

GdipIsEqualRegion variable

Var GdipIsEqualRegion;

Unit
GDIPAPI


GdipIsInfiniteRegion

GdipIsInfiniteRegion variable

Var GdipIsInfiniteRegion;

Unit
GDIPAPI


GdipIsMatrixEqual

GdipIsMatrixEqual variable

Var GdipIsMatrixEqual;

Unit
GDIPAPI


GdipIsMatrixIdentity

GdipIsMatrixIdentity variable

Var GdipIsMatrixIdentity;

Unit
GDIPAPI


GdipIsMatrixInvertible

GdipIsMatrixInvertible variable

Var GdipIsMatrixInvertible;

Unit
GDIPAPI


GdipIsOutlineVisiblePathPoint

GdipIsOutlineVisiblePathPoint variable

Var GdipIsOutlineVisiblePathPoint;

Unit
GDIPAPI


GdipIsOutlineVisiblePathPointI

GdipIsOutlineVisiblePathPointI variable

Var GdipIsOutlineVisiblePathPointI;

Unit
GDIPAPI


GdipIsStyleAvailable

GdipIsStyleAvailable variable

Var GdipIsStyleAvailable;

Unit
GDIPAPI


GdipIsVisibleClipEmpty

GdipIsVisibleClipEmpty variable

Var GdipIsVisibleClipEmpty;

Unit
GDIPAPI


GdipIsVisiblePathPoint

GdipIsVisiblePathPoint variable

Var GdipIsVisiblePathPoint;

Unit
GDIPAPI


GdipIsVisiblePathPointI

GdipIsVisiblePathPointI variable

Var GdipIsVisiblePathPointI;

Unit
GDIPAPI


GdipIsVisiblePoint

GdipIsVisiblePoint variable

Var GdipIsVisiblePoint;

Unit
GDIPAPI


GdipIsVisiblePointI

GdipIsVisiblePointI variable

Var GdipIsVisiblePointI;

Unit
GDIPAPI


GdipIsVisibleRect

GdipIsVisibleRect variable

Var GdipIsVisibleRect;

Unit
GDIPAPI


GdipIsVisibleRectI

GdipIsVisibleRectI variable

Var GdipIsVisibleRectI;

Unit
GDIPAPI


GdipIsVisibleRegionPoint

GdipIsVisibleRegionPoint variable

Var GdipIsVisibleRegionPoint;

Unit
GDIPAPI


GdipIsVisibleRegionPointI

GdipIsVisibleRegionPointI variable

Var GdipIsVisibleRegionPointI;

Unit
GDIPAPI


GdipIsVisibleRegionRect

GdipIsVisibleRegionRect variable

Var GdipIsVisibleRegionRect;

Unit
GDIPAPI


GdipIsVisibleRegionRectI

GdipIsVisibleRegionRectI variable

Var GdipIsVisibleRegionRectI;

Unit
GDIPAPI


GdipLoadImageFromFile

GdipLoadImageFromFile variable

Var GdipLoadImageFromFile;

Unit
GDIPAPI


GdipLoadImageFromFileICM

GdipLoadImageFromFileICM variable

Var GdipLoadImageFromFileICM;

Unit
GDIPAPI


GdipLoadImageFromStream

GdipLoadImageFromStream variable

Var GdipLoadImageFromStream;

Unit
GDIPAPI


GdipLoadImageFromStreamICM

GdipLoadImageFromStreamICM variable

Var GdipLoadImageFromStreamICM;

Unit
GDIPAPI


GdiplusShutdown

GdiplusShutdown variable

Var GdiplusShutdown;

Unit
GDIPAPI


GdiplusStartup

GdiplusStartup variable

Var GdiplusStartup;

Unit
GDIPAPI


GdiplusVersion

GdiplusVersion variable

Var GdiplusVersion;

Unit
GDIPAPI


GdipMeasureCharacterRanges

GdipMeasureCharacterRanges variable

Var GdipMeasureCharacterRanges;

Unit
GDIPAPI


GdipMeasureDriverString

GdipMeasureDriverString variable

Var GdipMeasureDriverString;

Unit
GDIPAPI


GdipMeasureString

GdipMeasureString variable

Var GdipMeasureString;

Unit
GDIPAPI


GdipMultiplyLineTransform

GdipMultiplyLineTransform variable

Var GdipMultiplyLineTransform;

Unit
GDIPAPI


GdipMultiplyMatrix

GdipMultiplyMatrix variable

Var GdipMultiplyMatrix;

Unit
GDIPAPI


GdipMultiplyPathGradientTransform

GdipMultiplyPathGradientTransform variable

Var GdipMultiplyPathGradientTransform;

Unit
GDIPAPI


GdipMultiplyPenTransform

GdipMultiplyPenTransform variable

Var GdipMultiplyPenTransform;

Unit
GDIPAPI


GdipMultiplyTextureTransform

GdipMultiplyTextureTransform variable

Var GdipMultiplyTextureTransform;

Unit
GDIPAPI


GdipMultiplyWorldTransform

GdipMultiplyWorldTransform variable

Var GdipMultiplyWorldTransform;

Unit
GDIPAPI


GdipNewInstalledFontCollection

GdipNewInstalledFontCollection variable

Var GdipNewInstalledFontCollection;

Unit
GDIPAPI


GdipNewPrivateFontCollection

GdipNewPrivateFontCollection variable

Var GdipNewPrivateFontCollection;

Unit
GDIPAPI


GdipPathIterCopyData

GdipPathIterCopyData variable

Var GdipPathIterCopyData;

Unit
GDIPAPI


GdipPathIterEnumerate

GdipPathIterEnumerate variable

Var GdipPathIterEnumerate;

Unit
GDIPAPI


GdipPathIterGetCount

GdipPathIterGetCount variable

Var GdipPathIterGetCount;

Unit
GDIPAPI


GdipPathIterGetSubpathCount

GdipPathIterGetSubpathCount variable

Var GdipPathIterGetSubpathCount;

Unit
GDIPAPI


GdipPathIterHasCurve

GdipPathIterHasCurve variable

Var GdipPathIterHasCurve;

Unit
GDIPAPI


GdipPathIterIsValid

GdipPathIterIsValid variable

Var GdipPathIterIsValid;

Unit
GDIPAPI


GdipPathIterNextMarker

GdipPathIterNextMarker variable

Var GdipPathIterNextMarker;

Unit
GDIPAPI


GdipPathIterNextMarkerPath

GdipPathIterNextMarkerPath variable

Var GdipPathIterNextMarkerPath;

Unit
GDIPAPI


GdipPathIterNextPathType

GdipPathIterNextPathType variable

Var GdipPathIterNextPathType;

Unit
GDIPAPI


GdipPathIterNextSubpath

GdipPathIterNextSubpath variable

Var GdipPathIterNextSubpath;

Unit
GDIPAPI


GdipPathIterNextSubpathPath

GdipPathIterNextSubpathPath variable

Var GdipPathIterNextSubpathPath;

Unit
GDIPAPI


GdipPathIterRewind

GdipPathIterRewind variable

Var GdipPathIterRewind;

Unit
GDIPAPI


GdipPlayMetafileRecord

GdipPlayMetafileRecord variable

Var GdipPlayMetafileRecord;

Unit
GDIPAPI


GdipPrivateAddFontFile

GdipPrivateAddFontFile variable

Var GdipPrivateAddFontFile;

Unit
GDIPAPI


GdipPrivateAddMemoryFont

GdipPrivateAddMemoryFont variable

Var GdipPrivateAddMemoryFont;

Unit
GDIPAPI


GdipRecordMetafile

GdipRecordMetafile variable

Var GdipRecordMetafile;

Unit
GDIPAPI


GdipRecordMetafileFileName

GdipRecordMetafileFileName variable

Var GdipRecordMetafileFileName;

Unit
GDIPAPI


GdipRecordMetafileFileNameI

GdipRecordMetafileFileNameI variable

Var GdipRecordMetafileFileNameI;

Unit
GDIPAPI


GdipRecordMetafileI

GdipRecordMetafileI variable

Var GdipRecordMetafileI;

Unit
GDIPAPI


GdipRecordMetafileStream

GdipRecordMetafileStream variable

Var GdipRecordMetafileStream;

Unit
GDIPAPI


GdipRecordMetafileStreamI

GdipRecordMetafileStreamI variable

Var GdipRecordMetafileStreamI;

Unit
GDIPAPI


GdipReleaseDC

GdipReleaseDC variable

Var GdipReleaseDC;

Unit
GDIPAPI


GdipRemovePropertyItem

GdipRemovePropertyItem variable

Var GdipRemovePropertyItem;

Unit
GDIPAPI


GdipResetClip

GdipResetClip variable

Var GdipResetClip;

Unit
GDIPAPI


GdipResetImageAttributes

GdipResetImageAttributes variable

Var GdipResetImageAttributes;

Unit
GDIPAPI


GdipResetLineTransform

GdipResetLineTransform variable

Var GdipResetLineTransform;

Unit
GDIPAPI


GdipResetPageTransform

GdipResetPageTransform variable

Var GdipResetPageTransform;

Unit
GDIPAPI


GdipResetPath

GdipResetPath variable

Var GdipResetPath;

Unit
GDIPAPI


GdipResetPathGradientTransform

GdipResetPathGradientTransform variable

Var GdipResetPathGradientTransform;

Unit
GDIPAPI


GdipResetPenTransform

GdipResetPenTransform variable

Var GdipResetPenTransform;

Unit
GDIPAPI


GdipResetTextureTransform

GdipResetTextureTransform variable

Var GdipResetTextureTransform;

Unit
GDIPAPI


GdipResetWorldTransform

GdipResetWorldTransform variable

Var GdipResetWorldTransform;

Unit
GDIPAPI


GdipRestoreGraphics

GdipRestoreGraphics variable

Var GdipRestoreGraphics;

Unit
GDIPAPI


GdipReversePath

GdipReversePath variable

Var GdipReversePath;

Unit
GDIPAPI


GdipRotateLineTransform

GdipRotateLineTransform variable

Var GdipRotateLineTransform;

Unit
GDIPAPI


GdipRotateMatrix

GdipRotateMatrix variable

Var GdipRotateMatrix;

Unit
GDIPAPI


GdipRotatePathGradientTransform

GdipRotatePathGradientTransform variable

Var GdipRotatePathGradientTransform;

Unit
GDIPAPI


GdipRotatePenTransform

GdipRotatePenTransform variable

Var GdipRotatePenTransform;

Unit
GDIPAPI


GdipRotateTextureTransform

GdipRotateTextureTransform variable

Var GdipRotateTextureTransform;

Unit
GDIPAPI


GdipRotateWorldTransform

GdipRotateWorldTransform variable

Var GdipRotateWorldTransform;

Unit
GDIPAPI


GdipSaveAdd

GdipSaveAdd variable

Var GdipSaveAdd;

Unit
GDIPAPI


GdipSaveAddImage

GdipSaveAddImage variable

Var GdipSaveAddImage;

Unit
GDIPAPI


GdipSaveGraphics

GdipSaveGraphics variable

Var GdipSaveGraphics;

Unit
GDIPAPI


GdipSaveImageToFile

GdipSaveImageToFile variable

Var GdipSaveImageToFile;

Unit
GDIPAPI


GdipSaveImageToStream

GdipSaveImageToStream variable

Var GdipSaveImageToStream;

Unit
GDIPAPI


GdipScaleLineTransform

GdipScaleLineTransform variable

Var GdipScaleLineTransform;

Unit
GDIPAPI


GdipScaleMatrix

GdipScaleMatrix variable

Var GdipScaleMatrix;

Unit
GDIPAPI


GdipScalePathGradientTransform

GdipScalePathGradientTransform variable

Var GdipScalePathGradientTransform;

Unit
GDIPAPI


GdipScalePenTransform

GdipScalePenTransform variable

Var GdipScalePenTransform;

Unit
GDIPAPI


GdipScaleTextureTransform

GdipScaleTextureTransform variable

Var GdipScaleTextureTransform;

Unit
GDIPAPI


GdipScaleWorldTransform

GdipScaleWorldTransform variable

Var GdipScaleWorldTransform;

Unit
GDIPAPI


GdipSetAdjustableArrowCapFillState

GdipSetAdjustableArrowCapFillState variable

Var GdipSetAdjustableArrowCapFillState;

Unit
GDIPAPI


GdipSetAdjustableArrowCapHeight

GdipSetAdjustableArrowCapHeight variable

Var GdipSetAdjustableArrowCapHeight;

Unit
GDIPAPI


GdipSetAdjustableArrowCapMiddleInset

GdipSetAdjustableArrowCapMiddleInset variable

Var GdipSetAdjustableArrowCapMiddleInset;

Unit
GDIPAPI


GdipSetAdjustableArrowCapWidth

GdipSetAdjustableArrowCapWidth variable

Var GdipSetAdjustableArrowCapWidth;

Unit
GDIPAPI


GdipSetClipGraphics

GdipSetClipGraphics variable

Var GdipSetClipGraphics;

Unit
GDIPAPI


GdipSetClipHrgn

GdipSetClipHrgn variable

Var GdipSetClipHrgn;

Unit
GDIPAPI


GdipSetClipPath

GdipSetClipPath variable

Var GdipSetClipPath;

Unit
GDIPAPI


GdipSetClipRect

GdipSetClipRect variable

Var GdipSetClipRect;

Unit
GDIPAPI


GdipSetClipRectI

GdipSetClipRectI variable

Var GdipSetClipRectI;

Unit
GDIPAPI


GdipSetClipRegion

GdipSetClipRegion variable

Var GdipSetClipRegion;

Unit
GDIPAPI


GdipSetCompositingMode

GdipSetCompositingMode variable

Var GdipSetCompositingMode;

Unit
GDIPAPI


GdipSetCompositingQuality

GdipSetCompositingQuality variable

Var GdipSetCompositingQuality;

Unit
GDIPAPI


GdipSetCustomLineCapBaseCap

GdipSetCustomLineCapBaseCap variable

Var GdipSetCustomLineCapBaseCap;

Unit
GDIPAPI


GdipSetCustomLineCapBaseInset

GdipSetCustomLineCapBaseInset variable

Var GdipSetCustomLineCapBaseInset;

Unit
GDIPAPI


GdipSetCustomLineCapStrokeCaps

GdipSetCustomLineCapStrokeCaps variable

Var GdipSetCustomLineCapStrokeCaps;

Unit
GDIPAPI


GdipSetCustomLineCapStrokeJoin

GdipSetCustomLineCapStrokeJoin variable

Var GdipSetCustomLineCapStrokeJoin;

Unit
GDIPAPI


GdipSetCustomLineCapWidthScale

GdipSetCustomLineCapWidthScale variable

Var GdipSetCustomLineCapWidthScale;

Unit
GDIPAPI


GdipSetEmpty

GdipSetEmpty variable

Var GdipSetEmpty;

Unit
GDIPAPI


GdipSetImageAttributesColorKeys

GdipSetImageAttributesColorKeys variable

Var GdipSetImageAttributesColorKeys;

Unit
GDIPAPI


GdipSetImageAttributesColorMatrix

GdipSetImageAttributesColorMatrix variable

Var GdipSetImageAttributesColorMatrix;

Unit
GDIPAPI


GdipSetImageAttributesGamma

GdipSetImageAttributesGamma variable

Var GdipSetImageAttributesGamma;

Unit
GDIPAPI


GdipSetImageAttributesICMMode

GdipSetImageAttributesICMMode variable

Var GdipSetImageAttributesICMMode;

Unit
GDIPAPI


GdipSetImageAttributesNoOp

GdipSetImageAttributesNoOp variable

Var GdipSetImageAttributesNoOp;

Unit
GDIPAPI


GdipSetImageAttributesOutputChannel

GdipSetImageAttributesOutputChannel variable

Var GdipSetImageAttributesOutputChannel;

Unit
GDIPAPI


GdipSetImageAttributesOutputChannelColorProfile

GdipSetImageAttributesOutputChannelColorProfile variable

Var GdipSetImageAttributesOutputChannelColorProfile;

Unit
GDIPAPI


GdipSetImageAttributesRemapTable

GdipSetImageAttributesRemapTable variable

Var GdipSetImageAttributesRemapTable;

Unit
GDIPAPI


GdipSetImageAttributesThreshold

GdipSetImageAttributesThreshold variable

Var GdipSetImageAttributesThreshold;

Unit
GDIPAPI


GdipSetImageAttributesToIdentity

GdipSetImageAttributesToIdentity variable

Var GdipSetImageAttributesToIdentity;

Unit
GDIPAPI


GdipSetImageAttributesWrapMode

GdipSetImageAttributesWrapMode variable

Var GdipSetImageAttributesWrapMode;

Unit
GDIPAPI


GdipSetImagePalette

GdipSetImagePalette variable

Var GdipSetImagePalette;

Unit
GDIPAPI


GdipSetInfinite

GdipSetInfinite variable

Var GdipSetInfinite;

Unit
GDIPAPI


GdipSetInterpolationMode

GdipSetInterpolationMode variable

Var GdipSetInterpolationMode;

Unit
GDIPAPI


GdipSetLineBlend

GdipSetLineBlend variable

Var GdipSetLineBlend;

Unit
GDIPAPI


GdipSetLineColors

GdipSetLineColors variable

Var GdipSetLineColors;

Unit
GDIPAPI


GdipSetLineGammaCorrection

GdipSetLineGammaCorrection variable

Var GdipSetLineGammaCorrection;

Unit
GDIPAPI


GdipSetLineLinearBlend

GdipSetLineLinearBlend variable

Var GdipSetLineLinearBlend;

Unit
GDIPAPI


GdipSetLinePresetBlend

GdipSetLinePresetBlend variable

Var GdipSetLinePresetBlend;

Unit
GDIPAPI


GdipSetLineSigmaBlend

GdipSetLineSigmaBlend variable

Var GdipSetLineSigmaBlend;

Unit
GDIPAPI


GdipSetLineTransform

GdipSetLineTransform variable

Var GdipSetLineTransform;

Unit
GDIPAPI


GdipSetLineWrapMode

GdipSetLineWrapMode variable

Var GdipSetLineWrapMode;

Unit
GDIPAPI


GdipSetMatrixElements

GdipSetMatrixElements variable

Var GdipSetMatrixElements;

Unit
GDIPAPI


GdipSetMetafileDownLevelRasterizationLimit

GdipSetMetafileDownLevelRasterizationLimit variable

Var GdipSetMetafileDownLevelRasterizationLimit;

Unit
GDIPAPI


GdipSetPageScale

GdipSetPageScale variable

Var GdipSetPageScale;

Unit
GDIPAPI


GdipSetPageUnit

GdipSetPageUnit variable

Var GdipSetPageUnit;

Unit
GDIPAPI


GdipSetPathFillMode

GdipSetPathFillMode variable

Var GdipSetPathFillMode;

Unit
GDIPAPI


GdipSetPathGradientBlend

GdipSetPathGradientBlend variable

Var GdipSetPathGradientBlend;

Unit
GDIPAPI


GdipSetPathGradientCenterColor

GdipSetPathGradientCenterColor variable

Var GdipSetPathGradientCenterColor;

Unit
GDIPAPI


GdipSetPathGradientCenterPoint

GdipSetPathGradientCenterPoint variable

Var GdipSetPathGradientCenterPoint;

Unit
GDIPAPI


GdipSetPathGradientCenterPointI

GdipSetPathGradientCenterPointI variable

Var GdipSetPathGradientCenterPointI;

Unit
GDIPAPI


GdipSetPathGradientFocusScales

GdipSetPathGradientFocusScales variable

Var GdipSetPathGradientFocusScales;

Unit
GDIPAPI


GdipSetPathGradientGammaCorrection

GdipSetPathGradientGammaCorrection variable

Var GdipSetPathGradientGammaCorrection;

Unit
GDIPAPI


GdipSetPathGradientLinearBlend

GdipSetPathGradientLinearBlend variable

Var GdipSetPathGradientLinearBlend;

Unit
GDIPAPI


GdipSetPathGradientPath

GdipSetPathGradientPath variable

Var GdipSetPathGradientPath;

Unit
GDIPAPI


GdipSetPathGradientPresetBlend

GdipSetPathGradientPresetBlend variable

Var GdipSetPathGradientPresetBlend;

Unit
GDIPAPI


GdipSetPathGradientSigmaBlend

GdipSetPathGradientSigmaBlend variable

Var GdipSetPathGradientSigmaBlend;

Unit
GDIPAPI


GdipSetPathGradientSurroundColorsWithCount

GdipSetPathGradientSurroundColorsWithCount variable

Var GdipSetPathGradientSurroundColorsWithCount;

Unit
GDIPAPI


GdipSetPathGradientTransform

GdipSetPathGradientTransform variable

Var GdipSetPathGradientTransform;

Unit
GDIPAPI


GdipSetPathGradientWrapMode

GdipSetPathGradientWrapMode variable

Var GdipSetPathGradientWrapMode;

Unit
GDIPAPI


GdipSetPathMarker

GdipSetPathMarker variable

Var GdipSetPathMarker;

Unit
GDIPAPI


GdipSetPenBrushFill

GdipSetPenBrushFill variable

Var GdipSetPenBrushFill;

Unit
GDIPAPI


GdipSetPenColor

GdipSetPenColor variable

Var GdipSetPenColor;

Unit
GDIPAPI


GdipSetPenCompoundArray

GdipSetPenCompoundArray variable

Var GdipSetPenCompoundArray;

Unit
GDIPAPI


GdipSetPenCustomEndCap

GdipSetPenCustomEndCap variable

Var GdipSetPenCustomEndCap;

Unit
GDIPAPI


GdipSetPenCustomStartCap

GdipSetPenCustomStartCap variable

Var GdipSetPenCustomStartCap;

Unit
GDIPAPI


GdipSetPenDashArray

GdipSetPenDashArray variable

Var GdipSetPenDashArray;

Unit
GDIPAPI


GdipSetPenDashCap197819

GdipSetPenDashCap197819 variable

Var GdipSetPenDashCap197819;

Unit
GDIPAPI


GdipSetPenDashOffset

GdipSetPenDashOffset variable

Var GdipSetPenDashOffset;

Unit
GDIPAPI


GdipSetPenDashStyle

GdipSetPenDashStyle variable

Var GdipSetPenDashStyle;

Unit
GDIPAPI


GdipSetPenEndCap

GdipSetPenEndCap variable

Var GdipSetPenEndCap;

Unit
GDIPAPI


GdipSetPenLineCap197819

GdipSetPenLineCap197819 variable

Var GdipSetPenLineCap197819;

Unit
GDIPAPI


GdipSetPenLineJoin

GdipSetPenLineJoin variable

Var GdipSetPenLineJoin;

Unit
GDIPAPI


GdipSetPenMiterLimit

GdipSetPenMiterLimit variable

Var GdipSetPenMiterLimit;

Unit
GDIPAPI


GdipSetPenMode

GdipSetPenMode variable

Var GdipSetPenMode;

Unit
GDIPAPI


GdipSetPenStartCap

GdipSetPenStartCap variable

Var GdipSetPenStartCap;

Unit
GDIPAPI


GdipSetPenTransform

GdipSetPenTransform variable

Var GdipSetPenTransform;

Unit
GDIPAPI


GdipSetPenUnit

GdipSetPenUnit variable

Var GdipSetPenUnit;

Unit
GDIPAPI


GdipSetPenWidth

GdipSetPenWidth variable

Var GdipSetPenWidth;

Unit
GDIPAPI


GdipSetPixelOffsetMode

GdipSetPixelOffsetMode variable

Var GdipSetPixelOffsetMode;

Unit
GDIPAPI


GdipSetPropertyItem

GdipSetPropertyItem variable

Var GdipSetPropertyItem;

Unit
GDIPAPI


GdipSetRenderingOrigin

GdipSetRenderingOrigin variable

Var GdipSetRenderingOrigin;

Unit
GDIPAPI


GdipSetSmoothingMode

GdipSetSmoothingMode variable

Var GdipSetSmoothingMode;

Unit
GDIPAPI


GdipSetSolidFillColor

GdipSetSolidFillColor variable

Var GdipSetSolidFillColor;

Unit
GDIPAPI


GdipSetStringFormatAlign

GdipSetStringFormatAlign variable

Var GdipSetStringFormatAlign;

Unit
GDIPAPI


GdipSetStringFormatDigitSubstitution

GdipSetStringFormatDigitSubstitution variable

Var GdipSetStringFormatDigitSubstitution;

Unit
GDIPAPI


GdipSetStringFormatFlags

GdipSetStringFormatFlags variable

Var GdipSetStringFormatFlags;

Unit
GDIPAPI


GdipSetStringFormatHotkeyPrefix

GdipSetStringFormatHotkeyPrefix variable

Var GdipSetStringFormatHotkeyPrefix;

Unit
GDIPAPI


GdipSetStringFormatLineAlign

GdipSetStringFormatLineAlign variable

Var GdipSetStringFormatLineAlign;

Unit
GDIPAPI


GdipSetStringFormatMeasurableCharacterRanges

GdipSetStringFormatMeasurableCharacterRanges variable

Var GdipSetStringFormatMeasurableCharacterRanges;

Unit
GDIPAPI


GdipSetStringFormatTabStops

GdipSetStringFormatTabStops variable

Var GdipSetStringFormatTabStops;

Unit
GDIPAPI


GdipSetStringFormatTrimming

GdipSetStringFormatTrimming variable

Var GdipSetStringFormatTrimming;

Unit
GDIPAPI


GdipSetTextContrast

GdipSetTextContrast variable

Var GdipSetTextContrast;

Unit
GDIPAPI


GdipSetTextRenderingHint

GdipSetTextRenderingHint variable

Var GdipSetTextRenderingHint;

Unit
GDIPAPI


GdipSetTextureTransform

GdipSetTextureTransform variable

Var GdipSetTextureTransform;

Unit
GDIPAPI


GdipSetTextureWrapMode

GdipSetTextureWrapMode variable

Var GdipSetTextureWrapMode;

Unit
GDIPAPI


GdipSetWorldTransform

GdipSetWorldTransform variable

Var GdipSetWorldTransform;

Unit
GDIPAPI


GdipShearMatrix

GdipShearMatrix variable

Var GdipShearMatrix;

Unit
GDIPAPI


GdipStartPathFigure

GdipStartPathFigure variable

Var GdipStartPathFigure;

Unit
GDIPAPI


GdipStringFormatGetGenericDefault

GdipStringFormatGetGenericDefault variable

Var GdipStringFormatGetGenericDefault;

Unit
GDIPAPI


GdipStringFormatGetGenericTypographic

GdipStringFormatGetGenericTypographic variable

Var GdipStringFormatGetGenericTypographic;

Unit
GDIPAPI


GdipTransformMatrixPoints

GdipTransformMatrixPoints variable

Var GdipTransformMatrixPoints;

Unit
GDIPAPI


GdipTransformMatrixPointsI

GdipTransformMatrixPointsI variable

Var GdipTransformMatrixPointsI;

Unit
GDIPAPI


GdipTransformPath

GdipTransformPath variable

Var GdipTransformPath;

Unit
GDIPAPI


GdipTransformPoints

GdipTransformPoints variable

Var GdipTransformPoints;

Unit
GDIPAPI


GdipTransformPointsI

GdipTransformPointsI variable

Var GdipTransformPointsI;

Unit
GDIPAPI


GdipTransformRegion

GdipTransformRegion variable

Var GdipTransformRegion;

Unit
GDIPAPI


GdipTranslateClip

GdipTranslateClip variable

Var GdipTranslateClip;

Unit
GDIPAPI


GdipTranslateClipI

GdipTranslateClipI variable

Var GdipTranslateClipI;

Unit
GDIPAPI


GdipTranslateLineTransform

GdipTranslateLineTransform variable

Var GdipTranslateLineTransform;

Unit
GDIPAPI


GdipTranslateMatrix

GdipTranslateMatrix variable

Var GdipTranslateMatrix;

Unit
GDIPAPI


GdipTranslatePathGradientTransform

GdipTranslatePathGradientTransform variable

Var GdipTranslatePathGradientTransform;

Unit
GDIPAPI


GdipTranslatePenTransform

GdipTranslatePenTransform variable

Var GdipTranslatePenTransform;

Unit
GDIPAPI


GdipTranslateRegion

GdipTranslateRegion variable

Var GdipTranslateRegion;

Unit
GDIPAPI


GdipTranslateRegionI

GdipTranslateRegionI variable

Var GdipTranslateRegionI;

Unit
GDIPAPI


GdipTranslateTextureTransform

GdipTranslateTextureTransform variable

Var GdipTranslateTextureTransform;

Unit
GDIPAPI


GdipTranslateWorldTransform

GdipTranslateWorldTransform variable

Var GdipTranslateWorldTransform;

Unit
GDIPAPI


GdipVectorTransformMatrixPoints

GdipVectorTransformMatrixPoints variable

Var GdipVectorTransformMatrixPoints;

Unit
GDIPAPI


GdipVectorTransformMatrixPointsI

GdipVectorTransformMatrixPointsI variable

Var GdipVectorTransformMatrixPointsI;

Unit
GDIPAPI


GdipWarpPath

GdipWarpPath variable

Var GdipWarpPath;

Unit
GDIPAPI


GdipWidenPath

GdipWidenPath variable

Var GdipWidenPath;

Unit
GDIPAPI


GdipWindingModeOutline

GdipWindingModeOutline variable

Var GdipWindingModeOutline;

Unit
GDIPAPI


Guid

Guid variable

Var Guid;

Unit
GDIPAPI


Hmf

Hmf variable

Var Hmf;

Unit
GDIPAPI


id

id variable

Var id;

Unit
GDIPAPI


Inch

Inch variable

Var Inch;

Unit
GDIPAPI


iType

iType variable

Var iType;

Unit
GDIPAPI


Key

Key variable

Var Key;

Unit
GDIPAPI


Length

Length variable

Var Length;

Unit
GDIPAPI


MimeType

MimeType variable

Var MimeType;

Unit
GDIPAPI


nBytes

nBytes variable

Var nBytes;

Unit
GDIPAPI


nDescription

nDescription variable

Var nDescription;

Unit
GDIPAPI


newColor

newColor variable

Var newColor;

Unit
GDIPAPI


nHandles

nHandles variable

Var nHandles;

Unit
GDIPAPI


NotificationHook

NotificationHook variable

Var NotificationHook;

Unit
GDIPAPI


NotificationUnhook

NotificationUnhook variable

Var NotificationUnhook;

Unit
GDIPAPI


nPalEntries

nPalEntries variable

Var nPalEntries;

Unit
GDIPAPI


nRecords

nRecords variable

Var nRecords;

Unit
GDIPAPI


NumberOfValues

NumberOfValues variable

Var NumberOfValues;

Unit
GDIPAPI


offDescription

offDescription variable

Var offDescription;

Unit
GDIPAPI


oldColor

oldColor variable

Var oldColor;

Unit
GDIPAPI


Parameter

Parameter variable

Var Parameter;

Unit
GDIPAPI


PixelFormat

PixelFormat variable

Var PixelFormat;

Unit
GDIPAPI


rclBounds

rclBounds variable

Var rclBounds;

Unit
GDIPAPI


rclFrame

rclFrame variable

Var rclFrame;

Unit
GDIPAPI


Reserved

Reserved variable

Var Reserved;

Unit
GDIPAPI


Scan0

Scan0 variable

Var Scan0;

Unit
GDIPAPI


SigCount

SigCount variable

Var SigCount;

Unit
GDIPAPI


SigMask

SigMask variable

Var SigMask;

Unit
GDIPAPI


SigPattern

SigPattern variable

Var SigPattern;

Unit
GDIPAPI


SigSize

SigSize variable

Var SigSize;

Unit
GDIPAPI


sReserved

sReserved variable

Var sReserved;

Unit
GDIPAPI


Stride

Stride variable

Var Stride;

Unit
GDIPAPI


SuppressBackgroundThread

SuppressBackgroundThread variable

Var SuppressBackgroundThread;

Unit
GDIPAPI


SuppressExternalCodecs

SuppressExternalCodecs variable

Var SuppressExternalCodecs;

Unit
GDIPAPI


szlDevice

szlDevice variable

Var szlDevice;

Unit
GDIPAPI


szlMillimeters

szlMillimeters variable

Var szlMillimeters;

Unit
GDIPAPI


type_

type_ variable

Var type_;

Unit
GDIPAPI


Value

Value variable

Var Value;

Unit
GDIPAPI


GDIPOBJ

Unit GDIPOBJ

Procedures
TeeGDIPlusStartup

Variables
BGThreadToken
StartupOutput


BGThreadToken

BGThreadToken variable

Var BGThreadToken;

Unit
GDIPOBJ


StartupOutput

StartupOutput variable

Var StartupOutput;

Unit
GDIPOBJ


GIFImage

Unit GIFImage

Classes
GIFException
TGIFAppExtNSLoop
TGIFApplicationExtension
TGIFBlock
TGIFColorMap
TGIFCommentExtension
TGIFExtension
TGIFExtensionList
TGIFGraphicControlExtension
TGIFHeader
TGIFImage
TGIFImageList
TGIFItem
TGIFList
TGIFPainter
TGIFSubImage
TGIFTextExtension
TGIFTrailer
TGIFUnknownAppExtension

Procedures
CreateOptimizedPaletteFromManyBitmaps
InternalGetDIB
InternalGetDIBSizes
ReduceColors
WebPalette

Types
TColorReduction
TDisposalMethod
TDitherMode
TGIFApplicationRec
TGIFColor
TGIFCompression
TGIFDrawOption
TGIFGCERec
TGIFOptimizeOption
TGIFPlainTextExtensionRec
TGIFSeverity
TGIFVersion
TGIFWarning
TImageDescriptor
TLogicalScreenDescriptor
TUsageCount

Variables
AspectRatio
Authentication
BackgroundColorIndex
BlockSize
CellHeight
CellWidth
CF_GIF
DelayTime
DoAutoDither
GIFDefaultDelay
GIFDelayExp
GIFImageDefaultAnimationSpeed
GIFImageDefaultColorReduction
GIFImageDefaultColorReductionBits
GIFImageDefaultCompression
GIFImageDefaultDitherMode
GIFImageDefaultDrawOptions
GIFImageDefaultThreadPriority
GIFImageOptimizeOnStream
GIFImageRenderOnLoad
GIFMaximumDelay
GIFMinimumDelay
Identifier
PackedFields
PaletteDevice
ScreenHeight
ScreenWidth
Separator
Terminator
TextBGColorIndex
TextFGColorIndex
TransparentColorIndex


AspectRatio

AspectRatio variable

Var AspectRatio;

Unit
GIFImage


Authentication

Authentication variable

Var Authentication;

Unit
GIFImage


BackgroundColorIndex

BackgroundColorIndex variable

Var BackgroundColorIndex;

Unit
GIFImage


BlockSize

BlockSize variable

Var BlockSize;

Unit
GIFImage


CellHeight

CellHeight variable

Var CellHeight;

Unit
GIFImage


CellWidth

CellWidth variable

Var CellWidth;

Unit
GIFImage


CF_GIF

CF_GIF variable

Var CF_GIF;

Unit
GIFImage


DelayTime

DelayTime variable

Var DelayTime;

Unit
GIFImage


DoAutoDither

DoAutoDither variable

Var DoAutoDither;

Unit
GIFImage


GIFDefaultDelay

GIFDefaultDelay variable

Var GIFDefaultDelay;

Unit
GIFImage


GIFDelayExp

GIFDelayExp variable

Var GIFDelayExp;

Unit
GIFImage


GIFImageDefaultAnimationSpeed

GIFImageDefaultAnimationSpeed variable

Var GIFImageDefaultAnimationSpeed;

Unit
GIFImage


GIFImageDefaultColorReduction

GIFImageDefaultColorReduction variable

Var GIFImageDefaultColorReduction;

Unit
GIFImage


GIFImageDefaultColorReductionBits

GIFImageDefaultColorReductionBits variable

Var GIFImageDefaultColorReductionBits;

Unit
GIFImage


GIFImageDefaultCompression

GIFImageDefaultCompression variable

Var GIFImageDefaultCompression;

Unit
GIFImage


GIFImageDefaultDitherMode

GIFImageDefaultDitherMode variable

Var GIFImageDefaultDitherMode;

Unit
GIFImage


GIFImageDefaultDrawOptions

GIFImageDefaultDrawOptions variable

Var GIFImageDefaultDrawOptions;

Unit
GIFImage


GIFImageDefaultThreadPriority

GIFImageDefaultThreadPriority variable

Var GIFImageDefaultThreadPriority;

Unit
GIFImage


GIFImageOptimizeOnStream

GIFImageOptimizeOnStream variable

Var GIFImageOptimizeOnStream;

Unit
GIFImage


GIFImageRenderOnLoad

GIFImageRenderOnLoad variable

Var GIFImageRenderOnLoad;

Unit
GIFImage


GIFMaximumDelay

GIFMaximumDelay variable

Var GIFMaximumDelay;

Unit
GIFImage


GIFMinimumDelay

GIFMinimumDelay variable

Var GIFMinimumDelay;

Unit
GIFImage


Identifier

Identifier variable

Var Identifier;

Unit
GIFImage


PackedFields

PackedFields variable

Var PackedFields;

Unit
GIFImage


PaletteDevice

PaletteDevice variable

Var PaletteDevice;

Unit
GIFImage


ScreenHeight

ScreenHeight variable

Var ScreenHeight;

Unit
GIFImage


ScreenWidth

ScreenWidth variable

Var ScreenWidth;

Unit
GIFImage


Separator

Separator variable

Var Separator;

Unit
GIFImage


Terminator

Terminator variable

Var Terminator;

Unit
GIFImage


TextBGColorIndex

TextBGColorIndex variable

Var TextBGColorIndex;

Unit
GIFImage


TextFGColorIndex

TextFGColorIndex variable

Var TextFGColorIndex;

Unit
GIFImage


TransparentColorIndex

TransparentColorIndex variable

Var TransparentColorIndex;

Unit
GIFImage


ImageBar

Unit ImageBar

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TImageBarSeries

Procedures
LoadBitmapFromResourceName


ImaPoint

Unit ImaPoint

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCustomImagePointSeries
TDeltaPointSeries
TImagePointSeries

Types
TDeltaImageStyle
TGetImageEvent


MyPoint

Unit MyPoint

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBarJoinSeries
TMyPointSeries


OHLChart

Unit OHLChart

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TOHLCSeries


OpenGL2

Unit OpenGL2

Procedures
FillDescriptor

Variables
GL_ARB_texture_non_power_of_two
GL_ARB_Texture_Rectangle
GL_EXT_Separate_Specular_Color
glAccum
glActiveTexture
glAlphaFunc
glAttachShader
glBegin
glBindBufferARB
glBindFramebufferEXT
glBindRenderbufferEXT
glBitmap
glBlendFunc
glBufferDataARB
glCallList
glCallLists
glCheckFramebufferStatusEXT
glClear
glClearAccum
glClearColor
glClearDepth
glClearIndex
glClearStencil
glClipPlane
glColor3b
glColor3bv
glColor3d
glColor3dv
glColor3f
glColor3fv
glColor3i
glColor3iv
glColor3s
glColor3sv
glColor3ub
glColor3ubv
glColor3ui
glColor3uiv
glColor3us
glColor3usv
glColor4b
glColor4bv
glColor4d
glColor4dv
glColor4f
glColor4fv
glColor4i
glColor4iv
glColor4s
glColor4sv
glColor4ub
glColor4ubv
glColor4ui
glColor4uiv
glColor4us
glColor4usv
glColorMask
glColorMaterial
glCompileShader
glCopyPixels
glCreateProgram
glCreateShader
glCullFace
glDeleteBuffersARB
glDeleteFramebuffersEXT
glDeleteLists
glDeleteProgram
glDeleteRenderbuffersEXT
glDeleteShader
glDepthFunc
glDepthMask
glDepthRange
glDisable
glDrawBuffer
glDrawPixels
glEdgeFlag
glEdgeFlagv
glEnable
glEnd
glEndList
glEvalCoord1d
glEvalCoord1dv
glEvalCoord1f
glEvalCoord1fv
glEvalCoord2d
glEvalCoord2dv
glEvalCoord2f
glEvalCoord2fv
glEvalMesh1
glEvalMesh2
glEvalPoint1
glEvalPoint2
glFeedbackBuffer
glFinish
glFlush
glFogf
glFogfv
glFogi
glFogiv
glFramebufferRenderbufferEXT
glFramebufferTexture1D
glFramebufferTexture2D
glFramebufferTexture3D
glFrontFace
glFrustum
glGenBuffersARB
glGenerateMipmapEXT
glGenFramebuffersEXT
glGenLists
glGenRenderbuffersEXT
glGetBooleanv
glGetClipPlane
glGetDoublev
glGetError
glGetFloatv
glGetFramebufferAttachmentParameterivEXT
glGetIntegerv
glGetLightfv
glGetLightiv
glGetMapdv
glGetMapfv
glGetMapiv
glGetMaterialfv
glGetMaterialiv
glGetPixelMapfv
glGetPixelMapuiv
glGetPixelMapusv
glGetPolygonStipple
glGetProgramInfoLog
glGetProgramiv
glGetRenderbufferParameterivEXT
glGetShaderInfoLog
glGetShaderiv
glGetString
glGetTexEnvfv
glGetTexEnviv
glGetTexGendv
glGetTexGenfv
glGetTexGeniv
glGetTexImage
glGetTexLevelParameterfv
glGetTexLevelParameteriv
glGetTexParameterfv
glGetTexParameteriv
glGetUniformLocation
glHint
glIndexd
glIndexdv
glIndexf
glIndexfv
glIndexi
glIndexiv
glIndexMask
glIndexs
glIndexsv
glInitNames
glIsEnabled
glIsFramebufferEXT
glIsList
glIsRenderbufferEXT
glLightf
glLightfv
glLighti
glLightiv
glLightModelf
glLightModelfv
glLightModeli
glLightModeliv
glLineStipple
glLineWidth
glLinkProgram
glListBase
glLoadIdentity
glLoadMatrixd
glLoadMatrixf
glLoadName
glLogicOp
glMap1d
glMap1f
glMap2d
glMap2f
glMapGrid1d
glMapGrid1f
glMapGrid2d
glMapGrid2f
glMaterialf
glMaterialfv
glMateriali
glMaterialiv
glMatrixMode
glMatrixScalefEXT
glMultMatrixd
glMultMatrixf
glNewList
glNormal3b
glNormal3bv
glNormal3d
glNormal3dv
glNormal3f
glNormal3fv
glNormal3i
glNormal3iv
glNormal3s
glNormal3sv
glOrtho
glPassThrough
glPixelMapfv
glPixelMapuiv
glPixelMapusv
glPixelStoref
glPixelStorei
glPixelTransferf
glPixelTransferi
glPixelZoom
glPointSize
glPolygonMode
glPolygonStipple
glPopAttrib
glPopMatrix
glPopName
glPushAttrib
glPushMatrix
glPushName
glRasterPos2d
glRasterPos2dv
glRasterPos2f
glRasterPos2fv
glRasterPos2i
glRasterPos2iv
glRasterPos2s
glRasterPos2sv
glRasterPos3d
glRasterPos3dv
glRasterPos3f
glRasterPos3fv
glRasterPos3i
glRasterPos3iv
glRasterPos3s
glRasterPos3sv
glRasterPos4d
glRasterPos4dv
glRasterPos4f
glRasterPos4fv
glRasterPos4i
glRasterPos4iv
glRasterPos4s
glRasterPos4sv
glReadBuffer
glReadPixels
glRectd
glRectdv
glRectf
glRectfv
glRecti
glRectiv
glRects
glRectsv
glRenderbufferStorageEXT
glRenderMode
glRotated
glRotatef
glScaled
glScalef
glScissor
glSelectBuffer
glShadeModel
glShaderSource
glStencilFunc
glStencilMask
glStencilOp
glTexCoord1d
glTexCoord1dv
glTexCoord1f
glTexCoord1fv
glTexCoord1i
glTexCoord1iv
glTexCoord1s
glTexCoord1sv
glTexCoord2d
glTexCoord2dv
glTexCoord2f
glTexCoord2fv
glTexCoord2i
glTexCoord2iv
glTexCoord2s
glTexCoord2sv
glTexCoord3d
glTexCoord3dv
glTexCoord3f
glTexCoord3fv
glTexCoord3i
glTexCoord3iv
glTexCoord3s
glTexCoord3sv
glTexCoord4d
glTexCoord4dv
glTexCoord4f
glTexCoord4fv
glTexCoord4i
glTexCoord4iv
glTexCoord4s
glTexCoord4sv
glTexEnvf
glTexEnvfv
glTexEnvi
glTexEnviv
glTexGend
glTexGendv
glTexGenf
glTexGenfv
glTexGeni
glTexGeniv
glTexImage1D
glTexImage2D
glTexParameterf
glTexParameterfv
glTexParameteri
glTexParameteriv
glTranslated
glTranslatef
gluBeginCurve
gluBeginSurface
gluBeginTrim
gluBuild1DMipmaps
gluBuild2DMipmaps
gluCylinder
gluDeleteNurbsRenderer
gluDeleteQuadric
gluDeleteTess
gluDisk
gluEndCurve
gluEndSurface
gluEndTrim
gluErrorString
gluGetNurbsProperty
gluGetString
gluLoadSamplingMatrices
gluLookAt
gluNewNurbsRenderer
gluNewQuadric
gluNewTess
glUniform1i
gluNurbsCallback
gluNurbsCurve
gluNurbsProperty
gluNurbsSurface
gluOrtho2D
gluPartialDisk
gluPerspective
gluPickMatrix
gluProject
gluPwlCurve
gluQuadricCallback
gluQuadricDrawStyle
gluQuadricNormals
gluQuadricOrientation
gluQuadricTexture
gluScaleImage
glUseProgram
gluSphere
gluTessBeginContour
gluTessBeginPolygon
gluTessCallback
gluTessEndContour
gluTessEndPolygon
gluTessNormal
gluTessProperty
gluTessVertex
gluUnProject
glVertex2d
glVertex2dv
glVertex2f
glVertex2fv
glVertex2i
glVertex2iv
glVertex2s
glVertex2sv
glVertex3d
glVertex3dv
glVertex3f
glVertex3fv
glVertex3i
glVertex3iv
glVertex3s
glVertex3sv
glVertex4d
glVertex4dv
glVertex4f
glVertex4fv
glVertex4i
glVertex4iv
glVertex4s
glVertex4sv
glViewport
wglChoosePixelFormatARB
wglGetPixelFormatAttribfvARB
wglGetPixelFormatAttribivARB
wglSetPixelFormat
wglSwapInterval


GL_ARB_texture_non_power_of_two

GL_ARB_texture_non_power_of_two variable

Var GL_ARB_texture_non_power_of_two;

Unit
OpenGL2


GL_ARB_Texture_Rectangle

GL_ARB_Texture_Rectangle variable

Var GL_ARB_Texture_Rectangle;

Unit
OpenGL2


GL_EXT_Separate_Specular_Color

GL_EXT_Separate_Specular_Color variable

Var GL_EXT_Separate_Specular_Color;

Unit
OpenGL2


glActiveTexture

glActiveTexture variable

Var glActiveTexture;

Unit
OpenGL2


glAttachShader

glAttachShader variable

Var glAttachShader;

Unit
OpenGL2


glBindBufferARB

glBindBufferARB variable

Var glBindBufferARB;

Unit
OpenGL2


glBindFramebufferEXT

glBindFramebufferEXT variable

Var glBindFramebufferEXT;

Unit
OpenGL2


glBindRenderbufferEXT

glBindRenderbufferEXT variable

Var glBindRenderbufferEXT;

Unit
OpenGL2


glBufferDataARB

glBufferDataARB variable

Var glBufferDataARB;

Unit
OpenGL2


glCheckFramebufferStatusEXT

glCheckFramebufferStatusEXT variable

Var glCheckFramebufferStatusEXT;

Unit
OpenGL2


glCompileShader

glCompileShader variable

Var glCompileShader;

Unit
OpenGL2


glCreateProgram

glCreateProgram variable

Var glCreateProgram;

Unit
OpenGL2


glCreateShader

glCreateShader variable

Var glCreateShader;

Unit
OpenGL2


glDeleteBuffersARB

glDeleteBuffersARB variable

Var glDeleteBuffersARB;

Unit
OpenGL2


glDeleteFramebuffersEXT

glDeleteFramebuffersEXT variable

Var glDeleteFramebuffersEXT;

Unit
OpenGL2


glDeleteProgram

glDeleteProgram variable

Var glDeleteProgram;

Unit
OpenGL2


glDeleteRenderbuffersEXT

glDeleteRenderbuffersEXT variable

Var glDeleteRenderbuffersEXT;

Unit
OpenGL2


glDeleteShader

glDeleteShader variable

Var glDeleteShader;

Unit
OpenGL2


glFramebufferRenderbufferEXT

glFramebufferRenderbufferEXT variable

Var glFramebufferRenderbufferEXT;

Unit
OpenGL2


glFramebufferTexture1D

glFramebufferTexture1D variable

Var glFramebufferTexture1D;

Unit
OpenGL2


glFramebufferTexture2D

glFramebufferTexture2D variable

Var glFramebufferTexture2D;

Unit
OpenGL2


glFramebufferTexture3D

glFramebufferTexture3D variable

Var glFramebufferTexture3D;

Unit
OpenGL2


glGenBuffersARB

glGenBuffersARB variable

Var glGenBuffersARB;

Unit
OpenGL2


glGenerateMipmapEXT

glGenerateMipmapEXT variable

Var glGenerateMipmapEXT;

Unit
OpenGL2


glGenFramebuffersEXT

glGenFramebuffersEXT variable

Var glGenFramebuffersEXT;

Unit
OpenGL2


glGenRenderbuffersEXT

glGenRenderbuffersEXT variable

Var glGenRenderbuffersEXT;

Unit
OpenGL2


glGetFramebufferAttachmentParameterivEXT

glGetFramebufferAttachmentParameterivEXT variable

Var glGetFramebufferAttachmentParameterivEXT;

Unit
OpenGL2


glGetProgramInfoLog

glGetProgramInfoLog variable

Var glGetProgramInfoLog;

Unit
OpenGL2


glGetProgramiv

glGetProgramiv variable

Var glGetProgramiv;

Unit
OpenGL2


glGetRenderbufferParameterivEXT

glGetRenderbufferParameterivEXT variable

Var glGetRenderbufferParameterivEXT;

Unit
OpenGL2


glGetShaderInfoLog

glGetShaderInfoLog variable

Var glGetShaderInfoLog;

Unit
OpenGL2


glGetShaderiv

glGetShaderiv variable

Var glGetShaderiv;

Unit
OpenGL2


glGetUniformLocation

glGetUniformLocation variable

Var glGetUniformLocation;

Unit
OpenGL2


glIsFramebufferEXT

glIsFramebufferEXT variable

Var glIsFramebufferEXT;

Unit
OpenGL2


glIsRenderbufferEXT

glIsRenderbufferEXT variable

Var glIsRenderbufferEXT;

Unit
OpenGL2


glLinkProgram

glLinkProgram variable

Var glLinkProgram;

Unit
OpenGL2


glMatrixScalefEXT

glMatrixScalefEXT variable

Var glMatrixScalefEXT;

Unit
OpenGL2


glRenderbufferStorageEXT

glRenderbufferStorageEXT variable

Var glRenderbufferStorageEXT;

Unit
OpenGL2


glShaderSource

glShaderSource variable

Var glShaderSource;

Unit
OpenGL2


glUniform1i

glUniform1i variable

Var glUniform1i;

Unit
OpenGL2


glUseProgram

glUseProgram variable

Var glUseProgram;

Unit
OpenGL2


wglChoosePixelFormatARB

wglChoosePixelFormatARB variable

Var wglChoosePixelFormatARB;

Unit
OpenGL2


wglGetPixelFormatAttribfvARB

wglGetPixelFormatAttribfvARB variable

Var wglGetPixelFormatAttribfvARB;

Unit
OpenGL2


wglGetPixelFormatAttribivARB

wglGetPixelFormatAttribivARB variable

Var wglGetPixelFormatAttribivARB;

Unit
OpenGL2


wglSetPixelFormat

wglSetPixelFormat variable

Var wglSetPixelFormat;

Unit
OpenGL2


wglSwapInterval

wglSwapInterval variable

Var wglSwapInterval;

Unit
OpenGL2


OpenGLLinux

Unit OpenGLLinux

Procedures
glAccum
glAlphaFunc
glBegin
glBitmap
glBlendFunc
glCallList
glCallLists
glClear
glClearAccum
glClearColor
glClearDepth
glClearIndex
glClearStencil
glClipPlane
glColor
glColor3
glColor3b
glColor3bv
glColor3d
glColor3dv
glColor3f
glColor3fv
glColor3i
glColor3iv
glColor3s
glColor3sv
glColor3ub
glColor3ubv
glColor3ui
glColor3uiv
glColor3us
glColor3usv
glColor4
glColor4b
glColor4bv
glColor4d
glColor4dv
glColor4f
glColor4fv
glColor4i
glColor4iv
glColor4s
glColor4sv
glColor4ub
glColor4ubv
glColor4ui
glColor4uiv
glColor4us
glColor4usv
glColorMask
glColorMaterial
glCopyPixels
glCullFace
glDeleteLists
glDepthFunc
glDepthMask
glDepthRange
glDisable
glDrawBuffer
glDrawPixels
glEdgeFlag
glEdgeFlagv
glEnable
glEnd
glEndList
glEvalCoord
glEvalCoord1
glEvalCoord1d
glEvalCoord1dv
glEvalCoord1f
glEvalCoord1fv
glEvalCoord2
glEvalCoord2d
glEvalCoord2dv
glEvalCoord2f
glEvalCoord2fv
glEvalMesh
glEvalMesh1
glEvalMesh2
glEvalPoint
glEvalPoint1
glEvalPoint2
glFeedbackBuffer
glFinish
glFlush
glFog
glFogf
glFogfv
glFogi
glFogiv
glFrontFace
glFrustum
glGenLists
glGetBooleanv
glGetClipPlane
glGetDoublev
glGetError
glGetFloatv
glGetIntegerv
glGetLight
glGetLightfv
glGetLightiv
glGetMap
glGetMapdv
glGetMapfv
glGetMapiv
glGetMaterial
glGetMaterialfv
glGetMaterialiv
glGetPixelMap
glGetPixelMapfv
glGetPixelMapuiv
glGetPixelMapusv
glGetPolygonStipple
glGetString
glGetTexEnv
glGetTexEnvfv
glGetTexEnviv
glGetTexGen
glGetTexGendv
glGetTexGenfv
glGetTexGeniv
glGetTexImage
glGetTexLevelParameter
glGetTexLevelParameterfv
glGetTexLevelParameteriv
glGetTexParameter
glGetTexParameterfv
glGetTexParameteriv
glHint
glIndex
glIndexd
glIndexdv
glIndexf
glIndexfv
glIndexi
glIndexiv
glIndexMask
glIndexs
glIndexsv
glInitNames
glIsEnabled
glIsList
glLight
glLightf
glLightfv
glLighti
glLightiv
glLightModel
glLightModelf
glLightModelfv
glLightModeli
glLightModeliv
glLineStipple
glLineWidth
glListBase
glLoadIdentity
glLoadMatrix
glLoadMatrixd
glLoadMatrixf
glLoadName
glLogicOp
glMap
glMap1d
glMap1f
glMap2d
glMap2f
glMapGrid
glMapGrid1d
glMapGrid1f
glMapGrid2d
glMapGrid2f
glMaterial
glMaterialf
glMaterialfv
glMateriali
glMaterialiv
glMatrixMode
glMultMatrix
glMultMatrixd
glMultMatrixf
glNewList
glNormal
glNormal3
glNormal3b
glNormal3bv
glNormal3d
glNormal3dv
glNormal3f
glNormal3fv
glNormal3i
glNormal3iv
glNormal3s
glNormal3sv
glOrtho
glPassThrough
glPixelMap
glPixelMapfv
glPixelMapuiv
glPixelMapusv
glPixelStore
glPixelStoref
glPixelStorei
glPixelTransfer
glPixelTransferf
glPixelTransferi
glPixelZoom
glPointSize
glPolygonMode
glPolygonStipple
glPopAttrib
glPopMatrix
glPopName
glPushAttrib
glPushMatrix
glPushName
glRasterPos
glRasterPos2
glRasterPos2d
glRasterPos2dv
glRasterPos2f
glRasterPos2fv
glRasterPos2i
glRasterPos2iv
glRasterPos2s
glRasterPos2sv
glRasterPos3
glRasterPos3d
glRasterPos3dv
glRasterPos3f
glRasterPos3fv
glRasterPos3i
glRasterPos3iv
glRasterPos3s
glRasterPos3sv
glRasterPos4
glRasterPos4d
glRasterPos4dv
glRasterPos4f
glRasterPos4fv
glRasterPos4i
glRasterPos4iv
glRasterPos4s
glRasterPos4sv
glReadBuffer
glReadPixels
glRect
glRectd
glRectdv
glRectf
glRectfv
glRecti
glRectiv
glRects
glRectsv
glRenderMode
glRotate
glRotated
glRotatef
glScale
glScaled
glScalef
glScissor
glSelectBuffer
glShadeModel
glStencilFunc
glStencilMask
glStencilOp
glTexCoord
glTexCoord1
glTexCoord1d
glTexCoord1dv
glTexCoord1f
glTexCoord1fv
glTexCoord1i
glTexCoord1iv
glTexCoord1s
glTexCoord1sv
glTexCoord2
glTexCoord2d
glTexCoord2dv
glTexCoord2f
glTexCoord2fv
glTexCoord2i
glTexCoord2iv
glTexCoord2s
glTexCoord2sv
glTexCoord3
glTexCoord3d
glTexCoord3dv
glTexCoord3f
glTexCoord3fv
glTexCoord3i
glTexCoord3iv
glTexCoord3s
glTexCoord3sv
glTexCoord4
glTexCoord4d
glTexCoord4dv
glTexCoord4f
glTexCoord4fv
glTexCoord4i
glTexCoord4iv
glTexCoord4s
glTexCoord4sv
glTexEnv
glTexEnvf
glTexEnvfv
glTexEnvi
glTexEnviv
glTexGen
glTexGend
glTexGendv
glTexGenf
glTexGenfv
glTexGeni
glTexGeniv
glTexImage1D
glTexImage2D
glTexParameter
glTexParameterf
glTexParameterfv
glTexParameteri
glTexParameteriv
glTranslate
glTranslated
glTranslatef
gluBeginCurve
gluBeginSurface
gluBeginTrim
gluBuild1DMipmaps
gluBuild2DMipmaps
gluCylinder
gluDeleteNurbsRenderer
gluDeleteQuadric
gluDeleteTess
gluDisk
gluEndCurve
gluEndSurface
gluEndTrim
gluErrorString
gluGetNurbsProperty
gluGetString
gluLoadSamplingMatrices
gluLookAt
gluNewNurbsRenderer
gluNewQuadric
gluNewTess
gluNurbsCallback
gluNurbsCurve
gluNurbsProperty
gluNurbsSurface
gluOrtho2D
gluPartialDisk
gluPerspective
gluPickMatrix
gluProject
gluPwlCurve
gluQuadricCallback
gluQuadricDrawStyle
gluQuadricNormals
gluQuadricOrientation
gluQuadricTexture
gluScaleImage
gluSphere
gluTessBeginContour
gluTessBeginPolygon
gluTessCallback
gluTessEndContour
gluTessEndPolygon
gluTessNormal
gluTessProperty
gluTessVertex
gluUnProject
glVertex
glVertex2
glVertex2d
glVertex2dv
glVertex2f
glVertex2fv
glVertex2i
glVertex2iv
glVertex2s
glVertex2sv
glVertex3
glVertex3d
glVertex3dv
glVertex3f
glVertex3fv
glVertex3i
glVertex3iv
glVertex3s
glVertex3sv
glVertex4
glVertex4d
glVertex4dv
glVertex4f
glVertex4fv
glVertex4i
glVertex4iv
glVertex4s
glVertex4sv
glViewport
glXChooseVisual
glXCreateContext
glXDestroyContext
glXMakeCurrent
XSetStandardProperties

Types
_GLUquadricObj
_GLUtesselator
_GLYPHMETRICSFLOAT
_POINTFLOAT
GLUquadricErrorProc
GLUtessBeginProc
GLUtessCombineProc
GLUtessEdgeFlagProc
GLUtessEndProc
GLUtessVertexProc
PFNGLADDSWAPHINTRECTWINPROC
PFNGLARRAYELEMENTEXTPROC
PFNGLCOLORPOINTEREXTPROC
PFNGLDRAWARRAYSEXTPROC
PFNGLEDGEFLAGPOINTEREXTPROC
PFNGLGETPOINTERVEXTPROC
PFNGLINDEXPOINTEREXTPROC
PFNGLNORMALPOINTEREXTPROC
PFNGLTEXCOORDPOINTEREXTPROC
PFNGLVERTEXPOINTEREXTPROC
TGLUnurbsObj

Variables
gmfBlackBoxX
gmfBlackBoxY
gmfCellIncX
gmfCellIncY
gmfptGlyphOrigin


gmfBlackBoxX

gmfBlackBoxX variable

Var gmfBlackBoxX;

Unit
OpenGLLinux


gmfBlackBoxY

gmfBlackBoxY variable

Var gmfBlackBoxY;

Unit
OpenGLLinux


gmfCellIncX

gmfCellIncX variable

Var gmfCellIncX;

Unit
OpenGLLinux


gmfCellIncY

gmfCellIncY variable

Var gmfCellIncY;

Unit
OpenGLLinux


gmfptGlyphOrigin

gmfptGlyphOrigin variable

Var gmfptGlyphOrigin;

Unit
OpenGLLinux


PCX

Unit PCX

Procedures
LoadFromFileX
SaveToFileX
TeePCXToStream


QrTee

Unit QrTee

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TQRChart
TQRDBChart

Types
TPrintChartEvent
TTeeQuickMethod


Series

Unit Series

Contains the most basic, standard series: Line, Point, Bar, Area, HorizBar, FastLine and Pie.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TAreaSeries
TBarSeries
TCircledEmboss
TCircledSeries
TCircledShadow
TCircularFrame
TCustomBarSeries
TCustomLineSeries
TCustomSeries
TFastLineSeries
TFrameBrush
TFramedBorder
THorizAreaSeries
THorizBarSeries
THorizLineSeries
TLineSeries
TPieMarks
TPieOtherSlice
TPieSeries
TPointSeries
TSliceValueList

Procedures
RegisterTeeStandardSeries
TeePointerDrawLegend

Types
TBarRound
TBarStyle
TCustomSeriesStack
TDrawAllPointsStyle
TGetBarStyleEvent
TMarksLocation
TMultiArea
TMultiBar
TMultiPie
TOnGetPointerStyle
TPieAngle
TPieOtherStyle
TSeriesClickPointerEvent
TTreatNullsStyle


StatChar

Unit StatChar

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TACFunction
TAlligatorFunction
TAOFunction
TBollingerFunction
TCrossPointsFunction
TExpAverageFunction
TExpMovAveFunction
TGatorFunction
THistogramSeries
THorizHistogramSeries
TKurtosisFunction
TMACDFunction
TMomentumDivFunction
TMomentumFunction
TMoneyFlowFunction
TMovingAverageFunction
TPercentChangeFunction
TPerformanceFunction
TPerimeterFunction
TRMSFunction
TRVIFunction
TSkewnessFunction
TSlopeFunction
TSmoothedMovAvgFunction
TStdDeviationFunction
TStochasticFunction
TVarianceFunction

Types
TCMFStyle


Steema

Unit Steema

Classes
WebChart
WebChartDesigner

Procedures
CreateChart
CreateDesignPictureFile
CreatePictureFile
GetBase64
InternalSaveViewState
LoadPostData
RaisePostBackEvent
RaisePostDataChangedEvent
Render
SetChart


TeCanvas

Unit TeCanvas

Contains several classes related to drawing and painting.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBlurFilter
TButtonColor
TCanvas3D
TChartBrush
TChartHiddenPen
TChartPen
TComboFlat
TConvolveFilter
TCustomTeeGradient
TDarkGrayPen
TDottedGrayPen
TFilterItems
TFilterRegion
TFloatXYZ
TPointBlock
TPointXYFloat
TPointXYZFloat
TSubGradient
TTeeBlend
TTeeButton
TTeeCanvas
TTeeCanvas3D
TTeeEmboss
TTeeFilter
TTeeFont
TTeeFontGradient
TTeeGradient
TTeeNeutralCanvas
TTeePicture
TTeeShadow
TView3DOptions
TVisualBlock
TVisualEditor
TWhitePen

Interfaces
ICanvasHyperlinks
ICanvasToolTips
IFormCreator

Procedures
ApplyBright
ApplyDark
ClipCanvas
ClipEllipse
ClipPolygon
ClipRoundRectangle
ColorRGBA
EditColor
EditColorDialog
Offset
OrientRectangle
Point3D
PointAtDistance
PointInRect
PolygonArea
PolygonBounds
PolygonCentroid
PolygonInPolygon
RectangleInRectangle
RectCenter
RectFromPolygon
RectFromTriangle
RectSize
RGBA
RGBValue
SmoothStretch
SwapDouble
SwapInteger
TeeBlendBitmaps
TeeCalcLines
TeeCreatePenSmallDots
TeeCull
TeeDistance
TeeFreeLibrary
TeeLoadLibrary
TeePoint
TeeRect
TeeSetBitmapDPI
TeeSetBitmapSize
UnClipCanvas

Types
TCanvas3DPlane
TCanvasBackMode
TCanvasZoomText
TChangeVisual
TEdgeStyle
TEditVisual
TFloatPoint
TFloatRect
TFontQuality
TGradientDirection
TGradientRotate
TPenEndStyle
TPoint3D
TPoint3DFloat
TRGB
TRGBA
TSmoothStretchOption
TTeeCanvasSurfaceStyle
TTeeCanvasTriPoints
TTeeFontStyle
TTeeView3DChangedZoom
TTeeView3DScrolled
TTriangleIndexes

Variables
Alpha
GetDefaultFontName
GetDefaultFontSize
IsWindowsNT
Point0
Point1
Point2
TeeCheckPenWidth
TeeCustomEditColors
TeeDefaultConePercent
TeeFontAntiAlias
TeeGradientRotate
TeeNumCylinderSides
TeeOnChangeVisual
TeeOnEditVisual
TeeRenderClasses
TeeVisualEditorClass


Alpha

Alpha variable

Var Alpha;

Unit
TeCanvas


GetDefaultFontName

GetDefaultFontName variable

Var GetDefaultFontName;

Unit
TeCanvas

Description
Internal use.
Returns the default Font name used by all Chart and Series object fonts.


GetDefaultFontSize

GetDefaultFontSize variable

Var GetDefaultFontSize;

Unit
TeCanvas

Description
Internal use.
Returns the default Font size for all Chart and Series objects fonts.


IsWindowsNT

IsWindowsNT variable

Var IsWindowsNT;

Unit
TeCanvas

Description
Returns True when the application is executing under Windows NT, 2000 or XP operating systems.

Returns False when executing under Windows 95,98 or Me.


Point0

Point0 variable

Var Point0;

Unit
TeCanvas


Point1

Point1 variable

Var Point1;

Unit
TeCanvas


Point2

Point2 variable

Var Point2;

Unit
TeCanvas


TeeCheckPenWidth

TeeCheckPenWidth variable

Var TeeCheckPenWidth;

Unit
TeCanvas

Description
Default is True.

This global boolean variable determines if lines and borders displayed with a Pen width size of "1" will be adjusted to a width size of "0" (zero).

This adjustment is a workaround to a bug that frequently appears in printer device drivers for several versions of Windows, usually for printers of Hewlett Packard brand.
It is recommended always to update printer device drivers directly from printer's manufacturer web sites, replacing the default drivers that come with Windows installations.


TeeCustomEditColors

TeeCustomEditColors variable

Var TeeCustomEditColors;

Unit
TeCanvas

Description
Internal use only. For the color editor dialog.


TeeDefaultConePercent

TeeDefaultConePercent variable

Var TeeDefaultConePercent;

Unit
TeCanvas

Description
Internal use.
Default value of Cone percent is zero ( a full cone ).
See this variable to 100 to display cylinders instead of cones.


TeeFontAntiAlias

TeeFontAntiAlias variable

Var TeeFontAntiAlias;

Unit
TeCanvas

Description
Enables or disables output of text using Windows anti-alias feature.
See Windows control panel "Display" effects (font anti-alias).

Note: anti-alias works only with big font sizes.


TeeGradientRotate

TeeGradientRotate variable

Var TeeGradientRotate;

Unit
TeCanvas

Description
Internal use.


TeeNumCylinderSides

TeeNumCylinderSides variable

Var TeeNumCylinderSides;

Unit
TeCanvas

Description
Default = 32

Number of "sides" used when drawing cylinders (Chart1.Canvas.Cylinder method).

More sides means better looking cylinders, but slower to paint.


TeeOnChangeVisual

TeeOnChangeVisual variable

Var TeeOnChangeVisual;

Unit
TeCanvas


TeeOnEditVisual

TeeOnEditVisual variable

Var TeeOnEditVisual;

Unit
TeCanvas


TeeRenderClasses

TeeRenderClasses variable

Var TeeRenderClasses;

Unit
TeCanvas


TeeVisualEditorClass

TeeVisualEditorClass variable

Var TeeVisualEditorClass;

Unit
TeCanvas


TeeAbout

Unit TeeAbout

Contains global procedure GotoURL and about-box method.

Description
Contains global procedure GotoURL and about-box method.

Procedures
TeeShowAboutBox


TeeAfrikaans

Unit TeeAfrikaans

Description
Texts in Afrikaans language.

Procedures
TeeSetAfrikaans

Variables
NewLine


NewLine

NewLine variable

Var NewLine;

Unit
TeeUrdu


TeeAnimate

Unit TeeAnimate

Classes
TAnimation
TAnimationCurve
TAnimations
TColorsAnimation
TMultiTimer
TNumberAnimation
TPlaySoundAnimation
TPropertyAnimation
TPropertyLink
TRangePropertyAnimation
TSinusAnimation
TTeeAnimate
TTimerThread

Procedures
RegisterAnimation

Types
TAnimateEditorOptions
TAnimationEndEvent
TAnimationState
TColorMethod
TGetPropertyValueProc
TTeeAnimateEvents
TTimerEnabled
TTimerEvent

Variables
AnimationClasses
Clear
Continue
DeletedShapes
FData
FEnabled
FInterval
FIsEnabled
FMethod
FOldTick
Frame
FRepeat
FSource
HorizScale
NodeListX
Pause
Play
Size
Stop
VertScale


AnimationClasses

AnimationClasses variable

Var AnimationClasses;

Unit
TeeAnimate


Clear

Clear variable

Var Clear;

Unit
TeeAnimate


Continue

Continue variable

Var Continue;

Unit
TeeAnimate


DeletedShapes

DeletedShapes variable

Var DeletedShapes;

Unit
TeeAnimate


FData

FData variable

Var FData;

Unit
TeeAnimate


FEnabled

FEnabled variable

Var FEnabled;

Unit
TeeAnimate


FInterval

FInterval variable

Var FInterval;

Unit
TeeAnimate


FIsEnabled

FIsEnabled variable

Var FIsEnabled;

Unit
TeeAnimate


FMethod

FMethod variable

Var FMethod;

Unit
TeeAnimate


FOldTick

FOldTick variable

Var FOldTick;

Unit
TeeAnimate


Frame

Frame variable

Var Frame;

Unit
TeeAnimate


FRepeat

FRepeat variable

Var FRepeat;

Unit
TeeAnimate


FSource

FSource variable

Var FSource;

Unit
TeeAnimate


HorizScale

HorizScale variable

Var HorizScale;

Unit
TeeAnimate


NodeListX

NodeListX variable

Var NodeListX;

Unit
TeeAnimate


Pause

Pause variable

Var Pause;

Unit
TeeAnimate


Play

Play variable

Var Play;

Unit
TeeAnimate


Size

Size variable

Var Size;

Unit
TeeGLCanvas


Stop

Stop variable

Var Stop;

Unit
TeeAnimate


VertScale

VertScale variable

Var VertScale;

Unit
TeeAnimate


TeeAnimateEditor

Unit TeeAnimateEditor

Types
TAnimateGalleryEvent
TAnimateGetName


TeeAnimations

Unit TeeAnimations

Classes
TExpandAnimation


TeeAnimationsGallery

Unit TeeAnimationsGallery

Variables
AnimationsGalleryHook


AnimationsGalleryHook

AnimationsGalleryHook variable

Var AnimationsGalleryHook;

Unit
TeeAnimationsGallery


TeeArabic

Unit TeeArabic

Description
Texts in Arabic.

Procedures
TeeSetArabic

Variables
NewLine


TeeArrowTool

Unit TeeArrowTool

Classes
TArrowTool
TPointXY


TeeAxisBreaks

Unit TeeAxisBreaks

Classes
TAxisAccess
TAxisBreak
TAxisBreaksTool

Types
TAxisBreakStyle

Variables
TeeMaxPixelPos


TeeMaxPixelPos

TeeMaxPixelPos variable

Var TeeMaxPixelPos;

Unit
TeeAxisBreaks


TeeBackImage

Unit TeeBackImage

Contains a form editor to modify properties of TTeePicture instances.

Description
Contains a form editor to modify properties of TTeePicture instances.

Procedures
EditTeePicture


TeeBannerTool

Unit TeeBannerTool

Contains TBannerTool class definition and editor dialog.

Description
Contains TBannerTool class definition and editor dialog.

Classes
TBannerTool

Types
TScrollDirection


TeeBaseFuncEdit

Unit TeeBaseFuncEdit

Description
Base form for TeeChart functions editor dialogs.

Classes
TBaseFunctionEditor


TeeBezie

Unit TeeBezie

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBezierSeries

Types
TBezierStyle


TeeBmpOptions

Unit TeeBmpOptions

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBMPExportFormat

Procedures
TeeSaveToBitmap


TeeBoxPlot

Unit TeeBoxPlot

Description
The TeeBoxPlot unit defines the "Box Plot" series. When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBoxSeries
TCustomBoxSeries
THorizBoxSeries


TeeBrazil

Unit TeeBrazil

Brazilian text and constants.

Procedures
TeeCreateBrazil2
TeeSetBrazil

Variables
NewLine
TeeBrazilLanguage


TeeBrazilLanguage

TeeBrazilLanguage variable

Var TeeBrazilLanguage;

Unit
TeeBrazil

Description
The StringList containing all Brazilian texts and constants.


TeeBrushDlg

Unit TeeBrushDlg

Contains form to edit TChartBrush objects.

Description
Contains form to edit TChartBrush objects.

Procedures
EditChartBrush
EditChartBrushLinkedColor
EditTeeFont
GetTeeBrush


TeeBulgarian

Unit TeeBulgarian

Description
Texts in Bulgarian.

Procedures
TeeCreateBulgarian
TeeCreateBulgarian2
TeeSetBulgarian

Variables
NewLine


TeeCalendar

Unit TeeCalendar

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCalendarCell
TCalendarCellUpper
TCalendarSeries

Types
TCalendarChangeEvent


TeeCatalan

Unit TeeCatalan

TeeChart texts and constants in Catalan language.

Procedures
TeeSetCatalan

Variables
NewLine
TeeCatalanLanguage


TeeCatalanLanguage

TeeCatalanLanguage variable

Var TeeCatalanLanguage;

Unit
TeeCatalan

Description
StringList containing all texts and constants in Catalan language.


TeeCCIFunction

Unit TeeCCIFunction

Unit contains Commodity Chanel Index financial function.

Description
Unit contains Commodity Chanel Index financial function.

Classes
TCCIFunction


TeeChartActions

Unit TeeChartActions

Description
The TeeChartActions unit includes several standard VCL Action components which perform automatic changes of Chart and Series components at run-time.

To use Actions, you should add a standard TActionList component on your Form and configure it (double-click at design-time) to add the TeeChart actions.

Actions can then be assigned to other controls (like Buttons, CheckBoxes, etc) via the control's Action property.

Classes
TChartAction
TChartAction3D
TChartActionAxes
TChartActionCopy
TChartActionEdit
TChartActionGrid
TChartActionLegend
TChartActionPrint
TChartActionSave
TCustomChartAction
TCustomSeriesAction
TSeriesAction
TSeriesActionActive
TSeriesActionEdit
TSeriesActionMarks


TeeChartBook

Unit TeeChartBook

Contains TChartBook control, a multi-tab page control that automatically adds a chart to each tab.

Description
Contains TChartBook control, a multi-tab page control that automatically adds a chart to each tab.

Classes
TChartBook

Types
TDeleteChartEvent
TNewChartEvent


TeeChartGrid

Unit TeeChartGrid

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartGrid
TChartGridNavigator
TCustomChartGrid

Types
TChartGridShow
TEditingCellEvent


TeeChinese

Unit TeeChinese

TeeChart texts and constants in Chinese Traditional language.

Procedures
TeeSetChinese

Variables
NewLine
TeeChineseLanguage


TeeChineseLanguage

TeeChineseLanguage variable

Var TeeChineseLanguage;

Unit
TeeChinese

Description
StringList containing all texts and constants in Chinese Traditional language.


TeeChineseSimp

Unit TeeChineseSimp

TeeChart texts and constants in Chinese Simplified.

Procedures
TeeSetChineseSimp

Variables
NewLine
TeeChineseSimpLanguage


TeeChineseSimpLanguage

TeeChineseSimpLanguage variable

Var TeeChineseSimpLanguage;

Unit
TeeChineseSimp

Description
StringList containing all texts and constants in Chinese Simplified language.


TeeCircularGauge

Unit TeeCircularGauge

Description
Contains TCircularGauge series class.

Classes
TCircularGauge
TGaugeHand


TeeCLVFunction

Unit TeeCLVFunction

Unit contains Accumulation/Distribution financial function.

Description
Unit contains Accumulation/Distribution financial function.

Classes
TCLVFunction


TeeComma

Unit TeeComma

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCustomTeeCommander
TTeeCommander

Types
TCommanderControls
TTeeCommanderOnSetLabel
TTeeEditedChartEvent


TeeCompressOHLC

Unit TeeCompressOHLC

Units contains TCompressFunction, to "compress" OHLC (candle) values weekly, monthly, etc.

Description
Units contains TCompressFunction, to "compress" OHLC (candle) values weekly, monthly, etc.

Classes
TCompressFunction

Types
TCompressGetDate
TCompressionPeriod


TeeConst

Unit TeeConst

Description
This unit contains all the string constants (in English language) used by the Chart units to display messages, raise exceptions and other uses.
See also TeeProCo unit and all the language units ( TeeSpanish, TeeGerman, TeeItalian, TeeFrench, etc, etc).

Variables
TeeLanguageCanUpper
TeeMsg_AsFlex
TeeMsg_AsXAML
TeeMsg_Change
TeeMsg_ChangeAnimationName
TeeMsg_ChangeToolName
TeeMsg_ChartName
TeeMsg_DPI
TeeMsg_DPIIdentifier
TeeMsg_ExpandAnimation
TeeMsg_ExpandAnimationDesc
TeeMsg_FlexFilter
TeeMsg_GalleryPoint3DError
TeeMsg_GalleryPointError
TeeMsg_GalleryTernary
TeeMsg_HLS
TeeMsg_LegendTitle
TeeMsg_NewAnimationName
TeeMsg_NewChart
TeeMsg_NewToolName
TeeMsg_PathAdobeFlexCompiler
TeeMsg_RecordVideo
TeeMsg_RenameChart
TeeMsg_RGB
TeeMsg_SaveTextFile
TeeMsg_Search
TeeMsg_SelectTextFile
TeeMsg_SelectTmpFolder
TeeMsg_StraightAll
TeeMsg_TeeExtension
TeeMsg_TernaryMarkRadius
TeeMsg_TernaryMarkWeight
TeeMsg_ThemeBlack
TeeMsg_ThemeSpeed
TeeMsg_ValuesWeighting
TeeMsg_XAMLFilter
TeePolarDegreeSymbol


TeeLanguageCanUpper

TeeLanguageCanUpper variable

Var TeeLanguageCanUpper;

Unit
TeeConst

Description
Internally used by the translation system (unit TeeTranslate.pas).

Default value is True.

For languages where uppercase and lowercase do not make sense (for instance Japanese), it is set to False when calling the language procedure (ie: TeeSetJapanese procedure in TeeJapanese.pas unit )


TeeMsg_AsFlex

TeeMsg_AsFlex variable

Var TeeMsg_AsFlex;

Unit
TeeConst


TeeMsg_AsXAML

TeeMsg_AsXAML variable

Var TeeMsg_AsXAML;

Unit
TeeConst


TeeMsg_Change

TeeMsg_Change variable

Var TeeMsg_Change;

Unit
TeeConst


TeeMsg_ChangeAnimationName

TeeMsg_ChangeAnimationName variable

Var TeeMsg_ChangeAnimationName;

Unit
TeeConst


TeeMsg_ChangeToolName

TeeMsg_ChangeToolName variable

Var TeeMsg_ChangeToolName;

Unit
TeeConst


TeeMsg_ChartName

TeeMsg_ChartName variable

Var TeeMsg_ChartName;

Unit
TeeConst


TeeMsg_DPI

TeeMsg_DPI variable

Var TeeMsg_DPI;

Unit
TeeConst


TeeMsg_DPIIdentifier

TeeMsg_DPIIdentifier variable

Var TeeMsg_DPIIdentifier;

Unit
TeeConst


TeeMsg_ExpandAnimation

TeeMsg_ExpandAnimation variable

Var TeeMsg_ExpandAnimation;

Unit
TeeConst


TeeMsg_ExpandAnimationDesc

TeeMsg_ExpandAnimationDesc variable

Var TeeMsg_ExpandAnimationDesc;

Unit
TeeConst


TeeMsg_FlexFilter

TeeMsg_FlexFilter variable

Var TeeMsg_FlexFilter;

Unit
TeeConst


TeeMsg_GalleryPoint3DError

TeeMsg_GalleryPoint3DError variable

Var TeeMsg_GalleryPoint3DError;

Unit
TeeConst


TeeMsg_GalleryPointError

TeeMsg_GalleryPointError variable

Var TeeMsg_GalleryPointError;

Unit
TeeConst


TeeMsg_GalleryTernary

TeeMsg_GalleryTernary variable

Var TeeMsg_GalleryTernary;

Unit
TeeConst


TeeMsg_HLS

TeeMsg_HLS variable

Var TeeMsg_HLS;

Unit
TeeConst


TeeMsg_LegendTitle

TeeMsg_LegendTitle variable

Var TeeMsg_LegendTitle;

Unit
TeeConst


TeeMsg_NewAnimationName

TeeMsg_NewAnimationName variable

Var TeeMsg_NewAnimationName;

Unit
TeeConst


TeeMsg_NewChart

TeeMsg_NewChart variable

Var TeeMsg_NewChart;

Unit
TeeConst


TeeMsg_NewToolName

TeeMsg_NewToolName variable

Var TeeMsg_NewToolName;

Unit
TeeConst


TeeMsg_PathAdobeFlexCompiler

TeeMsg_PathAdobeFlexCompiler variable

Var TeeMsg_PathAdobeFlexCompiler;

Unit
TeeConst


TeeMsg_RecordVideo

TeeMsg_RecordVideo variable

Var TeeMsg_RecordVideo;

Unit
TeeConst


TeeMsg_RenameChart

TeeMsg_RenameChart variable

Var TeeMsg_RenameChart;

Unit
TeeConst


TeeMsg_RGB

TeeMsg_RGB variable

Var TeeMsg_RGB;

Unit
TeeConst


TeeMsg_SaveTextFile

TeeMsg_SaveTextFile variable

Var TeeMsg_SaveTextFile;

Unit
TeeConst


TeeMsg_Search

TeeMsg_Search variable

Var TeeMsg_Search;

Unit
TeeConst


TeeMsg_SelectTextFile

TeeMsg_SelectTextFile variable

Var TeeMsg_SelectTextFile;

Unit
TeeConst


TeeMsg_SelectTmpFolder

TeeMsg_SelectTmpFolder variable

Var TeeMsg_SelectTmpFolder;

Unit
TeeConst


TeeMsg_StraightAll

TeeMsg_StraightAll variable

Var TeeMsg_StraightAll;

Unit
TeeConst


TeeMsg_TeeExtension

TeeMsg_TeeExtension variable

Var TeeMsg_TeeExtension;

Unit
TeeConst

Description
The preset file extension for native TeeChart files.

Default is: 'tee'


TeeMsg_TernaryMarkRadius

TeeMsg_TernaryMarkRadius variable

Var TeeMsg_TernaryMarkRadius;

Unit
TeeConst


TeeMsg_TernaryMarkWeight

TeeMsg_TernaryMarkWeight variable

Var TeeMsg_TernaryMarkWeight;

Unit
TeeConst


TeeMsg_ThemeBlack

TeeMsg_ThemeBlack variable

Var TeeMsg_ThemeBlack;

Unit
TeeConst


TeeMsg_ThemeSpeed

TeeMsg_ThemeSpeed variable

Var TeeMsg_ThemeSpeed;

Unit
TeeConst


TeeMsg_ValuesWeighting

TeeMsg_ValuesWeighting variable

Var TeeMsg_ValuesWeighting;

Unit
TeeConst


TeeMsg_XAMLFilter

TeeMsg_XAMLFilter variable

Var TeeMsg_XAMLFilter;

Unit
TeeConst


TeePolarDegreeSymbol

TeePolarDegreeSymbol variable

Var TeePolarDegreeSymbol;

Unit
TeeConst

Description
String containing the default representation of "Degree" symbol.

This symbol is used by series like WindRose to display polar angles in degrees.

By default the symbol corresponds to Unicode ASCII "Degree Sign" character, "U+00B0" or "Alt+0176".

Symbol:


TeeCount

Unit TeeCount

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCountTeeFunction


TeeCroatian

Unit TeeCroatian

Description
Texts in Croatian language.

Procedures
TeeSetCroatian

Variables
NewLine


TeeCumu

Unit TeeCumu

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCumulative


TeeCustomLegendTool

Unit TeeCustomLegendTool

Classes
TCustomLegendTool


TeeCustomShapeEditor

Unit TeeCustomShapeEditor

Contains editor dialog for TTeeCustomShape objects.

Description
Contains editor dialog for TTeeCustomShape objects.

Note:
TTeeCustomShape class is a middle pseudo-abstract class.

Procedures
EditTeeCustomShape


TeeCzech

Unit TeeCzech

Description
Texts in Czech language.

Procedures
TeeCreateCzech2
TeeSetCzech

Variables
NewLine


TeeDanish

Unit TeeDanish

TeeChart texts and constants in Danish language.

Procedures
TeeCreateDanish2
TeeSetDanish

Variables
NewLine
TeeDanishLanguage


TeeDanishLanguage

TeeDanishLanguage variable

Var TeeDanishLanguage;

Unit
TeeDanish

Description
StringList containing all texts and constants in Danish language.


TeeData

Unit TeeData

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartDataSet
TSeriesDataSet
TTeeDataSet

Types
TRecInfo
TSeriesPoint


TeeDataTableTool

Unit TeeDataTableTool

Description
Contains TDataTableTool class.
This tool is used to display a grid with chart series values inside a chart panel near to a chart axis edge.

Classes
TDataTableTool
TTableLegend

Types
TDataTableFilterSeries


TeeDBCrossTab

Unit TeeDBCrossTab

Contains the DBCrossTabSource component, to create charts from a crosstab of database records.

Description
Contains the DBCrossTabSource component, to create charts from a crosstab of database records.

Classes
TDBCrossTabSource

Procedures
FillDataSet

Types
TGroupFormula


TeeDBSourceEditor

Unit TeeDBSourceEditor

Contains TSingleRecordSeriesSource class.

Description
Contains TSingleRecordSeriesSource class.

Classes
TSingleRecordSeriesSource


TeeDBSumEdit

Unit TeeDBSumEdit

Contains TDBSummarySource class.

Description
Contains TDBSummarySource class.

Database summaries (sum, count, etc of database data) are automatically generated by this class.

Classes
TDBSummarySource

Procedures
TeeDBSummaryEditor


TeeDesignOptions

Unit TeeDesignOptions

Contains form used at design-time to edit several options like editor's language, chart editor and chart gallery aspect.

Classes
TOptionsForm

Variables
TeeNewChartPalette
TeeNewChartTheme


TeeNewChartPalette

TeeNewChartPalette variable

Var TeeNewChartPalette;

Unit
TeeDesignOptions

Description
Default value is -1

This global variable, when different than -1, is used at design-time to change the Chart ColorPaletteIndex property when a TChart control is dropped into a TForm for first time.

Its value is stored at Registry as this key / value:

HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro\Editor

DefaultPalette


TeeNewChartTheme

TeeNewChartTheme variable

Var TeeNewChartTheme;

Unit
TeeDesignOptions

Description
Default is -1

This global variable, when different than -1, is used at design-time to change Chart properties when a TChart control is dropped into a TForm for first time.

Its value is stored at Registry as this key / value:

HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro\Editor

DefaultTheme


TeeDonut

Unit TeeDonut

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TDonutSeries


TeeDosCommand

Unit TeeDosCommand

Classes
TCreatePipeError
TCreateProcessError
TDosCommand
TDosThread
TProcessTimer

Types
TNewLineEvent
TOutputType


TeeDownSampling

Unit TeeDownSampling

Description
Contains TDownSampling function. This function is used to reduce the number of points of series using several different techniques.

Classes
TDownSamplingFunction

Types
TDownSampleMethod
TPointFloat2D


TeeDragPoint

Unit TeeDragPoint

Contains TDragPointTool component.

Description
This unit contains TDragPointTool component class.

Classes
TDragPointTool

Types
TDragPointStartEvent
TDragPointStyle
TDragPointToolEvent


TeeDraw3D

Unit TeeDraw3D

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TDraw3D

Types
TDraw3DPaintEvent


TeeDutch

Unit TeeDutch

TeeChart texts and constants in Dutch language.

Procedures
TeeSetDutch

Variables
NewLine
TeeDutchLanguage


TeeDutchLanguage

TeeDutchLanguage variable

Var TeeDutchLanguage;

Unit
TeeDutch

Description
StringList containing all texts and constants in Dutch language.


TeeEdiFont

Unit TeeEdiFont

Procedures
EditTeeFontEx


TeeEdiGene

Unit TeeEdiGene

Contains the chart page navigator control and ChartPreview procedure.

Description
Contains the chart page navigator control and ChartPreview procedure.

Classes
TChartPageNavigator

Procedures
ChartPreview


TeeEdiGrad

Unit TeeEdiGrad

Contains editor dialog for Gradient objects.

Description
Contains editor dialog for Gradient objects.

Classes
TButtonGradient

Procedures
EditTeeGradient


TeeEdiSeri

Unit TeeEdiSeri

Contains common editor form for Series objects.

Description
Contains editor form for Series objects.

Procedures
EditSeriesDialog
SeriesEditorForm


TeeEdit

Unit TeeEdit

Description
Contains Editors. When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartEditor
TChartEditorPanel
TChartPreviewer
TCustomChartEditor

Types
TChartPreviewOption


TeeEditCha

Unit TeeEditCha

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartEditForm

Procedures
GetTeeChartHelpFile

Types
TChartEditorOption
TChartEditorTab
TTeeOnCreateEditor

Variables
TeeSeriesNamesRuntime


TeeSeriesNamesRuntime

TeeSeriesNamesRuntime variable

Var TeeSeriesNamesRuntime;

Unit
TeeEditCha

Description
Global constant to control if the chart editor should show Series Names at runtime.

Default value is False.
This means Series Names should only be displayed at design-time, and only when the end-user checks the "View Series Names" checkbox.

You can override this behavior setting this variable to True before showing the Chart Editor dialog.


TeeEditPro

Unit TeeEditPro

Contains TChartImage class and helper methods.

Description
Contains TChartImage class and helper methods.

Classes
TChartImage

Procedures
EditOneSeries
SaveChartDialog


TeeEmfOptions

Unit TeeEmfOptions

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TEMFExportFormat


TeeEnglish

Unit TeeEnglish

Variables
NewLine


TeeExcelSource

Unit TeeExcelSource

Description
Contains TTeeExcelSource class and its corresponding editor dialog.
TTeeExcelSource component can be used to link Series to Microsoft Excel spreadsheets.

Classes
TTeeExcelSource


TeeExpForm

Unit TeeExpForm

Contains TeeChart Wizard form and TeeSelectFolder helper procedure.

Description
Contains TeeChart Wizard form and TeeSelectFolder helper procedure.

Classes
TTeeDlgWizard

Procedures
TeeSelectFolder


TeeExportFormats

TeeExportFormats variable

Var TeeExportFormats;

Unit
TeeExport

Description
The TeeExportFormats global variable (of type TTeeExportFormats) contains all registered exporting formats.

To register an Exporting format, use the RegisterTeeExportFormat procedure.

This methods should be used only by component developers.

The exporting formats are used by the Chart Export dialog to show the available exporting types.


TeeExtraLegendTool

Unit TeeExtraLegendTool

Contains a Chart tool (TExtraLegendTool)

Description
This unit contains a Chart tool: TExtraLegendTool.

Classes
TExtraLegendTool


TeeFaderTool

Unit TeeFaderTool

Description
Contains TFaderTool class, used to create a graphical animation on charts that visually appear or disappear.

Classes
TFaderTool

Types
TFaderStyle


TeeFarsi

Unit TeeFarsi

TeeChart texts and constants in Farsi language.

Procedures
TeeCreateFarsi2
TeeSetFarsi

Variables
NewLine
TeeFarsiLanguage


TeeFarsiLanguage

TeeFarsiLanguage variable

Var TeeFarsiLanguage;

Unit
TeeFarsi

Description
StringList containing all texts and constants in Farsi language.


TeeFibonacci

Unit TeeFibonacci

Description
Contains TFibonacciTool and related classes.

Classes
TFibonacciItem
TFibonacciLevels
TFibonacciTool

Types
TFibonacciStyle


TeeFilters

Unit TeeFilters

Description
Contains several classes that are used to manipulate bitmaps, for example to convert bitmap pixel colors to gray scale colors, use the TGrayScaleFilter.

Classes
TAmountFilter
TBevelFilter
TBrightnessFilter
TColorFilter
TContrastFilter
TCropFilter
TEmbossFilter
TFlipFilter
TGammaCorrectionFilter
TGrayScaleFilter
THueLumSatFilter
TImageFiltered
TInvertFilter
TMirrorFilter
TMosaicFilter
TResizeFilter
TReverseFilter
TRotateFilter
TSharpenFilter
TSoftenFilter
TTileFilter
TZoomFilter

Procedures
ColorToHLS
HLSToColor
HLSToRGB
RGBToHLS
TeeGrayScale
TeeRegisterFilters
TeeUnRegisterFilters

Types
TGrayMethod
TMirrorDirection

Variables
FilterClasses


FilterClasses

FilterClasses variable

Var FilterClasses;

Unit
TeeFilters

Description
Global variable that holds the list of installed filters.

Filter classes (derived from TTeeFilter) are installed and uninstalled by calling the TeeRegisterFilters and TeeUnRegisterFilters global procedures.


TeeFiltersEditor

Unit TeeFiltersEditor

Description
Contains the editor dialog for TTeePicture class Filters property.

Classes
TFormCreator
TFormItem
TFormItems

Procedures
ShowFiltersEditor


TeeFinnish

Unit TeeFinnish

Description
Texts in Finnish language.

Procedures
TeeSetFinnish

Variables
NewLine


TeeFlexCanvas

Unit TeeFlexCanvas

Description
Contains TFlexCanvas export format and its editor dialog.
This canvas class generates an Adobe Flex representation of the chart, and optionally compiles it.

Classes
TFlexCanvas
TFlexExportFormat

Procedures
TeeSaveToFlexFile


TeeFormatting

Unit TeeFormatting

Description
This unit contains a form used by TeeChart editor dialogs to edit formatting strings, to display axis labels, series marks, legend items, etc.

To easily ask the user for a formatting strings you can use this class method:

var s : String;
s:='#.##';
s:=TFormatEditor.Change(Self, s, False );

The last parameters determines if the editor dialog will accept date-time formatting strings.

Classes
TFormatEditor


TeeFrameTool

Unit TeeFrameTool

Contains a chart tool (TFrameTool) to draw nice frames around chart bounds.

Description
Contains a chart tool (TFrameTool) to draw nice frames around chart bounds.

Classes
TFrameTool


TeeFrench

Unit TeeFrench

TeeChart texts and constants in French language.

Procedures
TeeCreateFrench2
TeeSetFrench

Variables
NewLine
TeeFrenchLanguage


TeeFrenchLanguage

TeeFrenchLanguage variable

Var TeeFrenchLanguage;

Unit
TeeFrench

Description
StringList containing all texts and constants in French language.


TeeFuncEdit

Unit TeeFuncEdit

Procedures
FillSeriesSources


TeeFunci

Unit TeeFunci

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TAddTeeFunction
TAverageTeeFunction
TCustomSortedFunction
TCustomTeeFunction
TDivideTeeFunction
THighTeeFunction
TLowTeeFunction
TManySeriesTeeFunction
TMedianTeeFunction
TModeTeeFunction
TMultiplyTeeFunction
TSubtractTeeFunction

Types
TCalculateEvent


TeeFunnel

Unit TeeFunnel

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TFunnelSeries


TeeGalician

Unit TeeGalician

Contains all strings and text constants translated to Galician language.

Description
Contains all strings and text constants translated to Galician language.

Procedures
TeeSetGalician

Variables
NewLine
TeeGalicianLanguage


TeeGalicianLanguage

TeeGalicianLanguage variable

Var TeeGalicianLanguage;

Unit
TeeGalician

Description
The stringlist containing all strings translated to Galician language.

This stringlist is filled when calling TeeSetGalician global procedure.


TeeGalleryAlternate

Unit TeeGalleryAlternate

Contains form that display a Chart Gallery in a different way than the normal gallery form located at TeeGally unit.

Description
The TTeeGalleryForm class displays a chart gallery that shows chart styles and sub-styles.

Classes
TTeeGalleryForm


TeeGalleryPanel

Unit TeeGalleryPanel

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartGalleryPanel
TChartList
TGalleryChart

Variables
clTeeGallery
TeeGalleryCheckMaximize


clTeeGallery

clTeeGallery variable

Var clTeeGallery;

Unit
TeeGalleryPanel

Description
This TColor variable is used by the TeeChart Gallery to alter the end color of chart gradients when the user selects (focuses) a chart in the gallery.


TeeGalleryCheckMaximize

TeeGalleryCheckMaximize variable

Var TeeGalleryCheckMaximize;

Unit
TeeGalleryPanel

Description
Default : True

When the user maximizes the TeeChart gallery, and this global variable is True, the gallery will automatically show the gallery charts axes to improve visual display.


TeeGally

Unit TeeGally

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Procedures
ChangeAllSeriesGallery
ChangeSeriesTypeGallery
CreateNewSeriesGallery
GetChartGalleryFunction


TeeGanttTool

Unit TeeGanttTool

Contains chart tool TGanttTool.

Description
Contains chart tool TGanttTool.

Classes
TGanttTool

Types
TGanttDragEvent
TGanttResizeEvent
TGanttToolBarPart


TeeGauges

Unit TeeGauges

Contains instrumentation and gauge controls.

Description
This unit includes Gauge series (instrumentation controls).

See TGaugeSeries class.

Classes
TGaugeSeries

Types
THandStyle


TeeGDIPlus

Unit TeeGDIPlus

Contains TGDIPlusCanvas class to draw charts using Microsoft GDI+ "Plus" api.

Description
Contains TGDIPlusCanvas class to draw charts using Microsoft GDI+ "Plus" api.

Classes
TGDIPlusCanvas
TTeeGDIPlus

Types
TGDIPlusFontQuality


TeeGDIPlusEditor

Unit TeeGDIPlusEditor

Classes
TGDIPlusEditor


TeeGeometry

Unit TeeGeometry

Procedures
ConvertRotation
CreateRotationMatrix
CreateRotationMatrixX
CreateRotationMatrixY
CreateRotationMatrixZ
CreateScaleMatrix
CreateTranslationMatrix
MatrixAdjoint
MatrixAffineDeterminant
MatrixAffineTranspose
MatrixDecompose
MatrixDeterminant
MatrixInvert
MatrixMultiply
MatrixScale
MatrixTranspose
PointInPolygon
QuaternionConjugate
QuaternionFromPoints
QuaternionMultiply
QuaternionSlerp
QuaternionToMatrix
QuaternionToPoints
VectorAffineDotProduct
VectorAffineTransform
VectorAngle
VectorDotProduct
VectorLength
VectorNegate
VectorNorm
VectorNormalize
VectorScale
VectorTransform

Types
TQuaternion
TRectangle
TTransType

Variables
Angle
Axis
Vector


Angle

Angle variable

Var Angle;

Unit
TeeGeometry


Axis

Axis variable

Var Axis;

Unit
TeeGeometry


Vector

Vector variable

Var Vector;

Unit
TeeGeometry


TeeGerman

Unit TeeGerman

TeeChart texts and constants in German language.

Procedures
TeeCreateGerman2
TeeSetGerman

Variables
NewLine
TeeGermanLanguage


TeeGermanLanguage

TeeGermanLanguage variable

Var TeeGermanLanguage;

Unit
TeeGerman

Description
StringList containing all texts and constants in German language.


TeeGIF

Unit TeeGIF

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TGIFExportFormat


TeeGLCanvas

Unit TeeGLCanvas

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TAlphaBitmap
TGLCanvas

Procedures
ColorToGL

Types
TGLGetPicBits
TTeeTexture

Variables
Extrusion
GLStyle
GLTexture
Graphic
Offset
Size
TeeColorPlanes
TeeCylinderStacks
TeeLightLocal
TeeMaterialAmbient
TeeMaterialDiffuse
TeeMaterialSpecular
TeeOpenGLFontName
TeePerspectiveQuality
TeeSmoothQuality
TeeSphereSlices
TeeSphereStacks
TeeSpotExponent
TeeTextHeightFactor
TeeTextureEnvMode
TeeTextWidthFactor
TeeWrapTextures


Extrusion

Extrusion variable

Var Extrusion;

Unit
TeeGLCanvas


GLStyle

GLStyle variable

Var GLStyle;

Unit
TeeGLCanvas


GLTexture

GLTexture variable

Var GLTexture;

Unit
TeeGLCanvas


Graphic

Graphic variable

Var Graphic;

Unit
TeeGLCanvas


TeeColorPlanes

TeeColorPlanes variable

Var TeeColorPlanes;

Unit
TeeGLCanvas

Description
GLEnum default value = GL_FRONT_AND_BACK

Determines how OpenGL lighting parameters are considered when filling polygons.


TeeCylinderStacks

TeeCylinderStacks variable

Var TeeCylinderStacks;

Unit
TeeGLCanvas

Description
Number of default "stacks" or slices used to draw cylinders.


TeeLightLocal

TeeLightLocal variable

Var TeeLightLocal;

Unit
TeeGLCanvas

Description
GLEnum default value = GL_FALSE

Determines if OpenGL lights will be positioned according to local viewer coordinates.


TeeMaterialAmbient

TeeMaterialAmbient variable

Var TeeMaterialAmbient;

Unit
TeeGLCanvas

Description
Double. Default value = 1

Defines value from 0 to 1 that corresponds to default "material" ambient light.


TeeMaterialDiffuse

TeeMaterialDiffuse variable

Var TeeMaterialDiffuse;

Unit
TeeGLCanvas

Description
Double. Default value = 1

Defines value from 0 to 1 that corresponds to default "material" diffuse light.


TeeMaterialSpecular

TeeMaterialSpecular variable

Var TeeMaterialSpecular;

Unit
TeeGLCanvas

Description
Double. Default value = 1

Defines value from 0 to 1 that corresponds to default "material" specular light.


TeeOpenGLFontName

TeeOpenGLFontName variable

Var TeeOpenGLFontName;

Unit
TeeGLCanvas

Description
PChar default value = "Microsoft Sans Serif"

Defines the font style to use to create the internal OpenGL display list used to output text.


TeePerspectiveQuality

TeePerspectiveQuality variable

Var TeePerspectiveQuality;

Unit
TeeGLCanvas

Description
GLEnum default value = GL_NICEST

Defines the OpenGL setting to calculate 3D perspective.


TeeSmoothQuality

TeeSmoothQuality variable

Var TeeSmoothQuality;

Unit
TeeGLCanvas

Description
GLEnum default value = GL_FASTEST

Determines how OpenGL will apply pixel smoothing.

See also TeeSmooth global variable.


TeeSphereSlices

TeeSphereSlices variable

Var TeeSphereSlices;

Unit
TeeGLCanvas

Description
The amount of slices to draw a sphere.
Default: 16


TeeSphereStacks

TeeSphereStacks variable

Var TeeSphereStacks;

Unit
TeeGLCanvas

Description
The amount of vertical "stacks" to draw a sphere.
Default: 16


TeeSpotExponent

TeeSpotExponent variable

Var TeeSpotExponent;

Unit
TeeGLCanvas


TeeTextHeightFactor

TeeTextHeightFactor variable

Var TeeTextHeightFactor;

Unit
TeeGLCanvas

Description
Default value is: 1.75

Determines the amount of vertical scaling to apply to font sizes before drawing text on an OpenGL canvas.


TeeTextureEnvMode

TeeTextureEnvMode variable

Var TeeTextureEnvMode;

Unit
TeeGLCanvas


TeeTextWidthFactor

TeeTextWidthFactor variable

Var TeeTextWidthFactor;

Unit
TeeGLCanvas

Description
Default value is: 1.57

Determines the amount of horizontal scaling to apply to font sizes before drawing text on an OpenGL canvas.
This is needed to obtain font sizes as similar as possible as when the chart is displayed without OpenGL (GDI mode).


TeeWrapTextures

TeeWrapTextures variable

Var TeeWrapTextures;

Unit
TeeGLCanvas

Description
OpenGL default style when displaying textured polygons.


TeeGLEditor

Unit TeeGLEditor

Description
Add TeeGLEditor to the uses list of your form to activate the TeeChart OpenGL Editor options in the Chart Editor at runtime.

Procedures
EditTeeOpenGL

Variables
Tilt


Tilt

Tilt variable

Var Tilt;

Unit
TeeGLEditor


TeeHebrew

Unit TeeHebrew

TeeChart texts and constants in Hebrew language.

Procedures
TeeSetHebrew

Variables
NewLine
TeeHebrewLanguage


TeeHebrewLanguage

TeeHebrewLanguage variable

Var TeeHebrewLanguage;

Unit
TeeHebrew

Description
StringList containing all texts and constants in Hebrew language.


TeeHellenic

Unit TeeHellenic

TeeChart texts and constants in Hellenic (Greek) language.

Procedures
TeeCreateHellenic2
TeeSetHellenic

Variables
NewLine
TeeHellenicLanguage


TeeHellenicLanguage

TeeHellenicLanguage variable

Var TeeHellenicLanguage;

Unit
TeeHellenic

Description
StringList containing all texts and constants in Hellenic language.


TeeHighLowLine

Unit TeeHighLowLine

Description
Contains THighLowLineSeries, a series that displays vertical lines from a Low value to a High value.

Classes
THighLowLineSeries


TeeHindi

Unit TeeHindi

TeeChart texts and constants in Hindi language.

Procedures
TeeCreateHindi2
TeeSetHindi

Variables
NewLine
TeeHindiLanguage


TeeHindiLanguage

TeeHindiLanguage variable

Var TeeHindiLanguage;

Unit
TeeHindi

Description
StringList containing all texts and constants in Hindi language.


TeeHistogram

Unit TeeHistogram

Description
Contains THistogramFunction, used to group common ranges of values of a source series.

Classes
THistogramFunction

Procedures
Histogram

Types
TDataStyle


TeeHtml

Unit TeeHtml

Description

Contains methods used to display text containing basic HTML formatting tags like <font>.

Procedures
HtmlMultiLineTextHeight
HtmlTextExtent
HtmlTextOut

Types
TSize


TeeHungarian

Unit TeeHungarian

TeeChart texts and constants in Hungarian language.

Procedures
TeeSetHungarian

Variables
NewLine
TeeHungarianLanguage


TeeHungarianLanguage

TeeHungarianLanguage variable

Var TeeHungarianLanguage;

Unit
TeeHungarian

Description
StringList containing all texts and constants in Hungarian language.


TeeIcelandic

Unit TeeIcelandic

TeeChart texts and constants in Icelandic language.

Procedures
TeeSetIcelandic

Variables
NewLine
TeeIcelandicLanguage


TeeIcelandicLanguage

TeeIcelandicLanguage variable

Var TeeIcelandicLanguage;

Unit
TeeIcelandic

Description
StringList containing all texts and constants in Icelandic language.


TeeIndonesian

Unit TeeIndonesian

Description
Texts in Indonesian language.

Procedures
TeeCreateIndonesian2
TeeSetIndonesian

Variables
NewLine


TeeInspector

Unit TeeInspector

Contains TeeInspector component.

Description
Contains TeeInspector component and related classes.

Classes
TInspectorHeader
TInspectorItem
TInspectorItems
TTeeInspector

Types
TGetInspectorItems
TGetItemIndex
TGetItemProc
TInspectorItemStyle
TSetItemIndex


TeeItalian

Unit TeeItalian

TeeChart texts and constants in Italian language.

Procedures
TeeCreateItalian2
TeeSetItalian

Variables
NewLine
TeeItalianLanguage


TeeItalianLanguage

TeeItalianLanguage variable

Var TeeItalianLanguage;

Unit
TeeItalian

Description
StringList containing all texts and constants in Italian language.


TeeJapanese

Unit TeeJapanese

Description
Texts in Japanese language.

Procedures
TeeCreateJapanese2
TeeSetJapanese

Variables
NewLine


TeeJPEG

Unit TeeJPEG

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TJPEGExportFormat

Procedures
TeeGetJPEGImageParams
TeeSaveToJPEG
TeeSaveToJPEGFile


TeeKagiSeries

Unit TeeKagiSeries

Contains TKagiSeries (Kagi Financial charts style) and its associated editor dialog.

Description
Contains TKagiSeries (Kagi Financial charts style) and its associated editor dialog.

Copyright (c) 2007 by Marjan Slatinek

Classes
TKagiSeries


TeeKnobGauge

Unit TeeKnobGauge

Classes
TKnobGauge
TKnobGaugeEditor


TeeKorean

Unit TeeKorean

Description
Texts in Korean language.

Procedures
TeeCreateKorean2
TeeSetKorean

Variables
NewLine


TeeLatvian

Unit TeeLatvian

Description
Texts in Latvian language.

Procedures
TeeSetLatvian

Variables
NewLine


TeeLegendPalette

Unit TeeLegendPalette

Description
Contains TLegendPaletteTool and its associated editor.

TLegendPaletteTool is used to display a color legend that matches palette properties of a Surface or Contour or any other 3D Palette series.

Classes
TLegendPaletteTool

Types
TLegendPaletteAxis


TeeLegendScrollBar

Unit TeeLegendScrollBar

Contains a specialized scrollbar object displayed at Chart Legend to scroll legend items.

Classes
TLegendScrollBar
TScrollBarThumb
TTeeScrollBar

Types
TScrollThumbStyle
TSetPositionEvent
TTeeScrollBarDrawStyle


TeeLighting

Unit TeeLighting

Contains a Chart Tool that displays a 2 dimensional "light" effect over the chart Canvas.

Classes
TLightFilter
TLightTool

Types
TLightDrawStyle
TLightStyle


TeeLinearGauge

Unit TeeLinearGauge

Description
Contains TLinearGauge series style and its associated classes.

Classes
TCustomGaugeMinMax
TGaugePointerRange
TGaugeSeriesPointer
TLinearGauge

Types
TGaugePointerStyles


TeeLinkTool

Unit TeeLinkTool

Description
Contains TLinkTool class.

Classes
TLinkTool


TeeLisB

Unit TeeLisB

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartListBox

Types
TChangeOrderEvent
TDblClickSeriesEvent
TNotifySeriesEvent


TeeLithuanian

Unit TeeLithuanian

Description
Texts in Lithuanian language.

Procedures
TeeSetLithuanian

Variables
NewLine


TeeMagnifyTool

Unit TeeMagnifyTool

Description
Contains TMagnifyTool and its associated editor dialog.
TMagnifyTool is used to display zoomed portions of a chart, and move the zoomed portions using the mouse.

Classes
TMagnifyTool


TeeMalaysian

Unit TeeMalaysian

Description
Texts in Malaysian language.

Procedures
TeeSetMalaysian

Variables
NewLine


TeeMapSeries

Unit TeeMapSeries

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TMapSeries
TPolygonSeries
TTeePolygon
TTeePolygonList


TeeMexican

Unit TeeMexican

Variables
NewLine
TeeMexicanLanguage


TeeMexicanLanguage

TeeMexicanLanguage variable

Var TeeMexicanLanguage;

Unit
TeeMexican

Description
Variable TStringList holding all strings in Mexican language.


TeeMouseCursor

Unit TeeMouseCursor

Procedures
TeeCursorToIdent
TeeFillCursors
TeeIdentToCursor
TeePreviewCursor
TeeSetCursor


TeeNavigator

Unit TeeNavigator

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCustomTeeNavigator
TTeeNavButton

Types
TNotifyButtonClickedEvent
TTeeNavigateBtn


TeEngine

Unit TeEngine

TeEngine is the main core unit in TeeChart library. (The "kernel").
Defines the base classes for Series, Axes and other subcomponents used by Chart control.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
AxisException
ChartException
TAxisGridPen
TAxisItem
TAxisItems
TCallout
TChartAnimations
TChartArrowPen
TChartAxes
TChartAxis
TChartAxisPen
TChartAxisTitle
TChartChangePage
TChartCustomAxes
TChartDepthAxis
TChartPage
TChartSeries
TChartSeriesList
TChartTools
TChartValueList
TChartValueLists
TCustomAxisPanel
TCustomChartElement
TCustomChartSeries
TCustomSeriesList
TDataSourcesList
TLabelsList
TMargins
TMarksCallout
TMarksItem
TMarksItems
TSeriesGroup
TSeriesGroups
TSeriesMarkPosition
TSeriesMarks
TSeriesMarksPositions
TSeriesMarksSymbol
TSeriesPointer
TTeeCustomAnimation
TTeeCustomTool
TTeeCustomToolAxis
TTeeCustomToolSeries
TTeeFunction
TTeeMovingFunction
TTeeSeriesSource
TTeeSeriesType
TVisualsList

Procedures
FillSeriesItems
HasColors
HasLabels
HasNoMandatoryValues
SeriesGuessContents
SeriesNameOrIndex
SeriesTitleOrName
ShowMessageUser
TeeDrawBitmapEditor
TeeSources

Types
TAnimationTrigger
TArrowHeadStyle
TAxisCalcPos
TAxisCalcPosLabels
TAxisCalcPosPoint
TAxisDrawGrids
TAxisDrawLabelEvent
TAxisLabelAlign
TAxisLabelStyle
TAxisOnGetLabel
TAxisOnGetNextLabel
TChartAxisLabelValue
TChartClickedPart
TChartClickedPartStyle
TChartDragDropEvent
TChartKeyEvent
TChartListOrder
TChartMouseEvent
TChartSeriesEvent
TChartSeriesStyle
TChartToolEvent
TeeFormatFlags
TFunctionPeriodAlign
TFunctionPeriodStyle
THorizAxis
TLegendTextStyle
TMarginUnits
TPenLineMode
TSeriesClick
TSeriesDrawValue
TSeriesGroupActive
TSeriesMarksStyle
TSeriesNotifyEvent
TSeriesOnAfterAdd
TSeriesOnBeforeAdd
TSeriesOnClear
TSeriesOnGetMarkText
TSeriesPointerStyle
TSeriesRandomBounds
TSeriesRecalcOptions
TSourceLoadMode
TValidDataSourceEvent
TValueEvent
TVertAxis
TWheelMouseEvent

Variables
clTeeGallery1
clTeeGallery2
TeeAxisClickGap
TeeCheckMarkArrowColor
TeeDefaultCapacity
TeeRandomAtRunTime


clTeeGallery1

clTeeGallery1 variable

Var clTeeGallery1;

Unit
TeEngine

Description
Defines the first color used by the Chart Gallery to display a gradient on the selected chart.


clTeeGallery2

clTeeGallery2 variable

Var clTeeGallery2;

Unit
TeEngine

Description
Defines the second color used by the Chart Gallery to display a gradient on the selected chart.


TeeAxisClickGap

TeeAxisClickGap variable

Var TeeAxisClickGap;

Unit
TeEngine

Description
Determines the amount in pixels that is allowed when clicking near an Axis to trigger selection of the axis.
The Chart CalcClickedPart method uses this variable to detect mouse clicks around axes.


TeeCheckMarkArrowColor

TeeCheckMarkArrowColor variable

Var TeeCheckMarkArrowColor;

Unit
TeEngine

Description
Set this variable to True to display the lines connecting Series Marks to Series points in a different color than the Series point (to avoid the connecting line to disappear when the mark arrow color is the same as the series point color).


TeeDefaultCapacity

TeeDefaultCapacity variable

Var TeeDefaultCapacity;

Unit
TeEngine

Description
This variable determines the number of points that the Series will preallocate when adding points.

This number is used to resize the internal arrays.

The concept is similar to TList "Capacity" property, but used with arrays and the SetLength method.

Setting a high value (for example one million), will pre-allocate memory space for one million points, so,
when adding lots of points, there will not be time spent allocating memory until one million points have been added.


TeeRandomAtRunTime

TeeRandomAtRunTime variable

Var TeeRandomAtRunTime;

Unit
TeEngine

Description
Set this property to True if you wish to fill Series with random values at run-time.
By default is False, meaning random values are only added to series at design-time to show the developer an example on how will the series look at runtime.


TeeNorwegian

Unit TeeNorwegian

Description
Texts in Norwegian language.

Procedures
TeeCreateNorwegian2
TeeSetNorwegian

Variables
NewLine


TeeNumericGauge

Unit TeeNumericGauge

Description
Contains TNumericGauge series style and its associated classes.

Classes
TCustomGauge
TNumericGauge
TNumericMarker
TNumericMarkers
TNumericShape

Types
TDigitalFont


TeeObjectInspector

Unit TeeObjectInspector

Classes
TObjectInspector

Types
TInspectorChange
TInspectorFilter


TeeOBVFunction

Unit TeeOBVFunction

Contains financial function On Balance Volume

Description
Contains financial function On Balance Volume.

Classes
TOBVFunction


TeeOpenGL

Unit TeeOpenGL

Contains TTeeOpenGL component to automatically display charts using TGLCanvas (using 3D OpenGL rendering system)

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Contains TTeeOpenGL component to automatically display charts using TGLCanvas (using 3D OpenGL rendering system)

Classes
TGLLight
TGLLightSource
TGLPosition
TTeeOpenGL


TeeOrgSeries

Unit TeeOrgSeries

Description
Contains TOrgSeries and its associated subclasses and editor dialog.
TOrgSeries is used to display hierarchical structures like Organizational charts.

Classes
TCustomOrgSeries
TOrgItem
TOrgItemCollection
TOrgSeries
TOrgShape
TSpacing

Types
TOrgLineStyle


TeePageNumTool

Unit TeePageNumTool

Description
The TeePageNumTool unit includes a Chart Tool that is used to display an annotation showing the current page and number of pages when the Chart "MaxPointsPerPage" property is used.

This tool can be used when printing a Chart splitted into several pages, to show the current page number.

Classes
TPageNumTool


TeePCX

Unit TeePCX

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TPCXExportFormat
TPCXOptions


TeePDFCanvas

Unit TeePDFCanvas

Contains export format class and canvas to output PDF (Portable Document Format) charts.

Description
Contains export format class and canvas to output PDF (Portable Document Format) charts.

Classes
TPDFCanvas
TPDFChartObject
TPDFExportFormat
TTeePDFFontList
TTeePDFFontListEntry
TTeePDFImageList
TTeePDFImageListEntry
TTeePDFPage

Procedures
TeeSaveToPDFFile

Types
TFontData
TImageType


TeePenDlg

Unit TeePenDlg

Contains editor dialog for TChartPen objects and several helper procedures.

Description
Contains editor dialog for TChartPen objects and several helper procedures.

Classes
TButtonPen

Procedures
AddFormTo
EditChartPen
PositionToCenter
ShowControls
TeeSavePictureDialog
TeeScaleForm
TeeYesNo
TeeYesNoDelete


TeePieTool

Unit TeePieTool

Contains a chart tool TPieTool to focus pie slices.

Description
Contains a chart tool TPieTool to focus pie slices.

Classes
TPieTool

Types
TPieToolStyle


TeePNG

Unit TeePNG

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TPNGExportFormat

Procedures
TeeSaveToPNG

Types
TPicData


TeePoEdi

Unit TeePoEdi

Contains editor dialog for TSeriesPointer objects.

Description
Contains editor dialog for TSeriesPointer objects.

Procedures
EditSeriesPointer


TeePoin3

Unit TeePoin3

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TBubble3DSeries
TPoint3DSeries

Types
TSeriesClickPointer3DEvent


TeePointFigure

Unit TeePointFigure

Contains TPointFigureSeries. Financial series.

Description
Contains TPointFigureSeries. Financial series.

Classes
TPointFigureSeries


TeePolar

Unit TeePolar

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TCustomPolarSeries
TPolarBarSeries
TPolarSeries
TRadarSeries

Types
TOnGetPolarLabel


TeePolarGrid

Unit TeePolarGrid

Description
Contains TPolarGridSeries and its associated editor dialog.

Classes
TPolarGridSeries


TeePolish

Unit TeePolish

TeeChart texts and constants in Polish language.

Procedures
TeeCreatePolish2
TeeSetPolish

Variables
NewLine
TeePolishLanguage


TeePolishLanguage

TeePolishLanguage variable

Var TeePolishLanguage;

Unit
TeePolish

Description
StringList containing all texts and constants in Polish language.


TeePoly

Unit TeePoly

Description
The TeePoly unit introduces several methods used for calculating/manipulating fitted polynomials. The CurvFitt unit uses these methods to fit a n-th degreee polynomial to range of points. When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Procedures
CalcFitting
GetVectorValue
PolyFitting
SetVectorValue


TeePortuguese

Unit TeePortuguese

TeeChart texts and constants in Portuguese language.

Procedures
TeeSetPortuguese

Variables
NewLine
TeePortugueseLanguage


TeePortugueseLanguage

TeePortugueseLanguage variable

Var TeePortugueseLanguage;

Unit
TeePortuguese

Description
StringList containing all texts and constants in Portuguese language.


TeePrevi

Unit TeePrevi

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Procedures
TeePreview


TeePreviewPanel

Unit TeePreviewPanel

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TPreviewChartPen
TTeePanelsList
TTeePreviewPanel

Types
TOnChangeMarginsEvent
TOnGetPaperRect
TTeePreviewPanelOrientation


TeeProCo

Unit TeeProCo

The TeeProCo unit contains text string constants used by the TeeChart "Pro" series and components.

Description
The TeeProCo unit contains text string constants used by the TeeChart "Pro" series and components.

This strings are in English language.

See other language units ( TeeSpanish, TeeGerman, TeeChinese, etc ) for more information.

Variables
TeeMsg_AVIFile
TeeMsg_AxisBreaksTool
TeeMsg_CustomLegendTool
TeeMsg_CustomLegendToolDesc
TeeMsg_FunctionAC
TeeMsg_FunctionAlligator
TeeMsg_FunctionAO
TeeMsg_FunctionATR
TeeMsg_FunctionGator
TeeMsg_FunctionKurtosis
TeeMsg_FunctionMoneyFlow
TeeMsg_FunctionPercentage
TeeMsg_FunctionRVI
TeeMsg_FunctionSkewness
TeeMsg_FunctionSlope
TeeMsg_FunctionSMMA
TeeMsg_GalleryRose
TeeMsg_GalleryTreeMapSeries
TeeMsg_KnobGauge
TeeMsg_MPEGFile
TeeMsg_SelectAVIFile
TeeMsg_Statistics
TeeMsg_ToolArrow
TeeMsg_ToolArrowDesc


TeeMsg_AVIFile

TeeMsg_AVIFile variable

Var TeeMsg_AVIFile;

Unit
TeeProCo


TeeMsg_AxisBreaksTool

TeeMsg_AxisBreaksTool variable

Var TeeMsg_AxisBreaksTool;

Unit
TeeProCo


TeeMsg_CustomLegendTool

TeeMsg_CustomLegendTool variable

Var TeeMsg_CustomLegendTool;

Unit
TeeProCo


TeeMsg_CustomLegendToolDesc

TeeMsg_CustomLegendToolDesc variable

Var TeeMsg_CustomLegendToolDesc;

Unit
TeeProCo


TeeMsg_FunctionAC

TeeMsg_FunctionAC variable

Var TeeMsg_FunctionAC;

Unit
TeeProCo


TeeMsg_FunctionAlligator

TeeMsg_FunctionAlligator variable

Var TeeMsg_FunctionAlligator;

Unit
TeeProCo


TeeMsg_FunctionAO

TeeMsg_FunctionAO variable

Var TeeMsg_FunctionAO;

Unit
TeeProCo


TeeMsg_FunctionATR

TeeMsg_FunctionATR variable

Var TeeMsg_FunctionATR;

Unit
TeeProCo


TeeMsg_FunctionGator

TeeMsg_FunctionGator variable

Var TeeMsg_FunctionGator;

Unit
TeeProCo


TeeMsg_FunctionKurtosis

TeeMsg_FunctionKurtosis variable

Var TeeMsg_FunctionKurtosis;

Unit
TeeProCo


TeeMsg_FunctionMoneyFlow

TeeMsg_FunctionMoneyFlow variable

Var TeeMsg_FunctionMoneyFlow;

Unit
TeeProCo


TeeMsg_FunctionPercentage

TeeMsg_FunctionPercentage variable

Var TeeMsg_FunctionPercentage;

Unit
TeeProCo


TeeMsg_FunctionRVI

TeeMsg_FunctionRVI variable

Var TeeMsg_FunctionRVI;

Unit
TeeProCo


TeeMsg_FunctionSkewness

TeeMsg_FunctionSkewness variable

Var TeeMsg_FunctionSkewness;

Unit
TeeProCo


TeeMsg_FunctionSlope

TeeMsg_FunctionSlope variable

Var TeeMsg_FunctionSlope;

Unit
TeeProCo


TeeMsg_FunctionSMMA

TeeMsg_FunctionSMMA variable

Var TeeMsg_FunctionSMMA;

Unit
TeeProCo


TeeMsg_GalleryRose

TeeMsg_GalleryRose variable

Var TeeMsg_GalleryRose;

Unit
TeeProCo


TeeMsg_GalleryTreeMapSeries

TeeMsg_GalleryTreeMapSeries variable

Var TeeMsg_GalleryTreeMapSeries;

Unit
TeeProCo


TeeMsg_KnobGauge

TeeMsg_KnobGauge variable

Var TeeMsg_KnobGauge;

Unit
TeeProCo


TeeMsg_MPEGFile

TeeMsg_MPEGFile variable

Var TeeMsg_MPEGFile;

Unit
TeeProCo


TeeMsg_SelectAVIFile

TeeMsg_SelectAVIFile variable

Var TeeMsg_SelectAVIFile;

Unit
TeeProCo


TeeMsg_Statistics

TeeMsg_Statistics variable

Var TeeMsg_Statistics;

Unit
TeeProCo


TeeMsg_ToolArrow

TeeMsg_ToolArrow variable

Var TeeMsg_ToolArrow;

Unit
TeeProCo


TeeMsg_ToolArrowDesc

TeeMsg_ToolArrowDesc variable

Var TeeMsg_ToolArrowDesc;

Unit
TeeProCo


TeeProcs

Unit TeeProcs

Contains extended Panel controls and related classes used by TeeChart and TeeTree.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Contains extended Panel controls and related classes used by TeeChart and TeeTree.

Classes
TBackImage
TChartGradient
TCustomPanelNoCaption
TCustomTeePanel
TCustomTeePanelExtended
TMouseLeaveEvent
TTeeCustomShape
TTeeCustomShapeBrushPen
TTeeDebugPaint
TTeeDrawEvent
TTeeEvent
TTeeExportData
TTeeMouseEvent
TTeePanning
TTeeShape
TTeeZoom
TTeeZoomBrush
TTeeZoomPen
TTranslatable
TZoomPanning
TZoomSnapshot
TZoomSnapshots

Interfaces
ITeeEventListener

Procedures
ConvertTextToXML
CrossingLines
DateTimeDefaultFormat
DaysInMonth
DrawBevel
EnableControls
GetDefaultColor
PointInEllipse
PointInHorizTriangle
PointInLine
PointInLineTolerance
PointInPolygon
PointInTriangle
RectToFourPoints
ReplaceChar
ScreenRatio
SetDefaultColorPalette
TeeAntiAlias
TeeDateTimeIncrement
TeeDefaultXMLEncoding
TeeDrawCheckBox
TeeGetBitmapEditor
TeeGetUniqueName
TeeGotoURL
TeeReadBoolOption
TeeReadIntegerOption
TeeReadStringOption
TeeSaveBoolOption
TeeSaveIntegerOption
TeeSaveStringOption
TeeSort
TeeStr
TeeTranslateControl
TeeTranslateString
TeeXMLHeader

Types
TChartObjectShapeStyle
TColorEvent
TDateTimeStep
TDebugPaintStyle
TPanMouseWheel
TPanningMode
TTeeBackImageMode
TTeeMouseEventKind
TTeePrintEvent
TTeeSortCompare
TTeeSortSwap
TTeeTranslateStringHook
TTeeUnits
TTeeZoomDirection
TTextFormat

Variables
ColorPalette
PrintTeePanel
TeeClipWhenMetafiling
TeeClipWhenPrinting
TeeEraseBack
TeeFieldsSeparator
TeeTranslateStringHook


PrintTeePanel

PrintTeePanel variable

Var PrintTeePanel;

Unit
TeeProcs

Description
Default: False

Sets whether the Panel background should be printed.


TeeClipWhenMetafiling

TeeClipWhenMetafiling variable

Var TeeClipWhenMetafiling;

Unit
TeeProcs

Description
This property forces clipping when creating metafile charts.


TeeClipWhenPrinting

TeeClipWhenPrinting variable

Var TeeClipWhenPrinting;

Unit
TeeProcs

Description
This property forces clipping when printing charts.


TeeEraseBack

TeeEraseBack variable

Var TeeEraseBack;

Unit
TeeProcs

Description
For internal use. Erase background before repainting panel.


TeeFieldsSeparator

TeeFieldsSeparator variable

Var TeeFieldsSeparator;

Unit
TeeProcs

Description
Defines the character used to split a string into "fields".

By default is the ";" character.

See the TeeExtractField and TeeNumFields global functions.


TeeTranslateStringHook

TeeTranslateStringHook variable

Var TeeTranslateStringHook;

Unit
TeeProcs


TeePSCanvas

Unit TeePSCanvas

Contains classes used to export TCharts to Encapsulated PostScript format (EPS).

Description
Contains classes used to export TCharts to Encapsulated PostScript format (EPS).

Classes
TEPSCanvas
TEPSExportFormat

Procedures
TeeSaveToPSFile


TeePVOFunction

Unit TeePVOFunction

Financial function Percentage Volume Oscillator

Description
Financial function Percentage Volume Oscillator

Classes
TPVOFunction


TeePyramid

Unit TeePyramid

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TPyramidSeries


TeeRenkoSeries

Unit TeeRenkoSeries

Contains TRenkoSeries (Renko financial charts style) and its associated editor dialog.

Description
Contains TRenkoSeries (Renko financial charts style) and its associated editor dialog.

Copyright (c) 2007 by Marjan Slatinek

Classes
TRenkoSeries


TeeRomanian

Unit TeeRomanian

Description
Texts in Romanian language.

Procedures
TeeSetRomanian

Variables
NewLine


TeeRose

Unit TeeRose

Contains Clock and WindRose series.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TClockSeries
TCustom2DPolarSeries
TRoseSeries
TWindRoseSeries

Types
TClockSeriesGetTimeEvent
TClockSeriesStyle
TMultiRose


TeeRussian

Unit TeeRussian

Contains all texts and constants in Russian language.

Procedures
TeeCreateRussian2
TeeSetRussian

Variables
NewLine
TeeRussianLanguage


TeeRussianLanguage

TeeRussianLanguage variable

Var TeeRussianLanguage;

Unit
TeeRussian

Description
StringList containing all texts and constants in Russian language.


TeeSAR

Unit TeeSAR

Description
Contains financial function TSARFunction and its corresponding editor dialog.

Classes
TSARFunction


TeeScroB

Unit TeeScroB

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartScrollBar

Types
TScrollBarAxis


TeeSelectorTool

Unit TeeSelectorTool

Description
Contains a TeeChart "Tool" to enable the end-user click and drag the different chart elements ( legend, titles, axis, series, etc ).

You can use the selection clicks and drags in the tool provided events to customize the behaviour you wish.

For example, the TeeChartOffice sample application uses this tool to select chart elements and show their properties using a TeeInspector component.

Several properties of TSelectorTool enable or disable features like resizing the Chart itself or drawing the small rectangle handles.

Classes
TSelectorTool


TeeSerbian

Unit TeeSerbian

Description
Texts in Serbian language.

Procedures
TeeSetSerbian

Variables
NewLine


TeeSeriesBandTool

Unit TeeSeriesBandTool

Description
Contains a tool to fill the area between two series, for example two line series.

Classes
TSeriesBandTool


TeeSeriesRegion

Unit TeeSeriesRegion

Description
Contains TSeriesRegionTool and its associated editor dialog.

Classes
TSeriesRegionTool


TeeSeriesStats

Unit TeeSeriesStats

Description
Contains TSeriesStatsTool and its corresponding editor dialog.

Classes
TSeriesStatsTool


TeeSeriesTextEd

Unit TeeSeriesTextEd

Contains TSeriesTextSource and related classes.

Description
Contains TSeriesTextSource and related classes, used to import text data to series.

Classes
TSeriesTextField
TSeriesTextFields
TSeriesTextSource

Types
TSeriesTextGetValue


TeeShadowEditor

Unit TeeShadowEditor

Description
Contains an editor dialog for TTeeShadow class properties.

Procedures
EditTeeShadow


TeeShape

Unit TeeShape

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartShape

Types
TChartShapeStyle
TChartShapeXYStyle
TTeeVertAlign


TeeSHP

Unit TeeSHP

Contains code to load and interpret ESRI "Shape files" (*.shp files)
For more information:
http://en.wikipedia.org/wiki/Shapefile

Description
Contains code to load and interpret ESRI "Shape files" (*.shp files)

For more information:
http://en.wikipedia.org/wiki/Shapefile

Procedures
LoadMap


TeeSlovak

Unit TeeSlovak

Description
Texts in Slovak language.

Procedures
TeeSetSlovak

Variables
NewLine


TeeSlovene

Unit TeeSlovene

Description
Texts in Slovene language.

Procedures
TeeSetSlovene

Variables
NewLine


TeeSmith

Unit TeeSmith

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Global variable:
TeeImagSymbol : default ='i';
Defines the imaginary symbol displayed with reactance values.

Classes
TSmithSeries


TeeSpanish

Unit TeeSpanish

TeeChart texts and constants in Spanish (Spain) language.

Procedures
TeeSetSpanish

Variables
NewLine
TeeSpanishLanguage


TeeSpanishLanguage

TeeSpanishLanguage variable

Var TeeSpanishLanguage;

Unit
TeeSpanish

Description
StringList containing all texts and constants in Spanish language.


TeeSpline

Unit TeeSpline

Contains classes related to smoothing of series using spline algorithm.

Description
Contains classes related to smoothing of series using spline algorithm.

Classes
TBSpline
TSmoothingFunction

Types
TVertex


TeeStore

Unit TeeStore

Contains classes to export chart data to several formats like HTML, XLS, XML, Text (CSV) and global methods to export a chart properties into native files and streams.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TSeriesData
TSeriesDataHTML
TSeriesDataText
TSeriesDataXLS
TSeriesDataXML

Procedures
ConvertTeeFileToBinary
ConvertTeeFileToText
LoadChartFromFile
LoadChartFromStream
SaveChartToFile
SaveChartToStream
SaveChartToXMLFile
SaveChartToXMLStream


TeeStringsEditor

Unit TeeStringsEditor

Contains a simple form to edit a TStringList (array of strings)

Description
Contains a simple form to edit a TStringList (array of strings)

Procedures
TeeEditStrings


TeeSubChart

Unit TeeSubChart

Description
Contains TSubChart and TSubChartTool classes. Used to embedd multiple charts inside a chart.

Classes
TChartCollection
TSubChart
TSubChartTool


TeeSubsetEditor

Unit TeeSubsetEditor

Description
Contains the TSubsetTeeFunction and its corresponding editor dialog.
TSubsetTeeFunction can be used to filter a portion of another series values into a series.

Classes
TSubsetTeeFunction


TeeSurfa

Unit TeeSurfa

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TColorGridSeries
TContourLevel
TContourLevels
TContourMarks
TContourSeries
TCustom3DGridSeries
TCustom3DPaletteSeries
TCustom3DSeries
TIsoSurfaceSeries
TSeriesColorPalette
TSmoothPoints
TSurfaceSeries
TSurfaceSides
TTowerSeries
TVector3DSeries
TWaterFallSeries

Types
TCellsOrientation
TChartSurfaceGetColor
TChartSurfaceGetY
TGridPalette
TLevelPoint
TLevelSegment
TOnBeforeDrawLevelEvent
TOnGetLevelEvent
TTeePaletteStyle
TTowerStyle


TeeSurfaceTool

Unit TeeSurfaceTool

Contains a Chart tool ( TSurfaceNearestTool ) used to highlight cells in a Surface series when the end user moves the mouse over it.

Classes
TSurfaceNearestTool


TeeSVGCanvas

Unit TeeSVGCanvas

Contains the Chart Export Format class used to store chart display into a file or strem in SVG (Structured Vector Graphics) graphics format.

Classes
TSVGCanvas
TSVGExportFormat

Procedures
TeeSaveToSVGFile


TeeSwedish

Unit TeeSwedish

TeeChart texts and constants in Swedish language.

Procedures
TeeSetSwedish

Variables
NewLine
TeeSwedishLanguage


TeeSwedishLanguage

TeeSwedishLanguage variable

Var TeeSwedishLanguage;

Unit
TeeSwedish

Description
StringList containing all texts and constants in Swedish language.


TeeTagCloud

Unit TeeTagCloud

Contains TTagCloudSeries class and its associated editor dialog.

Description
Contains TTagCloudSeries class and its associated editor dialog.

Classes
TTagCloudSeries

Types
TDrawTagEvent
TTagCloudOrder


TeeTernary

Unit TeeTernary

Classes
TTernarySeries

Types
TSeriesClickPointer3DEvent
TTernaryAxisScale
TTernaryFormat
TTernaryLegendStyle
TTernaryMarkStyle
TTernaryStyle


TeeText3D

Unit TeeText3D

Contains a chart tool to display text in 3D mode inside a chart.

Description
Contains a chart tool to display text in 3D mode inside a chart.

Classes
TText3DTool


TeeThemeEditor

Unit TeeThemeEditor

Contains editor dialog used to select a visual Theme for a given Chart.

Classes
TChartThemeSelector

Procedures
AddChartThemes
ChartThemeSelector
ShowThemesEditor


TeeThemes

Unit TeeThemes

Contains several pre-defined visual chart themes, such as "Classic", "Excel", etc.

Classes
TBlackIsBackTheme
TBlueSkyTheme
TBusinessTheme
TClassicTheme
TDefaultTheme
TExcelTheme
TFactsTheme
TGrayscaleTheme
TOperaTheme
TRandomTheme
TSpeedTheme
TThemesList
TWebTheme
TWindowsXPTheme

Procedures
ApplyChartTheme
RegisterChartThemes

Variables
ChartThemes


ChartThemes

ChartThemes variable

Var ChartThemes;

Unit
TeeThemes

Description
Internal variable that contains all available visual themes that have been registered using the RegisterChartThemes global procedure.


TeeTools

Unit TeeTools

Contains some of the basic charting tool classes like Cursor, Annotation, DrawLine, etc.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TAnnotationCallout
TAnnotationTool
TAxisArrowTool
TAxisScrollTool
TChartImageTool
TClipSeriesTool
TColorBandTool
TColorLineTool
TCursorTool
TDragMarksTool
TDrawLine
TDrawLines
TDrawLineTool
TFullScreenTool
TGridBandBrush
TGridBandTool
TMarksTipTool
TNearestTool
TRectangleTool
TRotateTool
TSeriesAnimationTool
TTeeShapePosition
TTextShape

Types
TAnnotationClick
TAnnotationPosition
TAxisArrowClickEvent
TAxisArrowToolPosition
TColorLineStyle
TColorLineToolOnDrag
TCursorClicked
TCursorToolChangeEvent
TCursorToolGetAxisRect
TCursorToolStyle
TDragMarkEvent
TDrawLineHandle
TDrawLineSelecting
TDrawLineStyle
TMarksTipGetText
TMarkToolMouseAction
TNearestToolStyle
TRotateToolStyles
TScopeCursorStyle
TSeriesAnimationLoop
TSeriesAnimationStep
TSnapStyle

Variables
TeeDrawLineClass


TeeDrawLineClass

TeeDrawLineClass variable

Var TeeDrawLineClass;

Unit
TeeTools

Description
This global variable can be used to determine the default DrawLine class that will be used to create new Lines on a TDrawLineTool when the end-user is drawing.

By default, this variable points to TDrawLine class.

Example:

TeeDrawLineClass := TMyDrawLine;

(draw new lines using a TDrawLineTool, the new line objects will be created using TMyDrawLine class instead of default TDrawLine class)


TeeTranslate

Unit TeeTranslate

Contains procedures to translate the TeeChart forms to the selected language.

Classes
TAskLanguage
TLanguageStrings

Procedures
TeeAskLanguage
TeeCanTranslate
TeeLanguageRegistry
TeeTranslateAControl


TeeTransposeSeries

Unit TeeTransposeSeries

Description
Contains TTransposeSeriesTool class.

Classes
TTransposeSeriesTool


TeeTransposeTool

Unit TeeTransposeTool

Contains class to transpose (invert) a 3D grid series.

Description
Contains class to transpose (invert) a 3D grid series.

Classes
TGridTransposeTool


TeeTreeMapSeries

Unit TeeTreeMapSeries

Classes
TTreeMapItem
TTreeMapSeries

Types
TTreeMapColorStyle
TTreeMapTiling


TeeTriangulate

Unit TeeTriangulate

Classes
TTriangulator

Types
TGetValueProc
TSetValueProc


TeeTriSurface

Unit TeeTriSurface

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
ETriSurfaceException
TCustomTriSurfaceSeries
TTriSurfaceSeries

Types
TTriangle


TeeTurkish

Unit TeeTurkish

Description
Texts in Turkish language.

Procedures
TeeSetTurkish

Variables
NewLine


TeeUkrainian

Unit TeeUkrainian

Description
Texts in Ukrainian language.

Procedures
TeeSetUkrainian

Variables
NewLine


TeeUrdu

Unit TeeUrdu

Description
Texts in Urdu language.

Procedures
TeeSetUrdu

Variables
NewLine


TeeURL

Unit TeeURL

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Classes
TChartWebSource
TCustomChartLink
TImportChart
TTeeSeriesSourceFile

Procedures
DownloadURL
LoadChartFromURL
TeeIsURL
TeeURLErrorMessage

Variables
TeeWinInetDLL


TeeWinInetDLL

TeeWinInetDLL variable

Var TeeWinInetDLL;

Unit
TeeURL

Description
This internal variable points to the dynamically loaded Microsoft's WinInet.dll.


TeeVideo

Unit TeeVideo

Description
Contains TVideoTool and its corresponding editor dialog.
TVideoTool can be used to create an *.avi video file showing a chart animation.

Classes
TVideoTool

Variables
AVIStreamOpenFromFile


AVIStreamOpenFromFile

AVIStreamOpenFromFile variable

Var AVIStreamOpenFromFile;

Unit
TeeVideo


TeeVideoPlayer

Unit TeeVideoPlayer

Description
Contains TVideoPlayerTool and its corresponding editor dialog.
VideoPlayer tool allows playing avi video files inside rectangles inside charts, or as background of chart parts like legend, headers, etc.

Classes
TVideoPlayerTool


TeeVMLCanvas

Unit TeeVMLCanvas

Description
The TeeVMLCanvas unit contains a class used by the Chart Export dialog to allow exporting charts to VML format.

VML is a Microsoft sponsored standard vector format to display images using vector instructions.

Internet Explorer browser version 5 and up can display VML images found inside HTM files.

For more information:

http://www.w3.org/TR/NOTE-VML

Classes
TVMLCanvas
TVMLExportFormat

Procedures
TeeSaveToVMLFile


TeeVolumePipe

Unit TeeVolumePipe

Description
Contains TVolumePipeSeries charting style.

Classes
TVolumePipeSeries


TeeVRML3D

Unit TeeVRML3D

Classes
TVRML3DCanvas
TVRMLExportFormat

Procedures
TeeSaveToVRML


TeeWorldSeries

Unit TeeWorldSeries

Contains TWorldSeries component.

Description
TeeWorldSeries unit contains TWorldSeries component.

Classes
TWorldSeries

Types
TWorldMap


TeeXAMLCanvas

Unit TeeXAMLCanvas

Contains classes to support Microsoft's XAML graphical markup format.

Description
Contains classes to support Microsoft's XAML graphical markup format.

Classes
TXAML3DCanvas
TXAMLCanvas
TXAMLExportFormat

Procedures
TeeSaveToXAMLFile

Types
TTextOutItem


TeeXML

Unit TeeXML

Contains TeeChart XML related classes and components.

Description
Contains TeeChart XML related classes and components.

Classes
TTeeXMLSource


TeExport

Unit TeExport

Chart Export dialog and associated components.

Description
When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit. The following items are declared in this unit:

Procedures
TeeEmailFile
TeeExport


AxisException.0events

AxisException events
AxisException Legend key

Unit
TeEngine

Derived from Exception
HelpContext
Message


AxisException.0methods

AxisException methods
AxisException Legend key

Unit
TeEngine

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


AxisException.0properties

AxisException properties
AxisException Legend key

Unit
TeEngine

Derived from Exception
HelpContext
Message


AxisException.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
Exception
|
AxisException

Classes derived from AxisException
(none)


ChartException.0events

ChartException events
ChartException Legend key

Unit
TeEngine

Derived from Exception
HelpContext
Message


ChartException.0methods

ChartException methods
ChartException Legend key

Unit
TeEngine

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


ChartException.0properties

ChartException properties
ChartException Legend key

Unit
TeEngine

Derived from Exception
HelpContext
Message


ChartException.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
Exception
|
ChartException

Classes derived from ChartException
ETriSurfaceException


DBChartException.0events

DBChartException events
DBChartException Legend key

Unit
DBChart

Derived from Exception
HelpContext
Message


DBChartException.0methods

DBChartException methods
DBChartException Legend key

Unit
DBChart

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


DBChartException.0properties

DBChartException properties
DBChartException Legend key

Unit
DBChart

Derived from Exception
HelpContext
Message


DBChartException.Hierarchy

Unit
DBChart

Hierarchy

TObject
|
Exception
|
DBChartException

Classes derived from DBChartException
(none)


DBEditCh

Unit DBEditCh

Contains the visual interface for database Charts.

Description

When this unit is added to your application, all the editor dialogs (forms) that correspond to the different database options are included in the Chart Editor dialog.


ETriSurfaceException.0events

ETriSurfaceException events
ETriSurfaceException Legend key

Unit
TeeTriSurface

Derived from Exception
HelpContext
Message


ETriSurfaceException.0methods

ETriSurfaceException methods
ETriSurfaceException Legend key

Unit
TeeTriSurface

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


ETriSurfaceException.0properties

ETriSurfaceException properties
ETriSurfaceException Legend key

Unit
TeeTriSurface

Derived from Exception
HelpContext
Message


ETriSurfaceException.Hierarchy

Unit
TeeTriSurface

Hierarchy

TObject
|
Exception
|
ChartException
|
ETriSurfaceException

Classes derived from ETriSurfaceException
(none)


GIFException.0events

GIFException events
GIFException Legend key

Unit
GIFImage

Derived from Exception
HelpContext
Message


GIFException.0methods

GIFException methods
GIFException Legend key

Unit
GIFImage

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


GIFException.0properties

GIFException properties
GIFException Legend key

Unit
GIFImage

Derived from Exception
HelpContext
Message


GIFException.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
Exception
|
EInvalidGraphic
|
GIFException

Classes derived from GIFException
(none)


GpPathData.0methods

GpPathData methods
GpPathData Legend key

Unit
GDIPAPI

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


GpPathData.Hierarchy

Unit
GDIPAPI

Hierarchy

TObject
|
TPathData
|
GpPathData

Classes derived from GpPathData
(none)


ICanvasHyperlinks.0methods

ICanvasHyperlinks methods
ICanvasHyperlinks Legend key

Unit
TeCanvas

In ICanvasHyperlinks
AddLink


ICanvasHyperlinks.AddLink

ICanvasHyperlinks.AddLink
ICanvasHyperlinks

procedure AddLink(X, Y: Integer; Const Text, URL, Hint: String);

Unit
TeCanvas

Description
Tells the implementor of the interface to add a new hyperlink to the specified URL, at the given XY position, displaying the Text and Hint parameters.


ICanvasToolTips.0methods

ICanvasToolTips methods
ICanvasToolTips Legend key

Unit
TeCanvas

In ICanvasToolTips
AddToolTip


ICanvasToolTips.AddToolTip

ICanvasToolTips.AddToolTip
ICanvasToolTips

procedure AddToolTip(Const Entity, ToolTip: String);

Unit
TeCanvas

Description
Tells the implementor of the interface to add a "tooltip" (a visual hint when passing the mouse over), for the specified Entity ID, displaying the ToolTip text parameter.


IFormCreator.0methods

IFormCreator methods
IFormCreator Legend key

Unit
TeCanvas

In IFormCreator
AddCheckBox
AddColor
AddCombo
AddInteger
AddScroll


IFormCreator.AddCheckBox

IFormCreator.AddCheckBox
IFormCreator

function AddCheckBox(Const PropName, ACaption: String; OnChange: TNotifyEvent): TCheckBox;

Unit
TeCanvas

Description
Creates a new CheckBox control to edit the boolean value of PropName property.


IFormCreator.AddColor

IFormCreator.AddColor
IFormCreator

function AddColor(Const PropName, ACaption: String): TButton;

Unit
TeCanvas

Description
Creates a new Button to show the color editor dialog to edit the PropName color value.


IFormCreator.AddCombo

IFormCreator.AddCombo
IFormCreator

function AddCombo(Const PropName: String): TComboBox;

Unit
TeCanvas

Description
Creates a new ComboBox to select the enumerated value of PropName property.


IFormCreator.AddInteger

IFormCreator.AddInteger
IFormCreator

function AddInteger(Const PropName, ACaption: String; AMin, AMax: Integer): TEdit;

Unit
TeCanvas

Description
Creates a new Edit box and a new UpDown control to change the value of PropName property.


IFormCreator.AddScroll

IFormCreator.AddScroll
IFormCreator

function AddScroll(Const PropName: String; AMin, AMax: Integer): TScrollBar;

Unit
TeCanvas

Description
Creates a new ScrollBar control to modify the integer value of PropName property.


IImageBytes.0methods

IImageBytes methods
IImageBytes Legend key

Unit
GDIPAPI

In IImageBytes
CountBytes
LockBytes
UnlockBytes

Derived from IInterface
_AddRef
_Release
QueryInterface


IImageBytes.CountBytes

IImageBytes.CountBytes
IImageBytes

function CountBytes(Out pcb: UINT): HRESULT;

Unit
GDIPAPI


IImageBytes.Hierarchy

Unit
GDIPAPI

Hierarchy

IInterface
|
IUnknown
|
IImageBytes

Classes derived from IImageBytes
(none)


IImageBytes.LockBytes

IImageBytes.LockBytes
IImageBytes

function LockBytes(cb: UINT; ulOffset: ULONG; Out ppvBytes: Pointer): HRESULT;

Unit
GDIPAPI


IImageBytes.UnlockBytes

IImageBytes.UnlockBytes
IImageBytes

function UnlockBytes(pvBytes: Pointer; cb: UINT; ulOffset: ULONG): HRESULT;

Unit
GDIPAPI


ITeeEventListener.0methods

ITeeEventListener methods
ITeeEventListener Legend key

Unit
TeeProcs

In ITeeEventListener
TeeEvent


ITeeEventListener.TeeEvent

ITeeEventListener.TeeEvent
ITeeEventListener

procedure TeeEvent(Event: TTeeEvent);

Unit
TeeProcs

Description
This method provides an Event to subscribers to ITeeEventListener interface.
Internal use.


Legend key

Legend key
Protected
Published
ReadOnly
Abstract


LegendException.0events

LegendException events
LegendException Legend key

Unit
Chart

Derived from Exception
HelpContext
Message


LegendException.0methods

LegendException methods
LegendException Legend key

Unit
Chart

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


LegendException.0properties

LegendException properties
LegendException Legend key

Unit
Chart

Derived from Exception
HelpContext
Message


LegendException.Hierarchy

Unit
Chart

Hierarchy

TObject
|
Exception
|
LegendException

Classes derived from LegendException
(none)


TACFunction.0events

TACFunction events
TACFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TACFunction.0methods

TACFunction methods
TACFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TACFunction.0properties

TACFunction properties
TACFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TACFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TACFunction

Classes derived from TACFunction
(none)


TAddTeeFunction.0events

TAddTeeFunction events
TAddTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAddTeeFunction.0methods

TAddTeeFunction methods
TAddTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAddTeeFunction.0properties

TAddTeeFunction properties
TAddTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAddTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TAddTeeFunction

Classes derived from TAddTeeFunction
(none)


TADXFunction.0events

TADXFunction events
TADXFunction Legend key

Unit
CandleCh

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TADXFunction.0methods

TADXFunction methods
TADXFunction Legend key

Unit
CandleCh

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TADXFunction.0properties

TADXFunction properties
TADXFunction Legend key

Unit
CandleCh

In TADXFunction
DMDown
DMUp
DownLinePen
UpLinePen

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TADXFunction.DMDown

TADXFunction.DMDown
TADXFunction

property DMDown: TFastLineSeries;

Unit
CandleCh

Description
Access characteristics of the DMDown line (a FastLineSeries).

DMDown is a sub-series (of type FastLine) of ADX function.


TADXFunction.DMUp

TADXFunction.DMUp
TADXFunction

property DMUp: TFastLineSeries;

Unit
CandleCh

Description
Access characteristics of the DMUp line (a FastLineSeries).

DMUp is a sub-series (of type FastLine) of ADX function.


TADXFunction.DownLinePen

TADXFunction.DownLinePen
TADXFunction

property DownLinePen: TChartPen;

Unit
CandleCh

Description
The pen used to draw the lower ADX line.
Corresponds to DMDown.Pen property.


TADXFunction.Hierarchy

Unit
CandleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TADXFunction

Classes derived from TADXFunction
(none)


TADXFunction.UpLinePen

TADXFunction.UpLinePen
TADXFunction

property UpLinePen: TChartPen;

Unit
CandleCh

Description
The pen used to draw the upper ADX line.
Corresponds to DMUp.Pen property.

TeeFunction1.UpLinePen.Color := clBlue ;


TAlligatorFunction.0events

TAlligatorFunction events
TAlligatorFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAlligatorFunction.0methods

TAlligatorFunction methods
TAlligatorFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAlligatorFunction.0properties

TAlligatorFunction properties
TAlligatorFunction Legend key

Unit
StatChar

In TAlligatorFunction
Lips
LipsPen
Teeth
TeethPen

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAlligatorFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TAlligatorFunction

Classes derived from TAlligatorFunction
(none)


TAlligatorFunction.Lips

TAlligatorFunction.Lips
TAlligatorFunction

property Lips: TFastLineSeries;

Unit
StatChar

Description
The green line (Alligator's Lips) is the Balance Line for the value timeframe, one more level lower (5-period Smoothed Moving Average, moved by 3 bars into the future).


TAlligatorFunction.LipsPen

TAlligatorFunction.LipsPen
TAlligatorFunction

property LipsPen: TChartPen;

Unit
StatChar

Description
Sets the pen to draw the Alligators Lips


TAlligatorFunction.Teeth

TAlligatorFunction.Teeth
TAlligatorFunction

property Teeth: TFastLineSeries;

Unit
StatChar

Description
The red line (Alligator's Teeth) is the Balance Line for the value timeframe of one level lower (8-period Smoothed Moving Average, moved by 5 bars into the future)


TAlligatorFunction.TeethPen

TAlligatorFunction.TeethPen
TAlligatorFunction

property TeethPen: TChartPen;

Unit
StatChar

Description
Sets the pen to draw the Alligators Teeth


TAlphaBitmap.0events

TAlphaBitmap events
TAlphaBitmap Legend key

Unit
TeeGLCanvas

Derived from TBitmap
Canvas
Handle
HandleType
IgnorePalette
MaskHandle
Monochrome
PixelFormat
ScanLine
TransparentColor
TransparentMode

Derived from TGraphic
Empty
Height
Modified
OnChange
OnProgress
Palette
PaletteModified
Transparent
Width


TAlphaBitmap.0methods

TAlphaBitmap methods
TAlphaBitmap Legend key

Unit
TeeGLCanvas

Derived from TBitmap
Assign
Changed
Changing
CopyImage
Create
Destroy
DIBNeeded
Dormant
Draw
FreeContext
FreeImage
GetCanvas
GetEmpty
GetHandle
GetHandleType
GetHeight
GetMaskHandle
GetMonochrome
GetPalette
GetPixelFormat
GetScanline
GetTransparentColor
GetWidth
HandleAllocated
HandleNeeded
LoadFromClipboardFormat
LoadFromResourceID
LoadFromResourceName
LoadFromStream
Mask
MaskHandleNeeded
NewImage
PaletteNeeded
ReadData
ReadDIB
ReadStream
ReleaseHandle
ReleaseMaskHandle
ReleasePalette
SaveToClipboardFormat
SaveToStream
SetHandle
SetHandleType
SetHeight
SetMaskHandle
SetMonochrome
SetPalette
SetPixelFormat
SetTransparentColor
SetTransparentMode
SetWidth
TransparentColorStored
WriteData
WriteStream

Derived from TGraphic
DefineProperties
Equals
GetTransparent
LoadFromFile
Progress
SaveToFile
SetModified
SetTransparent

Derived from TInterfacedPersistent
_AddRef
_Release
AfterConstruction
QueryInterface

Derived from TPersistent
AssignError
AssignTo
GetNamePath
GetOwner

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAlphaBitmap.0properties

TAlphaBitmap properties
TAlphaBitmap Legend key

Unit
TeeGLCanvas

Derived from TBitmap
Canvas
Handle
HandleType
IgnorePalette
MaskHandle
Monochrome
PixelFormat
ScanLine
TransparentColor
TransparentMode

Derived from TGraphic
Empty
Height
Modified
OnChange
OnProgress
Palette
PaletteModified
Transparent
Width


TAlphaBitmap.Hierarchy

Unit
TeeGLCanvas

Hierarchy

TObject
|
TPersistent
|
TInterfacedPersistent
|
TGraphic
|
TBitmap
|
TAlphaBitmap

Classes derived from TAlphaBitmap
(none)


TAmountFilter.0events

TAmountFilter events
TAmountFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TAmountFilter.0methods

TAmountFilter methods
TAmountFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAmountFilter.0properties

TAmountFilter properties
TAmountFilter Legend key

Unit
TeeFilters

In TAmountFilter
Amount
Percent

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TAmountFilter.Amount

TAmountFilter.Amount
TAmountFilter

property Amount: Integer;

Unit
TeeFilters

Description
Amount (value) applied to Filter.


TAmountFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TAmountFilter

Classes derived from TAmountFilter
TBrightnessFilter
TContrastFilter
TGammaCorrectionFilter
TMosaicFilter


TAmountFilter.Percent

TAmountFilter.Percent
TAmountFilter

property Percent: Boolean;

Unit
TeeFilters

Description
If Percent is true, the Amount will be applied as a percentage.


TAnimation.0events

TAnimation events
TAnimation Legend key

Unit
TeeAnimate

In TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAnimation.0methods

TAnimation methods
TAnimation Legend key

Unit
TeeAnimate

In TAnimation
Continue
Description
EditorClass
EditorName
EndFrame
GetParentComponent
HasParent
Index
IsEnabled
IsValidSource
Pause
Play
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAnimation.0properties

TAnimation properties
TAnimation Legend key

Unit
TeeAnimate

In TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAnimation.Animate

TAnimation.Animate
TAnimation

property Animate: TTeeAnimate;

Unit
TeeAnimate

Description
Gets and sets the Chart to use for the animation.


TAnimation.Continue

TAnimation.Continue
TAnimation

procedure Continue; virtual;

Unit
TeeAnimate

Description
Resumes playing of the animation.


TAnimation.Current

TAnimation.Current
TAnimation

property Current: Integer;

Unit
TeeAnimate

Description
Gets or sets the current Frame of the animation.


TAnimation.Description

TAnimation.Description
TAnimation

function Description: String; virtual;

Unit
TeeAnimate

Description
\ltrparReturns "Animation"


TAnimation.Duration

TAnimation.Duration
TAnimation

property Duration: Integer;

Unit
TeeAnimate

Description
Gets or Sets the number of Frames for duration.


TAnimation.EditorClass

TAnimation.EditorClass
TAnimation

function EditorClass: String; dynamic;

Unit
TeeAnimate

Description
Returns the class name of the TForm associated editor dialog for this TAnimation object.

Series and Tools override this function to return their own custom editor dialog.


TAnimation.EditorName

TAnimation.EditorName
TAnimation

function EditorName: String; dynamic;

Unit
TeeAnimate

Description
Returns the Editor name of the animation.


TAnimation.Enabled

TAnimation.Enabled
TAnimation

property Enabled: Boolean;

Unit
TeeAnimate

Description
Setting it to "False" disables animation.


TAnimation.EndFrame

TAnimation.EndFrame
TAnimation

function EndFrame: Integer;

Unit
TeeAnimate

Description
Returns the index of the last frame in the video file.


TAnimation.GetParentComponent

TAnimation.GetParentComponent
TAnimation

function GetParentComponent: TComponent; override;

Unit
TeeAnimate

Description
Read only

The GetParentComponent returns the TAnimation parent component (ParentSeries).


TAnimation.HasParent

TAnimation.HasParent
TAnimation

function HasParent: Boolean; override;

Unit
TeeAnimate

Description
Read only.


TAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation

Classes derived from TAnimation
TPlaySoundAnimation
TPropertyAnimation


TAnimation.Index

TAnimation.Index
TAnimation

function Index: Integer;

Unit
TeeAnimate

Description
Returns the list index of the animation.


TAnimation.IsEnabled

TAnimation.IsEnabled
TAnimation

function IsEnabled: Boolean; dynamic;

Unit
TeeAnimate

Description
Returns true if Animation is enabled.


TAnimation.IsValidSource

TAnimation.IsValidSource
TAnimation

function IsValidSource(Const ASource: TObject; IsObject: Boolean): Boolean; virtual;

Unit
TeeAnimate

Description
Returns true when object is a valid source.


TAnimation.Loop

TAnimation.Loop
TAnimation

property Loop: Boolean;

Unit
TeeAnimate

Description
When True, the video plays all frames and continues again at the first frame, endlessly until the Stop or Pause methods are called.


TAnimation.OnBegin

TAnimation.OnBegin
TAnimation

property OnBegin: TNotifyEvent;

Unit
TeeAnimate

Description
Event called at the beginning of the Animation.


TAnimation.OnEnd

TAnimation.OnEnd
TAnimation

property OnEnd: TAnimationEndEvent;

Unit
TeeAnimate

Description
Event called at the end of the Animation.


TAnimation.OnFrame

TAnimation.OnFrame
TAnimation

property OnFrame: TNotifyEvent;

Unit
TeeAnimate

Description
Event called evry time a frame is processed.


TAnimation.Parent

TAnimation.Parent
TAnimation

property Parent: TAnimation;

Unit
TeeAnimate


TAnimation.Pause

TAnimation.Pause
TAnimation

procedure Pause; virtual;

Unit
TeeAnimate

Description
Stops playing video frames until the Play method is called again.


TAnimation.Play

TAnimation.Play
TAnimation

procedure Play; virtual; overload;

Unit
TeeAnimate

Description
Starts playing video frames until the video file ends or the Stop or Pause methods are called.


TAnimation.Preview

TAnimation.Preview
TAnimation

procedure Preview; dynamic;

Unit
TeeAnimate

Description
Internal method used to show the preview animation within the chart editor.


TAnimation.StartFrame

TAnimation.StartFrame
TAnimation

property StartFrame: Integer;

Unit
TeeAnimate

Description
Returns the index of the first frame in the video.


TAnimation.Stop

TAnimation.Stop
TAnimation

procedure Stop; virtual;

Unit
TeeAnimate

Description
Ends playing video frames


TAnimation.StoreValue

TAnimation.StoreValue
TAnimation

procedure StoreValue; virtual;

Unit
TeeAnimate

Description
This method is for internal use only.


TAnimation.Title

TAnimation.Title
TAnimation

property Title: String;

Unit
TeeAnimate


TAnimationCurve.0methods

TAnimationCurve methods
TAnimationCurve Legend key

Unit
TeeAnimate

In TAnimationCurve
Calculate
Reset

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAnimationCurve.0properties

TAnimationCurve properties
TAnimationCurve Legend key

Unit
TeeAnimate

In TAnimationCurve
Inverted


TAnimationCurve.Calculate

TAnimationCurve.Calculate
TAnimationCurve

procedure Calculate(Duration: Integer);

Unit
TeeAnimate


TAnimationCurve.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TAnimationCurve

Classes derived from TAnimationCurve
(none)


TAnimationCurve.Inverted

TAnimationCurve.Inverted
TAnimationCurve

property Inverted: Boolean;

Unit
TeeAnimate


TAnimationCurve.Reset

TAnimationCurve.Reset
TAnimationCurve

procedure Reset;

Unit
TeeAnimate


TAnimations.0events

TAnimations events
TAnimations Legend key

Unit
TeeAnimate

Derived from TList
Capacity
Count
Items
List


TAnimations.0methods

TAnimations methods
TAnimations Legend key

Unit
TeeAnimate

In TAnimations
FreeAll

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAnimations.0properties

TAnimations properties
TAnimations Legend key

Unit
TeeAnimate

In TAnimations
Animate
Animation

Derived from TList
Capacity
Count
Items
List


TAnimations.Animate

TAnimations.Animate
TAnimations

property Animate: TComponent;

Unit
TeeAnimate

Description
Gets and sets the object to animate.


TAnimations.Animation

TAnimations.Animation
TAnimations

property Animation[Index: Integer]: TAnimation;

Unit
TeeAnimate

Description
Gets or Sets a list of TAnimation objects.


TAnimations.FreeAll

TAnimations.FreeAll
TAnimations

procedure FreeAll;

Unit
TeeAnimate

Description
Free all Animations.


TAnimations.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TList
|
TAnimations

Classes derived from TAnimations
(none)


TAnnotationCallout.0methods

TAnnotationCallout methods
TAnnotationCallout Legend key

Unit
TeeTools

Derived from TSeriesPointer
Draw
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAnnotationCallout.0properties

TAnnotationCallout properties
TAnnotationCallout Legend key

Unit
TeeTools

In TAnnotationCallout
XPosition
YPosition
ZPosition

Derived from TCallout
Arrow
ArrowHead
ArrowHeadSize
Distance

Derived from TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TAnnotationCallout.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer
|
TCallout
|
TAnnotationCallout

Classes derived from TAnnotationCallout
(none)


TAnnotationCallout.XPosition

TAnnotationCallout.XPosition
TAnnotationCallout

property XPosition: Integer;

Unit
TeeTools

Description
The X pixel coordinate of the ending point of the annotation callout line.


TAnnotationCallout.YPosition

TAnnotationCallout.YPosition
TAnnotationCallout

property YPosition: Integer;

Unit
TeeTools

Description
The Y pixel coordinate of the ending point of the annotation callout line.


TAnnotationCallout.ZPosition

TAnnotationCallout.ZPosition
TAnnotationCallout

property ZPosition: Integer;

Unit
TeeTools

Description
The Z pixel coordinate of the ending point of the annotation callout line.


TAnnotationTool.0events

TAnnotationTool events
TAnnotationTool Legend key

Unit
TeeTools

In TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAnnotationTool.0methods

TAnnotationTool methods
TAnnotationTool Legend key

Unit
TeeTools

In TAnnotationTool
Clicked
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAnnotationTool.0properties

TAnnotationTool properties
TAnnotationTool Legend key

Unit
TeeTools

In TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAnnotationTool.AutoSize

TAnnotationTool.AutoSize
TAnnotationTool

property AutoSize: Boolean;

Unit
TeeTools

Description
Default: True

When AutoSize is True, the annotation rectangle Width and Height dimensions will be automatically calculated based on the width and height of the annotation text.

When setting AutoSize to False, you must also set your custom Width and Height properties.


TAnnotationTool.Bounds

TAnnotationTool.Bounds
TAnnotationTool

property Bounds: TRect;

Unit
TeeTools

Description
The Bounds property returns the biggest rectangle enclosing the Annotation, in logical pixels.


TAnnotationTool.Callout

TAnnotationTool.Callout
TAnnotationTool

property Callout: TAnnotationCallout;

Unit
TeeTools

Description
The Callout property defines properties used to draw a line from the annotation to any arbitrary xyz position in the chart.


TAnnotationTool.Clicked

TAnnotationTool.Clicked
TAnnotationTool

function Clicked(x, y: Integer): Boolean;

Unit
TeeTools

Description
Returns True when the xy coordinates are inside the Annotation shape's rectangle.


TAnnotationTool.ClipText

TAnnotationTool.ClipText
TAnnotationTool

property ClipText: Boolean;

Unit
TeeTools

Description
Clip Text to within the bounds of the Tool


TAnnotationTool.Cursor

TAnnotationTool.Cursor
TAnnotationTool

property Cursor: TCursor;

Unit
TeeTools

Description
The Cursor to show when the user moves the mouse over the Annotation bounds.


TAnnotationTool.Description

TAnnotationTool.Description
TAnnotationTool

function Description: String; override;

Unit
TeeTools

Description
\ltrparThe Description property is used only at the Chart Editor (Tools Gallery dialog).


TAnnotationTool.Draw3D

TAnnotationTool.Draw3D
TAnnotationTool

property Draw3D: Boolean;

Unit
TeeTools

Description
Default False

Allows you to add 3D effects to the annotation when true.


TAnnotationTool.Height

TAnnotationTool.Height
TAnnotationTool

property Height: Integer;

Unit
TeeTools

Description
Sets the Height in pixels of the annotation rectangle.

You must set AutoSize to False for custom Height values.


TAnnotationTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool

Classes derived from TAnnotationTool
TBannerTool
TLinkTool
TNumericMarker
TPageNumTool
TRectangleTool


TAnnotationTool.Left

TAnnotationTool.Left
TAnnotationTool

property Left: Integer;

Unit
TeeTools

Description
Defines a Left position for the Annotation Tool text box and text.


TAnnotationTool.LongDescription

TAnnotationTool.LongDescription
TAnnotationTool

function LongDescription: String; override;

Unit
TeeTools

Description
\ltrparReturns the Tool Long Description.


TAnnotationTool.OnAfterDraw

TAnnotationTool.OnAfterDraw
TAnnotationTool

property OnAfterDraw: TNotifyEvent;

Unit
TeeTools

Description
Event called after the annotation tool has been displayed.


TAnnotationTool.OnBeforeDraw

TAnnotationTool.OnBeforeDraw
TAnnotationTool

property OnBeforeDraw: TNotifyEvent;

Unit
TeeTools

Description
Event called before the annotation tool has been displayed.


TAnnotationTool.OnClick

TAnnotationTool.OnClick
TAnnotationTool

property OnClick: TAnnotationClick;

Unit
TeeTools

Description
Event triggered when the user clicks on the annotation boundaries.


TAnnotationTool.OnDblClick

TAnnotationTool.OnDblClick
TAnnotationTool

property OnDblClick: TAnnotationClick;

Unit
TeeTools

Description
Use when you wish to act upon a doubleclick over the Annotation.


TAnnotationTool.Position

TAnnotationTool.Position
TAnnotationTool

property Position: TAnnotationPosition;

Unit
TeeTools

Description
The Position property indicates the Chart corner where to display the annotation shape and text.
This property is only valid when the Shape is not custom positioned (using the Shape's Left and Top properties).

Example:

ChartTool1.Position:=ppLeftTop;

When setting Position, the Shape.CustomPosition property is automatically set to False.


TAnnotationTool.PositionUnits

TAnnotationTool.PositionUnits
TAnnotationTool

property PositionUnits: TTeeUnits;

Unit
TeeTools

Description
Determines if the Position property is specified as pixels (the default), or as percentage of Chart width and height.

Setting PositionUnits to poPercent makes the annotation to move proportionally when the chart is resized or printed.


TAnnotationTool.Shape

TAnnotationTool.Shape
TAnnotationTool

property Shape: TTextShape;

Unit
TeeTools

Description
Refers to the internal object used by Annotation tool to display the annotation text.

This object contains several formatting and positioning properties.


TAnnotationTool.Text

TAnnotationTool.Text
TAnnotationTool

property Text: String;

Unit
TeeTools

Description
The string used to display inside the annotation shape.

You can use #13 (carriage return) characters to display multi-line text:

ChartTool1.Text:='Hello'+#13+'World';


TAnnotationTool.TextAlignment

TAnnotationTool.TextAlignment
TAnnotationTool

property TextAlignment: TAlignment;

Unit
TeeTools

Description
Determines how text will be horizontally displayed inside the Annotation rectangle.

Values can be Left, Center or Right.

See VCL TAlignment type for more information.


TAnnotationTool.Top

TAnnotationTool.Top
TAnnotationTool

property Top: Integer;

Unit
TeeTools

Description
Defines a Top position for the Annotation Tool text box and text.


TAnnotationTool.Width

TAnnotationTool.Width
TAnnotationTool

property Width: Integer;

Unit
TeeTools

Description
Sets the Width in pixels of the annotation rectangle.

You must set AutoSize to False for custom Width values.


TAnnotationTool.Z

TAnnotationTool.Z
TAnnotationTool

property Z: Integer;

Unit
TeeTools

Description
Defines a Z position for the Annotation Tool text box and text.


TAntiAliasCanvas.0methods

TAntiAliasCanvas methods
TAntiAliasCanvas Legend key

Unit
TeeAntiAlias

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAntiAliasCanvas.0properties

TAntiAliasCanvas properties
TAntiAliasCanvas Legend key

Unit
TeeAntiAlias

In TAntiAliasCanvas
AntiAlias
Current

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TAntiAliasCanvas.AntiAlias

TAntiAliasCanvas.AntiAlias
TAntiAliasCanvas

property AntiAlias: TAntiAlias;

Unit
TeeAntiAlias

Description
Render as with AntiAlias when aaYes.


TAntiAliasCanvas.Current

TAntiAliasCanvas.Current
TAntiAliasCanvas

property Current: TPoint;

Unit
TeeAntiAlias

Description
Current Pixel (ie. as used with MoveTo, LineTo)


TAntiAliasCanvas.Hierarchy

Unit
TeeAntiAlias

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TAntiAliasCanvas

Classes derived from TAntiAliasCanvas
(none)


TAntiAliasTool.0events

TAntiAliasTool events
TAntiAliasTool Legend key

Unit
TeeAntiAlias

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAntiAliasTool.0methods

TAntiAliasTool methods
TAntiAliasTool Legend key

Unit
TeeAntiAlias

In TAntiAliasTool
Bitmap
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAntiAliasTool.0properties

TAntiAliasTool properties
TAntiAliasTool Legend key

Unit
TeeAntiAlias

In TAntiAliasTool
AntiAlias
Canvas
Filters

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAntiAliasTool.AntiAlias

TAntiAliasTool.AntiAlias
TAntiAliasTool

property AntiAlias: Boolean;

Unit
TeeAntiAlias

Description
AntiAlias Active when True.


TAntiAliasTool.Bitmap

TAntiAliasTool.Bitmap
TAntiAliasTool

function Bitmap: TBitmap;

Unit
TeeAntiAlias

Description
Return Anti-Aliased bitmap.


TAntiAliasTool.Canvas

TAntiAliasTool.Canvas
TAntiAliasTool

property Canvas: TAntiAliasCanvas;

Unit
TeeAntiAlias

Description
Returns currently associated TAntiAliasCanvas.


TAntiAliasTool.Description

TAntiAliasTool.Description
TAntiAliasTool

function Description: String; override;

Unit
TeeAntiAlias

Description
\ltrparTool Description.


TAntiAliasTool.Filters

TAntiAliasTool.Filters
TAntiAliasTool

property Filters: TFilterItems;

Unit
TeeAntiAlias

Description
List of Filter effects associated with TAntiAliasTool.


TAntiAliasTool.Hierarchy

Unit
TeeAntiAlias

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAntiAliasTool

Classes derived from TAntiAliasTool
(none)


TAntiAliasTool.LongDescription

TAntiAliasTool.LongDescription
TAntiAliasTool

function LongDescription: String; override;

Unit
TeeAntiAlias

Description
Tool LongDescription.


TAOFunction.0events

TAOFunction events
TAOFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAOFunction.0methods

TAOFunction methods
TAOFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAOFunction.0properties

TAOFunction properties
TAOFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAOFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TAOFunction

Classes derived from TAOFunction
(none)


TAreaSeries.0events

TAreaSeries events
TAreaSeries Legend key

Unit
Series

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAreaSeries.0methods

TAreaSeries methods
TAreaSeries Legend key

Unit
Series

In TAreaSeries
DrawSeriesForward
GetOriginPos

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAreaSeries.0properties

TAreaSeries properties
TAreaSeries Legend key

Unit
Series

In TAreaSeries
MultiArea
StackGroup
UseYOrigin
YOrigin

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAreaSeries.DrawSeriesForward

TAreaSeries.DrawSeriesForward
TAreaSeries

function DrawSeriesForward(ValueIndex: Integer): Boolean; override;

Unit
Series

Description
Internal use.
Returns True when points in Area series should be displayed in ascending order (from point zero) or in descending order from last area point.


TAreaSeries.GetOriginPos

TAreaSeries.GetOriginPos
TAreaSeries

function GetOriginPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
The GetOriginPos function returns the vertical point coordinate in Screen pixels for a given Area point origin value. The MultiArea property determines if origin is the Chart.ChartRect.Bottom coordinate or if it's the Point YOrigin for Stacked and Stacked 100% styles.


TAreaSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TAreaSeries

Classes derived from TAreaSeries
THorizAreaSeries


TAreaSeries.MultiArea

TAreaSeries.MultiArea
TAreaSeries

property MultiArea: TMultiArea;

Unit
Series

Description
The TAreaSeries component outputs all points by drawing a line between them and fills the area defined by the line and the bottom side of the Chart. To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component. Use the Add or AddXY method to manually fill area points.

Use the AreaBrush property to draw patterned areas.

The AreaColor property determines the background area color.

The lines dividing area points are drawn using the AreaLinesPen property.

To build stacked area charts use the MultiArea property.

The Stairs property controls how to draw the connecting lines between points. Use then the InvertedStairs property to change how are these steps drawn.

The top lines can be altered by using the LinePen property.

Please refer to TCustomSeries ancestor description for all common Series properties like Marks, Axis, Pointers and events.


TAreaSeries.StackGroup

TAreaSeries.StackGroup
TAreaSeries

property StackGroup: Integer;

Unit
Series

Description
Associate Series with StackGroup index value.


TAreaSeries.UseYOrigin

TAreaSeries.UseYOrigin
TAreaSeries

property UseYOrigin: Boolean;

Unit
Series

Description
Default Value: True

The UseYOrigin property defines if Areas will be bottom aligned to the YOrigin property value.

When False, the minimum of all values is used as the origins value.

When True, the YOrigin property is used as the start point for Areas.


TAreaSeries.YOrigin

TAreaSeries.YOrigin
TAreaSeries

property YOrigin: Double;

Unit
Series

Description

Use YOrigin property to define the bottom position of the Area points. Set UseYOrigin to True to use this value.


TArrowSeries.0events

TArrowSeries events
TArrowSeries Legend key

Unit
ArrowCha

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TArrowSeries.0methods

TArrowSeries methods
TArrowSeries Legend key

Unit
ArrowCha

In TArrowSeries
AddArrow
IsValidSourceOf

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TArrowSeries.0properties

TArrowSeries properties
TArrowSeries Legend key

Unit
ArrowCha

In TArrowSeries
ArrowHeight
ArrowPercent
ArrowWidth
EndXValues
EndYValues
StartXValues
StartYValues
Transparency

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TArrowSeries.AddArrow

TArrowSeries.AddArrow
TArrowSeries

function AddArrow(Const X0, Y0, X1, Y1: Double; Const ALabel: String; AColor: TColor): Integer;

Unit
ArrowCha

Description
The AddArrow function adds a new arrow point to the Series.
Returns the position of the Arrow in the list. Positions start at zero.

Each arrow is made of 2 points:

(X0,Y0) The starting arrow point.

(X1,Y1) The arrow head end point.

Example:

This code fills an ArrowSeries with two random arrows:

var
x0,y0,x1,y1 : Double;
begin
ArrowSeries1.StartXValues.DateTime:=False;
ArrowSeries1.EndXValues.DateTime:=False;
ArrowSeries1.Clear;
x0 :=Random( 1000 );
y0 :=Random( 1000 );
x1 :=x0 + Random( 1000 ) - 500 ;
y1 :=y0 + Random( 1000 ) - 500 ;
ArrowSeries1.AddArrow( x0, y0, x1, y1, '', clBlue);
x0 :=Random( 1000 );
y0 :=Random( 1000 );
x1 :=x0 + Random( 1000 ) - 500 ;
y1 :=y0 + Random( 1000 ) - 500 ;
ArrowSeries1.AddArrow( x0, y0, x1, y1, '', clYellow);
end;


TArrowSeries.ArrowHeight

TArrowSeries.ArrowHeight
TArrowSeries

property ArrowHeight: Integer;

Unit
ArrowCha

Description
Default value: 4

The ArrowHeight property determines the vertical arrow head size in pixels.

Example:

Series1.ArrowHeight:=10;


TArrowSeries.ArrowPercent

TArrowSeries.ArrowPercent
TArrowSeries

property ArrowPercent: Integer;

Unit
ArrowCha

Description
Arrow stem width as percentage of ArrowHead width.


TArrowSeries.ArrowWidth

TArrowSeries.ArrowWidth
TArrowSeries

property ArrowWidth: Integer;

Unit
ArrowCha

Description
Default value: 4

The ArrowWidth property determines the horizontal arrow head size in pixels.

Series1.ArrowWidth := 8;


TArrowSeries.EndXValues

TArrowSeries.EndXValues
TArrowSeries

property EndXValues: TChartValueList;

Unit
ArrowCha

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

EndXValues property is the list of X1 values.

Example
This code sets to 123 the X1 coordinate of 6th arrow point: (Remember point index starts at zero)

ArrowSeries1.EndXValues.Value[5]:= 123;


TArrowSeries.EndYValues

TArrowSeries.EndYValues
TArrowSeries

property EndYValues: TChartValueList;

Unit
ArrowCha

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

EndYValues property is the list of Y1 values.

Example
This code modifies the Y1 coordinate of first arrow point:

tmp:=ArrowSeries1.EndYValues.Value[0];
ArrowSeries1.EndYValues.Value[0]:=tmp + 123;


TArrowSeries.Hierarchy

Unit
ArrowCha

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TArrowSeries

Classes derived from TArrowSeries
(none)


TArrowSeries.IsValidSourceOf

TArrowSeries.IsValidSourceOf
TArrowSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
ArrowCha

Description
Returns True if the Value series parameter is of the appropiate type to be a source for TArrowSeries data.

Only TArrowSeries are accepted as a valid datasource for other Arrow series.


TArrowSeries.StartXValues

TArrowSeries.StartXValues
TArrowSeries

property StartXValues: TChartValueList;

Unit
ArrowCha

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

StartXValues property is the list of X0 values.

StartXValues.DateTime property default value is True.

Example
This code modifies the X0 coordinate of first arrow point:

tmp:=ArrowSeries1.StartXValues.Value[0];
ArrowSeries1.StartXValues.Value[0]:=tmp + 123;


TArrowSeries.StartYValues

TArrowSeries.StartYValues
TArrowSeries

property StartYValues: TChartValueList;

Unit
ArrowCha

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

StartXValues property is the list of Y0 values.

Example
This code modifies the Y0 coordinate of first arrow point:

tmp:=ArrowSeries1.StartYValues.Value[0];
ArrowSeries1.StartYValues.Value[0]:=tmp + 123;


TArrowSeries.Transparency

TArrowSeries.Transparency
TArrowSeries

property Transparency: TTeeTransparency;

Unit
ArrowCha

Description
\sb\saSets Transparency level from 0 to 100%.


TArrowTool.0events

TArrowTool events
TArrowTool Legend key

Unit
TeeArrowTool

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TArrowTool.0methods

TArrowTool methods
TArrowTool Legend key

Unit
TeeArrowTool

In TArrowTool
Clicked

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TArrowTool.0properties

TArrowTool properties
TArrowTool Legend key

Unit
TeeArrowTool

In TArrowTool
Angle
Draw2D
Filled
FromPoint
Gradient
Height
Percent
Selected
ToPoint
Transparency
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TArrowTool.Angle

TArrowTool.Angle
TArrowTool

property Angle: Double;

Unit
TeeArrowTool

Description
Rotates the Arrow about its centre.


TArrowTool.Clicked

TArrowTool.Clicked
TArrowTool

function Clicked(X, Y: Integer): Boolean;

Unit
TeeArrowTool

Description
Returns True when the xy coordinates are inside the arrow shape boundaries.


TArrowTool.Draw2D

TArrowTool.Draw2D
TArrowTool

property Draw2D: Boolean;

Unit
TeeArrowTool

Description
Sets the Arrow to the corresponding 2D position when the chart is set to 3D. It has no effect on 2D charts.


TArrowTool.Filled

TArrowTool.Filled
TArrowTool

property Filled: Boolean;

Unit
TeeArrowTool

Description
The Filled property when set to true changes the arrow from being drawn with lines to one having a centre region that can be sized and coloured independently from the border.


TArrowTool.FromPoint

TArrowTool.FromPoint
TArrowTool

property FromPoint: TPointXY;

Unit
TeeArrowTool

Description
Defines the point from where to start drawing the arrow.


TArrowTool.Gradient

TArrowTool.Gradient
TArrowTool

property Gradient: TTeeGradient;

Unit
TeeArrowTool

Description
The Gradient property specifies the colors used to fill a zone. The zone is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


TArrowTool.Height

TArrowTool.Height
TArrowTool

property Height: Integer;

Unit
TeeArrowTool

Description
Sets the height of the arrow head as a portion of the overall arrow length.


TArrowTool.Hierarchy

Unit
TeeArrowTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TArrowTool

Classes derived from TArrowTool
(none)


TArrowTool.Percent

TArrowTool.Percent
TArrowTool

property Percent: Double;

Unit
TeeArrowTool

Description
Sets the width of the arrow line as a percentage of the arrow head width.


TArrowTool.Selected

TArrowTool.Selected
TArrowTool

property Selected: Boolean;

Unit
TeeArrowTool

Description
The Selected property returns the arrow or arrows that are currently selected.
Selected arrows are displayed with additional small squares indicating the selection.

It returns "nil" if no arrows are selected.

Setting Selected to "nil" removes (clears) the current selection.

ChartTool1.Selected := nil ;


TArrowTool.ToPoint

TArrowTool.ToPoint
TArrowTool

property ToPoint: TPointXY;

Unit
TeeArrowTool

Description
Defines the end point of the arrow.


TArrowTool.Transparency

TArrowTool.Transparency
TArrowTool

property Transparency: TTeeTransparency;

Unit
TeeArrowTool

Description
Sets the transparency level from 0 to 100% for the interior of the arrow.


TArrowTool.Width

TArrowTool.Width
TArrowTool

property Width: Integer;

Unit
TeeArrowTool

Description
Deterines the width of the Arrow including the arrow head.


TArrowTool.Z

TArrowTool.Z
TArrowTool

property Z: Integer;

Unit
TeeArrowTool

Description
Determines the position of the Arrow on the Z axis.


TAskLanguage.0events

TAskLanguage events
TAskLanguage Legend key

Unit
TeeTranslate

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAskLanguage.0methods

TAskLanguage methods
TAskLanguage Legend key

Unit
TeeTranslate

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAskLanguage.0properties

TAskLanguage properties
TAskLanguage Legend key

Unit
TeeTranslate

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAskLanguage.Hierarchy

Unit
TeeTranslate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TAskLanguage

Classes derived from TAskLanguage
(none)


TATRFunction.0events

TATRFunction events
TATRFunction Legend key

Unit
CandleCh

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TATRFunction.0methods

TATRFunction methods
TATRFunction Legend key

Unit
CandleCh

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TATRFunction.0properties

TATRFunction properties
TATRFunction Legend key

Unit
CandleCh

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TATRFunction.Hierarchy

Unit
CandleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TATRFunction

Classes derived from TATRFunction
(none)


TAverageTeeFunction.0events

TAverageTeeFunction events
TAverageTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAverageTeeFunction.0methods

TAverageTeeFunction methods
TAverageTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAverageTeeFunction.0properties

TAverageTeeFunction properties
TAverageTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAverageTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TAverageTeeFunction

Classes derived from TAverageTeeFunction
(none)


TAxisAccess.0events

TAxisAccess events
TAxisAccess Legend key

Unit
TeeAxisBreaks

Derived from TChartAxis
OnDrawLabel

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TAxisAccess.0methods

TAxisAccess methods
TAxisAccess Legend key

Unit
TeeAxisBreaks

Derived from TChartAxis
AdjustMaxMin
AdjustMaxMinRect
CalcIncrement
CalcLabelStyle
CalcMinMax
CalcSizeValue
CalcXYIncrement
Clicked
CustomDraw
CustomDrawMinMax
CustomDrawMinMaxStartEnd
CustomDrawStartEnd
Draw
DrawAxisLabel
Hide
InternalCalcPosPoint
IsDateTime
LabelHeight
LabelValue
LabelWidth
MaxLabelsWidth
Scroll
SetMinMax

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAxisAccess.0properties

TAxisAccess properties
TAxisAccess Legend key

Unit
TeeAxisBreaks

Derived from TChartAxis
Automatic
AutomaticMaximum
AutomaticMinimum
Axis
AxisValuesFormat
DateTimeFormat
EndPosition
ExactDateTime
Grid
GridCentered
Horizontal
Increment
Inverted
IsDepthAxis
Items
Labels
LabelsAlign
LabelsAlternate
LabelsAngle
LabelsBehind
LabelsExponent
LabelsFont
LabelsMultiLine
LabelsOnAxis
LabelsSeparation
LabelsSize
LabelStyle
Logarithmic
LogarithmicBase
MasterAxis
Maximum
MaximumOffset
MaximumRound
Minimum
MinimumOffset
MinimumRound
MinorGrid
MinorTickCount
MinorTickLength
MinorTicks
OtherSide
ParentChart
PartnerAxis
PosAxis
PositionPercent
PositionUnits
PosLabels
PosTitle
RoundFirstLabel
StartPosition
TickInnerLength
TickLength
TickOnLabelsOnly
Ticks
TicksInner
Title
TitleSize
UsePartnerAxis
Visible
ZPosition

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TAxisAccess.Hierarchy

Unit
TeeAxisBreaks

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TChartAxis
|
TAxisAccess

Classes derived from TAxisAccess
(none)


TAxisArrowTool.0events

TAxisArrowTool events
TAxisArrowTool Legend key

Unit
TeeTools

In TAxisArrowTool
OnClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAxisArrowTool.0methods

TAxisArrowTool methods
TAxisArrowTool Legend key

Unit
TeeTools

In TAxisArrowTool
Description
LongDescription

Derived from TTeeCustomToolAxis
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAxisArrowTool.0properties

TAxisArrowTool properties
TAxisArrowTool Legend key

Unit
TeeTools

In TAxisArrowTool
HeadWidth
Length
Position
ScrollInverted
ScrollPercent
SizePercent

Derived from TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAxisArrowTool.Description

TAxisArrowTool.Description
TAxisArrowTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Axis Arrows'.


TAxisArrowTool.HeadWidth

TAxisArrowTool.HeadWidth
TAxisArrowTool

property HeadWidth: Integer;

Unit
TeeTools

Description
HeadWidth determines the width of the arrow head in pixels.


TAxisArrowTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis
|
TAxisArrowTool

Classes derived from TAxisArrowTool
(none)


TAxisArrowTool.Length

TAxisArrowTool.Length
TAxisArrowTool

property Length: Integer;

Unit
TeeTools

Description
Default value is 16. Determines the size of the arrow.


TAxisArrowTool.LongDescription

TAxisArrowTool.LongDescription
TAxisArrowTool

function LongDescription: String; override;

Unit
TeeTools

Description
Tools LongDescription.


TAxisArrowTool.OnClick

TAxisArrowTool.OnClick
TAxisArrowTool

property OnClick: TAxisArrowClickEvent;

Unit
TeeTools

Description
Called when the end user clicks an arrow.


TAxisArrowTool.Position

TAxisArrowTool.Position
TAxisArrowTool

property Position: TAxisArrowToolPosition;

Unit
TeeTools

Description
Set the Position property to specify where on the Axis the arrows are drawn.

The following values are possible for the Position:

aaStart Draws an error at the beginning of the Axis, assigned to the Axis property
aaEnd Draws an error at the end of the Axis, assigned to the Axis property
aaBoth Draws an error at the beginning and end of the Axis, assigned to the Axis property


TAxisArrowTool.ScrollInverted

TAxisArrowTool.ScrollInverted
TAxisArrowTool

property ScrollInverted: Boolean;

Unit
TeeTools

Description
By default is False.

This property is used when clicking an arrow to scroll the axis.

If ScrollInverted is True, then for example clicking the right arrow on an horizontal axis will scroll the axis to the left.


TAxisArrowTool.ScrollPercent

TAxisArrowTool.ScrollPercent
TAxisArrowTool

property ScrollPercent: Integer;

Unit
TeeTools

Description
Default value is 10%.
Determines the percent of axis that will be scrolled each time an arrow is clicked.


TAxisArrowTool.SizePercent

TAxisArrowTool.SizePercent
TAxisArrowTool

property SizePercent: Integer;

Unit
TeeTools

Description
Size of Arrow stem as percentage of Arrowhead.


TAxisBreak.0events

TAxisBreak events
TAxisBreak Legend key

Unit
TeeAxisBreaks

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TAxisBreak.0methods

TAxisBreak methods
TAxisBreak Legend key

Unit
TeeAxisBreaks

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAxisBreak.0properties

TAxisBreak properties
TAxisBreak Legend key

Unit
TeeAxisBreaks

In TAxisBreak
AxisBreakStyle
Enabled
EndValue
StartValue

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TAxisBreak.AxisBreakStyle

TAxisBreak.AxisBreakStyle
TAxisBreak

property AxisBreakStyle: TAxisBreakStyle;

Unit
TeeAxisBreaks

Description
Sets the style to be used to draw the axis where the break is.
Style available are;
tabSmallZigZag
tabZigZag
tabLine
tabNone


TAxisBreak.Enabled

TAxisBreak.Enabled
TAxisBreak

property Enabled: Boolean;

Unit
TeeAxisBreaks

Description
Default; True
Allows Axis Breaks when True.


TAxisBreak.EndValue

TAxisBreak.EndValue
TAxisBreak

property EndValue: Double;

Unit
TeeAxisBreaks

Description
Set EndValue to the Axis position from where the axis break finishes.


TAxisBreak.Hierarchy

Unit
TeeAxisBreaks

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TAxisBreak

Classes derived from TAxisBreak
(none)


TAxisBreak.StartValue

TAxisBreak.StartValue
TAxisBreak

property StartValue: Double;

Unit
TeeAxisBreaks

Description
Set StartValue to the Axis position from where the axis break begins.


TAxisBreaksTool.0events

TAxisBreaksTool events
TAxisBreaksTool Legend key

Unit
TeeAxisBreaks

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAxisBreaksTool.0methods

TAxisBreaksTool methods
TAxisBreaksTool Legend key

Unit
TeeAxisBreaks

In TAxisBreaksTool
Description
LongDescription
TotalLength

Derived from TTeeCustomToolAxis
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAxisBreaksTool.0properties

TAxisBreaksTool properties
TAxisBreaksTool Legend key

Unit
TeeAxisBreaks

In TAxisBreaksTool
Breaks
GapSize
ScaleAdjustment

Derived from TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAxisBreaksTool.Breaks

TAxisBreaksTool.Breaks
TAxisBreaksTool

property Breaks: TAxisBreaks;

Unit
TeeAxisBreaks

Description
Returns the collection of breaks (TAxisBreaks) assigned to the Tool.


TAxisBreaksTool.Description

TAxisBreaksTool.Description
TAxisBreaksTool

function Description: String; override;

Unit
TeeAxisBreaks

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Axis Breaks'.


TAxisBreaksTool.GapSize

TAxisBreaksTool.GapSize
TAxisBreaksTool

property GapSize: Integer;

Unit
TeeAxisBreaks

Description
Gets or sets the gap size (in pixels) of all the breaks of the tool.
Integer Value.
Default value : 5


TAxisBreaksTool.Hierarchy

Unit
TeeAxisBreaks

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis
|
TAxisBreaksTool

Classes derived from TAxisBreaksTool
(none)


TAxisBreaksTool.LongDescription

TAxisBreaksTool.LongDescription
TAxisBreaksTool

function LongDescription: String; override;

Unit
TeeAxisBreaks

Description
Returns Tool's LongDescription.


TAxisBreaksTool.ScaleAdjustment

TAxisBreaksTool.ScaleAdjustment
TAxisBreaksTool

property ScaleAdjustment: Double;

Unit
TeeAxisBreaks

Description
Gets or sets the scale of the assigned tool axis.
Double value.
Default Value: 0.0000001


TAxisBreaksTool.TotalLength

TAxisBreaksTool.TotalLength
TAxisBreaksTool

function TotalLength(Const AFrom, ATo: Double): Double;

Unit
TeeAxisBreaks

Description
Returns the total length of all the axis breaks.


TAxisGridPen.0events

TAxisGridPen events
TAxisGridPen Legend key

Unit
TeEngine

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TAxisGridPen.0methods

TAxisGridPen methods
TAxisGridPen Legend key

Unit
TeEngine

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAxisGridPen.0properties

TAxisGridPen properties
TAxisGridPen Legend key

Unit
TeEngine

In TAxisGridPen
Centered
DrawEvery
ZPosition

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TAxisGridPen.Centered

TAxisGridPen.Centered
TAxisGridPen

property Centered: Boolean;

Unit
TeEngine

Description
Default : False

When True, axis grid lines are displayed using the middle point between axis labels.

When False (the default), grid lines display at axis label positions.


TAxisGridPen.DrawEvery

TAxisGridPen.DrawEvery
TAxisGridPen

property DrawEvery: Integer;

Unit
TeEngine

Description
Use DrawEvery to set the distance between consecutive grid lines.


TAxisGridPen.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TDottedGrayPen
|
TAxisGridPen

Classes derived from TAxisGridPen
(none)


TAxisGridPen.ZPosition

TAxisGridPen.ZPosition
TAxisGridPen

property ZPosition: Double;

Unit
TeEngine

Description
The 3D position ( from 0 to 100 in percentage ) of grid lines.

A value of 0 means grid lines will be displayed to front chart side.
A value of 100 means grid lines will not display in 3D space.


TAxisItem.0methods

TAxisItem methods
TAxisItem Legend key

Unit
TeEngine

In TAxisItem
Repaint

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAxisItem.0properties

TAxisItem properties
TAxisItem Legend key

Unit
TeEngine

In TAxisItem
Format
LabelPos
Text
Value


TAxisItem.Format

TAxisItem.Format
TAxisItem

property Format: TTeeShape;

Unit
TeEngine

Description
The shape object properties that will be used to display all automatic axis labels.
This includes font, color, gradient, etc.

Note:
When the axis has custom labels (see Add method example), these formatting properties are not used.


TAxisItem.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TAxisItem

Classes derived from TAxisItem
(none)


TAxisItem.LabelPos

TAxisItem.LabelPos
TAxisItem

property LabelPos: Integer;

Unit
TeEngine


TAxisItem.Repaint

TAxisItem.Repaint
TAxisItem

procedure Repaint;

Unit
TeEngine

Description
Refreshes the whole chart.


TAxisItem.Text

TAxisItem.Text
TAxisItem

property Text: String;

Unit
TeEngine

Description
The text to display as axis label at specified Value position.


TAxisItem.Value

TAxisItem.Value
TAxisItem

property Value: Double;

Unit
TeEngine

Description
The position in axis scales where to display the axis label.


TAxisItems.0events

TAxisItems events
TAxisItems Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TAxisItems.0methods

TAxisItems methods
TAxisItems Legend key

Unit
TeEngine

In TAxisItems
Add
Clear
CopyFrom

Derived from TList
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TAxisItems.0properties

TAxisItems properties
TAxisItems Legend key

Unit
TeEngine

In TAxisItems
Automatic
Format
Item

Derived from TList
Capacity
Count
Items
List


TAxisItems.Add

TAxisItems.Add
TAxisItems

function Add(Const Value: Double; Const Text: String): TAxisItem;

Unit
TeEngine

Description
Adds a new custom axis label to list.
Returns axis item object representing the new label.

with Chart1.Axes.Left do
begin
Items.Clear; // remove all custom labels

// add custom labels

Items.Add(123,'Hello').Font.Size:=16;

Items.Add(466,'Good'#13'Bye').Transparent:=False;

Items.Add(300);

with Items.Add(-100) do
begin
Transparent:=False;
Transparency:=50;
Color:=clBlue;
end;
end;


TAxisItems.Automatic

TAxisItems.Automatic
TAxisItems

property Automatic: Boolean;

Unit
TeEngine

Description
When True returns Control of Axis Items to Axis to add automatically calculated and assigned values.


TAxisItems.Clear

TAxisItems.Clear
TAxisItems

procedure Clear; override;

Unit
TeEngine

Description
Removes all custom axis label objects from list.
Axis will display all labels using default properties.

with Chart1.Axes.Left do
begin
Items.Clear; // remove all custom labels

// add custom labels

Items.Add(123,'Hello').Font.Size:=16;

Items.Add(466,'Good'#13'Bye').Transparent:=False;

Items.Add(300);

with Items.Add(-100) do
begin
Transparent:=False;
Transparency:=50;
Color:=clBlue;
end;
end;


TAxisItems.CopyFrom

TAxisItems.CopyFrom
TAxisItems

procedure CopyFrom(Source: TAxisItems);

Unit
TeEngine

Description
Internally used.
Copies (clones) all item objects from Source list.


TAxisItems.Format

TAxisItems.Format
TAxisItems

property Format: TTeeShape;

Unit
TeEngine

Description
The shape object properties that will be used to display all automatic axis labels.
This includes font, color, gradient, etc.

Note:
When the axis has custom labels (see Add method example), these formatting properties are not used.


TAxisItems.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TAxisItems

Classes derived from TAxisItems
(none)


TAxisItems.Item

TAxisItems.Item
TAxisItems

property Item[Index: Integer]: TAxisItem;

Unit
TeEngine

Description
Returns an individual axis label item object.

// set first custom axis label position to 123
Chart1.Axes.Left.Item[0].Value := 123 ;


TAxisScrollTool.0events

TAxisScrollTool events
TAxisScrollTool Legend key

Unit
TeeTools

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAxisScrollTool.0methods

TAxisScrollTool methods
TAxisScrollTool Legend key

Unit
TeeTools

In TAxisScrollTool
Description
LongDescription

Derived from TTeeCustomToolAxis
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TAxisScrollTool.0properties

TAxisScrollTool properties
TAxisScrollTool Legend key

Unit
TeeTools

In TAxisScrollTool
ScrollInverted

Derived from TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TAxisScrollTool.Description

TAxisScrollTool.Description
TAxisScrollTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Axis Scroll'.


TAxisScrollTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis
|
TAxisScrollTool

Classes derived from TAxisScrollTool
(none)


TAxisScrollTool.LongDescription

TAxisScrollTool.LongDescription
TAxisScrollTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns Tool's LongDescription.


TAxisScrollTool.ScrollInverted

TAxisScrollTool.ScrollInverted
TAxisScrollTool

property ScrollInverted: Boolean;

Unit
TeeTools

Description
Default: False

When ScrollInverted is True, as an example, dragging an horizontal axis from left to right will scroll the associated series from right to left.


TBackImage.0events

TBackImage events
TBackImage Legend key

Unit
TeeProcs

Derived from TPicture
Bitmap
Graphic
Height
Icon
Metafile
OnChange
OnProgress
PictureAdapter
Width


TBackImage.0methods

TBackImage methods
TBackImage Legend key

Unit
TeeProcs

In TBackImage
Draw

Derived from TTeePicture
AssignGraphic
Filtered

Derived from TPicture
Assign
AssignTo
Changed
Create
DefineProperties
Destroy
ForceType
GetBitmap
GetHeight
GetIcon
GetMetafile
GetWidth
LoadFromClipboardFormat
LoadFromFile
LoadFromStream
Progress
ReadData
RegisterClipboardFormat
RegisterFileFormat
RegisterFileFormatRes
SaveToClipboardFormat
SaveToFile
SaveToStream
SetBitmap
SetGraphic
SetIcon
SetMetafile
SupportsClipboardFormat
UnregisterGraphicClass
WriteData

Derived from TInterfacedPersistent
_AddRef
_Release
AfterConstruction
QueryInterface

Derived from TPersistent
AssignError
GetNamePath
GetOwner

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBackImage.0properties

TBackImage properties
TBackImage Legend key

Unit
TeeProcs

In TBackImage
Inside
Left
Mode
Top

Derived from TTeePicture
Filters

Derived from TPicture
Bitmap
Graphic
Height
Icon
Metafile
OnChange
OnProgress
PictureAdapter
Width


TBackImage.Draw

TBackImage.Draw
TBackImage

procedure Draw(Panel: TCustomTeePanelExtended; Rect: TRect; Z: Integer);

Unit
TeeProcs

Description
Draw BackImage to selected location on TCustomTeePanelExtended Canvas (can be Chart Panel).


TBackImage.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TInterfacedPersistent
|
TPicture
|
TTeePicture
|
TBackImage

Classes derived from TBackImage
(none)


TBackImage.Inside

TBackImage.Inside
TBackImage

property Inside: Boolean;

Unit
TeeProcs

Description
Default = False

When True, the Chart BackImage is displayed at Chart "axes boundaries" rectangle defined by Chart1.ChartRect property.

When False, the image is used to fill the whole chart panel.


TBackImage.Left

TBackImage.Left
TBackImage

property Left: Integer;

Unit
TeeProcs

Description
Default is zero.

Origin horizontal coordinate in pixels to display the chart background image picture.


TBackImage.Mode

TBackImage.Mode
TBackImage

property Mode: TTeeBackImageMode;

Unit
TeeProcs

Description
Controls how the background image is displayed.


TBackImage.Top

TBackImage.Top
TBackImage

property Top: Integer;

Unit
TeeProcs

Description
Default is zero.

Origin vertical coordinate in pixels to display the chart background image picture.


TBannerTool.0events

TBannerTool events
TBannerTool Legend key

Unit
TeeBannerTool

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBannerTool.0methods

TBannerTool methods
TBannerTool Legend key

Unit
TeeBannerTool

In TBannerTool
Description
LongDescription

Derived from TAnnotationTool
Clicked

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBannerTool.0properties

TBannerTool properties
TBannerTool Legend key

Unit
TeeBannerTool

In TBannerTool
Blink
BlinkDelayOff
BlinkDelayOn
Scroll
ScrollDelay
ScrollDirection
ScrollStep

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBannerTool.Blink

TBannerTool.Blink
TBannerTool

property Blink: Boolean;

Unit
TeeBannerTool

Description
Set Blinking True for Banner.


TBannerTool.BlinkDelayOff

TBannerTool.BlinkDelayOff
TBannerTool

property BlinkDelayOff: Integer;

Unit
TeeBannerTool

Description
Time in milliseconds that Banner is not visible when Blink is True.


TBannerTool.BlinkDelayOn

TBannerTool.BlinkDelayOn
TBannerTool

property BlinkDelayOn: Integer;

Unit
TeeBannerTool

Description
Time in milliseconds that Banner is visible when Blink is True.


TBannerTool.Description

TBannerTool.Description
TBannerTool

function Description: String; override;

Unit
TeeBannerTool

Description
Return Tool Description.


TBannerTool.Hierarchy

Unit
TeeBannerTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TBannerTool

Classes derived from TBannerTool
(none)


TBannerTool.LongDescription

TBannerTool.LongDescription
TBannerTool

function LongDescription: String; override;

Unit
TeeBannerTool

Description
Return Tool LongDescription.


TBannerTool.Scroll

TBannerTool.Scroll
TBannerTool

property Scroll: Boolean;

Unit
TeeBannerTool

Description
Scrolls banner text when True.


TBannerTool.ScrollDelay

TBannerTool.ScrollDelay
TBannerTool

property ScrollDelay: Integer;

Unit
TeeBannerTool

Description
Time in milliseconds between each Scroll step when Scroll is True.


TBannerTool.ScrollDirection

TBannerTool.ScrollDirection
TBannerTool

property ScrollDirection: TScrollDirection;

Unit
TeeBannerTool

Description
Direction for scrolling text.


TBannerTool.ScrollStep

TBannerTool.ScrollStep
TBannerTool

property ScrollStep: Integer;

Unit
TeeBannerTool

Description
Sets the distance in pixels between each scroll step. The larger the ScrollStep value the faster the banner image or text appears to move.
Default:- 5


TBar3DSeries.0events

TBar3DSeries events
TBar3DSeries Legend key

Unit
Bar3D

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBar3DSeries.0methods

TBar3DSeries methods
TBar3DSeries Legend key

Unit
Bar3D

In TBar3DSeries
AddBar
GetOriginValue

Derived from TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawBar
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
Clicked
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBar3DSeries.0properties

TBar3DSeries properties
TBar3DSeries Legend key

Unit
Bar3D

In TBar3DSeries
OffsetValues

Derived from TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBar3DSeries.AddBar

TBar3DSeries.AddBar
TBar3DSeries

function AddBar(Const AX, AY, AOffset: Double; Const AXLabel: String; AColor: TColor): Integer;

Unit
Bar3D

Description
Call AddBar function to insert a new bar in the Series.
The new bar has AX,AY and AOffset values.

AXLabel is optional and can be empty ('').

The AColor is optional (can be clTeeColor)

Series1.AddBar( 0, 1234, 123 );

The function returns the new bar position in the Values List.


TBar3DSeries.GetOriginValue

TBar3DSeries.GetOriginValue
TBar3DSeries

function GetOriginValue(ValueIndex: Integer): Double; override;

Unit
Bar3D

Description
Returns the base value for the specified ValueIndex parameter, in axis scales, using the OffsetValues property.


TBar3DSeries.Hierarchy

Unit
Bar3D

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries
|
TBar3DSeries

Classes derived from TBar3DSeries
(none)


TBar3DSeries.OffsetValues

TBar3DSeries.OffsetValues
TBar3DSeries

property OffsetValues: TChartValueList;

Unit
Bar3D

Description
Set OffsetValues property to specify a different ORIGIN value for EACH bar point.
This can be used with standard TBarSeries series components to make a "Stacked-3D" chart type.

Series1.OffsetValues[3]:= 25;


TBarJoinSeries.0events

TBarJoinSeries events
TBarJoinSeries Legend key

Unit
MyPoint

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBarJoinSeries.0methods

TBarJoinSeries methods
TBarJoinSeries Legend key

Unit
MyPoint

In TBarJoinSeries
NumSampleValues

Derived from TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawBar
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
Clicked
DrawValuesForward
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBarJoinSeries.0properties

TBarJoinSeries properties
TBarJoinSeries Legend key

Unit
MyPoint

In TBarJoinSeries
JoinPen

Derived from TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBarJoinSeries.Hierarchy

Unit
MyPoint

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries
|
TBarJoinSeries

Classes derived from TBarJoinSeries
(none)


TBarJoinSeries.JoinPen

TBarJoinSeries.JoinPen
TBarJoinSeries

property JoinPen: TChartPen;

Unit
MyPoint

Description
Read JoinPen to obtain the TChartPen object that represents the color and style of the line used to draw a line between each bar point, at the top position. Use the properties of JoinPen to change the color or style.


TBarJoinSeries.NumSampleValues

TBarJoinSeries.NumSampleValues
TBarJoinSeries

function NumSampleValues: Integer; override;

Unit
MyPoint

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TBarSeries.0events

TBarSeries events
TBarSeries Legend key

Unit
Series

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBarSeries.0methods

TBarSeries methods
TBarSeries Legend key

Unit
Series

In TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawBar
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
Clicked
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBarSeries.0properties

TBarSeries properties
TBarSeries Legend key

Unit
Series

In TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBarSeries.BarWidth

TBarSeries.BarWidth
TBarSeries

property BarWidth: Integer;

Unit
Series

Description
Run time and read only. The BarWidth property returns the width of vertical Bars in pixels. Bar widths change at run-time when resizing or zooming the Chart. BarWidth is a read-only property. You can use the CustomBarWidth property to set a fixed pixels Bar width.


TBarSeries.CalcBarBounds

TBarSeries.CalcBarBounds
TBarSeries

function CalcBarBounds(ValueIndex: Integer): TRect; override;

Unit
Series

Description

Given a bar value index, this method calculates the bar series BarBounds rectangle property.
BarBounds rectangle defines the enclosing rectangle in pixels that a given bar point needs to display in 2D.


TBarSeries.CalcXPos

TBarSeries.CalcXPos
TBarSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TBarSeries.CalcYPos

TBarSeries.CalcYPos
TBarSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TBarSeries.CustomBarWidth

TBarSeries.CustomBarWidth
TBarSeries

property CustomBarWidth: Integer;

Unit
Series

Description
Default: 0
The CustomBarWidth property determines the fixed Bar width in pixels. You can use the BarWidth property to get the current Bar width in pixels.


TBarSeries.DrawBar

TBarSeries.DrawBar
TBarSeries

procedure DrawBar(BarIndex, StartPos, EndPos: Integer); override;

Unit
Series

Description

DrawBar is used internally to display each Bar using StartPos and EndPos parameters as pixel positions.


TBarSeries.DrawSeriesForward

TBarSeries.DrawSeriesForward
TBarSeries

function DrawSeriesForward(ValueIndex: Integer): Boolean; override;

Unit
Series

Description
Internal use.
Returns True when points in Bar series should be displayed in ascending order (from point zero) or in descending order from last area point.


TBarSeries.GetOriginPos

TBarSeries.GetOriginPos
TBarSeries

function GetOriginPos(ValueIndex: Integer): Integer;

Unit
Series

Description
The GetOriginPos function returns the corresponding screen pixels coordinate of the leftmost horizontal bar edge.

When MultiBar property is different than Stacked or Stacked 100%, this function returns the YOrigin screen coordinate.

When several bar Series are stacked, this function returns a different screen coordinate for each Series.

The ValueIndex parameter specifies the bar index.


TBarSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries

Classes derived from TBarSeries
TBar3DSeries
TBarJoinSeries
TCustomErrorSeries
TImageBarSeries


TBaseFunctionEditor.0events

TBaseFunctionEditor events
TBaseFunctionEditor Legend key

Unit
TeeBaseFuncEdit

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBaseFunctionEditor.0methods

TBaseFunctionEditor methods
TBaseFunctionEditor Legend key

Unit
TeeBaseFuncEdit

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBaseFunctionEditor.0properties

TBaseFunctionEditor properties
TBaseFunctionEditor Legend key

Unit
TeeBaseFuncEdit

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBaseFunctionEditor.Hierarchy

Unit
TeeBaseFuncEdit

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TBaseFunctionEditor

Classes derived from TBaseFunctionEditor
TADXFuncEditor
TAlligatorFuncEditor
TBollingerFuncEditor
TCCIFuncEditor
TCLVFuncEditor
TCompressFuncEditor
TCurveFittingEditor
TCustomFunctionEditor
TExpAveFuncEditor
TMACDFuncEditor
TMovAveFuncEditor
TOBVFuncEditor
TPVOFuncEditor
TRVIFuncEditor
TSARFuncEditor
TSmoothFuncEditor
TSubsetFuncEditor
TTeeFunctionEditor


TBaseHighLowSeries.0events

TBaseHighLowSeries events
TBaseHighLowSeries Legend key

Unit
ErrorBar

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBaseHighLowSeries.0methods

TBaseHighLowSeries methods
TBaseHighLowSeries Legend key

Unit
ErrorBar

In TBaseHighLowSeries
AddHighLow
MaxYValue
MinYValue

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBaseHighLowSeries.0properties

TBaseHighLowSeries properties
TBaseHighLowSeries Legend key

Unit
ErrorBar

In TBaseHighLowSeries
HighValues
LowValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBaseHighLowSeries.AddHighLow

TBaseHighLowSeries.AddHighLow
TBaseHighLowSeries

function AddHighLow(Const AX, AHigh, ALow: Double; Const AXLabel: String; AColor: TColor): Integer;

Unit
ErrorBar

Description
Add new datapoint at x displacement AX, and with Y values AHigh and ALow.


TBaseHighLowSeries.Hierarchy

Unit
ErrorBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TBaseHighLowSeries

Classes derived from TBaseHighLowSeries
THighLowLineSeries
THighLowSeries


TBaseHighLowSeries.HighValues

TBaseHighLowSeries.HighValues
TBaseHighLowSeries

property HighValues: TChartValueList;

Unit
ErrorBar

Description
ValueList of Series HighValues.


TBaseHighLowSeries.LowValues

TBaseHighLowSeries.LowValues
TBaseHighLowSeries

property LowValues: TChartValueList;

Unit
ErrorBar

Description
ValueList of Series LowValues.


TBaseHighLowSeries.MaxYValue

TBaseHighLowSeries.MaxYValue
TBaseHighLowSeries

function MaxYValue: Double; override;

Unit
ErrorBar

Description
Returns MaxYValue.


TBaseHighLowSeries.MinYValue

TBaseHighLowSeries.MinYValue
TBaseHighLowSeries

function MinYValue: Double; override;

Unit
ErrorBar

Description
Returns MinYValue.


TBevelFilter.0events

TBevelFilter events
TBevelFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TBevelFilter.0methods

TBevelFilter methods
TBevelFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBevelFilter.0properties

TBevelFilter properties
TBevelFilter Legend key

Unit
TeeFilters

In TBevelFilter
Bright
Size

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TBevelFilter.Bright

TBevelFilter.Bright
TBevelFilter

property Bright: Integer;

Unit
TeeFilters

Description
Increase/decrease brightness of the Bevel.


TBevelFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TBevelFilter

Classes derived from TBevelFilter
(none)


TBevelFilter.Size

TBevelFilter.Size
TBevelFilter

property Size: Integer;

Unit
TeeFilters

Description
Increase/decrease size of the Bevel.


TBezierSeries.0events

TBezierSeries events
TBezierSeries Legend key

Unit
TeeBezie

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBezierSeries.0methods

TBezierSeries methods
TBezierSeries Legend key

Unit
TeeBezie

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBezierSeries.0properties

TBezierSeries properties
TBezierSeries Legend key

Unit
TeeBezie

In TBezierSeries
BezierStyle
NumBezierPoints

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBezierSeries.BezierStyle

TBezierSeries.BezierStyle
TBezierSeries

property BezierStyle: TBezierStyle;

Unit
TeeBezie

Description
Select the Bezier style type for the Bezier plot. See TBezierStyle for more information.


TBezierSeries.Hierarchy

Unit
TeeBezie

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TBezierSeries

Classes derived from TBezierSeries
(none)


TBezierSeries.NumBezierPoints

TBezierSeries.NumBezierPoints
TBezierSeries

property NumBezierPoints: Integer;

Unit
TeeBezie

Description
Default 32


TBigCandleSeries.0events

TBigCandleSeries events
TBigCandleSeries Legend key

Unit
BigCandl

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBigCandleSeries.0methods

TBigCandleSeries methods
TBigCandleSeries Legend key

Unit
BigCandl

Derived from TCandleSeries
AddCandle
Clicked
ClickedCandle
LegendItemColor
MaxYValue
MinYValue

Derived from TOHLCSeries
AddOHLC
GetRandomOHLC
IsValidSourceOf
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBigCandleSeries.0properties

TBigCandleSeries properties
TBigCandleSeries Legend key

Unit
BigCandl

In TBigCandleSeries
HorizGap
VertGap

Derived from TCandleSeries
CandleDepth
CandleStyle
CandleWidth
CloseTickColor
ColorStyle
Dark3D
DownCloseColor
DownCloseGradient
Draw3D
HighLowPen
OpenTickColor
Pen
ShowCloseTick
ShowOpenTick
UpCloseColor
UpCloseGradient

Derived from TOHLCSeries
CloseValues
DateValues
HighValues
LowValues
OpenValues

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBigCandleSeries.Hierarchy

Unit
BigCandl

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TOHLCSeries
|
TCandleSeries
|
TBigCandleSeries

Classes derived from TBigCandleSeries
(none)


TBigCandleSeries.HorizGap

TBigCandleSeries.HorizGap
TBigCandleSeries

property HorizGap: Integer;

Unit
BigCandl

Description
Set HorizGap property to define a custom horizontal gap between the OpenValues and CloseValues.
Default HorizGap value is 20.


TBigCandleSeries.VertGap

TBigCandleSeries.VertGap
TBigCandleSeries

property VertGap: Integer;

Unit
BigCandl

Description
Set VertGap property to define a custom vertival gap between the LowValues and HighValues.
Default VertGap value is 6.


TBlackIsBackTheme.0methods

TBlackIsBackTheme methods
TBlackIsBackTheme Legend key

Unit
TeeThemes

In TBlackIsBackTheme
Description

Derived from TDefaultTheme
Apply

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBlackIsBackTheme.Description

TBlackIsBackTheme.Description
TBlackIsBackTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "BlackIsBlack"


TBlackIsBackTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TOperaTheme
|
TBlackIsBackTheme

Classes derived from TBlackIsBackTheme
(none)


TBlueSkyTheme.0methods

TBlueSkyTheme methods
TBlueSkyTheme Legend key

Unit
TeeThemes

In TBlueSkyTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBlueSkyTheme.Apply

TBlueSkyTheme.Apply
TBlueSkyTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies BlueStyke visual formatting properties to Chart parameter.


TBlueSkyTheme.Description

TBlueSkyTheme.Description
TBlueSkyTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Blue Sky"


TBlueSkyTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TBlueSkyTheme

Classes derived from TBlueSkyTheme
(none)


TBlurFilter.0events

TBlurFilter events
TBlurFilter Legend key

Unit
TeCanvas

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TBlurFilter.0methods

TBlurFilter methods
TBlurFilter Legend key

Unit
TeCanvas

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBlurFilter.0properties

TBlurFilter properties
TBlurFilter Legend key

Unit
TeCanvas

In TBlurFilter
Amount
Steps

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TBlurFilter.Amount

TBlurFilter.Amount
TBlurFilter

property Amount: Integer;

Unit
TeCanvas

Description
Blur amount. Default 1.


TBlurFilter.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TConvolveFilter
|
TBlurFilter

Classes derived from TBlurFilter
(none)


TBlurFilter.Steps

TBlurFilter.Steps
TBlurFilter

property Steps: Integer;

Unit
TeCanvas

Description
Increase the steps to increase blur cycles over the same area (in effect increasing blur).


TBMPExportFormat.0methods

TBMPExportFormat methods
TBMPExportFormat Legend key

Unit
TeeBmpOptions

In TBMPExportFormat
Bitmap
Description
FileExtension
GraphicClass
Options
SaveToStream

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBMPExportFormat.Bitmap

TBMPExportFormat.Bitmap
TBMPExportFormat

function Bitmap(Const AOptions: TBMPOptions): TBitmap;

Unit
TeeBmpOptions

Description
Returns the bitmap created in the export class. Use SaveToFile or SaveToStream to save the output.


TBMPExportFormat.Description

TBMPExportFormat.Description
TBMPExportFormat

function Description: String; override;

Unit
TeeBmpOptions

Description
Returns "Bitmap" as the description for the bitmap format.


TBMPExportFormat.FileExtension

TBMPExportFormat.FileExtension
TBMPExportFormat

function FileExtension: String; override;

Unit
TeeBmpOptions

Description
Returns "bmp" (the extension for bitmap images)


TBMPExportFormat.GraphicClass

TBMPExportFormat.GraphicClass
TBMPExportFormat

function GraphicClass: TGraphicClass; override;

Unit
TeeBmpOptions

Description

Returns Graphics unit TBitmap class.


TBMPExportFormat.Hierarchy

Unit
TeeBmpOptions

Hierarchy

TObject
|
TTeeExportFormat
|
TBMPExportFormat

Classes derived from TBMPExportFormat
(none)


TBMPExportFormat.Options

TBMPExportFormat.Options
TBMPExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeeBmpOptions

Description
Creates and returns a Form of type TBMPOptions.
This form enables to configure specific properties when exporting charts to Bitmap format.


TBMPExportFormat.SaveToStream

TBMPExportFormat.SaveToStream
TBMPExportFormat

procedure SaveToStream(Stream: TStream); override;

Unit
TeeBmpOptions

Description
Stores the Chart into the Stream parameter as a Bitmap image.


TBollingerFunction.0events

TBollingerFunction events
TBollingerFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBollingerFunction.0methods

TBollingerFunction methods
TBollingerFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBollingerFunction.0properties

TBollingerFunction properties
TBollingerFunction Legend key

Unit
StatChar

In TBollingerFunction
Deviation
Exponential
LowBand
LowBandPen
UpperBandPen

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBollingerFunction.Deviation

TBollingerFunction.Deviation
TBollingerFunction

property Deviation: Double;

Unit
StatChar

Description
Default : 2

Deviation defines the standard deviation (StdDev) multiplier, used to calculate low and high Bollinger band value.


TBollingerFunction.Exponential

TBollingerFunction.Exponential
TBollingerFunction

property Exponential: Boolean;

Unit
StatChar

Description
Default : True

When Exponential is true, then exponential moving average function will be used to calculate mean value. Otherwise standard moving average function will be used to calculate mean value.


TBollingerFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TBollingerFunction

Classes derived from TBollingerFunction
(none)


TBollingerFunction.LowBand

TBollingerFunction.LowBand
TBollingerFunction

property LowBand: TChartSeries;

Unit
StatChar

Description
LowBand Series stores the low band (Mean - Deviation*StdDev) values. High band values (Mean + Deviation*StdDev) values are stored in the ParentSeries.


TBollingerFunction.LowBandPen

TBollingerFunction.LowBandPen
TBollingerFunction

property LowBandPen: TChartPen;

Unit
StatChar

Description
The pen use to display the lower band line.
Corresponds to LowBand.Pen property.


TBollingerFunction.UpperBandPen

TBollingerFunction.UpperBandPen
TBollingerFunction

property UpperBandPen: TChartPen;

Unit
StatChar

Description
The pen used to display the upper band line.


TBoxSeries.0events

TBoxSeries events
TBoxSeries Legend key

Unit
TeeBoxPlot

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBoxSeries.0methods

TBoxSeries methods
TBoxSeries Legend key

Unit
TeeBoxPlot

Derived from TCustomBoxSeries
Clicked
RecalcStats

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBoxSeries.0properties

TBoxSeries properties
TBoxSeries Legend key

Unit
TeeBoxPlot

Derived from TCustomBoxSeries
AdjacentPoint1
AdjacentPoint3
Box
ExtrOut
InnerFence1
InnerFence3
Median
MedianPen
MildOut
OuterFence1
OuterFence3
Position
Quartile1
Quartile3
SampleValues
UseCustomValues
WhiskerLength
WhiskerPen

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBoxSeries.Hierarchy

Unit
TeeBoxPlot

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TCustomBoxSeries
|
TBoxSeries

Classes derived from TBoxSeries
(none)


TBrightnessFilter.0events

TBrightnessFilter events
TBrightnessFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TBrightnessFilter.0methods

TBrightnessFilter methods
TBrightnessFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBrightnessFilter.0properties

TBrightnessFilter properties
TBrightnessFilter Legend key

Unit
TeeFilters

Derived from TAmountFilter
Amount
Percent

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TBrightnessFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TAmountFilter
|
TBrightnessFilter

Classes derived from TBrightnessFilter
(none)


TBSpline.0methods

TBSpline methods
TBSpline Legend key

Unit
TeeSpline

In TBSpline
AddPoint
Clear
Rebuild
Value

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBSpline.0properties

TBSpline properties
TBSpline Legend key

Unit
TeeSpline

In TBSpline
Build
Count
Fragments
Interpolated
Knuckle
NumberOfVertices
Point


TBSpline.AddPoint

TBSpline.AddPoint
TBSpline

procedure AddPoint(Const X, Y: TDataType);

Unit
TeeSpline

Description
Adds a new source point with specified X and Y values.


TBSpline.Build

TBSpline.Build
TBSpline

property Build: Boolean;

Unit
TeeSpline

Description
Indicates the spline has already calculated smooth points.

Set to False to force the spline to rebuild smooth points.

See example at Value property help.


TBSpline.Clear

TBSpline.Clear
TBSpline

procedure Clear;

Unit
TeeSpline

Description
Removes all source points.


TBSpline.Count

TBSpline.Count
TBSpline

property Count: Integer;

Unit
TeeSpline

Description
Returns the number of added source points.


TBSpline.Fragments

TBSpline.Fragments
TBSpline

property Fragments: Integer;

Unit
TeeSpline

Description
Gets or sets the number of resulting smooth points.
Must be a multiple of source points.

Example:

BSpline1.Fragments := BSpline1.Count * 4 ;

See another example at Value property help.


TBSpline.Hierarchy

Unit
TeeSpline

Hierarchy

TObject
|
TBSpline

Classes derived from TBSpline
(none)


TBSpline.Interpolated

TBSpline.Interpolated
TBSpline

property Interpolated: Boolean;

Unit
TeeSpline

Description
Default : False

When True, the spline will calculate interpolated points that will pass exactly over source points.
When False, the spline resulting points do not necessarily pass over source points.

See example at Value property help.


TBSpline.Knuckle

TBSpline.Knuckle
TBSpline

property Knuckle[Index: Integer]: Boolean;

Unit
TeeSpline

Description
Makes the Index source point a control point.
By default, TSmoothingFunction does not set any source point as control point.


TBSpline.NumberOfVertices

TBSpline.NumberOfVertices
TBSpline

property NumberOfVertices: Integer;

Unit
TeeSpline

Description
Returns the number of total source points.

For each point that is a control point ( Knuckle[ Index ] is True ), the number of vertices is incremented by 2.


TBSpline.Point

TBSpline.Point
TBSpline

property Point[Index: Integer]: TVertex;

Unit
TeeSpline

Description
Returns the index source point.


TBSpline.Rebuild

TBSpline.Rebuild
TBSpline

procedure Rebuild;

Unit
TeeSpline

Description
Calculates new smoothed points from internal list of points.

See example at Value property help.


TBSpline.Value

TBSpline.Value
TBSpline

function Value(Const Parameter: TDataType): TVertex;

Unit
TeeSpline

Description
Returns an interpolated point.

Uses TeeSpline;

var BSpline : TBSpline;

BSpline:=TBSpline.Create;
try
for t:=0 to 10 do
begin
BSpline.AddPoint(Random(100), Random(100) );
BSpline.Knuckle[t]:=False;
end;

BSpline.Interpolated:=Interpolate;
BSpline.Fragments:=10*4;

with BSpline
for t:=0 to Fragments do
with Value(t/Fragments) do
Series1.AddXY(x,y);
finally
BSpline.Free;
end;


TBubble3DSeries.0events

TBubble3DSeries events
TBubble3DSeries Legend key

Unit
TeePoin3

Derived from TPoint3DSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBubble3DSeries.0methods

TBubble3DSeries methods
TBubble3DSeries Legend key

Unit
TeePoin3

In TBubble3DSeries
AddBubble

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBubble3DSeries.0properties

TBubble3DSeries properties
TBubble3DSeries Legend key

Unit
TeePoin3

In TBubble3DSeries
RadiusValues

Derived from TPoint3DSeries
BaseLine
DepthSize
LinePen
Pointer

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBubble3DSeries.AddBubble

TBubble3DSeries.AddBubble
TBubble3DSeries

function AddBubble(Const AX, AY, AZ, ARadius: Double; Const AXLabel: String; AColor: TColor): Integer;

Unit
TeePoin3

Description
Adds a new bubble 3D point to the series.
Returns the point index.

Label text and Color parameters are optionals.


TBubble3DSeries.Hierarchy

Unit
TeePoin3

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TPoint3DSeries
|
TBubble3DSeries

Classes derived from TBubble3DSeries
(none)


TBubble3DSeries.RadiusValues

TBubble3DSeries.RadiusValues
TBubble3DSeries

property RadiusValues: TChartValueList;

Unit
TeePoin3

Description
Contains a Radius value for each bubble point in the series.
The Radius value is expressed in Y axis coordinates.


TBubbleSeries.0events

TBubbleSeries events
TBubbleSeries Legend key

Unit
BubbleCh

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBubbleSeries.0methods

TBubbleSeries methods
TBubbleSeries Legend key

Unit
BubbleCh

In TBubbleSeries
AddBubble
IsValidSourceOf
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TBubbleSeries.0properties

TBubbleSeries properties
TBubbleSeries Legend key

Unit
BubbleCh

In TBubbleSeries
RadiusValues
Squared

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TBubbleSeries.AddBubble

TBubbleSeries.AddBubble
TBubbleSeries

function AddBubble(Const AX, AY, ARadius: Double; Const AXLabel: String; AColor: TColor): Integer;

Unit
BubbleCh

Description
The AddBubble method appends a new Bubble point to the series points.
The Bubble point is assigned to be at AX,AY coordinates and have ARadius, Label and Color parameters.

You can optionally specify clTeeColor as Color parameter to draw it using a predefined color.

The Label parameter is optional, and its used to draw Axis Labels, Bubble Marks and Legend.


TBubbleSeries.Hierarchy

Unit
BubbleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TBubbleSeries

Classes derived from TBubbleSeries
(none)


TBubbleSeries.IsValidSourceOf

TBubbleSeries.IsValidSourceOf
TBubbleSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
BubbleCh

Description
The IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.


TBubbleSeries.NumSampleValues

TBubbleSeries.NumSampleValues
TBubbleSeries

function NumSampleValues: Integer; override;

Unit
BubbleCh

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TBubbleSeries.RadiusValues

TBubbleSeries.RadiusValues
TBubbleSeries

property RadiusValues: TChartValueList;

Unit
BubbleCh

Description
The RadiusValues property is a dynamic array that stores each Bubble point Radius value.
You can change Radius values by using the RadiusValues.Value[] array of doubles property:

BubbleSeries1.RadiusValues.Value[0] := 45.1 ;

This sets the first bubble point radius to 45.1

Use AddBubble and Delete methods to add and delete points.


TBubbleSeries.Squared

TBubbleSeries.Squared
TBubbleSeries

property Squared: Boolean;

Unit
BubbleCh

Description
Default value: True

The Squared property determines how Bubble size is calculated.
By default, the horizontal and vertical Bubble sizes are equal to each Bubble's radius.
When Squared is False, Bubble horizontal and vertical sizes are calculated independently based on Series axis scales.

Series1.Squared := False ;


TBusinessTheme.0methods

TBusinessTheme methods
TBusinessTheme Legend key

Unit
TeeThemes

In TBusinessTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TBusinessTheme.Apply

TBusinessTheme.Apply
TBusinessTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies business visual theme to Chart parameter.


TBusinessTheme.Description

TBusinessTheme.Description
TBusinessTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Business"


TBusinessTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TBusinessTheme

Classes derived from TBusinessTheme
TWindowsXPTheme


TButtonColor.0events

TButtonColor events
TButtonColor Legend key

Unit
TeCanvas

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TButtonColor.0methods

TButtonColor methods
TButtonColor Legend key

Unit
TeCanvas

In TButtonColor
Click

Derived from TTeeButton
LinkProperty

Derived from TButton
CMDialogChar
CMDialogKey
CMFocusChanged
CNCommand
CNCtlColorBtn
Create
CreateParams
CreateWnd
SetButtonStyle
SetDefault
UseRightToLeftAlignment
WMEraseBkgnd

Derived from TButtonControl
ActionChange
CNCtlColorStatic
GetActionLinkClass
GetChecked
IsCheckedStored
SetChecked
SetWordWrap
WndProc

Derived from TWinControl
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCtl3DChanged
CMCursorChanged
CMDesignHitTest
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
Destroy
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaint
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TButtonColor.0properties

TButtonColor properties
TButtonColor Legend key

Unit
TeCanvas

In TButtonColor
FullOpen
SymbolColor

Derived from TTeeButton
SymbolVisible
SymbolWidth

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TButtonColor.Click

TButtonColor.Click
TButtonColor

procedure Click; override;

Unit
TeCanvas

Description
Internal use.
ButtonColor overrides the Click method to display the Edit Color dialog.


TButtonColor.FullOpen

TButtonColor.FullOpen
TButtonColor

property FullOpen: Boolean;

Unit
TeCanvas

Description
If set to True ,when the user clicks over the ButtonColor Component a more extensive Color dialog appears than when the property is set to False allowing the user to specify a custom RGB Color directly through the same dialog.


TButtonColor.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TButtonControl
|
TButton
|
TTeeButton
|
TButtonColor

Classes derived from TButtonColor
(none)


TButtonColor.SymbolColor

TButtonColor.SymbolColor
TButtonColor

property SymbolColor: TColor;

Unit
TeCanvas

Description
The color currently being shown in the button.
You can get or set this color property when the button is not "linked" to any property.
See LinkProperty method.


TButtonGradient.0events

TButtonGradient events
TButtonGradient Legend key

Unit
TeeEdiGrad

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TButtonGradient.0methods

TButtonGradient methods
TButtonGradient Legend key

Unit
TeeEdiGrad

In TButtonGradient
Click
LinkGradient

Derived from TTeeButton
LinkProperty

Derived from TButton
CMDialogChar
CMDialogKey
CMFocusChanged
CNCommand
CNCtlColorBtn
Create
CreateParams
CreateWnd
SetButtonStyle
SetDefault
UseRightToLeftAlignment
WMEraseBkgnd

Derived from TButtonControl
ActionChange
CNCtlColorStatic
GetActionLinkClass
GetChecked
IsCheckedStored
SetChecked
SetWordWrap
WndProc

Derived from TWinControl
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCtl3DChanged
CMCursorChanged
CMDesignHitTest
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
Destroy
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaint
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TButtonGradient.0properties

TButtonGradient properties
TButtonGradient Legend key

Unit
TeeEdiGrad

In TButtonGradient
Editor
Gradient

Derived from TTeeButton
SymbolVisible
SymbolWidth

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TButtonGradient.Click

TButtonGradient.Click
TButtonGradient

procedure Click; override;

Unit
TeeEdiGrad

Description
Shows the TeeChart Gradient Editor dialog when the user clicks the button.


TButtonGradient.Editor

TButtonGradient.Editor
TButtonGradient

property Editor: TTeeGradientEditor;

Unit
TeeEdiGrad

Description
Returns associated Gradient Editor Dialog.


TButtonGradient.Gradient

TButtonGradient.Gradient
TButtonGradient

property Gradient: TCustomTeeGradient;

Unit
TeeEdiGrad

Description
The Gradient property specifies the colors used to fill the Button background. The background is filled using these two colors: StartColor and EndColor. You can control the drawing output by setting the TChartGradient.Direction property. Use the Visible property to show / hide filling.


TButtonGradient.Hierarchy

Unit
TeeEdiGrad

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TButtonControl
|
TButton
|
TTeeButton
|
TButtonGradient

Classes derived from TButtonGradient
(none)


TButtonGradient.LinkGradient

TButtonGradient.LinkGradient
TButtonGradient

procedure LinkGradient(Const Value: TCustomTeeGradient);

Unit
TeeEdiGrad

Description
Associates the Chart Gradient used to display the editor dialog.

Example:

ButtonPen1.LinkGradient(Chart1.Walls.Back.Gradient);


TButtonPen.0events

TButtonPen events
TButtonPen Legend key

Unit
TeePenDlg

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TButtonPen.0methods

TButtonPen methods
TButtonPen Legend key

Unit
TeePenDlg

In TButtonPen
Click
LinkPen

Derived from TTeeButton
LinkProperty

Derived from TButton
CMDialogChar
CMDialogKey
CMFocusChanged
CNCommand
CNCtlColorBtn
Create
CreateParams
CreateWnd
SetButtonStyle
SetDefault
UseRightToLeftAlignment
WMEraseBkgnd

Derived from TButtonControl
ActionChange
CNCtlColorStatic
GetActionLinkClass
GetChecked
IsCheckedStored
SetChecked
SetWordWrap
WndProc

Derived from TWinControl
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCtl3DChanged
CMCursorChanged
CMDesignHitTest
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
Destroy
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaint
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TButtonPen.0properties

TButtonPen properties
TButtonPen Legend key

Unit
TeePenDlg

In TButtonPen
Editor
Pen

Derived from TTeeButton
SymbolVisible
SymbolWidth

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TButtonPen.Click

TButtonPen.Click
TButtonPen

procedure Click; override;

Unit
TeePenDlg

Description
Shows the TeeChart Pen Editor dialog when the user clicks the button.


TButtonPen.Editor

TButtonPen.Editor
TButtonPen

property Editor: TPenDialog;

Unit
TeePenDlg

Description
Returns associated Pen Editor Dialog.


TButtonPen.Hierarchy

Unit
TeePenDlg

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TButtonControl
|
TButton
|
TTeeButton
|
TButtonPen

Classes derived from TButtonPen
(none)


TButtonPen.LinkPen

TButtonPen.LinkPen
TButtonPen

procedure LinkPen(APen: TChartPen);

Unit
TeePenDlg

Description
Associates the Chart Pen used to display the editor dialog.

Example:

ButtonPen1.LinkPen( Series1.LinePen );


TButtonPen.Pen

TButtonPen.Pen
TButtonPen

property Pen: TChartPen;

Unit
TeePenDlg

Description

The pen currently being associated with the TButtonPen.

See the LinkPen method as the way to set the Pen reference.


TCalendarCell.0methods

TCalendarCell methods
TCalendarCell Legend key

Unit
TeeCalendar

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCalendarCell.0properties

TCalendarCell properties
TCalendarCell Legend key

Unit
TeeCalendar

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TCalendarCell.Hierarchy

Unit
TeeCalendar

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeShape
|
TCalendarCell

Classes derived from TCalendarCell
TCalendarCellUpper


TCalendarCellUpper.0methods

TCalendarCellUpper methods
TCalendarCellUpper Legend key

Unit
TeeCalendar

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCalendarCellUpper.0properties

TCalendarCellUpper properties
TCalendarCellUpper Legend key

Unit
TeeCalendar

In TCalendarCellUpper
Format
UpperCase

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TCalendarCellUpper.Format

TCalendarCellUpper.Format
TCalendarCellUpper

property Format: String;

Unit
TeeCalendar

Description
Returns standard Datetime format of Weekday labels

Example

Default:
ShowMessage(Series1.WeekDays.Format);

Displays 'ddd';


TCalendarCellUpper.Hierarchy

Unit
TeeCalendar

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeShape
|
TCalendarCell
|
TCalendarCellUpper

Classes derived from TCalendarCellUpper
(none)


TCalendarCellUpper.UpperCase

TCalendarCellUpper.UpperCase
TCalendarCellUpper

property UpperCase: Boolean;

Unit
TeeCalendar

Description
Default False

When True sets text to uppercase.


TCalendarSeries.0events

TCalendarSeries events
TCalendarSeries Legend key

Unit
TeeCalendar

In TCalendarSeries
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCalendarSeries.0methods

TCalendarSeries methods
TCalendarSeries Legend key

Unit
TeeCalendar

In TCalendarSeries
CheckClick
ClickedDate
Month
NextMonth
NumSampleValues
PreviousMonth
RectCell
Rows
SeriesRect
UseAxis

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCalendarSeries.0properties

TCalendarSeries properties
TCalendarSeries Legend key

Unit
TeeCalendar

In TCalendarSeries
Columns
Date
Days
Months
NextButtonVisible
NextMonthButton
PopupMenu
PreviousButtonVisible
PreviousMonthButton
Sunday
Today
Trailing
WeekDays

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCalendarSeries.CheckClick

TCalendarSeries.CheckClick
TCalendarSeries

procedure CheckClick(x, y: Integer);

Unit
TeeCalendar

Description
Clicking the x,y co-ordinate of a Calendar cell with CheckClick selects that cell.


TCalendarSeries.ClickedDate

TCalendarSeries.ClickedDate
TCalendarSeries

function ClickedDate(x, y: Integer; Out ADate: TDateTime): Boolean;

Unit
TeeCalendar

Description
Triggered when Datebox is clicked.


TCalendarSeries.Columns

TCalendarSeries.Columns
TCalendarSeries

property Columns: Integer;

Unit
TeeCalendar

Description
Default 7.

Returns number of columns in Calendar grid. Normally 7 (Monday through to Sunday).


TCalendarSeries.Date

TCalendarSeries.Date
TCalendarSeries

property Date: TDateTime;

Unit
TeeCalendar

Description
Sets date cell of Calendar grid.

Example:

Series1.Date:=EncodeDate(2000,3,1);


TCalendarSeries.Days

TCalendarSeries.Days
TCalendarSeries

property Days: TCalendarCell;

Unit
TeeCalendar

Description
Sets characteristics (Colour, Brush, etc) of day cells on Calendar.

Example

Series1.Days.Font.Size:=12;


TCalendarSeries.Hierarchy

Unit
TeeCalendar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCalendarSeries

Classes derived from TCalendarSeries
(none)


TCalendarSeries.Month

TCalendarSeries.Month
TCalendarSeries

function Month: Word;

Unit
TeeCalendar

Description
Returns month number of currently displayed month.

Example

ShowMessage(IntToStr(Series1.Month));


TCalendarSeries.Months

TCalendarSeries.Months
TCalendarSeries

property Months: TCalendarCellUpper;

Unit
TeeCalendar

Description
Sets characteristics of Month text header in upper cells of Calendar.

Example

Calendar.Months.UpperCase:=True;


TCalendarSeries.NextButtonVisible

TCalendarSeries.NextButtonVisible
TCalendarSeries

property NextButtonVisible: Boolean;

Unit
TeeCalendar

Description
Set this property to false to hide the "next month" button.


TCalendarSeries.NextMonth

TCalendarSeries.NextMonth
TCalendarSeries

procedure NextMonth;

Unit
TeeCalendar

Description
Advances calendar display by one calendar month. If date is 31 of current month and next month has 30 days then NextMonth moves to 30th of next month.


TCalendarSeries.NextMonthButton

TCalendarSeries.NextMonthButton
TCalendarSeries

property NextMonthButton: TSpeedButton;

Unit
TeeCalendar

Description
Returns the button used to scroll the calendar to "next" month.


TCalendarSeries.NumSampleValues

TCalendarSeries.NumSampleValues
TCalendarSeries

function NumSampleValues: Integer; override;

Unit
TeeCalendar

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TCalendarSeries.OnChange

TCalendarSeries.OnChange
TCalendarSeries

property OnChange: TCalendarChangeEvent;

Unit
TeeCalendar

Description
Event triggered when Calendar grid display changes. Eg. after Series1.NextMonth method.


TCalendarSeries.PopupMenu

TCalendarSeries.PopupMenu
TCalendarSeries

property PopupMenu: TPopupMenu;

Unit
TeeCalendar

Description
Returns the popupmenu used by the calendar to show all the month names (when rightclicking the month name at the calendar).

This popupmenu is used to go to the desired month.


TCalendarSeries.PreviousButtonVisible

TCalendarSeries.PreviousButtonVisible
TCalendarSeries

property PreviousButtonVisible: Boolean;

Unit
TeeCalendar

Description
Set this property to false to hide the "previous month" button.


TCalendarSeries.PreviousMonth

TCalendarSeries.PreviousMonth
TCalendarSeries

procedure PreviousMonth;

Unit
TeeCalendar

Description
Moves displayed Calendar month back by one month.


TCalendarSeries.PreviousMonthButton

TCalendarSeries.PreviousMonthButton
TCalendarSeries

property PreviousMonthButton: TSpeedButton;

Unit
TeeCalendar

Description
Returns the button that is used to scroll the calendar to "previous month".


TCalendarSeries.RectCell

TCalendarSeries.RectCell
TCalendarSeries

function RectCell(Column, Row: Integer): TRect;

Unit
TeeCalendar

Description
Returns rectangle TRect of rectangle at Column, Row location. Top left is column 0, row 0.


TCalendarSeries.Rows

TCalendarSeries.Rows
TCalendarSeries

function Rows: Integer;

Unit
TeeCalendar

Description
Returns rowcount of Calendar grid.


TCalendarSeries.SeriesRect

TCalendarSeries.SeriesRect
TCalendarSeries

function SeriesRect: TRect;

Unit
TeeCalendar

Description
Returns rect of entire Grid display of Series.


TCalendarSeries.Sunday

TCalendarSeries.Sunday
TCalendarSeries

property Sunday: TCalendarCell;

Unit
TeeCalendar

Description
Sets characteristics of Sunday cells on Calendar.

Example

Series1.Sunday.Transparent:=not Series1.Sunday.Transparent;

toggles cell transparency.


TCalendarSeries.Today

TCalendarSeries.Today
TCalendarSeries

property Today: TCalendarCell;

Unit
TeeCalendar

Description
Sets cell characteristics on today's cell only.

Example

Series1.Today.Color:=clYellow;


TCalendarSeries.Trailing

TCalendarSeries.Trailing
TCalendarSeries

property Trailing: TCalendarCell;

Unit
TeeCalendar

Description
Sets characteristics of leading and trailing cells on Calendar (ie. those dates that do not fall into visible month but that fall into visible first and last week).

Example

Series1.Trailing.Color:=clwhite;
Series1.Trailing.Transparent:=False;


TCalendarSeries.UseAxis

TCalendarSeries.UseAxis
TCalendarSeries

function UseAxis: Boolean; override;

Unit
TeeCalendar

Description
Default False

Read-only property


TCalendarSeries.WeekDays

TCalendarSeries.WeekDays
TCalendarSeries

property WeekDays: TCalendarCellUpper;

Unit
TeeCalendar

Description
Sets characteristics of header cells on Calendar used to contain weekday names.

Example, toggle weekday visiblity

Series1.WeekDays.Visible:=not Series1.WeekDays.Visible;


TCallout.0methods

TCallout methods
TCallout Legend key

Unit
TeEngine

Derived from TSeriesPointer
Draw
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCallout.0properties

TCallout properties
TCallout Legend key

Unit
TeEngine

In TCallout
Arrow
ArrowHead
ArrowHeadSize
Distance

Derived from TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TCallout.Arrow

TCallout.Arrow
TCallout

property Arrow: TChartArrowPen;

Unit
TeEngine

Description
The pen used to display a line between a Series Mark and a Series point, and also used by Annotation tool to draw a line connecting the annotation and the series point.

In previous versions, this property was referred as "ArrowPen" ( Series1.Marks.ArrowPen )

Example of use:

Series1.Marks.Callout.Arrow.Color := clBlue


TCallout.ArrowHead

TCallout.ArrowHead
TCallout

property ArrowHead: TArrowHeadStyle;

Unit
TeEngine

Description
Determines if callout line will display an "arrow" head at the end or not.

See TArrowHeadStyle enumerated values for options.


TCallout.ArrowHeadSize

TCallout.ArrowHeadSize
TCallout

property ArrowHeadSize: Integer;

Unit
TeEngine

Description
The size in pixels to display the arrow head at the end of the callout line.


TCallout.Distance

TCallout.Distance
TCallout

property Distance: Integer;

Unit
TeEngine

Description
The length in pixels between a series point and the line connecting the series mark or annotation.


TCallout.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer
|
TCallout

Classes derived from TCallout
TAnnotationCallout
TMarksCallout


TCandleSeries.0events

TCandleSeries events
TCandleSeries Legend key

Unit
CandleCh

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCandleSeries.0methods

TCandleSeries methods
TCandleSeries Legend key

Unit
CandleCh

In TCandleSeries
AddCandle
Clicked
ClickedCandle
LegendItemColor
MaxYValue
MinYValue

Derived from TOHLCSeries
AddOHLC
GetRandomOHLC
IsValidSourceOf
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCandleSeries.0properties

TCandleSeries properties
TCandleSeries Legend key

Unit
CandleCh

In TCandleSeries
CandleDepth
CandleStyle
CandleWidth
CloseTickColor
ColorStyle
Dark3D
DownCloseColor
DownCloseGradient
Draw3D
HighLowPen
OpenTickColor
Pen
ShowCloseTick
ShowOpenTick
UpCloseColor
UpCloseGradient

Derived from TOHLCSeries
CloseValues
DateValues
HighValues
LowValues
OpenValues

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCandleSeries.AddCandle

TCandleSeries.AddCandle
TCandleSeries

function AddCandle(Const ADate: TDateTime; Const AOpen, AHigh, ALow, AClose: Double; Const ALabel: String; AColor: TColor): Integer; overload;

Unit
CandleCh

Description
The AddCandle function appends a new Stock Market point to the Series.
This function returns the corresponding point index for the new added point.

Series1.AddCandle( EncodeDate( 2002, 10, 16), 100, 120, 80, 90 );

Note:
If you want to skip "weekends", pass an incremental integer number to Date parameter of AddCandle method:

var tmp : Integer;
tmp := Series1.AddCandle( Series1.Count, 100, 120, 80, 90 );
Series1.Label[ tmp ]:= DateToStr( EncodeDate( 2002, 10, 16 ));


TCandleSeries.CandleDepth

TCandleSeries.CandleDepth
TCandleSeries

property CandleDepth: Integer;

Unit
CandleCh

Description
Sets the depth of the Candles in the Series in the Z plane when View3D is set to true.

Example:

Chart1.View3D:=true;
Series1.CandleDepth:=3;


TCandleSeries.CandleStyle

TCandleSeries.CandleStyle
TCandleSeries

property CandleStyle: TCandleStyle;

Unit
CandleCh

Description
Default Value: csCandleStick

The CandleStyle property indicates how will be Candle points drawn.
When it is csCandleStick, a vertical rectangle represents each candle point.
When it is csCandleBar, a vertical line is drawn, among Open and Close horizontal tick marks.
You can control both the candle colors and width.


TCandleSeries.CandleWidth

TCandleSeries.CandleWidth
TCandleSeries

property CandleWidth: Integer;

Unit
CandleCh

Description
Default value: 6

The CandleWidth property is the horizontal Candle Size. It is based on pixels for Screen charts.

When printing, this number is multiplied by the ratio between the Printer width and the Screen width.


TCandleSeries.Clicked

TCandleSeries.Clicked
TCandleSeries

function Clicked(x, y: Integer): Integer; override;

Unit
CandleCh

Description
Calculates which candle point contains xy parameters (in pixel coordinates).

Returns -1 if no candle point contains xy, or a number from 0 to Count-1 indicating the candle point.

Example of use:

At Chart1.OnMouseMove event, determine if the mouse cursor is over any candle point.

procedure TForm1.Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
Y: Integer);
var tmp : Integer;
begin
tmp:=Series1.Clicked(x,y);
if tmp=-1 then Caption:=''
else Caption:='Candle: '+IntToStr(tmp);
end;


TCandleSeries.ClickedCandle

TCandleSeries.ClickedCandle
TCandleSeries

function ClickedCandle(ValueIndex: Integer; Const P: TPoint): Boolean;

Unit
CandleCh

Description
Returns True if point "P" (in pixel coordinates) is inside Candle point at ValueIndex position.

Example:

The following code is equivalent to call Series1.Clicked method:

function CandleUnderMouse(Candle:TCandleSeries):Integer;
var t: Integer;
P: TPoint;
begin
P:=Candle.ParentChart.GetCursorPos;
for t:=0 to Candle.Count-1 do
if Candle.ClickedCandle(t,P) then
begin
result:=t;
exit;
end;
result:=-1;
end;


TCandleSeries.CloseTickColor

TCandleSeries.CloseTickColor
TCandleSeries

property CloseTickColor: TColor;

Unit
CandleCh

Description
Sets the colour for the close ticks.
Financial Candle series provides the option to customize the colors for open and close ticks when CandleStyle is csCandleBar.


TCandleSeries.ColorStyle

TCandleSeries.ColorStyle
TCandleSeries

property ColorStyle: TCandleColorStyle;

Unit
CandleCh

Description

Default value: cssRelativeToOpen

Possible values:

cssRelativeToOpen

(Default behaviour)
The Candle color is based on a given candle close price compared to its open price.

cssRelativeToClose

The Candle color is based on a given candle close price compared to its previous candle close price.


TCandleSeries.Dark3D

TCandleSeries.Dark3D
TCandleSeries

property Dark3D: Boolean;

Unit
CandleCh

Description
Default:=True;

Enables/disables dark shading for Candle points when Chart in 3D Orthogonal or 3D Native mode display.


TCandleSeries.DownCloseColor

TCandleSeries.DownCloseColor
TCandleSeries

property DownCloseColor: TColor;

Unit
CandleCh

Description
By default, UpCloseColor is clWhite and DownCloseColor is clRed.

Each Candle will be filled with a different color depending on its Open and Close values.

If Open value is greater than Close value, then the selected color will be the UpCloseColor color property.

If Close value is greater or equal than Open value, then the selected color will be the DownCloseColor color property.

Example:

You can change both at design or runtime the color values:

CandleSeries2.UpCloseColor := clGreen ;
CandleSeries2.DownCloseColor := clYellow ;

That will force to repaint the Chart component containing CandleSeries2.


TCandleSeries.DownCloseGradient

TCandleSeries.DownCloseGradient
TCandleSeries

property DownCloseGradient: TTeeGradient;

Unit
CandleCh

Description
The DownCloseGradient property specifies the color gradient used to fill the DownClose values.

The Candle color is based on a given candle close price compared to its previous candle close price.


TCandleSeries.Draw3D

TCandleSeries.Draw3D
TCandleSeries

property Draw3D: Boolean;

Unit
CandleCh

Description
Default False

When Chart in 3D mode, setting Draw3D to true paints Candle points in 3D.

Example

Series1.Draw3D:=True;


TCandleSeries.Hierarchy

Unit
CandleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TOHLCSeries
|
TCandleSeries

Classes derived from TCandleSeries
TBigCandleSeries
TDarvasSeries


TCandleSeries.HighLowPen

TCandleSeries.HighLowPen
TCandleSeries

property HighLowPen: TChartPen;

Unit
CandleCh

Description
Defines the pen properties used to draw the line from High value to Low value.

Note: HighLowPen is used only when the CandleStyle property is csCandle, and only when the Pen.Visible property is false.

When the Candle.Pen property is visible, HighLowPen is used only when HighLowPen.Color is different than "clTeeColor".


TCandleSeries.LegendItemColor

TCandleSeries.LegendItemColor
TCandleSeries

function LegendItemColor(LegendIndex: Integer): TColor; override;

Unit
CandleCh

Description
This function is internally called by the Chart Legend when displaying a legend item symbol of a candle point.

In this case, a Candle series returns the corresponding color of a given candle point, depending if the candle color is "up" or "down".

The LegendIndex parameter is equivalent to ValueIndex when Legend Style is "lsValues".


TCandleSeries.MaxYValue

TCandleSeries.MaxYValue
TCandleSeries

function MaxYValue: Double; override;

Unit
CandleCh

Description
Candle series overrides this method to return the highest value from Open, Close, High and Low lists.

When Candle style is "csLine", this method simply returns the highest Close value.

The chart axis use this method when axis are automatic to adjust axis scales to candle data.


TCandleSeries.MinYValue

TCandleSeries.MinYValue
TCandleSeries

function MinYValue: Double; override;

Unit
CandleCh

Description
Candle series overrides this method to return the lowest value from Open, Close, High and Low lists.

When Candle style is "csLine", this method simply returns the lowest Close value.

The chart axis use this method when axis are automatic to adjust axis scales to candle data.


TCandleSeries.OpenTickColor

TCandleSeries.OpenTickColor
TCandleSeries

property OpenTickColor: TColor;

Unit
CandleCh

Description
Sets the colour for the open ticks.
Financial Candle series provides the option to customize the colors for open and close ticks when CandleStyle is csCandleBar.


TCandleSeries.Pen

TCandleSeries.Pen
TCandleSeries

property Pen: TChartPen;

Unit
CandleCh

Description
The Pen property returns the CandlesSeries.Pointer.Pen property.


TCandleSeries.ShowCloseTick

TCandleSeries.ShowCloseTick
TCandleSeries

property ShowCloseTick: Boolean;

Unit
CandleCh

Description
Default True

The ShowCloseTick property controls if Close prices will be displayed.
This property has only effect when TCandleSeries.CandleStyle is set to csCandleBar.
The CandleWidth property determines the length in pixels of Open and Close ticks.


TCandleSeries.ShowOpenTick

TCandleSeries.ShowOpenTick
TCandleSeries

property ShowOpenTick: Boolean;

Unit
CandleCh

Description
Default True

The ShowOpenTick property controls if Open prices will be displayed.
This property has only effect when TCandleSeries.CandleStyle is set to csCandleBar.
The CandleWidth property determines the length in pixels of Open and Close ticks.


TCandleSeries.UpCloseColor

TCandleSeries.UpCloseColor
TCandleSeries

property UpCloseColor: TColor;

Unit
CandleCh

Description
By default, UpCloseColor is clWhite and DownCloseColor is clRed.

Each Candle will be filled with a different color depending its Open and Close values.

If Open value is greater than Close value, then the selected color will be the UpCloseColor color property.

If Close value is greater or equal than Open value, then the selected color will be the DownCloseColor color property.


TCandleSeries.UpCloseGradient

TCandleSeries.UpCloseGradient
TCandleSeries

property UpCloseGradient: TTeeGradient;

Unit
CandleCh

Description
The UpCloseGradient property specifies the color gradient used to fill the UpClose values.

The Candle color is based on a given candle close price compared to its previous candle close price.


TCanvas3D.0methods

TCanvas3D methods
TCanvas3D Legend key

Unit
TeCanvas

In TCanvas3D
Arrow
Assign
Calc3DPoints
CalcRect3D
Calculate2DPosition
Calculate3DPosition
ClipCube
Cone
Cube
Cylinder
Diamond
DisableRotation
EditorClass
EllipseWithZ
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
InitWindow
LineTo3D
LineWithZ
MoveTo3D
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
PointFromCircle
PointFromSpiral
Polygon3D
PolygonWithZ
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
RectFromRectZ
ReDrawBitmap
RotatedEllipse
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut3D
Triangle3D
TrianglePointsTo2D
TriangleWithZ
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
Arc
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ClipRectangle
ConvexHull
DoHorizLine
Donut
DoRectangle
DoVertLine
Draw
Ellipse
EndBlending
EraseBackground
FillRect
Frame3D
GradientFill
Invalidate
Line
LineTo
MoveTo
Pie
Polygon
ResetState
RotateLabel
TextHeight
TextOut
TextWidth
UnClipRectangle

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCanvas3D.0properties

TCanvas3D properties
TCanvas3D Legend key

Unit
TeCanvas

In TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TCanvas3D.Arrow

TCanvas3D.Arrow
TCanvas3D

procedure Arrow(Filled: Boolean; Const FromPoint, ToPoint: TPoint; ArrowWidth, ArrowHeight, Z: Integer); overload;

Unit
TeCanvas

Description
Draws a line with an arrow head of ArrowWidth and ArrowHeight dimensions in pixels.


TCanvas3D.Assign

TCanvas3D.Assign
TCanvas3D

procedure Assign(Source: TCanvas3D); virtual;

Unit
TeCanvas

Description
This method is internally used to copy parameters from one Canvas 3D to another.


TCanvas3D.Calc3DPoints

TCanvas3D.Calc3DPoints
TCanvas3D

function Calc3DPoints(Const Points: array of TPoint; Z: Integer): TPointArray;

Unit
TeCanvas

Description
Returns an array of X,Y points that represents the pixel locations of the inputted points applying the Z offset.


TCanvas3D.CalcRect3D

TCanvas3D.CalcRect3D
TCanvas3D

function CalcRect3D(Const R: TRect; Z: Integer): TRect;

Unit
TeCanvas

Description
Adjusts a Chart front plane rectangle to Z displacement offset on an Orthogonally displayed Chart.

Example

The following code draws a rectangle on the back Chart wall whatever the Chart3DPercent.

procedure TForm1.Chart1AfterDraw(Sender: TObject);
var tmp:TRect;
begin
With Chart1.Canvas do
begin
tmp:=CalcRect3D(Chart1.ChartRect,Chart1.Width3D);
Rectangle(tmp.Left,tmp.Top,tmp.Right,tmp.Bottom);
end;
end;


TCanvas3D.Calculate2DPosition

TCanvas3D.Calculate2DPosition
TCanvas3D

procedure Calculate2DPosition(Var X, Y: Integer; Z: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
In an orthogonal Chart, returns corresponding X and Y co-ordinate positions at Z=0 for an object with a Z displacement (Pixels).

Example

procedure TForm1.Chart1AfterDraw(Sender: TObject);
Var XC,YC:Integer;
begin
With Chart1.Canvas, Chart1 do
begin
XC:=ChartXCenter;
YC:=ChartYCenter;
//Takes 100 as Z displacement argument
Calculate2DPosition( XC, YC, 100);
//Plots Cube at corresponding front plane (Z=0) positions
Cube( XC-10,XC+10,YC-10,YC+10,15,25, True );
end;
end;


TCanvas3D.Calculate3DPosition

TCanvas3D.Calculate3DPosition
TCanvas3D

function Calculate3DPosition(Const P: TPoint3D): TPoint; overload;

Unit
TeCanvas

Description
Calculates and returns the XY position in pixels of the XYZ 3D coordinate.

Can be used when custom drawing using 3D XYZ coordinates, either returned from the axes or not.

Example

Chart1.OnAfterDraw...
Var P:TPoint;
With Chart1.Canvas do
begin
P:=Calculate3DPosition( ChartXCenter, ChartYCenter, 20 );
Cube( P.X-10,P.X+10,P.Y-10,P.Y+10,15,25, True );
end;

Draws a Cube centered on the middle of the Chart, at Z position of "20".


TCanvas3D.ClipCube

TCanvas3D.ClipCube
TCanvas3D

procedure ClipCube(Const Rect: TRect; MinZ, MaxZ: Integer); virtual; abstract;

Unit
TeCanvas

Description
Clips Cube on bounds, TRect, MinZ and MaxZ. Clips at full allowance for Z displacement of Cube.


TCanvas3D.Cone

TCanvas3D.Cone
TCanvas3D

procedure Cone(Vertical: Boolean; Left, Top, Right, Bottom, Z0, Z1: Integer; Dark3D: Boolean; ConePercent: Integer); virtual; abstract;

Unit
TeCanvas

Description
Draws Cone.

ConePercent sets the amount to which Cone represents a full pointed cone or if cut (flat topped) to the ConePercent set.


TCanvas3D.Cube

TCanvas3D.Cube
TCanvas3D

procedure Cube(Left, Right, Top, Bottom, Z0, Z1: Integer; DarkSides: Boolean; RoundSize: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
Draws a Cube, with optionally shadowed top and right sides.


TCanvas3D.Cylinder

TCanvas3D.Cylinder
TCanvas3D

procedure Cylinder(Vertical: Boolean; Left, Top, Right, Bottom, Z0, Z1: Integer; Dark3D: Boolean); virtual; abstract;

Unit
TeCanvas

Description
Draws cylinder toggle Boolean for vertical or horizontal cylinder.


TCanvas3D.Diamond

TCanvas3D.Diamond
TCanvas3D

procedure Diamond(Left, Top, Right, Bottom, Z0, Z1: Integer); virtual;

Unit
TeCanvas

Description
Draws a 3D Diamond.


TCanvas3D.DisableRotation

TCanvas3D.DisableRotation
TCanvas3D

procedure DisableRotation; virtual;

Unit
TeCanvas

Description
Sets rotation and elevation to zero, so next coming 3D painting calls will be considered as 2D.

See EnableRotation to display using 3D coordinates and rotation again.


TCanvas3D.EditorClass

TCanvas3D.EditorClass
TCanvas3D

function EditorClass: String; virtual;

Unit
TeCanvas

Description
Returns the class name of the TForm associated editor dialog for this TCanvas3D object.

Series and Tools override this function to return their own custom editor dialog.


TCanvas3D.EllipseWithZ

TCanvas3D.EllipseWithZ
TCanvas3D

procedure EllipseWithZ(Const Rect: TRect; Z: Integer); overload;

Unit
TeCanvas

Description
Ellipse bounding Rect (X1,Y1,X2,Y2) at Z position.


TCanvas3D.EnableRotation

TCanvas3D.EnableRotation
TCanvas3D

procedure EnableRotation; virtual;

Unit
TeCanvas

Description
Sets back 3D rotation and elevation after a call to DisableRotation.

See DisableRotation method.


TCanvas3D.FourPointsFromRect

TCanvas3D.FourPointsFromRect
TCanvas3D

procedure FourPointsFromRect(Const R: TRect; Z: Integer; Var P: TFourPoints);

Unit
TeCanvas

Description
Returns a TFourPoints structure (array of four TPoint records), containing the 2D xy position of each corner of the "R" rectangle parameter, after calculating each corner position located at the depth "Z" parameter, using current Rotation and Elevation properties.

This function performs the equivalent of calling Calculate3DPosition method for each corner of the R rectangle (LeftTop, LeftBottom, RightTop and RightBottom).


TCanvas3D.FrontPlaneBegin

TCanvas3D.FrontPlaneBegin
TCanvas3D

procedure FrontPlaneBegin; virtual;

Unit
TeCanvas

Description
Disables rotation, elevation, offsets and zoom.

The Legend, Title and Foot use this.


TCanvas3D.FrontPlaneEnd

TCanvas3D.FrontPlaneEnd
TCanvas3D

procedure FrontPlaneEnd; virtual;

Unit
TeCanvas

Description
Enables rotation, elevation, offsets and zoom again. The Legend, Title and Foot use this.


TCanvas3D.GetArrowPoints

TCanvas3D.GetArrowPoints
TCanvas3D

function GetArrowPoints(Const ArrowPercent: Double; Const FromPoint, ToPoint: TPoint; ArrowWidth, ArrowHeight, Z: Integer): TPointArray; overload;

Unit
TeCanvas

Description
\sa\sl\slmultFunction which returns an array containing all the arrow point coordinates, each one as TPoint.


TCanvas3D.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D

Classes derived from TCanvas3D
TTeeCanvas3D


TCanvas3D.HorizLine3D

TCanvas3D.HorizLine3D
TCanvas3D

procedure HorizLine3D(Left, Right, Y, Z: Integer); virtual; overload;

Unit
TeCanvas

Description
Line from (Left,Y,Z) to (Right,Y,Z)


TCanvas3D.InitWindow

TCanvas3D.InitWindow
TCanvas3D

function InitWindow(DestCanvas: TCanvas; A3DOptions: TView3DOptions; ABackColor: TColor; Is3D: Boolean; Const UserRect: TRect): TRect; virtual; abstract;

Unit
TeCanvas

Description
Internally used to set the canvas destination, 3D parameters, background color and user rectangle.


TCanvas3D.LineTo3D

TCanvas3D.LineTo3D
TCanvas3D

procedure LineTo3D(Const X, Y, Z: Integer); virtual; overload;

Unit
TeCanvas

Description
LineTo3D. Like LineTo but with Z displacement.


TCanvas3D.LineWithZ

TCanvas3D.LineWithZ
TCanvas3D

procedure LineWithZ(X0, Y0, X1, Y1, Z: Integer); virtual; overload;

Unit
TeCanvas

Description
Line from (X0,Y0,Z) to (X1,Y1,Z)


TCanvas3D.MoveTo3D

TCanvas3D.MoveTo3D
TCanvas3D

procedure MoveTo3D(Const X, Y, Z: Integer); virtual; overload;

Unit
TeCanvas

Description
same as TCanvas, with z


TCanvas3D.Pie3D

TCanvas3D.Pie3D
TCanvas3D

procedure Pie3D(XCenter, YCenter, XRadius, YRadius, Z0, Z1: Integer; Const StartAngle, EndAngle: Double; DarkSides, DrawSides: Boolean; DonutPercent: Integer; Gradient: TCustomTeeGradient; BevelPercent: Integer; EdgeStyle: TEdgeStyle; Transparency: TTeeTransparency); virtual; abstract;

Unit
TeCanvas

Description
Draws a Pie slice ...


TCanvas3D.Pixels3D

TCanvas3D.Pixels3D
TCanvas3D

property Pixels3D[X, Y, Z: Integer]: TColor;

Unit
TeCanvas

Description
Sets the 3D pixel to TColor, using Pen.Width (same as TCanvas)

Example:

Pixels3D[ 100,50,30 ]:= clRed ;

The Z coordinate must be between 0 and Width3D.


TCanvas3D.Plane3D

TCanvas3D.Plane3D
TCanvas3D

procedure Plane3D(Const A, B: TPoint; Z0, Z1: Integer); virtual; abstract;

Unit
TeCanvas

Description
Rectangle from (A.X,A.Y,Z0) to (B.X,B.Y,Z1)


TCanvas3D.PlaneFour3D

TCanvas3D.PlaneFour3D
TCanvas3D

procedure PlaneFour3D(Var Points: TFourPoints; Z0, Z1: Integer); virtual; abstract;

Unit
TeCanvas

Description
Draws a polygon of four points. The first and second point at Z0 position, the third and fourth point at Z1 position.


TCanvas3D.PlaneWithZ

TCanvas3D.PlaneWithZ
TCanvas3D

procedure PlaneWithZ(Const P: TFourPoints; Z: Integer); overload;

Unit
TeCanvas

Description
Draws a polygon of (P1,P2,P3,P4) at Z position


TCanvas3D.PointFromCircle

TCanvas3D.PointFromCircle
TCanvas3D

function PointFromCircle(Const Rect: TRect; Const Degrees: Double; ZPos: Integer; clockWise: Boolean): TPoint;

Unit
TeCanvas

Description
\sa\sl\slmultFunction that returns the x and y coordinates of a point in a circle. This function could be useful to draw onto the canvas at a specific position. It returns as a TPoint.


TCanvas3D.PointFromSpiral

TCanvas3D.PointFromSpiral
TCanvas3D

function PointFromSpiral(Const Rect: TRect; Const Degrees, Twist: Double): TPoint;

Unit
TeCanvas

Description
\sa\sl\slmultFunction that returns the x and y coordinates of a point in a spiral. This function could be useful to draw onto the canvas at a specific position. It returns as a TPoint.


TCanvas3D.Polygon3D

TCanvas3D.Polygon3D
TCanvas3D

procedure Polygon3D(Const Points: array of TPoint3D); virtual; abstract; overload;

Unit
TeCanvas

Description
Render Polygon according to 3D Point array.


TCanvas3D.PolygonWithZ

TCanvas3D.PolygonWithZ
TCanvas3D

procedure PolygonWithZ(Const Points: array of TPoint; Z: Integer); virtual;

Unit
TeCanvas

Description
Draws Polygon of Array of TPoints (X,Y) with Z displacement Z.


TCanvas3D.Polyline

TCanvas3D.Polyline
TCanvas3D

procedure Polyline(Const Points: array of TPoint; Z: Integer); virtual; overload;

Unit
TeCanvas

Description
Draws multiple line segments joining all points in Points parameter.

Equivalent to do this code:

MoveTo3D( Points[0], Z );
for t:=1 to High(Points) do LineTo3D( Points[t], Z );

Polyline might be faster depending your machine hardware configuration and operating system version.


TCanvas3D.Projection

TCanvas3D.Projection
TCanvas3D

procedure Projection(MaxDepth: Integer; Const ABounds, Rect: TRect); virtual; abstract;

Unit
TeCanvas

Description
Internally used to initialize the canvas specifying the rectangle coordinates to draw and display.


TCanvas3D.Pyramid

TCanvas3D.Pyramid
TCanvas3D

procedure Pyramid(Vertical: Boolean; Left, Top, Right, Bottom, Z0, Z1: Integer; DarkSides: Boolean); virtual; abstract;

Unit
TeCanvas

Description
Draws a vertical or horizontal Pyramid with optional dark shaded sides.


TCanvas3D.PyramidTrunc

TCanvas3D.PyramidTrunc
TCanvas3D

procedure PyramidTrunc(Const R: TRect; StartZ, EndZ, TruncX, TruncZ: Integer); virtual; abstract;

Unit
TeCanvas

Description
Draws a truncated pyramid.

Example

Chart1.Canvas.PyramidTrunc(Rect(30,30,150,150),0,30,0,0);

would plot a pointed Pyramid

Chart1.Canvas.PyramidTrunc(Rect(30,30,150,150),0,30,10,10);

..truncates the Pyramid by 10 pixels in the X direction and by 10 pixels in the Z direction.


TCanvas3D.Rectangle

TCanvas3D.Rectangle
TCanvas3D

procedure Rectangle(Const R: TRect; Z: Integer); overload;

Unit
TeCanvas

Description
An overload method that calls the RectangleWithZ method.

Both are equivalent.


TCanvas3D.RectangleWithZ

TCanvas3D.RectangleWithZ
TCanvas3D

procedure RectangleWithZ(Const Rect: TRect; Z: Integer); virtual; abstract;

Unit
TeCanvas

Description
Rectangle at Z position

Example

Chart1.Canvas.RectangleWithZ( Rect( 50,20,150,80), 15 );


TCanvas3D.RectangleY

TCanvas3D.RectangleY
TCanvas3D

procedure RectangleY(Const Left, Top, Right, Z0, Z1: Integer); virtual; abstract;

Unit
TeCanvas

Description
Horizontal Rectangle from Left to Right, from Z0 to Z1 position, at Top Y.


TCanvas3D.RectangleZ

TCanvas3D.RectangleZ
TCanvas3D

procedure RectangleZ(Const Left, Top, Bottom, Z0, Z1: Integer); virtual; abstract;

Unit
TeCanvas

Description
Vertical Rectangle from Top to Bottom and from

Z0 to Z1 position, at Left X.


TCanvas3D.RectFromRectZ

TCanvas3D.RectFromRectZ
TCanvas3D

function RectFromRectZ(Const R: TRect; Z: Integer): TRect;

Unit
TeCanvas

Description
Returns the smallest bounding rectangle containing the four corners of the "R" rectangle after calculating their 3D position.

This function does:

function TCanvas3D.RectFromRectZ(const R: TRect; Z: Integer): TRect;
var P : TFourPoints;
begin
P:=FourPointsFromRect(R,Z);
result:=RectFromPolygon(P,4);
end;

It is mainly used to apply transparency to 3D rotated rectangles.


TCanvas3D.ReDrawBitmap

TCanvas3D.ReDrawBitmap
TCanvas3D

function ReDrawBitmap: Boolean; virtual; abstract;

Unit
TeCanvas

Description
Internally used to repaint the internal Bitmap.


TCanvas3D.RotatedEllipse

TCanvas3D.RotatedEllipse
TCanvas3D

procedure RotatedEllipse(Left, Top, Right, Bottom, Z: Integer; Const Angle: Double);

Unit
TeCanvas

Description
Draws an ellipse with a rotation angle (from 0 to 360 degree)

Example, 45 degree big ellipse :

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
with Chart1.ChartRect do
Chart1.Canvas.RotatedEllipse(Left,Top,Right,Bottom,0,45);
end;


TCanvas3D.RotateLabel3D

TCanvas3D.RotateLabel3D
TCanvas3D

procedure RotateLabel3D(X, Y, Z: Integer; Const St: String; RotDegree: Double); virtual; abstract;

Unit
TeCanvas

Description
Draws a 2D rotated label at XYZ position. Depends on TextAlign property.


TCanvas3D.RoundRect

TCanvas3D.RoundRect
TCanvas3D

procedure RoundRect(Const R: TRect; X, Y, Z0, Z1: Integer); virtual; overload;

Unit
TeCanvas


TCanvas3D.ShowImage

TCanvas3D.ShowImage
TCanvas3D

procedure ShowImage(DestCanvas, DefaultCanvas: TCanvas; Const UserRect: TRect); virtual; abstract;

Unit
TeCanvas

Description
Makes copy of Canvas to other location.

Example

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
{Rect Right and Bottom overriden for Chart Width and Height. Copied Chart placed at Left 5,Top 5}
Chart1.Canvas.ShowImage(TCanvas(Form1.Canvas),TCanvas(Chart1.Canvas),Rect(5,5,0,0));
end;


TCanvas3D.Sphere

TCanvas3D.Sphere
TCanvas3D

procedure Sphere(X, Y, Z: Integer; Const Radius: Double); virtual; abstract; overload;

Unit
TeCanvas

Description
Draws Sphere

Example

Chart1.Canvas.Sphere(20,20,0,20); //plots circle


TCanvas3D.StretchDraw

TCanvas3D.StretchDraw
TCanvas3D

procedure StretchDraw(Const Rect: TRect; Graphic: TGraphic; Const Pos: Double; Plane: TCanvas3DPlane); virtual; overload;

Unit
TeCanvas

Description
Displays Graphic (TBitmap, TJPEGImage, etc) at specified rectangle and Z coordinate.

Warning: This can be a slow operation when having 3D rotation and elevation.

See also: SmoothStretch


TCanvas3D.Supports3DText

TCanvas3D.Supports3DText
TCanvas3D

property Supports3DText: Boolean;

Unit
TeCanvas

Description
Returns if Canvas can rotate text in 3D mode (rotation and elevation of text).

Currently only OpenGL Canvas can rotate text in 3D.
The normal Windows Canvas can only rotate text in one dimension.


TCanvas3D.Surface3D

TCanvas3D.Surface3D
TCanvas3D

procedure Surface3D(Style: TTeeCanvasSurfaceStyle; SameBrush: Boolean; NumXValues, NumZValues: Integer; CalcPoints: TTeeCanvasCalcPoints); virtual; abstract;

Unit
TeCanvas

Description
Internal method used to plot a surface.


TCanvas3D.TextOut3D

TCanvas3D.TextOut3D
TCanvas3D

procedure TextOut3D(X, Y, Z: Integer; Const Text: String); virtual; abstract; overload;

Unit
TeCanvas

Description
Draws a 2D non-rotated label at XYZ position. Depends on TextAlign property with the possibility of allowing HTML or not.

Example:

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
Chart1.Canvas.Textout(10,10,'Hello world',true);
end;


TCanvas3D.Triangle3D

TCanvas3D.Triangle3D
TCanvas3D

procedure Triangle3D(Const Points: TTrianglePoints3D; Const Colors: TTriangleColors3D); virtual; abstract;

Unit
TeCanvas

Description
Draws a triangle using the XYZ Points coordinates and the Colors (one color for each triangle point).


TCanvas3D.TrianglePointsTo2D

TCanvas3D.TrianglePointsTo2D
TCanvas3D

procedure TrianglePointsTo2D(Const P: TTrianglePoints3D; Var Result: TTrianglePoints);

Unit
TeCanvas

Description
Converts the triangle points of a 3D triangle to 2D coordinates.


TCanvas3D.TriangleWithZ

TCanvas3D.TriangleWithZ
TCanvas3D

procedure TriangleWithZ(Const P1, P2, P3: TPoint; Z: Integer); virtual; abstract;

Unit
TeCanvas

Description
Draws a triangle of P1,P2,P3 at Z position.

Example

Chart1.Canvas.TriangleWithZ( Point(40,40), Point(50,30), Point( 60, 40), 10 );


TCanvas3D.TriSurface

TCanvas3D.TriSurface
TCanvas3D

procedure TriSurface(NumTriangles: Integer; Transparency: TTeeTransparency; CalcPoints: TTeeCanvasTriPoints); virtual;

Unit
TeCanvas

Description
\sa\sl\slmultThis method draws a TriSurface.


TCanvas3D.VertLine3D

TCanvas3D.VertLine3D
TCanvas3D

procedure VertLine3D(X, Top, Bottom, Z: Integer); virtual; overload;

Unit
TeCanvas

Description
Draws a line from origin point (X,Top,Z) to destination point (X,Bottom,Z).


TCanvas3D.View3DOptions

TCanvas3D.View3DOptions
TCanvas3D

property View3DOptions: TView3DOptions;

Unit
TeCanvas

Description
View3DOptions class includes properties for Rotation, Zoom and scrolling.


TCanvas3D.XCenter

TCanvas3D.XCenter
TCanvas3D

property XCenter: Integer;

Unit
TeCanvas

Description
\sb\saUse XCenter as a way to obtain the X coordinate of the pixel location of the center of the 3D Drawing Canvas.
The origin of the pixel coordinate system is in the top left corner of the parent window.

See also: YCenter and ZCenter.


TCanvas3D.YCenter

TCanvas3D.YCenter
TCanvas3D

property YCenter: Integer;

Unit
TeCanvas

Description
\sb\saUse YCenter as a way to obtain the Y coordinate of the pixel location of the center of the 3D Canvas.
The origin of the pixel coordinate system is in the top left corner of the parent window.


TCanvas3D.ZCenter

TCanvas3D.ZCenter
TCanvas3D

property ZCenter: Integer;

Unit
TeCanvas

Description
\sb\saUse ZCenter as a way to obtain the Z coordinate of the pixel location of the center of the 3D Canvas.


TCanvas3D.ZLine3D

TCanvas3D.ZLine3D
TCanvas3D

procedure ZLine3D(X, Y, Z0, Z1: Integer); virtual;

Unit
TeCanvas

Description
Draws a line from origin point (X,Y,Z0) to destination point (X,Y,Z1).


TCCIFunction.0events

TCCIFunction events
TCCIFunction Legend key

Unit
TeeCCIFunction

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCCIFunction.0methods

TCCIFunction methods
TCCIFunction Legend key

Unit
TeeCCIFunction

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCCIFunction.0properties

TCCIFunction properties
TCCIFunction Legend key

Unit
TeeCCIFunction

In TCCIFunction
Constant

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCCIFunction.Constant

TCCIFunction.Constant
TCCIFunction

property Constant: Double;

Unit
TeeCCIFunction

Description
Default value: 0.015

Value to multiply mean deviation.


TCCIFunction.Hierarchy

Unit
TeeCCIFunction

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCCIFunction

Classes derived from TCCIFunction
(none)


TChart.0events

TChart events
TChart Legend key

Unit
Chart

Derived from TCustomChart
OnAllowScroll
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnClickTitle
OnGetLegendPos
OnGetLegendRect
OnGetLegendText

Derived from TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChart.0methods

TChart methods
TChart Legend key

Unit
Chart

Derived from TCustomChart
AxisTitleOrName
CalcClickedPart
ClearChart
FillSeriesSourceItems
FillValueSourceItems
FormattedLegend
FormattedValueLegend
GetASeries
IsFreeSeriesColor
NextPage
PreviousPage
RemoveAllSeries
SeriesDown
SeriesUp
UndoZoom
ZoomPercent
ZoomRect

Derived from TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CheckDatasource
CountActiveSeries
ExchangeSeries
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
IsValidDataSource
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChart.0properties

TChart properties
TChart Legend key

Unit
Chart

Derived from TCustomChart
BackColor
BackWall
BottomWall
ColorPaletteIndex
Foot
Frame
LeftWall
Legend
RightWall
SubFoot
SubTitle
Title
Walls

Derived from TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChart.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel
|
TCustomChart
|
TChart

Classes derived from TChart
(none)


TChartAction3D.0events

TChartAction3D events
TChartAction3D Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartAction3D.0methods

TChartAction3D methods
TChartAction3D Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartAction3D.0properties

TChartAction3D properties
TChartAction3D Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartAction3D.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartAction3D

Classes derived from TChartAction3D
(none)


TChartAction.0events

TChartAction events
TChartAction Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartAction.0methods

TChartAction methods
TChartAction Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartAction.0properties

TChartAction properties
TChartAction Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartAction.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction

Classes derived from TChartAction
TChartAction3D
TChartActionAxes
TChartActionCopy
TChartActionEdit
TChartActionGrid
TChartActionLegend
TChartActionPrint
TChartActionSave


TChartActionAxes.0events

TChartActionAxes events
TChartActionAxes Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionAxes.0methods

TChartActionAxes methods
TChartActionAxes Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionAxes.0properties

TChartActionAxes properties
TChartActionAxes Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionAxes.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionAxes

Classes derived from TChartActionAxes
(none)


TChartActionCopy.0events

TChartActionCopy events
TChartActionCopy Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionCopy.0methods

TChartActionCopy methods
TChartActionCopy Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionCopy.0properties

TChartActionCopy properties
TChartActionCopy Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionCopy.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionCopy

Classes derived from TChartActionCopy
(none)


TChartActionEdit.0events

TChartActionEdit events
TChartActionEdit Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionEdit.0methods

TChartActionEdit methods
TChartActionEdit Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionEdit.0properties

TChartActionEdit properties
TChartActionEdit Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionEdit.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionEdit

Classes derived from TChartActionEdit
(none)


TChartActionGrid.0events

TChartActionGrid events
TChartActionGrid Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionGrid.0methods

TChartActionGrid methods
TChartActionGrid Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionGrid.0properties

TChartActionGrid properties
TChartActionGrid Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionGrid.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionGrid

Classes derived from TChartActionGrid
(none)


TChartActionLegend.0events

TChartActionLegend events
TChartActionLegend Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionLegend.0methods

TChartActionLegend methods
TChartActionLegend Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionLegend.0properties

TChartActionLegend properties
TChartActionLegend Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionLegend.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionLegend

Classes derived from TChartActionLegend
(none)


TChartActionPrint.0events

TChartActionPrint events
TChartActionPrint Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionPrint.0methods

TChartActionPrint methods
TChartActionPrint Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionPrint.0properties

TChartActionPrint properties
TChartActionPrint Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionPrint.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionPrint

Classes derived from TChartActionPrint
(none)


TChartActionSave.0events

TChartActionSave events
TChartActionSave Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionSave.0methods

TChartActionSave methods
TChartActionSave Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartActionSave.0properties

TChartActionSave properties
TChartActionSave Legend key

Unit
TeeChartActions

Derived from TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartActionSave.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction
|
TChartAction
|
TChartActionSave

Classes derived from TChartActionSave
(none)


TChartAnimations.0events

TChartAnimations events
TChartAnimations Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TChartAnimations.0methods

TChartAnimations methods
TChartAnimations Legend key

Unit
TeEngine

Derived from TChartTools
Add
Clear

Derived from TList
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartAnimations.0properties

TChartAnimations properties
TChartAnimations Legend key

Unit
TeEngine

In TChartAnimations
Items

Derived from TChartTools
Active

Derived from TList
Capacity
Count
List


TChartAnimations.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TChartTools
|
TChartAnimations

Classes derived from TChartAnimations
(none)


TChartAnimations.Items

TChartAnimations.Items
TChartAnimations

property Items[Index: Integer]: TTeeCustomAnimation;

Unit
TeEngine

Description
Access Chart Animations characteristics by index.


TChartArrowPen.0events

TChartArrowPen events
TChartArrowPen Legend key

Unit
TeEngine

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartArrowPen.0methods

TChartArrowPen methods
TChartArrowPen Legend key

Unit
TeEngine

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartArrowPen.0properties

TChartArrowPen properties
TChartArrowPen Legend key

Unit
TeEngine

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartArrowPen.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TWhitePen
|
TChartArrowPen

Classes derived from TChartArrowPen
(none)


TChartAxes.0events

TChartAxes events
TChartAxes Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TChartAxes.0methods

TChartAxes methods
TChartAxes Legend key

Unit
TeEngine

In TChartAxes
Hide
Reset

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartAxes.0properties

TChartAxes properties
TChartAxes Legend key

Unit
TeEngine

In TChartAxes
Behind
Bottom
Depth
DepthTop
FastCalc
Items
Left
Right
Top
Visible

Derived from TList
Capacity
Count
List


TChartAxes.Behind

TChartAxes.Behind
TChartAxes

property Behind: Boolean;

Unit
TeEngine

Description
Controls wether axis will be displayed in-front or behind series.
Default value is: True.

(Corresponds to old Chart1.AxisBehind property)


TChartAxes.Bottom

TChartAxes.Bottom
TChartAxes

property Bottom: TChartAxis;

Unit
TeEngine

Description
Returns the Bottom chart axis.
(Corresponds to Chart1.BottomAxis property).


TChartAxes.Depth

TChartAxes.Depth
TChartAxes

property Depth: TChartDepthAxis;

Unit
TeEngine

Description
Returns the Depth chart axis located at the right-bottom edge of chart.
(Corresponds to Chart1.DepthAxis property).


TChartAxes.DepthTop

TChartAxes.DepthTop
TChartAxes

property DepthTop: TChartDepthAxis;

Unit
TeEngine

Description
Returns the Depth chart axis located at the left-top edge of chart.


TChartAxes.FastCalc

TChartAxes.FastCalc
TChartAxes

property FastCalc: Boolean;

Unit
TeEngine

Description
This property controls if calculations from series values to screen pixel coordinates will be performed with "overflow checking" or not.

FastCalc is False by default.

When False, calculations are checked against Microsoft Windows GDI limits (XP,2000 and NT have bigger limits than Me,98 and 95).

When True, calculations are done using fast assembler code, without checking GDI overflows.

The main use of FastCalc=True is for real-time charts to obtain more drawing speed, when we know points will not be outside the chart space by a really big amount of pixels.

The default calculation (with checking) is necessary when zooming-in a chart many times, to avoid confusing Windows GDI with very big pixel coordinates.


TChartAxes.Hide

TChartAxes.Hide
TChartAxes

procedure Hide;

Unit
TeEngine

Description
Hides all Axes.


TChartAxes.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TChartAxes

Classes derived from TChartAxes
(none)


TChartAxes.Items

TChartAxes.Items
TChartAxes

property Items[Index: Integer]: TChartAxis;

Unit
TeEngine

Description
Internal access to the TChartAxis (one of 6 default axes, Left, Top, Right, Bottom, Depth and DepthTop) by index.

Chart1.Axes[3].Grid.Visible := False


TChartAxes.Left

TChartAxes.Left
TChartAxes

property Left: TChartAxis;

Unit
TeEngine

Description
Returns the Left chart axis.
(Corresponds to Chart1.LeftAxis property).


TChartAxes.Reset

TChartAxes.Reset
TChartAxes

procedure Reset;

Unit
TeEngine

Description
Sets all axes Minimum and Maximum properties to Automatic.


TChartAxes.Right

TChartAxes.Right
TChartAxes

property Right: TChartAxis;

Unit
TeEngine

Description
Returns the Right chart axis.
(Corresponds to Chart1.RightAxis property).


TChartAxes.Top

TChartAxes.Top
TChartAxes

property Top: TChartAxis;

Unit
TeEngine

Description
Returns the Top chart axis.
(Corresponds to Chart1.TopAxis property).


TChartAxes.Visible

TChartAxes.Visible
TChartAxes

property Visible: Boolean;

Unit
TeEngine

Description
Shows or hides all chart axis.
(Corresponds to Chart1.AxisVisible property).

Chart1.Axes.Visible := False


TChartAxis.0events

TChartAxis events
TChartAxis Legend key

Unit
TeEngine

In TChartAxis
OnDrawLabel

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TChartAxis.0methods

TChartAxis methods
TChartAxis Legend key

Unit
TeEngine

In TChartAxis
AdjustMaxMin
AdjustMaxMinRect
CalcIncrement
CalcLabelStyle
CalcMinMax
CalcSizeValue
CalcXYIncrement
Clicked
CustomDraw
CustomDrawMinMax
CustomDrawMinMaxStartEnd
CustomDrawStartEnd
Draw
DrawAxisLabel
Hide
InternalCalcPosPoint
IsDateTime
LabelHeight
LabelValue
LabelWidth
MaxLabelsWidth
Scroll
SetMinMax

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartAxis.0properties

TChartAxis properties
TChartAxis Legend key

Unit
TeEngine

In TChartAxis
Automatic
AutomaticMaximum
AutomaticMinimum
Axis
AxisValuesFormat
DateTimeFormat
EndPosition
ExactDateTime
Grid
GridCentered
Horizontal
Increment
Inverted
IsDepthAxis
Items
Labels
LabelsAlign
LabelsAlternate
LabelsAngle
LabelsBehind
LabelsExponent
LabelsFont
LabelsMultiLine
LabelsOnAxis
LabelsSeparation
LabelsSize
LabelStyle
Logarithmic
LogarithmicBase
MasterAxis
Maximum
MaximumOffset
MaximumRound
Minimum
MinimumOffset
MinimumRound
MinorGrid
MinorTickCount
MinorTickLength
MinorTicks
OtherSide
ParentChart
PartnerAxis
PosAxis
PositionPercent
PositionUnits
PosLabels
PosTitle
RoundFirstLabel
StartPosition
TickInnerLength
TickLength
TickOnLabelsOnly
Ticks
TicksInner
Title
TitleSize
UsePartnerAxis
Visible
ZPosition

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TChartAxis.AdjustMaxMin

TChartAxis.AdjustMaxMin
TChartAxis

procedure AdjustMaxMin;

Unit
TeEngine

Description

This Axis method calculates Maximum and Minimum values based on Max and Min values of the dependent Series.

AdjustMaxMin is automatically called if Axis.Automatic is True.

The Chart UndoZoom method calls AdjustMaxMin for Left, Right,Top and Bottom axis.


TChartAxis.AdjustMaxMinRect

TChartAxis.AdjustMaxMinRect
TChartAxis

procedure AdjustMaxMinRect(Const Rect: TRect);

Unit
TeEngine

Description
This method is internally called while displaying the axis.

The Rect parameter determines in pixels the margins to apply to ChartRect.
The Axis recalculates the appropiate maximum and minimum values using the
Rect parameter positions.


TChartAxis.Automatic

TChartAxis.Automatic
TChartAxis

property Automatic: Boolean;

Unit
TeEngine

Description
If Axis.Automatic property is True, then the Maximum and Minimum values for the Axis will be automatically calculated based on all Axis dependent Series.


TChartAxis.AutomaticMaximum

TChartAxis.AutomaticMaximum
TChartAxis

property AutomaticMaximum: Boolean;

Unit
TeEngine

Description
Default: True

The AutomaticMaximum property controls if Axis will adjust the Maximum value automatically based on the maximum value of its associated Series.

Example:

With Chart1.LeftAxis do
begin
Automatic := False;
AutomaticMaximum := True;
Minimum := 500;
end;


TChartAxis.AutomaticMinimum

TChartAxis.AutomaticMinimum
TChartAxis

property AutomaticMinimum: Boolean;

Unit
TeEngine

Description
Default True

The AutomaticMinimum property controls if Axis will adjust the Minimum value automatically based on the minimum value of its associated Series.

Example

With Chart1.LeftAxis do
begin
Automatic := False;
Maximum := 1000;
AutomaticMinimum := True;
end;


TChartAxis.Axis

TChartAxis.Axis
TChartAxis

property Axis: TChartAxisPen;

Unit
TeEngine

Description
The Axis property determines the kind of pen used to draw the Axis major lines. These are the lines which go from Axis Minimum to Axis Maximum screen positions.


TChartAxis.AxisValuesFormat

TChartAxis.AxisValuesFormat
TChartAxis

property AxisValuesFormat: String;

Unit
TeEngine

Description
Default Value: '#,##0.###'

The AxisValuesFormat specifies the desired formatting string to be applied to Axis Labels.
It has effect when Axis associated Series have their XValues.DateTime or YValues.DateTime property set to False.

For DateTime Axis labels use the TChartAxis.DateTimeFormat property.


TChartAxis.CalcIncrement

TChartAxis.CalcIncrement
TChartAxis

function CalcIncrement: Double;

Unit
TeEngine

Description
When Increment property is zero, this function returns the best "Increment" value for axis labels that will make no labels overlap.


TChartAxis.CalcLabelStyle

TChartAxis.CalcLabelStyle
TChartAxis

function CalcLabelStyle: TAxisLabelStyle;

Unit
TeEngine

Description
The CalcLabelStyle function returns the most logical Axis Label style. It calculates the "best candidate" label style based on how many Active Series are in the Chart and if the Series has point labels. The TChartAxis.LabelStyle property must be set to talAuto for this function to do its job.

If LabelStyle is not talAuto, the LabelStyle property value is returned.


TChartAxis.CalcMinMax

TChartAxis.CalcMinMax
TChartAxis

procedure CalcMinMax(Out AMin, AMax: Double);

Unit
TeEngine

Description
Returns the minimum and maximum values of the associated

Series.


TChartAxis.CalcSizeValue

TChartAxis.CalcSizeValue
TChartAxis

function CalcSizeValue(Const Value: Double): Integer;

Unit
TeEngine

Description
Returns the amount in pixels that corresponds to a portion of the axis of size "Value" in axis scales.


TChartAxis.CalcXYIncrement

TChartAxis.CalcXYIncrement
TChartAxis

function CalcXYIncrement(MaxLabelSize: Integer): Double;

Unit
TeEngine

Description
The CalcXYIncrement function returns the distance between axis labels expressed in axis scales.

This function applies to both Chart BottomAxis and TopAxis axis components.

Basically this function calculates the most appropiate Increment to make Axis labels t overlapping/font>

The TChartAxis.Increment property is used as a first increment to try. If Labels will overlap, a new and bigger increment is applied until labels fit on axis dimensions.

The TChartAxis.LabelsSeparation controls the minimum amount of allowed distance between axis labels.

This function is called internally so you'll need to use in very special situations.


TChartAxis.Clicked

TChartAxis.Clicked
TChartAxis

function Clicked(Const P: TPoint): Boolean; overload;

Unit
TeEngine


TChartAxis.CustomDraw

TChartAxis.CustomDraw
TChartAxis

procedure CustomDraw(APosLabels, APosTitle, APosAxis: Integer; GridVisible: Boolean);

Unit
TeEngine

Description
The CustomDraw method displays an Axis at the specified screen positions with the current axis scales.

This method can be used in very special Charting applications, as it involves quite good TeeChart internals knowledge.

For normal charting the TChart component provides two horizontal and two vertical axis that are output to the screen automatically.

This method stores the Axis old positions, draws the Axis and restores the positions again.

The PosLabels, PosTitle and PosAxis parameters determine the Axis Labels, Title and Axis positions.

For horizontal Axis like TopAxis or BottomAxis, these positions are in vertical screen coordinates.

For vertical Axis like LeftAxis or RightAxis, these positions are in horizontal screen coordinates.

The GridVisible parameter determine if the Axis should draw or not the grid lines from the axis to chart edges.

The Axis is drawn using the current formatting properties such as fonts, ticks and colors.


TChartAxis.CustomDrawMinMax

TChartAxis.CustomDrawMinMax
TChartAxis

procedure CustomDrawMinMax(APosLabels, APosTitle, APosAxis: Integer; GridVisible: Boolean; Const AMinimum, AMaximum, AIncrement: Double);

Unit
TeEngine

Description
The CustomDrawMinMax method displays an Axis at the specified screen positions with the specified axis scales.

This method can be used in very special Charting applications, as it involves quite good TeeChart internals knowledge.

For normal charting the TChart component provides two horizontal and two vertical axis that are output to the screen automatically.

This method stores the Axis old scales and positions, draws the Axis and restores everything again.

The PosLabels, PosTitle and PosAxis parameters determine the Axis Labels, Title and Axis positions.

For horizontal Axis like TopAxis or BottomAxis, these positions are in vertical screen coordinates.

For vertical Axis like LeftAxis or RightAxis, these positions are in horizontal screen coordinates.

The GridVisible parameter determine if the Axis should draw or not the grid lines from the axis to chart edges.

The AMinimum,AMaximum and AIncrement parameters define the Axis Minimum, Maximum and Increment properties.

The Axis is drawn using the current formatting properties such as fonts, ticks and colors.


TChartAxis.CustomDrawMinMaxStartEnd

TChartAxis.CustomDrawMinMaxStartEnd
TChartAxis

procedure CustomDrawMinMaxStartEnd(APosLabels, APosTitle, APosAxis: Integer; GridVisible: Boolean; Const AMinimum, AMaximum, AIncrement: Double; AStartPos, AEndPos: Integer);

Unit
TeEngine

Description
The CustomDrawStartEnd method displays an Axis at the specified screen positions with the current axis scales and defined Min / Max and Start / End positions. Using this method avoids the need to use the Axis Maximum, Minimum, StartPosition and EndPosition properties.


TChartAxis.CustomDrawStartEnd

TChartAxis.CustomDrawStartEnd
TChartAxis

procedure CustomDrawStartEnd(APosLabels, APosTitle, APosAxis: Integer; GridVisible: Boolean; AStartPos, AEndPos: Integer);

Unit
TeEngine

Description
The CustomDrawStartEnd method displays an Axis at the specified screen positions with the current axis scales and defined Start / End positions. Using this method avoids the need to use the StartPosition and EndPosition properties.


TChartAxis.DateTimeFormat

TChartAxis.DateTimeFormat
TChartAxis

property DateTimeFormat: String;

Unit
TeEngine

Description
Chart Axis have a DateTimeFormat property.
DateTimeFormat is a standard Delphi / C++Builder DateTime formatting string specifier.
Chart Axis uses it to draw the axis labels.


TChartAxis.Draw

TChartAxis.Draw
TChartAxis

procedure Draw(CalcPosAxis: Boolean);

Unit
TeEngine

Description
This method paints the complete Axis (Ticks, Grid, Labels, Title) using the Axis.ParentChart.Canvas. Normally you do not need to call the Draw method directly.


TChartAxis.DrawAxisLabel

TChartAxis.DrawAxisLabel
TChartAxis

procedure DrawAxisLabel(x, y, Angle: Integer; Const St: String; Format: TTeeCustomShape; Z: Integer);

Unit
TeEngine

Description
Draws Axis Label (String) at specified X,Y co-ordinate at Angle.


TChartAxis.EndPosition

TChartAxis.EndPosition
TChartAxis

property EndPosition: Double;

Unit
TeEngine

Description
Default = 0

The EndPosition property defines the position, as a percentage of Chart width or height (depending on whether it is applied to a Horizontal Axis or a Vertical Axis) of the End position of the Axis to which it is applied. Left and Top are 0,0 positions.

Use with StartPosition and PositionPercent properties to define the Axis position on a Chart.


TChartAxis.ExactDateTime

TChartAxis.ExactDateTime
TChartAxis

property ExactDateTime: Boolean;

Unit
TeEngine

Description
Default Value: False

The ExactDateTime property controls if TChartAxis.Increment property calculates Axis Labels in exact DateTime steps.

This is very useful when TChartAxis.Increment is a DateTimeStep constant value:

Chart1.BottomAxis.Increment := DateTimeStep[ dtOneMonth ] ;

In this example, the Increment property should be considered to be an exact month. So, if an axis label is:

'1-April-2007'

then the next axis label would be:

'1-May-2007'

and the next:

'1-June-2007'

When ExactDateTime is False (the default value), the dtOneMonth increment equals to 30 days, and axis do not calculate how many days a month has.

The Series XValues or YValues properties should have the DateTime property True. ( XValues for horizontal Axis and YValues for vertical Axis).


TChartAxis.Grid

TChartAxis.Grid
TChartAxis

property Grid: TAxisGridPen;

Unit
TeEngine

Description
The Grid property determines the kind of pen used to draw the Axis lines at every Axis Label position.
These are the lines which go from "cousin Axis" Minimum to "cousin Axis" Maximum screen positions at each of our Label's position.


TChartAxis.GridCentered

TChartAxis.GridCentered
TChartAxis

property GridCentered: Boolean;

Unit
TeEngine

Description
Default False Places Axis Grid lines between label positions.

Example

Chart1.BottomAxis.GridCentered:=True;


TChartAxis.Hide

TChartAxis.Hide
TChartAxis

procedure Hide;

Unit
TeEngine


TChartAxis.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TChartAxis

Classes derived from TChartAxis
R TChartClickedPart AAxis
TAxisAccess
TChartDepthAxis


TChartAxis.Horizontal

TChartAxis.Horizontal
TChartAxis

property Horizontal: Boolean;

Unit
TeEngine

Description
Run-time and read only. This property returns true if the Axis is H orizontal.html">horizontal . Chart.TopAxis and Chart.BottomAxis are horizontal. Chart.LeftAxis and Chart.RightAxis are vertical.

Chart Axis Horizontal OtherSide
================================
LeftAxis False False
TopAxis True True
RightAxis False True
BottomAxis True False
=================================


TChartAxis.Increment

TChartAxis.Increment
TChartAxis

property Increment: Double;

Unit
TeEngine

Description
Axis Increment is the minimum step between axis labels.
It must be a positive number or DateTime value.
TChart will use this value as the starting axis labels step.
If there is not enough space for all labels, TChart will calculate a bigger one.
You can use the DateTimeStep constant array for DateTime increments.


TChartAxis.InternalCalcPosPoint

TChartAxis.InternalCalcPosPoint
TChartAxis

function InternalCalcPosPoint(Const Value: Integer): Double;

Unit
TeEngine

Description
Returns the position on the axis of the Integer value passed as parameter as a double value.


TChartAxis.Inverted

TChartAxis.Inverted
TChartAxis

property Inverted: Boolean;

Unit
TeEngine

Description
Default False

When Inverted is True, Axis Minimum and Maximum scales will be swapped.
Axis labels and Series points will be displayed accordingly.
This applies both to vertical and horizontal axis.


TChartAxis.IsDateTime

TChartAxis.IsDateTime
TChartAxis

function IsDateTime: Boolean;

Unit
TeEngine

Description
Each Chart Axis can consider values to be normal numbers or DateTime values. This function returns if the Axis dependent values are DateTime or not.


TChartAxis.IsDepthAxis

TChartAxis.IsDepthAxis
TChartAxis

property IsDepthAxis: Boolean;

Unit
TeEngine

Description
Returns True when the axis corresponds to Chart1.Axes.Depth or DepthTop.


TChartAxis.Items

TChartAxis.Items
TChartAxis

property Items: TAxisItems;

Unit
TeEngine

Description
Default formatting object for axis labels.

Contains properties to configure Font, background Color, transparency, shadow, gradient, etc.


TChartAxis.LabelHeight

TChartAxis.LabelHeight
TChartAxis

function LabelHeight(Const Value: Double): Integer;

Unit
TeEngine

Description
This function returns the Axis Label height of the Value parameter. It uses the Axis formatting specifiers, the Axis Labels Font and the Labels rotation and style.


TChartAxis.Labels

TChartAxis.Labels
TChartAxis

property Labels: Boolean;

Unit
TeEngine

Description
Default Value: True

The Labels property shows or hide Axis Labels. Set it to False to draw the Axis Ticks and / or Grid lines only.

Use the LabelsAngle and LabelStyle properties to control Label appearing.

Use the Visible property to show or hide both the Axis Labels, Ticks and Grid lines.


TChartAxis.LabelsAlign

TChartAxis.LabelsAlign
TChartAxis

property LabelsAlign: TAxisLabelAlign;

Unit
TeEngine

Description
The LabelsAlign specifies how axis labels are displayed.

alDefault means the label will be displayed towards the axis line (chart boundaries).

alOpposite means the label will be displayed left-justified in case of Left axis, and right-justified in case of Right axis.

It does not apply to horizontal axis ( Top and Bottom )


TChartAxis.LabelsAlternate

TChartAxis.LabelsAlternate
TChartAxis

property LabelsAlternate: Boolean;

Unit
TeEngine

Description
Default : False

When LabelsAlternate is True, axis labels are displayed one near the axis line and the next one below the previous label, and so on.

Best usage is with Horizontal axes and non rotated labels.


TChartAxis.LabelsAngle

TChartAxis.LabelsAngle
TChartAxis

property LabelsAngle: Integer;

Unit
TeEngine

Description
Default Value: 0

The LabelsAngle property defines the rotation degree applied to each Axis Label.
Valid degree angle values are 0, 45, 90, 180, 270 and 360.
Some printers and video drivers fail when drawing rotated fonts or calculating the rotated font dimensions.
Metafile Charts containing rotated fonts sometimes place text at sligthly different coordinates.


TChartAxis.LabelsBehind

TChartAxis.LabelsBehind
TChartAxis

property LabelsBehind: Boolean;

Unit
TeEngine

Description
Having an axis in the middle of your chart, now you can show the labels over the grid lines.

CBLeftLabelsBehind.Ch ecked := Chart1.Ax es.Left.LabelsBehind;


TChartAxis.LabelsExponent

TChartAxis.LabelsExponent
TChartAxis

property LabelsExponent: Boolean;

Unit
TeEngine

Description
Use LabelsExponent property to decide how Axis labels in exponent format must be displayed.
Set LabelsExponent to True to show the number of the mantissa in super-script font.
Set to False to show the exponent in scientific format.


TChartAxis.LabelsFont

TChartAxis.LabelsFont
TChartAxis

property LabelsFont: TTeeFont;

Unit
TeEngine

Description
The LabelsFont property determines the Font used to draw Axis Labels.
The default Font is Arial.
TrueType fonts look much better and perform more exactly.
The LabelsFont.Size determines the number of non-overlapping axis labels.


TChartAxis.LabelsMultiLine

TChartAxis.LabelsMultiLine
TChartAxis

property LabelsMultiLine: Boolean;

Unit
TeEngine

Description
Default = False

Enables multiline Axis labels.

When True, spaces in point Labels or in Axis DateTimeFormat or Axis ValuesFormat are used to break the label in more than one line of text).

When False, labels with #13 characters are break in lines.

Example

Series1.Add( 1234, 'Hello'+#13+'World', clGreen );

Example for DateTime labels

The following will show the bottom axis labels in two lines of text, one

showing the month and day, and the second line showing the year:

Feb-28 Mar-1 ..
1998 1998 ..

Series1.AddXY( EncodeDate( 1998,2,28 ), 100, '', clTeeColor );
Series1.AddXY( EncodeDate( 1998,3,1 ), 200, '', clTeeColor );
Series1.AddXY( EncodeDate( 1998,3,2 ), 150, '', clTeeColor );
Series1.XValues.DateTime := True;
Chart1.BottomAxis.DateTimeFormat := 'mm/dd hh:mm'; { <-- space }

If you set the LabelsMultiLine property to True, then the axis will automatically split labels in lines where it finds an space.

Chart1.BottomAxis.MultiLine:=True;

Will use the formatting divided in two:

'mm/dd' for the first line
'hh:mm' for the second line

At run-time you can always split the label into lines programatically using the OnGetAxisLabel event:

procedure TForm1.Chart1GetAxisLabel(Sender: TChartAxis;
Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
begin
TeeSplitInLines(LabelText,' ');
end;


TChartAxis.LabelsOnAxis

TChartAxis.LabelsOnAxis
TChartAxis

property LabelsOnAxis: Boolean;

Unit
TeEngine

Description
Default Value: True

The LabelsOnAxis property controls if Labels just at Axis Minimum and Maximum positions will be shown or NOT.

Set it to False, for example, to remove the "0" zero axis Label when Axis scales are from 0 to 1001:

Chart1.LeftAxis.SetMinMax( 0, 1001 );
Chart1.LeftAxis.LabelsOnAxis := False;

When Chart View3D is True, Axis scales can vary to adapt Series minimum and maximum points dimensions.


TChartAxis.LabelsSeparation

TChartAxis.LabelsSeparation
TChartAxis

property LabelsSeparation: Integer;

Unit
TeEngine

Description
Default Value: 10

The LabelsSeparation property specifies the percent amount of minimum distance between Axis Labels.

Setting it to "0" zero makes TChartAxis skip calculating overlapping labels. (No clipping is performed).

Labels visibility depends also on LabelsFont size, LabelsAngle and Axis Increment properties.


TChartAxis.LabelsSize

TChartAxis.LabelsSize
TChartAxis

property LabelsSize: Integer;

Unit
TeEngine

Description
The LabelsSize property is 0 by default.

Therefore the space between the Axis and the Chart will be automatically calculated based on the Axis Labels Width and Height.


TChartAxis.LabelStyle

TChartAxis.LabelStyle
TChartAxis

property LabelStyle: TAxisLabelStyle;

Unit
TeEngine

Description
Setting the Axis.LabelStyle property to talAuto will force the Axis to guess what labels will be drawn.

For each Active associated Series, if the Series have XLabels then the LabelStyle will be talText.

If no Series have XLabels, then LabelStyle will be talValue.

If no Active Series are associated with the Axis, the LabelStyle will be talNone.


TChartAxis.LabelValue

TChartAxis.LabelValue
TChartAxis

function LabelValue(Const Value: Double): String; virtual;

Unit
TeEngine

Description
This function returns the corresponding text representation of the Value parameter. It uses the Axis formatting specifiers.


TChartAxis.LabelWidth

TChartAxis.LabelWidth
TChartAxis

function LabelWidth(Const Value: Double): Integer;

Unit
TeEngine

Description
This function returns the Axis Label width of the Value parameter. It uses the Axis formatting specifiers, the Axis Labels Font and the Labels rotation and style.


TChartAxis.Logarithmic

TChartAxis.Logarithmic
TChartAxis

property Logarithmic: Boolean;

Unit
TeEngine

Description
This boolean property scales the Axis Logarithmically when True.
Axis Minimum and Maximum values should be greater than 0, and Axis cannot be of DateTime type.


TChartAxis.LogarithmicBase

TChartAxis.LogarithmicBase
TChartAxis

property LogarithmicBase: Double;

Unit
TeEngine

Description
The LogarithmicBase property determines the "degree" or "base" to use to display axis labels when the Axis Logarithmic property is True.
It does not apply when Axis Logarithmic property is False.

By default is 10 ( log10 )

As an example, try to set it to 2 (binary log) :

Chart1.Axes.Left.Logarithmic := True ;
Chart1.Axes.Left.LogarithmicBase := 2;

It can also be set to floating point numbers, like base "e" :

Chart1.Axes.Left.Logarithmic := True ;
Chart1.Axes.Left.LogarithmicBase := 2.71828182845905;


TChartAxis.MasterAxis

TChartAxis.MasterAxis
TChartAxis

property MasterAxis: TChartAxis;

Unit
TeEngine

Description
Internal property. The current behaviour might change in future versions.

When an axis has the MasterAxis property set to another axis, when the other axis changes its minimum or maximum values (due to zoom or scroll), our axis gets the same minimum and maximum values.

MasterAxis property can be used to synchronize axes scales automatically without having to do this by code:

Old:

Chart1.CustomAxes[3].SetMinMax( Chart1.Axes.Left.Minimum, Chart1.Axes.Left.Maximum );

New:

Chart1.CustomAxes[3].MasterAxis := Chart1.Axes.Left;


TChartAxis.Maximum

TChartAxis.Maximum
TChartAxis

property Maximum: Double;

Unit
TeEngine

Description
Axis Maximum is the highest value an Axis will use to scale their dependent Series point values.
It can be any number or DateTime value.

It must be greater than the Axis Minimum value.
Use the SetMinMax method to change both Maximum and Minimum.

VERY IMPORTANT:

Axis.Automatic property must be FALSE.

If Axis Automatic is True, the Axis will set Maximum and Minimum values to Maximum and Minimum dependent Series values.


TChartAxis.MaximumOffset

TChartAxis.MaximumOffset
TChartAxis

property MaximumOffset: Integer;

Unit
TeEngine

Description
The amount of pixels that will be left as a margin at axis maximum position.

This property is useful when you dont want the series to display points very close to axis boundaries.


TChartAxis.MaximumRound

TChartAxis.MaximumRound
TChartAxis

property MaximumRound: Boolean;

Unit
TeEngine

Description
Round Axis Maximum to nearest Integer value.


TChartAxis.MaxLabelsWidth

TChartAxis.MaxLabelsWidth
TChartAxis

function MaxLabelsWidth: Integer;

Unit
TeEngine

Description
This function returns the maximum width in Screen pixels of all Axis Labels.

It is internally used to calculate the Axis Increment in order to prevent overlapped Axis Labels.


TChartAxis.Minimum

TChartAxis.Minimum
TChartAxis

property Minimum: Double;

Unit
TeEngine

Description
Axis Minimum is the lowest value an Axis will use to scale their dependent Series point values.
Can be any number or DateTime value.

Must be lower than the Axis Maximum value.
Use the SetMinMax method to change both Maximum and Minimum.

VERY IMPORTANT:

Axis.Automatic property must be FALSE. If Axis.Automatic is True, the Axis will set Maximum and Minimum values to Maximum and Minimum dependent Series values.


TChartAxis.MinimumOffset

TChartAxis.MinimumOffset
TChartAxis

property MinimumOffset: Integer;

Unit
TeEngine

Description
The amount of pixels that will be left as a margin at axis minimum position.

This property is useful when you dont want the series to display points very close to axis boundaries.


TChartAxis.MinimumRound

TChartAxis.MinimumRound
TChartAxis

property MinimumRound: Boolean;

Unit
TeEngine

Description
Round Axis Minimum to nearest Integer value.


TChartAxis.MinorGrid

TChartAxis.MinorGrid
TChartAxis

property MinorGrid: TChartHiddenPen;

Unit
TeEngine

Description
The MinorGrid property controls color, style and visibility of the MinorGrid.
MinorGrid refers to the grid lines inside grid lines.
The MinorTickCount property of the Axis controls the number of minor grid lines.


TChartAxis.MinorTickCount

TChartAxis.MinorTickCount
TChartAxis

property MinorTickCount: Integer;

Unit
TeEngine

Description
Default 3

The MinorTickCount property determines the number of Axis minor ticks. Axis minor ticks are the Axis sub-ticks between major ticks.

It should be a positive number greater than zero and less than half the number of pixels between major ticks, otherwise Minor ticks will "overlap".


TChartAxis.MinorTickLength

TChartAxis.MinorTickLength
TChartAxis

property MinorTickLength: Integer;

Unit
TeEngine

Description
Default 2

The MinorTickLength property indicates the length in pixels of Axis Minor ticks. You can control the number of Minor ticks by using the TChartAxis.MinorTickCount property. Minor ticks are displayed using the TChartAxis.MinorTicks pen property.


TChartAxis.MinorTicks

TChartAxis.MinorTicks
TChartAxis

property MinorTicks: TTicks;

Unit
TeEngine

Description
The MinorTicks property is the Pen used to draw the Axis Minor ticks. Minor ticks will only be displayed if MinorTicks.Visible is True.


TChartAxis.OnDrawLabel

TChartAxis.OnDrawLabel
TChartAxis

property OnDrawLabel: TAxisDrawLabelEvent;

Unit
TeEngine

Description
Event called by the axis just before an axis label is painted.
You can use this event to change the Chart1.Canvas Font properties for each independent axis label.


TChartAxis.OtherSide

TChartAxis.OtherSide
TChartAxis

property OtherSide: Boolean;

Unit
TeEngine

Description
Run-time and read only. This property returns true if the Axis is the RightAxis or TopAxis. Chart.TopAxis and Chart.RightAxis are in the OtherSide. Chart.LeftAxis and Chart.BottomAxis are not in the OtherSide.

Chart Axis Horizontal OtherSide
==================================
LeftAxis False False
TopAxis True True
RightAxis False True
BottomAxis True False
==================================


TChartAxis.ParentChart

TChartAxis.ParentChart
TChartAxis

property ParentChart: TCustomAxisPanel;

Unit
TeEngine

Description
ParentChart returns the TChart or TDBChart parent of the Axis.
TCustomAxisPanel is an ancestor class of TChart, TDBChart, TQRChart, etc.


TChartAxis.PartnerAxis

TChartAxis.PartnerAxis
TChartAxis

property PartnerAxis: TChartAxis;

Unit
TeEngine

Description
As with earlier versions of TeeChart, Chart Custom Axes can be created and modified at design-time or at runtime. New for this version is Grid
zoning. Grid zoning permits the pairing of Axes so that Gridlines plotted from either Axis are delimited by the zone of the partner.
Sets the partner axis used to delimit the axis zone


TChartAxis.PosAxis

TChartAxis.PosAxis
TChartAxis

property PosAxis: Integer;

Unit
TeEngine

Description
Run-time and read only.

The PosAxis property returns the corresponding Axis position in logical coordinate.
This position corresponds to an horizontal coordinate for LeftAxis and RightAxis, and a vertical coordinate for TopAxis and BottomAxis components.

It is calculated when Axis line is being drawn.

It can used to detect Axis mouse clicks or to custom draw at Axis relative positions.

The TChart.ChartRect and TChart.ChartBounds properties determine the TChart rectangle and TChartAxis dimensions.


TChartAxis.PositionPercent

TChartAxis.PositionPercent
TChartAxis

property PositionPercent: Double;

Unit
TeEngine

Description
Default = 0

The PositionPercent property defines the position, (as a percentage of Chart width or height or as pixels) (depending on whether it is applied to a Horizontal Axis or a Vertical Axis) of the Position of the Axis to which it is applied.
Left and Top axis are at 0,0 positions.

Use with StartPosition and EndPosition properties to define the Axis position on a Chart.
You may use these properties with default and additional Axis, see the example below:

Example - Create a Custom Axis

//Creates a new Vertical Axis and defines a position for it.

procedure TForm1.BitBtn2Click(Sender: TObject);
Var MyAxis : TChartAxis ;
begin
MyAxis := TChartAxis.Create( Chart1 );
Series2.CustomVertAxis := MyAxis;

//You can modify any property of the new created axes, such as the axis color or axis title
With MyAxis do
begin
Axis.Color:=clGreen ;
Title.Caption := 'Extra axis' ;
Title.Font.Style:=[fsBold];
Title.Angle := 90;
PositionPercent := 20; //percentage of Chart rectangle

StartPosition:=50;
EndPosition:=100;
end;
end;


TChartAxis.PositionUnits

TChartAxis.PositionUnits
TChartAxis

property PositionUnits: TTeeUnits;

Unit
TeEngine

Description
Defines how to use the axis PositionPercent property.

When PositionUnits is muPercent (the default), PositionPercent value is a percentage of total chart size.

When PositionUnits is muPixels, PositionPercent is considered in pixels.

Note: PositionPercent has not been renamed to more logical "Position" due to compatibility with previous versions.

Chart1.Axes.Left.PositionUnits := muPixels ;
Chart1.Axes.Left.PositionPercent := 10 ; // <--- 10 pixels (not 10%)


TChartAxis.PosLabels

TChartAxis.PosLabels
TChartAxis

property PosLabels: Integer;

Unit
TeEngine

Description
Run-time and read only.

The PosLabels property returns the corresponding Axis Labels position in logical coordinate. This position corresponds to an horizontal coordinate for LeftAxis and RightAxis Labels, and a vertical coordinate for TopAxis and BottomAxis Labels.

It is calculated when Axis labels are being drawn. Axis Labels rotation and font size do not affect this property.

It can used to detect Axis Labels mouse clicks or to custom draw at Axis Labels relative positions.

The TChart.ChartRect and TChart.ChartBounds properties determine the TChart rectangle and TChartAxis dimensions.

Please read TChartAxis.PosAxis property description for an example of use.


TChartAxis.PosTitle

TChartAxis.PosTitle
TChartAxis

property PosTitle: Integer;

Unit
TeEngine

Description
Run-time and read only.

The PosTitle property returns the corresponding Axis Labels position in logical coordinate. This position corresponds to an horizontal coordinate for LeftAxis and RightAxis Labels, and a vertical coordinate for TopAxis and BottomAxis Labels.

It is calculated when Axis Title text is being drawn. Axis Title rotation and font size do not affect this property.

It can used to detect Axis Labels mouse clicks or to custom draw at Axis Labels relative positions.

The TChart.ChartRect and TChart.ChartBounds properties determine the TChart rectangle and TChartAxis dimensions.

Please read TChartAxis.PosAxis property description for an example of use.


TChartAxis.RoundFirstLabel

TChartAxis.RoundFirstLabel
TChartAxis

property RoundFirstLabel: Boolean;

Unit
TeEngine

Description
Default True

Run-time only. The RoundFirstLabel property controls if Axis labels will be automatically "rounded" to the nearest magnitude.
This applies both to DateTime and non-DateTime axis values.
When False, Axis labels will start at Maximum Axis value.


TChartAxis.Scroll

TChartAxis.Scroll
TChartAxis

procedure Scroll(Const Offset: Double; CheckLimits: Boolean);

Unit
TeEngine

Description
This method will "scroll" or displace the Axis Maximum and Minimum values by the Offset parameter. If you want to scroll the Axis outside Series limits, InsideLimits must be False.


TChartAxis.SetMinMax

TChartAxis.SetMinMax
TChartAxis

procedure SetMinMax(AMin, AMax: Double);

Unit
TeEngine

Description
The SetMinMax method changes the current Axis Minimum and Maximum scales. The TChartAxis.Automatic property is set to False.


TChartAxis.StartPosition

TChartAxis.StartPosition
TChartAxis

property StartPosition: Double;

Unit
TeEngine

Description
Default = 0

The StartPosition property defines the position, as a percentage of Chart width or height (depending on whether it is applied to a Horizontal Axis or a Vertical Axis) of the Start position of the Axis to which it is applied. Left and Top are 0,0 positions.

Use with PositionPercent and EndPosition properties to define the Axis position on a Chart.


TChartAxis.TickInnerLength

TChartAxis.TickInnerLength
TChartAxis

property TickInnerLength: Integer;

Unit
TeEngine

Description
Default Value: 0

The TickInnerLength property defines the length in pixels of Axis ticks drawn inside Chart boundaries.

Inner ticks are hidden by default. Set it to a value greater than zero to show the inner Axis Ticks.

Use the TicksInner property to determine the Pen used to draw them.

You can combine TChartAxis Ticks , MinorTicks and TicksInner at same time.


TChartAxis.TickLength

TChartAxis.TickLength
TChartAxis

property TickLength: Integer;

Unit
TeEngine

Description
Default Value: 4

The TickLength property defines the length of Axis Ticks in logical pixels.

Use the Ticks pen property to change pen attributes.

Set it to zero to hide Axis Ticks.

You can combine TChartAxis.Ticks, TChartAxis. MinorTicks and TChartAxis. TicksInner at same time.


TChartAxis.TickOnLabelsOnly

TChartAxis.TickOnLabelsOnly
TChartAxis

property TickOnLabelsOnly: Boolean;

Unit
TeEngine

Description
Default True

This property sets the Axis Ticks and Axis Grid to be drawn only to coincide at Labels.
Otherwise they will be drawn at all axis increment positions.
When the Axis LabelsSeparation property is greater than 0 (default 10), Axis increases the increment property to avoid Axis Label overlap.


TChartAxis.Ticks

TChartAxis.Ticks
TChartAxis

property Ticks: TTicks;

Unit
TeEngine

Description
The Ticks property determines the kind of Pen used to draw Axis marks along the Axis line.

Ticks position is calculated based on Axis.Increment, Axis.LabelsSeparation and Axis.LabelStyle properties.

There are three kind of ticks available: Ticks, MinorTicks and TicksInner.

You can show or hide any of them of have all of them Visible.

The TickLength property defines the length of Axis Ticks in logical pixels.The Ticks property determines the kind of Pen used to draw Axis marks along the Axis line.


TChartAxis.TicksInner

TChartAxis.TicksInner
TChartAxis

property TicksInner: TTicks;

Unit
TeEngine

Description
The TicksInner property determines the kind of Pen used to draw Axis marks along the Axis line.
This is the same Ticks property does but lines are drawn inside Chart boundaries instead.

TicksInner position is calculated based on Axis.Increment, Axis.LabelsSeparation and Axis.LabelStyle properties.

There are three kind of ticks available: Ticks, MinorTicks and TicksInner.

You can show or hide any of them of have all of them Visible.

The TickInnerLength property defines the length of Axis TicksInner in logical pixels.


TChartAxis.Title

TChartAxis.Title
TChartAxis

property Title: TChartAxisTitle;

Unit
TeEngine

Description
The Title property is a TChartAxis sub-component. It contains all properties for Axis Titles.

Axis Titles are a string of text drawed near Axis.

Use the Caption property to specify Axis Title text.
Set the Font and Angle properties to desired format.


TChartAxis.TitleSize

TChartAxis.TitleSize
TChartAxis

property TitleSize: Integer;

Unit
TeEngine

Description
The TitleSize property is 0 by default.

Therefore the space between the Axis Title and the Chart will be automatically calculated based on the Axis Title Width and Height. You can set this property both at design or runtime.


TChartAxis.UsePartnerAxis

TChartAxis.UsePartnerAxis
TChartAxis

property UsePartnerAxis: Boolean;

Unit
TeEngine

Description
Uses the partner axis to delimti the custom axis on a chart when set to True.


TChartAxis.Visible

TChartAxis.Visible
TChartAxis

property Visible: Boolean;

Unit
TeEngine

Description
This boolean property Shows / Hides the Axis lines, ticks, grids, labels and title. You can change it both at design and runtime:


TChartAxis.ZPosition

TChartAxis.ZPosition
TChartAxis

property ZPosition: Double;

Unit
TeEngine

Description
The axis position along the "Z" depth direction, in percentage ( % ) on the total depth length.

In 3D or orthogonal display modes, ZPosition controls where to display the axis line.

This property is useful if you want to move axis to front or to back in 3D view.

Chart1.Axes.Left.ZPosition := 100 ; // moves Left axis to back 100%


TChartAxisPen.0events

TChartAxisPen events
TChartAxisPen Legend key

Unit
TeEngine

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartAxisPen.0methods

TChartAxisPen methods
TChartAxisPen Legend key

Unit
TeEngine

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartAxisPen.0properties

TChartAxisPen properties
TChartAxisPen Legend key

Unit
TeEngine

In TChartAxisPen
LineMode

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartAxisPen.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TChartAxisPen

Classes derived from TChartAxisPen
(none)


TChartAxisPen.LineMode

TChartAxisPen.LineMode
TChartAxisPen

property LineMode: TPenLineMode;

Unit
TeEngine

Description
Get or sets LineMode to TPenLineMode
(eg. Line,Cylinder or Rectangle) changing the plotted shape of the Axis line.

Note: Best display results are obtained when using the OpenGL canvas.


TChartAxisTitle.0methods

TChartAxisTitle methods
TChartAxisTitle Legend key

Unit
TeEngine

In TChartAxisTitle
Clicked

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartAxisTitle.0properties

TChartAxisTitle properties
TChartAxisTitle Legend key

Unit
TeEngine

In TChartAxisTitle
Angle
Caption

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TChartAxisTitle.Angle

TChartAxisTitle.Angle
TChartAxisTitle

property Angle: Integer;

Unit
TeEngine

Description
The Angle property determines the Axis Title rotation in degree units.

Valid values are 0, 90, 180, 270 and 360 degrees.

TChartAxis.Title.Caption property should be non empty.

By default, horizontal Axis (TopAxis and BottomAxis) have a Title Angle of 0.

LeftAxis.Title.Angle is 90 by default.

RightAxis.Title.Angle is 270 by default.

Warning:

Rotated Fonts are partially supported in Windows 16bit GDI Metafile format. Some printer devices can't print rotated fonts. Check you have the latest Printer Driver version.


TChartAxisTitle.Caption

TChartAxisTitle.Caption
TChartAxisTitle

property Caption: String;

Unit
TeEngine

Description
The Caption property defines the string of text used to draw near to each Chart Axis. When empty, no Title is displayed. Use the Angle and Font properties to control Axis Title formatting.


TChartAxisTitle.Clicked

TChartAxisTitle.Clicked
TChartAxisTitle

function Clicked(x, y: Integer): Boolean; overload;

Unit
TeEngine


TChartAxisTitle.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TChartAxisTitle

Classes derived from TChartAxisTitle
(none)


TChartBackWall.0methods

TChartBackWall methods
TChartBackWall Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartBackWall.0properties

TChartBackWall properties
TChartBackWall Legend key

Unit
Chart

Derived from TCustomChartWall
AutoHide
Dark3D
EndPosition
Pen
Size
StartPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Visible


TChartBackWall.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TCustomChartWall
|
TChartWall
|
TChartBackWall

Classes derived from TChartBackWall
(none)


TChartBook.0events

TChartBook events
TChartBook Legend key

Unit
TeeChartBook

In TChartBook
OnDeleteChart
OnNewChart

Derived from TPageControl
ActivePage
ActivePageIndex
PageCount
Pages

Derived from TCustomTabControl
Canvas
DisplayRect
HotTrack
Images
MultiLine
MultiSelect
OnChange
OnChanging
OnDrawTab
OnGetImageIndex
OwnerDraw
RaggedRight
ScrollOpposite
Style
TabHeight
TabIndex
TabPosition
Tabs
TabWidth

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartBook.0methods

TChartBook methods
TChartBook Legend key

Unit
TeeChartBook

In TChartBook
ActiveChart
ActiveToolbar
AddChart

Derived from TPageControl
CanShowTab
Change
ChangeActivePage
CMDesignHitTest
CMDialogKey
CMDockClient
CMDockNotification
CMUnDockClient
Create
DeleteTab
Destroy
DoAddDockClient
DockOver
DoRemoveDockClient
FindNextPage
GetActivePageIndex
GetChildren
GetDockClientFromMousePos
GetImageIndex
GetPage
GetPageCount
GetPageFromDockClient
GetSiteInfo
InsertPage
InsertTab
Loaded
MoveTab
RemovePage
SelectNextPage
SetActivePage
SetActivePageIndex
SetChildOrder
SetTabIndex
ShowControl
UpdateActivePage
UpdateTab
UpdateTabHighlights
WMEraseBkGnd
WMLButtonDblClk
WMLButtonDown

Derived from TCustomTabControl
AdjustClientRect
CanChange
CMDialogChar
CMFontChanged
CMSysColorChange
CMTabStopChanged
CNDrawItem
CNNotify
CreateParams
CreateWnd
DrawTab
GetDisplayRect
GetHitTestInfoAt
GetTabIndex
ImageListChange
IndexOfTabAt
InternalSetMultiLine
Notification
RowCount
ScrollTabs
SetHotTrack
SetImages
SetMultiLine
SetMultiSelect
SetOwnerDraw
SetRaggedRight
SetScrollOpposite
SetStyle
SetTabHeight
SetTabPosition
SetTabs
SetTabWidth
TabRect
TabsChanged
TCMAdjustRect
UpdateTabImages
UpdateTabSize
WMDestroy
WMNotifyFormat
WMSize

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCtl3DChanged
CMCursorChanged
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysFontChanged
CMTimeChange
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DockDrop
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaint
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartBook.0properties

TChartBook properties
TChartBook Legend key

Unit
TeeChartBook

In TChartBook
ShowToolbar

Derived from TPageControl
ActivePage
ActivePageIndex
PageCount
Pages

Derived from TCustomTabControl
Canvas
DisplayRect
HotTrack
Images
MultiLine
MultiSelect
OnChange
OnChanging
OnDrawTab
OnGetImageIndex
OwnerDraw
RaggedRight
ScrollOpposite
Style
TabHeight
TabIndex
TabPosition
Tabs
TabWidth

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartBook.ActiveChart

TChartBook.ActiveChart
TChartBook

function ActiveChart: TCustomChart;

Unit
TeeChartBook

Description
Returns the current active Chart.


TChartBook.ActiveToolbar

TChartBook.ActiveToolbar
TChartBook

function ActiveToolbar: TTeeCommander;

Unit
TeeChartBook

Description
Returns the current active Commander Toolbar.


TChartBook.AddChart

TChartBook.AddChart
TChartBook

function AddChart: TCustomChart;

Unit
TeeChartBook

Description
Add Chart to ChartBook.


TChartBook.Hierarchy

Unit
TeeChartBook

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomTabControl
|
TPageControl
|
TChartBook

Classes derived from TChartBook
(none)


TChartBook.OnDeleteChart

TChartBook.OnDeleteChart
TChartBook

property OnDeleteChart: TDeleteChartEvent;

Unit
TeeChartBook

Description
Triggered after Chart is deleted from the ChartBook.


TChartBook.OnNewChart

TChartBook.OnNewChart
TChartBook

property OnNewChart: TNewChartEvent;

Unit
TeeChartBook

Description
Triggered after Chart is added to the ChartBook.


TChartBook.ShowToolbar

TChartBook.ShowToolbar
TChartBook

property ShowToolbar: Boolean;

Unit
TeeChartBook

Description
When True shows ToolBar[s] associated with ChartBook Chart[s].


TChartBottomWall.0methods

TChartBottomWall methods
TChartBottomWall Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartBottomWall.0properties

TChartBottomWall properties
TChartBottomWall Legend key

Unit
Chart

Derived from TCustomChartWall
AutoHide
Dark3D
EndPosition
Pen
Size
StartPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Visible


TChartBottomWall.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TCustomChartWall
|
TChartWall
|
TChartBottomWall

Classes derived from TChartBottomWall
(none)


TChartBrush.0events

TChartBrush events
TChartBrush Legend key

Unit
TeCanvas

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartBrush.0methods

TChartBrush methods
TChartBrush Legend key

Unit
TeCanvas

In TChartBrush
Clear

Derived from TBrush
Assign
Create
Destroy
GetBitmap
GetColor
GetData
GetHandle
GetStyle
SetBitmap
SetColor
SetData
SetHandle
SetStyle

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartBrush.0properties

TChartBrush properties
TChartBrush Legend key

Unit
TeCanvas

In TChartBrush
BackColor
Gradient
Image

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartBrush.BackColor

TChartBrush.BackColor
TChartBrush

property BackColor: TColor;

Unit
TeCanvas

Description
Brush BackColor.


TChartBrush.Clear

TChartBrush.Clear
TChartBrush

procedure Clear;

Unit
TeCanvas

Description
Sets brush Style to bsClear so the brush is not used to fill interiors.

This is equivalent to:

MyBrush.Style := bsClear ;


TChartBrush.Gradient

TChartBrush.Gradient
TChartBrush

property Gradient: TTeeGradient;

Unit
TeCanvas

Description
Defines the gradient for the Chart Brush.


TChartBrush.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TBrush
|
TChartBrush

Classes derived from TChartBrush
TFrameBrush
TGridBandBrush
TTeeZoomBrush


TChartBrush.Image

TChartBrush.Image
TChartBrush

property Image: TPicture;

Unit
TeCanvas

Description
Define the image to be displayed as pattern for Brush area.

Note: Must be a small bitmap due to Windows GDI restrictions.


TChartChangePage.0methods

TChartChangePage methods
TChartChangePage Legend key

Unit
TeEngine

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartChangePage.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TTeeEvent
|
TChartChangePage

Classes derived from TChartChangePage
(none)


TChartCollection.0events

TChartCollection events
TChartCollection Legend key

Unit
TeeSubChart

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TChartCollection.0methods

TChartCollection methods
TChartCollection Legend key

Unit
TeeSubChart

In TChartCollection
AddChart

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartCollection.0properties

TChartCollection properties
TChartCollection Legend key

Unit
TeeSubChart

In TChartCollection
Items

Derived from TCollection
Count
ItemClass
NextID
PropName
UpdateCount


TChartCollection.AddChart

TChartCollection.AddChart
TChartCollection

function AddChart(Const AName: String): TChart;

Unit
TeeSubChart

Description
Add new SubChart to Chart Collection.


TChartCollection.Hierarchy

Unit
TeeSubChart

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TChartCollection

Classes derived from TChartCollection
(none)


TChartCollection.Items

TChartCollection.Items
TChartCollection

property Items[Index: Integer]: TSubChart;

Unit
TeeSubChart

Description
Collection of Chart SubCharts. See TSubChart.


TChartCustomAxes.0events

TChartCustomAxes events
TChartCustomAxes Legend key

Unit
TeEngine

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TChartCustomAxes.0methods

TChartCustomAxes methods
TChartCustomAxes Legend key

Unit
TeEngine

In TChartCustomAxes
ResetScales

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartCustomAxes.0properties

TChartCustomAxes properties
TChartCustomAxes Legend key

Unit
TeEngine

In TChartCustomAxes
Items

Derived from TCollection
Count
ItemClass
NextID
PropName
UpdateCount


TChartCustomAxes.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TChartCustomAxes

Classes derived from TChartCustomAxes
(none)


TChartCustomAxes.Items

TChartCustomAxes.Items
TChartCustomAxes

property Items[Index: Integer]: TChartAxis;

Unit
TeEngine

Description
Access Custom Axes characteristics by index.


TChartCustomAxes.ResetScales

TChartCustomAxes.ResetScales
TChartCustomAxes

procedure ResetScales(Axis: TChartAxis);

Unit
TeEngine

Description
This method searches axes which MasterAxis property is the Axis parameter, to change their Minimum and Maximum values.


TChartDataSet.0events

TChartDataSet events
TChartDataSet Legend key

Unit
TeeData

Derived from TDataSet
Active
ActiveRecord
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AfterRefresh
AfterScroll
AggFields
AutoCalcFields
BeforeCancel
BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeforeRefresh
BeforeScroll
BlobFieldCount
BlockReadSize
BOF
Bookmark
BookmarkSize
BufferCount
Buffers
CalcBuffer
CalcFieldsSize
CanModify
Constraints
CurrentRecord
DataSetField
DataSource
DefaultFields
Designer
Eof
FieldCount
FieldDefList
FieldDefs
FieldList
FieldNoOfs
Fields
FieldValues
Filter
Filtered
FilterOptions
Found
InternalCalcFields
IsUniDirectional
Modified
NestedDataSetClass
NestedDataSets
ObjectView
OnCalcFields
OnDeleteError
OnEditError
OnFilterRecord
OnNewRecord
OnPostError
RecNo
RecordCount
RecordSize
Reserved
SparseArrays
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartDataSet.0methods

TChartDataSet methods
TChartDataSet Legend key

Unit
TeeData

Derived from TDataSet
ActivateBuffers
ActiveBuffer
AddDataSource
AddRecord
AllocRecordBuffer
Append
AppendRecord
BeginInsertAppend
BindFields
BlockReadNext
BookmarkAvailable
BookmarkValid
CalculateFields
Cancel
CheckActive
CheckBiDirectional
CheckBrowseMode
CheckCanModify
CheckFieldCompatibility
CheckInactive
CheckOperation
CheckParentState
CheckRequiredFields
ClearBuffers
ClearCalcFields
ClearFields
Close
CloseBlob
CloseCursor
CompareBookmarks
ControlsDisabled
Create
CreateBlobStream
CreateFields
CreateNestedDataSet
CursorPosChanged
DataConvert
DataEvent
DefChanged
Delete
Destroy
DestroyFields
DisableControls
DoAfterCancel
DoAfterClose
DoAfterDelete
DoAfterEdit
DoAfterInsert
DoAfterOpen
DoAfterPost
DoAfterRefresh
DoAfterScroll
DoBeforeCancel
DoBeforeClose
DoBeforeDelete
DoBeforeEdit
DoBeforeInsert
DoBeforeOpen
DoBeforePost
DoBeforeRefresh
DoBeforeScroll
DoInternalOpen
DoOnCalcFields
DoOnNewRecord
Edit
EnableControls
EndInsertAppend
FieldByName
FieldByNumber
FindField
FindFirst
FindLast
FindNext
FindPrior
FindRecord
First
FreeBookmark
FreeFieldBuffers
FreeRecordBuffer
GetActive
GetAggRecordCount
GetAggregateValue
GetBlobFieldData
GetBookmark
GetBookmarkData
GetBookmarkFlag
GetBookmarkStr
GetBuffer
GetCalcFields
GetCanModify
GetChildren
GetCurrentRecord
GetDataSource
GetDetailDataSets
GetDetailLinkFields
GetFieldClass
GetFieldCount
GetFieldData
GetFieldFullName
GetFieldList
GetFieldNames
GetFieldValue
GetFound
GetIndexDefs
GetIsIndexField
GetNestedDataSets
GetNextRecord
GetNextRecords
GetPriorRecord
GetPriorRecords
GetRecNo
GetRecord
GetRecordCount
GetRecordSize
GetStateFieldValue
GotoBookmark
InitFieldDefs
InitFieldDefsFromFields
InitRecord
Insert
InsertRecord
InternalAddRecord
InternalCancel
InternalClose
InternalDelete
InternalEdit
InternalFirst
InternalGotoBookmark
InternalHandleException
InternalInitFieldDefs
InternalInitRecord
InternalInsert
InternalLast
InternalOpen
InternalPost
InternalRefresh
InternalSetToRecord
IsCursorOpen
IsEmpty
IsLinkedTo
IsSequenced
Last
Loaded
Locate
Lookup
MoveBuffer
MoveBy
Next
Open
OpenCursor
OpenCursorComplete
OpenParentDataSet
Post
Prior
PSEndTransaction
PSExecute
PSExecuteStatement
PSGetAttributes
PSGetDefaultOrder
PSGetIndexDefs
PSGetKeyFields
PSGetParams
PSGetQuoteChar
PSGetTableName
PSGetUpdateException
PSInTransaction
PSIsSQLBased
PSIsSQLSupported
PSReset
PSSetCommandText
PSSetParams
PSStartTransaction
PSUpdateRecord
Refresh
RefreshInternalCalcFields
RemoveDataSource
ResetAggField
RestoreState
Resync
SetActive
SetBlockReadSize
SetBookmarkData
SetBookmarkFlag
SetBookmarkStr
SetBufferCount
SetBufListSize
SetChildOrder
SetConstraints
SetCurrentRecord
SetDataSetField
SetDefaultFields
SetFieldData
SetFieldDefs
SetFields
SetFieldValue
SetFiltered
SetFilterOptions
SetFilterText
SetFound
SetModified
SetName
SetObjectView
SetOnFilterRecord
SetRecNo
SetSparseArrays
SetState
SetStateFieldValue
SetTempState
SetUniDirectional
TempBuffer
Translate
UpdateBufferCount
UpdateCursorPos
UpdateIndexDefs
UpdateRecord
UpdateStatus

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartDataSet.0properties

TChartDataSet properties
TChartDataSet Legend key

Unit
TeeData

In TChartDataSet
Chart

Derived from TDataSet
Active
ActiveRecord
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AfterRefresh
AfterScroll
AggFields
AutoCalcFields
BeforeCancel
BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeforeRefresh
BeforeScroll
BlobFieldCount
BlockReadSize
BOF
Bookmark
BookmarkSize
BufferCount
Buffers
CalcBuffer
CalcFieldsSize
CanModify
Constraints
CurrentRecord
DataSetField
DataSource
DefaultFields
Designer
Eof
FieldCount
FieldDefList
FieldDefs
FieldList
FieldNoOfs
Fields
FieldValues
Filter
Filtered
FilterOptions
Found
InternalCalcFields
IsUniDirectional
Modified
NestedDataSetClass
NestedDataSets
ObjectView
OnCalcFields
OnDeleteError
OnEditError
OnFilterRecord
OnNewRecord
OnPostError
RecNo
RecordCount
RecordSize
Reserved
SparseArrays
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartDataSet.Chart

TChartDataSet.Chart
TChartDataSet

property Chart: TCustomChart;

Unit
TeeData

Description
Chart associated with TChartDataset component.


TChartDataSet.Hierarchy

Unit
TeeData

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TDataSet
|
TTeeDataSet
|
TChartDataSet

Classes derived from TChartDataSet
(none)


TChartDepthAxis.0events

TChartDepthAxis events
TChartDepthAxis Legend key

Unit
TeEngine

Derived from TChartAxis
OnDrawLabel

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TChartDepthAxis.0methods

TChartDepthAxis methods
TChartDepthAxis Legend key

Unit
TeEngine

Derived from TChartAxis
AdjustMaxMin
AdjustMaxMinRect
CalcIncrement
CalcLabelStyle
CalcMinMax
CalcSizeValue
CalcXYIncrement
Clicked
CustomDraw
CustomDrawMinMax
CustomDrawMinMaxStartEnd
CustomDrawStartEnd
Draw
DrawAxisLabel
Hide
InternalCalcPosPoint
IsDateTime
LabelHeight
LabelValue
LabelWidth
MaxLabelsWidth
Scroll
SetMinMax

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartDepthAxis.0properties

TChartDepthAxis properties
TChartDepthAxis Legend key

Unit
TeEngine

Derived from TChartAxis
Automatic
AutomaticMaximum
AutomaticMinimum
Axis
AxisValuesFormat
DateTimeFormat
EndPosition
ExactDateTime
Grid
GridCentered
Horizontal
Increment
Inverted
IsDepthAxis
Items
Labels
LabelsAlign
LabelsAlternate
LabelsAngle
LabelsBehind
LabelsExponent
LabelsFont
LabelsMultiLine
LabelsOnAxis
LabelsSeparation
LabelsSize
LabelStyle
Logarithmic
LogarithmicBase
MasterAxis
Maximum
MaximumOffset
MaximumRound
Minimum
MinimumOffset
MinimumRound
MinorGrid
MinorTickCount
MinorTickLength
MinorTicks
OtherSide
ParentChart
PartnerAxis
PosAxis
PositionPercent
PositionUnits
PosLabels
PosTitle
RoundFirstLabel
StartPosition
TickInnerLength
TickLength
TickOnLabelsOnly
Ticks
TicksInner
Title
TitleSize
UsePartnerAxis
Visible
ZPosition

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TChartDepthAxis.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TChartAxis
|
TChartDepthAxis

Classes derived from TChartDepthAxis
(none)


TChartEditForm.0events

TChartEditForm events
TChartEditForm Legend key

Unit
TeeEditCha

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartEditForm.0methods

TChartEditForm methods
TChartEditForm Legend key

Unit
TeeEditCha

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartEditForm.0properties

TChartEditForm properties
TChartEditForm Legend key

Unit
TeeEditCha

In TChartEditForm
Chart
GalleryHeight
GalleryWidth

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartEditForm.Chart

TChartEditForm.Chart
TChartEditForm

property Chart: TCustomChart;

Unit
TeeEditCha

Description
Corresponds to the Chart (or DBChart, or QRChart or DecisionGraph or any other chart class derived from TCustomChart ) control that is being edited and displayed at the Chart Editor dialog.


TChartEditForm.GalleryHeight

TChartEditForm.GalleryHeight
TChartEditForm

property GalleryHeight: Integer;

Unit
TeeEditCha

Description
Used in conjunction with GalleryWidth to set a specific Width and Height for the Gallery,
even if it is called through the TeeCommander component.


TChartEditForm.GalleryWidth

TChartEditForm.GalleryWidth
TChartEditForm

property GalleryWidth: Integer;

Unit
TeeEditCha

Description
Used in conjunction with GalleryHeight to set a specific Width and Height for the Gallery,
even if it is called through the TeeCommander component.


TChartEditForm.Hierarchy

Unit
TeeEditCha

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TChartEditForm

Classes derived from TChartEditForm
(none)


TChartEditor.0events

TChartEditor events
TChartEditor Legend key

Unit
TeeEdit

In TChartEditor
OnChangeSeriesOrder

Derived from TCustomChartEditor
OnClose
OnShow

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartEditor.0methods

TChartEditor methods
TChartEditor Legend key

Unit
TeeEdit

In TChartEditor
Execute

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartEditor.0properties

TChartEditor properties
TChartEditor Legend key

Unit
TeeEdit

In TChartEditor
AutoRepaint
DefaultTab
GalleryHeight
GalleryWidth
Height
HideTabs
HighLightTabs
Options
PixelsPerInch
RememberPosition
Series
TreeView
Width

Derived from TCustomChartEditor
Chart
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartEditor.AutoRepaint

TChartEditor.AutoRepaint
TChartEditor

property AutoRepaint: Boolean;

Unit
TeeEdit

Description
Default True;

Enables/disables AutoRepaint of Chart whilst changes are being made in the Chart Editor. The Chart's own AutoRepaint setting is reset to prior state when the Editor exits.


TChartEditor.DefaultTab

TChartEditor.DefaultTab
TChartEditor

property DefaultTab: TChartEditorTab;

Unit
TeeEdit

Description
Sets the default tab to set as active when the Chart Editor opens.


TChartEditor.Execute

TChartEditor.Execute
TChartEditor

procedure Execute; override;

Unit
TeeEdit

Description
Displays the Chart editor dialog using the Chart property values.


TChartEditor.GalleryHeight

TChartEditor.GalleryHeight
TChartEditor

property GalleryHeight: Integer;

Unit
TeeEdit

Description
Used in conjunction with GalleryWidth to set a specific Width and Height for the Gallery,
even if it is called through the TeeCommander component.


TChartEditor.GalleryWidth

TChartEditor.GalleryWidth
TChartEditor

property GalleryWidth: Integer;

Unit
TeeEdit

Description
Used in conjunction with GalleryHeight to set a specific Width and Height for the Gallery,
even if it is called through the TeeCommander component.


TChartEditor.Height

TChartEditor.Height
TChartEditor

property Height: Integer;

Unit
TeeEdit

Description
Used in conjunction with Width to set a specific Width and Height for the Editor,
even if it is called through the TeeCommander component.


TChartEditor.HideTabs

TChartEditor.HideTabs
TChartEditor

property HideTabs: TChartEditorHiddenTabs;

Unit
TeeEdit

Description

Use this property to hide TeeChart Editor tabs.

TChartEditorHiddenTabs=set of TChartEditorTab;

Thus to hide Editor tabs you need to subtract TChartEditorHiddenTabs from the default set of available tabs (all).

Example:

procedure TChartEditorForm.CheckBox1Click(Sender: TObject);
Var NewTabs: TChartEditorHiddenTabs;
begin
NewTabs:=[cetTools,cetExport,cetPrintPreview,cetSeriesData];

if CheckBox1.Checked then
ChartEditor1.HideTabs:=ChartEditor1.HideTabs-NewTabs
else
ChartEditor1.HideTabs:=ChartEditor1.HideTabs+NewTabs
end;


TChartEditor.Hierarchy

Unit
TeeEdit

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartEditor
|
TChartEditor

Classes derived from TChartEditor
(none)


TChartEditor.HighLightTabs

TChartEditor.HighLightTabs
TChartEditor

property HighLightTabs: Boolean;

Unit
TeeEdit

Description

When True, editor tabs are "highlighted" using default Windows method of painting the selected tab background in blue color.


TChartEditor.OnChangeSeriesOrder

TChartEditor.OnChangeSeriesOrder
TChartEditor

property OnChangeSeriesOrder: TChangeOrderEvent;

Unit
TeeEdit

Description
Triggered when the end user drags a series to another position in the series order list.
Also triggered when pressing the Up arrow and Down arrow buttons at main chart editor dialog to scroll series up or down.


TChartEditor.Options

TChartEditor.Options
TChartEditor

property Options: TChartEditorOptions;

Unit
TeeEdit

Description
Sets available button options on the first Chart Editor page.


TChartEditor.PixelsPerInch

TChartEditor.PixelsPerInch
TChartEditor

property PixelsPerInch: Integer;

Unit
TeeEdit

Description
Use to rescale ChartEditorForm to desired PixelsPerInch ratio.


TChartEditor.RememberPosition

TChartEditor.RememberPosition
TChartEditor

property RememberPosition: Boolean;

Unit
TeeEdit

Description
Default value: False

When True, the Chart editor dialog will store its Left and Top position into Windows Registry for later reuse.

When False, the Chart editor dialog will be shown at default screen centered position.


TChartEditor.Series

TChartEditor.Series
TChartEditor

property Series: TChartSeries;

Unit
TeeEdit

Description
The series to use when DefaultTab property is cetSeriesGeneral or cetSeriesMarks.

ChartEditor1.Series := Series3 ;
ChartEditor1.DefaultTab := cetSeriesMarks ;


TChartEditor.TreeView

TChartEditor.TreeView
TChartEditor

property TreeView: Boolean;

Unit
TeeEdit

Description
Gets or sets if the Chart editor is in "tree" mode.

When TreeView is True, the Chart editor shows a treeview control at the left side containing all editor tabs.


TChartEditor.Width

TChartEditor.Width
TChartEditor

property Width: Integer;

Unit
TeeEdit

Description
Used in conjunction with Height to set a specific Width and Height for the Editor,
even if it is called through the TeeCommander component.


TChartEditorPanel.0events

TChartEditorPanel events
TChartEditorPanel Legend key

Unit
TeeEdit

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartEditorPanel.0methods

TChartEditorPanel methods
TChartEditorPanel Legend key

Unit
TeeEdit

In TChartEditorPanel
SelectUnderMouse

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartEditorPanel.0properties

TChartEditorPanel properties
TChartEditorPanel Legend key

Unit
TeeEdit

In TChartEditorPanel
Chart
Editor

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartEditorPanel.Chart

TChartEditorPanel.Chart
TChartEditorPanel

property Chart: TCustomChart;

Unit
TeeEdit

Description
Use the Chart property to set the TChart/TDBChart to which to link the TChartEditorPanel.


TChartEditorPanel.Editor

TChartEditorPanel.Editor
TChartEditorPanel

property Editor: TChartEditForm;

Unit
TeeEdit

Description
Read only

Returns Editor Form contained by Panel


TChartEditorPanel.Hierarchy

Unit
TeeEdit

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TChartEditorPanel

Classes derived from TChartEditorPanel
(none)


TChartEditorPanel.SelectUnderMouse

TChartEditorPanel.SelectUnderMouse
TChartEditorPanel

procedure SelectUnderMouse;

Unit
TeeEdit

Description
Select item under mouse, activating relevant Editor page.

Example:

procedure TChartEditorPanelForm.Chart1MouseDown(Sender: TObject;
Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
{ On mouse down, show the appropiate tab in the editor... }
ChartEditorPanel1.SelectUnderMouse;
end;


TChartFootTitle.0methods

TChartFootTitle methods
TChartFootTitle Legend key

Unit
Chart

Derived from TChartTitle
Clear
Clicked
DrawTitle

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartFootTitle.0properties

TChartFootTitle properties
TChartFootTitle Legend key

Unit
Chart

Derived from TChartTitle
AdjustFrame
Alignment
Caption
Text
TitleRect
VertMargin

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TChartFootTitle.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TChartTitle
|
TChartFootTitle

Classes derived from TChartFootTitle
(none)


TChartGalleryPanel.0events

TChartGalleryPanel events
TChartGalleryPanel Legend key

Unit
TeeGalleryPanel

In TChartGalleryPanel
OnChangeChart
OnSelectedChart
OnSubSelected

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartGalleryPanel.0methods

TChartGalleryPanel methods
TChartGalleryPanel Legend key

Unit
TeeGalleryPanel

In TChartGalleryPanel
CreateChart
CreateChartList
CreateGalleryPage
DefaultMode
DefaultSmooth
ResizeCharts
SaveMode
SaveSmooth
SelectChart
UseTheme

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartGalleryPanel.0properties

TChartGalleryPanel properties
TChartGalleryPanel Legend key

Unit
TeeGalleryPanel

In TChartGalleryPanel
Chart
Charts
ColWidth
DisplaySub
FocusRotation
NumCols
NumRows
RowHeight
SelectedChart
Smooth
View3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartGalleryPanel.Chart

TChartGalleryPanel.Chart
TChartGalleryPanel

property Chart[Index: Integer]: TGalleryChart;

Unit
TeeGalleryPanel

Description
Chart associated by index to TChartGalleryPanel.


TChartGalleryPanel.Charts

TChartGalleryPanel.Charts
TChartGalleryPanel

property Charts: TChartList;

Unit
TeeGalleryPanel

Description
The ChartGalleryPanel ChartList.


TChartGalleryPanel.ColWidth

TChartGalleryPanel.ColWidth
TChartGalleryPanel

property ColWidth: Integer;

Unit
TeeGalleryPanel

Description
Sets column width in pixels for each Gallery Chart column.


TChartGalleryPanel.CreateChart

TChartGalleryPanel.CreateChart
TChartGalleryPanel

function CreateChart(Const AType: TTeeSeriesType): TCustomAxisPanel;

Unit
TeeGalleryPanel

Description
Adds a new mini Chart (Series Type) to the Gallery Panel.

Example

Uses Chart, Series;

ChartGalleryPanel1.CreateChart(TeeSeriesTypes.Find(TFastLineSeries));


TChartGalleryPanel.CreateChartList

TChartGalleryPanel.CreateChartList
TChartGalleryPanel

procedure CreateChartList(ASeriesList: array of TChartSeriesClass);

Unit
TeeGalleryPanel

Description
This method adds a group of mini Charts (Series Types) to the Gallery Panel. The order in the Panel respects the order with which you add the Series types.

Example

Uses Chart, Series;

ChartGalleryPanel1.CreateChartList([TBarSeries,TLineSeries,TPieSeries,TFastLineSeries,TAreaSeries]);


TChartGalleryPanel.CreateGalleryPage

TChartGalleryPanel.CreateGalleryPage
TChartGalleryPanel

procedure CreateGalleryPage(Const PageName: String);

Unit
TeeGalleryPanel

Description
Use this method to create an instance of a Gallery page.

 Example
//Creates Standard Series page
ChartGalleryPanel1.CreateGalleryPage('Standard');


TChartGalleryPanel.DefaultMode

TChartGalleryPanel.DefaultMode
TChartGalleryPanel

function DefaultMode: Integer;

Unit
TeeGalleryPanel

Description
Reads and returns the Chart Gallery mode from Registry.

0 means normal mode, and 1 means alternate mode.


TChartGalleryPanel.DefaultSmooth

TChartGalleryPanel.DefaultSmooth
TChartGalleryPanel

function DefaultSmooth: Boolean;

Unit
TeeGalleryPanel

Description
Reads and returns the Chart Gallery Smoothing mode from Registry.

When True, Gallery Charts are displayed using an image scaling method that mimics pixels anti-aliasing.


TChartGalleryPanel.DisplaySub

TChartGalleryPanel.DisplaySub
TChartGalleryPanel

property DisplaySub: Boolean;

Unit
TeeGalleryPanel

Description
Default True

Enables the display of the Gallery Chart Series' subtypes.


TChartGalleryPanel.FocusRotation

TChartGalleryPanel.FocusRotation
TChartGalleryPanel

property FocusRotation: Boolean;

Unit
TeeGalleryPanel

Description
Default: True

When the end user clicks a chart at the Gallery panel, if FocusRotation is True, then a cosmetic effect of changing the 3D rotation of the clicked chart is applied.

Setting FocusRotation to False will disable this effect.


TChartGalleryPanel.Hierarchy

Unit
TeeGalleryPanel

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TChartGalleryPanel

Classes derived from TChartGalleryPanel
(none)


TChartGalleryPanel.NumCols

TChartGalleryPanel.NumCols
TChartGalleryPanel

property NumCols: Integer;

Unit
TeeGalleryPanel

Description
Set the number of Series type columns to display in the Chart Gallery Panel.

Example:

ChartGalleryPanel1.NumCols:=3;
ChartGalleryPanel1.NumRows:=3;


TChartGalleryPanel.NumRows

TChartGalleryPanel.NumRows
TChartGalleryPanel

property NumRows: Integer;

Unit
TeeGalleryPanel

Description
Set the number of Series type rows to display in the Chart Gallery Panel.


TChartGalleryPanel.OnChangeChart

TChartGalleryPanel.OnChangeChart
TChartGalleryPanel

property OnChangeChart: TNotifyEvent;

Unit
TeeGalleryPanel

Description
Triggered when the user clicks (selects) a chart.


TChartGalleryPanel.OnSelectedChart

TChartGalleryPanel.OnSelectedChart
TChartGalleryPanel

property OnSelectedChart: TNotifyEvent;

Unit
TeeGalleryPanel

Description
Triggered when the user double-clicks a chart.


TChartGalleryPanel.OnSubSelected

TChartGalleryPanel.OnSubSelected
TChartGalleryPanel

property OnSubSelected: TNotifyEvent;

Unit
TeeGalleryPanel

Description
Triggered when the user clicks (selects) a chart into sub-gallery panel.


TChartGalleryPanel.ResizeCharts

TChartGalleryPanel.ResizeCharts
TChartGalleryPanel

procedure ResizeCharts;

Unit
TeeGalleryPanel

Description
Internally called when changing the Gallery dimensions.
This procedure changes all charts boundaries.


TChartGalleryPanel.RowHeight

TChartGalleryPanel.RowHeight
TChartGalleryPanel

property RowHeight: Integer;

Unit
TeeGalleryPanel

Description
Set the height in Pixels of each row of Series types in the Chart Gallery Panel.


TChartGalleryPanel.SaveMode

TChartGalleryPanel.SaveMode
TChartGalleryPanel

procedure SaveMode(Value: Integer);

Unit
TeeGalleryPanel

Description
Stores in Registry the Gallery mode specified by Value.


TChartGalleryPanel.SaveSmooth

TChartGalleryPanel.SaveSmooth
TChartGalleryPanel

procedure SaveSmooth(Value: Boolean);

Unit
TeeGalleryPanel

Description
Stores in Registry the smoothing mode specified by value.


TChartGalleryPanel.SelectChart

TChartGalleryPanel.SelectChart
TChartGalleryPanel

procedure SelectChart(Chart: TGalleryChart); virtual;

Unit
TeeGalleryPanel

Description
Call this method to mimic clicking on 'mini' Chart (Series Type) in the Gallery Panel. Moves the active mini Chart to passed Chart variable.

Example

With ChartGalleryPanel1 do SelectChart(Charts[3]);


TChartGalleryPanel.SelectedChart

TChartGalleryPanel.SelectedChart
TChartGalleryPanel

property SelectedChart: TGalleryChart;

Unit
TeeGalleryPanel

Description
Returns the Chart currently selected at the Gallery.


TChartGalleryPanel.Smooth

TChartGalleryPanel.Smooth
TChartGalleryPanel

property Smooth: Boolean;

Unit
TeeGalleryPanel

Description
Gets or sets if the chart gallery will display charts in normal mode or "smooth" mode.

Smooth mode shows charts with an eye-pleasant effect.


TChartGalleryPanel.UseTheme

TChartGalleryPanel.UseTheme
TChartGalleryPanel

procedure UseTheme(Theme: TChartThemeClass);

Unit
TeeGalleryPanel

Description
The Gallery panel will apply the Theme parameter to all currently displayed charts.

This is equivalent to calling the Theme ApplyTo method to all charts in the gallery chart list.

uses TeeThemes;
GalleryPanel1.UseTheme( TExcelTheme );


TChartGalleryPanel.View3D

TChartGalleryPanel.View3D
TChartGalleryPanel

property View3D: Boolean;

Unit
TeeGalleryPanel

Description
Default True

View Series Types in Gallery Panel as 3D/2D.


TChartGradient.0events

TChartGradient events
TChartGradient Legend key

Unit
TeeProcs

Derived from TCustomTeeGradient
Changed


TChartGradient.0methods

TChartGradient methods
TChartGradient Legend key

Unit
TeeProcs

Derived from TCustomTeeGradient
Draw
UseMiddleColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartGradient.0properties

TChartGradient properties
TChartGradient Legend key

Unit
TeeProcs

Derived from TCustomTeeGradient
Angle
Balance
CustomTargetPolygon
CustomTargetRectangle
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
Visible


TChartGradient.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TCustomTeeGradient
|
TTeeGradient
|
TChartGradient

Classes derived from TChartGradient
(none)


TChartGrid.0events

TChartGrid events
TChartGrid Legend key

Unit
TeeChartGrid

Derived from TCustomChartGrid
OnChangeColor
OnEditingCell
OnSetEditText
OnTopLeftChanged

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartGrid.0methods

TChartGrid methods
TChartGrid Legend key

Unit
TeeChartGrid

Derived from TCustomChartGrid
AppendRow
ChangeColor
ColorsColumn
Delete
FindXYZIndex
FirstRowNum
GetSeries
GetXYZSeries
Insert
LabelsColumn
RecalcDimensions
StartEditing
StopEditing

Derived from TCustomGrid
AdjustSize
BeginColumnDrag
BeginRowDrag
BoxRect
CalcCoordFromPoint
CalcDrawInfo
CalcDrawInfoXY
CalcFixedInfo
CalcMaxTopLeft
CalcSizingState
CancelMode
CanEditAcceptKey
CanEditModify
CanEditShow
CanGridAcceptKey
CellRect
ChangeGridOrientation
ChangeSize
CheckColumnDrag
CheckRowDrag
ClampInView
CMCancelMode
CMCtl3DChanged
CMDesignHitTest
CMFontChanged
CMShowingChanged
CMWantSpecialKey
ColumnMoved
ColWidthsChanged
Create
CreateEditor
CreateParams
DefineProperties
DeleteColumn
DeleteRow
Destroy
DoExit
DoMouseWheelDown
DoMouseWheelUp
DrawCell
DrawMove
DrawSizingLine
EndColumnDrag
EndRowDrag
FocusCell
GetColWidths
GetEditLimit
GetEditMask
GetEditStyle
GetEditText
GetGridHeight
GetGridWidth
GetRowHeights
GetSelection
GetTabStops
GetVisibleColCount
GetVisibleRowCount
GridRectToScreenRect
HideEdit
HideEditor
Initialize
InvalidateCell
InvalidateCol
InvalidateEditor
InvalidateGrid
InvalidateRect
InvalidateRow
IsActiveControl
KeyDown
KeyPress
ModifyScrollBar
MouseCoord
MouseDown
MouseMove
MouseUp
MoveAdjust
MoveAnchor
MoveAndScroll
MoveColRow
MoveColumn
MoveCurrent
MoveRow
MoveTopLeft
Paint
ReadColWidths
ReadRowHeights
ResizeCol
ResizeRow
RowHeightsChanged
RowMoved
ScrollData
ScrollDataInfo
SelectCell
SelectionMoved
SetBorderStyle
SetCol
SetColCount
SetColWidths
SetDefaultColWidth
SetDefaultRowHeight
SetEditorMode
SetEditText
SetFixedColor
SetFixedCols
SetFixedRows
SetGridLineWidth
SetLeftCol
SetOptions
SetRow
SetRowCount
SetRowHeights
SetScrollBars
SetSelection
SetTabStops
SetTopRow
ShowEditor
ShowEditorChar
SizeChanged
Sizing
TimedScroll
TopLeftChanged
TopLeftMoved
UpdateDesigner
UpdateEdit
UpdateScrollPos
UpdateScrollRange
UpdateText
WMCancelMode
WMChar
WMCommand
WMGetDlgCode
WMHScroll
WMKillFocus
WMLButtonDown
WMNCHitTest
WMSetCursor
WMSetFocus
WMSize
WMTimer
WMVScroll
WriteColWidths
WriteRowHeights

Derived from TCustomControl
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMLButtonDblClk
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartGrid.0properties

TChartGrid properties
TChartGrid Legend key

Unit
TeeChartGrid

Derived from TCustomChartGrid
AllowAppend
AllowInsertSeries
Chart
GradientCell
Grid3DMode
ReadOnly
Series
SeriesSymbolClickable
ShowColors
ShowFields
ShowLabels
ShowVisuals
ShowXValues

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartGrid.Hierarchy

Unit
TeeChartGrid

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomGrid
|
TCustomChartGrid
|
TChartGrid

Classes derived from TChartGrid
(none)


TChartGridNavigator.0events

TChartGridNavigator events
TChartGridNavigator Legend key

Unit
TeeChartGrid

Derived from TCustomTeeNavigator
OnButtonClicked

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartGridNavigator.0methods

TChartGridNavigator methods
TChartGridNavigator Legend key

Unit
TeeChartGrid

In TChartGridNavigator
EnableButtons

Derived from TCustomTeeNavigator
PageCount
Print
SetBounds

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartGridNavigator.0properties

TChartGridNavigator properties
TChartGridNavigator Legend key

Unit
TeeChartGrid

In TChartGridNavigator
Grid

Derived from TCustomTeeNavigator
Panel

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartGridNavigator.EnableButtons

TChartGridNavigator.EnableButtons
TChartGridNavigator

procedure EnableButtons; override;

Unit
TeeChartGrid

Description
LongDesc
This method will enable/disable the gridnavigator buttons according to the navigation state.


TChartGridNavigator.Grid

TChartGridNavigator.Grid
TChartGridNavigator

property Grid: TCustomChartGrid;

Unit
TeeChartGrid

Description
Use the Grid property to link the Grid Navigator with a Chartgrid.


TChartGridNavigator.Hierarchy

Unit
TeeChartGrid

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeeNavigator
|
TChartGridNavigator

Classes derived from TChartGridNavigator
(none)


TChartHiddenPen.0events

TChartHiddenPen events
TChartHiddenPen Legend key

Unit
TeCanvas

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartHiddenPen.0methods

TChartHiddenPen methods
TChartHiddenPen Legend key

Unit
TeCanvas

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartHiddenPen.0properties

TChartHiddenPen properties
TChartHiddenPen Legend key

Unit
TeCanvas

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartHiddenPen.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TChartHiddenPen

Classes derived from TChartHiddenPen
(none)


TChartImage.0events

TChartImage events
TChartImage Legend key

Unit
TeeEditPro

Derived from TGraphic
Empty
Height
Modified
OnChange
OnProgress
Palette
PaletteModified
Transparent
Width


TChartImage.0methods

TChartImage methods
TChartImage Legend key

Unit
TeeEditPro

Derived from TGraphic
Changed
Create
DefineProperties
Draw
Equals
GetEmpty
GetHeight
GetPalette
GetTransparent
GetWidth
LoadFromClipboardFormat
LoadFromFile
LoadFromStream
Progress
ReadData
SaveToClipboardFormat
SaveToFile
SaveToStream
SetHeight
SetModified
SetPalette
SetTransparent
SetWidth
WriteData

Derived from TInterfacedPersistent
_AddRef
_Release
AfterConstruction
QueryInterface

Derived from TPersistent
Assign
AssignError
AssignTo
Destroy
GetNamePath
GetOwner

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartImage.0properties

TChartImage properties
TChartImage Legend key

Unit
TeeEditPro

In TChartImage
Chart

Derived from TGraphic
Empty
Height
Modified
OnChange
OnProgress
Palette
PaletteModified
Transparent
Width


TChartImage.Chart

TChartImage.Chart
TChartImage

property Chart: TChart;

Unit
TeeEditPro

Description
The internal Chart used in ChartImage when loading binary *.tee files.


TChartImage.Hierarchy

Unit
TeeEditPro

Hierarchy

TObject
|
TPersistent
|
TInterfacedPersistent
|
TGraphic
|
TChartImage

Classes derived from TChartImage
(none)


TChartImageTool.0events

TChartImageTool events
TChartImageTool Legend key

Unit
TeeTools

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartImageTool.0methods

TChartImageTool methods
TChartImageTool Legend key

Unit
TeeTools

In TChartImageTool
Description
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartImageTool.0properties

TChartImageTool properties
TChartImageTool Legend key

Unit
TeeTools

In TChartImageTool
Picture

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartImageTool.Description

TChartImageTool.Description
TChartImageTool

function Description: String; override;

Unit
TeeTools

Description
Returns the text used at the Chart Editor dialog ( Tools Gallery dialog ).
In this case is "Image".


TChartImageTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TChartImageTool

Classes derived from TChartImageTool
(none)


TChartImageTool.LongDescription

TChartImageTool.LongDescription
TChartImageTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns the ImageTool long description.


TChartImageTool.Picture

TChartImageTool.Picture
TChartImageTool

property Picture: TTeePicture;

Unit
TeeTools

Description
Set picture for use with ImageTool. Displays image on Panel.


TChartLeftWall.0methods

TChartLeftWall methods
TChartLeftWall Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartLeftWall.0properties

TChartLeftWall properties
TChartLeftWall Legend key

Unit
Chart

Derived from TCustomChartWall
AutoHide
Dark3D
EndPosition
Pen
Size
StartPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Visible


TChartLeftWall.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TCustomChartWall
|
TChartWall
|
TChartLeftWall

Classes derived from TChartLeftWall
(none)


TChartLegend.0methods

TChartLegend methods
TChartLegend Legend key

Unit
Chart

Derived from TCustomChartLegend
Clicked
DrawLegend
FormattedLegend
FormattedValue
ShouldDraw

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartLegend.0properties

TChartLegend properties
TChartLegend Legend key

Unit
Chart

Derived from TCustomChartLegend
Alignment
CheckBoxes
CheckBoxesStyle
ColorWidth
CurrentPage
DividingLines
FirstValue
FontSeriesColor
HorizMargin
Inverted
Item
Items
LastValue
LeftPercent
LegendStyle
MaxNumRows
PositionUnits
RectLegend
ResizeChart
Series
Symbol
TextStyle
TextSymbolGap
Title
TopPercent
TopPos
TotalLegendItems
Vertical
VertMargin
VertSpacing

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TChartLegend.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TCustomChartLegend
|
TChartLegend

Classes derived from TChartLegend
(none)


TChartList.0events

TChartList events
TChartList Legend key

Unit
TeeGalleryPanel

Derived from TList
Capacity
Count
Items
List


TChartList.0methods

TChartList methods
TChartList Legend key

Unit
TeeGalleryPanel

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartList.0properties

TChartList properties
TChartList Legend key

Unit
TeeGalleryPanel

In TChartList
Items

Derived from TList
Capacity
Count
List


TChartList.Hierarchy

Unit
TeeGalleryPanel

Hierarchy

TObject
|
TList
|
TChartList

Classes derived from TChartList
(none)


TChartList.Items

TChartList.Items
TChartList

property Items[Index: Integer]: TGalleryChart;

Unit
TeeGalleryPanel

Description
Access the TChartGalleryPanel 'subChart' by index.


TChartListBox.0events

TChartListBox events
TChartListBox Legend key

Unit
TeeLisB

In TChartListBox
OnChangeActive
OnChangeColor
OnChangeOrder
OnDblClickSeries
OnOtherItemsChange
OnRefresh
OnRemovedSeries

Derived from TCustomListBox
AutoComplete
BorderStyle
Canvas
Columns
Count
ExtendedSelect
IntegralHeight
ItemHeight
Items
OnData
OnDataFind
OnDataObject
OnDrawItem
OnMeasureItem
ScrollWidth
Selected
Sorted
Style
TabWidth
TopIndex

Derived from TCustomMultiSelectListControl
MultiSelect
SelCount

Derived from TCustomListControl
ItemIndex

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartListBox.0methods

TChartListBox methods
TChartListBox Legend key

Unit
TeeLisB

In TChartListBox
AddSeriesGallery
AnySelected
ChangeTypeSeries
ClearItems
CloneSeries
DeleteSeries
FillSeries
HideEditor
MoveCurrentDown
MoveCurrentUp
PointInSection
RenameSeries
SelectAll
SeriesAtMousePos
ShowEditor
SwapSeries
UpdateSeries

Derived from TCustomListBox
AddItem
Clear
ClearSelection
CMCtl3DChanged
CNCommand
CNDrawItem
CNMeasureItem
CopySelection
Create
CreateParams
CreateWnd
DeleteSelected
DeleteString
Destroy
DestroyWnd
DoFindData
DoGetData
DoGetDataObject
DragCanceled
DrawItem
GetCount
GetItemData
GetItemHeight
GetItemIndex
GetScrollWidth
GetSelCount
GetSelected
GetTopIndex
InternalGetItemData
InternalSetItemData
ItemAtPos
ItemRect
KeyPress
LBGetText
LBGetTextLen
MeasureItem
ResetContent
SetBorderStyle
SetColumns
SetColumnWidth
SetCount
SetExtendedSelect
SetIntegralHeight
SetItemData
SetItemHeight
SetItemIndex
SetItems
SetMultiSelect
SetScrollWidth
SetSelected
SetSorted
SetStyle
SetTabWidth
SetTopIndex
WMLButtonDown
WMPaint
WMSize
WndProc

Derived from TCustomListControl
MoveSelection

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartListBox.0properties

TChartListBox properties
TChartListBox Legend key

Unit
TeeLisB

In TChartListBox
AllowAddSeries
AllowDeleteSeries
AskDelete
Chart
CheckStyle
EnableChangeColor
EnableChangeType
EnableDragSeries
FontSeriesColor
OtherItems
SelectedSeries
Series
SeriesGroup
ShowActiveCheck
ShowSeriesColor
ShowSeriesIcon
ShowSeriesNames
ShowSeriesTitle

Derived from TCustomListBox
AutoComplete
BorderStyle
Canvas
Columns
Count
ExtendedSelect
IntegralHeight
ItemHeight
Items
OnData
OnDataFind
OnDataObject
OnDrawItem
OnMeasureItem
ScrollWidth
Selected
Sorted
Style
TabWidth
TopIndex

Derived from TCustomMultiSelectListControl
MultiSelect
SelCount

Derived from TCustomListControl
ItemIndex

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartListBox.AddSeriesGallery

TChartListBox.AddSeriesGallery
TChartListBox

function AddSeriesGallery: TChartSeries;

Unit
TeeLisB

Description
Displays Series Gallery with compatible Series types which may be added to the Chart.


TChartListBox.AllowAddSeries

TChartListBox.AllowAddSeries
TChartListBox

property AllowAddSeries: Boolean;

Unit
TeeLisB

Description
Setting AllowAddSeries enables/disables the addition of Series.


TChartListBox.AllowDeleteSeries

TChartListBox.AllowDeleteSeries
TChartListBox

property AllowDeleteSeries: Boolean;

Unit
TeeLisB

Description
Enable/disable delete of Series.


TChartListBox.AnySelected

TChartListBox.AnySelected
TChartListBox

function AnySelected: Boolean;

Unit
TeeLisB

Description
Returns True if there is at least one Series currently selected in the Listbox.

This function uses the MultiSelect property to determine if the ItemIndex and / or the Selected array property should be used to guess the selected items.


TChartListBox.AskDelete

TChartListBox.AskDelete
TChartListBox

property AskDelete: Boolean;

Unit
TeeLisB

Description
Enable prompt 'yes/no' on deleteing Series.


TChartListBox.ChangeTypeSeries

TChartListBox.ChangeTypeSeries
TChartListBox

procedure ChangeTypeSeries(Sender: TObject);

Unit
TeeLisB

Description
Shows Gallery to change SeriesType for selected Series.


TChartListBox.Chart

TChartListBox.Chart
TChartListBox

property Chart: TCustomChart;

Unit
TeeLisB

Description
Select Chart to which to link the TChartListbox.


TChartListBox.CheckStyle

TChartListBox.CheckStyle
TChartListBox

property CheckStyle: TCheckBoxesStyle;

Unit
TeeLisB

Description
Default value : cbsCheck

The ListBox uses this property to display checkboxes or radiobuttons at each list item.


TChartListBox.ClearItems

TChartListBox.ClearItems
TChartListBox

procedure ClearItems;

Unit
TeeLisB

Description
Clears Series items from TChartListbox.


TChartListBox.CloneSeries

TChartListBox.CloneSeries
TChartListBox

procedure CloneSeries;

Unit
TeeLisB

Description
Make a duplicate (copy) of selected Series.


TChartListBox.DeleteSeries

TChartListBox.DeleteSeries
TChartListBox

function DeleteSeries: Boolean;

Unit
TeeLisB

Description
Delete selected Series.


TChartListBox.EnableChangeColor

TChartListBox.EnableChangeColor
TChartListBox

property EnableChangeColor: Boolean;

Unit
TeeLisB

Description
Setting EnableChangeColor enables/disables the Series color to be changed within the TChartListBox.


TChartListBox.EnableChangeType

TChartListBox.EnableChangeType
TChartListBox

property EnableChangeType: Boolean;

Unit
TeeLisB

Description
Setting EnableChangeType enables/disables the Series type to be changed within the TChartListBox.


TChartListBox.EnableDragSeries

TChartListBox.EnableDragSeries
TChartListBox

property EnableDragSeries: Boolean;

Unit
TeeLisB

Description
Setting EnableDragSeries enables/disables Series to be dragged within the TChartListBox.


TChartListBox.FillSeries

TChartListBox.FillSeries
TChartListBox

procedure FillSeries(OldSeries: TChartSeries);

Unit
TeeLisB

Description
Fills TChartListbox with Series from Chart.

Note: Series that have the internal "InternalUse" property set to True will not appear at the list box.


TChartListBox.FontSeriesColor

TChartListBox.FontSeriesColor
TChartListBox

property FontSeriesColor: Boolean;

Unit
TeeLisB

Description
When True shows Series names in Listbox in same colour as SeriesColor.


TChartListBox.HideEditor

TChartListBox.HideEditor
TChartListBox

procedure HideEditor;

Unit
TeeLisB

Description
Removes (if it is currently visible) the inline edit-box used to modify a series title.

By default, pressing F2 key on a listbox item will show the inline edit box.

See also: ShowEditor


TChartListBox.Hierarchy

Unit
TeeLisB

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomListControl
|
TCustomMultiSelectListControl
|
TCustomListBox
|
TChartListBox

Classes derived from TChartListBox
(none)


TChartListBox.MoveCurrentDown

TChartListBox.MoveCurrentDown
TChartListBox

procedure MoveCurrentDown;

Unit
TeeLisB

Description
Move selected Series down in order.


TChartListBox.MoveCurrentUp

TChartListBox.MoveCurrentUp
TChartListBox

procedure MoveCurrentUp;

Unit
TeeLisB

Description
Move selected Series up in order.


TChartListBox.OnChangeActive

TChartListBox.OnChangeActive
TChartListBox

property OnChangeActive: TNotifySeriesEvent;

Unit
TeeLisB

Description
Called when the end user clicks the checkbox near to each list item.

By default, checking / unchecking the checkbox corresponds to setting the Series Visible property.


TChartListBox.OnChangeColor

TChartListBox.OnChangeColor
TChartListBox

property OnChangeColor: TNotifySeriesEvent;

Unit
TeeLisB

Description
Event called when the user double-clicks a color symbol in the ChartListBox, to edit the series color.


TChartListBox.OnChangeOrder

TChartListBox.OnChangeOrder
TChartListBox

property OnChangeOrder: TChangeOrderEvent;

Unit
TeeLisB

Description
Triggered when a series in the listbox is exchanged with another series (series order in the list is changed)


TChartListBox.OnDblClickSeries

TChartListBox.OnDblClickSeries
TChartListBox

property OnDblClickSeries: TDblClickSeriesEvent;

Unit
TeeLisB

Description
Event triggered by DoubleClick on Series in TChartListbox.

TDblClickSeriesEvent=procedure(Sender:TChartListBox;Index:Integer) of object;

Where index is the Series index dblclicked.


TChartListBox.OnOtherItemsChange

TChartListBox.OnOtherItemsChange
TChartListBox

property OnOtherItemsChange: TNotifyEvent;

Unit
TeeLisB

Description
Internally used.


TChartListBox.OnRefresh

TChartListBox.OnRefresh
TChartListBox

property OnRefresh: TNotifyEvent;

Unit
TeeLisB

Description
Triggered when the listbox refills again all series from chart.


TChartListBox.OnRemovedSeries

TChartListBox.OnRemovedSeries
TChartListBox

property OnRemovedSeries: TNotifySeriesEvent;

Unit
TeeLisB

Description
This event is triggered when a Series is removed from a Chart.

Removing a Series can be done clicking the "Del" key on a Chart ListBox.

It can also happen when the application is destroying a Series (ie: Series1.Free), so you can use the Chart ListBox OnRemovedSeries as an informative event.


TChartListBox.OtherItems

TChartListBox.OtherItems
TChartListBox

property OtherItems: TStrings;

Unit
TeeLisB

Description
Use this property to update external controls that list or act upon the contents of the ChartListbox.

Example

procedure TForm1.FormCreate(Sender: TObject);
begin
ChartListBox1.OtherItems:=ListBox1.Items;
ChartListBox1.FillSeries(nil);
end;


TChartListBox.PointInSection

TChartListBox.PointInSection
TChartListBox

function PointInSection(Const P: TPoint; ASection: Integer): Boolean;

Unit
TeeLisB

Description
Returns true if co-ordinates x,y of Point are in the Section of the Listbox. Use this method to add custom functionality to the sectioned hotspot areas of the ChartListbox.

Typically (ChartListbox may be configured to hide sections):

Section 0: Series icon
Section 1: Series color
Section 2: Series Active
Section 3: Series Name

Example

Var P : TPoint;
 InSection : Boolean;
begin
P.x:=5;
P.y:=5;

 InSection:= ChartListBox1.PointInSection(P,0);

 if InSection then
 ShowMessage('In first area of Listitems');
end;


TChartListBox.RenameSeries

TChartListBox.RenameSeries
TChartListBox

function RenameSeries: Boolean;

Unit
TeeLisB

Description
Shows dialog to change Series name.


TChartListBox.SelectAll

TChartListBox.SelectAll
TChartListBox

procedure SelectAll; override;

Unit
TeeLisB

Description
Use SelectAll to select all the Series present in TChartListBox.


TChartListBox.SelectedSeries

TChartListBox.SelectedSeries
TChartListBox

property SelectedSeries: TChartSeries;

Unit
TeeLisB

Description
Read SelectSeries to learn the series type of the selected series.

Write SelectSeries to change the series type of the selected series.


TChartListBox.Series

TChartListBox.Series
TChartListBox

property Series[Index: Integer]: TChartSeries;

Unit
TeeLisB

Description
Series is a read only property which returns the series type of the specified Series.


TChartListBox.SeriesAtMousePos

TChartListBox.SeriesAtMousePos
TChartListBox

function SeriesAtMousePos(Var P: TPoint): Integer;

Unit
TeeLisB

Description
Returns Series index of Series at Mouse pointer.

Example

procedure TForm1.ChartListBox1MouseMove(Sender: TObject;
Shift: TShiftState; X, Y: Integer);
var tmp : Integer;
P : TPoint;
begin
P:=Point(x,y);

tmp:=ChartListBox1.SeriesAtMousePos(P);

if tmp<>-1 then
Caption:=Chart1[tmp].Name;
end;


TChartListBox.SeriesGroup

TChartListBox.SeriesGroup
TChartListBox

property SeriesGroup: TSeriesGroup;

Unit
TeeLisB

Description
Default value: nil

The ListBox will show all Chart series when this property is nil, or it will show only the series contained in the SeriesGroup list when specified.


TChartListBox.ShowActiveCheck

TChartListBox.ShowActiveCheck
TChartListBox

property ShowActiveCheck: Boolean;

Unit
TeeLisB

Description
Enable/disable display of Series 'Active' Checkbox.


TChartListBox.ShowEditor

TChartListBox.ShowEditor
TChartListBox

procedure ShowEditor;

Unit
TeeLisB

Description
Displays the inline edit-box used to modify a series title.

By default, pressing F2 key on a listbox item will show the inline edit box.

See also: HideEditor


TChartListBox.ShowSeriesColor

TChartListBox.ShowSeriesColor
TChartListBox

property ShowSeriesColor: Boolean;

Unit
TeeLisB

Description
Enable/disable display of Series Colour.


TChartListBox.ShowSeriesIcon

TChartListBox.ShowSeriesIcon
TChartListBox

property ShowSeriesIcon: Boolean;

Unit
TeeLisB

Description
Enable/disable display of Series icon.


TChartListBox.ShowSeriesNames

TChartListBox.ShowSeriesNames
TChartListBox

property ShowSeriesNames: Boolean;

Unit
TeeLisB

Description
Default: False

When True, the listbox shows the Series Names instead of the Series Title properties.

By default, Series Title property is empty.
In this case the listbox shows the Series Name regardless ShowSeriesNames is True or False.


TChartListBox.ShowSeriesTitle

TChartListBox.ShowSeriesTitle
TChartListBox

property ShowSeriesTitle: Boolean;

Unit
TeeLisB

Description
Enable/disable display of Series Title.


TChartListBox.SwapSeries

TChartListBox.SwapSeries
TChartListBox

procedure SwapSeries(tmp1, tmp2: Integer);

Unit
TeeLisB

Description
Interchange 2 Series using their initial index numbers.


TChartListBox.UpdateSeries

TChartListBox.UpdateSeries
TChartListBox

procedure UpdateSeries;

Unit
TeeLisB

Description
Use UpdateSeries to automatically update the selected Series.


TChartPage.0methods

TChartPage methods
TChartPage Legend key

Unit
TeEngine

In TChartPage
Count
FirstValueIndex
NextPage
PreviousPage

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartPage.0properties

TChartPage properties
TChartPage Legend key

Unit
TeEngine

In TChartPage
AutoScale
Current
MaxPointsPerPage
ScaleLastPage


TChartPage.AutoScale

TChartPage.AutoScale
TChartPage

property AutoScale: Boolean;

Unit
TeEngine

Description
Auto-determine the page scaling.


TChartPage.Count

TChartPage.Count
TChartPage

function Count: Integer;

Unit
TeEngine

Description
Return the page count.


TChartPage.Current

TChartPage.Current
TChartPage

property Current: Integer;

Unit
TeEngine

Description
Current page index.


TChartPage.FirstValueIndex

TChartPage.FirstValueIndex
TChartPage

function FirstValueIndex: Integer;

Unit
TeEngine

Description
PointIndex of the first point of the Page.


TChartPage.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TChartPage

Classes derived from TChartPage
(none)


TChartPage.MaxPointsPerPage

TChartPage.MaxPointsPerPage
TChartPage

property MaxPointsPerPage: Integer;

Unit
TeEngine

Description
Maximum points per page.


TChartPage.NextPage

TChartPage.NextPage
TChartPage

procedure NextPage;

Unit
TeEngine

Description
Move to Next page.


TChartPage.PreviousPage

TChartPage.PreviousPage
TChartPage

procedure PreviousPage;

Unit
TeEngine

Description
Move to Previous Page.


TChartPage.ScaleLastPage

TChartPage.ScaleLastPage
TChartPage

property ScaleLastPage: Boolean;

Unit
TeEngine

Description
Auto-size scale of last page to width of Chart.


TChartPageNavigator.0events

TChartPageNavigator events
TChartPageNavigator Legend key

Unit
TeeEdiGene

Derived from TCustomTeeNavigator
OnButtonClicked

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartPageNavigator.0methods

TChartPageNavigator methods
TChartPageNavigator Legend key

Unit
TeeEdiGene

In TChartPageNavigator
EnableButtons
PageCount
Print

Derived from TCustomTeeNavigator
SetBounds

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartPageNavigator.0properties

TChartPageNavigator properties
TChartPageNavigator Legend key

Unit
TeeEdiGene

In TChartPageNavigator
Chart

Derived from TCustomTeeNavigator
Panel

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartPageNavigator.Chart

TChartPageNavigator.Chart
TChartPageNavigator

property Chart: TCustomChart;

Unit
TeeEdiGene

Description
Sets Chart to which to link the TChartPageNavigator.


TChartPageNavigator.EnableButtons

TChartPageNavigator.EnableButtons
TChartPageNavigator

procedure EnableButtons; override;

Unit
TeeEdiGene

Description

Use EnableButtons to refresh the TChartPageNavigator after any change of Chart data/page status not caused by the navigator.


TChartPageNavigator.Hierarchy

Unit
TeeEdiGene

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeeNavigator
|
TChartPageNavigator

Classes derived from TChartPageNavigator
(none)


TChartPageNavigator.PageCount

TChartPageNavigator.PageCount
TChartPageNavigator

function PageCount: Integer; override;

Unit
TeeEdiGene

Description
Returns the number of Chart pages.
Corresponds to TChart.NumPages property.


TChartPageNavigator.Print

TChartPageNavigator.Print
TChartPageNavigator

procedure Print; override;

Unit
TeeEdiGene

Description
Sends all Chart pages to default printer, one by one.

This is equivalent to call Chart.Print method in a loop, setting Chart.Page property from 1 to NumPages.


TChartPen.0events

TChartPen events
TChartPen Legend key

Unit
TeCanvas

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartPen.0methods

TChartPen methods
TChartPen Legend key

Unit
TeCanvas

In TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartPen.0properties

TChartPen properties
TChartPen Legend key

Unit
TeCanvas

In TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TChartPen.EndStyle

TChartPen.EndStyle
TChartPen

property EndStyle: TPenEndStyle;

Unit
TeCanvas

Description
The EndStyle is supported in Windows NT, 2000 or XP only.

This property determines the "ending style" of a Pen when drawing lines.
The pen Width should be bigger than zero for EndStyle to have a noticeable visual effect.

There are 3 types of "ending style" (round, square of flat).
Please refer to Windows API SDK help file for CreatePen function for more information.

Under Windows 95,98 and Me, this property is not used, and the Chart Pen Editor dialog hides the combobox used to change this property.


TChartPen.Hide

TChartPen.Hide
TChartPen

procedure Hide;

Unit
TeCanvas

Description
Makes the pen invisible.

Calling Hide is the same as setting the Visible property to False.


TChartPen.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen

Classes derived from TChartPen
TChartAxisPen
TChartHiddenPen
TDarkGrayPen
TDottedGrayPen
TPreviewChartPen
TTeeZoomPen
TWhitePen


TChartPen.Show

TChartPen.Show
TChartPen

procedure Show;

Unit
TeCanvas

Description
Makes the pen visible.

Calling Show is the same as setting the Visible property to True.


TChartPen.SmallDots

TChartPen.SmallDots
TChartPen

property SmallDots: Boolean;

Unit
TeCanvas

Description
Enable SmallDots as Pen Style for drawing lines using a dotted pattern.

Note: Supported only in Windows NT, 2000, XP, 2003 and Vista.

Under Windows 95,98 and Me the pen style is set to solid (continous line).


TChartPen.SmallSpace

TChartPen.SmallSpace
TChartPen

property SmallSpace: Integer;

Unit
TeCanvas

Description
Enable SmallSpace as Pen Style for drawing lines using a dotted pattern.


TChartPen.Visible

TChartPen.Visible
TChartPen

property Visible: Boolean;

Unit
TeCanvas

Description
The Visible property determines if the pen will draw lines or not.

For example, TChart Frame property can be hidden by setting it's Visible property to False:

Chart1.Frame.Visible:=False;


TChartPreviewer.0events

TChartPreviewer events
TChartPreviewer Legend key

Unit
TeeEdit

In TChartPreviewer
OnAfterDraw

Derived from TCustomChartEditor
OnClose
OnShow

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartPreviewer.0methods

TChartPreviewer methods
TChartPreviewer Legend key

Unit
TeeEdit

In TChartPreviewer
Execute

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartPreviewer.0properties

TChartPreviewer properties
TChartPreviewer Legend key

Unit
TeeEdit

In TChartPreviewer
Options
PaperColor
PreviewPanel
WindowState

Derived from TCustomChartEditor
Chart
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartPreviewer.Execute

TChartPreviewer.Execute
TChartPreviewer

procedure Execute; override;

Unit
TeeEdit

Description
Displays the Chart Print Preview dialog.


TChartPreviewer.Hierarchy

Unit
TeeEdit

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartEditor
|
TChartPreviewer

Classes derived from TChartPreviewer
(none)


TChartPreviewer.OnAfterDraw

TChartPreviewer.OnAfterDraw
TChartPreviewer

property OnAfterDraw: TNotifyEvent;

Unit
TeeEdit

Description
Called when the Chart Preview panel draws the chart.
Can be used to custom draw additional text or drawings on full size of preview paper rectangle.

procedure TPreviewCustomDraw.TeePreviewPanel1AfterDraw(Sender: TObject);
begin
with TeePreviewPanel1,Canvas do
begin
Font.Color:=clRed;
Font.Size:=12;
TextOut(PaperRect.Left+10,PaperRect.Top+6,'Some text');
end;
end;


TChartPreviewer.Options

TChartPreviewer.Options
TChartPreviewer

property Options: TChartPreviewOptions;

Unit
TeeEdit

Description
Defines the user options to enable in Print Preview.


TChartPreviewer.PaperColor

TChartPreviewer.PaperColor
TChartPreviewer

property PaperColor: TColor;

Unit
TeeEdit

Description
Set PaperColor for backdrop (paper) colour on Chart Print Preview.


TChartPreviewer.PreviewPanel

TChartPreviewer.PreviewPanel
TChartPreviewer

property PreviewPanel: TTeePreviewPanel;

Unit
TeeEdit

Description
Returns the internal panel component used to display charts or teepanel components.


TChartPreviewer.WindowState

TChartPreviewer.WindowState
TChartPreviewer

property WindowState: TWindowState;

Unit
TeeEdit

Description
See TWindowState. Returns Maximized, Minimized or Normal as State of ChartPreviewer window


TChartRightWall.0methods

TChartRightWall methods
TChartRightWall Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartRightWall.0properties

TChartRightWall properties
TChartRightWall Legend key

Unit
Chart

Derived from TCustomChartWall
AutoHide
Dark3D
EndPosition
Pen
Size
StartPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Visible


TChartRightWall.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TCustomChartWall
|
TChartWall
|
TChartRightWall

Classes derived from TChartRightWall
(none)


TChartScrollBar.0events

TChartScrollBar events
TChartScrollBar Legend key

Unit
TeeScroB

Derived from TScrollBar
Kind
LargeChange
Max
Min
OnChange
OnScroll
PageSize
Position
SmallChange

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartScrollBar.0methods

TChartScrollBar methods
TChartScrollBar Legend key

Unit
TeeScroB

In TChartScrollBar
RecalcPosition

Derived from TScrollBar
Change
CNCtlColorScrollBar
CNHScroll
CNVScroll
Create
CreateParams
CreateWnd
DoScroll
NotRightToLeft
Scroll
SetKind
SetMax
SetMin
SetPageSize
SetParams
SetPosition
WMEraseBkgnd

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCtl3DChanged
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
Destroy
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaint
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartScrollBar.0properties

TChartScrollBar properties
TChartScrollBar Legend key

Unit
TeeScroB

In TChartScrollBar
Axis
Chart
Inverted
PageSize

Derived from TScrollBar
Kind
LargeChange
Max
Min
OnChange
OnScroll
Position
SmallChange

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartScrollBar.Axis

TChartScrollBar.Axis
TChartScrollBar

property Axis: TScrollBarAxis;

Unit
TeeScroB

Description
Use this property to select the Chart Axis to which to associate the ScrollBar. You will need to use this in conjunction with the Kind property which will set the ScrollBar as Horizontal or Vertical.

sbDefault: means Left or Bottom axis

sbOther : means Right or Top axis

sbBoth : (default) means Left and Bottom , or Right and Top axis


TChartScrollBar.Chart

TChartScrollBar.Chart
TChartScrollBar

property Chart: TCustomChart;

Unit
TeeScroB

Description
Sets the chart to which the ScrollBar is associated.


TChartScrollBar.Hierarchy

Unit
TeeScroB

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollBar
|
TChartScrollBar

Classes derived from TChartScrollBar
(none)


TChartScrollBar.Inverted

TChartScrollBar.Inverted
TChartScrollBar

property Inverted: Boolean;

Unit
TeeScroB

Description
Sets the ScrollBar to function in reverse direction.


TChartScrollBar.PageSize

TChartScrollBar.PageSize
TChartScrollBar

property PageSize: Integer;

Unit
TeeScroB

Description
PageSize specifies the amount Position is changed when the PageUp or PageDown key is pressed, or when the bar is clicked.


TChartScrollBar.RecalcPosition

TChartScrollBar.RecalcPosition
TChartScrollBar

procedure RecalcPosition(ScrollAxes: Boolean);

Unit
TeeScroB

Description
Use TChartScrollBar to add scrollbars to a Chart.
A TChartScrollBar may be connected to any Axis.
You should use the Kind property to define the ScrollBar as vertical or horizontal and the Align property to select the Axis.


TChartSeries.0events

TChartSeries events
TChartSeries Legend key

Unit
TeEngine

In TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartSeries.0methods

TChartSeries methods
TChartSeries Legend key

Unit
TeEngine

In TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartSeries.0properties

TChartSeries properties
TChartSeries Legend key

Unit
TeEngine

In TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartSeries.Add

TChartSeries.Add
TChartSeries

function Add(Const AValue: TChartValue; Const ALabel: String; AColor: TColor): Integer; virtual; overload;

Unit
TeEngine

Description
The TChartSeries Add method can be used to insert new Series points when you do not have an X Value for the point.
The function inserts a new point in the Series.

The new point added with the Add method only has Y values.
The X values are automatically calculated (sequential index of 0,1,2,3,4..etc).

The ALabel parameter is optional ( can be empty '' ).
The AColor parameter is optional ( can be clTeeColor to indicate "default color" ).
The function returns the new point position in the Values list.

Multiline Labels may be set via the TChartAxis LabelsMultiLine property or by Series Add method.

See also the AddXY method.

Example :

Series1.Add( 1234, 'Hello'+TeeLineSeparator+'world' , clRed );
Series1.Add( 2000, 'Good'+TeeLineSeparator+'Day' , clBlue );


TChartSeries.AddArray

TChartSeries.AddArray
TChartSeries

function AddArray(Const Values: array of TChartValue): Integer; overload;

Unit
TeEngine

Description
The Series AddArray method may be used to add an array of data directly to the Series.


TChartSeries.AddNull

TChartSeries.AddNull
TChartSeries

function AddNull(Const Value: TChartValue): Integer; overload;

Unit
TeEngine

Description
The TChartSeries AddNull method can be used to insert new Series Null points when you do not have an X Value for the point.

This function inserts a new empty point in the Series. Series points before and after do not connect across the space left by the Null point.

The function returns the new point position in the Values list.

Example

In this example the Axis and Legend labels ("1st", "2nd", "null", etc) are generated by the ALabel parameter of the Add and AddNull methods to clarify how points are added. In your own Chart, creating and displaying Labels is optional.


TChartSeries.AddNullXY

TChartSeries.AddNullXY
TChartSeries

function AddNullXY(Const x, y: TChartValue; Const ALabel: String): Integer; virtual;

Unit
TeEngine

Description
Adds a Null point at an X,Y location.

Use where the distribution of X values may be non-linear (ie. where using AddXY method to add data points to Series).
See the AddNull method for adding of null points to a Series where X values are linearly added and Chart auto indexed (0,1,2,3) ie. as in use of Series Add method.


TChartSeries.AddX

TChartSeries.AddX
TChartSeries

function AddX(Const AXValue: TChartValue; Const ALabel: String; AColor: TColor): Integer;

Unit
TeEngine

Description
The TChartSeries AddY method can be used to insert new Series points when you do not have a Y Value for the point.


TChartSeries.AddXY

TChartSeries.AddXY
TChartSeries

function AddXY(Const AXValue, AYValue: TChartValue; Const ALabel: String; AColor: TColor): Integer; virtual;

Unit
TeEngine

Description
This function inserts a new point in the Series.
The new point has X and Y values.

The ALabel parameter is optional (can be empty '').
The AColor parameter is optional (can be clTeeColor).
The function returns the new point position in the Values list.

Series1.AddXY( 123, 456, 'Hello', clGreen );


TChartSeries.AddY

TChartSeries.AddY
TChartSeries

function AddY(Const AYValue: TChartValue; Const ALabel: String; AColor: TColor): Integer;

Unit
TeEngine

Description
The TChartSeries AddY method can be used to insert new Series points when you do not have an X Value for the point.

This function inserts a new point in the Series. The new point only has Y values. X value is automatically calculated.

The AXLabel parameter is optional (can be empty '').

The AColor parameter is optional (can be clTeeColor).

The function returns the new point position in the Values list.


TChartSeries.AfterDrawValues

TChartSeries.AfterDrawValues
TChartSeries

property AfterDrawValues: TNotifyEvent;

Unit
TeEngine

Description
Called just after drawing all series points, and before drawing other series that are in front.


TChartSeries.Assign

TChartSeries.Assign
TChartSeries

procedure Assign(Source: TPersistent); override;

Unit
TeEngine

Description
Copies all properties from Source Series to Self.

This method does not copy the Series point values.

Only the common properties shared by both source and destination Series are copied.

The following code copies all properties from Series2 into Series1:

Series1.Assign( Series2 ) ;

Some Series types restore property values after assigning them. For example, TPointSeries restores the Pointer.Visible property to True after being assigned to a TLineSeries, which has Pointers invisible by default.

Note:

Series events are not assigned.
Series DataSource and FunctionType properties are assigned.
The Assign method is internally used by CloneChartSeries and ChangeSeriesType methods.


TChartSeries.AssignFormat

TChartSeries.AssignFormat
TChartSeries

procedure AssignFormat(Source: TChartSeries);

Unit
TeEngine

Description
Copies common formatting properties from Source series parameter.
Formatting properties include Marks, Color, ColorEachPoint, ValueFormat, PercentFormat, HorizAxis, VertAxis, Cursor and Depth.


TChartSeries.AssignValues

TChartSeries.AssignValues
TChartSeries

procedure AssignValues(Source: TChartSeries);

Unit
TeEngine

Description
The AssignValues method creates new Series points from Source list of points.

Example:

Series1.AssignValues( Source );

Equivalent code:

Procedure TChartSeries.AssignValues(Source : TChartSeries);
var t:Integer;
Begin
Clear;
for t:=0 to Source.Count-1 do AddedValue(Source,t);
end;


TChartSeries.AssociatedToAxis

TChartSeries.AssociatedToAxis
TChartSeries

function AssociatedToAxis(Axis: TChartAxis): Boolean; virtual;

Unit
TeEngine

Description
Returns True if the Series has been associated with the Axis.

A series is "associated" to an axis when either the HorizAxis or VertAxis refers to that Axis.


TChartSeries.BeforeDrawValues

TChartSeries.BeforeDrawValues
TChartSeries

property BeforeDrawValues: TNotifyEvent;

Unit
TeEngine

Description
Called just before drawing all series points, and after drawing other series that are behind.


TChartSeries.BeginUpdate

TChartSeries.BeginUpdate
TChartSeries

procedure BeginUpdate;

Unit
TeEngine

Description
See also the EndUpdate method.

These methods can be used when adding or modifying many values at once at a source Series to recalculate the function just one time, when finished adding points.

Example (assumes Series3 to be a function Series (eg. average))

procedure TForm1.BitBtn1Click(Sender: TObject);
var i:integer;
begin
//Set Function Period
Series3.FunctionType.Period := 3;

//Begin Update
Series3.FunctionType.BeginUpdate;

//Add Series points
For i := 0 To 500 do
Begin
Series1.AddXY(Series1.Count, 500 * Random(1000) );
Series2.AddXY(Series2.Count, 500 * Random(1000) );
end;

//End update and display function Series
Series3.FunctionType.EndUpdate
end;


TChartSeries.CalcFirstLastVisibleIndex

TChartSeries.CalcFirstLastVisibleIndex
TChartSeries

procedure CalcFirstLastVisibleIndex; virtual;

Unit
TeEngine

Description
This method can be used to recalculate the index of the first and last visible points. It could be helpful when customizing the chart manually.


TChartSeries.CalcPosValue

TChartSeries.CalcPosValue
TChartSeries

function CalcPosValue(Const Value: Double): Integer;

Unit
TeEngine

Description
Returns the coordinate position in pixels corresponding to the "Value" parameter in axis scales.

Example of use:

procedure TForm1.Chart1AfterDraw(Sender: TObject);
var tmp : Integer;
begin
tmp:=Series1.CalcPosValue( 123 );
with Chart1.Canvas do
Rectangle(tmp-5,tmp-5,tmp+5,tmp+5);
end;


TChartSeries.CalcXPos

TChartSeries.CalcXPos
TChartSeries

function CalcXPos(ValueIndex: Integer): Integer; virtual;

Unit
TeEngine

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TChartSeries.CalcXPosValue

TChartSeries.CalcXPosValue
TChartSeries

function CalcXPosValue(Const Value: Double): Integer; virtual;

Unit
TeEngine

Description
Returns the pixel Screen Horizontal coordinate of the specified Value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TChartSeries.CalcXSizeValue

TChartSeries.CalcXSizeValue
TChartSeries

function CalcXSizeValue(Const Value: Double): Integer;

Unit
TeEngine

Description
Returns the pixel Screen Horizontal DIMENSION (or size) of the specified Value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TChartSeries.CalcYPos

TChartSeries.CalcYPos
TChartSeries

function CalcYPos(ValueIndex: Integer): Integer; virtual;

Unit
TeEngine

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TChartSeries.CalcYPosValue

TChartSeries.CalcYPosValue
TChartSeries

function CalcYPosValue(Const Value: Double): Integer; virtual;

Unit
TeEngine

Description
Returns the pixel Screen Vertical coordinate of the specified Value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TChartSeries.CalcYSizeValue

TChartSeries.CalcYSizeValue
TChartSeries

function CalcYSizeValue(Const Value: Double): Integer;

Unit
TeEngine

Description
Returns the pixel Screen Vertical DIMENSION (or size) of the specified Value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TChartSeries.CanZoomScroll

TChartSeries.CanZoomScroll
TChartSeries

function CanZoomScroll: Boolean; virtual;

Unit
TeEngine

Description
This read only method returns True or False depending on whether the specified Series can be zoomed / scrolled or not, which normally depends on whether the Series is using an axis.


TChartSeries.CheckDatasource

TChartSeries.CheckDatasource
TChartSeries

procedure CheckDatasource;

Unit
TeEngine

Description
The CheckDataSource method will refresh all Series point values, either from database Tables, Queries or another Series points.
You can call this method regularly if you want new or modified data to appear in realtime in the Series.
The parent Chart will be automatically repainted to reflect any changes.

Series1.CheckDataSource ;


TChartSeries.CheckOrder

TChartSeries.CheckOrder
TChartSeries

procedure CheckOrder; dynamic;

Unit
TeEngine

Description
Refreshes sort order of Series points if Order type of XValues or YValues is not loNone.


TChartSeries.CheckOtherSeries

TChartSeries.CheckOtherSeries
TChartSeries

procedure CheckOtherSeries(Source: TChartSeries);

Unit
TeEngine

Description
Checks that there are no circular links in the S ource.html">DataSource definition of Series. Raises an exception if dependencies are circular.


TChartSeries.Clear

TChartSeries.Clear
TChartSeries

procedure Clear; virtual;

Unit
TeEngine

Description
This method deletes all Series values. Dependent Series are notified. If no new points are appended to the Series, nothing will be painted.


TChartSeries.Clicked

TChartSeries.Clicked
TChartSeries

function Clicked(x, y: Integer): Integer; virtual; overload;

Unit
TeEngine

Description
This functions returns the ValueIndex of the "clicked" point in the Series. Clicked means the X and Y coordinates are in the point screen region bounds. If no point is "touched", Clicked returns -1


TChartSeries.Color

TChartSeries.Color
TChartSeries

property Color: TColor;

Unit
TeEngine

Description
The main series color.
Color property is equivalent to SeriesColor property.

Series1.Color := clGreen ;


TChartSeries.ColorEachPoint

TChartSeries.ColorEachPoint
TChartSeries

property ColorEachPoint: Boolean;

Unit
TeEngine

Description
Default value: False.

The TChartSeries ColorEachPoint property is a boolean property that controls which color will be drawn on the Series points.
If False, all points will be drawn using the Series SeriesColor color property.
If True, each Series point will be "colored" with its corresponding point color.
The point colors are stored in the TChartSeries ValueColor array property.
If a point has a clTeeColor color value, then a palette color value will be used to draw it.

You can change this property both at design and runtime:

LineSeries1.ColorEachPoint := True ;


TChartSeries.ColorRange

TChartSeries.ColorRange
TChartSeries

procedure ColorRange(AValueList: TChartValueList; Const FromValue, ToValue: Double; AColor: TColor);

Unit
TeEngine

Description
This method will change the Color of a specified range of points.

The FromValue and ToValue parameters are the beginning and end of the specified AValueList range.

AValueList can be any Series ValueList such as: XValues, YValues, etc.


TChartSeries.ColorSource

TChartSeries.ColorSource
TChartSeries

property ColorSource: String;

Unit
TeEngine

Description
This property is only used when connecting a Series to a database dataset or datasource.

The ColorSource property must be a valid numeric Data Field Name.

When loading the dataset records, a TDBChart component assigns every point's color to the ColorSource field value.

Color Values in Table or Query fields must be expressed as RGB values (integer).

Example:

Supose you have a table with the following fields: Color, Value, Text

Then you link the Series to this table:

with Series1 do
begin
YValues.ValueSource := 'Value';
XLabelsSource := 'Text';
ColorSource:='Color';
DataSource := Table1;
end;

For each record in Table1, a point will be added to Series1 using the fields Color, Value and Text.


TChartSeries.Count

TChartSeries.Count
TChartSeries

function Count: Integer;

Unit
TeEngine

Description
This function returns the number of points in the Series.


TChartSeries.CountLegendItems

TChartSeries.CountLegendItems
TChartSeries

function CountLegendItems: Integer; virtual;

Unit
TeEngine

Description
Number of items in Legend.


TChartSeries.Cursor

TChartSeries.Cursor
TChartSeries

property Cursor: TCursor;

Unit
TeEngine

Description
Default: crDefault

The Cursor property is the image used when the mouse passes into the region covered by a Series point.
Each Series determines the intersection of points with mouse coordinates each time the mouse moves.
There are many different Cursors available.
Refer to the Delphi/C++Builder help file TCursor type.

The Series ZOrder property determines the order in which Series will be examined to calculate the clicked Series point.


TChartSeries.CustomHorizAxis

TChartSeries.CustomHorizAxis
TChartSeries

property CustomHorizAxis: TChartAxis;

Unit
TeEngine

Description
After adding a new horizontal Custom Axis to a Chart, use CustomHorizAxis to associate the Series to the Custom Axis.

Together with the axis PositionPercent and "stretching" new properties, now it's possible to have unlimited axes floating anywhere on the chart.
Scroll, zoom, and axis hit-detection also apply to custom-created axes.
Creating extra axes is only allowed at run-time, as some few lines of code are necessary:

Var MyAxis : TChartAxis ;

MyAxis := TChartAxis.Create( Chart1 );

Series2.CustomHorizAxis := MyAxis;

You can modify any property of the new created axes, such as the axis color or axis title:

MyAxis.Axis.Color:=clGreen ;
MyAxis.Title.Caption := 'Extra axis' ;
MyAxis.Title.Angle := 90;


TChartSeries.CustomVertAxis

TChartSeries.CustomVertAxis
TChartSeries

property CustomVertAxis: TChartAxis;

Unit
TeEngine

Description
After adding a new vertical Custom Axis to a Chart, use CustomVertAxis to associate the Series to the Custom Axis.

See example at CustomHorizAxis property.


TChartSeries.DataSource

TChartSeries.DataSource
TChartSeries

property DataSource: TComponent;

Unit
TeEngine

Description
A TChartSeries can be optionally connected to a "point data provider" (or DataSource).

The "point provider" (or DataSource) component can be:

1) Another Chart Series (single or multiple).
2) Any TTable, TQuery, TClientDataset or Delphi/C++Builder database derived dataset class.
3) A TTeeSeriesSource derived class, like TTeeXMLSource component.

Points must be manually added by coding if no DataSource component is specified.

Example:

This example shows how to connect a Series to a Table database component using DataSource property

procedure TForm1.Button1Click(Sender: TObject);
begin
// All of this can be done VISUALLY, using the Chart Editor Dialog:
// Do these 4 steps before:
// 1) Place a TDBChart component and a TTable on the Form.
// 2) Add a TBarSeries to DBChart1.
// 3) Set Table1 to point to DBDEMOS database and ANIMALS table.
// 4) Open Table1, setting Table1.Active to True.

Series1.DataSource:=Table1; // <-- the Table component
Series1.YValues.ValueSource:='WEIGHT'; // <-- the Field for Bar Values
Series1.XLabelsSource:='NAME'; // <-- the Field for Bar Labels
end;

Points must be manually added by coding if no DataSource component is specified.

Example of manual point adding:

begin
Series1.Clear;
for t := 1 to 12 do
Series1.Add( Random(1000), LongMonthNames[t]);
end;


TChartSeries.DataSources

TChartSeries.DataSources
TChartSeries

property DataSources: TDataSourcesList;

Unit
TeEngine

Description
(Advanced)

The DataSources property stores component pointers which can be Series or DataSet components.

Any Series component can be linked to a DataSet ( Table, Query, etc ) or to one or more other Series components.

This standard TList property is handled internally so you will seldom use it directly.

Note:
The TChartSeries DataSource property returns the 0th element in DataSources list..


TChartSeries.DefaultNullValue

TChartSeries.DefaultNullValue
TChartSeries

property DefaultNullValue: Double;

Unit
TeEngine

Description
\ltrpar\sa\sl\slmultGets or Sets a specific default null value to the Series which will be taked as null point.
\ltrpar


TChartSeries.Delete

TChartSeries.Delete
TChartSeries

procedure Delete(ValueIndex: Integer); virtual; overload;

Unit
TeEngine

Description
The Delete method will remove the # ValueIndex point from the Series values lists. The ParentChart will be automatically redrawn. Dependent Series will be recalculated.


TChartSeries.Depth

TChartSeries.Depth
TChartSeries

property Depth: Integer;

Unit
TeEngine

Description
This property controls the amount in pixels that corresponds to the Series "Z" space.

It has effect when the Chart displays in 3 dimensions only.


TChartSeries.DrawLegend

TChartSeries.DrawLegend
TChartSeries

procedure DrawLegend(ValueIndex: Integer; Const Rect: TRect); virtual;

Unit
TeEngine

Description
Draws a Legend shape to represent the Series ValueIndex point at the Rect location.

The method may be used to paint a custom Legend or colour key to represent Series and/or Series points.

Example

// Paints Legend representation of ValueIndex 3 at Rect location.
Series1.DrawLegend(3,Rect(10,10,20,20));


TChartSeries.DrawSeriesForward

TChartSeries.DrawSeriesForward
TChartSeries

function DrawSeriesForward(ValueIndex: Integer): Boolean; virtual;

Unit
TeEngine

Description
Determines how multiple series are displayed for a given point.
Some Series types behave differently depending on being the only one series of that type or not.
For example, the Bar series overrides this method so it can display multiple bar series stacked.


TChartSeries.DrawValuesForward

TChartSeries.DrawValuesForward
TChartSeries

function DrawValuesForward: Boolean; virtual;

Unit
TeEngine

Description
The DrawValuesForward function returns whether the Series needs to draw its points in ascending or descending order.

Some Series need to draw their points in descending order (starting from the last point to the first) depending on certain situations. For example, when the horizontal axis Inverted property is True.


TChartSeries.EndUpdate

TChartSeries.EndUpdate
TChartSeries

procedure EndUpdate;

Unit
TeEngine

Description
See also the BeginUpdate method.

These methods can be used when adding or modifying many values at once at a source Series to recalculate the function just one time, when finished adding points.


TChartSeries.FillSampleValues

TChartSeries.FillSampleValues
TChartSeries

procedure FillSampleValues(NumValues: Integer); dynamic;

Unit
TeEngine

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This method adds some random values to the Series and redraws it.

Example

Series1.FillSampleValues(20);
{will draw a series with 20 values at runtime}


TChartSeries.FirstDisplayedIndex

TChartSeries.FirstDisplayedIndex
TChartSeries

function FirstDisplayedIndex: Integer;

Unit
TeEngine

Description
Returns the index of the series point that is displayed first when the series is drawn.

Depending on the chart rotation degree, this function can return the series FirstValueIndex or the LastValueIndex.


TChartSeries.FirstValueIndex

TChartSeries.FirstValueIndex
TChartSeries

property FirstValueIndex: Integer;

Unit
TeEngine

Description
This function / property returns the ValueIndex of the First point in the Series that has an X value which is between the Horizontal Axis Maximum and Minimum values.

When no Zoom is applied to the Chart, and the Axis are Automatic, the FirstValueIndex is 0. If the Series has no points or there are no visible points, the FirstValueIndex returns -1.


TChartSeries.FunctionType

TChartSeries.FunctionType
TChartSeries

property FunctionType: TTeeFunction;

Unit
TeEngine

Description
The FunctionType property is used with TeeFunction components to define Period.


TChartSeries.GetCursorValueIndex

TChartSeries.GetCursorValueIndex
TChartSeries

function GetCursorValueIndex: Integer;

Unit
TeEngine

Description
The GetCursorValueIndex function returns the Series point index which is close to the mouse Screen coordinates. It returns -1 if there's no point close to the mouse cursor position.


TChartSeries.GetCursorValues

TChartSeries.GetCursorValues
TChartSeries

procedure GetCursorValues(Out XValue, YValue: Double);

Unit
TeEngine

Description
The GetCursorValues method returns the corresponding Series X and Y values where mouse cursor is over. The X and Y values correspond to the Series associated Axis scales. One example of this can be found at teedemo.dpr example project under "Cross-Hair" (ucrossh.pas) unit.


TChartSeries.GetHorizAxis

TChartSeries.GetHorizAxis
TChartSeries

property GetHorizAxis: TChartAxis;

Unit
TeEngine

Description
Every Series is associated either to the Top or Bottom Chart Horizontal Axis. This function returns this "associated" Axis.


TChartSeries.GetMarkValue

TChartSeries.GetMarkValue
TChartSeries

function GetMarkValue(ValueIndex: Integer): Double; virtual;

Unit
TeEngine

Description
The GetMarkValue function returns the corresponding Point value suitable for displaying at Series Marks. Most Series return the YValue[ ValueIndex ] value, but some special Series like THorizBarSeries return the XValue as Axis are inverted. Calling this virtual method assures receiving the proper value.


TChartSeries.GetOriginValue

TChartSeries.GetOriginValue
TChartSeries

function GetOriginValue(ValueIndex: Integer): Double; virtual;

Unit
TeEngine

Description
Returns MarkValue (see GetMarkValue) of ValueIndex point.


TChartSeries.GetVertAxis

TChartSeries.GetVertAxis
TChartSeries

property GetVertAxis: TChartAxis;

Unit
TeEngine

Description
Every Series is associated either to the Left or Right Chart Vertical Axis. This function returns this "associated" Axis. You can use this to change the Axis properties:

BarSeries1.GetVertAxis.AxisValuesFormat := '#,##0.0#' ;


TChartSeries.GetYValueList

TChartSeries.GetYValueList
TChartSeries

function GetYValueList(AListName: String): TChartValueList; virtual;

Unit
TeEngine

Description
All Series types have at least the XValues and YValues ValueLists. Some Series have more ValueLists. For example, CandleSeries have the "Close", "High" and "Low" valuelists. You can access these ValueLists by name using the above function:

tmp := CandleSeries1.GetYValueList( 'HIGH' ).MaxValue ;

This can be useful if you're doing generic functions.


TChartSeries.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries

Classes derived from TChartSeries
R TChartClickedPart ASeries
TBaseHighLowSeries
TCalendarSeries
TChartShape
TCircledSeries
TCustom3DSeries
TCustomBarSeries
TCustomGauge
TCustomLineSeries
TCustomOrgSeries
TFunnelSeries
TKagiSeries
TPolygonSeries
TPyramidSeries
TRenkoSeries
TVolumePipeSeries


TChartSeries.HorizAxis

TChartSeries.HorizAxis
TChartSeries

property HorizAxis: THorizAxis;

Unit
TeEngine

Description
The HorizAxis property is of type: THorizAxis. It means by which Horizontal Axis ( Top or Bottom axis ) will be the Series horizontally scaled.


TChartSeries.IsNull

TChartSeries.IsNull
TChartSeries

function IsNull(ValueIndex: Integer): Boolean;

Unit
TeEngine

Description
Returns True if ValueIndex value is Null.


TChartSeries.IsValidSeriesSource

TChartSeries.IsValidSeriesSource
TChartSeries

function IsValidSeriesSource(Value: TChartSeries): Boolean; dynamic;

Unit
TeEngine

Description
The IsValidSeriesSource function checks if the Value series parameter is a valid candidate series point provider.

When TChartSeries.DataSource property is assigned to another Series, all points inserted in that Series are automatically propagated to all other associated Series.

This function is currently used only in TRSIFunction component. This special Series type allows only one specific Series type as DataSource: a TOHLCSeries or TCandleSeries.

All other Series components will return True.


TChartSeries.IsValidSourceOf

TChartSeries.IsValidSourceOf
TChartSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; dynamic;

Unit
TeEngine

Description
\ltrparThe IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.


TChartSeries.Labels

TChartSeries.Labels
TChartSeries

property Labels: TLabelsList;

Unit
TeEngine

Description
The Labels property returns the internal list where all text strings are stored into the Series.

Each series point can optionally have associated a text string.

Use the Series XLabel array property to get and set point labels, instead of accesing the labels property directly.


TChartSeries.LastDisplayedIndex

TChartSeries.LastDisplayedIndex
TChartSeries

function LastDisplayedIndex: Integer;

Unit
TeEngine

Description
\ltrpar\sa\sl\slmultReturns the index of the last point displayed in the ChartRect.
\ltrpar


TChartSeries.LastValueIndex

TChartSeries.LastValueIndex
TChartSeries

property LastValueIndex: Integer;

Unit
TeEngine

Description
This property returns the ValueIndex of the Last point in the Series that has an X value which is between the Horizontal Axis Maximum and Minimum values.

When no Zoom is applied to the Chart, and the Axis are Automatic, the LastValueIndex is the same as TChartSeries.Count-1.

If the Series has no points or there are no visible points, the LastValueIndex returns -1.


TChartSeries.LegendItemColor

TChartSeries.LegendItemColor
TChartSeries

function LegendItemColor(LegendIndex: Integer): TColor; virtual;

Unit
TeEngine

Description
Returns TColor Legend color for LegendIndex item.


TChartSeries.LegendString

TChartSeries.LegendString
TChartSeries

function LegendString(LegendIndex: Integer; LegendTextStyle: TLegendTextStyle): String; virtual;

Unit
TeEngine

Description
Returns the formatted Legend string according to LegendTextStyle for the LegendIndex'th point.


TChartSeries.LegendToValueIndex

TChartSeries.LegendToValueIndex
TChartSeries

function LegendToValueIndex(LegendIndex: Integer): Integer; virtual;

Unit
TeEngine

Description
Returns the Series ValueIndex of the Legend's LegendIndex'th value.


TChartSeries.LinkedSeries

TChartSeries.LinkedSeries
TChartSeries

property LinkedSeries: TCustomSeriesList;

Unit
TeEngine

Description
(Advanced)

The LinkedSeries public property is a standard TList component that stores all Series components linked to the Series. Series can be linked to other Series by using TeeChart gallery Functions or setting the DataSource property directly. All Series maintain a list of dependent Series to notify on point value changes to allow them to recalculate and redraw. TeeChart uses this list internally so you will seldom need to access it directly.


TChartSeries.MarkPercent

TChartSeries.MarkPercent
TChartSeries

function MarkPercent(ValueIndex: Integer; AddTotal: Boolean): String;

Unit
TeEngine

Description
This function returns a textual representation of a Point Value. Series components use this function internally to paint Marks in percent format. This function uses the PercentFormat formatting string property. When AddTotal is TRUE, then the global string variable PercentOf is used to separate the percent text from the total text. By default, PercentOf string is: " of ".


TChartSeries.Marks

TChartSeries.Marks
TChartSeries

property Marks: TSeriesMarks;

Unit
TeEngine

Description
The Marks Series subcomponent defines all necessary properties to draw a mark near to each Series point.

A mark consist of a colored rectangle with a text string on it and a line that indicates which points corresponds to which mark.

You can control all Marks formatting attributes and styles. The TChartSeries.OnGetMarkText event can be used to override the default Marks text strings or to hide specific point Marks.

Each different Series type draws it's marks differently.


TChartSeries.MaxMarkWidth

TChartSeries.MaxMarkWidth
TChartSeries

function MaxMarkWidth: Integer;

Unit
TeEngine

Description
Returns the maximum width of all Series Marks.


TChartSeries.MaxXValue

TChartSeries.MaxXValue
TChartSeries

function MaxXValue: Double; virtual;

Unit
TeEngine

Description
Returns the Maximum Value of the Series XValues List.


TChartSeries.MaxYValue

TChartSeries.MaxYValue
TChartSeries

function MaxYValue: Double; virtual;

Unit
TeEngine

Description
The MaxYValue function returns the highest of all the current Series Y point values.

Some special Series types override this function to calculate the maximum Y value correctly.

For example the TBubbleSeries component calculates the highest Y + Radius point.


TChartSeries.MaxZValue

TChartSeries.MaxZValue
TChartSeries

function MaxZValue: Double; virtual;

Unit
TeEngine

Description
Used by TSurfaceSeries, TPoint3DSeries and TContourSeries components.


TChartSeries.MinXValue

TChartSeries.MinXValue
TChartSeries

function MinXValue: Double; virtual;

Unit
TeEngine

Description
Returns the Minimum Value of the Series XValues List.


TChartSeries.MinYValue

TChartSeries.MinYValue
TChartSeries

function MinYValue: Double; virtual;

Unit
TeEngine

Description
Returns the Minimum Value of the Series Y Values Lists. As some Series have more than one Y Values List, this Minimum Value is the "Minimum of Minimums" of all Series Y Values lists.


TChartSeries.MinZValue

TChartSeries.MinZValue
TChartSeries

function MinZValue: Double; virtual;

Unit
TeEngine

Description
Used by TSurfaceSeries, TPoint3DSeries and TContourSeries components.


TChartSeries.NumSampleValues

TChartSeries.NumSampleValues
TChartSeries

function NumSampleValues: Integer; dynamic;

Unit
TeEngine

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TChartSeries.OnAfterAdd

TChartSeries.OnAfterAdd
TChartSeries

property OnAfterAdd: TSeriesOnAfterAdd;

Unit
TeEngine

Description
Every Series component has an OnAfterAdd event. This event is triggered whenever a new point has been Added or Inserted.


TChartSeries.OnBeforeAdd

TChartSeries.OnBeforeAdd
TChartSeries

property OnBeforeAdd: TSeriesOnBeforeAdd;

Unit
TeEngine

Description
Every Series component has an OnBeforeAdd event. This event is triggered whenever a new point is going to be Added or Inserted. You can delegate this event in your Form's code to, for example, control if new points will be really added to the Series. This event also happens when a Series component is connected to a Table or Query.


TChartSeries.OnClearValues

TChartSeries.OnClearValues
TChartSeries

property OnClearValues: TSeriesOnClear;

Unit
TeEngine

Description
This event will notify you when the Series clears and removes their Point values.


TChartSeries.OnClick

TChartSeries.OnClick
TChartSeries

property OnClick: TSeriesClick;

Unit
TeEngine

Description
TChartSeries components will notify you when users click on a Series point. Each TChartSeries component calculates if mouse coordinates are over a point screen regions. For example, TPieSeries point regions are the Pie Sectors. TBarSeries detects clicked Bar regions. The ValueIndex parameter is the Series point number.


TChartSeries.OnDblClick

TChartSeries.OnDblClick
TChartSeries

property OnDblClick: TSeriesClick;

Unit
TeEngine

Description
An OnDblClick event occurs whenever the user double clicks onto a Chart. The Sender parameter specifies the Chart component that originated the event.

You must cast the Sender parameter to TChart or TDBChart class to use its properties and methods:

(Sender as TChart).Color := clYellow ;

To retrieve if user double clicked onto a Series point, you can use this code:

procedure TForm1.Chart1DblClick(Sender: TObject);
var tmp : Integer;
begin
tmp := BarSeries1.GetCursorValueIndex;

if tmp<>-1 then ...

end;


TChartSeries.OnGetMarkText

TChartSeries.OnGetMarkText
TChartSeries

property OnGetMarkText: TSeriesOnGetMarkText;

Unit
TeEngine

Description
This event notifies the user that a Mark Text String must be supplied. MarkText string contains the default text representation. You can alter MarkText for the Series to paint a customized mark, or set it to empty to hide the specific mark.


TChartSeries.OnMouseEnter

TChartSeries.OnMouseEnter
TChartSeries

property OnMouseEnter: TNotifyEvent;

Unit
TeEngine

Description
This event is called when the mouse cursor "enters" into any point of the series.
The OnMouseLeave event is called when the mouse cursor "leaves" (exits) the series.


TChartSeries.OnMouseLeave

TChartSeries.OnMouseLeave
TChartSeries

property OnMouseLeave: TNotifyEvent;

Unit
TeEngine

Description
This event is called when the mouse cursor "leaves" (exits) from any point of the series.
The OnMouseEnter event is called when the mouse cursor "enters" the series.


TChartSeries.PercentFormat

TChartSeries.PercentFormat
TChartSeries

property PercentFormat: String;

Unit
TeEngine

Description
Chart Series components have a PercentFormat property. PercentFormat is a standard formatting string specifier. It is used to draw the Series Marks Percent Style figures.


TChartSeries.RandomBounds

TChartSeries.RandomBounds
TChartSeries

function RandomBounds(NumValues: Integer): TSeriesRandomBounds;

Unit
TeEngine

Description
For TeeChart internal use.
This function returns calculated parameters to fill the Series with random values at design-time.


TChartSeries.RecalcOptions

TChartSeries.RecalcOptions
TChartSeries

property RecalcOptions: TSeriesRecalcOptions;

Unit
TeEngine

Description
Default [ rOnDelete, rOnModify, rOnInsert, rOnClear];

Run-time and read only.The RecalcOptions set property controls the events that would force a recalculation of Series point values. This applies only to Series for which DataSource property is another Series. Each time one of this events happens, all depending Series are emptied and assigned again all of it's DataSource Series values. You can choose which events would force recalculation by using this property appropiately.

See the TeeNew example project under "Moving Averages" (MovinAve.pas) unit.


TChartSeries.RefreshSeries

TChartSeries.RefreshSeries
TChartSeries

procedure RefreshSeries;

Unit
TeEngine

Description
The RefreshSeries method notifies all dependent Series to recalculate their points again. Each Series has a DataSource property. When DataSource is a valid Series or DataSet component, Series get all point values from the DataSource and adds them as Series points. The RefreshSeries method forces the Series to Clear and get all points again from the DataSource component. The Refreshing process traverses the Series tree recursively.


TChartSeries.RemoveDataSource

TChartSeries.RemoveDataSource
TChartSeries

procedure RemoveDataSource(Value: TComponent);

Unit
TeEngine

Description
Removes S ource.html">DataSource and calls CheckDatasource method to refresh Chart data.


TChartSeries.ReplaceList

TChartSeries.ReplaceList
TChartSeries

procedure ReplaceList(OldList, NewList: TChartValueList);

Unit
TeEngine

Description
Replaces old by new ChartValueList.


TChartSeries.SeriesColor

TChartSeries.SeriesColor
TChartSeries

property SeriesColor: TColor;

Unit
TeEngine

Description
Default color is clTeeColor

The TChartSeries SeriesColor property is the default colour in which the Series points will be drawn on. This property value could be any valid Delphi/C++Builder or Windows colour. If you add points with clTeeColor colour, then they will be drawn with the SeriesColor colour. This property is the default Color associated to the Series.

When you place a new Series component in a Chart, TeeChart will assign a free colour to this property (a Color that no other Series in the same Chart use). Some Series have the ColorEachPoint boolean property. Setting this to TRUE will force the Series to paint each point with a different color, thus without using its SeriesColor

SeriesColor is also used to paint the small rectangle in TChartLegend.


TChartSeries.SetFunction

TChartSeries.SetFunction
TChartSeries

procedure SetFunction(AFunction: TTeeFunction); virtual;

Unit
TeEngine

Description
The SetFunction method allows you to add a Function definition as the DataSource of any Series.


TChartSeries.SetNull

TChartSeries.SetNull
TChartSeries

procedure SetNull(ValueIndex: Integer; Null: Boolean);

Unit
TeEngine

Description
Makes the ValueIndex referred point to be "hidden" (invisible).

Corresponds to setting the point's color to "clNone":

Series1.SetNull( 123 )

...is the same as...

Series1.ValueColor[ 123 ] := clNone


TChartSeries.SortByLabels

TChartSeries.SortByLabels
TChartSeries

procedure SortByLabels(Order: TChartListOrder);

Unit
TeEngine

Description
Re-orders series points using their text labels to determine the order.

The "Order" parameter can be ascending or descending.

Note: After sorting points using labels text, "X" values are lost. (They are re-numbered).
For this reason, after sorting points it is not possible to go back or "undo" sorting.


TChartSeries.SwapValueIndex

TChartSeries.SwapValueIndex
TChartSeries

procedure SwapValueIndex(a, b: Integer); dynamic;

Unit
TeEngine

Description
The SwapValueIndex method interchanges two Series points. The A and B parameter should be valid point indexes, from 0 to Series Count-1.

The Chart component is automatically redrawn to display the new Series points order.


TChartSeries.UseAxis

TChartSeries.UseAxis
TChartSeries

function UseAxis: Boolean; virtual;

Unit
TeEngine

Description
Returns True if the Series uses an Axis. (eg. TPieSeries does not use an Axis and returns False).


TChartSeries.ValueColor

TChartSeries.ValueColor
TChartSeries

property ValueColor[Index: Integer]: TColor;

Unit
TeEngine

Description
Use the ValueColor property to get or set the Color of a point at a particular position. Index gives the position of the point, where 0 is the first, 1 is the second, and so on.


TChartSeries.ValueFormat

TChartSeries.ValueFormat
TChartSeries

property ValueFormat: String;

Unit
TeEngine

Description
ValueFormat is a standard Delphi / C++Builder formatting string specifier.

Chart Axis uses it to draw the axis labels.

Chart Series uses it to draw the Marks.


TChartSeries.ValueMarkText

TChartSeries.ValueMarkText
TChartSeries

property ValueMarkText[Index: Integer]: String;

Unit
TeEngine

Description
Returns the String representation of a Index point used to draw the Mark.


TChartSeries.ValuesList

TChartSeries.ValuesList
TChartSeries

property ValuesList: TChartValueLists;

Unit
TeEngine

Description
The ValuesList property permits access to the list of TChartValueList of a Series.

Most standard Series types such as TLineSeries and TBarSeries maintain 2 ValueLists only, XValues and YValues. Other Series such as TCandleSeries maintain more lists, ie. DateValues, OpenValues, HighValues, LowValues and CloseValues.


TChartSeries.VertAxis

TChartSeries.VertAxis
TChartSeries

property VertAxis: TVertAxis;

Unit
TeEngine

Description
The VertAxis property is of type: TVertAxis. It sets which Vertical Axis ( Left or Right axis ) will be vertically scaled for the Series. You can change the desired Vertical Axis both at design and runtime.

Example

Series1.VertAxis := aRightAxis ;


TChartSeries.VisibleCount

TChartSeries.VisibleCount
TChartSeries

function VisibleCount: Integer;

Unit
TeEngine

Description
This function returns the number of Visible points in the Series. These are the points which X coordinate is between the Minimum and Maximum horizontal Axis range. To iterate, you need to know the FirstValueIndex and LastValueIndex points.


TChartSeries.Visuals

TChartSeries.Visuals
TChartSeries

property Visuals: TVisualsList;

Unit
TeEngine

Description
\ltrpar\sa\sl\slmultAccesses the Series Visuals properties and methods.
\ltrpar


TChartSeries.XLabel

TChartSeries.XLabel
TChartSeries

property XLabel[Index: Integer]: String;

Unit
TeEngine

Description
This array property contains the horizontal Series Labels. You can access the individual Label strings by using the Index parameter. Index must be between 0 and Count - 1 If you modify an XLabel, the Series will be repainted to reflect any changes.


TChartSeries.XLabelsSource

TChartSeries.XLabelsSource
TChartSeries

property XLabelsSource: String;

Unit
TeEngine

Description
The XLabelsSource is the name of a DataSet field. DataSet can be a TTable, TQuery, TClientDataset or any other TDataSet derived component. This is the database field that contains the point Labels. Valid Field types are all that have a valid AsString method. This property is optional. If no LabelsSource specified, Series XLabels will be empty.


TChartSeries.XScreenToValue

TChartSeries.XScreenToValue
TChartSeries

function XScreenToValue(ScreenPos: Integer): Double; virtual;

Unit
TeEngine

Description
This function returns the numeric Value that corresponds to the specified Horizontal Screen coordinate. The resulting Value is based on the Series.GetHorizAxis


TChartSeries.XValue

TChartSeries.XValue
TChartSeries

property XValue[Index: Integer]: TChartValue;

Unit
TeEngine

Description
XValue array property returns the Index value in the XValues List


TChartSeries.XValues

TChartSeries.XValues
TChartSeries

property XValues: TChartValueList;

Unit
TeEngine

Description
By default, any TChartSeries has an XValues property. This is the TChartValueList where the point values will be stored at runtime. Also by default, XValues is a public property. Some derived Series publish it: TLineSeries, TBarSeries, TPointSeries, etc. Some others publish it with another, more friendly name: TGanttSeries.StartValues, etc.

WARNING:

You CAN NOT Delete, Clear or Add values DIRECTLY. You need to call the TChartSeries equivalent methods to do this.


TChartSeries.XValueToText

TChartSeries.XValueToText
TChartSeries

function XValueToText(Const AValue: Double): String;

Unit
TeEngine

Description
The XValueToText function returns the formatted text representation of the specified AValue parameter.

The AValue parameter is considered to be an horizontal X coordinate.

It returns the text string corresponding to an hypothetic horizontal Axis Label for that value.

It calls the corresponding horizontal axis LabelValue function.


TChartSeries.YScreenToValue

TChartSeries.YScreenToValue
TChartSeries

function YScreenToValue(ScreenPos: Integer): Double; virtual;

Unit
TeEngine

Description
This function returns the numeric Value that corresponds to the specified Vertical Screen coordinate. The resulting Value is based on the Series.GetVertAxis


TChartSeries.YValue

TChartSeries.YValue
TChartSeries

property YValue[Index: Integer]: TChartValue;

Unit
TeEngine

Description
YValue array property returns the Index value in the YValues List


TChartSeries.YValues

TChartSeries.YValues
TChartSeries

property YValues: TChartValueList;

Unit
TeEngine

Description
By default, any TChartSeries has an YValues property.
This is the TChartValueList where the point values will be stored at runtime. Also by default, YValues is a public property.

Some derived Series publish it:
TLineSeries, TBarSeries, TPointSeries, and some others publish it with another, more friendly name: TPieSeries.PieValues, etc.

WARNING:

You CAN'T Delete, Clear or Add values DIRECTLY. You need to call the TChartSeries equivalent methods (Add, Clear, Delete, etc) to do it.

This property stores values into an internal dynamic array that can be assigned directly for advanced uses that need full speed when adding or modifying points.

var MyArray : Array of Double;
....
(initialize and fill the array with values)
...
Series1.YValues.Count := 1000;
Series1.YValues.Value := MyArray;
Series1.YValues.Modified:=True;


TChartSeries.YValueToText

TChartSeries.YValueToText
TChartSeries

function YValueToText(Const AValue: Double): String;

Unit
TeEngine

Description
The YValueToText function returns the formatted text representation of the specified AValue parameter.

The AValue parameter is considered to be a vertical Y coordinate.

It returns the text string corresponding to an hypothetic vertical Axis Label for that value.

It calls the corresponding vertical axis LabelValue function.


TChartSeries.ZOrder

TChartSeries.ZOrder
TChartSeries

property ZOrder: Integer;

Unit
TeEngine

Description
Read-only and run time.

The ZOrder property returns at which position along the depth axis the Series is drawn.

It's valid only when TChart.View3D property is True and when there's more than one Series in same chart.

You can't alter the ZOrder property directly.
If you want a different order you need to use the Chart SeriesList property instead.

The ZOrder property is calculated for each Series just before the Chart is drawn.

The Chart ApplyZOrder property controls if Series will be assigned a different Z position or not.
When False, all Series are drawn at same Z plane.

The Chart MaxZOrder property returns the highest of all Series ZOrder values.


TChartSeriesList.0events

TChartSeriesList events
TChartSeriesList Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TChartSeriesList.0methods

TChartSeriesList methods
TChartSeriesList Legend key

Unit
TeEngine

In TChartSeriesList
AddGroup

Derived from TCustomSeriesList
ClearValues
FillSampleValues
First
Last

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
Get
Grow
IndexOf
Insert
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartSeriesList.0properties

TChartSeriesList properties
TChartSeriesList Legend key

Unit
TeEngine

In TChartSeriesList
AllActive
Groups

Derived from TCustomSeriesList
Items
Owner

Derived from TList
Capacity
Count
List


TChartSeriesList.AddGroup

TChartSeriesList.AddGroup
TChartSeriesList

function AddGroup(Const Name: String): TSeriesGroup;

Unit
TeEngine

Description
Adds a new series group to the groups list.
The Name parameter specifies the new group name.


TChartSeriesList.AllActive

TChartSeriesList.AllActive
TChartSeriesList

property AllActive: Boolean;

Unit
TeEngine

Description
Returns True when all series in the list are Active (Visible).


TChartSeriesList.Groups

TChartSeriesList.Groups
TChartSeriesList

property Groups: TSeriesGroups;

Unit
TeEngine

Description
The list of Groups.

Chart Series can be grouped in different groups using this property.


TChartSeriesList.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TCustomSeriesList
|
TChartSeriesList

Classes derived from TChartSeriesList
(none)


TChartShape.0events

TChartShape events
TChartShape Legend key

Unit
TeeShape

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartShape.0methods

TChartShape methods
TChartShape Legend key

Unit
TeeShape

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartShape.0properties

TChartShape properties
TChartShape Legend key

Unit
TeeShape

In TChartShape
Alignment
Bounds
Font
Gradient
RoundRectangle
Style
Text
Transparency
Transparent
VertAlign
X0
X1
XYStyle
Y0
Y1

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartShape.Alignment

TChartShape.Alignment
TChartShape

property Alignment: TAlignment;

Unit
TeeShape

Description
The Alignment property decides the alignment of the text of a TChartShape.


TChartShape.Bounds

TChartShape.Bounds
TChartShape

property Bounds: TRect;

Unit
TeeShape

Description
The Bounds property returns the biggest rectangle enclosing TChartShape, in logical pixels. It accesses TChartShape.GetShapeRect method.


TChartShape.Font

TChartShape.Font
TChartShape

property Font: TTeeFont;

Unit
TeeShape

Description
The Font property determines the font attributes used to output TChartShape.Text strings. No auto font sizing is performed, so you must specify the desired font size to avoid shape text to go over Shape boundaries.


TChartShape.Gradient

TChartShape.Gradient
TChartShape

property Gradient: TChartGradient;

Unit
TeeShape

Description
The Gradient property determines the colors used to fill the shape's interior.

This property is only used when the Shape Style is chasRectangle or chasCircle, both in 2D and 3D.


TChartShape.Hierarchy

Unit
TeeShape

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TChartShape

Classes derived from TChartShape
(none)


TChartShape.RoundRectangle

TChartShape.RoundRectangle
TChartShape

property RoundRectangle: Boolean;

Unit
TeeShape

Description
Default : False

The RoundRectangle property determines if TChartShape draws rounded rectangle corners. It has effect only when shape Style is chasRectangle.


TChartShape.Style

TChartShape.Style
TChartShape

property Style: TChartShapeStyle;

Unit
TeeShape

Description
Default Value: chasCircle

The Style property defines how a TChartShape component appears on a Chart.

See TChartShapeStyle for options.


TChartShape.Text

TChartShape.Text
TChartShape

property Text: TStrings;

Unit
TeeShape

Description
The Text property is used by TChartShape component to display customized strings inside Shapes.

You can use the Font and Aligment properties to control Text display.

Note: You would maybe need to change Shape Font size to a different value when creating metafiles or when zooming Charts.


TChartShape.Transparency

TChartShape.Transparency
TChartShape

property Transparency: TTeeTransparency;

Unit
TeeShape

Description
Transparency value for colour filled Shape. Values 0-100.


TChartShape.Transparent

TChartShape.Transparent
TChartShape

property Transparent: Boolean;

Unit
TeeShape

Description
Default : False

The Transparent property controls if TChartShape components will use the Shape Brush attributes to fill the interior of the Shape.

When False, Shapes do not redraw their background so charting contents behind Shape Series is seen inside the Shape.


TChartShape.VertAlign

TChartShape.VertAlign
TChartShape

property VertAlign: TTeeVertAlign;

Unit
TeeShape

Description
Specifies the vertical aligment used to display the shape's text.

By default is vaCenter (centered vertical text inside the shape boundaries).


TChartShape.X0

TChartShape.X0
TChartShape

property X0: Double;

Unit
TeeShape

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing TChartShape rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and TChartSeries methods like XScreenToValue and YScreenToValue.


TChartShape.X1

TChartShape.X1
TChartShape

property X1: Double;

Unit
TeeShape

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing TChartShape rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and TChartSeries methods like XScreenToValue and YScreenToValue.


TChartShape.XYStyle

TChartShape.XYStyle
TChartShape

property XYStyle: TChartShapeXYStyle;

Unit
TeeShape

Description
Use pixels or Axis co-ordinates to set the X, Y bounds of the Shape.

The position ( Left, Top ) of a Shape can be specified as axis values, while the size of the Shape (Width and Height) could be specified in screen pixels:

Series1.XYStyle := xysAxisOrigin;
Series1.X0 := EncodeDate( 1998, 1,1 ); <-- in BottomAxis scales
Series1.Y0 := 1234.56; <--- in LeftAxis scales
Series1.X1:=100 ; <-- 100 pixels Width
Series1.Y1:=30 ; <--- 30 pixels Height


TChartShape.Y0

TChartShape.Y0
TChartShape

property Y0: Double;

Unit
TeeShape

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing TChartShape rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and TChartSeries methods like XScreenToValue and YScreenToValue.


TChartShape.Y1

TChartShape.Y1
TChartShape

property Y1: Double;

Unit
TeeShape

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing TChartShape rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and TChartSeries methods like XScreenToValue and YScreenToValue.


TChartTheme.0methods

TChartTheme methods
TChartTheme Legend key

Unit
Chart

In TChartTheme
Apply
Create
Description

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartTheme.Apply

TChartTheme.Apply
TChartTheme

procedure Apply; virtual;

Unit
Chart

Description
Sets all properties of the visual theme to the Chart parameter.

Uses TeeThemes;

TExcelTheme.Apply;


TChartTheme.Create

TChartTheme.Create
TChartTheme

constructor Create(AChart: TCustomChart); virtual;

Unit
Chart

Description
Creates a new instance of TChartTheme and sets the AChart parameter to be ready to call the theme Apply method.


TChartTheme.Description

TChartTheme.Description
TChartTheme

function Description: String; virtual;

Unit
Chart

Description
Returns the theme description.
For example, the TExcelTheme class returns "Microsoft Excel".


TChartTheme.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TChartTheme

Classes derived from TChartTheme
TDefaultTheme


TChartThemeSelector.0events

TChartThemeSelector events
TChartThemeSelector Legend key

Unit
TeeThemeEditor

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartThemeSelector.0methods

TChartThemeSelector methods
TChartThemeSelector Legend key

Unit
TeeThemeEditor

In TChartThemeSelector
SelectedTheme

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartThemeSelector.0properties

TChartThemeSelector properties
TChartThemeSelector Legend key

Unit
TeeThemeEditor

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartThemeSelector.Hierarchy

Unit
TeeThemeEditor

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TChartThemeSelector

Classes derived from TChartThemeSelector
(none)


TChartThemeSelector.SelectedTheme

TChartThemeSelector.SelectedTheme
TChartThemeSelector

function SelectedTheme: TChartThemeClass;

Unit
TeeThemeEditor

Description
Returns the theme class that the user has selected before closing this dialog.


TChartTitle.0methods

TChartTitle methods
TChartTitle Legend key

Unit
Chart

In TChartTitle
Clear
Clicked
DrawTitle

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartTitle.0properties

TChartTitle properties
TChartTitle Legend key

Unit
Chart

In TChartTitle
AdjustFrame
Alignment
Caption
Text
TitleRect
VertMargin

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TChartTitle.AdjustFrame

TChartTitle.AdjustFrame
TChartTitle

property AdjustFrame: Boolean;

Unit
Chart

Description
property AdjustFrame : Boolean;

Description

Default: True.

The AdjustFrame property controls if Chart Title and Foot frames will be resized to full Chart dimensions or to the title text width. It has only effect when Chart.Title or Chart.Foot.Frame.Visible property is True.


TChartTitle.Alignment

TChartTitle.Alignment
TChartTitle

property Alignment: TAlignment;

Unit
Chart

Description
Default Value: taCenter

The Alignment property controls how Chart Title and Foot text will be aligned within Chart rectangle.

A TChartTitle can optionally be surrounded by a Frame.


TChartTitle.Assign
Contents All Classes Index A-Z All Units

TChartTitle.Assign
TChartTitle

procedure Assign(Source: TPersistent); override;

Unit
Chart

Description
The Assign method copies all properties from a Title component to another.


TChartTitle.Caption

TChartTitle.Caption
TChartTitle

property Caption: String;

Unit
Chart

Description

Gets or sets the first text line of the Text TStrings property.

Chart1.Title.Caption := 'Hello';

is equivalent to:

Chart1.Title.Text.Clear;
Chart1.Title.Text.Add( 'Hello' );


TChartTitle.Clear

TChartTitle.Clear
TChartTitle

procedure Clear;

Unit
Chart

Description
Clears the Title text.


TChartTitle.Clicked

TChartTitle.Clicked
TChartTitle

function Clicked(x, y: Integer): Boolean; overload;

Unit
Chart


TChartTitle.DrawTitle

TChartTitle.DrawTitle
TChartTitle

procedure DrawTitle;

Unit
Chart

Description
TeeChart internal use. Outputs the title during the chart painting procedure.


TChartTitle.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TChartTitle

Classes derived from TChartTitle
TChartFootTitle


TChartTitle.Text

TChartTitle.Text
TChartTitle

property Text: TStrings;

Unit
Chart

Description
The Text property determines the text that appears at a Chart Title or Foot. You can add or change text using the standard TStrings object methods:


TChartTitle.TitleRect

TChartTitle.TitleRect
TChartTitle

property TitleRect: TRect;

Unit
Chart

Description
The TitleRect property returns the bounding rectangle coordinates for Chart.Title and Chart.Foot subcomponents. Title dimensions depend on TChartTitle.Frame and AdjustFrame properties.

You can use TitleRect to custom draw on Chart Title or Foot, or to custom handle mouse clicks over Title or Foot boundaries.


TChartTitle.VertMargin

TChartTitle.VertMargin
TChartTitle

property VertMargin: Integer;

Unit
Chart

Description
Space between Title and top of Chart Rectangle.


TChartTools.0events

TChartTools events
TChartTools Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TChartTools.0methods

TChartTools methods
TChartTools Legend key

Unit
TeEngine

In TChartTools
Add
Clear

Derived from TList
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartTools.0properties

TChartTools properties
TChartTools Legend key

Unit
TeEngine

In TChartTools
Active
Items

Derived from TList
Capacity
Count
List


TChartTools.Active

TChartTools.Active
TChartTools

property Active: Boolean;

Unit
TeEngine

Description
Write-Only property.

This property is used to activate or deactivate all tools in a Chart.

Chart1.Tools.Active := False ;


TChartTools.Add

TChartTools.Add
TChartTools

function Add(Tool: TTeeCustomTool): TTeeCustomTool; overload;

Unit
TeEngine

Description
Use Add to pass a tool to the Chart.

Example:

Uses TeeTools;

Chart1.Tools.Add( TDrawLineTool.Create( Self ) );


TChartTools.Clear

TChartTools.Clear
TChartTools

procedure Clear; override;

Unit
TeEngine

Description
Removes all tools from chart.


TChartTools.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TChartTools

Classes derived from TChartTools
TChartAnimations
TNumericMarkers


TChartTools.Items

TChartTools.Items
TChartTools

property Items[Index: Integer]: TTeeCustomTool;

Unit
TeEngine

Description
Access characteristics of a Chart Tool by index.


TChartValueList.0methods

TChartValueList methods
TChartValueList Legend key

Unit
TeEngine

In TChartValueList
Delete
Exchange
FillSequence
First
Last
Locate
Range
Scroll
ToString
ValueToString

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartValueList.0properties

TChartValueList properties
TChartValueList Legend key

Unit
TeEngine

In TChartValueList
Count
DateTime
MaxValue
MinValue
Modified
Name
Order
Owner
TempValue
Total
TotalABS
ValueSource


TChartValueList.Count

TChartValueList.Count
TChartValueList

property Count: Integer;

Unit
TeEngine

Description
Returns the number of values in the list.

Note: The Count property is maintained internally separate from the Value array property.

In most cases, the Value array might be of a bigger length than Count returns.

You can also set Count to a number bigger or equal than zero, and equal or less than the length of the Value array.

If you compile your application using TeeChart source code, and activate the compiler Assertions option ($C+), then the Count property will be asserted to verify its consistence with the length of the Value property. ( 0 to Length(Value) ).


TChartValueList.DateTime

TChartValueList.DateTime
TChartValueList

property DateTime: Boolean;

Unit
TeEngine

Description
TeeChart allows values to be expressed either as numbers or as Date+Time values.
Delphi and C++Builder consider DateTime values as Doubles, thus making easier to handle both kinds of values.
Each Series value list has a boolean property called DateTime.
The boolean DateTime property tells TeeChart what type the numbers are.
The horizontal (x axis) and vertical (y axis) value defaults are number format (DateTime False).
DateTime can be changed both at design-time and run-time, forcing the Chart to repaint.
This property is used whenever a value must be converted to text, for example, to draw it as the chart axis labels.
Axis labels will be drawn in DateTime or numeric format accordingly to the setting of the DateTime property.

You can also set the Chart Series ValueFormat and the Chart Axis DateTimeFormat formatting strings, to control how the values will be displayed.


TChartValueList.Delete

TChartValueList.Delete
TChartValueList

procedure Delete(ValueIndex: Integer); virtual; overload;

Unit
TeEngine

Description
This method removes the specified ValueIndex value from the List.


TChartValueList.Exchange

TChartValueList.Exchange
TChartValueList

procedure Exchange(Index1, Index2: Integer);

Unit
TeEngine

Description
Swaps two values in the list ( index1 value is exchanged with index2 value ).


TChartValueList.FillSequence

TChartValueList.FillSequence
TChartValueList

procedure FillSequence;

Unit
TeEngine

Description
(Advanced)

The FillSequence method renumbers all values in a TChartValueList component. Values start at zero.

Warning: Calling FillSequence removes any previous value in a TChartValueList.

See TChartValueList.Sort method example.


TChartValueList.First

TChartValueList.First
TChartValueList

function First: TChartValue;

Unit
TeEngine

Description
This function returns the First point value.


TChartValueList.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TChartValueList

Classes derived from TChartValueList
(none)


TChartValueList.Last

TChartValueList.Last
TChartValueList

function Last: TChartValue;

Unit
TeEngine

Description
This function returns the Last point value. This is the same value as the Count - 1 index value:


TChartValueList.Locate

TChartValueList.Locate
TChartValueList

function Locate(Const AValue: TChartValue): Integer; overload;

Unit
TeEngine

Description
This new function returns the corresponding point index which has the specified Value. You can use it to calculate X co-ordinates based on Y values or vice-versa:

tmp:=LineSeries1.XValues.Locate(EncodeDate(2007,1,1));
if tmp<>-1 then ...


TChartValueList.MaxValue

TChartValueList.MaxValue
TChartValueList

property MaxValue: TChartValue;

Unit
TeEngine

Description
Run-time and read-only.
The MaxValue property returns the highest of all values inside the list.

This applies to all Series lists of values, such as XValues, YValues, etc.

Calling the protected TChartValueList.RecalcMinMax method or setting the public Modified boolean variable forces to recalculate MaxValue, MinValue, Total and TotalABS values.

When new points are added to a Series, a flag is internally set so the first time accesing MaxValue, the result is recalculated. Succesive calls to MaxValue will use an internal variable for speed reasons.


TChartValueList.MinValue

TChartValueList.MinValue
TChartValueList

property MinValue: TChartValue;

Unit
TeEngine

Description
Run-time and read only.
The MinValue property returns the lowest of all values inside the list.
See TChartValueList.MaxValue property for more information.

When new points are added to a Series, a flag is internally set so the first time accesing MinValue, the result is recalculated. Succesive calls to MinValue will use an internal variable for speed reasons.


TChartValueList.Modified

TChartValueList.Modified
TChartValueList

property Modified: Boolean;

Unit
TeEngine

Description
Gets or sets a flag indicating values in the Value array property have been changed, so the TChartValueList must recalculate its statistics the next time a property like MinValue, MaxValue, Total or TotalABS is accessed.

You should set Modified to True after changing values in the Value array directly by code.

Example:

Series1.YValues.Value[12] := 123.45;
Series1.YValues.Modified := True;

You can avoid setting Modified to True and still changing values by using the default indexed property of TChartValueList:

Series1.YValues[12] := 123.45;

However, this way of changing values is slower than accessing the Value array directly.


TChartValueList.Name

TChartValueList.Name
TChartValueList

property Name: String;

Unit
TeEngine

Description
The Name property is used to identify all Series lists of values.
All Series have an "Y" and "X" value lists.
Some Series have more lists of values, such as TCandleSeries, which have OpenValues, CloseValues, HighValues and LowValues lists.

The Name is used for example at the Chart Grid component to display the column names.

It is also used when a Series has another Series as datasource (ie : Series1.DataSource := Series2 ).


TChartValueList.Order

TChartValueList.Order
TChartValueList

property Order: TChartListOrder;

Unit
TeEngine

Description
Run-time only.
The Order property determines if points will be automatically sorted or it they will remain always at their original positions.
This Order is used by default by the Series XValues to draw lines from Left to Right.
Setting the XValues.Order property to loNone will respect the points order at point creation.
This can be used to draw polygons.

See also Sort and FillSequence methods.

Note: Some series (like HorizBar series) have a default order of "none" for XValues. They set by default an ascending order to YValues instead of XValues.


TChartValueList.Owner

TChartValueList.Owner
TChartValueList

property Owner: TChartSeries;

Unit
TeEngine

Description
Read-only and run time.

The Owner property returns the TChartSeries that owns the TChartValueList.

It can be only accessed at run-time and it's read-only.


TChartValueList.Range

TChartValueList.Range
TChartValueList

function Range: TChartValue;

Unit
TeEngine

Description
Returns the MaxValue less the MinValue values of the list.


TChartValueList.Scroll

TChartValueList.Scroll
TChartValueList

procedure Scroll; dynamic;

Unit
TeEngine

Description
This procedure will Left-Scroll the List of values. All values are scrolled one position to the lower point index. The first value is moved to be the Last value in the List.


TChartValueList.TempValue

TChartValueList.TempValue
TChartValueList

property TempValue: TChartValue;

Unit
TeEngine

Description
Run-time only.

The TempValue property is a special internal property used when adding values from one Series to another or when adding values to a Series with more than "X" and "Y" values, such as TBubbleSeries which has "Radius" values as well.

It is also used by the DBChart component, when loading records from database datasets into Series.


TChartValueList.ToString

TChartValueList.ToString
TChartValueList

function ToString(Const Index: Integer): String;

Unit
TeEngine

Description
Returns the Index'th value as string.
Corresponds to FloatToStr( Value[ Index ] )


TChartValueList.Total

TChartValueList.Total
TChartValueList

property Total: Double;

Unit
TeEngine

Description
The Total double property maintains the sum of all TChartValueList values.

When adding, deleting or modifying point values using the right methods, an internal flag is set so the first time Total is accessed, it is automatically recalculated.

Total property is used by some Functions to improve speed when performing calculations against point values, where having already calculated the sum of point values is necessary.


TChartValueList.TotalABS

TChartValueList.TotalABS
TChartValueList

property TotalABS: Double;

Unit
TeEngine

Description
Run-time and read only.

The TotalABS property returns the sum of all values in the list. The values are first converted to their absolute value.

TPieSeries, for example, uses this property to calculate the percent each Pie slice represents.

See TChartValueList.MaxValue, Total and MinValue properties for more information.


TChartValueList.ValueSource

TChartValueList.ValueSource
TChartValueList

property ValueSource: String;

Unit
TeEngine

Description
Each Chart Value List has a ValueSource property. You can set this string property to different kind of values:

Case 1. A Chart Series is connected to a database source:

If the Series that owns this ValueList is attached to a TDBChart, and the Series.DataSource property is a TTable, TQuery, TClientDataset or any TDataSet component which provides database records, then the ValueSource property must refer to an existing numeric, date, time or datetime Field Name in the underlying dataset.

Example:

LineSeries1.DataSource := Table1 ;
LineSeries1.YValues.ValueSource := 'Quantity' ;

Being Quantity, a former numeric Field Name in Table1.

Case 2. A Chart Series is connected to another Chart Series:

If the Series which owns this ValueList is attached to a TChart (or a TDBChart), and if the Series.DataSource property is any TChartSeries component, then the ValueSource property must refer to an existing TChartValueList Name in the underlying TChartSeries.

Example:

LineSeries1.DataSource:=BubbleSerie2;
LineSeries1.YValues.ValueSource:='Y';

Being Y, the BubbleSeries2.YValues.Name.

ASSUMPTIONS:

Changing the ValueSource property both at design or runtime, will force the Series to fill again its values from the specified DataSource.

This must be specially considered when the DataSource Series property is a database TTable or TQuery or TClientDataset, because maybe it takes a long time to retrieve all records.

If the dataset is closed, the automatic record retrieving will be performed later on, when the dataset is opened again.


TChartValueList.ValueToString

TChartValueList.ValueToString
TChartValueList

function ValueToString(Const Index: Integer): String;

Unit
TeEngine

Description
Returns the Index'th value as string.
Corresponds to FloatToStr( Value[ Index ] )


TChartValueLists.0events

TChartValueLists events
TChartValueLists Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TChartValueLists.0methods

TChartValueLists methods
TChartValueLists Legend key

Unit
TeEngine

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartValueLists.0properties

TChartValueLists properties
TChartValueLists Legend key

Unit
TeEngine

In TChartValueLists
ValueList

Derived from TList
Capacity
Count
Items
List


TChartValueLists.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TChartValueLists

Classes derived from TChartValueLists
(none)


TChartValueLists.ValueList

TChartValueLists.ValueList
TChartValueLists

property ValueList[Index: Integer]: TChartValueList;

Unit
TeEngine

Description
Access the ValueList by index. In most situations this is not necessary as ValueLists may be accessed by name.

eg.

ShowMessage(FloatToStr(Series1.XValues.Maximum));


TChartWall.0methods

TChartWall methods
TChartWall Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartWall.0properties

TChartWall properties
TChartWall Legend key

Unit
Chart

Derived from TCustomChartWall
AutoHide
Dark3D
EndPosition
Pen
Size
StartPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Visible


TChartWall.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TCustomChartWall
|
TChartWall

Classes derived from TChartWall
TChartBackWall
TChartBottomWall
TChartLeftWall
TChartRightWall


TChartWalls.0methods

TChartWalls methods
TChartWalls Legend key

Unit
Chart

In TChartWalls
Hide
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TChartWalls.0properties

TChartWalls properties
TChartWalls Legend key

Unit
Chart

In TChartWalls
Back
Bottom
Left
Right
Size
Visible


TChartWalls.Back

TChartWalls.Back
TChartWalls

property Back: TChartBackWall;

Unit
Chart

Description
Refers to the Chart BackWall property.


TChartWalls.Bottom

TChartWalls.Bottom
TChartWalls

property Bottom: TChartBottomWall;

Unit
Chart

Description
Refers to the Chart BottomWall property.


TChartWalls.Hide

TChartWalls.Hide
TChartWalls

procedure Hide;

Unit
Chart

Description
Makes the Walls invisible.

Calling Hide is the same as setting the Visible property to False.


TChartWalls.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TChartWalls

Classes derived from TChartWalls
(none)


TChartWalls.Left

TChartWalls.Left
TChartWalls

property Left: TChartLeftWall;

Unit
Chart

Description
Refers to the Chart LeftWall property.


TChartWalls.Right

TChartWalls.Right
TChartWalls

property Right: TChartRightWall;

Unit
Chart

Description
Refers to the Chart RightWall property.


TChartWalls.Show

TChartWalls.Show
TChartWalls

procedure Show;

Unit
Chart

Description
Makes the Walls visible.

Calling Show is the same as setting the Visible property to True.


TChartWalls.Size

TChartWalls.Size
TChartWalls

property Size: Integer;

Unit
Chart

Description
Write-only.

Sets the Size property of all walls to the same value:

Chart1.Walls.Size := 10 ;


TChartWalls.Visible

TChartWalls.Visible
TChartWalls

property Visible: Boolean;

Unit
Chart

Description
Set this property to show or hide all four chart walls.

Chart1.Walls.Visible := False;


TChartWebSource.0events

TChartWebSource events
TChartWebSource Legend key

Unit
TeeURL

Derived from TImportChart
OnLoaded
OnLoading

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartWebSource.0methods

TChartWebSource methods
TChartWebSource Legend key

Unit
TeeURL

In TChartWebSource
Execute

Derived from TImportChart
LoadFromFile
LoadFromStream
LoadFromURL

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TChartWebSource.0properties

TChartWebSource properties
TChartWebSource Legend key

Unit
TeeURL

In TChartWebSource
URL

Derived from TImportChart
KeepPosition
KeepSize

Derived from TCustomChartLink
Chart

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TChartWebSource.Execute

TChartWebSource.Execute
TChartWebSource

procedure Execute;

Unit
TeeURL

Description
Execute loading of tee file from URL named in URL property.

Example:

ChartWebSource1.Chart := Chart1 ;
ChartWebSource1.URL := 'http://www.steema.com/demo.tee' ;
ChartWebSource1.Execute ;


TChartWebSource.Hierarchy

Unit
TeeURL

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartLink
|
TImportChart
|
TChartWebSource

Classes derived from TChartWebSource
(none)


TChartWebSource.URL

TChartWebSource.URL
TChartWebSource

property URL: String;

Unit
TeeURL

Description
URL address of Tee file.

Example:

ChartWebSource1.URL:='http://www.steema.com/demo.tee';

See also the Execute method.


TCircledEmboss.0methods

TCircledEmboss methods
TCircledEmboss Legend key

Unit
Series

Derived from TTeeShadow
Draw
DrawEllipse

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCircledEmboss.0properties

TCircledEmboss properties
TCircledEmboss Legend key

Unit
Series

Derived from TTeeShadow
Clip
Color
HorizSize
Size
Smooth
SmoothBlur
Transparency
VertSize
Visible


TCircledEmboss.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TTeeShadow
|
TTeeEmboss
|
TCircledEmboss

Classes derived from TCircledEmboss
(none)


TCircledSeries.0events

TCircledSeries events
TCircledSeries Legend key

Unit
Series

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCircledSeries.0methods

TCircledSeries methods
TCircledSeries Legend key

Unit
Series

In TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCircledSeries.0properties

TCircledSeries properties
TCircledSeries Legend key

Unit
Series

In TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCircledSeries.AdjustScreenRatio

TCircledSeries.AdjustScreenRatio
TCircledSeries

procedure AdjustScreenRatio(ACanvas: TCanvas3D; AXRadius, AYRadius: Integer; Var R: TRect);

Unit
Series

Description
Given a rectangle R and X and Y radius, this method uses the ACanvas parameter to calculate and adjust the R rectangle with the screen ration (screen Width relative to screen Height).

It is used when the Circled property is true, to make a visually squared R rectangle regardless the pixel depth resolution of the screen.


TCircledSeries.AngleToPos

TCircledSeries.AngleToPos
TCircledSeries

procedure AngleToPos(Const Angle, AXRadius, AYRadius: Double; Out X, Y: Integer); overload;

Unit
Series


TCircledSeries.CircleBackColor

TCircledSeries.CircleBackColor
TCircledSeries

property CircleBackColor: TColor;

Unit
Series

Description
Default: clTeeColor

The CircleBackColor determines the color to fill the ellipse. Setting it to clTeeColor indicates the CircledSeries to use to Chart.Color color.


TCircledSeries.Circled

TCircledSeries.Circled
TCircledSeries

property Circled: Boolean;

Unit
Series

Description
Default Value: False

The Circled property defines if a CircledSeries such as TPieSeries will be drawn elliptically or with same X and Y radius (circle).


TCircledSeries.CircleHeight

TCircledSeries.CircleHeight
TCircledSeries

property CircleHeight: Integer;

Unit
Series

Description
Read only

Returns height of Circle in pixels. This value does not change as a Circle's perspective is changed (ie. via changes in Chart Elevation) but rather reflects the True height of the Circle which may vary (for example) if Marks are enabled/disabled.


TCircledSeries.CircleRect

TCircledSeries.CircleRect
TCircledSeries

property CircleRect: TRect;

Unit
Series

Description
Read only

Returns bounding rectangle in pixels of Circle (eg. Pie Series) in its default position (displacement of elevevation, rotation ,etc not applied).


TCircledSeries.CircleWidth

TCircledSeries.CircleWidth
TCircledSeries

property CircleWidth: Integer;

Unit
Series

Description
Read only

Returns width of Circle in pixels. This value does not change as a Circle's perspective is changed (ie. via changes in Chart Elevation) but rather reflects the True width of the Circle which may vary (for example) if Marks are enabled/disabled.


TCircledSeries.CircleXCenter

TCircledSeries.CircleXCenter
TCircledSeries

property CircleXCenter: Integer;

Unit
Series

Description
Run-time and read only. The CircleXCenter public property returns the exact ellipse's center horizontal position in pixels.

The ellipse's radius is determined by CircledSeries.XRadius and YRadius properties. The AngleToPos function converts from angles to X and Y Screen coordinates. The PointToAngle function converts from XY Screen positions to angles.


TCircledSeries.CircleYCenter

TCircledSeries.CircleYCenter
TCircledSeries

property CircleYCenter: Integer;

Unit
Series

Description
Run-time and read only. The CircleYCenter public property returns the exact ellipse's center vertical position in pixels. The ellipse's radius is determined by CircledSeries.
XRadius and YRadius properties. The AngleToPos function converts from angles to X and Y Screen coordinates. The PointToAngle function converts from XY Screen positions to angles.


TCircledSeries.CustomXRadius

TCircledSeries.CustomXRadius
TCircledSeries

property CustomXRadius: Integer;

Unit
Series

Description
Default 0

The CustomXRadius property indicates the amount in horizontal pixels used to calculate ellipse bounds. Setting it to zero means the CircledSeries will automatically calculate the adequate ellipse radius when necessary.


TCircledSeries.CustomYRadius

TCircledSeries.CustomYRadius
TCircledSeries

property CustomYRadius: Integer;

Unit
Series

Description
Default 0

The CustomYRadius property indicates the amount in vertical pixels used to calculate ellipse bounds. Setting it to zero means the CircledSeries will automatically calculate the adequate ellipse radius when necessary.


TCircledSeries.Emboss

TCircledSeries.Emboss
TCircledSeries

property Emboss: TCircledEmboss;

Unit
Series

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TCircledSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries

Classes derived from TCircledSeries
TCustomPolarSeries
TGaugeSeries
TPieSeries
TSmithSeries


TCircledSeries.PointToAngle

TCircledSeries.PointToAngle
TCircledSeries

function PointToAngle(X, Y: Integer): Double;

Unit
Series

Description
The PointToAngle function returns the angle from the XY point parameter to the circle center. It currently works with Circled ellipses.

The formula used to calculate the Angle is:

result:=ArcTan(Abs(y-CircleYCenter)/Abs(x-CircleXCenter));

Angles are returned in radians from 0 to 2*PI.


TCircledSeries.PointToRadius

TCircledSeries.PointToRadius
TCircledSeries

function PointToRadius(X, Y: Integer): Double;

Unit
Series

Description

Returns the Radius value using the Chart Left axis scales, that corresponds to the XY point coordinates in pixels.


TCircledSeries.Rotate

TCircledSeries.Rotate
TCircledSeries

procedure Rotate(Const Angle: Integer);

Unit
Series

Description
The Rotate method adds the given Angle units to the CircledSeries.RotationAngle property. You can specify positive or negative Angle values. Positive values rotate anti-clockwise. Negative values result in clock-wise rotation. Angles must be expressed in degrees from 0 to 360.


TCircledSeries.RotationAngle

TCircledSeries.RotationAngle
TCircledSeries

property RotationAngle: Integer;

Unit
Series

Description
The RotationAngle can be a valid integer number between 0 and 359. This will the angle each Pie sector will be rotated counter-clockwise.


TCircledSeries.Shadow

TCircledSeries.Shadow
TCircledSeries

property Shadow: TCircledShadow;

Unit
Series

Description
Draws a shadow behind the circled or Pie series.


TCircledSeries.XRadius

TCircledSeries.XRadius
TCircledSeries

property XRadius: Integer;

Unit
Series

Description
Run-time and read only. The XRadius property returns the exact ellipse's radius horizontal size in pixels. The ellipse XRadius and YRadius can be set to a fixed number of pixels by using the CircledSeries.CustomXRadius and CustomYRadius. The CircledSeries.Circled property controls if both radius must be proportional to the Screen X/Y ratio.


TCircledSeries.YRadius

TCircledSeries.YRadius
TCircledSeries

property YRadius: Integer;

Unit
Series

Description
Run-time and read only. The YRadius property returns the exact ellipse's radius vertical size in pixels. The ellipse XRadius and YRadius can be set to a fixed number of pixels by using the CircledSeries.CustomXRadius and CustomYRadius. The CircledSeries.Circled property controls if both radius must be proportional to the Screen X/Y ratio.


TCircledShadow.0methods

TCircledShadow methods
TCircledShadow Legend key

Unit
Series

Derived from TTeeShadow
Draw
DrawEllipse

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCircledShadow.0properties

TCircledShadow properties
TCircledShadow Legend key

Unit
Series

Derived from TTeeShadow
Clip
Color
HorizSize
Size
Smooth
SmoothBlur
Transparency
VertSize
Visible


TCircledShadow.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TTeeShadow
|
TCircledShadow

Classes derived from TCircledShadow
(none)


TCircularFrame.0methods

TCircularFrame methods
TCircularFrame Legend key

Unit
Series

In TCircularFrame
Draw

Derived from TFramedBorder
CalcWidth
SetDefaultCircled

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCircularFrame.0properties

TCircularFrame properties
TCircularFrame Legend key

Unit
Series

In TCircularFrame
RotationAngle
TotalAngle

Derived from TFramedBorder
Circled
Emboss
InnerBrush
MiddleBrush
OuterBrush
Shadow
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TCircularFrame.Draw

TCircularFrame.Draw
TCircularFrame

procedure Draw(R: TRect); override;

Unit
Series

Description
Draws the CircularFrame to selected location.


TCircularFrame.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TFramedBorder
|
TCircularFrame

Classes derived from TCircularFrame
(none)


TCircularFrame.RotationAngle

TCircularFrame.RotationAngle
TCircularFrame

property RotationAngle: Integer;

Unit
Series

Description
Determines the amount of rotation (in angle degrees from 0 to 360) for the whole frame.


TCircularFrame.TotalAngle

TCircularFrame.TotalAngle
TCircularFrame

property TotalAngle: Integer;

Unit
Series

Description
Gets or sets the angle in degrees (from 0 to 360) that the frame covers.


TCircularGauge.0events

TCircularGauge events
TCircularGauge Legend key

Unit
TeeCircularGauge

Derived from TCustomGauge
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCircularGauge.0methods

TCircularGauge methods
TCircularGauge Legend key

Unit
TeeCircularGauge

In TCircularGauge
Axis
CircleXCenter
CircleYCenter

Derived from TCustomGauge
GetPaletteColor

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCircularGauge.0properties

TCircularGauge properties
TCircularGauge Legend key

Unit
TeeCircularGauge

In TCircularGauge
AutoPositionLinearGauge
AutoPositionNumericGauge
AutoValueLinearGauge
AutoValueNumericGauge
Center
Circled
DisplayRotationAngle
DisplayTotalAngle
EndPoint
FillToSemiCircle
Hand
HandOffset
LabelsInside
LinearGauge
NumericGauge
RotateLabels
RotationAngle
TotalAngle
XRadius
YRadius

Derived from TCustomGaugeMinMax
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
RedLine
Ticks

Derived from TCustomGauge
CustomBounds
Face
Frame
Value

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCircularGauge.AutoPositionLinearGauge

TCircularGauge.AutoPositionLinearGauge
TCircularGauge

property AutoPositionLinearGauge: Boolean;

Unit
TeeCircularGauge

Description
Set AutoPositionLinearGauge to True to Automatically position a Linear Gauge within the Circular Gauge at the default position.
\sa\sl\slmultIn the case you want to move it to a specific place within the circular gauge, set it to false.
Default : True


TCircularGauge.AutoPositionNumericGauge

TCircularGauge.AutoPositionNumericGauge
TCircularGauge

property AutoPositionNumericGauge: Boolean;

Unit
TeeCircularGauge

Description
Set AutoPositionNumericGauge to True to Automatically position a Numeric Gauge within the Circular Gauge at the default position.
\sa\sl\slmultIn the case you want to move it to a specific place within the circular gauge, set it to false.
Default : True


TCircularGauge.AutoValueLinearGauge

TCircularGauge.AutoValueLinearGauge
TCircularGauge

property AutoValueLinearGauge: Boolean;

Unit
TeeCircularGauge

Description
\sa\sl\slmultDefatult : True
If this property is set to True, if a Linear Gauge is active into the Circular gauge, the value assigned to the Linear gauge would be the same as the value of the Circular gauge.


TCircularGauge.AutoValueNumericGauge

TCircularGauge.AutoValueNumericGauge
TCircularGauge

property AutoValueNumericGauge: Boolean;

Unit
TeeCircularGauge

Description
\sa\sl\slmultDefatult : True
If this property is set to True, if a Numeric Gauge is active into the Circular gauge, the value assigned to the Numeric gauge would be the same as the value of the Circular gauge.


TCircularGauge.Axis

TCircularGauge.Axis
TCircularGauge

function Axis: TChartAxis; override;

Unit
TeeCircularGauge

Description
\ltrpar\sa\sl\slmultAccesses the circular axis properties and methods allowing it to be customized as desired.
\ltrpar


TCircularGauge.Center

TCircularGauge.Center
TCircularGauge

property Center: TGaugeSeriesPointer;

Unit
TeeCircularGauge

Description
Properties to draw a shape (rectangle, circle, etc) at the center position of the gauge.


TCircularGauge.Circled

TCircularGauge.Circled
TCircularGauge

property Circled: Boolean;

Unit
TeeCircularGauge

Description
Default is True.
When True, the gauge dimensions are adjusted so it looks like a circle.
When False, gauge width and height aren't modified so it can be displayed as an ellipse.


TCircularGauge.CircleXCenter

TCircularGauge.CircleXCenter
TCircularGauge

function CircleXCenter: Integer;

Unit
TeeCircularGauge

Description
Returns the horizontal X coordinate of the center of the gauge.


TCircularGauge.CircleYCenter

TCircularGauge.CircleYCenter
TCircularGauge

function CircleYCenter: Integer;

Unit
TeeCircularGauge

Description
Returns the vertical Y coordinate of the center of the gauge.


TCircularGauge.DisplayRotationAngle

TCircularGauge.DisplayRotationAngle
TCircularGauge

property DisplayRotationAngle: Integer;

Unit
TeeCircularGauge

Description
Sets the rotation angle of the Gauge background to be displayed. If the DisplayRotaionAngle is set to "0" and the DisplayTotalAngle = "180" the background draw is the upper part of a circle. If DisplayRotationAngle is now set to "90" the background would appear as the right hand side of a circle.


TCircularGauge.DisplayTotalAngle

TCircularGauge.DisplayTotalAngle
TCircularGauge

property DisplayTotalAngle: Integer;

Unit
TeeCircularGauge

Description
Sets the total angle of the Gauge background to be displayed. If the DisplayRotaionAngle is set to "0" and the DisplayTotalAngle = "180" the background drawn is a semi-circle equivalent to the upper part of a circle. If DisplayRotationAngle is now set to "90" the background would appear as the right hand side of a circle.


TCircularGauge.EndPoint

TCircularGauge.EndPoint
TCircularGauge

property EndPoint: TSeriesPointer;

Unit
TeeCircularGauge

Description
Properties to draw an optional shape (rectangle, circle, etc) near the top of the gauge hand.


TCircularGauge.FillToSemiCircle

TCircularGauge.FillToSemiCircle
TCircularGauge

property FillToSemiCircle: Boolean;

Unit
TeeCircularGauge

Description
\ltrpar\sa\sl\slmultDefault : True
Allows to draw a semi-circled circular gauge if is set to true.
\ltrpar


TCircularGauge.Hand

TCircularGauge.Hand
TCircularGauge

property Hand: TGaugeHand;

Unit
TeeCircularGauge

Description
Defines the visual aspects to draw the gauge hand (the arrow that points to current gauge Value).


TCircularGauge.HandOffset

TCircularGauge.HandOffset
TCircularGauge

property HandOffset: Integer;

Unit
TeeCircularGauge

Description
\ltrparUse HandOffset to set the length of the pointer. The maximum pointer length is limited by the guage diameter.


TCircularGauge.Hierarchy

Unit
TeeCircularGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomGauge
|
TCustomGaugeMinMax
|
TCircularGauge

Classes derived from TCircularGauge
TKnobGauge


TCircularGauge.LabelsInside

TCircularGauge.LabelsInside
TCircularGauge

property LabelsInside: Boolean;

Unit
TeeCircularGauge

Description
Default is True.
When True, gauge text labels are displayed inside the gauge circle.
When False, text labels display outside the inner gauge circle.


TCircularGauge.LinearGauge

TCircularGauge.LinearGauge
TCircularGauge

property LinearGauge: TLinearGauge;

Unit
TeeCircularGauge

Description
\ltrpar\sa\sl\slmultAccesses the attributes of the Linear Gauge. It can be used to draw a linear gauge inside the Circular gauge series allowing it to be customized as if it were outside the circular one.
\ltrpar

Example:

procedure TCircularGaugeLGaugeForm.cbHorizontalClick(Sender: TObject);
begin
inherited;
Series1.LinearGauge.Horizontal:=cbHorizontal.Checked;
Serie s1.Linear Gauge.Axis.Title.Visible:=false;
if cbHorizontal.Checked then Seri es1. LinearGau ge.Axis.Increment:=50
else Series1.LinearGauge.Axis.Increment:=20;
Series1.LinearGau ge .Axis.LabelsFont.Size: =7;
Series1.LinearGauge.Axis.LabelsFont.Color:=Series1.GetPaletteColo r(16 );
end;


TCircularGauge.NumericGauge

TCircularGauge.NumericGauge
TCircularGauge

property NumericGauge: TNumericGauge;

Unit
TeeCircularGauge

Description
\sa\sl\slmultAccesses the attributes of the Numeric Gauge. It can be used to draw a numeric gauge inside the Circular gauge series allowing it to be customized as if it were outside the circular one.

Example:

procedure TCircularGaugeEmbeddedForm.SetUpNGauge;
var Axis: TChartAxis;

begin
Axis: =TChartAx is.Create(Chart1);
Axis.Horizontal:=True ;
NumericGauge:=TNume ricGa uge.Create(Chart1);
Chart1.AddSeries(NumericGauge);
NumericGauge.HorizAxis:=aCustomHorizAxis;
NumericGauge.Embedded:=True;
NumericGauge.CustomHorizAxis:=Axis;
NumericGauge.TextMarker.Active:=False;
NumericGauge.UnitsMarker.Active:=False;
NumericGauge.ValueFormat:='##00.0';
NumericGauge.ValueMarker.Shape.Font.Size:=14;
end;


TCircularGauge.RotateLabels

TCircularGauge.RotateLabels
TCircularGauge

property RotateLabels: Boolean;

Unit
TeeCircularGauge

Description
Default is True.
When True, gauge text labels are rotated accordingly to their position in the gauge circle.
When False, labels aren't rotated and they are displayed all in the same alignment.


TCircularGauge.RotationAngle

TCircularGauge.RotationAngle
TCircularGauge

property RotationAngle: Double;

Unit
TeeCircularGauge

Description
Default is 0
Determines the amount of rotation (in angle degrees from 0 to 360) for the whole set of gauge elements (labels, hand, etc).


TCircularGauge.TotalAngle

TCircularGauge.TotalAngle
TCircularGauge

property TotalAngle: Double;

Unit
TeeCircularGauge

Description
Default is 300
Gets or sets the angle in degrees (from 0 to 360) that covers the gauge labels and hand.


TCircularGauge.XRadius

TCircularGauge.XRadius
TCircularGauge

property XRadius: Integer;

Unit
TeeCircularGauge

Description
Returns the size in pixels for the horizontal gauge radius.
See also Circled property.


TCircularGauge.YRadius

TCircularGauge.YRadius
TCircularGauge

property YRadius: Integer;

Unit
TeeCircularGauge

Description
Returns the size in pixels for the vertical gauge radius.
See also Circled property.


TClassicTheme.0methods

TClassicTheme methods
TClassicTheme Legend key

Unit
TeeThemes

In TClassicTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TClassicTheme.Apply

TClassicTheme.Apply
TClassicTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies classic theme properties to Chart parameter.


TClassicTheme.Description

TClassicTheme.Description
TClassicTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Classic"


TClassicTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TClassicTheme

Classes derived from TClassicTheme
(none)


TClipSeriesTool.0events

TClipSeriesTool events
TClipSeriesTool Legend key

Unit
TeeTools

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TClipSeriesTool.0methods

TClipSeriesTool methods
TClipSeriesTool Legend key

Unit
TeeTools

In TClipSeriesTool
Description
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TClipSeriesTool.0properties

TClipSeriesTool properties
TClipSeriesTool Legend key

Unit
TeeTools

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TClipSeriesTool.Description

TClipSeriesTool.Description
TClipSeriesTool

function Description: String; override;

Unit
TeeTools

Description
Returns "Clip Series".


TClipSeriesTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TClipSeriesTool

Classes derived from TClipSeriesTool
(none)


TClipSeriesTool.LongDescription

TClipSeriesTool.LongDescription
TClipSeriesTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns ClipSeriesTool long description.


TClockSeries.0events

TClockSeries events
TClockSeries Legend key

Unit
TeeRose

In TClockSeries
OnGetTime

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TClockSeries.0methods

TClockSeries methods
TClockSeries Legend key

Unit
TeeRose

In TClockSeries
ClockTime
NumSampleValues

Derived from TCustomPolarSeries
CalcXPos
CalcYPos
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TClockSeries.0properties

TClockSeries properties
TClockSeries Legend key

Unit
TeeRose

In TClockSeries
PenHours
PenMinutes
PenSeconds
Style
Timer

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TClockSeries.ClockTime

TClockSeries.ClockTime
TClockSeries

function ClockTime: TDateTime;

Unit
TeeRose

Description
Returns the current time displayed.
Calls the OnGetTime event where you can customize the time.


TClockSeries.Hierarchy

Unit
TeeRose

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TCustom2DPolarSeries
|
TClockSeries

Classes derived from TClockSeries
(none)


TClockSeries.NumSampleValues

TClockSeries.NumSampleValues
TClockSeries

function NumSampleValues: Integer; override;

Unit
TeeRose

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TClockSeries.OnGetTime

TClockSeries.OnGetTime
TClockSeries

property OnGetTime: TClockSeriesGetTimeEvent;

Unit
TeeRose

Description
Event called by the clock series when it's about to change the clock arrows.
By default this event is called every second, depending on the Timer.Interval property.

You can use this event to "fake" the clock, passing a different datetime value.

procedure TForm1.Series3GetTime(Sender: TClockSeries;
var ATime: TDateTime);
var hour, min, sec, msec: Word;
begin
DecodeTime( ATime, hour, min, sec, msec );
hour:=hour+1;
if hour > 23 then hour:=0;
ATime := EncodeTime( hour, min, sec, msec );
end;


TClockSeries.PenHours

TClockSeries.PenHours
TClockSeries

property PenHours: TChartPen;

Unit
TeeRose

Description
Then pen to use to draw the clock hours arrow.


TClockSeries.PenMinutes

TClockSeries.PenMinutes
TClockSeries

property PenMinutes: TChartPen;

Unit
TeeRose

Description
Then pen to use to draw the clock minutes arrow.


TClockSeries.PenSeconds

TClockSeries.PenSeconds
TClockSeries

property PenSeconds: TChartPen;

Unit
TeeRose

Description
Then pen to use to draw the clock seconds arrow.


TClockSeries.Style

TClockSeries.Style
TClockSeries

property Style: TClockSeriesStyle;

Unit
TeeRose

Description
The clock style (roman numbers or decimal numbers)


TClockSeries.Timer

TClockSeries.Timer
TClockSeries

property Timer: TTimer;

Unit
TeeRose

Description
Internal timer used to display the clock seconds arrow in realtime.
Setting the Timer Interval property to less than one second can be cpu consuming.


TCLVFunction.0events

TCLVFunction events
TCLVFunction Legend key

Unit
TeeCLVFunction

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCLVFunction.0methods

TCLVFunction methods
TCLVFunction Legend key

Unit
TeeCLVFunction

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCLVFunction.0properties

TCLVFunction properties
TCLVFunction Legend key

Unit
TeeCLVFunction

In TCLVFunction
Accumulate
Volume

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCLVFunction.Accumulate

TCLVFunction.Accumulate
TCLVFunction

property Accumulate: Boolean;

Unit
TeeCLVFunction

Description
Default: True

Function results are acumulated (using previous point calculation) when this property is True.


TCLVFunction.Hierarchy

Unit
TeeCLVFunction

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCLVFunction

Classes derived from TCLVFunction
TMoneyFlowFunction


TCLVFunction.Volume

TCLVFunction.Volume
TCLVFunction

property Volume: TChartSeries;

Unit
TeeCLVFunction

Description
Series to be used as source of volume values.

By default this property is "nil" (empty).
No volume values are used to multiply the CLV calculations.


TColorBandTool.0events

TColorBandTool events
TColorBandTool Legend key

Unit
TeeTools

In TColorBandTool
OnClick
OnResized

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorBandTool.0methods

TColorBandTool methods
TColorBandTool Legend key

Unit
TeeTools

In TColorBandTool
BoundsRect
Clicked
Description
LongDescription

Derived from TTeeCustomToolAxis
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TColorBandTool.0properties

TColorBandTool properties
TColorBandTool Legend key

Unit
TeeTools

In TColorBandTool
Color
Cursor
DrawBehind
DrawBehindAxes
EndLine
EndLinePen
EndValue
Gradient
Picture
ResizeEnd
ResizeStart
StartLine
StartLinePen
StartValue
Transparency

Derived from TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorBandTool.BoundsRect

TColorBandTool.BoundsRect
TColorBandTool

function BoundsRect: TRect;

Unit
TeeTools

Description
Returns the rectangle in pixels that this color band uses.


TColorBandTool.Clicked

TColorBandTool.Clicked
TColorBandTool

function Clicked(x, y: Integer): Boolean;

Unit
TeeTools

Description
Returns True when the point specified by x and y pixels is inside the color band bounds rectangle.


TColorBandTool.Color

TColorBandTool.Color
TColorBandTool

property Color: TColor;

Unit
TeeTools

Description
Set Band colour.


TColorBandTool.Cursor

TColorBandTool.Cursor
TColorBandTool

property Cursor: TCursor;

Unit
TeeTools

Description
Defines the cursor to show when the end user moves the mouse inside the color band space.


TColorBandTool.Description

TColorBandTool.Description
TColorBandTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Color Band'.


TColorBandTool.DrawBehind

TColorBandTool.DrawBehind
TColorBandTool

property DrawBehind: Boolean;

Unit
TeeTools

Description
By default is True.
Use DrawBehind to display the color band in front of the series or to back.


TColorBandTool.DrawBehindAxes

TColorBandTool.DrawBehindAxes
TColorBandTool

property DrawBehindAxes: Boolean;

Unit
TeeTools

Description
Default: False

When True, the color band is displayed before the axes grid lines are drawn, so it's behind the grid lines.


TColorBandTool.EndLine

TColorBandTool.EndLine
TColorBandTool

property EndLine: TColorLineTool;

Unit
TeeTools

Description
The EndLine property contains formatting properties for the automatic line used to drag the end value of the ColorBand tool at runtime.

ChartTool1.ResizeEnd := True ;
ChartTool1.EndLine.Pen.Color := clGreen ;

See also: ResizeEnd property.


TColorBandTool.EndLinePen

TColorBandTool.EndLinePen
TColorBandTool

property EndLinePen: TChartPen;

Unit
TeeTools

Description
Pen used to draw the ending line of the color band tool.
The ending line can be mouse dragged when the ResizeEnd property is True.


TColorBandTool.EndValue

TColorBandTool.EndValue
TColorBandTool

property EndValue: Double;

Unit
TeeTools

Description
Set EndValue to the Axis position to where the colorband has to be drawn.


TColorBandTool.Gradient

TColorBandTool.Gradient
TColorBandTool

property Gradient: TChartGradient;

Unit
TeeTools

Description
Use to set Band colour gradient.


TColorBandTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis
|
TColorBandTool

Classes derived from TColorBandTool
(none)


TColorBandTool.LongDescription

TColorBandTool.LongDescription
TColorBandTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns ColorBandTool Long description.


TColorBandTool.OnClick

TColorBandTool.OnClick
TColorBandTool

property OnClick: TMouseEvent;

Unit
TeeTools

Description
Called when the end user clicks inside the color band bounds rectangle.


TColorBandTool.OnResized

TColorBandTool.OnResized
TColorBandTool

property OnResized: TNotifyEvent;

Unit
TeeTools

Description
Event triggers when ColorBand is resized.


TColorBandTool.Picture

TColorBandTool.Picture
TColorBandTool

property Picture: TTeePicture;

Unit
TeeTools

Description
The ColorBandTool Back Picture.


TColorBandTool.ResizeEnd

TColorBandTool.ResizeEnd
TColorBandTool

property ResizeEnd: Boolean;

Unit
TeeTools

Description
Gets or sets if the ColorBand tool allows mouse dragging of the edge corresponding to the end value.


TColorBandTool.ResizeStart

TColorBandTool.ResizeStart
TColorBandTool

property ResizeStart: Boolean;

Unit
TeeTools

Description
Gets or sets if the ColorBand tool allows mouse dragging of the edge corresponding to the start value.


TColorBandTool.StartLine

TColorBandTool.StartLine
TColorBandTool

property StartLine: TColorLineTool;

Unit
TeeTools

Description
The StartLine property contains formatting properties for the automatic line used to drag the start value of the ColorBand tool at runtime.

ChartTool1.ResizeStart := True ;
ChartTool1.StartLine.Pen.Color := clRed ;

See also: ResizeStart property.


TColorBandTool.StartLinePen

TColorBandTool.StartLinePen
TColorBandTool

property StartLinePen: TChartPen;

Unit
TeeTools

Description
Pen used to draw the starting line of the color band tool.
The ending line can be mouse dragged when the ResizeStart property is True.


TColorBandTool.StartValue

TColorBandTool.StartValue
TColorBandTool

property StartValue: Double;

Unit
TeeTools

Description
Set StartValue to the Axis position from where the colorband has to be drawn.


TColorBandTool.Transparency

TColorBandTool.Transparency
TColorBandTool

property Transparency: TTeeTransparency;

Unit
TeeTools

Description
By default is 0%. This is the percent amount of "transparency" when displaying the color band.
Setting it to 100% will show a transparent (invisible) color band.

Currently transparency is supported in 2D mode only.


TColorFilter.0events

TColorFilter events
TColorFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TColorFilter.0methods

TColorFilter methods
TColorFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TColorFilter.0properties

TColorFilter properties
TColorFilter Legend key

Unit
TeeFilters

In TColorFilter
Blue
Green
Red

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TColorFilter.Blue

TColorFilter.Blue
TColorFilter

property Blue: Integer;

Unit
TeeFilters

Description
Blue level (0 to 255)


TColorFilter.Green

TColorFilter.Green
TColorFilter

property Green: Integer;

Unit
TeeFilters

Description
Green level (0 to 255)


TColorFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TColorFilter

Classes derived from TColorFilter
(none)


TColorFilter.Red

TColorFilter.Red
TColorFilter

property Red: Integer;

Unit
TeeFilters

Description
Red level (0 to 255)


TColorGridSeries.0events

TColorGridSeries events
TColorGridSeries Legend key

Unit
TeeSurfa

Derived from TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorGridSeries.0methods

TColorGridSeries methods
TColorGridSeries Legend key

Unit
TeeSurfa

In TColorGridSeries
CalcXPos
CalcYPos
CellBounds
MaxZValue
MinXValue
MinZValue

Derived from TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TColorGridSeries.0properties

TColorGridSeries properties
TColorGridSeries Legend key

Unit
TeeSurfa

In TColorGridSeries
Bitmap
CenteredPoints
DrawPlane3D
DrawPosition
Frame
SmoothBitmap
Transparency
XGridEvery
ZGridEvery

Derived from TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorGridSeries.Bitmap

TColorGridSeries.Bitmap
TColorGridSeries

property Bitmap: TBitmap;

Unit
TeeSurfa

Description
The Bitmap property has two uses:

1) Returns the internal bitmap used to paint the color grid series.
This bitmap is created and filled using color grid series "Y" values.
The bitmap dimensions (width and height) are taken from the X and Z values.

2) Setting Bitmap defines the Bitmap used as the color source for the color grid.

The ColorGrid series will use this bitmap as the origin of values.
Each pixel color in the bitmap will determine the "Y" value of the color grid series.

The equivalent pseudo-code of setting a bitmap is:

procedure TColorGridSeries.SetBitmap(const Value: TBitmap);
var x : Integer;
z : Integer;
begin
FBitmap.Assign(Value);
BeginUpdate;
Clear;
CenteredPoints:=True;
NumXValues:=FBitmap.Width;
NumZValues:=FBitmap.Height;
for x:=0 to FBitmap.Width-1 do
for z:=0 to FBitmap.Height-1 do
AddXYZ(x,FBitmap.Canvas.Pixels[x,z],z);
EndUpdate;
end;


TColorGridSeries.CalcXPos

TColorGridSeries.CalcXPos
TColorGridSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeeSurfa

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TColorGridSeries.CalcYPos

TColorGridSeries.CalcYPos
TColorGridSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeeSurfa

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TColorGridSeries.CellBounds

TColorGridSeries.CellBounds
TColorGridSeries

function CellBounds(ValueIndex: Integer): TRect; overload;

Unit
TeeSurfa

Description
Returns the Cellbound rectangle for the point of ValueIndex.


TColorGridSeries.CenteredPoints

TColorGridSeries.CenteredPoints
TColorGridSeries

property CenteredPoints: Boolean;

Unit
TeeSurfa

Description
The "CenteredPoints" property controls how will be "X" and "Z" values considered.

When CenteredPoints is "True" (the default value), X and Z values determine the center point of each grid cell.
When False, the X and Z values define the "corner" values of grid cells.

Thus, when CenteredPoints is "False", there will be one less column and one less row of grid cells.


TColorGridSeries.DrawPlane3D

TColorGridSeries.DrawPlane3D
TColorGridSeries

property DrawPlane3D: TCanvas3DPlane;

Unit
TeeSurfa

Description
Sets the plane to which you wish to rotate the ColorGridSeries in a 3D Chart.


TColorGridSeries.DrawPosition

TColorGridSeries.DrawPosition
TColorGridSeries

property DrawPosition: Integer;

Unit
TeeSurfa

Description
Modifies the position of the Series when the Series is viewewd in a 3D Chart respective to which plane the Series is being viewed (see DrawPlane3D).


TColorGridSeries.Frame

TColorGridSeries.Frame
TColorGridSeries

property Frame: TChartHiddenPen;

Unit
TeeSurfa

Description
Hidden pen that is used to draw a border line around the colorgrid.


TColorGridSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries
|
TColorGridSeries

Classes derived from TColorGridSeries
(none)


TColorGridSeries.MaxZValue

TColorGridSeries.MaxZValue
TColorGridSeries

function MaxZValue: Double; override;

Unit
TeeSurfa

Description
Returns the maximum Z value in the color grid series.
Depending on the CenteredPoints property, this maximum will be the maximum Z value plus 0.5


TColorGridSeries.MinXValue

TColorGridSeries.MinXValue
TColorGridSeries

function MinXValue: Double; override;

Unit
TeeSurfa

Description
Returns the minimum X value in the color grid series.
Depending on the CenteredPoints property, this minimum will be the minimum X value less 0.5


TColorGridSeries.MinZValue

TColorGridSeries.MinZValue
TColorGridSeries

function MinZValue: Double; override;

Unit
TeeSurfa

Description
Returns the minimum Z value in the color grid series.
Depending on the CenteredPoints property, this minimum will be the minimum Z value less 0.5


TColorGridSeries.SmoothBitmap

TColorGridSeries.SmoothBitmap
TColorGridSeries

property SmoothBitmap: Boolean;

Unit
TeeSurfa

Description
When True, the colorgrid display is done using the internal "smooth stretch" algorithm to improve the number of colors in the grid bitmap.


TColorGridSeries.Transparency

TColorGridSeries.Transparency
TColorGridSeries

property Transparency: TTeeTransparency;

Unit
TeeSurfa

Description
Colour fill transparency level. Values 0 to 100.


TColorGridSeries.XGridEvery

TColorGridSeries.XGridEvery
TColorGridSeries

property XGridEvery: Integer;

Unit
TeeSurfa

Description
Default is 1.

Indicates how many lines to skip when drawing the vertical grid lines.


TColorGridSeries.ZGridEvery

TColorGridSeries.ZGridEvery
TColorGridSeries

property ZGridEvery: Integer;

Unit
TeeSurfa

Description
Default is 1.

Indicates how many lines to skip when drawing the horizontal grid lines.


TColorLineTool.0events

TColorLineTool events
TColorLineTool Legend key

Unit
TeeTools

In TColorLineTool
OnBeginDragLine
OnDragLine
OnEndDragLine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorLineTool.0methods

TColorLineTool methods
TColorLineTool Legend key

Unit
TeeTools

In TColorLineTool
Clicked
Description
LimitValue
LongDescription

Derived from TTeeCustomToolAxis
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TColorLineTool.0properties

TColorLineTool properties
TColorLineTool Legend key

Unit
TeeTools

In TColorLineTool
AllowDrag
DragRepaint
Draw3D
DrawBehind
NoLimitDrag
Style
Value

Derived from TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorLineTool.AllowDrag

TColorLineTool.AllowDrag
TColorLineTool

property AllowDrag: Boolean;

Unit
TeeTools

Description
Default : False.

When true allows mousedrag of color line.


TColorLineTool.Clicked

TColorLineTool.Clicked
TColorLineTool

function Clicked(x, y: Integer): Boolean;

Unit
TeeTools

Description
Returns True if the x,y pixel position is over the line.


TColorLineTool.Description

TColorLineTool.Description
TColorLineTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Color Line'.


TColorLineTool.DragRepaint

TColorLineTool.DragRepaint
TColorLineTool

property DragRepaint: Boolean;

Unit
TeeTools

Description
Default is False.

When DragRepaint is False, and when dragging a line using the mouse, a temporary line is displayed until the mouse button is released.

When DragRepaint is True, the whole chart is repainted while the mouse is dragging the line.

Setting DragRepaint to false (the default) makes faster display when dragging a line.


TColorLineTool.Draw3D

TColorLineTool.Draw3D
TColorLineTool

property Draw3D: Boolean;

Unit
TeeTools

Description
Controls if color line displays as a single line or as a rectangle in 3D mode.


TColorLineTool.DrawBehind

TColorLineTool.DrawBehind
TColorLineTool

property DrawBehind: Boolean;

Unit
TeeTools

Description
In 3D mode, controls if color line will be displayed behind series or in-front.


TColorLineTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis
|
TColorLineTool

Classes derived from TColorLineTool
(none)


TColorLineTool.LimitValue

TColorLineTool.LimitValue
TColorLineTool

function LimitValue(Const AValue: Double): Double;

Unit
TeeTools

Description

Checks the AValue parameter against the color line associated axis minimum and maximum values.

If the AValue parameter is lower or bigger than the axis, it returns the axis minimum or maximum value.

This method is internally used by the TColorLineTool object when the NoLimitDrag property is False.


TColorLineTool.LongDescription

TColorLineTool.LongDescription
TColorLineTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns the ColorLineTool LongDescripion.


TColorLineTool.NoLimitDrag

TColorLineTool.NoLimitDrag
TColorLineTool

property NoLimitDrag: Boolean;

Unit
TeeTools

Description
Default is False.

Set NoLimitDrag to True to allow the end-user to drag a line and move it outside the axis limits.

By default is False, meaning the line can only be dragged within the associated axis Minimum and Maximum values.


TColorLineTool.OnBeginDragLine

TColorLineTool.OnBeginDragLine
TColorLineTool

property OnBeginDragLine: TColorLineToolOnDrag;

Unit
TeeTools

Description
Event called when the end-users starts dragging the color line clicking it with the mouse.


TColorLineTool.OnDragLine

TColorLineTool.OnDragLine
TColorLineTool

property OnDragLine: TColorLineToolOnDrag;

Unit
TeeTools

Description
Use event to action while the ColorLine is being dragged.


TColorLineTool.OnEndDragLine

TColorLineTool.OnEndDragLine
TColorLineTool

property OnEndDragLine: TColorLineToolOnDrag;

Unit
TeeTools

Description
Use event to action on end of ColorLine drag.


TColorLineTool.Style

TColorLineTool.Style
TColorLineTool

property Style: TColorLineStyle;

Unit
TeeTools

Description
Provides automatic positioning of color line inside axis scales.

clCustom : Line is positioned to custom value (see Value property).
clMaximum : Line is positioned to axis maximum.
clCenter : Line is positioned at axis center position.
clMinimum : Line is positioned at axis minimum position.

This property can be useful to draw a line like a "divider" between 2 axis.


TColorLineTool.Value

TColorLineTool.Value
TColorLineTool

property Value: Double;

Unit
TeeTools

Description
Set Value of the Axis position where the colorline has to be drawn.

You can use the Axis CalcPosValue methods to convert from values to pixels, and the Axis CalcPosPoint function to convert from screen pixels to axis positions.


TColorPalettes.0events

TColorPalettes events
TColorPalettes Legend key

Unit
Chart

Derived from TStringList
CaseSensitive
Duplicates
OnChange
OnChanging
Sorted

Derived from TStrings
Capacity
CommaText
Count
DelimitedText
Delimiter
Names
NameValueSeparator
Objects
QuoteChar
Strings
StringsAdapter
Text
UpdateCount
ValueFromIndex
Values


TColorPalettes.0methods

TColorPalettes methods
TColorPalettes Legend key

Unit
Chart

In TColorPalettes
AddTo
ApplyPalette
GetPalette

Derived from TStringList
Add
AddObject
Changed
Changing
Clear
CompareStrings
CustomSort
Delete
Destroy
Exchange
ExchangeItems
Find
Get
GetCapacity
GetCount
GetObject
Grow
IndexOf
Insert
InsertItem
InsertObject
Put
PutObject
QuickSort
SetCapacity
SetCaseSensitive
SetSorted
SetUpdateState
Sort

Derived from TStrings
AddStrings
Append
Assign
BeginUpdate
DefineProperties
EndUpdate
Equals
Error
ExtractName
GetCommaText
GetDelimitedText
GetDelimiter
GetName
GetNameValueSeparator
GetQuoteChar
GetText
GetTextStr
GetValue
GetValueFromIndex
IndexOfName
IndexOfObject
LoadFromFile
LoadFromStream
Move
ReadData
SaveToFile
SaveToStream
SetCommaText
SetDelimitedText
SetDelimiter
SetNameValueSeparator
SetQuoteChar
SetStringsAdapter
SetText
SetTextStr
SetValue
SetValueFromIndex
WriteData

Derived from TPersistent
AssignError
AssignTo
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TColorPalettes.0properties

TColorPalettes properties
TColorPalettes Legend key

Unit
Chart

Derived from TStringList
CaseSensitive
Duplicates
OnChange
OnChanging
Sorted

Derived from TStrings
Capacity
CommaText
Count
DelimitedText
Delimiter
Names
NameValueSeparator
Objects
QuoteChar
Strings
StringsAdapter
Text
UpdateCount
ValueFromIndex
Values


TColorPalettes.AddTo

TColorPalettes.AddTo
TColorPalettes

procedure AddTo(Const Items: TStrings; AddDefault: Boolean);

Unit
Chart

Description
Used by TeeChart to add colour palettes to the list of available colour palettes of choice.

ColorPalettes.AddTo( Memo1.Lines );


TColorPalettes.ApplyPalette

TColorPalettes.ApplyPalette
TColorPalettes

procedure ApplyPalette(Chart: TCustomAxisPanel; Index: Integer); overload;

Unit
Chart

Description
Replaces the Chart color palette with the Palette array parameter.

Series colors and series point colors are referenced to color palette when the color is "clTeeColor".

Can be used to add your own colour schemes, format as follows (example with 'Victorian' palette):

VictorianPalette:Array[0..10] of TColor=
(
$A1A55D,
$3153C4,
$0996E7,
$4AE8F6,
$A7A2B1,
$84A7C9,
$51798C,
$B7CDD8,
$536508,
$7BD8F7,
$846401
);

ColorPalettes.ApplyPalette( Chart1, VictorianPalette );


TColorPalettes.GetPalette

TColorPalettes.GetPalette
TColorPalettes

procedure GetPalette(Index: Integer; Var Palette: TColorArray);

Unit
Chart


TColorPalettes.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TStrings
|
TStringList
|
TColorPalettes

Classes derived from TColorPalettes
(none)


TColorsAnimation.0events

TColorsAnimation events
TColorsAnimation Legend key

Unit
TeeAnimate

Derived from TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorsAnimation.0methods

TColorsAnimation methods
TColorsAnimation Legend key

Unit
TeeAnimate

Derived from TNumberAnimation
CurveValue
EditorClass
EndAnimation
HasLink
Play

Derived from TPropertyAnimation
EditorName
Fixup
IsEnabled

Derived from TAnimation
Continue
Description
EndFrame
GetParentComponent
HasParent
Index
IsValidSource
Pause
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TColorsAnimation.0properties

TColorsAnimation properties
TColorsAnimation Legend key

Unit
TeeAnimate

In TColorsAnimation
Method

Derived from TNumberAnimation
Curve
EndLink
EndValue
InitStart
StartLink
StartValue
Value

Derived from TRangePropertyAnimation
KeepEndValue
UseEndValue
UseStartValue

Derived from TPropertyAnimation
Instance
PropertyName

Derived from TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TColorsAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation
|
TPropertyAnimation
|
TRangePropertyAnimation
|
TNumberAnimation
|
TColorsAnimation

Classes derived from TColorsAnimation
(none)


TColorsAnimation.Method

TColorsAnimation.Method
TColorsAnimation

property Method: TColorMethod;

Unit
TeeAnimate


TComboFlat.0events

TComboFlat events
TComboFlat Legend key

Unit
TeCanvas

Derived from TCustomComboBox
AutoCloseUp
AutoComplete
AutoDropDown
CharCase
OnDrawItem
OnMeasureItem
SelText
Sorted
Style

Derived from TCustomCombo
Canvas
DropDownCount
DroppedDown
EditHandle
ItemCount
ItemHeight
Items
ListHandle
MaxLength
OnChange
OnCloseUp
OnDropDown
OnSelect
SelLength
SelStart

Derived from TCustomListControl
ItemIndex

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TComboFlat.0methods

TComboFlat methods
TComboFlat Legend key

Unit
TeCanvas

In TComboFlat
Add
CurrentItem
SelectedObject

Derived from TCustomComboBox
CMParentColorChanged
CNDrawItem
CNMeasureItem
Create
CreateParams
CreateWnd
Destroy
DestroyWnd
DrawItem
GetItemCount
GetItemHt
GetItemsClass
GetSelText
KeyPress
MeasureItem
SelectItem
SetCharCase
SetSelText
SetSorted
SetStyle
WMEraseBkgnd
WMLButtonDown
WMNCCalcSize
WMPaint
WndProc

Derived from TCustomCombo
AddItem
AdjustDropDown
Change
Clear
ClearSelection
CloseUp
CMCancelMode
CMCtl3DChanged
CNCommand
ComboWndProc
CopySelection
DeleteSelected
DestroyWindowHandle
DropDown
EditWndProc
Focused
GetCount
GetDroppedDown
GetItemIndex
GetSelLength
GetSelStart
ListWndProc
Loaded
Select
SelectAll
SetDropDownCount
SetDroppedDown
SetItemHeight
SetItemIndex
SetItems
SetMaxLength
SetSelLength
SetSelStart
WMCreate
WMDeleteItem
WMDrawItem
WMGetDlgCode
WMMeasureItem

Derived from TCustomListControl
MoveSelection

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDestroy
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMove
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TComboFlat.0properties

TComboFlat properties
TComboFlat Legend key

Unit
TeCanvas

In TComboFlat
DropDownWidth

Derived from TCustomComboBox
AutoCloseUp
AutoComplete
AutoDropDown
CharCase
OnDrawItem
OnMeasureItem
SelText
Sorted
Style

Derived from TCustomCombo
Canvas
DropDownCount
DroppedDown
EditHandle
ItemCount
ItemHeight
Items
ListHandle
MaxLength
OnChange
OnCloseUp
OnDropDown
OnSelect
SelLength
SelStart

Derived from TCustomListControl
ItemIndex

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TComboFlat.Add

TComboFlat.Add
TComboFlat

procedure Add(Const Item: String);

Unit
TeCanvas

Description
Add item to combo.


TComboFlat.CurrentItem

TComboFlat.CurrentItem
TComboFlat

function CurrentItem: String;

Unit
TeCanvas

Description
Currently selected item string in Combo.


TComboFlat.DropDownWidth

TComboFlat.DropDownWidth
TComboFlat

property DropDownWidth: Integer;

Unit
TeCanvas

Description
Defines width in Pixels of Combo when dropped-down.


TComboFlat.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomListControl
|
TCustomCombo
|
TCustomComboBox
|
TComboBox
|
TComboFlat

Classes derived from TComboFlat
TComboFlatGrid


TComboFlat.SelectedObject

TComboFlat.SelectedObject
TComboFlat

function SelectedObject: TObject;

Unit
TeCanvas

Description
Currently selected item as object.


TCompressFunction.0events

TCompressFunction events
TCompressFunction Legend key

Unit
TeeCompressOHLC

In TCompressFunction
OnGetDate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCompressFunction.0methods

TCompressFunction methods
TCompressFunction Legend key

Unit
TeeCompressOHLC

In TCompressFunction
CompressSeries

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCompressFunction.0properties

TCompressFunction properties
TCompressFunction Legend key

Unit
TeeCompressOHLC

In TCompressFunction
Compress

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCompressFunction.Compress

TCompressFunction.Compress
TCompressFunction

property Compress: TCompressionPeriod;

Unit
TeeCompressOHLC

Description
Datetime value indicating how to group source values by datetime periods.

Note: This property is only used when the Period property is zero.

Options:

ocDay
ocWeek
ocMonth
ocBiMonth
ocQuarter
ocYear


TCompressFunction.CompressSeries

TCompressFunction.CompressSeries
TCompressFunction

procedure CompressSeries(Source: TChartSeries; DestOHLC: TOHLCSeries; Volume, DestVolume: TChartSeries);

Unit
TeeCompressOHLC

Description
Given a source series and a source Volume series, this method will "compress" data adding results to DestOHLC and DestVolume series.

Source and source volume series can be any type of series, but, if Source series is a candle (OHLC) series, then this method will use the High and Low values.

Volume and DestVolume parameters can be nil, indicating we dont want to group volume data.


TCompressFunction.Hierarchy

Unit
TeeCompressOHLC

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCompressFunction

Classes derived from TCompressFunction
(none)


TCompressFunction.OnGetDate

TCompressFunction.OnGetDate
TCompressFunction

property OnGetDate: TCompressGetDate;

Unit
TeeCompressOHLC

Description
Event called by the compression function to give the application the opportunity to supply custom date values, instead of using the default date values from the OHLC source series.


TContourLevel.0events

TContourLevel events
TContourLevel Legend key

Unit
TeeSurfa

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TContourLevel.0methods

TContourLevel methods
TContourLevel Legend key

Unit
TeeSurfa

In TContourLevel
ClearSegments
Clicked
ClickedSegment
DefaultPen
DeleteSegment
GetSegmentPoints
SegmentCount

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TContourLevel.0properties

TContourLevel properties
TContourLevel Legend key

Unit
TeeSurfa

In TContourLevel
Color
Pen
Segments
Text
UpToValue

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TContourLevel.ClearSegments

TContourLevel.ClearSegments
TContourLevel

procedure ClearSegments;

Unit
TeeSurfa

Description
Removes all segments in level.


TContourLevel.Clicked

TContourLevel.Clicked
TContourLevel

function Clicked(X, Y: Integer; Var SegmentIndex, PointIndex: Integer): Boolean;

Unit
TeeSurfa

Description
Returns True when the XY pixel coordinates are over a segment line.

Returns the SegmentIndex and PointIndex within the segment.


TContourLevel.ClickedSegment

TContourLevel.ClickedSegment
TContourLevel

function ClickedSegment(X, Y, SegmentIndex: Integer; Var PointIndex: Integer): Boolean;

Unit
TeeSurfa

Description
Returns True if the XY pixel coordinates are over any point of the specified SegmentIndex.


TContourLevel.Color

TContourLevel.Color
TContourLevel

property Color: TColor;

Unit
TeeSurfa

Description
Colour of TContourSeries Level


TContourLevel.DefaultPen

TContourLevel.DefaultPen
TContourLevel

function DefaultPen: Boolean;

Unit
TeeSurfa

Description
Returns True when this level has no special custom pen.
By default all levels have no custom pen, that is, they use the Contour series pen property to draw all levels with the same pen.

As soon you change a level Pen property, this function returns False.

Series1.Levels[0].Pen.Color := clRed ;

To use the default series pen, set pen to "nil" :

Series1.Levels[0].Pen:=nil ;


TContourLevel.DeleteSegment

TContourLevel.DeleteSegment
TContourLevel

procedure DeleteSegment(Const Index: Integer);

Unit
TeeSurfa

Description
Deletes Segment of a level.


TContourLevel.GetSegmentPoints

TContourLevel.GetSegmentPoints
TContourLevel

function GetSegmentPoints(SegmentIndex: Integer): TPointArray;

Unit
TeeSurfa

Description
Returns the PointArray associated with any Segment Level (index).


TContourLevel.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TContourLevel

Classes derived from TContourLevel
(none)


TContourLevel.Pen

TContourLevel.Pen
TContourLevel

property Pen: TChartPen;

Unit
TeeSurfa

Description
Defines the Pen to use to draw this level segments.


TContourLevel.SegmentCount

TContourLevel.SegmentCount
TContourLevel

function SegmentCount: Integer;

Unit
TeeSurfa

Description
Returns the number of segments (lines) for this level.


TContourLevel.Segments

TContourLevel.Segments
TContourLevel

property Segments: TLevelSegments;

Unit
TeeSurfa

Description
Returns a collection of "segments" (arrays of TPoints) containing the coordinates for all the points of the given contour level.


TContourLevel.Text

TContourLevel.Text
TContourLevel

property Text: String;

Unit
TeeSurfa

Description
Add text to the corresponding level


TContourLevel.UpToValue

TContourLevel.UpToValue
TContourLevel

property UpToValue: Double;

Unit
TeeSurfa

Description
Range value for TContourLevel. Sets the range to which to apply the TContourLevel.Color within the TContourSeries data range.


TContourLevels.0events

TContourLevels events
TContourLevels Legend key

Unit
TeeSurfa

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TContourLevels.0methods

TContourLevels methods
TContourLevels Legend key

Unit
TeeSurfa

In TContourLevels
AddLevel
Clicked

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TContourLevels.0properties

TContourLevels properties
TContourLevels Legend key

Unit
TeeSurfa

In TContourLevels
Items

Derived from TCollection
Count
ItemClass
NextID
PropName
UpdateCount


TContourLevels.AddLevel

TContourLevels.AddLevel
TContourLevels

function AddLevel(Const Value: Double; Color: TColor): TContourLevel;

Unit
TeeSurfa

Description
Add new Contour level at value Value with colour Color .


TContourLevels.Clicked

TContourLevels.Clicked
TContourLevels

function Clicked(X, Y: Integer; Var SegmentIndex, PointIndex: Integer): Integer;

Unit
TeeSurfa

Description
Returns -1 if the XY pixel coordinates are *not* over any level segment lines.

Returns the level index (starting from zero) otherwise.


TContourLevels.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TContourLevels

Classes derived from TContourLevels
(none)


TContourLevels.Items

TContourLevels.Items
TContourLevels

property Items[Index: Integer]: TContourLevel;

Unit
TeeSurfa

Description
Returns the index'th element inside a ContourLevels array.

This corresponds to a Contour Level (a Level is a value used to calculate a contour line).


TContourMarks.0methods

TContourMarks methods
TContourMarks Legend key

Unit
TeeSurfa

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TContourMarks.0properties

TContourMarks properties
TContourMarks Legend key

Unit
TeeSurfa

In TContourMarks
AntiOverlap
AtSegments
ColorLevel
Density
Margin
Visible


TContourMarks.AntiOverlap

TContourMarks.AntiOverlap
TContourMarks

property AntiOverlap: Boolean;

Unit
TeeSurfa

Description
Avoids overlap when True.


TContourMarks.AtSegments

TContourMarks.AtSegments
TContourMarks

property AtSegments: Boolean;

Unit
TeeSurfa

Description
When True places Marks on Level Segments.


TContourMarks.ColorLevel

TContourMarks.ColorLevel
TContourMarks

property ColorLevel: Boolean;

Unit
TeeSurfa

Description
When True sets Font colour of Mark text to that of the Segment it is on.


TContourMarks.Density

TContourMarks.Density
TContourMarks

property Density: Integer;

Unit
TeeSurfa

Description
Sets the repetition density of the marks on the Segment lines.


TContourMarks.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TContourMarks

Classes derived from TContourMarks
(none)


TContourMarks.Margin

TContourMarks.Margin
TContourMarks

property Margin: Integer;

Unit
TeeSurfa

Description
Defines the space to be left when adding a Mark into a Segment line. A higher value leaves more space on either side of the Mark before continuing the line.


TContourMarks.Visible

TContourMarks.Visible
TContourMarks

property Visible: Boolean;

Unit
TeeSurfa

Description
Marks Visible when True.


TContourSeries.0events

TContourSeries events
TContourSeries Legend key

Unit
TeeSurfa

In TContourSeries
OnBeforeDrawLevel
OnGetLevel

Derived from TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TContourSeries.0methods

TContourSeries methods
TContourSeries Legend key

Unit
TeeSurfa

In TContourSeries
Clicked
CountLegendItems
CreateAutoLevels
GetZAxis
LegendItemColor
LegendString
MaxYValue
MinYValue

Derived from TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MinXValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TContourSeries.0properties

TContourSeries properties
TContourSeries Legend key

Unit
TeeSurfa

In TContourSeries
AutomaticLevels
CellPen
ContourMarks
Frame
LegendLines
Levels
LinesColor
NumLevels
Pointer
Smoothing
Transparency
YPosition
YPositionLevel

Derived from TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TContourSeries.AutomaticLevels

TContourSeries.AutomaticLevels
TContourSeries

property AutomaticLevels: Boolean;

Unit
TeeSurfa

Description
Set TContourSeries Automatic Levels.


TContourSeries.CellPen

TContourSeries.CellPen
TContourSeries

property CellPen: TChartHiddenPen;

Unit
TeeSurfa


TContourSeries.Clicked

TContourSeries.Clicked
TContourSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
TeeSurfa

Description
Returns the level index that has a segment line under the XY pixel coordinates.

See also LevelSegments Clicked and ClickedSegment methods.


TContourSeries.ContourMarks

TContourSeries.ContourMarks
TContourSeries

property ContourMarks: TContourMarks;

Unit
TeeSurfa

Description
Access Marks.

To Set Visible:
Series1.ContourMarks.Visible:=True;


TContourSeries.CountLegendItems

TContourSeries.CountLegendItems
TContourSeries

function CountLegendItems: Integer; override;

Unit
TeeSurfa

Description
Number of items in Legend.


TContourSeries.CreateAutoLevels

TContourSeries.CreateAutoLevels
TContourSeries

procedure CreateAutoLevels;

Unit
TeeSurfa

Description
Calculate Level values and colors.


TContourSeries.Frame

TContourSeries.Frame
TContourSeries

property Frame: TChartHiddenPen;

Unit
TeeSurfa

Description
Plots outer Frame for ContourSeries.


TContourSeries.GetZAxis

TContourSeries.GetZAxis
TContourSeries

function GetZAxis: TChartAxis;

Unit
TeeSurfa

Description
Returns Surface's Z Axis.


TContourSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries
|
TContourSeries

Classes derived from TContourSeries
(none)


TContourSeries.LegendItemColor

TContourSeries.LegendItemColor
TContourSeries

function LegendItemColor(LegendIndex: Integer): TColor; override;

Unit
TeeSurfa

Description
Returns the color to be displayed at the chart Legend for the index parameter.
"Index" usually equals to the Contour Level index.


TContourSeries.LegendLines

TContourSeries.LegendLines
TContourSeries

property LegendLines: Boolean;

Unit
TeeSurfa

Description
Default value is False.

When True, and the Contour series is not filled, the Chart Legend will display simple thin lines instead of rectangle symbols.

Contour series levels are filled or not depending on the Brush Style property.


TContourSeries.LegendString

TContourSeries.LegendString
TContourSeries

function LegendString(LegendIndex: Integer; LegendTextStyle: TLegendTextStyle): String; override;

Unit
TeeSurfa

Description
Returns the formatted Legend string according to LegendTextStyle for the LegendIndexth point.


TContourSeries.Levels

TContourSeries.Levels
TContourSeries

property Levels: TContourLevels;

Unit
TeeSurfa

Description
Access ContourLevel characteristics selecting Level by index.


TContourSeries.LinesColor

TContourSeries.LinesColor
TContourSeries

property LinesColor: TColor;

Unit
TeeSurfa

Description
Default value is clBlack

When this property is not clDefault, contour series level lines are displayed using this color.

Note: LinesColor is only valid when the contour is filled (ie: Brush.Style:= bsSolid)

When the contour series is not filled, each level line color can be changed using its own property:

Series1.Levels[5].Pen.Color := clLime;


TContourSeries.MaxYValue

TContourSeries.MaxYValue
TContourSeries

function MaxYValue: Double; override;

Unit
TeeSurfa

Description

ContourSeries1.MaxYValue and MinYValue refer to Contour Y values.

In version 5, this depends on the 2D / 3D setting.

ie.
When the Chart is in 2D mode (Chart1.View3D:=False) then Contour MaxYValue
and MinYValue methods return the Z values minimum and maximum values.
In 3D mode, the behaviour is the same as in version 4 (they refer to Contour Y values).

To remain independent on the above issue, you should use Contour.YValues.MaxValue
and Contour.YValues.MinValue properties.


TContourSeries.MinYValue

TContourSeries.MinYValue
TContourSeries

function MinYValue: Double; override;

Unit
TeeSurfa

Description
ContourSeries1.MaxYValue and MinYValue refer to Contour Y values.

In version 5, this depends on the 2D / 3D setting.

ie.
When the Chart is in 2D mode (Chart1.View3D:=False) then Contour MaxYValue
and MinYValue methods return the Z values minimum and maximum values.

In 3D mode, the behaviour is the same as in version 4 (they refer to Contour Y values).

To remain independent on the above issue, you should use Contour.YValues.MaxValue
and Contour.YValues.MinValue properties.


TContourSeries.NumLevels

TContourSeries.NumLevels
TContourSeries

property NumLevels: Integer;

Unit
TeeSurfa

Description
Sets the number of Contour levels. Setting the PaletteSteps property to the same value as Contour NumLevels, will use a different color for each Contour level at the Legend.


TContourSeries.OnBeforeDrawLevel

TContourSeries.OnBeforeDrawLevel
TContourSeries

property OnBeforeDrawLevel: TOnBeforeDrawLevelEvent;

Unit
TeeSurfa

Description
Called just before drawing each level segments.
Use this event to for example customize the pen used to draw each level segments.

procedure TContourOnBefore.Series1BeforeDrawLevel(Sender: TContourSeries;
LevelIndex: Integer);
begin
// Change pen for contour level 4...
if LevelIndex=4 then
Chart1.Canvas.Pen.Width:=3
else
Chart1.Canvas.Pen.Width:=1;
end;


TContourSeries.OnGetLevel

TContourSeries.OnGetLevel
TContourSeries

property OnGetLevel: TOnGetLevelEvent;

Unit
TeeSurfa

Description
Use this event to make Level related changes before adding Level.


TContourSeries.Pointer

TContourSeries.Pointer
TContourSeries

property Pointer: TSeriesPointer;

Unit
TeeSurfa

Description
Plots a Series Pointer at each calculated Segment point.


TContourSeries.Smoothing

TContourSeries.Smoothing
TContourSeries

property Smoothing: TSmoothPoints;

Unit
TeeSurfa

Description
Determines the properties to use to apply "smoothing" to contour level lines.


TContourSeries.Transparency

TContourSeries.Transparency
TContourSeries

property Transparency: TTeeTransparency;

Unit
TeeSurfa

Description
Color fill transparency level (0 to 100).


TContourSeries.YPosition

TContourSeries.YPosition
TContourSeries

property YPosition: TChartValue;

Unit
TeeSurfa

Description
Sets Y position for Contour Series.


TContourSeries.YPositionLevel

TContourSeries.YPositionLevel
TContourSeries

property YPositionLevel: Boolean;

Unit
TeeSurfa

Description
Enables Y positioning of Contour Series.


TContrastFilter.0events

TContrastFilter events
TContrastFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TContrastFilter.0methods

TContrastFilter methods
TContrastFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TContrastFilter.0properties

TContrastFilter properties
TContrastFilter Legend key

Unit
TeeFilters

Derived from TAmountFilter
Amount
Percent

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TContrastFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TAmountFilter
|
TContrastFilter

Classes derived from TContrastFilter
(none)


TConvolveFilter.0events

TConvolveFilter events
TConvolveFilter Legend key

Unit
TeCanvas

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TConvolveFilter.0methods

TConvolveFilter methods
TConvolveFilter Legend key

Unit
TeCanvas

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TConvolveFilter.0properties

TConvolveFilter properties
TConvolveFilter Legend key

Unit
TeCanvas

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TConvolveFilter.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TConvolveFilter

Classes derived from TConvolveFilter
TBlurFilter
TEmbossFilter
TSharpenFilter
TSoftenFilter


TCorrelationFunction.0events

TCorrelationFunction events
TCorrelationFunction Legend key

Unit
CurvFitt

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCorrelationFunction.0methods

TCorrelationFunction methods
TCorrelationFunction Legend key

Unit
CurvFitt

Derived from TCustomTrendFunction
CalculateTrend
Coefficient

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCorrelationFunction.0properties

TCorrelationFunction properties
TCorrelationFunction Legend key

Unit
CurvFitt

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCorrelationFunction.Hierarchy

Unit
CurvFitt

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomTrendFunction
|
TCorrelationFunction

Classes derived from TCorrelationFunction
(none)


TCountTeeFunction.0events

TCountTeeFunction events
TCountTeeFunction Legend key

Unit
TeeCount

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCountTeeFunction.0methods

TCountTeeFunction methods
TCountTeeFunction Legend key

Unit
TeeCount

In TCountTeeFunction
Calculate
CalculateMany

Derived from TTeeFunction
AddPoints
BeginUpdate
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCountTeeFunction.0properties

TCountTeeFunction properties
TCountTeeFunction Legend key

Unit
TeeCount

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCountTeeFunction.Calculate

TCountTeeFunction.Calculate
TCountTeeFunction

function Calculate(Series: TChartSeries; First, Last: Integer): Double; override;

Unit
TeeCount

Description
The Calculate method calculates number of points in Series.


TCountTeeFunction.CalculateMany

TCountTeeFunction.CalculateMany
TCountTeeFunction

function CalculateMany(SeriesList: TList; ValueIndex: Integer): Double; override;

Unit
TeeCount

Description
The CalculateMany method calculates number of Series in underlying SeriesList.


TCountTeeFunction.Hierarchy

Unit
TeeCount

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCountTeeFunction

Classes derived from TCountTeeFunction
(none)


TCreatePipeError.0events

TCreatePipeError events
TCreatePipeError Legend key

Unit
TeeDosCommand

Derived from Exception
HelpContext
Message


TCreatePipeError.0methods

TCreatePipeError methods
TCreatePipeError Legend key

Unit
TeeDosCommand

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCreatePipeError.0properties

TCreatePipeError properties
TCreatePipeError Legend key

Unit
TeeDosCommand

Derived from Exception
HelpContext
Message


TCreatePipeError.Hierarchy

Unit
TeeDosCommand

Hierarchy

TObject
|
Exception
|
TCreatePipeError

Classes derived from TCreatePipeError
(none)


TCreateProcessError.0events

TCreateProcessError events
TCreateProcessError Legend key

Unit
TeeDosCommand

Derived from Exception
HelpContext
Message


TCreateProcessError.0methods

TCreateProcessError methods
TCreateProcessError Legend key

Unit
TeeDosCommand

Derived from Exception
Create
CreateFmt
CreateFmtHelp
CreateHelp
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCreateProcessError.0properties

TCreateProcessError properties
TCreateProcessError Legend key

Unit
TeeDosCommand

Derived from Exception
HelpContext
Message


TCreateProcessError.Hierarchy

Unit
TeeDosCommand

Hierarchy

TObject
|
Exception
|
TCreateProcessError

Classes derived from TCreateProcessError
(none)


TCropFilter.0events

TCropFilter events
TCropFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TCropFilter.0methods

TCropFilter methods
TCropFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCropFilter.0properties

TCropFilter properties
TCropFilter Legend key

Unit
TeeFilters

In TCropFilter
Left
Smooth
Top

Derived from TResizeFilter
Height
Width

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TCropFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TResizeFilter
|
TCropFilter

Classes derived from TCropFilter
(none)


TCropFilter.Left

TCropFilter.Left
TCropFilter

property Left: Integer;

Unit
TeeFilters

Description
Left bound beginning co-ordinate (Pixels) to set crop area.


TCropFilter.Smooth

TCropFilter.Smooth
TCropFilter

property Smooth: Boolean;

Unit
TeeFilters

Description
If True smooth stretches the image to the destination rectangle.


TCropFilter.Top

TCropFilter.Top
TCropFilter

property Top: Integer;

Unit
TeeFilters

Description
Top bound beginning co-ordinate (Pixels) to set crop area.


TCrossPointsFunction.0events

TCrossPointsFunction events
TCrossPointsFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCrossPointsFunction.0methods

TCrossPointsFunction methods
TCrossPointsFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCrossPointsFunction.0properties

TCrossPointsFunction properties
TCrossPointsFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCrossPointsFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCrossPointsFunction

Classes derived from TCrossPointsFunction
(none)


TCumulative.0events

TCumulative events
TCumulative Legend key

Unit
TeeCumu

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCumulative.0methods

TCumulative methods
TCumulative Legend key

Unit
TeeCumu

In TCumulative
Calculate
CalculateMany

Derived from TTeeFunction
AddPoints
BeginUpdate
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCumulative.0properties

TCumulative properties
TCumulative Legend key

Unit
TeeCumu

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCumulative.Calculate

TCumulative.Calculate
TCumulative

function Calculate(Series: TChartSeries; First, Last: Integer): Double; override;

Unit
TeeCumu

Description
Returns the sum of Series values from First to Last point index.


TCumulative.CalculateMany

TCumulative.CalculateMany
TCumulative

function CalculateMany(SeriesList: TList; ValueIndex: Integer): Double; override;

Unit
TeeCumu

Description
Returns the sum of values for the ValueIndex point of all Series in SeriesList parameter.


TCumulative.Hierarchy

Unit
TeeCumu

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCumulative

Classes derived from TCumulative
(none)


TCursorTool.0events

TCursorTool events
TCursorTool Legend key

Unit
TeeTools

In TCursorTool
OnChange
OnGetAxisRect
OnSnapChange

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCursorTool.0methods

TCursorTool methods
TCursorTool Legend key

Unit
TeeTools

In TCursorTool
Clicked
Description
LongDescription
NearestPoint
RedrawCursor
SnapToPoint

Derived from TTeeCustomToolSeries
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCursorTool.0properties

TCursorTool properties
TCursorTool Legend key

Unit
TeeTools

In TCursorTool
ClickTolerance
FollowMouse
HorizSize
ScopeSize
ScopeStyle
Snap
SnapStyle
Style
UseChartRect
UseSeriesZ
VertSize
XValue
YValue

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCursorTool.Clicked

TCursorTool.Clicked
TCursorTool

function Clicked(x, y: Integer): TCursorClicked;

Unit
TeeTools

Description
This function resturns on which cursortool the cursor is. The cursor coordinates are passed through the x and y values, respectively.
The following return values are possible :

ccNone The Cursor is not on a cursortool
ccHorizontal The Cursor is on the horizontal line of the cursortool
ccVertical The Cursor is on the vertical line of the cursortool
ccBoth The Cursor on the horizontal and vertical line of the cursortool


TCursorTool.ClickTolerance

TCursorTool.ClickTolerance
TCursorTool

property ClickTolerance: Integer;

Unit
TeeTools

Description
Set pixel proximity tolerance for Clicks.


TCursorTool.Description

TCursorTool.Description
TCursorTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns Cursor'.


TCursorTool.FollowMouse

TCursorTool.FollowMouse
TCursorTool

property FollowMouse: Boolean;

Unit
TeeTools

Description
Set FollowMouse to True to let TCursorTool stick to the mouse movements.


TCursorTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TCursorTool

Classes derived from TCursorTool
(none)


TCursorTool.HorizSize

TCursorTool.HorizSize
TCursorTool

property HorizSize: Integer;

Unit
TeeTools

Description
Horiz size of Cursortool (full width if 0).


TCursorTool.LongDescription

TCursorTool.LongDescription
TCursorTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns Tool Long Description.


TCursorTool.NearestPoint

TCursorTool.NearestPoint
TCursorTool

function NearestPoint(AStyle: TCursorToolStyle; Out Difference: Double): Integer;

Unit
TeeTools

Description
Returns the value of the difference between the position of the Cursor an d the nearest point depending on the Cursor style (TCursorToolStyle)


TCursorTool.OnChange

TCursorTool.OnChange
TCursorTool

property OnChange: TCursorToolChangeEvent;

Unit
TeeTools

Description
Write an OnChange event handler to control another object or group of objects using TCursorTool. Adjust the objects controlled by the cursortool to reflect the new position.

OnChange occurs whether the position is changed by the user or programmatically.


TCursorTool.OnGetAxisRect

TCursorTool.OnGetAxisRect
TCursorTool

property OnGetAxisRect: TCursorToolGetAxisRect;

Unit
TeeTools

Description
Rectangular region associated with tool. A Cursor tool associated with one Series on a multi-axis chart will use the rectangle associated with the Series' Axis region.


TCursorTool.OnSnapChange

TCursorTool.OnSnapChange
TCursorTool

property OnSnapChange: TCursorToolChangeEvent;

Unit
TeeTools

Description
Event called when the cursor tool changes the index of the "snap" point in the series.
The snap point is the one that is more close to the cursor positions.

See Snap property and SnapToPoint method.


TCursorTool.RedrawCursor

TCursorTool.RedrawCursor
TCursorTool

procedure RedrawCursor;

Unit
TeeTools

Description
Cursor repaint.


TCursorTool.ScopeSize

TCursorTool.ScopeSize
TCursorTool

property ScopeSize: Integer;

Unit
TeeTools

Description
When Style is Scope use ScopeSize to modify the size of the Scope element.


TCursorTool.ScopeStyle

TCursorTool.ScopeStyle
TCursorTool

property ScopeStyle: TScopeCursorStyle;

Unit
TeeTools

Description
Select a TScopeCursorStyle option when the Style property is set to Scope.


TCursorTool.Snap

TCursorTool.Snap
TCursorTool

property Snap: Boolean;

Unit
TeeTools

Description
Set Snap property to True to align the TCursorTool with the nearest series point.
Snap has no effect unless a series is assigned to the Series property.

See also:

Style property.
Series property.
OnSnapChange event.


TCursorTool.SnapStyle

TCursorTool.SnapStyle
TCursorTool

property SnapStyle: TSnapStyle;

Unit
TeeTools

Description
When Snap True snaps on mousemove according to TSnapStyle selected.


TCursorTool.SnapToPoint

TCursorTool.SnapToPoint
TCursorTool

function SnapToPoint: Integer;

Unit
TeeTools

Description
This function returns the series point nearest to the cursor tool.
SnapToPoint can only be used when series property is not nil, otherwise the result will be always -1.

See OnSnapChange event and Snap property.


TCursorTool.Style

TCursorTool.Style
TCursorTool

property Style: TCursorToolStyle;

Unit
TeeTools

Description
Default Value: cssBoth

The Style property defines which lines of the CursorTool are shown on top of the charts.

The different TCursorTool styles are:

cssHorizontal Shows a horizontal line on top of the charts
cssVertical Shows a verical line on top of the charts
cssBoth Shows a horizontal and vertical line on top of the charts


TCursorTool.UseChartRect

TCursorTool.UseChartRect
TCursorTool

property UseChartRect: Boolean;

Unit
TeeTools

Description
This property determines if the Cursor will use the whole chart rectangle to display, or just the rectangle occupied by the associated Series vertical and horizontal axes.

When UseChartRect is False (the default), the Cursor will display using the starting and ending positions, in pixels, of the axes that correspond to the Cursor Series property.

When UseChartRect is True, the Cursor will be displayed across the total width and height of the Chart "ChartRect" rectangle dimensions.


TCursorTool.UseSeriesZ

TCursorTool.UseSeriesZ
TCursorTool

property UseSeriesZ: Boolean;

Unit
TeeTools

Description
Gets or sets if the cursor will be displayed at the chart front position (the default) , or it will use the Series "Z" position.

Setting UseSeriesZ to True enables drawing cursors "inside" the Chart when it's displayed in 3D.


TCursorTool.VertSize

TCursorTool.VertSize
TCursorTool

property VertSize: Integer;

Unit
TeeTools

Description
Vertical size of Cursortool (full height if 0).


TCursorTool.XValue

TCursorTool.XValue
TCursorTool

property XValue: Double;

Unit
TeeTools

Description
The XValue property corresponds to the horizontal "X" position in Axis scales of the current cursor position.

You can use XValue to modify the cursor position at runtime:

ChartTool1.XValue := 1000 ;

See also:

YValue property


TCursorTool.YValue

TCursorTool.YValue
TCursorTool

property YValue: Double;

Unit
TeeTools

Description
The YValue property corresponds to the vertical "Y" position in Axis scales of the current cursor position.

You can use YValue to modify the cursor position at runtime:

ChartTool1.YValue := 1000 ;

See also:

XValue property


TCurveFittingFunction.0events

TCurveFittingFunction events
TCurveFittingFunction Legend key

Unit
CurvFitt

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCurveFittingFunction.0methods

TCurveFittingFunction methods
TCurveFittingFunction Legend key

Unit
CurvFitt

Derived from TCustomFittingFunction
GetCurveYValue

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCurveFittingFunction.0properties

TCurveFittingFunction properties
TCurveFittingFunction Legend key

Unit
CurvFitt

Derived from TCustomFittingFunction
AnswerVector
FirstCalcPoint
FirstPoint
LastCalcPoint
LastPoint
PolyDegree
TypeFitting

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCurveFittingFunction.Hierarchy

Unit
CurvFitt

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomFittingFunction
|
TCurveFittingFunction

Classes derived from TCurveFittingFunction
(none)


TCustom2DPolarSeries.0events

TCustom2DPolarSeries events
TCustom2DPolarSeries Legend key

Unit
TeeRose

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom2DPolarSeries.0methods

TCustom2DPolarSeries methods
TCustom2DPolarSeries Legend key

Unit
TeeRose

Derived from TCustomPolarSeries
CalcXPos
CalcYPos
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustom2DPolarSeries.0properties

TCustom2DPolarSeries properties
TCustom2DPolarSeries Legend key

Unit
TeeRose

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom2DPolarSeries.Hierarchy

Unit
TeeRose

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TCustom2DPolarSeries

Classes derived from TCustom2DPolarSeries
TClockSeries
TWindRoseSeries


TCustom3DGridSeries.0events

TCustom3DGridSeries events
TCustom3DGridSeries Legend key

Unit
TeeSurfa

In TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom3DGridSeries.0methods

TCustom3DGridSeries methods
TCustom3DGridSeries Legend key

Unit
TeeSurfa

In TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustom3DGridSeries.0properties

TCustom3DGridSeries properties
TCustom3DGridSeries Legend key

Unit
TeeSurfa

In TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom3DGridSeries.Clear

TCustom3DGridSeries.Clear
TCustom3DGridSeries

procedure Clear; override;

Unit
TeeSurfa

Description
This method deletes all Series values. Dependent Series are notified. If no new points are appended to the Series, nothing will be painted.


TCustom3DGridSeries.CreateValues

TCustom3DGridSeries.CreateValues
TCustom3DGridSeries

procedure CreateValues(NumX, NumZ: Integer); virtual;

Unit
TeeSurfa

Description
The CreateValues method makes a Surface grid of NumX by NumZ dimensions. For each grid point, the OnGetYValue event is called to allow the user to supply the corresponding Y value.


TCustom3DGridSeries.FillGridIndex

TCustom3DGridSeries.FillGridIndex
TCustom3DGridSeries

procedure FillGridIndex; overload;

Unit
TeeSurfa

Description
Internal use.
This method is called by the Series to create an internal grid template upon which to base the Surface or Contour plots.

If you pass exact grid X and Z values to the Series (ie, correlative integer numbers starting from zero), the FillGridIndex method will do nothing.

If the X and Z values are floating point, or they aren't ordered, the FillGridIndex method will construct a grid and sort the X and Z coordinates.

The resulting grid will be then used as an index for every point to display.

If you have XYZ values that cannot be fitted on a square grid, you can use the TriSurface Series.


TCustom3DGridSeries.GetXZValue

TCustom3DGridSeries.GetXZValue
TCustom3DGridSeries

function GetXZValue(X, Z: Integer): TChartValue; virtual;

Unit
TeeSurfa

Description
The GetXZValue function returns the corresponding Y value for a given X and Z coordinates.
It calls the OnGetYValue event and returns the calculated value.
It returns zero if OnGetYValue is not assigned.


TCustom3DGridSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries

Classes derived from TCustom3DGridSeries
TColorGridSeries
TContourSeries
TSurfaceSeries
TTowerSeries


TCustom3DGridSeries.IrregularGrid

TCustom3DGridSeries.IrregularGrid
TCustom3DGridSeries

property IrregularGrid: Boolean;

Unit
TeeSurfa

Description
LongDesc
Use IrregularGrid property to determine if X and Z values are equi-distant or not.


TCustom3DGridSeries.IsValidSeriesSource

TCustom3DGridSeries.IsValidSeriesSource
TCustom3DGridSeries

function IsValidSeriesSource(Value: TChartSeries): Boolean; override;

Unit
TeeSurfa

Description
The IsValidSeriesSource function checks if the Value series parameter is a valid candidate series point provider.

When TChartSeries.DataSource property is assigned to another Series, all points inserted in that Series are automatically propagated to all other associated Series.

This function is used for example in TRSIFunction component.
This special Series type allows only one specific Series type as DataSource: a TOHLCSeries or TCandleSeries.

On a 3D series, this function returns True if the Value parameter is also a 3D series (ie: a Series with XYZ values).

All other Series components will return True.


TCustom3DGridSeries.NumSampleValues

TCustom3DGridSeries.NumSampleValues
TCustom3DGridSeries

function NumSampleValues: Integer; override;

Unit
TeeSurfa

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TCustom3DGridSeries.NumXValues

TCustom3DGridSeries.NumXValues
TCustom3DGridSeries

property NumXValues: Integer;

Unit
TeeSurfa

Description
Default 20

The NumXValues property indicates the Surface's horizontal size in number of points. A Surface is a grid of NumXValues x NumZValues dimensions. You should use the OnGetYValue event to supply the corresponding vertical value for a given pair of "X,Z" coordinates. Changing NumXValues forces the Surface to recreate all values.


TCustom3DGridSeries.NumZValues

TCustom3DGridSeries.NumZValues
TCustom3DGridSeries

property NumZValues: Integer;

Unit
TeeSurfa

Description
Default 20

The NumZValues property indicates the Surface's depth size in number of points. A Surface is a grid of NumXValues x NumZValues dimensions. You should use the OnGetYValue event to supply the corresponding vertical value for a given pair of "X,Z" coordinates. Changing NumZValues forces the Surface to recreate all values.


TCustom3DGridSeries.OnGetYValue

TCustom3DGridSeries.OnGetYValue
TCustom3DGridSeries

property OnGetYValue: TChartSurfaceGetY;

Unit
TeeSurfa

Description
The OnGetYValue event occurs when the Surface Series needs to recreate the grid of values. Calling the ReCreateValues method forces Surface Series to be created again. You should return the corresponding Y value for a given X and Z values. Usually you will place a formula or algorithm that calculates its value based on X and Z parameters.


TCustom3DGridSeries.ReCreateValues

TCustom3DGridSeries.ReCreateValues
TCustom3DGridSeries

procedure ReCreateValues;

Unit
TeeSurfa

Description
This method forces Surface Series to delete all points and create them again using the OnGetYValue event. The CreateValues method is called using the current X and Z grid dimensions.

Procedure TSurfaceSeries.ReCreateValues;
Begin
CreateValues(NumXValues,NumZValues);
end;


TCustom3DGridSeries.Value

TCustom3DGridSeries.Value
TCustom3DGridSeries

property Value[X, Z: Integer]: TChartValue;

Unit
TeeSurfa

Description
A two dimension array property to easy access series cell values.

Series1.Value[ 12, 10 ]:= 456.78 ; // <-- 12th row, 10th column

The series will internally add the appropiate values using AddXYZ method when using this array property.


TCustom3DPaletteSeries.0events

TCustom3DPaletteSeries events
TCustom3DPaletteSeries Legend key

Unit
TeeSurfa

In TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom3DPaletteSeries.0methods

TCustom3DPaletteSeries methods
TCustom3DPaletteSeries Legend key

Unit
TeeSurfa

In TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustom3DPaletteSeries.0properties

TCustom3DPaletteSeries properties
TCustom3DPaletteSeries Legend key

Unit
TeeSurfa

In TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom3DPaletteSeries.AddPalette

TCustom3DPaletteSeries.AddPalette
TCustom3DPaletteSeries

function AddPalette(Const AValue: TChartValue; AColor: TColor): Integer; overload;

Unit
TeeSurfa

Description
This method adds a new color Palette entry to the end of Palette list. Add returns the position of the entry in the Palette list. The Color parameter will be used to fill polygons with Y values up to the Value parameter. Custom color palettes can be created using this method. The UsePalette property should be True to use the palette entries.


TCustom3DPaletteSeries.Clear

TCustom3DPaletteSeries.Clear
TCustom3DPaletteSeries

procedure Clear; override;

Unit
TeeSurfa

Description
This method deletes all Series values. Dependent Series are notified. If no new points are appended to the Series, nothing will be painted.


TCustom3DPaletteSeries.ClearPalette

TCustom3DPaletteSeries.ClearPalette
TCustom3DPaletteSeries

procedure ClearPalette;

Unit
TeeSurfa

Description
The ClearPalette method deletes all Palette information. Usually you should call AddPalette after calling ClearPalette.


TCustom3DPaletteSeries.CountLegendItems

TCustom3DPaletteSeries.CountLegendItems
TCustom3DPaletteSeries

function CountLegendItems: Integer; override;

Unit
TeeSurfa

Description
Number of items in Legend.


TCustom3DPaletteSeries.CreateDefaultPalette

TCustom3DPaletteSeries.CreateDefaultPalette
TCustom3DPaletteSeries

procedure CreateDefaultPalette(NumSteps: Integer);

Unit
TeeSurfa

Description
The CreateDefaultPalette creates a multi-color Palette used to fill Surface polygons.
The NumSteps parameter defines the number of different colors in the Palette.

The PaletteStyle property determines which group of colors to use to create the Palette.


TCustom3DPaletteSeries.CreateRangePalette

TCustom3DPaletteSeries.CreateRangePalette
TCustom3DPaletteSeries

procedure CreateRangePalette;

Unit
TeeSurfa

Description
The CreateRangePalette creates a multi-color Palette used to fill Surface polygons.
It uses the PaletteSteps property value to define the number of different colors in the Palette.
Colors are obtained using the StartColor, MidColor and EndColor properties.


TCustom3DPaletteSeries.EndColor

TCustom3DPaletteSeries.EndColor
TCustom3DPaletteSeries

property EndColor: TColor;

Unit
TeeSurfa

Description
Default: clWhite

The EndColor property determines the last Range palette color. When UseColorRange property is True, SurfaceSeries create a color palette using StartColor and EndColor properties.


TCustom3DPaletteSeries.GetSurfacePaletteColor

TCustom3DPaletteSeries.GetSurfacePaletteColor
TCustom3DPaletteSeries

function GetSurfacePaletteColor(Const Y: TChartValue): TColor;

Unit
TeeSurfa

Description
The GetSurfacePaletteColor function returns the color that corresponds to a given Y value.

The Palette is used to lookup the color intervals.

This function can be used to draw Surface color legends.


TCustom3DPaletteSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries

Classes derived from TCustom3DPaletteSeries
TCustom3DGridSeries
TCustomTriSurfaceSeries
TMapSeries
TTagCloudSeries
TTernarySeries
TVector3DSeries


TCustom3DPaletteSeries.InvertPalette

TCustom3DPaletteSeries.InvertPalette
TCustom3DPaletteSeries

procedure InvertPalette;

Unit
TeeSurfa

Description
Reverses the order of the colours in the palette.


TCustom3DPaletteSeries.LegendEvery

TCustom3DPaletteSeries.LegendEvery
TCustom3DPaletteSeries

property LegendEvery: Integer;

Unit
TeeSurfa

Description
Default value: 1

Defines the gap between each palette color to show at legend.
By default all possible palette colors are displayed into legend, up to maximum legend size.

Setting LegendEvery to 2, will output every 2 palette colors to legend.


TCustom3DPaletteSeries.LegendItemColor

TCustom3DPaletteSeries.LegendItemColor
TCustom3DPaletteSeries

function LegendItemColor(LegendIndex: Integer): TColor; override;

Unit
TeeSurfa

Description
Returns the color that corresponds to the index parameter.
The index refers to the item position of the Chart Legend.


TCustom3DPaletteSeries.LegendString

TCustom3DPaletteSeries.LegendString
TCustom3DPaletteSeries

function LegendString(LegendIndex: Integer; LegendTextStyle: TLegendTextStyle): String; override;

Unit
TeeSurfa

Description
Returns the formatted Legend string according to LegendTextStyle for the LegendIndexth point.


TCustom3DPaletteSeries.LoadPaletteFromFile

TCustom3DPaletteSeries.LoadPaletteFromFile
TCustom3DPaletteSeries

procedure LoadPaletteFromFile(Const FileName: String);

Unit
TeeSurfa

Description
Loads a custom palette from the given FileName file parameter.


TCustom3DPaletteSeries.MidColor

TCustom3DPaletteSeries.MidColor
TCustom3DPaletteSeries

property MidColor: TColor;

Unit
TeeSurfa

Description
The MidColor specifies one of the colors to use to calculate each Surface's cell color.

The other two colors used are StartColor and EndColor.

When MidColor is equal to "clNone" (the default), only the StartColor and EndColor colors are used.

This applies only when the Series UsePalette property is True.


TCustom3DPaletteSeries.OnGetColor

TCustom3DPaletteSeries.OnGetColor
TCustom3DPaletteSeries

property OnGetColor: TChartSurfaceGetColor;

Unit
TeeSurfa

Description
The OnGetColor event occurs each time a Surface's polygon is displayed. Using this event, specific colors can be assigned to individual Surface polygons. Using this event can be time consuming.


TCustom3DPaletteSeries.Palette

TCustom3DPaletteSeries.Palette
TCustom3DPaletteSeries

property Palette: TCustom3DPalette;

Unit
TeeSurfa

Description
Run-time only. The Palette property is a standard TList object that stores the color palette used to fill the Surface polygons. This Palette list will be only used when UsePalette is True.

It stores the following object:

TSurfacePalette = Object
UpToValue : Double;
Color : TColor;
end;


TCustom3DPaletteSeries.PaletteMin

TCustom3DPaletteSeries.PaletteMin
TCustom3DPaletteSeries

property PaletteMin: Double;

Unit
TeeSurfa

Description
The starting value used to calculate the color palette.
Used only when UsePaletteMin property is True.

By default, the palette is made starting at series minimum Y value.


TCustom3DPaletteSeries.PaletteStep

TCustom3DPaletteSeries.PaletteStep
TCustom3DPaletteSeries

property PaletteStep: Double;

Unit
TeeSurfa

Description
The interval amount between palette colors.

See PaletteMin, UsePaletteMin and PaletteSteps properties.


TCustom3DPaletteSeries.PaletteSteps

TCustom3DPaletteSeries.PaletteSteps
TCustom3DPaletteSeries

property PaletteSteps: Integer;

Unit
TeeSurfa

Description
The PaletteSteps property indicates the number of entries in the default color Palette. With more steps, more different colors will be used to fill the Surface polygons. Setting this property forces the 3D Series (eg. TSurfaceSeries) to recreate the default color palette.


TCustom3DPaletteSeries.PaletteStyle

TCustom3DPaletteSeries.PaletteStyle
TCustom3DPaletteSeries

property PaletteStyle: TTeePaletteStyle;

Unit
TeeSurfa

Description
Default 32

The PaletteSteps property indicates the number of entries in the default color Palette. As more steps, more different colors will be used to fill the Surface polygons. Setting this property forces TSurfaceSeries to recreate the default color palette.


TCustom3DPaletteSeries.SavePaletteToFile

TCustom3DPaletteSeries.SavePaletteToFile
TCustom3DPaletteSeries

procedure SavePaletteToFile(Const FileName: String);

Unit
TeeSurfa

Description
Save Custom Palette to File - Enter file path/name as string.


TCustom3DPaletteSeries.StartColor

TCustom3DPaletteSeries.StartColor
TCustom3DPaletteSeries

property StartColor: TColor;

Unit
TeeSurfa

Description
Default clNavy

The StartColor property defines one of the two colors used to create the palette to fill the Surface polygons. The UseColorRange property should be True.


TCustom3DPaletteSeries.UseColorRange

TCustom3DPaletteSeries.UseColorRange
TCustom3DPaletteSeries

property UseColorRange: Boolean;

Unit
TeeSurfa

Description
Default True

When True, the UseColorRange property indicates that Surface polygons will be filled with a gradient color palette. The Palette is defined with two colors: StartColor and EndColor. When both UseColorRange and UsePalette are False, all Surface polygons are filled with Surface's SeriesColor color.


TCustom3DPaletteSeries.UsePalette

TCustom3DPaletteSeries.UsePalette
TCustom3DPaletteSeries

property UsePalette: Boolean;

Unit
TeeSurfa

Description
Default False

The UsePalette property indicates that Surface polygons will be filled with a multi-color palette. The PaletteSteps property determines the number of entries in the palette. The RedFactor, GreenFactor and BlueFactor properties define the color proportion when creating the palette. The formula used to build colors is:

Procedure TSurfaceSeries.CreateDefaultPalette(NumSteps:Longint);
Const Delta=127.0;
var t:Longint;
tmp,Scale,ScaleValue:Double;
Begin
ClearPalette;
FPalette.Capacity:=NumSteps+1;
Scale:=pi/NumSteps;
ScaleValue:=(YValues.MaxValue-YValues.MinValue)/NumSteps;

for t:=1 to NumSteps do
begin
tmp:=Scale*t;
AddPalette(YValues.MinValue+ScaleValue*t, RGB( Trunc(Delta * (Sin(tmp/RedFactor)+1)) , Trunc(Delta * (Sin(tmp/GreenFactor)+1)), Trunc(Delta * (Cos(tmp/BlueFactor)+1))));
end;

end;


TCustom3DPaletteSeries.UsePaletteMin

TCustom3DPaletteSeries.UsePaletteMin
TCustom3DPaletteSeries

property UsePaletteMin: Boolean;

Unit
TeeSurfa

Description
Default : False

Set to True to force the color palette to start at PaletteMin property value.

When this property is False (the default), the color palette is calculated starting at the lowest Series YValues.

Series1.UsePalette := True ;
Series1.UseColorRange := False ;
Series1.UsePaletteMin := True;
Series1.PaletteMin := 1000 ;


TCustom3DSeries.0events

TCustom3DSeries events
TCustom3DSeries Legend key

Unit
TeeSurfa

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom3DSeries.0methods

TCustom3DSeries methods
TCustom3DSeries Legend key

Unit
TeeSurfa

In TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustom3DSeries.0properties

TCustom3DSeries properties
TCustom3DSeries Legend key

Unit
TeeSurfa

In TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustom3DSeries.AddArray

TCustom3DSeries.AddArray
TCustom3DSeries

procedure AddArray(Const Values: TArrayGrid); overload;

Unit
TeeSurfa

Description
Calls the AddXYZ method for each value in the "Values" parameter.


TCustom3DSeries.AddXYZ

TCustom3DSeries.AddXYZ
TCustom3DSeries

function AddXYZ(Const AX, AY, AZ: TChartValue): Integer; overload;

Unit
TeeSurfa

Description
Used by TSurfaceSeries, TPoint3DSeries and TContourSeries components.

The AddXYZ method adds a new point to the Surface Series.
You can also use the Surface OnGetYValue event to supply Y values for a given pair of X,Z values.
Specific colors can be assigned to each Surface polygon by using the AColor parameter.

The AX, AY and AZ parameters can be integer or floating point values.


TCustom3DSeries.AssociatedToAxis

TCustom3DSeries.AssociatedToAxis
TCustom3DSeries

function AssociatedToAxis(Axis: TChartAxis): Boolean; override;

Unit
TeeSurfa

Description
Returns True when the Axis parameter is either the horizontal, vertical or depth axis that this series is using.


TCustom3DSeries.CalcZPos

TCustom3DSeries.CalcZPos
TCustom3DSeries

function CalcZPos(ValueIndex: Integer): Integer;

Unit
TeeSurfa

Description
Returns the pixel integer value of the Z position of the ValueIndex'th point.
It uses the Chart's Width3D and Height3D displacement to set the offset of the return value.
This works correctly with all TeeChart 3D modes, orthogonal, native 3D and OpenGL.

Example:

{ Instructions:

1) Add a Surface series to an empty Chart.
2) Add a ScrollBar control to the form.
3) Use the ScrollBar OnChange and the Chart OnAfterDraw events
and paste the code below:

At run-time, move the scrollbar.
}

procedure TForm1.FormCreate(Sender: TObject);
begin
Series1.FillSampleValues(10);
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
Chart1.Repaint;
end;

procedure TForm1.Chart1AfterDraw(Sender: TObject);
var tmp:Integer;
begin
tmp:=Series1.CalcZPos( ScrollBar1.Position );

Chart1.Canvas.MoveTo3D( Chart1.BottomAxis.IEndPos, Chart1.ChartRect.Bottom, tmp);
Chart1.Canvas.LineTo3D( Chart1.BottomAxis.IEndPos, Chart1.ChartRect.Top, tmp);
end;


TCustom3DSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries

Classes derived from TCustom3DSeries
TCustom3DPaletteSeries
TPoint3DSeries


TCustom3DSeries.IsValidSourceOf

TCustom3DSeries.IsValidSourceOf
TCustom3DSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
TeeSurfa

Description
The IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.

A valid source of a 3D series must be another 3D series (one with XYZ values).


TCustom3DSeries.MaxZValue

TCustom3DSeries.MaxZValue
TCustom3DSeries

function MaxZValue: Double; override;

Unit
TeeSurfa

Description
Returns the biggest value in the Series ZValues array.


TCustom3DSeries.MinZValue

TCustom3DSeries.MinZValue
TCustom3DSeries

function MinZValue: Double; override;

Unit
TeeSurfa

Description
Returns the lowest value in the Series ZValues array.


TCustom3DSeries.TimesZOrder

TCustom3DSeries.TimesZOrder
TCustom3DSeries

property TimesZOrder: Integer;

Unit
TeeSurfa

Description
Default 3

The TimesZOrder property defines how big the Z axis (the depth axis) will be respective Surface's (or Point3D and Contour Series) width and height. By default, the Surface depth will be 3 times the LineSeries depth.


TCustom3DSeries.ZValue

TCustom3DSeries.ZValue
TCustom3DSeries

property ZValue[Index: Integer]: TChartValue;

Unit
TeeSurfa

Description
Run-time only.

Used by TSurfaceSeries, TPoint3DSeries and TContourSeries components.

The ZValue array property lets you access a specific Surface's point Z value. Z values are kept in the ZValues list property. You can access Z values using the Index parameter.


TCustom3DSeries.ZValues

TCustom3DSeries.ZValues
TCustom3DSeries

property ZValues: TChartValueList;

Unit
TeeSurfa

Description
Used by TSurfaceSeries, TPoint3DSeries and TContourSeries components.

The ZValues property contains the Surface points Z values. ZValues is a standard TChartValueList object. You should use the ZValue property to change Z values.


TCustomAxisPanel.0events

TCustomAxisPanel events
TCustomAxisPanel Legend key

Unit
TeEngine

In TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomAxisPanel.0methods

TCustomAxisPanel methods
TCustomAxisPanel Legend key

Unit
TeEngine

In TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CheckDatasource
CountActiveSeries
ExchangeSeries
FormattedValueLegend
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
IsFreeSeriesColor
IsValidDataSource
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage
UndoZoom

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomAxisPanel.0properties

TCustomAxisPanel properties
TCustomAxisPanel Legend key

Unit
TeEngine

In TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomAxisPanel.ActiveSeriesLegend

TCustomAxisPanel.ActiveSeriesLegend
TCustomAxisPanel

function ActiveSeriesLegend(ItemIndex: Integer): TChartSeries;

Unit
TeEngine

Description
The ActiveSeriesLegend function returns the nth Active Series.

If all Series are Active, calling then the above function is the same as using the Chart1.Series property.


TCustomAxisPanel.AddSeries

TCustomAxisPanel.AddSeries
TCustomAxisPanel

function AddSeries(Const ASeries: TChartSeries): TChartSeries; overload;

Unit
TeEngine

Description
The AddSeries method adds a new Series component to the Chart.
It's exactly the same as setting the Series.ParentChart property to the Chart.

LineSeries1.ParentChart := Chart1;

You should use the ParentChart property if you add the Series at runtime.


TCustomAxisPanel.Animations

TCustomAxisPanel.Animations
TCustomAxisPanel

property Animations: TChartAnimations;

Unit
TeEngine

Description
Gets or Sets a list of TAnimation objects.


TCustomAxisPanel.Axes

TCustomAxisPanel.Axes
TCustomAxisPanel

property Axes: TChartAxes;

Unit
TeEngine

Description
List of TChart Axes. Alternative to AxesList.


TCustomAxisPanel.AxesList

TCustomAxisPanel.AxesList
TCustomAxisPanel

property AxesList: TChartAxes;

Unit
TeEngine

Description
List of TChart Axes. Alternative to Axes property.


TCustomAxisPanel.AxisBehind

TCustomAxisPanel.AxisBehind
TCustomAxisPanel

property AxisBehind: Boolean;

Unit
TeEngine

Description
Default is True.
When True, Axes are displayed behind series.


TCustomAxisPanel.AxisVisible

TCustomAxisPanel.AxisVisible
TCustomAxisPanel

property AxisVisible: Boolean;

Unit
TeEngine

Description
Enable/disable visibility of all axes. Overrides individual Axis Visible property.


TCustomAxisPanel.BottomAxis

TCustomAxisPanel.BottomAxis
TCustomAxisPanel

property BottomAxis: TChartAxis;

Unit
TeEngine

Description
The BottomAxis property is one of the two default horizontal chart axes. BottomAxis has many formatting properties and maintains the correct scales for Series X values. Each Series can be associated either to BottomAxis or TopAxis (or to a Custom Axis). Charts can have some Series associated to BottomAxis and some to TopAxis or associated with Both. Use the Minimum and Maximum properties to specify the scale and Increment property to control separation between axis labels. Axis Labels and scales can optionally be DateTime values.

This is accomplished by setting MySeries1.XValues.DateTime := True.

Please refer to TChartAxis help for a complete explanation of properties.


TCustomAxisPanel.CalcSize3DWalls

TCustomAxisPanel.CalcSize3DWalls
TCustomAxisPanel

procedure CalcSize3DWalls;

Unit
TeEngine

Description
The CalcSize3dWalls method calculates the amount of pixels of Chart Left Wall width and Bottom Wall height. The TChart.View3D property must be True. This method is called internally before drawing the Chart walls and before all Series points are displayed.

This method modifies the following TChart properties:

Width3d

Height3d

SeriesWidth3d

SeriesHeight3d


TCustomAxisPanel.Chart3DPercent

TCustomAxisPanel.Chart3DPercent
TCustomAxisPanel

property Chart3DPercent: Integer;

Unit
TeEngine

Description
Default value: 15

The Chart3DPercent property indicates the size ratio between Chart dimensions and Chart depth when Chart.View3D is True. You can specify a percent number from 1 to 100.

See the different Chart 3D modes for more information on 3D display.


TCustomAxisPanel.CheckDatasource

TCustomAxisPanel.CheckDatasource
TCustomAxisPanel

procedure CheckDatasource(ASeries: TChartSeries); virtual;

Unit
TeEngine

Description
Check the datasource of ASeries thus refreshing Chart data.

The CheckDataSource method will refresh all Series point values, either from database Tables, Queries or another Series points. You can call this method (or TChartSeries.CheckDatasource) regularly if you want new or modified data to appear in realtime in the Series. The parent Chart will be repainted to reflect any changes.


TCustomAxisPanel.ClipPoints

TCustomAxisPanel.ClipPoints
TCustomAxisPanel

property ClipPoints: Boolean;

Unit
TeEngine

Description
ClipPoints boolean property toggles the drawing of Series points within Chart boundaries, preventing other Chart regions from being overwritten.


TCustomAxisPanel.CountActiveSeries

TCustomAxisPanel.CountActiveSeries
TCustomAxisPanel

function CountActiveSeries: Integer;

Unit
TeEngine

Description
Count of Series in Chart that have their Active property set to True.


TCustomAxisPanel.CustomAxes

TCustomAxisPanel.CustomAxes
TCustomAxisPanel

property CustomAxes: TChartCustomAxes;

Unit
TeEngine

Description
This property returns the TChartCustomAxes list.
You may add, access and modify any Custom Axis via the list.
Alternatively you may bypass use of the list and work with the Custom axes directly as per any TChartAxis (Custom Axes are standard TChartAxis components).

See differing approaches below.

Example of use TChartCustomAxes:

procedure TForm1.FormCreate(Sender: TObject);
begin
// Populate 2 Series in your Chart
Series1.FillSampleValues(10);
Series2.FillSampleValues(10);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
tmpVertAxis: TChartAxis;
tmpHorizAxis: TChartAxis;
begin
// Add vertical Axis
Chart1.CustomAxes.Add;
tmpVertAxis:=Chart1.CustomAxes[0];
tmpVertAxis.PositionPercent:=50;
Series1.CustomVertAxis:=tmpVertAxis;

// Add horizontal Axis
Chart1.CustomAxes.Add;
tmpHorizAxis:=Chart1.CustomAxes[1];

tmpHorizAxis.Horizontal:=True;
tmpHorizAxis.Axis.Color:=clGreen;
tmpHorizAxis.PositionPercent:=50;
Series1.CustomHorizAxis:=tmpHorizAxis;
end;

Example approach using TChartAxis.Create:

procedure TForm1.BitBtn2Click(Sender: TObject);
Var MyAxis : TChartAxis ;
begin
MyAxis := TChartAxis.Create( Chart1 );
Series2.CustomVertAxis := MyAxis;

// You can modify any property of the new created axes, such as the axis color or axis title

With MyAxis do
begin
Axis.Color:=clGreen ;
Title.Caption := 'Extra axis' ;
Title.Font.Style:=[fsBold];
Title.Angle := 90;
PositionPercent := 20; //percentage of Chart rectangle
end;
end;


TCustomAxisPanel.CustomWidth3D

TCustomAxisPanel.CustomWidth3D
TCustomAxisPanel

property CustomWidth3D: Boolean;

Unit
TeEngine

Description
If is set to True the value assigned to SeriesWidth3D will be used.


TCustomAxisPanel.DepthAxis

TCustomAxisPanel.DepthAxis
TCustomAxisPanel

property DepthAxis: TChartDepthAxis;

Unit
TeEngine

Description
Access characteristics of the Depth (Z plane) Axis that is located at the bottom-right edge of the chart.
DepthAxis is hidden by default ( Visible property is False by default).


TCustomAxisPanel.DepthTopAxis

TCustomAxisPanel.DepthTopAxis
TCustomAxisPanel

property DepthTopAxis: TChartDepthAxis;

Unit
TeEngine

Description
Access characteristics of the Depth (Z plane) Axis that is located at the top-left edge of the chart.
DepthTopAxis is hidden by default ( Visible property is False by default).


TCustomAxisPanel.ExchangeSeries

TCustomAxisPanel.ExchangeSeries
TCustomAxisPanel

procedure ExchangeSeries(a, b: Integer); overload;

Unit
TeEngine

Description
This method changes the Series order, swapping one Series Z position with

another. The Chart repaints to reflect the new Series order.

It accesses TChart.SeriesList property.


TCustomAxisPanel.FormattedValueLegend

TCustomAxisPanel.FormattedValueLegend
TCustomAxisPanel

function FormattedValueLegend(ASeries: TChartSeries; ValueIndex: Integer): String; virtual;

Unit
TeEngine

Description
The FormattedValueLegend function returns the string representation of a Series Point value just as it would appear in Chart.Legend.

The ValueIndex parameter is the point index.

The Legend.TextStyle property and all other TChartLegend properties are used to create the resulting string.


TCustomAxisPanel.FreeAllSeries

TCustomAxisPanel.FreeAllSeries
TCustomAxisPanel

procedure FreeAllSeries(SeriesClass: TChartSeriesClass);

Unit
TeEngine

Description
Frees all Series of Class SeriesClass. There are alternative methods to remove Series from a Chart (see also).


TCustomAxisPanel.GetAxisSeries

TCustomAxisPanel.GetAxisSeries
TCustomAxisPanel

function GetAxisSeries(Axis: TChartAxis): TChartSeries;

Unit
TeEngine

Description
This function returns the first Series that depends on the specified Axis. If no Series depend on Axis, the nil value is returned.

By default, each Series is assigned to depend on Left and Bottom Axis. You can set which Horizontal and Vertical axis or Custom axes will depend on each Series. By default, all axes are set to be Automatic. That means TeeChart will calculate the Maximum and Minimum values for each axis based on which Series are set to depend on it.
For example, if you want to mix both DateTime and NON-DateTime series in the same chart, you will need to assign a different axis to the series :

Example:

Series1.XValues.DateTime := True ;
Series1.HorizAxis := aBottomAxis ;
Series2.XValues.DateTime := False ;
Series2.HorizAxis := aTopAxis ;

This will scale the X Series values accordingly.

You can also do the same for the vertical axis using the Series VertAxis property:

Series1.VertAxis := aLeftAxis ;
Series2.VertAxis := aRightAxis ;

You can control if Chart Axis will be scaled automatically or you can set the Axis Maximum, Minimum and Increment manually.

If you allow users to Zoom or Scroll the Chart, then the Axis will be scaled or scrolled.


TCustomAxisPanel.GetDefaultColor

TCustomAxisPanel.GetDefaultColor
TCustomAxisPanel

function GetDefaultColor(Index: Integer): TColor;

Unit
TeEngine

Description
Returns the index color from the Color Palette.


TCustomAxisPanel.GetFreeSeriesColor

TCustomAxisPanel.GetFreeSeriesColor
TCustomAxisPanel

function GetFreeSeriesColor(CheckBackground: Boolean; Series: TChartSeries): TColor;

Unit
TeEngine

Description
The GetFreeSeriesColor function returns a color from the default color palette not used by any Series. The CheckBackGround parameter controls if the returned color should or shouldn't be the Chart BackColor color. This function returns a Color which is not used by any Series in the Chart.


TCustomAxisPanel.GetMaxValuesCount

TCustomAxisPanel.GetMaxValuesCount
TCustomAxisPanel

function GetMaxValuesCount: Integer;

Unit
TeEngine

Description

This function returns the number of points of the Series with larger number of points.
Only Series that are Active (visible) are considered.

For example, if Series1 has 20 points, and Series2 has 50 points, and both are visible,
this function returns 50.

Example:

ShowMessage( IntToStr( Chart1.GetMaxValuesCount ) );


TCustomAxisPanel.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel

Classes derived from TCustomAxisPanel
TCustomChart


TCustomAxisPanel.IsFreeSeriesColor

TCustomAxisPanel.IsFreeSeriesColor
TCustomAxisPanel

function IsFreeSeriesColor(AColor: TColor; CheckBackground: Boolean; Series: TChartSeries): Boolean; virtual; abstract;

Unit
TeEngine

Description
The IsFreeSeriesColor returns whether the AColor parameter is used by any Series or not. The CheckBackGround parameter controls if AColor will be checked against the Chart.BackColor or not.


TCustomAxisPanel.IsValidDataSource

TCustomAxisPanel.IsValidDataSource
TCustomAxisPanel

function IsValidDataSource(ASeries: TChartSeries; AComponent: TComponent): Boolean; dynamic;

Unit
TeEngine

Description
The IsValidDataSource function determines if the AComponent parameter is a valid component to provide the point values for the ASeries component.

The TChart component accepts TChartSeries components as valid DataSources. The TDBChart component accepts TChartSeries and any TDataSet (TTable, TQuery, TClientDataset, etc) components as valid DataSources.

This function is used at design-time and run-time to control Series have valid point values sources.


TCustomAxisPanel.LeftAxis

TCustomAxisPanel.LeftAxis
TCustomAxisPanel

property LeftAxis: TChartAxis;

Unit
TeEngine

Description
Access characteristics of the Left Axis.

The LeftAxis property determines the Labels and formatting attributes of Left Chart side. It also controls where Series points will be placed.

Every TChart component has five default TChartAxis: Left, Top, Right, Bottom and Depth (Z). You may add as many Custom Axes as you require.

The LeftAxis is pre-defined to be:

Horizontal := False ;
OtherSide := False ;

Refer to TChartAxis help topic for a complete description.


TCustomAxisPanel.MaxMarkWidth

TCustomAxisPanel.MaxMarkWidth
TCustomAxisPanel

function MaxMarkWidth: Integer;

Unit
TeEngine

Description
This function returns the Maximum width of the Active Series Maximum Marks witdh. Series Marks must be Visible.

This function can be used to adjust the Chart Margins in order to accomodate the largest Series Mark.


TCustomAxisPanel.MaxPointsPerPage

TCustomAxisPanel.MaxPointsPerPage
TCustomAxisPanel

property MaxPointsPerPage: Integer;

Unit
TeEngine

Description
Default Value: 0

The MaxPointsPerPage property controls "TeeChart AutoPaging".

Setting it to a number greater than zero makes TeeChart to internally divide Series points in Pages.

You can then navigate across Chart pages by using the Chart.Page and Chart.NumPages properties.

For each Page, TeeChart will automatically calculate and display the corresponding Series points.

The last page can have less number of points than other pages. You can use the Chart.ScaleLastPage to control if last page will be "stretched" or not.


TCustomAxisPanel.MaxTextWidth

TCustomAxisPanel.MaxTextWidth
TCustomAxisPanel

function MaxTextWidth: Integer;

Unit
TeEngine

Description
This function returns the Maximum width of the Active Series Maximum XLabels width. That applies only to Series which have XLabels.


TCustomAxisPanel.MaxXValue

TCustomAxisPanel.MaxXValue
TCustomAxisPanel

function MaxXValue(AAxis: TChartAxis): Double;

Unit
TeEngine

Description
This function returns the calculated Maximum Horizontal value for the specified AAxis. AAxis can be TopAxis or BottomAxis or a Horizontal Custom Axis.

The calculation returns the value of the Maximum value of eligible Series X Values. Only Series with the HorizAxis equal to AAxis will be considered.

Example

Chart1.BottomAxis.Automatic := False ;
Chart1.BottomAxis.Maximum := Chart1.MaxXValue( Chart1.BottomAxis ) ;


TCustomAxisPanel.MaxYValue

TCustomAxisPanel.MaxYValue
TCustomAxisPanel

function MaxYValue(AAxis: TChartAxis): Double;

Unit
TeEngine

Description
This function returns the calculated Maximum Vertical value for the specified AAxis. AAxis can be LeftAxis or RightAxis.

The calculation returns the value of the Maximum value of eligible Series Y Values. Only Series with the VertAxis equal to AAxis will be considered.


TCustomAxisPanel.MaxZOrder

TCustomAxisPanel.MaxZOrder
TCustomAxisPanel

property MaxZOrder: Integer;

Unit
TeEngine

Description
Run-time and read only. The MaxZOrder property indicates the Chart depth in number of Series. When Chart.View3D is True, each Series has a Z order. The Series Z order defines the order along the Z axis when Series are displayed. The MaxZOrder property is the maximum Z order of all active Series. Some Series share a same Z order (stacked Bars, stacked Areas, etc).


TCustomAxisPanel.MinXValue

TCustomAxisPanel.MinXValue
TCustomAxisPanel

function MinXValue(AAxis: TChartAxis): Double;

Unit
TeEngine

Description
This function returns the calculated Minimum Horizontal value for the specified AAxis. AAxis can be TopAxis or BottomAxis or a Horizontal Custom Axis.

The calculation returns the value of the Minimum value of eligible Series X Values. Only Series with the HorizAxis equal to AAxis will be considered.


TCustomAxisPanel.MinYValue

TCustomAxisPanel.MinYValue
TCustomAxisPanel

function MinYValue(AAxis: TChartAxis): Double;

Unit
TeEngine

Description
This function returns the calculated Minimum Vertical value for the specified AAxis. AAxis can be LeftAxis or RightAxis.

The calculation returns the value of the Minimum value of eligible Series Y Values. Only Series with the VertAxis equal to AAxis will be considered.


TCustomAxisPanel.MultiLineTextWidth

TCustomAxisPanel.MultiLineTextWidth
TCustomAxisPanel

function MultiLineTextWidth(S: String; Out NumLines: Integer; Const TextFormat: TTextFormat): Integer;

Unit
TeEngine

Description
Returns width of longest line of text in S string.
The NumLines parameter returns the number of lines in S string.

Lines are separated by character #13, or the TeeLineSeparator constant:

var s : String;
s:='Hello'+TeeLineSeparator+'World!';


TCustomAxisPanel.NumPages

TCustomAxisPanel.NumPages
TCustomAxisPanel

function NumPages: Integer; dynamic;

Unit
TeEngine

Description
The NumPages function returns the number of Chart pages. The TChart.MaxPointsPerPage property must be greater than zero to activate auto paging.

The TChart.Page property determines the current visible page.

This code traverses all Chart pages:

var t : Integer;
for t := 1 to Chart1.NumPages do
Chart1.Page := t ;


TCustomAxisPanel.OnAddSeries

TCustomAxisPanel.OnAddSeries
TCustomAxisPanel

property OnAddSeries: TSeriesNotifyEvent;

Unit
TeEngine

Description
Triggered just after Series is added.


TCustomAxisPanel.OnBeforeDrawAxes

TCustomAxisPanel.OnBeforeDrawAxes
TCustomAxisPanel

property OnBeforeDrawAxes: TNotifyEvent;

Unit
TeEngine

Description
Triggered just before drawing all chart axes.


TCustomAxisPanel.OnBeforeDrawChart

TCustomAxisPanel.OnBeforeDrawChart
TCustomAxisPanel

property OnBeforeDrawChart: TNotifyEvent;

Unit
TeEngine

Description
Triggered before drawing all chart, and after drawing the chart background.


TCustomAxisPanel.OnBeforeDrawSeries

TCustomAxisPanel.OnBeforeDrawSeries
TCustomAxisPanel

property OnBeforeDrawSeries: TNotifyEvent;

Unit
TeEngine

Description
Triggered just before drawing all chart series, and after drawing chart axes (if axes are behind series).


TCustomAxisPanel.OnGetAxisLabel

TCustomAxisPanel.OnGetAxisLabel
TCustomAxisPanel

property OnGetAxisLabel: TAxisOnGetLabel;

Unit
TeEngine

Description
An Event is triggered for each Axis Label painted.
There are two different uses for OnGetAxisLabel:

1) Axis Labels are Values.
In this case, the Series parameter will be nil, and the ValueIndex will be -1.

2) Axis Labels are Series points.
The Series parameter will be a valid TChartSeries, and the ValueIndex will be the current Series point position.
You can change the LabelText referred parameter for drawing a different Axis Label.

Example :

procedure TForm1.Chart1GetAxisLabel(Sender: TChartAxis;
Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
begin
If Sender = Chart1.BottomAxis Then
Case StrToInt(FormatDateTime('mm', StrToDate(LabelText))) of
1,2,3 : LabelText := '1st Qtr';
4,5,6 : LabelText := '2nd Qtr';
end;
end;


TCustomAxisPanel.OnGetNextAxisLabel

TCustomAxisPanel.OnGetNextAxisLabel
TCustomAxisPanel

property OnGetNextAxisLabel: TAxisOnGetNextLabel;

Unit
TeEngine

Description
An OnGetNextAxisLabel event is used to define custom Axis Labels. Using this event you can customize Axis Labels positions and values.

This event gets called in a loop until you set the Stop parameter to False OR the LabelValue parameter is BIGGER than the Axis Maximum value.

The Stop parameter is True by default, meaning that if it's not set to False the first time this event gets called, TeeChart will draw the default Axis Labels.

The Sender parameter specifies the Axis subcomponent. It can be the Chart LeftAxis, RightAxis, TopAxis or BottomAxis axis components.

The LabelIndex parameter is an incremental counter for you to know which Label the event is asking for a value.

The LabelValue parameter must be filled with the desired Axis Label value.

You can use the TChart.OnGetAxisLabel event to override the default Axis Labels text with your preferred Axis Label string representation.

Example

procedure TAxisLabelsForm.Chart1GetNextAxisLabel(Sender: TChartAxis;
LabelIndex: Longint; var LabelValue: Double; var Stop: Boolean);
begin
if Sender=Chart1.LeftAxis then
Begin
{ In this example, we want the Vertical Left Axis to show
labels only for positive values, starting at zero and
with 250 label increment.
}
if LabelValue>=250 then LabelValue:=LabelValue+250
else LabelValue:=250;
End;

{ we want more labels !! }
Stop:=False;
end;


TCustomAxisPanel.OnPageChange

TCustomAxisPanel.OnPageChange
TCustomAxisPanel

property OnPageChange: TNotifyEvent;

Unit
TeEngine

Description
Triggered when the chart Page property is changed.


TCustomAxisPanel.OnRemoveSeries

TCustomAxisPanel.OnRemoveSeries
TCustomAxisPanel

property OnRemoveSeries: TSeriesNotifyEvent;

Unit
TeEngine

Description
Triggered just after Series is removed.


TCustomAxisPanel.OnValidDataSource

TCustomAxisPanel.OnValidDataSource
TCustomAxisPanel

property OnValidDataSource: TValidDataSourceEvent;

Unit
TeEngine


TCustomAxisPanel.Page

TCustomAxisPanel.Page
TCustomAxisPanel

property Page: Integer;

Unit
TeEngine

Description
Run-time only.

The Page property determines the current visible points of Series in a Chart with MaxPointsPerPage property greater than zero.

When TChart.MaxPointsPerPage property is greater than zero, TeeChart internally divides all Series points in "pages".

Each page is assigned a different initial and ending X coordinates.

The TChart.NumPages property returns the total number of pages. It equals to the total number of Series points divided the MaxPointsPerPage property.

The TChart.PreviousPage and TChart.NextPage methods decrement or increment the Page property respectively.


TCustomAxisPanel.Pages

TCustomAxisPanel.Pages
TCustomAxisPanel

property Pages: TChartPage;

Unit
TeEngine

Description
Accesses pagelist for a multipage Chart.


TCustomAxisPanel.PrintPages

TCustomAxisPanel.PrintPages
TCustomAxisPanel

procedure PrintPages(FromPage, ToPage: Integer);

Unit
TeEngine

Description

Use PrintPages procedure to print multiple pages, when a chart has more than one page.

Prints pages in range FromPage->ToPage on a multipage Chart.


TCustomAxisPanel.RemoveSeries

TCustomAxisPanel.RemoveSeries
TCustomAxisPanel

procedure RemoveSeries(ASeries: TCustomChartSeries); overload;

Unit
TeEngine

Description
The RemoveSeries method deletes (but not destroys) the specified ASeries parameter from the Chart list of series.

Calling this method is exactly the same as doing:

ASeries.ParentChart := nil ;


TCustomAxisPanel.RightAxis

TCustomAxisPanel.RightAxis
TCustomAxisPanel

property RightAxis: TChartAxis;

Unit
TeEngine

Description
The RightAxis property determines the Labels and formatting attributes of Right Chart side. It also controls where Series points will be placed.

Every TChart component has five TChartAxis: Left, Top, Right, Bottom and Depth (Z).

The RightAxis is pre-defined to be:

Horizontal := False ;
OtherSide := True ;

Refer to TChartAxis help topic for a complete description.


TCustomAxisPanel.ScaleLastPage

TCustomAxisPanel.ScaleLastPage
TCustomAxisPanel

property ScaleLastPage: Boolean;

Unit
TeEngine

Description
Default True

The ScaleLastPage property controls how will be the last Chart page displayed. It only has effect when TChart.MaxPointsPerPage property is greater than zero. When True, the last Chart page will have the same horizontal scaling than the other pages. When False, the last Chart page scaling will be adjusted based on the number of visible points on that last page.


TCustomAxisPanel.Series

TCustomAxisPanel.Series
TCustomAxisPanel

property Series[Index: Integer]: TChartSeries;

Unit
TeEngine

Description
The Series array property is the list of Series that the Chart component maintains and draws.

(Series can be Active or not).


TCustomAxisPanel.SeriesCount

TCustomAxisPanel.SeriesCount
TCustomAxisPanel

function SeriesCount: Integer;

Unit
TeEngine

Description
This is the number of Series (Active or not) a Chart has.


TCustomAxisPanel.SeriesGroups

TCustomAxisPanel.SeriesGroups
TCustomAxisPanel

property SeriesGroups: TSeriesGroups;

Unit
TeEngine

Description
List of Series groups.


TCustomAxisPanel.SeriesHeight3D

TCustomAxisPanel.SeriesHeight3D
TCustomAxisPanel

property SeriesHeight3D: Integer;

Unit
TeEngine

Description
Run-time and read only. The SeriesHeight3D property determines the default Series height when drawing in 3D mode. The Chart.View3D property should be True. SeriesHeight3D changes when resizing a Chart, when changing the number of visible Series or when changing the Chart3DPercent property.


TCustomAxisPanel.SeriesLegend

TCustomAxisPanel.SeriesLegend
TCustomAxisPanel

function SeriesLegend(ItemIndex: Integer; OnlyActive: Boolean): TChartSeries;

Unit
TeEngine

Description
The SeriesLegend function returns the ItemIndex string for Legend display.


TCustomAxisPanel.SeriesList

TCustomAxisPanel.SeriesList
TCustomAxisPanel

property SeriesList: TChartSeriesList;

Unit
TeEngine

Description
Run-time only. The SeriesList property is an array property that contains a list of pointers to all Series linked to a TChart component.

You DO NOT NEED to use this property to traverse all Series for specific processing:

for t:= 0 to Chart1.SeriesCount -1 do
with Chart1.Series[ t ] do
begin
SeriesColor := clRed ;
end;

You would NEED this property to, for example, change the Series ordering at run-time. This allows control of Series Z Order positioning:

Chart1.SeriesList[ 0 ] := MySeries2 ;
Chart1.SeriesList[ 1 ] := MySeries1 ;
Chart1.SeriesList[ 2 ] := MySeries3 ;

Warning: Never FREE or REMOVE SeriesList elements. Use the Series.Free to remove it or use the Series.Active property to disable it.


TCustomAxisPanel.SeriesTitleLegend

TCustomAxisPanel.SeriesTitleLegend
TCustomAxisPanel

function SeriesTitleLegend(SeriesIndex: Integer; OnlyActive: Boolean): String;

Unit
TeEngine

Description
The SeriesTitleLegend function returns the Series.Title string for Legend display.


TCustomAxisPanel.SeriesWidth3D

TCustomAxisPanel.SeriesWidth3D
TCustomAxisPanel

property SeriesWidth3D: Integer;

Unit
TeEngine

Description
Run-time and read only. The SeriesWidth3D property determines the default Series width when drawing in 3D mode. The Chart.View3D property should be True. SeriesWidth3D changes when resizing a Chart, when changing the number of visible Series or when changing the Chart3DPercent property.


TCustomAxisPanel.Tools

TCustomAxisPanel.Tools
TCustomAxisPanel

property Tools: TChartTools;

Unit
TeEngine

Description
Access the TChartTools list.

See: TeeTools unit.


TCustomAxisPanel.TopAxis

TCustomAxisPanel.TopAxis
TCustomAxisPanel

property TopAxis: TChartAxis;

Unit
TeEngine

Description
The TopAxis property determines the Labels and formatting attributes of Top Chart side. It also controls where Series points will be placed.

Every TChart component has five TChartAxis: Left, Top, Right, Bottom and Depth (Z).

The Top is pre-defined to be:

Horizontal := True ;
OtherSide := True ;

Refer to TChartAxis help topic for a complete description.


TCustomAxisPanel.View3DWalls

TCustomAxisPanel.View3DWalls
TCustomAxisPanel

property View3DWalls: Boolean;

Unit
TeEngine

Description
Default value: True

View3DWalls will draw Left and Bottom "walls" to simulate 3D effect. You can control the 3D Wall proportion by using Chart.Chart3DPercent property. Chart.View3D controls (on/off) View3DWalls property.


TCustomBarSeries.0events

TCustomBarSeries events
TCustomBarSeries Legend key

Unit
Series

In TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomBarSeries.0methods

TCustomBarSeries methods
TCustomBarSeries Legend key

Unit
Series

In TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcBarBounds
CalcFirstLastVisibleIndex
CalcMarkLength
Clicked
DrawBar
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomBarSeries.0properties

TCustomBarSeries properties
TCustomBarSeries Legend key

Unit
Series

In TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomBarSeries.AddBar

TCustomBarSeries.AddBar
TCustomBarSeries

function AddBar(Const AValue: Double; Const ALabel: String; AColor: TColor): Integer;

Unit
Series

Description
*Important The AddBar Method has been maintained only for this version of TeeChart to help those migrating from previous versions of TeeChart. The AddBar method calls the Add method. For those of you writing new code please use the Add method. The AddBar method will be removed in the next version of TeeChart.

The AddBar method appends a new Bar to the Series Points List. The Bar point is assigned the Value, Text and Color parameters. You can specify clTeeColor as Color parameter to draw it using a predefined color. The Text parameter is used to draw Axis Labels, Bar Marks and Legend. If you want to specify exact X coordinates, then you must use TChartSeries.AddXY method.


TCustomBarSeries.ApplyBarOffset

TCustomBarSeries.ApplyBarOffset
TCustomBarSeries

function ApplyBarOffset(Position: Integer): Integer;

Unit
Series

Description
The ApplyBarOffset function modifies and returns the Position parameter. BarSeries have an OffsetPercent property that makes all Bars to be displayed horizontally a specific amount of pixels based on Bar's width.

The Position parameter must be expressed in screen pixels.

The formula used is:

result:= Position + Round( OffsetPercent * BarWidth / 100.0 )

When OffsetPercent property is zero (the default), the Position parameter is returned unmodified.


TCustomBarSeries.AutoBarSize

TCustomBarSeries.AutoBarSize
TCustomBarSeries

property AutoBarSize: Boolean;

Unit
Series

Description
The AutoBarSize property determines if the Series Bar points calculate automatically their width (or height for an HorizBar series) based on the minimum and maximum bar values.

By default is False, meaning the Bar size is calculated using the number of Bar points instead of Bar values.


TCustomBarSeries.AutoMarkPosition

TCustomBarSeries.AutoMarkPosition
TCustomBarSeries

property AutoMarkPosition: Boolean;

Unit
Series

Description
Default: True

The AutoMarkPosition property controls if Marks on TBarSeries will be repositioned if there's the possibility of Mark overlapping. Marks are displaced to the top of the Bars to minimize the overlapping effect of Marks with long text or big font sizes.

When False, no checking is performed and all Marks are drawn at their Mark.ArrowLength

distance to the top of the Bar.


TCustomBarSeries.BarBounds

TCustomBarSeries.BarBounds
TCustomBarSeries

property BarBounds: TRect;

Unit
Series

Description
Run-time and read-only.

Returns the rectangle that defines the dimensions for a bar point being displayed.

This function returns an internal variable, that is calculated when the Bar Series DrawValue method is called during the series drawing process or when the developer manually calls the CalcBarBounds method to force BarBounds recalculation.


TCustomBarSeries.BarBrush

TCustomBarSeries.BarBrush
TCustomBarSeries

property BarBrush: TChartBrush;

Unit
Series

Description
The BarBrush property defines the Brush used to fill Bars. You can set the Brush Color and Brush Style properties. When BarBrush.Style is different than bsSolid, the SeriesColor color is the background bar color.


TCustomBarSeries.BarMargin

TCustomBarSeries.BarMargin
TCustomBarSeries

function BarMargin: Integer;

Unit
Series

Description
The BarMargin function returns the margin size in pixels. The SideMargins property controls if margins will be applied or not.


TCustomBarSeries.BarPen

TCustomBarSeries.BarPen
TCustomBarSeries

property BarPen: TChartPen;

Unit
Series

Description
The BarPen property indicates the kind of pen used to draw the Bar rectangles. You can set BarPen.Visible:=False to hide those lines.


TCustomBarSeries.BarRectangle

TCustomBarSeries.BarRectangle
TCustomBarSeries

procedure BarRectangle(BarColor: TColor; ALeft, ATop, ARight, ABottom: Integer; Rounded: Boolean); overload;

Unit
Series


TCustomBarSeries.BarRound

TCustomBarSeries.BarRound
TCustomBarSeries

property BarRound: TBarRound;

Unit
Series

Description
\ltrpar\sa\sl\slmultGets or Sets the BarRound Style.
Styles : None, AtValue, BothEnds

\ltrpar


TCustomBarSeries.BarStyle

TCustomBarSeries.BarStyle
TCustomBarSeries

property BarStyle: TBarStyle;

Unit
Series

Description
Default Value: bsRectangle

The BarStyle property defines the Bar shape used to draw Bars.

For available styles see the TBarStyle type.


TCustomBarSeries.BarWidthPercent

TCustomBarSeries.BarWidthPercent
TCustomBarSeries

property BarWidthPercent: Integer;

Unit
Series

Description
Default Value: 70

The BarWidthPercent property determines the percent of total Bar width used. Setting BarWidthPercent := 100 makes joined Bars. You can control how many Bars appear at same time by using TChart.MaxPointsPerPage property. The BarWidth and BarHeight properties indicate Bar dimensions in pixels.


TCustomBarSeries.BevelSize

TCustomBarSeries.BevelSize
TCustomBarSeries

property BevelSize: Integer;

Unit
Series

Description
Amount in pixels of bar bevel.
Used only when BarStyle property is bsBevel (only in 2D and 3D orthogonal display modes)

Chart1.View3D:=False;
Series1.BarStyle := bsBevel;
Series1.BevelSize := 3;


TCustomBarSeries.CalcBarBounds

TCustomBarSeries.CalcBarBounds
TCustomBarSeries

function CalcBarBounds(ValueIndex: Integer): TRect; virtual; abstract;

Unit
Series

Description
Internal use. Initiates calculation of Bar dimensions.


TCustomBarSeries.CalcFirstLastVisibleIndex

TCustomBarSeries.CalcFirstLastVisibleIndex
TCustomBarSeries

procedure CalcFirstLastVisibleIndex; override;

Unit
Series

Description
This method can be used to recalculate the index of the first and last visible points. It could be helpful when customizing the chart manually.


TCustomBarSeries.CalcMarkLength

TCustomBarSeries.CalcMarkLength
TCustomBarSeries

function CalcMarkLength(ValueIndex: Integer): Integer;

Unit
Series

Description
Returns the length in pixels of the Mark as format displayed.


TCustomBarSeries.Clicked

TCustomBarSeries.Clicked
TCustomBarSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
Series

Description
This functions returns the ValueIndex of the "clicked" point in the Series. Clicked means the X and Y coordinates are in the point screen region bounds. If no point is "touched", Clicked returns -1


TCustomBarSeries.ConePercent

TCustomBarSeries.ConePercent
TCustomBarSeries

property ConePercent: Integer;

Unit
Series

Description
Run-time and read-only.
ConePercent determines the percent ( from 0 to 100 ) of the Cone effect when a Bar Series Style is set to bsCone.

A value of Zero means a Cone (the default), while a value of 100 will display a cylinder.


TCustomBarSeries.Dark3D

TCustomBarSeries.Dark3D
TCustomBarSeries

property Dark3D: Boolean;

Unit
Series

Description
Default True

The Dark3D property controls if bar sides will be filled with shadowed colors. This has effect only when Chart.View3D is True. High color video modes (greater than 256 colors) will show dark colors much better than 256 or 16 color modes.


TCustomBarSeries.DarkPen

TCustomBarSeries.DarkPen
TCustomBarSeries

property DarkPen: Integer;

Unit
Series

Description
Determines the amount from 0 to 255 of color similarity between the Bar border color and the Bar interior color.
Default value is zero.


TCustomBarSeries.DepthPercent

TCustomBarSeries.DepthPercent
TCustomBarSeries

property DepthPercent: Integer;

Unit
Series

Description
Defines the percentage, from 0 to 100, that the bars will need in the "Z" depth space direction.

The default value of DepthPercent is 100, meaning bars will be displayed using all the available Z (depth) space for the series.


TCustomBarSeries.DrawBar

TCustomBarSeries.DrawBar
TCustomBarSeries

procedure DrawBar(BarIndex, StartPos, EndPos: Integer); virtual; abstract;

Unit
Series

Description
Internal use. Initiates render of Bar.


TCustomBarSeries.DrawValuesForward

TCustomBarSeries.DrawValuesForward
TCustomBarSeries

function DrawValuesForward: Boolean; override;

Unit
Series

Description
The DrawValuesForward function returns whether the Series needs to draw its points in ascending or descending order.

Some Series need to draw their points in descending order (starting from the last point to the first) depending on certain situations. For example, when the horizontal axis Inverted property is True.


TCustomBarSeries.Emboss

TCustomBarSeries.Emboss
TCustomBarSeries

property Emboss: TTeeEmboss;

Unit
Series

Description
The new Emboss property produces a "Shadow-like" effect in the opposite direction of a Shadow.

This property has been implemented in the same classes in which the Shadow is implemented, meaning that the property is widely available throughout the Chart.


TCustomBarSeries.Gradient

TCustomBarSeries.Gradient
TCustomBarSeries

property Gradient: TTeeGradient;

Unit
Series

Description
The Gradient property specifies the colors used to fill Chart background. Chart background is filled using these two colors: StartColor and EndColor. You can control the drawing output by setting the TChartGradient.Direction property. Use the Visible property to show / hide filling.


TCustomBarSeries.GradientRelative

TCustomBarSeries.GradientRelative
TCustomBarSeries

property GradientRelative: Boolean;

Unit
Series

Description
The CustomBarSeries class is an abstract class used as the ancestor of BarSeries and HorizBarSeries classes.

Set the ParentChart property to the desired Chart class.

To add points to the Series you should use the BarSeries.AddBar or HorizBarSeries.AddBar methods.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

CustomBarSeries provides several methods and read-only properties shared by both BarSeries and HorizBarSeries:

The NormalBarColor,DarkColor and DarkerColor read-only properties return the colors used to fill bar sides and top covers. The CalcBarColors method calculates the above color properties for each bar point.

The DrawBar method is used to display each bar point.

The BarRectangle, BarPolygon and BarEllipse methods can be used to custom draw bar shapes.

The GetBarStyle function returns the corresponding BarStyle for a given bar point.

The BarMargin function returns the amount in pixels used to leave margins from Chart edges.

Please refer to Series ancestor description for all common Series properties like Marks, Axis dependence and events.


TCustomBarSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries

Classes derived from TCustomBarSeries
TBarSeries
THorizBarSeries


TCustomBarSeries.MarksLocation

TCustomBarSeries.MarksLocation
TCustomBarSeries

property MarksLocation: TMarksLocation;

Unit
Series

Description

When MarksOnBar is set to True, this property allows you to move the Marks to the start, center or end of the Bars (mlStart, mlCenter, mlEnd)

Example :

Series1.MarksOnBar := cbMarksOnBar.Checked;
Series1.MarksLocation := TMarksLocation(cbMarkLocation.ItemIndex);


TCustomBarSeries.MarksOnBar

TCustomBarSeries.MarksOnBar
TCustomBarSeries

property MarksOnBar: Boolean;

Unit
Series

Description
This neat feature for Bar and HorizBar Series lets you position Marks on the bars easily, whilst also allowing you to choose the desired alignment within
the bar itself.
Use in conjunction with the MarksLocation (mlStart, mlCenter, mlEnd) property.

Example :

Series1.MarksOnBar := cbMarksOnBar.Checked;
Series1.MarksLocation := TMarksLocation(cbMarkLocation.ItemIndex);


TCustomBarSeries.MultiBar

TCustomBarSeries.MultiBar
TCustomBarSeries

property MultiBar: TMultiBar;

Unit
Series

Description
If you have more than one TBarSeries in the same Chart, then you can choose if they will be drawn side-by-side, back-to-front or Stacked. Side-by-side means the Bar width will be divided by the number of Bar Series.


TCustomBarSeries.NumSampleValues

TCustomBarSeries.NumSampleValues
TCustomBarSeries

function NumSampleValues: Integer; override;

Unit
Series

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TCustomBarSeries.OffsetPercent

TCustomBarSeries.OffsetPercent
TCustomBarSeries

property OffsetPercent: Integer;

Unit
Series

Description
Default 0

The OffsetPercent property indicates the Bar displacement in percent of Bar size. Displacement is horizontal for TBarSeries and vertical for THorizBarSeries. This property can be used to create "overlayed" Bar charts. You can specify positive or negative values.


TCustomBarSeries.OnGetBarStyle

TCustomBarSeries.OnGetBarStyle
TCustomBarSeries

property OnGetBarStyle: TGetBarStyleEvent;

Unit
Series

Description
The OnGetBarStyle event is called for every Bar that's going to be displayed. You can specify a different Bar style for each Bar point. Using this event overrides the BarStyle property.


TCustomBarSeries.PointOrigin

TCustomBarSeries.PointOrigin
TCustomBarSeries

function PointOrigin(ValueIndex: Integer; SumAll: Boolean): Double; virtual;

Unit
Series

Description
The PointOrigin function returns the summed values of more than one Series point. The summed values are those returned by GetMarkValue function. It's only used by Series types with Stacked or Stacked 100% styles such as TBarSeries, THorizBarSeries and TAreaSeries.


TCustomBarSeries.RoundSize

TCustomBarSeries.RoundSize
TCustomBarSeries

property RoundSize: Integer;

Unit
Series

Description
\sa\sl\slmultGets or Sets the size to be used for round bar corners.
Gets or Sets the Round size used to draw the bars.


TCustomBarSeries.Shadow

TCustomBarSeries.Shadow
TCustomBarSeries

property Shadow: TTeeShadow;

Unit
Series

Description
Access Bar shadow characteristics.


TCustomBarSeries.SideMargins

TCustomBarSeries.SideMargins
TCustomBarSeries

property SideMargins: Boolean;

Unit
Series

Description
Default True

The SideMargins property controls if first and last displayed Bar will be separated from the Chart rectangle. By default, margins are set to half the sum of all Bar Series bar widths.


TCustomBarSeries.StackGroup

TCustomBarSeries.StackGroup
TCustomBarSeries

property StackGroup: Integer;

Unit
Series

Description
Set StackGroup to which to join the Series.

StackGroups group Series to permit several stacks of independent Series groups in the same Chart.

Example:

The following code will create 5 Series, stacked 5 high at each valueindex of the Series, (ie. 10 stacked bars).

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
Series1.Fillsamplevalues(10);
Series2.Fillsamplevalues(10);
Series3.Fillsamplevalues(10);
Series4.Fillsamplevalues(10);
Series5.Fillsamplevalues(10);
Series1.MultiBar:= mbStacked;
end;

The following code will create 2 StackGroups, one with 2 Series and the other with 3, plotting each stacked group at each value ValueIndex point, ie. 20 stacked bars for 10 data points, 2 at each index point.

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
Series1.StackGroup:=0;
Series2.StackGroup:=0;
Series3.StackGroup:=1;
Series4.StackGroup:=1;
Series5.StackGroup:=1;
end;


TCustomBarSeries.TickLines

TCustomBarSeries.TickLines
TCustomBarSeries

property TickLines: TChartHiddenPen;

Unit
Series

Description
Pen used to display lines in front of Bar series values, one line at each axis grid position.


TCustomBarSeries.Transparency

TCustomBarSeries.Transparency
TCustomBarSeries

property Transparency: TTeeTransparency;

Unit
Series

Description
Defines the percentage of semi-glass effect used to display bar points.


TCustomBarSeries.UseYOrigin

TCustomBarSeries.UseYOrigin
TCustomBarSeries

property UseYOrigin: Boolean;

Unit
Series

Description
Default Value: True

The UseYOrigin property defines if Bars will be bottom aligned to the YOrigin property value.

When False, the minimum of all Bar values is used as the Bar origins value.

When True, the YOrigin property is used as the start point for Bars.


TCustomBarSeries.YOrigin

TCustomBarSeries.YOrigin
TCustomBarSeries

property YOrigin: Double;

Unit
Series

Description
Default Value: 0

The YOrigin property determines the axis value used as a common bottom for all Bar points.

The UseYOrigin property must be True (the default) to use the YOrigin property.

Bars with a value bigger than YOrigin are drawn in one direction and Bars with a lower value are drawn in the opposite direction.

This applies both to TBarSeries and THorizBarSeries components.


TCustomBoxSeries.0events

TCustomBoxSeries events
TCustomBoxSeries Legend key

Unit
TeeBoxPlot

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomBoxSeries.0methods

TCustomBoxSeries methods
TCustomBoxSeries Legend key

Unit
TeeBoxPlot

In TCustomBoxSeries
Clicked
RecalcStats

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomBoxSeries.0properties

TCustomBoxSeries properties
TCustomBoxSeries Legend key

Unit
TeeBoxPlot

In TCustomBoxSeries
AdjacentPoint1
AdjacentPoint3
Box
ExtrOut
InnerFence1
InnerFence3
Median
MedianPen
MildOut
OuterFence1
OuterFence3
Position
Quartile1
Quartile3
SampleValues
UseCustomValues
WhiskerLength
WhiskerPen

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomBoxSeries.AdjacentPoint1

TCustomBoxSeries.AdjacentPoint1
TCustomBoxSeries

property AdjacentPoint1: Double;

Unit
TeeBoxPlot

Description
Read from AdjacentPoint1 to get SampleValues lower adjacent point. AdjacentPoint1 is the data point that is
closest to InnerFence1, without lying bellow InnerFence1. Write to AdjacentPoint1 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to AdjacentPoint1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.AdjacentPoint3

TCustomBoxSeries.AdjacentPoint3
TCustomBoxSeries

property AdjacentPoint3: Double;

Unit
TeeBoxPlot

Description
Read from AdjacentPoint3 to get SampleValues upper adjacent point. AdjacentPoint3 is the data point that is
closest to InnerFence3, without lying above InnerFence3. Write to AdjacentPoint3 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to AdjacentPoint3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.Box

TCustomBoxSeries.Box
TCustomBoxSeries

property Box: TSeriesPointer;

Unit
TeeBoxPlot

Description
Use Box property to control the appearance of TCustomBoxSeries box. Box contains several properties to control the formatting attributes of box like Pen, Brush, Draw3D, Visible, etc.


TCustomBoxSeries.Clicked

TCustomBoxSeries.Clicked
TCustomBoxSeries

function Clicked(x, y: Integer): Integer; override;

Unit
TeeBoxPlot

Description
Returns a positive number bigger than zero if the mouse XY position in pixels is contained inside the BoxPlot box.


TCustomBoxSeries.ExtrOut

TCustomBoxSeries.ExtrOut
TCustomBoxSeries

property ExtrOut: TSeriesPointer;

Unit
TeeBoxPlot

Description
Use ExtrOut property to control the appearance of extreme outlier points. ExtrOut contains several properties to control the formatting attributes of extreme outlier points like Pen, Brush, Draw3D, Visible, etc.


TCustomBoxSeries.Hierarchy

Unit
TeeBoxPlot

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TCustomBoxSeries

Classes derived from TCustomBoxSeries
TBoxSeries
THorizBoxSeries


TCustomBoxSeries.InnerFence1

TCustomBoxSeries.InnerFence1
TCustomBoxSeries

property InnerFence1: Double;

Unit
TeeBoxPlot

Description
Read from InnerFence1 to get SampleValues lower inner fence. Write to InnerFence1 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to InnerFence1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.InnerFence3

TCustomBoxSeries.InnerFence3
TCustomBoxSeries

property InnerFence3: Double;

Unit
TeeBoxPlot

Description
Read from InnerFence3 to get SampleValues upper inner fence. Write to InnerFence3 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to InnerFence3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.Median

TCustomBoxSeries.Median
TCustomBoxSeries

property Median: Double;

Unit
TeeBoxPlot

Description
Read from Median to get SampleValues median value. Write to Median to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to Median does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.MedianPen

TCustomBoxSeries.MedianPen
TCustomBoxSeries

property MedianPen: TChartPen;

Unit
TeeBoxPlot

Description
Read MedianPen to obtain the TChartPen object that represents the color and style of the median line. Use the properties of MedianPen to change the color or style of median pen.


TCustomBoxSeries.MildOut

TCustomBoxSeries.MildOut
TCustomBoxSeries

property MildOut: TSeriesPointer;

Unit
TeeBoxPlot

Description
Use MildOut property to control the appearance of mild outlier points. MildOut contains several properties to control the formatting attributes of mild outlier points like Pen, Brush, Draw3D, Visible, etc.


TCustomBoxSeries.OuterFence1

TCustomBoxSeries.OuterFence1
TCustomBoxSeries

property OuterFence1: Double;

Unit
TeeBoxPlot

Description
Read from OuterFence1 to get SampleValues lower outer fence. Write to OuterFence1 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to OuterFence1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.OuterFence3

TCustomBoxSeries.OuterFence3
TCustomBoxSeries

property OuterFence3: Double;

Unit
TeeBoxPlot

Description
Read from OuterFence3 to get SampleValues upper outer fence. Write to OuterFence3 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to OuterFence3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.Position

TCustomBoxSeries.Position
TCustomBoxSeries

property Position: Double;

Unit
TeeBoxPlot

Description
The Position property specifies the position of box series. If series is a TBoxSeries then Position specifies the horizontal axis position. If series is a THorizBoxSeries then Position specifies the vertical axis position.


TCustomBoxSeries.Quartile1

TCustomBoxSeries.Quartile1
TCustomBoxSeries

property Quartile1: Double;

Unit
TeeBoxPlot

Description
Read from Quartile1 to get SampleValues first quartile. Approximately 25% of the data will fall on or
bellow Quartile1. Write to Quartile1 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to Quartile1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.Quartile3

TCustomBoxSeries.Quartile3
TCustomBoxSeries

property Quartile3: Double;

Unit
TeeBoxPlot

Description
Read from Quartile3 to get SampleValues third quartile. Approximately 75% of the data will fall on or
bellow Quartile3. Write to Quartile3 to override TCustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to Quartile3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is true.


TCustomBoxSeries.RecalcStats

TCustomBoxSeries.RecalcStats
TCustomBoxSeries

procedure RecalcStats;

Unit
TeeBoxPlot

Description

Recalculates all parameters necessary to draw the Box.

(Median, Quartiles, Inner and Outer points, etc)

This method can be called whenever the Box underlying data is changed.


TCustomBoxSeries.SampleValues

TCustomBoxSeries.SampleValues
TCustomBoxSeries

property SampleValues: TChartValueList;

Unit
TeeBoxPlot

Description
Use SampleValues property to get access to the values of Series.

WARNING : If you are using internal lagorithm (UseCustomValues = false) then you must make sure SampleValues are sorted in ascending order.


TCustomBoxSeries.UseCustomValues

TCustomBoxSeries.UseCustomValues
TCustomBoxSeries

property UseCustomValues: Boolean;

Unit
TeeBoxPlot

Description
default value = false

Set the UseCustomValues property to true if you want to override internal algorithm to construct a box plot.

Default (internal) algorithm does the following steps:

1. Finds the sample Median, Quartile1, Quartile3 and IQR value.

2. Finds InnerFence1 and InnerFence3 by using the following equation:
InnerFence1 = Quartile1 - WhiskerLength*IQR
InnerFence3 = Quartile3 + WhiskerLength*IQR

3. Finds AdjacentPoint1 and AdjacentPoint3

4. Finds OuterFence1 and OuterFence3 by using the following equation:
OuterFence1 = Quartile1 - 2*WhiskerLength*IQR
OuterFence3 = Quartile3 + 2*WhiskerLength*IQR

5. Constructs a box with ends at Quartile1 and Quartile3 with an interior line draw at the Median.

6. Indicates adjacent points and connects them to the box with lines. Locates any data points falling between the inner and outer fences and denotes them by a symbol. These points are considered to be mild outliers. Indicates data points that fall beyond the outer fences by another symbol. These points are considered to be extreme outliers.

NOTE :If you set the UseCustomValues to true then you must also define Median, Quartile1, Quartile3, InnerFence1, InnerFence3, OuterFence1, OuterFence3, AdjacentPoint1 and AdjacentPoint3 properties.


TCustomBoxSeries.WhiskerLength

TCustomBoxSeries.WhiskerLength
TCustomBoxSeries

property WhiskerLength: Double;

Unit
TeeBoxPlot

Description
The WhiskerLength property defines the length of the whiskers as a function of the inter-quartike range (IQR). Default value for WhiskerLength is 1.50.


TCustomBoxSeries.WhiskerPen

TCustomBoxSeries.WhiskerPen
TCustomBoxSeries

property WhiskerPen: TChartPen;

Unit
TeeBoxPlot

Description
Read WhiskerPen to obtain the TChartPen object that represents the color and style of the whisker lines. Use the properties of WhiskerPen to change the color or style of whisker lines.


TCustomChart.0events

TCustomChart events
TCustomChart Legend key

Unit
Chart

In TCustomChart
OnAllowScroll
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnClickTitle
OnGetLegendPos
OnGetLegendRect
OnGetLegendText

Derived from TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChart.0methods

TCustomChart methods
TCustomChart Legend key

Unit
Chart

In TCustomChart
AxisTitleOrName
CalcClickedPart
ClearChart
FillSeriesSourceItems
FillValueSourceItems
FormattedLegend
FormattedValueLegend
GetASeries
IsFreeSeriesColor
NextPage
PreviousPage
RemoveAllSeries
SeriesDown
SeriesUp
UndoZoom
ZoomPercent
ZoomRect

Derived from TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CheckDatasource
CountActiveSeries
ExchangeSeries
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
IsValidDataSource
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChart.0properties

TCustomChart properties
TCustomChart Legend key

Unit
Chart

In TCustomChart
BackColor
BackWall
BottomWall
ColorPaletteIndex
Foot
Frame
LeftWall
Legend
RightWall
SubFoot
SubTitle
Title
Walls

Derived from TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChart.AxisTitleOrName

TCustomChart.AxisTitleOrName
TCustomChart

function AxisTitleOrName(Axis: TChartAxis): String;

Unit
Chart

Description
Returns the Axis .Title.html">Axis Title (if set) of a TChartAxis.
If the Title is not set it returns the Axis name.


TCustomChart.BackColor

TCustomChart.BackColor
TCustomChart

property BackColor: TColor;

Unit
Chart

Description
The BackColor property is the color the Chart rectangle is filled with.
The Chart rectangle is the screen area between axis.
Setting BackColor to clTeeColor does not fill the above rectangle.
Assigning clTeeColor to Chart BackColor makes TeeChart to not fill the Chart back area, so Gradient fills and Background Bitmaps can be shown.

This property is equivalent to Chart1.Walls.Back.Color.


TCustomChart.BackWall

TCustomChart.BackWall
TCustomChart

property BackWall: TChartBackWall;

Unit
Chart

Description
The BackWall property determines the drawing attributes of Chart Back wall.
Chart View3D and Chart View3DWalls properties must be set to TRUE for BackWall to be shown.

You can use the Color, Size, Pen and Brush TChartWall's properties to control the wall appearance.

A Chart component has also a Right, Bottom and Left Wall properties.


TCustomChart.BottomWall

TCustomChart.BottomWall
TCustomChart

property BottomWall: TChartBottomWall;

Unit
Chart

Description
The BottomWall property defines the pen and brush used to fill the bottom chart side.
Available TChartWall properties are Size, Color, Pen and Brush.
Chart View3D and Chart View3DWalls properties should be True to use BottomWall , BackWall, RightWall and LeftWall.


TCustomChart.CalcClickedPart

TCustomChart.CalcClickedPart
TCustomChart

procedure CalcClickedPart(Pos: TPoint; Var Part: TChartClickedPart);

Unit
Chart

Description
Use this method to return information about the TeeChart component below the Mouse pointer at an X,Y location.

Example :

The following code sets the cursor to 'Hand' when over a TeeChart Title component.

procedure TTitleClickEvent.Chart1MouseMove(Sender: TObject;
Shift: TShiftState; X, Y: Integer);
var
P : TChartClickedPart;
begin
Chart1.CalcClickedPart(Point(x,y), P);

Case P.Part of
cpTitle,cpFoot,
cpSubTitle,cpSubFoot: Chart1.Cursor:=crHandPoint;
else
Chart1.Cursor:=crDefault;
end;

Chart1.OriginalCursor:=Chart1.Cursor;
end;


TCustomChart.ClearChart

TCustomChart.ClearChart
TCustomChart

procedure ClearChart;

Unit
Chart

Description
Clears the Chart.


TCustomChart.ColorPaletteIndex

TCustomChart.ColorPaletteIndex
TCustomChart

property ColorPaletteIndex: Integer;

Unit
Chart

Description
Gets or sets the color palette that is currently being used by series to obtain colors.

Default value is 0, the default TeeChart color palette.

This index points to an array of colors inside the ColorPalettes global array.

The Color palette can be changed by modifying this property or by using the ColorPalettes ApplyPalette method.

New color palettes can be added to a chart using the ColorPalettes ApplyPalette overload that accepts an array of colors as parameter.


TCustomChart.FillSeriesSourceItems

TCustomChart.FillSeriesSourceItems
TCustomChart

procedure FillSeriesSourceItems(ASeries: TChartSeries; Proc: TGetStrProc); dynamic;

Unit
Chart

Description

This method is internally used by the Chart Editor dialog. It's currently used only in
a T DBChart.html">DBChart component ( Database Chart ).

The "Proc" procedure parameter is called several times passing the list of Field names
that belong to the Dataset assigned to the Series DataSource property.

In future versions, other Chart components that support other kind of DataSources
will use this method to pass additional specific names.

See also:

FillValueSourceItems method.


TCustomChart.FillValueSourceItems

TCustomChart.FillValueSourceItems
TCustomChart

procedure FillValueSourceItems(ValueList: TChartValueList; Proc: TGetStrProc); dynamic;

Unit
Chart

Description

This method is internally used by the Chart Editor dialog when a Chart is a T DBChart.html">DBChart
( Database Chart ).
The "Proc" parameters is called several times, passing the Field names that belong
to the DataSet that is the Series DataSource property.

See also:

FillValueSourceItems method.


TCustomChart.Foot

TCustomChart.Foot
TCustomChart

property Foot: TChartTitle;

Unit
Chart

Description
The Foot property defines the Text and formatting properties to be drawn at bottom Chart side.
Use the Text property to enter the desired Foot lines, set Visible to True and change the Font, Frame and Brush properties.
Use the Alignment property to control text output position.


TCustomChart.FormattedLegend

TCustomChart.FormattedLegend
TCustomChart

function FormattedLegend(SeriesOrValueIndex: Integer): String;

Unit
Chart

Description
This function returns the text string corresponding to a Legend position.

The Legend position depends on the Legend LegendStyle property.

If LegendStyle is lsSeries, then the text string will be the Series or ValueIndex'th Active Series Title.
If LegendStyle is lsValues, then the text string will be the formatted Series or ValueIndex'th value of the first Active Series in the Chart.
If LegendStyle is lsAuto and only one Active Series exists in the Chart, then the LegendStyle is considered to be lsValues.
If there's more than one Active Series then LegendStyle will be lsSeries.

Values are formatted accordingly to the LegendTextStyle property.


TCustomChart.FormattedValueLegend

TCustomChart.FormattedValueLegend
TCustomChart

function FormattedValueLegend(ASeries: TChartSeries; ValueIndex: Integer): String; override;

Unit
Chart

Description
The FormattedValueLegend function returns the string representation of a Series Point value just as it would appear in Chart Legend.

The ValueIndex parameter is the point index.

The Legend TextStyle property and all other TChartLegend properties are used to create the resulting string.


TCustomChart.Frame

TCustomChart.Frame
TCustomChart

property Frame: TChartPen;

Unit
Chart

Description
The Frame property indicates the Pen used to draw a frame around the Chart axis.
The frame is displayed using the Chart.ChartRect coordinates.
The TChartPen also defines the TeeChart Title Frame and is used throughout the TeeChart components to define Pen characteristics.

This property is equivalent to Chart1.Walls.Back.Pen


TCustomChart.GetASeries

TCustomChart.GetASeries
TCustomChart

function GetASeries: TChartSeries;

Unit
Chart

Description
The GetASeries function returns the FIRST Active Series in a Chart.
If Chart has no Series, or none of the Series is Active, this function returns NIL.


TCustomChart.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel
|
TCustomChart

Classes derived from TCustomChart
TChart
TCustomDBChart
TGalleryChart


TCustomChart.IsFreeSeriesColor

TCustomChart.IsFreeSeriesColor
TCustomChart

function IsFreeSeriesColor(AColor: TColor; CheckBackground: Boolean; ASeries: TChartSeries): Boolean; override;

Unit
Chart

Description
The IsFreeSeriesColor returns whether the AColor parameter is used by any Series or not.
The CheckBackGround parameter controls if AColor will be checked against the Chart BackColor or not.


TCustomChart.LeftWall

TCustomChart.LeftWall
TCustomChart

property LeftWall: TChartLeftWall;

Unit
Chart

Description
The LeftWall property determines the drawing attributes of Chart Left side.
Chart View3D and Chart View3DWalls properties must be set to TRUE for LeftWall to be shown.

You can use the Color, Size, Pen and Brush TChartWall's properties to control the wall appearance.

A Chart component has also a Right, Bottom and Back Wall properties.


TCustomChart.Legend

TCustomChart.Legend
TCustomChart

property Legend: TChartLegend;

Unit
Chart

Description
The Legend property determines the text and drawing attributes of Chart's textual representation of Series and Series values.

The TChartLegend component draws a rectangle and for each Series in a Chart (or for each point in a Series) outputs a text representation of that Series (or that point).

You can use the Legend LegendStyle and Legend TextStyle properties to control the text used to draw the legend.

The Legend can be positioned at Left, Right, Top and Bottom chart sides using the Legend Alignment property, or custom positioned to any chart location using the CustomPosition, Left and Top properties.

Use the Legend Visible property to show / hide the Legend.

The Inverted property makes Legend to draw text starting from bottom.

The Frame, Font and Color properties allow you to change Legend appearance.

The Legend ColorWidth property determines the percent width of each item's "colored" mark.

The Legend FirstValue property controls which Series (or Series point) will be used to draw first Legend item.


TCustomChart.NextPage

TCustomChart.NextPage
TCustomChart

procedure NextPage;

Unit
Chart

Description
When MaxPointsPerPage is greater than Zero, TeeChart automatically divides point values in Pages.
Calling NextPage is the same as Page := Page + 1.
The NumPages chart property returns the total number of pages.


TCustomChart.OnAllowScroll

TCustomChart.OnAllowScroll
TCustomChart

property OnAllowScroll: TChartAllowScrollEvent;

Unit
Chart

Description

TChartAllowScrollEvent=Procedure ( Sender:TChartAxis;

Var Amin, AMax: Double;

Var AllowScroll:Boolean ) of object;


TCustomChart.OnClickAxis

TCustomChart.OnClickAxis
TCustomChart

property OnClickAxis: TChartClickAxis;

Unit
Chart

Description
An OnClickAxis event occurs whenever the user clicks near to a Chart axis subcomponent.

The Sender parameter specifies the Chart component that triggered the event.

The Axis parameter is the corresponding clicked Chart axis. It can be the LeftAxis, RightAxis, TopAxis or BottomAxis Chart subcomponent.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the axis was clicked.

This event has a higher priority than OnClickBackGround event and lower priority than OnClickSeries event.


TCustomChart.OnClickBackground

TCustomChart.OnClickBackground
TCustomChart

property OnClickBackground: TChartClick;

Unit
Chart

Description
An OnClickBackGround event occurs whenever the user clicks onto a Chart space outside Axis, Series points or Chart Legend.

It has the lower priority of all other mouse events.

The Sender parameter specifies the Chart component that originated the event.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Chart was clicked.


TCustomChart.OnClickLegend

TCustomChart.OnClickLegend
TCustomChart

property OnClickLegend: TChartClick;

Unit
Chart

Description
An OnClickLegend event occurs whenever the user clicks onto Chart Legend rectangle.

The Sender parameter specifies the Chart component that originated the event.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Chart Legend was clicked.


TCustomChart.OnClickSeries

TCustomChart.OnClickSeries
TCustomChart

property OnClickSeries: TChartClickSeries;

Unit
Chart

Description
An OnClickSeries event occurs whenever the user clicks onto any Chart TChart Series.html">Series point. The Sender parameter specifies the Chart component that originated the event. The Series parameter is the corresponding clicked Series component, and the ValueIndex parameter refers to the exact clicked point in the Series. Series have also an OnClick event that can be used individually to catch clicked points. The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Series point was clicked.

WARNING:

Use the CancelMouse property to control how the mouse button behaves with dual modes (scroll or zoom after an OnClickSeries event)

More on Chart Click events

Chart OnClickSeries
The TChart event, OnClickSeries, permits access to any active Series in your Chart. Put the following code into your project to get an idea of the possibilities. To access the event and add the procedure definition to your project, select your Chart and open the Object Inspector. Select the events tab to find OnClickSeries. Double-click on OnClickSeries.

procedure TForm1.DBChart1ClickSeries(Sender: TCustomChart;
Series: TChartSeries; ValueIndex: Integer; Button: TMouseButton;
Shift: TShiftState; X, Y: Integer);
begin
ShowMessage(' Clicked Series: '+Series.Name+' at point: '+ IntToStr(ValueIndex));
end;

The valueindex refers to the index of the Series data point (point, bar, etc.) within the Chart. You may use it to access the X and Y value. For example:

ShowMessage(' Clicked Series: '+Series.Name+' at point: '+ Floattostr(Series.XValue[valueindex]) + ',' + Floattostr(Series.YValue[valueindex]));

Chart OnClick
You may use the OnClick event of the Chart to get the same information.

procedure TForm1.DBChart1Click(Sender: TObject);
var t,tmp : Integer;
x,y : Double;
begin
Series1.GetCursorValues(x,y);

for t:=0 to DBChart1.SeriesCount-1 do
begin
tmp:=DBChart1.Series[t].GetCursorValueIndex;

if tmp<>-1 then
ShowMessage(' Clicked Series: '+DBChart1.Series[t].Name+' at point: '+inttostr(tmp));
end;
end;

Series OnClick and OnDblClick
The Series OnClick event catches click events at Series level. Thus for multiple Series Charts you are able to restrict access to the data of a specific Series. To access the OnClick event of the Series you must select the Series in the Object Inspector and go to the events tab.

procedure TForm1.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ShowMessage(' hello: '+Sender.Name+' at point: '+inttostr(valueindex));
end;


TCustomChart.OnClickTitle

TCustomChart.OnClickTitle
TCustomChart

property OnClickTitle: TChartClickTitle;

Unit
Chart

Description
Even triggered when a TChartTitle component (Title, SubTitle,Foot,SubFoot) is clicked.

Example

procedure TTitleClickEvent.Chart1ClickTitle(Sender: TCustomChart;
ATitle: TChartTitle; Button: TMouseButton; Shift: TShiftState; X,
Y: Integer);
begin
// Show message of Text of clicked ChartTitle component

ShowMessage(ATitle.Text.Text);
end;


TCustomChart.OnGetLegendPos

TCustomChart.OnGetLegendPos
TCustomChart

property OnGetLegendPos: TOnGetLegendPos;

Unit
Chart

Description
An OnGetLegendPos event occurs whenever a Legend item is going to be displayed.

You can used this event to force specific X , Y and / or XColor Legend pixel coordinates.

The Chart component calculates the default X,Y and XColor parameters before calling this event.

The Sender parameter is the Chart component that originated the event.

The Index parameter corresponds to the specific Legend item number going to be displayed. It can be either an Active Series Title or a Series point index, depending on the TChartLegend.LegendStyle property.


TCustomChart.OnGetLegendRect

TCustomChart.OnGetLegendRect
TCustomChart

property OnGetLegendRect: TOnGetLegendRect;

Unit
Chart

Description
An OnGetLegendRect event occurs whenever the Chart Legend is going to be displayed.

You can use this event to force an specific Legend position and dimensions.

The Rect parameter determines the default Legend position and dimensions in screen pixels.

After drawing the Legend, the available Chart space will be decreased to not overlap with Legend unless you set the Custom ChartLegend.ResizeChart.html">Legend ResizeChart property to False.

When using this event you'll need to use the TChart OnGetLegendPos event as well, to supply the exact coordinates for each Legend item.


TCustomChart.OnGetLegendText

TCustomChart.OnGetLegendText
TCustomChart

property OnGetLegendText: TOnGetLegendText;

Unit
Chart

Description
You can use this event to override the text strings that TChartLegend paints.

TChartLegend has two different modes (or LegendStyle):

lsSeries Legend contains Series Names or Titles.
lsValues Legend contains a Series values or labels.

If the LegendStyle is lsAuto, TChartLegend paints in lsSeries mode if more than one Active Series exists in the Chart.


TCustomChart.PreviousPage

TCustomChart.PreviousPage
TCustomChart

procedure PreviousPage;

Unit
Chart

Description
When MaxPointsPerPage is greater than Zero, TeeChart automatically divides point values in Pages.
Calling PreviousPage is the same as Page := Page - 1.
The NumPages chart property returns the total number of pages.


TCustomChart.RemoveAllSeries

TCustomChart.RemoveAllSeries
TCustomChart

procedure RemoveAllSeries;

Unit
Chart

Description
The RemoveAllSeries method removes all Series in the Chart SeriesList. The removed Series are NOT freed.

This is the implementation of RemoveAllSeries method:

Procedure TChart.RemoveAllSeries;
Begin
While SeriesList.Count>0 do RemoveSeries(Series[0]);
End;


TCustomChart.RightWall

TCustomChart.RightWall
TCustomChart

property RightWall: TChartRightWall;

Unit
Chart

Description
Access characteristics of the TeeChart RightWall. RightWall is hidden by default (Visible property is False).


TCustomChart.SeriesDown

TCustomChart.SeriesDown
TCustomChart

procedure SeriesDown(ASeries: TChartSeries);

Unit
Chart

Description
The SeriesDown method will "send to back" the specified ASeries. That will change the order the Series are drawn.

WARNING:

Series order is not saved to the DFM form file.


TCustomChart.SeriesUp

TCustomChart.SeriesUp
TCustomChart

procedure SeriesUp(ASeries: TChartSeries);

Unit
Chart

Description
The SeriesUp method will "bring to front" the specified ASeries. This will change the order in which Series are drawn.

WARNING:

Series order is not saved to the DFM form file.


TCustomChart.SubFoot

TCustomChart.SubFoot
TCustomChart

property SubFoot: TChartTitle;

Unit
Chart

Description
Access characteristics of the TChart SubFoot. SubFoot content is empty by default.


TCustomChart.SubTitle

TCustomChart.SubTitle
TCustomChart

property SubTitle: TChartTitle;

Unit
Chart

Description
Access characteristics of the TChart SubTitle. SubTitle content is empty by default.


TCustomChart.Title

TCustomChart.Title
TCustomChart

property Title: TChartTitle;

Unit
Chart

Description
The Title property defines the Text and formatting properties to be drawn at Top Chart side.
Use the Text property to enter the desired Title lines, set Visible to True and change the Font, Frame and Brush properties.

Use the Alignment property to control text output position.

Chart1.Title.Text.Clear;
Chart1.Title.Text.Add( 'Hello' );
Chart1.Title.Text.Add( 'World' );


TCustomChart.UndoZoom

TCustomChart.UndoZoom
TCustomChart

procedure UndoZoom; override;

Unit
Chart

Description
The Chart.UndoZoom method will rescale the Chart Axis to their Maximum and Minimum values.
Each Axis "depends" on one or more Series components, so Axis values will depend on their associated Series Maximum and Minimum values.
UndoZoom also restores any runtime Scrolling.


TCustomChart.Walls

TCustomChart.Walls
TCustomChart

property Walls: TChartWalls;

Unit
Chart

Description
This property includes all four chart walls (Left, Right, Bottom and Back).

Chart1.Walls.Left.Color := clRed ;


TCustomChart.ZoomPercent

TCustomChart.ZoomPercent
TCustomChart

procedure ZoomPercent(Const PercentZoom: Double);

Unit
Chart

Description
The Chart.ZoomPercent method applies the specified PercentZoom Zoom In/Out to the current Axis scales.
When PercentZoom is greater than 100%, Zoom Out is performed. When PercentZoom is lower than 100%, Zoom In is performed.
The AnimatedZoom property controls if Zoom is done directly in only one step or by multiple zooms thus giving an animation effect.


TCustomChart.ZoomRect

TCustomChart.ZoomRect
TCustomChart

procedure ZoomRect(Const Rect: TRect);

Unit
Chart

Description
The ZoomRect method does zoom on Chart contents. The Rect parameter defines the pixel rectangle coordinates of the chart area to be zoomed. Calling this method is similar to manually drawing a zoom box at run-time by dragging the left mouse button.

You can perform a zoom in by specifying a Rect parameter enclosed on Chart dimensions, and zoom out by specifying a bigger rectangle parameter.

Zoom in example:

Chart1.ZoomRect( Rect( 5,5,Chart1.Width-5,Chart1.Height-5 ) );

Zoom out example:

Chart1.ZoomRect( Rect( -5,-5,Chart1.Width+5,Chart1.Height+5 ) );


TCustomChartAction.0events

TCustomChartAction events
TCustomChartAction Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartAction.0methods

TCustomChartAction methods
TCustomChartAction Legend key

Unit
TeeChartActions

In TCustomChartAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChartAction.0properties

TCustomChartAction properties
TCustomChartAction Legend key

Unit
TeeChartActions

In TCustomChartAction
Chart

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartAction.Chart

TCustomChartAction.Chart
TCustomChartAction

property Chart: TCustomChart;

Unit
TeeChartActions

Description
The Chart property is the Chart component which is used to perform the action.


TCustomChartAction.HandlesTarget

TCustomChartAction.HandlesTarget
TCustomChartAction

function HandlesTarget(Target: TObject): Boolean; override;

Unit
TeeChartActions

Description
Returns True when the Action is valid for the Target parameter.
The VCL library calls this method for every object on a Form to determine if the Action is suitable to be executed against the Target argument.

A Chart action returns True when the Target parameter is a Chart.


TCustomChartAction.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomChartAction

Classes derived from TCustomChartAction
TChartAction


TCustomChartEditor.0events

TCustomChartEditor events
TCustomChartEditor Legend key

Unit
TeeEdit

In TCustomChartEditor
OnClose
OnShow

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartEditor.0methods

TCustomChartEditor methods
TCustomChartEditor Legend key

Unit
TeeEdit

In TCustomChartEditor
Execute

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChartEditor.0properties

TCustomChartEditor properties
TCustomChartEditor Legend key

Unit
TeeEdit

In TCustomChartEditor
Chart
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartEditor.Chart

TCustomChartEditor.Chart
TCustomChartEditor

property Chart: TCustomChart;

Unit
TeeEdit

Description
Defines the Chart with which to associate the Chart Editor.


TCustomChartEditor.Execute

TCustomChartEditor.Execute
TCustomChartEditor

procedure Execute; virtual;

Unit
TeeEdit

Description
Run (opens) Chart Editor.


TCustomChartEditor.Hierarchy

Unit
TeeEdit

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartEditor

Classes derived from TCustomChartEditor
TChartEditor
TChartPreviewer


TCustomChartEditor.OnClose

TCustomChartEditor.OnClose
TCustomChartEditor

property OnClose: TNotifyEvent;

Unit
TeeEdit

Description
Triggered when the chart editor dialog is closed.


TCustomChartEditor.OnShow

TCustomChartEditor.OnShow
TCustomChartEditor

property OnShow: TNotifyEvent;

Unit
TeeEdit

Description
Triggered when the chart editor dialog is about to show.


TCustomChartEditor.Title

TCustomChartEditor.Title
TCustomChartEditor

property Title: String;

Unit
TeeEdit

Description
Sets Chart Editor Title to display at dialog caption.


TCustomChartElement.0events

TCustomChartElement events
TCustomChartElement Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartElement.0methods

TCustomChartElement methods
TCustomChartElement Legend key

Unit
TeEngine

In TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChartElement.0properties

TCustomChartElement properties
TCustomChartElement Legend key

Unit
TeEngine

In TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartElement.Active

TCustomChartElement.Active
TCustomChartElement

property Active: Boolean;

Unit
TeEngine

Description
Shows or hides the chart element.


TCustomChartElement.Brush

TCustomChartElement.Brush
TCustomChartElement

property Brush: TChartBrush;

Unit
TeEngine

Description
Element Brush characteristics.
The element will use this brush property to fill polygons.


TCustomChartElement.EditorClass

TCustomChartElement.EditorClass
TCustomChartElement

function EditorClass: String;

Unit
TeEngine

Description

Returns the class name of the TForm associated editor dialog for this TCustomChartElement object.

Series and Tools override this function to return their own custom editor dialog.


TCustomChartElement.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement

Classes derived from TCustomChartElement
TCustomChartSeries
TTeeCustomTool


TCustomChartElement.ParentChart

TCustomChartElement.ParentChart
TCustomChartElement

property ParentChart: TCustomAxisPanel;

Unit
TeEngine

Description
Gets or sets the chart control that contains this element.


TCustomChartElement.Pen

TCustomChartElement.Pen
TCustomChartElement

property Pen: TChartPen;

Unit
TeEngine

Description
Element Pen characteristics.
The element will use this pen properties to draw lines and borders.


TCustomChartElement.Repaint

TCustomChartElement.Repaint
TCustomChartElement

procedure Repaint;

Unit
TeEngine

Description
Calls the TChart Invalidate method to tell Windows the chart needs to be repainted.


TCustomChartElement.ShowInEditor

TCustomChartElement.ShowInEditor
TCustomChartElement

property ShowInEditor: Boolean;

Unit
TeEngine

Description
If not True hides element from Editor.


TCustomChartElement.Visible

TCustomChartElement.Visible
TCustomChartElement

property Visible: Boolean;

Unit
TeEngine

Description
An alias to Active property.
Shows or Hides the component.


TCustomChartGrid.0events

TCustomChartGrid events
TCustomChartGrid Legend key

Unit
TeeChartGrid

In TCustomChartGrid
OnChangeColor
OnEditingCell
OnSetEditText
OnTopLeftChanged

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartGrid.0methods

TCustomChartGrid methods
TCustomChartGrid Legend key

Unit
TeeChartGrid

In TCustomChartGrid
AppendRow
ChangeColor
ColorsColumn
Delete
FindXYZIndex
FirstRowNum
GetSeries
GetXYZSeries
Insert
LabelsColumn
RecalcDimensions
StartEditing
StopEditing

Derived from TCustomGrid
AdjustSize
BeginColumnDrag
BeginRowDrag
BoxRect
CalcCoordFromPoint
CalcDrawInfo
CalcDrawInfoXY
CalcFixedInfo
CalcMaxTopLeft
CalcSizingState
CancelMode
CanEditAcceptKey
CanEditModify
CanEditShow
CanGridAcceptKey
CellRect
ChangeGridOrientation
ChangeSize
CheckColumnDrag
CheckRowDrag
ClampInView
CMCancelMode
CMCtl3DChanged
CMDesignHitTest
CMFontChanged
CMShowingChanged
CMWantSpecialKey
ColumnMoved
ColWidthsChanged
Create
CreateEditor
CreateParams
DefineProperties
DeleteColumn
DeleteRow
Destroy
DoExit
DoMouseWheelDown
DoMouseWheelUp
DrawCell
DrawMove
DrawSizingLine
EndColumnDrag
EndRowDrag
FocusCell
GetColWidths
GetEditLimit
GetEditMask
GetEditStyle
GetEditText
GetGridHeight
GetGridWidth
GetRowHeights
GetSelection
GetTabStops
GetVisibleColCount
GetVisibleRowCount
GridRectToScreenRect
HideEdit
HideEditor
Initialize
InvalidateCell
InvalidateCol
InvalidateEditor
InvalidateGrid
InvalidateRect
InvalidateRow
IsActiveControl
KeyDown
KeyPress
ModifyScrollBar
MouseCoord
MouseDown
MouseMove
MouseUp
MoveAdjust
MoveAnchor
MoveAndScroll
MoveColRow
MoveColumn
MoveCurrent
MoveRow
MoveTopLeft
Paint
ReadColWidths
ReadRowHeights
ResizeCol
ResizeRow
RowHeightsChanged
RowMoved
ScrollData
ScrollDataInfo
SelectCell
SelectionMoved
SetBorderStyle
SetCol
SetColCount
SetColWidths
SetDefaultColWidth
SetDefaultRowHeight
SetEditorMode
SetEditText
SetFixedColor
SetFixedCols
SetFixedRows
SetGridLineWidth
SetLeftCol
SetOptions
SetRow
SetRowCount
SetRowHeights
SetScrollBars
SetSelection
SetTabStops
SetTopRow
ShowEditor
ShowEditorChar
SizeChanged
Sizing
TimedScroll
TopLeftChanged
TopLeftMoved
UpdateDesigner
UpdateEdit
UpdateScrollPos
UpdateScrollRange
UpdateText
WMCancelMode
WMChar
WMCommand
WMGetDlgCode
WMHScroll
WMKillFocus
WMLButtonDown
WMNCHitTest
WMSetCursor
WMSetFocus
WMSize
WMTimer
WMVScroll
WriteColWidths
WriteRowHeights

Derived from TCustomControl
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMLButtonDblClk
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChartGrid.0properties

TCustomChartGrid properties
TCustomChartGrid Legend key

Unit
TeeChartGrid

In TCustomChartGrid
AllowAppend
AllowInsertSeries
Chart
GradientCell
Grid3DMode
ReadOnly
Series
SeriesSymbolClickable
ShowColors
ShowFields
ShowLabels
ShowVisuals
ShowXValues

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartGrid.AllowAppend

TCustomChartGrid.AllowAppend
TCustomChartGrid

property AllowAppend: Boolean;

Unit
TeeChartGrid

Description
When True you may use the AppendRow to add Rows to Grid.


TCustomChartGrid.AllowInsertSeries

TCustomChartGrid.AllowInsertSeries
TCustomChartGrid

property AllowInsertSeries: Boolean;

Unit
TeeChartGrid

Description
When True you may use the AppendRow to add Rows and new Series to Grid.


TCustomChartGrid.AppendRow

TCustomChartGrid.AppendRow
TCustomChartGrid

procedure AppendRow;

Unit
TeeChartGrid

Description
Adds a new row to the end of the grid, and adds a new point to all series displayed.

See also: AllowAppend


TCustomChartGrid.ChangeColor

TCustomChartGrid.ChangeColor
TCustomChartGrid

procedure ChangeColor; overload;

Unit
TeeChartGrid

Description
Displays the color editor dialog to modify the color of the currently selected row in the chart grid.


TCustomChartGrid.Chart

TCustomChartGrid.Chart
TCustomChartGrid

property Chart: TCustomChart;

Unit
TeeChartGrid

Description
Select the Chart/DBChart to which to link the ChartGrid. Use the TCustomChartGrid. Series.html">Series property to limit Grid display to only one Series.

Example:

ChartGrid1.Chart:=Chart1;


TCustomChartGrid.ColorsColumn

TCustomChartGrid.ColorsColumn
TCustomChartGrid

function ColorsColumn: Integer;

Unit
TeeChartGrid

Description
Internal use. Returns Color column index.

See also: ShowColors


TCustomChartGrid.Delete

TCustomChartGrid.Delete
TCustomChartGrid

procedure Delete;

Unit
TeeChartGrid

Description
Removes the current selected row.

Removing a row implies deleting the selected point for all the Series displayed in the Chart grid.


TCustomChartGrid.FindXYZIndex

TCustomChartGrid.FindXYZIndex
TCustomChartGrid

function FindXYZIndex(ASeries: TChartSeries; ARow, ACol: Integer): Integer;

Unit
TeeChartGrid

Description
Returns the index of the xyz point inside ASeries parameter, that is located at the ARow and ACol parameters when the grid Grid3DMode is True.


TCustomChartGrid.FirstRowNum

TCustomChartGrid.FirstRowNum
TCustomChartGrid

function FirstRowNum: Integer;

Unit
TeeChartGrid

Description
Internal use. Returns first Row index.


TCustomChartGrid.GetSeries

TCustomChartGrid.GetSeries
TCustomChartGrid

function GetSeries(ACol: Integer): TChartSeries; overload;

Unit
TeeChartGrid

Description
Returns the series and the AList series valuelist that correspond to the ACol grid column index parameter.


TCustomChartGrid.GetXYZSeries

TCustomChartGrid.GetXYZSeries
TCustomChartGrid

function GetXYZSeries: TChartSeries;

Unit
TeeChartGrid

Description
Returns the series that has Z values, when the chart grid Grid3DMode property is True.
Returns nil if no series has z values and Grid3DMode is True.


TCustomChartGrid.GradientCell

TCustomChartGrid.GradientCell
TCustomChartGrid

property GradientCell: TChartGradient;

Unit
TeeChartGrid


TCustomChartGrid.Grid3DMode

TCustomChartGrid.Grid3DMode
TCustomChartGrid

property Grid3DMode: Boolean;

Unit
TeeChartGrid

Description
Determines how ChartGrid number of rows and columns are calculated.

When Grid3DMode is False (the default), the number of rows are the number of points in the series (plus the header rows), and the number of columns are one for the series values, another if series has "X" values, and another colum for colors and labels.

When Grid3DMode is True, the Series must be a Custom3DGrid series.
The number of rows will be the Custom3DGrid NumXValues property, and the number of columns will be the NumZValues property.
Thus, the chart grid will display a grid of values, each corresponding to a point in 3D series.

ChartGrid1.Series := Series1; // <-- example, a Surface series
ChartGrid1.Grid3DMode := True ;


TCustomChartGrid.Hierarchy

Unit
TeeChartGrid

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomGrid
|
TCustomChartGrid

Classes derived from TCustomChartGrid
TChartGrid


TCustomChartGrid.Insert

TCustomChartGrid.Insert
TCustomChartGrid

procedure Insert;

Unit
TeeChartGrid

Description
Inserts Series data to Grid.
This method will add a null point to every Series displayed in the grid, at the position of the current grid row.


TCustomChartGrid.LabelsColumn

TCustomChartGrid.LabelsColumn
TCustomChartGrid

function LabelsColumn: Integer;

Unit
TeeChartGrid

Description
Internal use. Returns Label column index.


TCustomChartGrid.OnChangeColor

TCustomChartGrid.OnChangeColor
TCustomChartGrid

property OnChangeColor: TNotifyEvent;

Unit
TeeChartGrid

Description
Triggered when the end user double-clicks a chart grid cell containing a color.


TCustomChartGrid.OnEditingCell

TCustomChartGrid.OnEditingCell
TCustomChartGrid

property OnEditingCell: TEditingCellEvent;

Unit
TeeChartGrid

Description
Event called whenever the end-user is going to start typing to modify a cell contents.

You can use the final Allow boolean parameter to disable editing, setting Allow to False.


TCustomChartGrid.OnSetEditText

TCustomChartGrid.OnSetEditText
TCustomChartGrid

property OnSetEditText: TSetEditEvent;

Unit
TeeChartGrid

Description
This event is called when the end user modifies a grid cell.


TCustomChartGrid.OnTopLeftChanged

TCustomChartGrid.OnTopLeftChanged
TCustomChartGrid

property OnTopLeftChanged: TNotifyEvent;

Unit
TeeChartGrid

Description
This event is triggered when the end user makes changes to thge top left part of the Grid.


TCustomChartGrid.ReadOnly

TCustomChartGrid.ReadOnly
TCustomChartGrid

property ReadOnly: Boolean;

Unit
TeeChartGrid

Description
When True new Rows may not be appended to Grid, and cells cannot be edited.


TCustomChartGrid.RecalcDimensions

TCustomChartGrid.RecalcDimensions
TCustomChartGrid

procedure RecalcDimensions;

Unit
TeeChartGrid

Description
Recalculate Grid dimensions.
It is called automatically by the TeeChart Grid to determine the number of rows and columns necessary to display all Series points, labels and colors.

You should not normally need to call it directly.


TCustomChartGrid.Series

TCustomChartGrid.Series
TCustomChartGrid

property Series: TChartSeries;

Unit
TeeChartGrid

Description
If select, limits ChartGrid display to only the Series listed. When used, disables use of TCustomChartGrid. Chart.html">Chart property.


TCustomChartGrid.SeriesSymbolClickable

TCustomChartGrid.SeriesSymbolClickable
TCustomChartGrid

property SeriesSymbolClickable: Boolean;

Unit
TeeChartGrid

Description
When True Series symbol may be clicked on to use ColorDialog.


TCustomChartGrid.ShowColors

TCustomChartGrid.ShowColors
TCustomChartGrid

property ShowColors: Boolean;

Unit
TeeChartGrid

Description
ShowColors property is used to display a column in the grid that shows (fills) its cells using the color value for every point in the first Series displayed into the grid.

Double-clicking a cell in the color column will display the color editor dialog, allowing the end-user to change the selected point's color.

By default Colors are displayed at the first column of the grid.


TCustomChartGrid.ShowFields

TCustomChartGrid.ShowFields
TCustomChartGrid

property ShowFields: Boolean;

Unit
TeeChartGrid

Description
The ShowFields property is used to display an additional row of cells as a header, at the top of the Chart Grid. This header row display the names of the Series ValueLists.

For example, a Candle series has four value lists, with names: Open, High, Low, Close.
When ShowFields is True, the four names are displayed at the second row of the grid.


TCustomChartGrid.ShowLabels

TCustomChartGrid.ShowLabels
TCustomChartGrid

property ShowLabels: Boolean;

Unit
TeeChartGrid

Description
Use ShowLabels property to show/hide the series labels in the grid. When set to True, Series labels are shown in a seperate column. When set to False, the Series labels are not shown inside the grid.


TCustomChartGrid.ShowVisuals

TCustomChartGrid.ShowVisuals
TCustomChartGrid

property ShowVisuals: TChartGridShow;

Unit
TeeChartGrid


TCustomChartGrid.ShowXValues

TCustomChartGrid.ShowXValues
TCustomChartGrid

property ShowXValues: TChartGridShow;

Unit
TeeChartGrid

Description
Virtual class houses properties and methods for use with TChartGrid Control.


TCustomChartGrid.StartEditing

TCustomChartGrid.StartEditing
TCustomChartGrid

procedure StartEditing;

Unit
TeeChartGrid

Description
Use method before modifying data in the ChartGrid.

See also: ReadOnly


TCustomChartGrid.StopEditing

TCustomChartGrid.StopEditing
TCustomChartGrid

procedure StopEditing(Cancel: Boolean);

Unit
TeeChartGrid

Description
Use method after modifying data in the ChartGrid.


TCustomChartLegend.0methods

TCustomChartLegend methods
TCustomChartLegend Legend key

Unit
Chart

In TCustomChartLegend
Clicked
DrawLegend
FormattedLegend
FormattedValue
ShouldDraw

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCustomChartLegend.0properties

TCustomChartLegend properties
TCustomChartLegend Legend key

Unit
Chart

In TCustomChartLegend
Alignment
CheckBoxes
CheckBoxesStyle
ColorWidth
CurrentPage
DividingLines
FirstValue
FontSeriesColor
HorizMargin
Inverted
Item
Items
LastValue
LeftPercent
LegendStyle
MaxNumRows
PositionUnits
RectLegend
ResizeChart
Series
Symbol
TextStyle
TextSymbolGap
Title
TopPercent
TopPos
TotalLegendItems
Vertical
VertMargin
VertSpacing

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TCustomChartLegend.Alignment

TCustomChartLegend.Alignment
TCustomChartLegend

property Alignment: TLegendAlignment;

Unit
Chart

Description
Default Value: laRight

The Alignment property defines the Legend position.

Legend can be currently placed at Top, Left, Right and Bottom side of Chart.

Left and Right Legend alignments define a vertical Legend with one single column of items.

Top and Bottom Legend alignments define an horizontal Legend with one or more rows of items.

The Legend itself automatically reduces the number of displayed legend items based on the available charting space.


TCustomChartLegend.CheckBoxes

TCustomChartLegend.CheckBoxes
TCustomChartLegend

property CheckBoxes: Boolean;

Unit
Chart

Description
Setting CheckBoxes enables/disables the display of Legend check boxes or radio groups.

Legend items can be displayed with a checkbox or radiogroup visual indication when the LegendStyle is "lsSeries".


TCustomChartLegend.CheckBoxesStyle

TCustomChartLegend.CheckBoxesStyle
TCustomChartLegend

property CheckBoxesStyle: TCheckBoxesStyle;

Unit
Chart

Description
The style to use when the Legend CheckBoxes property is True.

Possible values are cbsCheck to show check boxes and cbsRadio to show radio buttons.


TCustomChartLegend.Clicked

TCustomChartLegend.Clicked
TCustomChartLegend

function Clicked(x, y: Integer): Integer; overload;

Unit
Chart


TCustomChartLegend.ColorWidth

TCustomChartLegend.ColorWidth
TCustomChartLegend

property ColorWidth: Integer;

Unit
Chart

Description
Default value : 20 % ( means automatic width based on maximum length of legend items ).

Setting ColorWidth defines the percentage of width of the the color rectangle associated with each Legend's item.

See also TLegendSymbol Squared property.


TCustomChartLegend.CurrentPage

TCustomChartLegend.CurrentPage
TCustomChartLegend

property CurrentPage: Boolean;

Unit
Chart

Description
Set CurrentPage to stipulate whether or not the Legend shows only the current page items when the Chart is divided into pages.


TCustomChartLegend.DividingLines

TCustomChartLegend.DividingLines
TCustomChartLegend

property DividingLines: TChartHiddenPen;

Unit
Chart

Description
Set DividingLines to describe the Pen attributes of the lines that divide individual legend entries.

Lines are drawn horizontally for Left or Right aligned Legend and vertically for Top or Bottom Legend alignments.


TCustomChartLegend.DrawLegend

TCustomChartLegend.DrawLegend
TCustomChartLegend

procedure DrawLegend;

Unit
Chart

Description
Use the DrawLegend method to draw multiple Legends on a Chart.

Example :

Assigns Series1 to the 1st Legend and Series2 to the 2nd.

procedure TMultiLegendForm.FormCreate(Sender: TObject);
begin
inherited;
Series1.FillSampleValues(4);
Series2.FillSampleValues(4);

Chart1.Legend.LegendStyle:=lsValues;
Chart1.Legend.Series:=Series1;
end;

procedure TMultiLegendForm.Chart1AfterDraw(Sender: TObject);
begin
With Chart1.Legend do
begin
Top:=125;
Series:=Series2;
DrawLegend;
CustomPosition:=False;
Series:=Series1;
end;
end;


TCustomChartLegend.FirstValue

TCustomChartLegend.FirstValue
TCustomChartLegend

property FirstValue: Integer;

Unit
Chart

Description
Default Value: 0

The FirstValue property defines the index number of the first value to be displayed in the Legend. A Legend can display all active Series names or all points of a single Series.

FirstValue should be set accordingly, taking care not to go above the number of active Series or the number of Series points.

You can use FirstValue to display in the Legend a specific subset of Series or points.

It should be greater or equal than zero, and lower than number of active Series or Series points.


TCustomChartLegend.FontSeriesColor

TCustomChartLegend.FontSeriesColor
TCustomChartLegend

property FontSeriesColor: Boolean;

Unit
Chart

Description
Set FontSeriesColor to stipulate whether or not the color of the font of the legend text is the same as the that of the Series color.


TCustomChartLegend.FormattedLegend

TCustomChartLegend.FormattedLegend
TCustomChartLegend

function FormattedLegend(AIndex: Integer): String;

Unit
Chart

Description
This function returns the text string corresponding to a Legend position.

The Legend position depends on the Legend.LegendStyle property. If LegendStyle is lsSeries, then the text string will be the SeriesOrValueIndexth Active Series Title. If LegendStyle is lsValues, then the text string will be the formatted SeriesOrValueIndexth value of the first Active Series in the Chart.If LegendStyle is lsAuto and only one Active Series exists in the Chart,then the LegendStyle is considered to be lsValues. If there's more than one Active Series then LegendStyle will be lsSeries.

Values are formatted accordingly to the LegendTextStyle property.


TCustomChartLegend.FormattedValue

TCustomChartLegend.FormattedValue
TCustomChartLegend

function FormattedValue(ASeries: TChartSeries; ValueIndex: Integer): String;

Unit
Chart

Description
This function returns the corresponding Legend text for the Series ValueIndex point. The Legend.LegendTextStyle property is used to properly format the point values and labels.


TCustomChartLegend.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TCustomChartLegend

Classes derived from TCustomChartLegend
TChartLegend


TCustomChartLegend.HorizMargin

TCustomChartLegend.HorizMargin
TCustomChartLegend

property HorizMargin: Integer;

Unit
Chart

Description
Default Value: 0

The HorizMargin property specifies the number of screen pixels between the Legend and Chart rectangles.

By default it's 0, meaning the Legend will calculate a predefined margin based on the total Legend width.

It's only used when the Legend position is Left or Right aligned.


TCustomChartLegend.Inverted

TCustomChartLegend.Inverted
TCustomChartLegend

property Inverted: Boolean;

Unit
Chart

Description
Default False

The Inverted property stipulates whether the Legend items are inversely drawn or not. Legend strings are displayed from the top for Left and Right alignment and from the left for Top and Bottom alignment. You can use the FirstValue property to determine the ValueIndex for the first Legend text item.


TCustomChartLegend.Item

TCustomChartLegend.Item
TCustomChartLegend

property Item[Index: Integer]: TLegendItem;

Unit
Chart

Description
Access to Legend item by Index.


TCustomChartLegend.Items

TCustomChartLegend.Items
TCustomChartLegend

property Items: TLegendItems;

Unit
Chart

Description
List of LegendItem objects.


TCustomChartLegend.LastValue

TCustomChartLegend.LastValue
TCustomChartLegend

property LastValue: Integer;

Unit
Chart

Description
The index of the last value displayed at Legend.


TCustomChartLegend.LeftPercent

TCustomChartLegend.LeftPercent
TCustomChartLegend

property LeftPercent: Integer;

Unit
Chart

Description
When PositionUnits are Percentage then LeftPercent sets Legend Left position as percentage of Chart width.


TCustomChartLegend.LegendStyle

TCustomChartLegend.LegendStyle
TCustomChartLegend

property LegendStyle: TLegendStyle;

Unit
Chart

Description
Default Value: lsAuto

The LegendStyle property defines which items are to be displayed in the Chart Legend.

lsSeries style shows the TChartSeries Series. Title.html">Title of all active Series in a Chart.

Whenever a Series Title is empty, the Series Name property is used.

lsValues style shows a text representation of all the points of the first active Series in a Chart.

lsLastValues style shows the last point value and the TCustomChartSeries Title of all active Series in a Chart. It is useful for real-time charting, where new points are being added at the end of each Series.

lsAuto style (the default) means LegendStyle will be lsSeries when there's more than one Active Series, and lsValues when there's only one Series in a Chart.

The TextStyle property determines how the Series point values are formatted.


TCustomChartLegend.MaxNumRows

TCustomChartLegend.MaxNumRows
TCustomChartLegend

property MaxNumRows: Integer;

Unit
Chart

Description
Settings MaxNumRows defines the maximum number of rows (left and right aligned) or columns (top or bottom aligned) to be displayed in the chart legend.

When the Legend is aligned horizontally (top or bottom), the number of rows can be specified:

Chart1.Legend.MaxNumRows:=3;

By default, MaxNumRows is 10 (ten), meaning the Legend will show at maximum 10 rows.
Setting it to 0 (zero) will make the Legend to show as many rows as necessary.


TCustomChartLegend.PositionUnits

TCustomChartLegend.PositionUnits
TCustomChartLegend

property PositionUnits: TTeeUnits;

Unit
Chart

Description
Sets Legend position as Pixel or Percentage location.


TCustomChartLegend.RectLegend

TCustomChartLegend.RectLegend
TCustomChartLegend

property RectLegend: TRect;

Unit
Chart

Description
Read-only and run time.

The RectLegend property returns the Legend coordinates and dimensions. It's read-only and can only be accessed at run-time. You can use RectLegend to, for example, custom draw on a chart based on Legend position coordinates or dimensions.


TCustomChartLegend.ResizeChart

TCustomChartLegend.ResizeChart
TCustomChartLegend

property ResizeChart: Boolean;

Unit
Chart

Description
Default True

The ResizeChart property whether or not the Legend automatically reduces the Chart rectangle to prevent overlap between Legend and Chart rectangles. When ResizeChart is True, the HorizMargin and VertMargin properties control the amount of pixels by which Chart rectangle is reduced.


TCustomChartLegend.Series

TCustomChartLegend.Series
TCustomChartLegend

property Series: TChartSeries;

Unit
Chart

Description
Set Series to determine which series is used as data for the Legend entries.
By default, the Legend chooses the first Active Series with ShowInLegend:=True.
It only applies to Legend style "lsValues".

Example:

Chart1.Legend.Series := Series5 ;


TCustomChartLegend.ShouldDraw

TCustomChartLegend.ShouldDraw
TCustomChartLegend

function ShouldDraw: Boolean;

Unit
Chart

Description
Returns True when the Legend must be displayed.

That is, when the Legend Visible property is True and either the Chart has any visible Series or the Legend CheckBoxes property is True.


TCustomChartLegend.Symbol

TCustomChartLegend.Symbol
TCustomChartLegend

property Symbol: TLegendSymbol;

Unit
Chart

Description
Setting Symbol controls the width and position of the color rectangle associated with each Legend's item.

Example:

Chart1.Legend.Symbol.Position := spRight;


TCustomChartLegend.TextStyle

TCustomChartLegend.TextStyle
TCustomChartLegend

property TextStyle: TLegendTextStyle;

Unit
Chart

Description
Default Value: ltsLeftValue

The TextStyle property stipulates how Legend text items are formatted.

- ltsPlain shows the point Label only.
- ltsLeftValue shows the point Value and the point Label.
- ltsRightValue shows the point Label and the point Value.
- ltsLeftPercent shows the percent the point represents and the point Label.
- ltsRightPercent shows the point Label and the percent the points represent.
- ltsXValue shows the point's X value. It applies only to Series with X (horizontal) values.

Values are pre-formatted using the Series ValueFormat property. Percents are pre-formatted using the Series PercentFormat property.

You can also use the TChart.OnGetLegendText event to supply customized Legend texts.

Example

These are examples of different Legend's TextStyle values:

ltsPlain Summer
ltsLeftValue 1234 Summer
ltsRightValue Summer 1234
ltsLeftPercent 5.1 % Summer
ltsRightPercent Summer 5.1 %
**ltsXValue 4321

**Applies only to Series with X values. See TChartSeries AddXY method.


TCustomChartLegend.TextSymbolGap

TCustomChartLegend.TextSymbolGap
TCustomChartLegend

property TextSymbolGap: Integer;

Unit
Chart

Description
The Legend aligns numeric data and allows customization of column widths. For small adjustments to the gap between Symbol and Text, please use the
TextSymbolGap property. It can be useful if you wish to right align text but still wish to increase the gap to the left.

Example:
Chart1.Legend.TextSymbolGap := 5;

//Column widths
Chart1.Legend.ColumnWidths[0] := 30;
Chart1.Legend.ColumnWidths[1] := 20;
Chart1.Refresh;


TCustomChartLegend.Title

TCustomChartLegend.Title
TCustomChartLegend

property Title: TLegendTitle;

Unit
Chart

Description
Text box to show at legend's top.


TCustomChartLegend.TopPercent

TCustomChartLegend.TopPercent
TCustomChartLegend

property TopPercent: Integer;

Unit
Chart

Description
When PositionUnits are Percentage then TopPercent sets Legend Top position as percentage of Chart height.


TCustomChartLegend.TopPos

TCustomChartLegend.TopPos
TCustomChartLegend

property TopPos: Integer;

Unit
Chart

Description
Default Value: 10 ( % )

The TopPos property specifies the Legend's top (or left) position as a percentage of the total chart height (or width).

When the Alignment property is laLeft or laRight (vertical Legend), the TopPos property increments the Top Legend position by a percentage of the total chart height.

For laTop or laBottom Legend alignments (horizontal Legend), the TopPos property increments the Legend's Left position.

You can customize the Legend position setting to True the CustomPosition property and manually changing the Left and Top positions to fixed values.

Also, the Chart OnGetLegendRect event can be used to supply specific Legend position and dimensions.


TCustomChartLegend.TotalLegendItems

TCustomChartLegend.TotalLegendItems
TCustomChartLegend

property TotalLegendItems: Integer;

Unit
Chart

Description
The TotalLegendItems property is read-only and returns the total number of Legend items.


TCustomChartLegend.Vertical

TCustomChartLegend.Vertical
TCustomChartLegend

property Vertical: Boolean;

Unit
Chart

Description
The TCustomChartLegend Vertical property is read only and returns True if the legend is left or right aligned.


TCustomChartLegend.VertMargin

TCustomChartLegend.VertMargin
TCustomChartLegend

property VertMargin: Integer;

Unit
Chart

Description
Default Value: 0

The VertMargin property specifies the number of screen pixels between the Legend and Chart rectangles.

By default it's 0, meaning the Legend will calculate a predefined margin based on the total Legend height.

It's only used when the Legend position is Top or Bottom aligned.


TCustomChartLegend.VertSpacing

TCustomChartLegend.VertSpacing
TCustomChartLegend

property VertSpacing: Integer;

Unit
Chart

Description
Modify vertical spacing between Legend items (pixels).


TCustomChartLink.0events

TCustomChartLink events
TCustomChartLink Legend key

Unit
TeeURL

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartLink.0methods

TCustomChartLink methods
TCustomChartLink Legend key

Unit
TeeURL

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChartLink.0properties

TCustomChartLink properties
TCustomChartLink Legend key

Unit
TeeURL

In TCustomChartLink
Chart

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartLink.Chart

TCustomChartLink.Chart
TCustomChartLink

property Chart: TCustomChart;

Unit
TeeURL

Description
Sets associated Chart.


TCustomChartLink.Hierarchy

Unit
TeeURL

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartLink

Classes derived from TCustomChartLink
TImportChart


TCustomChartSeries.0events

TCustomChartSeries events
TCustomChartSeries Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartSeries.0methods

TCustomChartSeries methods
TCustomChartSeries Legend key

Unit
TeEngine

In TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomChartSeries.0properties

TCustomChartSeries properties
TCustomChartSeries Legend key

Unit
TeEngine

In TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomChartSeries.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries

Classes derived from TCustomChartSeries
TChartSeries


TCustomChartSeries.Identifier

TCustomChartSeries.Identifier
TCustomChartSeries

property Identifier: String;

Unit
TeEngine

Description
Internal use. Valid only for CodeGear's DecisionGraph component.

The Identifier property is used to identify all Series lists of values, e.g. X and Y values.


TCustomChartSeries.LegendTitle

TCustomChartSeries.LegendTitle
TCustomChartSeries

property LegendTitle: String;

Unit
TeEngine


TCustomChartSeries.SameClass

TCustomChartSeries.SameClass
TCustomChartSeries

function SameClass(tmpSeries: TChartSeries): Boolean;

Unit
TeEngine

Description
The SameClass method returns True if any two given Series components are of the same class or derive from a common ancestor different than TCustomChartSeries.


TCustomChartSeries.SeriesIndex

TCustomChartSeries.SeriesIndex
TCustomChartSeries

property SeriesIndex: Integer;

Unit
TeEngine


TCustomChartSeries.ShowInLegend

TCustomChartSeries.ShowInLegend
TCustomChartSeries

property ShowInLegend: Boolean;

Unit
TeEngine

Description
Setting ShowInLegend enables / disables the display of the series in the Legend box.

Series1.ShowInLegend := False ;


TCustomChartSeries.Style

TCustomChartSeries.Style
TCustomChartSeries

property Style: TChartSeriesStyle;

Unit
TeEngine

Description
Internal use. Valid only for CodeGear's DecisionGraph component.

The Style property defines how a TCustomChartSeries component appears on a Chart.


TCustomChartSeries.Title

TCustomChartSeries.Title
TCustomChartSeries

property Title: String;

Unit
TeEngine

Description
By default, Title is empty.

Every Series has a Title property of type String.
The Title property is used in the chart Legend to draw the series descriptions.

If Title is set it will be displayed instead of Series.Name in the Chart Editor and / or at TChartListBox .

Series.Title may be multi-worded whereas as Series.Name must be a valid component name.


TCustomChartWall.0methods

TCustomChartWall methods
TCustomChartWall Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCustomChartWall.0properties

TCustomChartWall properties
TCustomChartWall Legend key

Unit
Chart

In TCustomChartWall
AutoHide
Dark3D
EndPosition
Pen
Size
StartPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Visible


TCustomChartWall.AutoHide

TCustomChartWall.AutoHide
TCustomChartWall

property AutoHide: Boolean;

Unit
Chart

Description
Gets or sets if the Wall will automatically hide when the chart rotation forces to display the wall over series contents.

Setting AutoHide to True will automatically hide walls in a way they will never obscure the series points.

The default value is False for compatibility with previous TeeChart versions, where walls were never hidden automatically.

If you want to manually hide a wall set the wall Visible property to False.

Chart1.Walls.Left.AutoHide := True ;


TCustomChartWall.Dark3D

TCustomChartWall.Dark3D
TCustomChartWall

property Dark3D: Boolean;

Unit
Chart

Description
Enable Dark3D shading for the 3D form of the Wall. Applies to Orthogonal and Native 3D Charts. Dark3D will set a side wall colour to a darker shade of the colour set for the Wall (front).


TCustomChartWall.EndPosition

TCustomChartWall.EndPosition
TCustomChartWall

property EndPosition: Integer;

Unit
Chart

Description
Wall EndPosition as percentage from wall size.


TCustomChartWall.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TCustomChartWall

Classes derived from TCustomChartWall
TChartWall


TCustomChartWall.Pen

TCustomChartWall.Pen
TCustomChartWall

property Pen: TChartPen;

Unit
Chart

Description
Pen used to draw Wall lines.


TCustomChartWall.Size

TCustomChartWall.Size
TCustomChartWall

property Size: Integer;

Unit
Chart

Description
Width of Wall in pixels.


TCustomChartWall.StartPosition

TCustomChartWall.StartPosition
TCustomChartWall

property StartPosition: Integer;

Unit
Chart

Description
Wall StartPosition as percentage from wall size.


TCustomDBChart.0events

TCustomDBChart events
TCustomDBChart Legend key

Unit
DBChart

In TCustomDBChart
OnProcessRecord

Derived from TCustomChart
OnAllowScroll
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnClickTitle
OnGetLegendPos
OnGetLegendRect
OnGetLegendText

Derived from TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomDBChart.0methods

TCustomDBChart methods
TCustomDBChart Legend key

Unit
DBChart

In TCustomDBChart
Assign
CheckDatasource
FillSeriesSourceItems
FillValueSourceItems
IsValidDataSource
RefreshData
RefreshDataSet

Derived from TCustomChart
AxisTitleOrName
CalcClickedPart
ClearChart
FormattedLegend
FormattedValueLegend
GetASeries
IsFreeSeriesColor
NextPage
PreviousPage
RemoveAllSeries
SeriesDown
SeriesUp
UndoZoom
ZoomPercent
ZoomRect

Derived from TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CountActiveSeries
ExchangeSeries
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomDBChart.0properties

TCustomDBChart properties
TCustomDBChart Legend key

Unit
DBChart

In TCustomDBChart
AutoRefresh
RefreshInterval
ShowGlassCursor

Derived from TCustomChart
BackColor
BackWall
BottomWall
ColorPaletteIndex
Foot
Frame
LeftWall
Legend
RightWall
SubFoot
SubTitle
Title
Walls

Derived from TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomDBChart.Assign

TCustomDBChart.Assign
TCustomDBChart

procedure Assign(Source: TPersistent); override;

Unit
DBChart

Description
The Assign method copies all properties from a component to another.


TCustomDBChart.AutoRefresh

TCustomDBChart.AutoRefresh
TCustomDBChart

property AutoRefresh: Boolean;

Unit
DBChart

Description
Default Value: True

The AutoRefresh property determines if TDBChart will load all Table or Query records in an automatic way just when the Table or Query are Opened.

When False, you should manually force record retrieval by calling one of the following methods:

TDBChart.RefreshDataSet
TDBChart.RefreshData

When True, TDBChart will retrieve all Series point values as soon the Table is opened or the Query is executed.


TCustomDBChart.CheckDatasource

TCustomDBChart.CheckDatasource
TCustomDBChart

procedure CheckDatasource(ASeries: TChartSeries); override;

Unit
DBChart

Description
The CheckDataSource method will refresh all Series point values, either from database Tables, Queries or another Series points. You can call this method regularly if you want new or modified data to appear in realtime in the Series. The parent Chart will be repainted to reflect any changes.


TCustomDBChart.FillSeriesSourceItems

TCustomDBChart.FillSeriesSourceItems
TCustomDBChart

procedure FillSeriesSourceItems(ASeries: TChartSeries; Proc: TGetStrProc); override;

Unit
DBChart

Description
TeeChart internal use only.


TCustomDBChart.FillValueSourceItems

TCustomDBChart.FillValueSourceItems
TCustomDBChart

procedure FillValueSourceItems(AValueList: TChartValueList; Proc: TGetStrProc); override;

Unit
DBChart

Description
TeeChart internal use only.


TCustomDBChart.Hierarchy

Unit
DBChart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel
|
TCustomChart
|
TCustomDBChart

Classes derived from TCustomDBChart
TDBChart
TQRDBChart


TCustomDBChart.IsValidDataSource

TCustomDBChart.IsValidDataSource
TCustomDBChart

function IsValidDataSource(ASeries: TChartSeries; AComponent: TComponent): Boolean; override;

Unit
DBChart

Description
The IsValidDataSource function determines if the AComponent parameter is a valid component to provide the point values for the ASeries component.

The TChart component accepts TChartSeries components as valid DataSources. The TDBChart component accepts TChartSeries and any TDataSet (TTable, TQuery, TClientDataset, etc) components as valid DataSources.

This function is used at design-time and run-time to control Series have valid point values sources.


TCustomDBChart.OnProcessRecord

TCustomDBChart.OnProcessRecord
TCustomDBChart

property OnProcessRecord: TProcessRecordEvent;

Unit
DBChart

Description
An OnProcessRecord event occurs for each record that is retrieved from the database.

The TDBChart component triggers this event whenever a new point has been added to the Series.

The DataSet parameter is the database component ( Table, Query, etc ) from which records are being loaded.

You can raise an Abort silent exception in this event to notify TDBChart to stop retrieving records and to NOT add the current record point.


TCustomDBChart.RefreshData

TCustomDBChart.RefreshData
TCustomDBChart

procedure RefreshData;

Unit
DBChart

Description
The RefreshData method forces TDBChart to retrieve again all Series points from their associated DataSets.

You associate DataSets ( Tables, Queries, etc ) to Series by setting the Series DataSource property.

It calls the RefreshDataSet method for all Series with DataSets as Series DataSources.

It do not closes nor opens nor refreshes the DataSets.

It only retrieves again all records and adds all Series points. The current DataSet filter is preserved. The current record position is saved and restored after loading all point by using a TBookMark internal variable.

For each record, you can optionally use the OnProcessRecord event to stop adding more points and retrieving more records.

When refreshing datasets, the mouse cursor can be automatically to a glass cursor by using the TDBChart.ShowGlassCursor property.


TCustomDBChart.RefreshDataSet

TCustomDBChart.RefreshDataSet
TCustomDBChart

procedure RefreshDataSet(ADataSet: TDataSet; ASeries: TChartSeries);

Unit
DBChart

Description
The RefreshDataSet method will atempt to retrieve all records from the ADataSet parameter and add all points to ASeries parameter.

You associate DataSets ( Tables, Queries, etc ) to Series by setting the Series DataSource property.

This method works only with Active Series, that is, ASeries.Active must be True.

It only retrieves again all records and adds all Series points. The current DataSet filter is preserved. The current record position is saved and restored after loading all point by using a TBookMark internal variable.

For each record, you can optionally use the OnProcessRecord event to stop adding more points and retrieving more records.

When refreshing datasets, the mouse cursor can be automatically to a glass cursor by using the TDBChart.ShowGlassCursor property.


TCustomDBChart.RefreshInterval

TCustomDBChart.RefreshInterval
TCustomDBChart

property RefreshInterval: Integer;

Unit
DBChart

Description
Default Value: 0

The RefreshInterval property defines the number of seconds TDBChart will take to refresh all Datasets.

By default is zero, meaning no refresh will occur.

When greater than zero, TDBChart installs an internal TTimer component. Every time the timer expires TDBChart refreshes all Datasets and retrieves again all records.

The AutoRefresh property must be True for TDBChart to retrieve all record values.

This allows automatic real-time charting of database values.

It only happens at run-time.


TCustomDBChart.ShowGlassCursor

TCustomDBChart.ShowGlassCursor
TCustomDBChart

property ShowGlassCursor: Boolean;

Unit
DBChart

Description
Default Value: True

The ShowGlassCursor property determines if TDBChart will change the current cursor shape to a glass cursor whenever records are retrieved from Tables or Queries.

This notifies the user of record retrieval activity.

For fast and small queries or tables you might want to set it to False, thus not disturbing the user.


TCustomErrorSeries.0events

TCustomErrorSeries events
TCustomErrorSeries Legend key

Unit
ErrorBar

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomErrorSeries.0methods

TCustomErrorSeries methods
TCustomErrorSeries Legend key

Unit
ErrorBar

In TCustomErrorSeries
AddErrorBar
Clicked
DrawBar
MaxYValue
MinYValue

Derived from TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomErrorSeries.0properties

TCustomErrorSeries properties
TCustomErrorSeries Legend key

Unit
ErrorBar

In TCustomErrorSeries
ErrorPen
ErrorStyle
ErrorValue
ErrorValues
ErrorWidth
ErrorWidthUnits

Derived from TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomErrorSeries.AddErrorBar

TCustomErrorSeries.AddErrorBar
TCustomErrorSeries

function AddErrorBar(Const AX, AY, AError: Double; Const AXLabel: String; AColor: TColor): Integer;

Unit
ErrorBar

Description
The AddErrorBar function adds a new Error Bar point to the Series. Returns the position of the Error Bar in the list. Positions start at zero. The AError parameter is stored at ErrorValues list.

Each Bar is displayed with an Error "T" on top. You can control the "T" appearance by using the ErrorPen and ErrorWidth properties.


TCustomErrorSeries.Clicked

TCustomErrorSeries.Clicked
TCustomErrorSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
ErrorBar

Description
This functions returns the ValueIndex of the "clicked" point in the Series. Clicked means the X and Y coordinates are in the point screen region bounds. If no point is "touched", Clicked returns -1


TCustomErrorSeries.DrawBar

TCustomErrorSeries.DrawBar
TCustomErrorSeries

procedure DrawBar(BarIndex, StartPos, EndPos: Integer); override;

Unit
ErrorBar

Description
Internally used.
Displays an ErrorBar point ( BarIndex point ) using the Start and End pixel coordinates.


TCustomErrorSeries.ErrorPen

TCustomErrorSeries.ErrorPen
TCustomErrorSeries

property ErrorPen: TChartPen;

Unit
ErrorBar

Description
The ErrorPen property determines what kind of pen will be used for drawing Error "T" on top of Error Bars.


TCustomErrorSeries.ErrorStyle

TCustomErrorSeries.ErrorStyle
TCustomErrorSeries

property ErrorStyle: TErrorSeriesStyle;

Unit
ErrorBar

Description
Describes display style for the error 'T'.


TCustomErrorSeries.ErrorValue

TCustomErrorSeries.ErrorValue
TCustomErrorSeries

property ErrorValue[Index: Integer]: Double;

Unit
ErrorBar

Description
This property sets or returns the Error value associated to each Bar.

The Error value will be displayed as a "T" on top of each Bar.


TCustomErrorSeries.ErrorValues

TCustomErrorSeries.ErrorValues
TCustomErrorSeries

property ErrorValues: TChartValueList;

Unit
ErrorBar

Description
The ErrorValues property manages the corresponding Error value for each Bar. The Error value will be displayed as a "T" on top of each Bar.


TCustomErrorSeries.ErrorWidth

TCustomErrorSeries.ErrorWidth
TCustomErrorSeries

property ErrorWidth: Integer;

Unit
ErrorBar

Description
Default 100

The ErrorWidth property determines the horizontal size of the Error "T". Size is expressed either in pixels or in percent of Bar width depending on ErrorWidthUnits property. By default, Error's "T" width is 100% of Bar width.


TCustomErrorSeries.ErrorWidthUnits

TCustomErrorSeries.ErrorWidthUnits
TCustomErrorSeries

property ErrorWidthUnits: TErrorWidthUnits;

Unit
ErrorBar

Description
Default ewuPercent

The ErrorWidthUnits property determines if ErrorWidth property is expressed either in pixels or in percent of Bar width. By default, Error's "T" width is 100% of Bar width.


TCustomErrorSeries.Hierarchy

Unit
ErrorBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries
|
TCustomErrorSeries

Classes derived from TCustomErrorSeries
TErrorBarSeries
TErrorSeries


TCustomErrorSeries.MaxYValue

TCustomErrorSeries.MaxYValue
TCustomErrorSeries

function MaxYValue: Double; override;

Unit
ErrorBar

Description
Returns the maximum value in the YValues list, plus the "Error" value.


TCustomErrorSeries.MinYValue

TCustomErrorSeries.MinYValue
TCustomErrorSeries

function MinYValue: Double; override;

Unit
ErrorBar

Description
Returns the minimum value in the YValues list, minus the "Error" value.


TCustomFittingFunction.0events

TCustomFittingFunction events
TCustomFittingFunction Legend key

Unit
CurvFitt

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomFittingFunction.0methods

TCustomFittingFunction methods
TCustomFittingFunction Legend key

Unit
CurvFitt

In TCustomFittingFunction
GetCurveYValue

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomFittingFunction.0properties

TCustomFittingFunction properties
TCustomFittingFunction Legend key

Unit
CurvFitt

In TCustomFittingFunction
AnswerVector
FirstCalcPoint
FirstPoint
LastCalcPoint
LastPoint
PolyDegree
TypeFitting

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomFittingFunction.AnswerVector

TCustomFittingFunction.AnswerVector
TCustomFittingFunction

property AnswerVector[Index: Integer]: Double;

Unit
CurvFitt

Description
Read-only and run time only.
The AnswerVector array property returns the polynomical coefficients used to calculate all CurveFitting points.
TCurveFittingFunction calculates the coefficients just before drawing all points.

This code displays the polynomy:

for t := 1 to CurveFittingSeries1.PolyDegree do
begin
WriteLn( 'Degree: ', t, CurveFittingSeries1.AnswerVector[ t ]:15:5 );
end;

The GetCurveYValue function returns the corresponding Y value for a given X value.


TCustomFittingFunction.FirstCalcPoint

TCustomFittingFunction.FirstCalcPoint
TCustomFittingFunction

property FirstCalcPoint: Integer;

Unit
CurvFitt

Description
The FirstCalcPoint property defines the first point used in polynomial coefficients calculation.


TCustomFittingFunction.FirstPoint

TCustomFittingFunction.FirstPoint
TCustomFittingFunction

property FirstPoint: Integer;

Unit
CurvFitt

Description
Default Value: -1

With FirstPoint and LastPoint properties you can restrict the subset of points TCurveFittingFunction will use to calculate the polynomy coefficients and it's point values.

By default is -1, meaning all datasource points from the beginning will be used to perform the calculation.

The CurveFittingFunction1.CheckDataSource method must be called after setting FirstPoint and LastPoint properties, forcing TCurveFittingFunction to recalculate again all point values.


TCustomFittingFunction.GetCurveYValue

TCustomFittingFunction.GetCurveYValue
TCustomFittingFunction

function GetCurveYValue(Source: TChartSeries; Const X: Double): Double;

Unit
CurvFitt

Description
The GetCurveYValue function returns the Y vertical value that corresponds to the X value parameter.

The internal Curve fitting polynomy is used to calculate the Y value.

This function can be called after the Series has been displayed.

The internal polynomy coefficients are calculated just before the Series is drawn.

TCurveFittingFunction draws one point for each of the DataSource Series points.

It internally calls the GetCurveYValue function to calculate the correct Y value that corresponds to each point X coordinate.

X and Y values are expressed in the associated Axis scales.


TCustomFittingFunction.Hierarchy

Unit
CurvFitt

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomFittingFunction

Classes derived from TCustomFittingFunction
TCurveFittingFunction


TCustomFittingFunction.LastCalcPoint

TCustomFittingFunction.LastCalcPoint
TCustomFittingFunction

property LastCalcPoint: Integer;

Unit
CurvFitt

Description
The LastCalcPoint property defines the last point used in polynomial coefficients calculation.


TCustomFittingFunction.LastPoint

TCustomFittingFunction.LastPoint
TCustomFittingFunction

property LastPoint: Integer;

Unit
CurvFitt

Description
Default Value: -1

With FirstPoint and LastPoint properties you can restrict the subset of points TCurveFittingFunction will use to calculate the polynomy coefficients and it's point values.

By default is -1, meaning all datasource points up to the last one will be used to perform the calculation.

The TCurveFittingFunction1.CheckDataSource method must be called after setting FirstPoint and LastPoint properties, forcing TCurveFittingFunction to recalculate again all point values.


TCustomFittingFunction.PolyDegree

TCustomFittingFunction.PolyDegree
TCustomFittingFunction

property PolyDegree: Integer;

Unit
CurvFitt

Description
The PolyDegree property is the number of degrees a TCurveFittingFunction polynomy will have.

Warning:

With more degrees, more adjustment is achieved, however, values greater than 10 can slow the process.


TCustomFittingFunction.TypeFitting

TCustomFittingFunction.TypeFitting
TCustomFittingFunction

property TypeFitting: TTypeFitting;

Unit
CurvFitt

Description
Default Value: cfPolynomial

The TypeFitting property specifies the method used by TCurveFittingFunction to calculate their point values. Currently only one fitting method is used: cfPolynomial

cfPolynomial means TCurveFittingFunction will solve a linear equation system having as input all DataSource points.

Then, for each DataSource X coordinate a new Y value will be obtained by applying the resulting polynomy coefficients.


TCustomGauge.0events

TCustomGauge events
TCustomGauge Legend key

Unit
TeeNumericGauge

In TCustomGauge
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomGauge.0methods

TCustomGauge methods
TCustomGauge Legend key

Unit
TeeNumericGauge

In TCustomGauge
GetPaletteColor

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomGauge.0properties

TCustomGauge properties
TCustomGauge Legend key

Unit
TeeNumericGauge

In TCustomGauge
CustomBounds
Face
Frame
Value

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomGauge.CustomBounds

TCustomGauge.CustomBounds
TCustomGauge

property CustomBounds: TRect;

Unit
TeeNumericGauge

Description
Use this property to set the bounds rectangle of the Gauge.


TCustomGauge.Face

TCustomGauge.Face
TCustomGauge

property Face: TTeeShape;

Unit
TeeNumericGauge

Description
Properties to fill the background area of the gauge.


TCustomGauge.Frame

TCustomGauge.Frame
TCustomGauge

property Frame: TFramedBorder;

Unit
TeeNumericGauge

Description
Properties to draw an special border around the gauge.


TCustomGauge.GetPaletteColor

TCustomGauge.GetPaletteColor
TCustomGauge

function GetPaletteColor(Index: Integer): TColor;

Unit
TeeNumericGauge

Description
Returns the index'th color inside the GaugeColorPalette array.


TCustomGauge.Hierarchy

Unit
TeeNumericGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomGauge

Classes derived from TCustomGauge
TCustomGaugeMinMax
TNumericGauge


TCustomGauge.OnChange

TCustomGauge.OnChange
TCustomGauge

property OnChange: TNotifyEvent;

Unit
TeeNumericGauge

Description
This event is called whenever the Value property is modified.


TCustomGauge.Value

TCustomGauge.Value
TCustomGauge

property Value: TChartValue;

Unit
TeeNumericGauge

Description
Default value of the gauge.

See also OnChange event.


TCustomGaugeMinMax.0events

TCustomGaugeMinMax events
TCustomGaugeMinMax Legend key

Unit
TeeLinearGauge

Derived from TCustomGauge
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomGaugeMinMax.0methods

TCustomGaugeMinMax methods
TCustomGaugeMinMax Legend key

Unit
TeeLinearGauge

Derived from TCustomGauge
GetPaletteColor

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomGaugeMinMax.0properties

TCustomGaugeMinMax properties
TCustomGaugeMinMax Legend key

Unit
TeeLinearGauge

In TCustomGaugeMinMax
GreenLine
Hand
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
RedLine
Ticks

Derived from TCustomGauge
CustomBounds
Face
Frame
Value

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomGaugeMinMax.GreenLine

TCustomGaugeMinMax.GreenLine
TCustomGaugeMinMax

property GreenLine: TGaugePointerRange;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultAccesses the properties and methods of the Green line that appears into the gauge series allowing you to change its aspect (color, gradient pen, and more).
\ltrpar


TCustomGaugeMinMax.Hand

TCustomGaugeMinMax.Hand
TCustomGaugeMinMax

property Hand: TGaugeSeriesPointer;

Unit
TeeLinearGauge

Description
Defines the visual aspects to draw the gauge hand (the arrow that points to current gauge Value).


TCustomGaugeMinMax.Hierarchy

Unit
TeeLinearGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomGauge
|
TCustomGaugeMinMax

Classes derived from TCustomGaugeMinMax
TCircularGauge
TLinearGauge


TCustomGaugeMinMax.Horizontal

TCustomGaugeMinMax.Horizontal
TCustomGaugeMinMax

property Horizontal: Boolean;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultBoolean property which allows changing the gauge from vertical to horizontal.
\ltrpar


TCustomGaugeMinMax.Maximum

TCustomGaugeMinMax.Maximum
TCustomGaugeMinMax

property Maximum: TChartValue;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultGets or sets the maximum value to be used for gauge series. The maximum value which will appear on the gauge axis.
\ltrpar


TCustomGaugeMinMax.Minimum

TCustomGaugeMinMax.Minimum
TCustomGaugeMinMax

property Minimum: TChartValue;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultGets or sets the minimum value to be used for gauge series. The minimum value which will appear on the gauge axis.
\ltrpar


TCustomGaugeMinMax.MinorTickDistance

TCustomGaugeMinMax.MinorTickDistance
TCustomGaugeMinMax

property MinorTickDistance: Integer;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultGets or sets a value to specify the distance between the minor ticks.
\ltrpar


TCustomGaugeMinMax.MinorTicks

TCustomGaugeMinMax.MinorTicks
TCustomGaugeMinMax

property MinorTicks: TGaugeSeriesPointer;

Unit
TeeLinearGauge

Description
The MinorTicks property is the Pen used to draw the Gauge Minor ticks. Minor ticks will only be displayed if MinorTicks.Visible is True.


TCustomGaugeMinMax.RedLine

TCustomGaugeMinMax.RedLine
TCustomGaugeMinMax

property RedLine: TGaugePointerRange;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultAccesses the properties and methods of the Red line that appears in the gauge series allowing you to change its aspect (color, gradient pen, and more).
\ltrpar


TCustomGaugeMinMax.Ticks

TCustomGaugeMinMax.Ticks
TCustomGaugeMinMax

property Ticks: TGaugeSeriesPointer;

Unit
TeeLinearGauge

Description
\ltrpar\sa\sl\slmultAccesses the properties and methods of the Series ticks allowing you to change its aspect (size, pen, color and more).
\ltrpar


TCustomImagePointSeries.0events

TCustomImagePointSeries events
TCustomImagePointSeries Legend key

Unit
ImaPoint

In TCustomImagePointSeries
OnGetImage

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomImagePointSeries.0methods

TCustomImagePointSeries methods
TCustomImagePointSeries Legend key

Unit
ImaPoint

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomImagePointSeries.0properties

TCustomImagePointSeries properties
TCustomImagePointSeries Legend key

Unit
ImaPoint

In TCustomImagePointSeries
ImagePoint
ImageTransparent

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomImagePointSeries.Hierarchy

Unit
ImaPoint

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TCustomImagePointSeries

Classes derived from TCustomImagePointSeries
TDeltaPointSeries
TImagePointSeries


TCustomImagePointSeries.ImagePoint

TCustomImagePointSeries.ImagePoint
TCustomImagePointSeries

property ImagePoint: TTeePicture;

Unit
ImaPoint

Description
Set the ImagePoint property to provide an image for the points. If set to nil, no image is displayed on points. The image will be stretched.


TCustomImagePointSeries.ImageTransparent

TCustomImagePointSeries.ImageTransparent
TCustomImagePointSeries

property ImageTransparent: Boolean;

Unit
ImaPoint

Description
Fills points using the image in transparent mode or opaque mode.


TCustomImagePointSeries.OnGetImage

TCustomImagePointSeries.OnGetImage
TCustomImagePointSeries

property OnGetImage: TGetImageEvent;

Unit
ImaPoint

Description
An event is triggered for each Point drawn. Use OnGetImage to provide different images per point.


TCustomLegendTool.0events

TCustomLegendTool events
TCustomLegendTool Legend key

Unit
TeeCustomLegendTool

Derived from TRectangleTool
OnDragged
OnDragging
OnResized
OnResizing

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomLegendTool.0methods

TCustomLegendTool methods
TCustomLegendTool Legend key

Unit
TeeCustomLegendTool

In TCustomLegendTool
Description
LongDescription

Derived from TRectangleTool
Assign
Bitmap
ClickedEdge

Derived from TAnnotationTool
Clicked

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomLegendTool.0properties

TCustomLegendTool properties
TCustomLegendTool Legend key

Unit
TeeCustomLegendTool

In TCustomLegendTool
Grid

Derived from TRectangleTool
AllowDrag
AllowResize
Dragging
Resizing

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomLegendTool.Description

TCustomLegendTool.Description
TCustomLegendTool

function Description: String; override;

Unit
TeeCustomLegendTool

Description
\ltrparReturns the Tool description.


TCustomLegendTool.Grid

TCustomLegendTool.Grid
TCustomLegendTool

property Grid: TStringGrid;

Unit
TeeCustomLegendTool

Description
Accesses the TStringGrid properties and methods to customize the grid.


TCustomLegendTool.Hierarchy

Unit
TeeCustomLegendTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TRectangleTool
|
TCustomLegendTool

Classes derived from TCustomLegendTool
(none)


TCustomLegendTool.LongDescription

TCustomLegendTool.LongDescription
TCustomLegendTool

function LongDescription: String; override;

Unit
TeeCustomLegendTool

Description
\ltrparReturns the Tool's long description.


TCustomLineSeries.0events

TCustomLineSeries events
TCustomLineSeries Legend key

Unit
Series

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomLineSeries.0methods

TCustomLineSeries methods
TCustomLineSeries Legend key

Unit
Series

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomLineSeries.0properties

TCustomLineSeries properties
TCustomLineSeries Legend key

Unit
Series

In TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomLineSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries

Classes derived from TCustomLineSeries
TCustomSeries
TFastLineSeries
THistogramSeries


TCustomLineSeries.LinePen

TCustomLineSeries.LinePen
TCustomLineSeries

property LinePen: TChartPen;

Unit
Series

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points.


TCustomLineSeries.TreatNulls

TCustomLineSeries.TreatNulls
TCustomLineSeries

property TreatNulls: TTreatNullsStyle;

Unit
Series

Description
Treat Nulls in data according to selected TTreatNullsStyle.


TCustomOrgSeries.0events

TCustomOrgSeries events
TCustomOrgSeries Legend key

Unit
TeeOrgSeries

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomOrgSeries.0methods

TCustomOrgSeries methods
TCustomOrgSeries Legend key

Unit
TeeOrgSeries

In TCustomOrgSeries
CalcXPos
CalcYPos
Clicked
Delete
FirstChild
IsValidSourceOf
MaxLevels
SwapValueIndex
UseAxis

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomOrgSeries.0properties

TCustomOrgSeries properties
TCustomOrgSeries Legend key

Unit
TeeOrgSeries

In TCustomOrgSeries
Bounds
Format
Item
Items
Spacing

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomOrgSeries.Bounds

TCustomOrgSeries.Bounds
TCustomOrgSeries

property Bounds: TRect;

Unit
TeeOrgSeries

Description
The Bounds property returns the biggest rectangle enclosing the all CustomOrgSeries values, in logical pixels


TCustomOrgSeries.CalcXPos

TCustomOrgSeries.CalcXPos
TCustomOrgSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeeOrgSeries

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TCustomOrgSeries.CalcYPos

TCustomOrgSeries.CalcYPos
TCustomOrgSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeeOrgSeries

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TCustomOrgSeries.Clicked

TCustomOrgSeries.Clicked
TCustomOrgSeries

function Clicked(x, y: Integer): Integer; override;

Unit
TeeOrgSeries

Description
This functions returns the ValueIndex of the "clicked" point in the Series. Clicked means the X and Y coordinates are in the point screen region bounds. If no point is "touched", Clicked returns -1


TCustomOrgSeries.Delete

TCustomOrgSeries.Delete
TCustomOrgSeries

procedure Delete(ValueIndex: Integer); override;

Unit
TeeOrgSeries

Description
This method removes the specified ValueIndex value from the List.


TCustomOrgSeries.FirstChild

TCustomOrgSeries.FirstChild
TCustomOrgSeries

function FirstChild(ValueIndex: Integer): Integer;

Unit
TeeOrgSeries

Description
Returns the ValueIndex of the First Child in the Series.


TCustomOrgSeries.Format

TCustomOrgSeries.Format
TCustomOrgSeries

property Format: TOrgShape;

Unit
TeeOrgSeries

Description
The shape object properties that will be used to display all Org Items .
This includes font, color, gradient, etc.


TCustomOrgSeries.Hierarchy

Unit
TeeOrgSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomOrgSeries

Classes derived from TCustomOrgSeries
TOrgSeries


TCustomOrgSeries.IsValidSourceOf

TCustomOrgSeries.IsValidSourceOf
TCustomOrgSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
TeeOrgSeries

Description
The IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.

A valid source of a CustomOrgSeries series must be another CustomOrgSeries series (one with XYZ values).


TCustomOrgSeries.Item

TCustomOrgSeries.Item
TCustomOrgSeries

property Item[Index: Integer]: TOrgItem;

Unit
TeeOrgSeries

Description
Access CustomOrgSeries items by index value.


TCustomOrgSeries.Items

TCustomOrgSeries.Items
TCustomOrgSeries

property Items: TOrgItemCollection;

Unit
TeeOrgSeries

Description
List of CustomOrgSeries objects.


TCustomOrgSeries.MaxLevels

TCustomOrgSeries.MaxLevels
TCustomOrgSeries

function MaxLevels: Integer;

Unit
TeeOrgSeries

Description
Returns the maximum number of Levels allowed in the Series.


TCustomOrgSeries.Spacing

TCustomOrgSeries.Spacing
TCustomOrgSeries

property Spacing: TSpacing;

Unit
TeeOrgSeries

Description
Use this property to define the horizontal and vertical pixel values used as space between items.


TCustomOrgSeries.SwapValueIndex

TCustomOrgSeries.SwapValueIndex
TCustomOrgSeries

procedure SwapValueIndex(a, b: Integer); override;

Unit
TeeOrgSeries

Description
The SwapValueIndex method interchanges two Series points. The A and B parameter should be valid point indexes, from 0 to Series Count-1.

The Chart component is automatically redrawn to display the new Series points order.


TCustomOrgSeries.UseAxis

TCustomOrgSeries.UseAxis
TCustomOrgSeries

function UseAxis: Boolean; override;

Unit
TeeOrgSeries

Description
Default: False

Read-only property


TCustomPanelNoCaption.0events

TCustomPanelNoCaption events
TCustomPanelNoCaption Legend key

Unit
TeeProcs

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomPanelNoCaption.0methods

TCustomPanelNoCaption methods
TCustomPanelNoCaption Legend key

Unit
TeeProcs

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomPanelNoCaption.0properties

TCustomPanelNoCaption properties
TCustomPanelNoCaption Legend key

Unit
TeeProcs

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomPanelNoCaption.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption

Classes derived from TCustomPanelNoCaption
TChartEditorPanel
TChartGalleryPanel
TCustomTeeCommander
TCustomTeeNavigator
TCustomTeePanel


TCustomPolarSeries.0events

TCustomPolarSeries events
TCustomPolarSeries Legend key

Unit
TeePolar

In TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomPolarSeries.0methods

TCustomPolarSeries methods
TCustomPolarSeries Legend key

Unit
TeePolar

In TCustomPolarSeries
CalcXPos
CalcYPos
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomPolarSeries.0properties

TCustomPolarSeries properties
TCustomPolarSeries Legend key

Unit
TeePolar

In TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomPolarSeries.AngleIncrement

TCustomPolarSeries.AngleIncrement
TCustomPolarSeries

property AngleIncrement: Double;

Unit
TeePolar

Description
The AngleIncrement property indicates the number of degrees that will be used to draw the dividing grid lines in anti-clockwise direction. The 0 starting angle is located at rightmost Polar coordinate. Valid increments are between 0 and 359 degree.

You can control the grid lines pen by using the Chart.BottomAxis.GridPen property.


TCustomPolarSeries.AngleValues

TCustomPolarSeries.AngleValues
TCustomPolarSeries

property AngleValues: TChartValueList;

Unit
TeePolar

Description

TeeChart values list used to store the angle values for Polar or Radar data.

The AngleValues property is the same as the default XValues property in a CustomPolarSeries.

Each point in a Polar or Radar series has X (Angle) and Y (Value) values.

Angles are expressed in degrees (from 0 to 360).

Example:

ShowMessage( FloatToStr( Series1.AngleValues.MaxValue ) );


TCustomPolarSeries.CalcXPos

TCustomPolarSeries.CalcXPos
TCustomPolarSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeePolar

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TCustomPolarSeries.CalcYPos

TCustomPolarSeries.CalcYPos
TCustomPolarSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeePolar

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TCustomPolarSeries.CircleLabels

TCustomPolarSeries.CircleLabels
TCustomPolarSeries

property CircleLabels: Boolean;

Unit
TeePolar

Description
Enables/disables Labels on the Radar/Polar circle.


TCustomPolarSeries.CircleLabelsFont

TCustomPolarSeries.CircleLabelsFont
TCustomPolarSeries

property CircleLabelsFont: TTeeFont;

Unit
TeePolar

Description
Font for Circle Labels.


TCustomPolarSeries.CircleLabelsInside

TCustomPolarSeries.CircleLabelsInside
TCustomPolarSeries

property CircleLabelsInside: Boolean;

Unit
TeePolar

Description
Set it to True to display the labels around the polar circle "inside" the circle.

By default is False. Circle labels are displayed outside the circle.


TCustomPolarSeries.CircleLabelsRotated

TCustomPolarSeries.CircleLabelsRotated
TCustomPolarSeries

property CircleLabelsRotated: Boolean;

Unit
TeePolar

Description
Enabled places Circle Labels at an angle in line with the Radar/Polar circle at each Label point.


TCustomPolarSeries.CirclePen

TCustomPolarSeries.CirclePen
TCustomPolarSeries

property CirclePen: TChartPen;

Unit
TeePolar

Description
The CirclePen property determines the kind of pen used to draw the outmost circle of the PolarSeries.


TCustomPolarSeries.Clicked

TCustomPolarSeries.Clicked
TCustomPolarSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
TeePolar

Description
This functions returns the ValueIndex of the "clicked" point in the Series. Clicked means the X and Y coordinates are in the point screen region bounds. If no point is "touched", Clicked returns -1


TCustomPolarSeries.ClockWiseLabels

TCustomPolarSeries.ClockWiseLabels
TCustomPolarSeries

property ClockWiseLabels: Boolean;

Unit
TeePolar

Description
Set it to True to display polar circle labels in clock-wise order, rather than anti-clockwise order.

By default ClockWiseLabels is False.

You can combine this property with RotationAngle property to rotate the labels.


TCustomPolarSeries.CloseCircle

TCustomPolarSeries.CloseCircle
TCustomPolarSeries

property CloseCircle: Boolean;

Unit
TeePolar

Description
Default: True

The CloseCircle property determines if a Line will be drawn between the last and first PolarSeries point coordinates. If True, the PolarSeries polygon is closed.


TCustomPolarSeries.DrawRing

TCustomPolarSeries.DrawRing
TCustomPolarSeries

procedure DrawRing(Const Value: Double; Z: Integer);

Unit
TeePolar

Description
This method draws a "ring" on the Polar charts with a specified "value" radius.

"Z" is the Z position where the ring will be displayed.
You can use TPolarSeries "StartZ" or "EndZ" properties to draw rings at front and at back Z positions respectively:

Series1.DrawRing(1234, Series1.EndZ );


TCustomPolarSeries.DrawZone

TCustomPolarSeries.DrawZone
TCustomPolarSeries

procedure DrawZone(Const Min, Max: Double; Z: Integer);

Unit
TeePolar

Description
Draws an elliptical "zone" (like a donut) from Min to Max (in axis scales).


TCustomPolarSeries.Hierarchy

Unit
TeePolar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries

Classes derived from TCustomPolarSeries
TCustom2DPolarSeries
TPolarGridSeries
TPolarSeries
TRadarSeries


TCustomPolarSeries.LabelsMargin

TCustomPolarSeries.LabelsMargin
TCustomPolarSeries

property LabelsMargin: Integer;

Unit
TeePolar

Description
Default: 3 %

Defines the percentage of polar radius for distance between the polar circle to text labels.


TCustomPolarSeries.LegendItemColor

TCustomPolarSeries.LegendItemColor
TCustomPolarSeries

function LegendItemColor(LegendIndex: Integer): TColor; override;

Unit
TeePolar

Description
Returns the color of the item for the Legend.


TCustomPolarSeries.OnGetCircleLabel

TCustomPolarSeries.OnGetCircleLabel
TCustomPolarSeries

property OnGetCircleLabel: TOnGetPolarLabel;

Unit
TeePolar

Description
Triggered as Circle Label is rendered.


TCustomPolarSeries.OnGetPointerStyle

TCustomPolarSeries.OnGetPointerStyle
TCustomPolarSeries

property OnGetPointerStyle: TOnGetPointerStyle;

Unit
TeePolar

Description
Triggered just before drawing each polar or radar point, pointer shapes.

You can use this event to supply different pointer styles to each polar point:

function TForm1.Series1GetPointerStyle(Sender: TChartSeries;
ValueIndex: Integer): TSeriesPointerStyle;
begin
if ValueIndex mod 3 = 0 then result:=psTriangle
else result:=psRectangle;
end;


TCustomPolarSeries.Pointer

TCustomPolarSeries.Pointer
TCustomPolarSeries

property Pointer: TSeriesPointer;

Unit
TeePolar

Description
The Pointer property is a subcomponent of TPointSeries, TLineSeries and all other derived TPointSeries components like TBubbleSeries, TPolarSeries and TCandleSeries.

Each point in a TPolarSeries is drawn using the Pointer properties.

Pointer contains several properties to control the formatting attributes of Points like Pen, Brush, Draw3D, Visible, etc.

Please refer to TSeriesPointer help page for a complete description of TSeriesPointer subcomponent.


TCustomPolarSeries.RadiusIncrement

TCustomPolarSeries.RadiusIncrement
TCustomPolarSeries

property RadiusIncrement: Double;

Unit
TeePolar

Description
RadiusIncrement is the same as accessing the Chart1.LeftAxis.Increment property when using TPolarSeries or TRadarSeries.

It determines the increment, in polar radius scales, used to draw the ring grid lines. You can find the property in the PolarSeries page of the editor

You may use RadiusIncrement with TPolarSeries.AngleIncrement to control how gridlines are displayed in Polar charts.


TCustomPolarSeries.RadiusValues

TCustomPolarSeries.RadiusValues
TCustomPolarSeries

property RadiusValues: TChartValueList;

Unit
TeePolar

Description
Radius Values are equivalent to Y values of the Polar and Radar Series.


TCustomPolarSeries.Transparency

TCustomPolarSeries.Transparency
TCustomPolarSeries

property Transparency: TTeeTransparency;

Unit
TeePolar

Description
Use Transparency property to add a semi-glass effect for a Polar Series in 2D mode.

Note: Transparency in 3D is not fully supported.

A transparency of value zero means opaque filling (no transparency).
A transparency of value 100 means full transparency (glass).

Every different polar series can have a different transparency value.


TCustomPolarSeries.TreatNulls

TCustomPolarSeries.TreatNulls
TCustomPolarSeries

property TreatNulls: TTreatNullsStyle;

Unit
TeePolar

Description
Treat Nulls in data according to selected TTreatNullsStyle.


TCustomSeries.0events

TCustomSeries events
TCustomSeries Legend key

Unit
Series

In TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomSeries.0methods

TCustomSeries methods
TCustomSeries Legend key

Unit
Series

In TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomSeries.0properties

TCustomSeries properties
TCustomSeries Legend key

Unit
Series

In TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomSeries.AreaBrush

TCustomSeries.AreaBrush
TCustomSeries

property AreaBrush: TBrushStyle;

Unit
Series

Description
Default Value: bsSolid

The AreaBrush property indicates the kind of Brush used to fill the background Area region. You can control the Area background color by using the AreaColor property.

See also:

AreaChartBrush property.


TCustomSeries.AreaChartBrush

TCustomSeries.AreaChartBrush
TCustomSeries

property AreaChartBrush: TChartBrush;

Unit
Series

Description

The AreaChartBrush property returns the pattern object used to fill the interior of Area segments
in Area Series (TAreaSeries) style.


TCustomSeries.AreaColor

TCustomSeries.AreaColor
TCustomSeries

property AreaColor: TColor;

Unit
Series

Description
Default Value: clTeeColor

The AreaColor property defines the Colour used to fill the background Area region. You can control the Brush style by using the AreaBrush and AreaChartBrush properties.


TCustomSeries.AreaLinesPen

TCustomSeries.AreaLinesPen
TCustomSeries

property AreaLinesPen: TChartPen;

Unit
Series

Description
The AreaLinesPen property indicates the kind of pen used to draw vertical lines across the Area region. By default AreaLinesPen.Visible is False, so you need first to set it to True. You can control the Area Brush style by using the AreaBrush property.


TCustomSeries.CalcFirstLastVisibleIndex

TCustomSeries.CalcFirstLastVisibleIndex
TCustomSeries

procedure CalcFirstLastVisibleIndex; override;

Unit
Series

Description
This method can be used to recalc the index of the first and last visible points. It could be helpful when we have done some customizations to the chart manually


TCustomSeries.CalcXPos

TCustomSeries.CalcXPos
TCustomSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TCustomSeries.CalcYPos

TCustomSeries.CalcYPos
TCustomSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TCustomSeries.Clear

TCustomSeries.Clear
TCustomSeries

procedure Clear; override;

Unit
Series

Description
This method deletes all Custom Series values. Dependent Series are notified. If no new points are appended to the Series, nothing will be painted.


TCustomSeries.ClickableLine

TCustomSeries.ClickableLine
TCustomSeries

property ClickableLine: Boolean;

Unit
Series

Description
default is True. ( False in TPointSeries )

(Advanced)

The ClickableLine property determines if LineSeries accepts mouse clicks over the line drawn between points.


TCustomSeries.Clicked

TCustomSeries.Clicked
TCustomSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
Series

Description
This functions returns the ValueIndex of the "clicked" point in the Series.
Clicked means the X and Y coordinates are in the point screen region bounds.
If no point is "touched", Clicked returns -1

Example:

var tmp,x,y : Integer;
x:=Chart1.GetCursorPos.X;
y:=Chart1.GetCursorPos.Y;
tmp := Series1.Clicked( x,y );


TCustomSeries.ColorEachLine

TCustomSeries.ColorEachLine
TCustomSeries

property ColorEachLine: Boolean;

Unit
Series

Description
The ColorEachLine is used when a Series ColorEachPoint property is True.

This property determines if the lines connecting points in a Line Series will also be displayed using a different color for each line segment.

When ColorEachPoint is False, this property is not used.


TCustomSeries.Dark3D

TCustomSeries.Dark3D
TCustomSeries

property Dark3D: Boolean;

Unit
Series

Description
TCustomSeries.Dark3D


TCustomSeries.DrawArea

TCustomSeries.DrawArea
TCustomSeries

property DrawArea: Boolean;

Unit
Series

Description
Default Value: False

The DrawArea property defines if bottom Chart side of points will be filled with a defined color. LineSeries and PointSeries set DrawArea to False. AreaSeries set DrawArea to True. You can control the Area Brush style by using the AreaBrush property.


TCustomSeries.Emboss

TCustomSeries.Emboss
TCustomSeries

property Emboss: TTeeEmboss;

Unit
Series

Description
The Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TCustomSeries.GetOriginPos

TCustomSeries.GetOriginPos
TCustomSeries

function GetOriginPos(ValueIndex: Integer): Integer; virtual;

Unit
Series

Description
The GetOriginPos function returns the vertical point coordinate in Screen pixels for a given point origin value.


TCustomSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries

Classes derived from TCustomSeries
TAreaSeries
TBezierSeries
TLineSeries
TOHLCSeries
TPointSeries
TVolumeSeries


TCustomSeries.InvertedStairs

TCustomSeries.InvertedStairs
TCustomSeries

property InvertedStairs: Boolean;

Unit
Series

Description
This boolean property controls the LineSeries or AreaSeries drawing.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step. - see Stairs.

In most normal situations, the Series draws a line between each Line point. This makes the Line appear as a "mountain" shape. However, setting Stairs to TRUE will make the Series draw 2 Lines between each pair of points, thus giving a "stairs" appearance. This is most used in some financial Chart representations. You may invert the stair by setting InvertedStairs to true.


TCustomSeries.LineBrush

TCustomSeries.LineBrush
TCustomSeries

property LineBrush: TBrushStyle;

Unit
Series

Description
Default Value: bsSolid

The LineBrush property defines the brush style used to fill LineSeries contents.

It has effect only when Chart1.View3D is True.

The Legend reflects automatically the selected brush style.

Setting different brush styles can be useful when printing on monochrome printers.


TCustomSeries.LineHeight

TCustomSeries.LineHeight
TCustomSeries

property LineHeight: Integer;

Unit
Series

Description
The LineHeight property determines the size in pixels for a Line series segment.

The default value is zero, for thin, zero-height sized lines.


TCustomSeries.OnClickPointer

TCustomSeries.OnClickPointer
TCustomSeries

property OnClickPointer: TSeriesClickPointerEvent;

Unit
Series

Description
TSeriesClickPointerEvent=Procedure( Sender:TCustomSeries; ValueIndex:Integer; X, Y: Integer) of object;

This event is similar to the OnClick event except it will only trigger when mouse clicks over Pointers, not Lines.


TCustomSeries.OnGetPointerStyle

TCustomSeries.OnGetPointerStyle
TCustomSeries

property OnGetPointerStyle: TOnGetPointerStyle;

Unit
Series

Description

This event is triggered when TeeChart Series Points are drawn. It may be used to modify the PointerStyle of individual points.

Example:

function TForm1.Series1GetPointerStyle(Sender: TChartSeries;
ValueIndex: Integer): TSeriesPointerStyle;
begin
if ValueIndex mod 2=0 then result:=psRectangle
else result:=psTriangle;
end;


TCustomSeries.OutLine

TCustomSeries.OutLine
TCustomSeries

property OutLine: TChartHiddenPen;

Unit
Series

Description
The OutLine pen property determines an additional pen used to display a "border" or "outline" around a Line series.

The Line points are first displayed using the OutLine pen, set with a bigger width than the normal LinePen pen.

The LinePen property is then used to display the Line series as usually, obscuring the OutLine and giving a border effect.


TCustomSeries.Pointer

TCustomSeries.Pointer
TCustomSeries

property Pointer: TSeriesPointer;

Unit
Series

Description
The Pointer property is a subcomponent of TPointSeries, TLineSeries and all other derived TPointSeries components like TBubbleSeries.

Each point in a TPointSeries is drawn using the Pointer properties.

Pointer contains several properties to control the formatting attributes of Points like Pen, Brush, Draw3D, Visible, etc.

Please refer to TSeriesPointer help page for a complete description of TSeriesPointer subcomponent.


TCustomSeries.Shadow

TCustomSeries.Shadow
TCustomSeries

property Shadow: TTeeShadow;

Unit
Series

Description
Properties (size and color) used to draw a shadow "line" near to the series line to make a visual "shadow" effect.


TCustomSeries.Smoothed

TCustomSeries.Smoothed
TCustomSeries

property Smoothed: Boolean;

Unit
Series

Description
Smoothed property in TLineSeries and TAreaSeries produces smoothed lines between the series points.

Example:
Series1.Smoothed:=True;


TCustomSeries.Stairs

TCustomSeries.Stairs
TCustomSeries

property Stairs: Boolean;

Unit
Series

Description
This boolean property controls the drawing of LineSeries and Areaseries.

In most normal situations, a series draws a line between each Line point. This makes the Line appear as a "mountain" shape. However, setting Stairs to TRUE will make the Series to draw 2 Lines between each pair of points, thus giving a "stairs" appearance. This is most used in some financial Chart representations.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step.


TCustomSeriesAction.0events

TCustomSeriesAction events
TCustomSeriesAction Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomSeriesAction.0methods

TCustomSeriesAction methods
TCustomSeriesAction Legend key

Unit
TeeChartActions

In TCustomSeriesAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomSeriesAction.0properties

TCustomSeriesAction properties
TCustomSeriesAction Legend key

Unit
TeeChartActions

In TCustomSeriesAction
Series

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomSeriesAction.HandlesTarget

TCustomSeriesAction.HandlesTarget
TCustomSeriesAction

function HandlesTarget(Target: TObject): Boolean; override;

Unit
TeeChartActions

Description
The base HandlesTarget method of the action component checks the Series is a valid Chart Series.


TCustomSeriesAction.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomSeriesAction

Classes derived from TCustomSeriesAction
TSeriesAction


TCustomSeriesAction.Series

TCustomSeriesAction.Series
TCustomSeriesAction

property Series: TChartSeries;

Unit
TeeChartActions

Description

The Series property indicates the current "target" object for the TeeChart action.

The action, when executed, will use the Series to perform the action task.

When the Series is destroyed, this property is automatically set to nil .

The base HandlesTarget method of the action component checks the Series is a
valid Chart Series:

function TCustomSeriesAction.HandlesTarget(Target: TObject): Boolean;
begin
result:=Assigned(Series) or (Target is TChartSeries);
end;

See also:

TSeriesAction object.


TCustomSeriesList.0events

TCustomSeriesList events
TCustomSeriesList Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TCustomSeriesList.0methods

TCustomSeriesList methods
TCustomSeriesList Legend key

Unit
TeEngine

In TCustomSeriesList
ClearValues
FillSampleValues
First
Last

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
Get
Grow
IndexOf
Insert
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCustomSeriesList.0properties

TCustomSeriesList properties
TCustomSeriesList Legend key

Unit
TeEngine

In TCustomSeriesList
Items
Owner

Derived from TList
Capacity
Count
List


TCustomSeriesList.ClearValues

TCustomSeriesList.ClearValues
TCustomSeriesList

procedure ClearValues;

Unit
TeEngine

Description
ClearValues will call the Clear method of all series in the list to remove all series points in a single call.

Chart1.SeriesList.ClearValues ;


TCustomSeriesList.FillSampleValues

TCustomSeriesList.FillSampleValues
TCustomSeriesList

procedure FillSampleValues(Num: Integer);

Unit
TeEngine

Description
Calls the FillSampleValues method of all series in the list.


TCustomSeriesList.First

TCustomSeriesList.First
TCustomSeriesList

function First: TChartSeries;

Unit
TeEngine

Description
Returns 1st Series in List.


TCustomSeriesList.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TCustomSeriesList

Classes derived from TCustomSeriesList
TChartSeriesList


TCustomSeriesList.Items

TCustomSeriesList.Items
TCustomSeriesList

property Items[Index: Integer]: TChartSeries;

Unit
TeEngine

Description
Access individual Series of List by Index.


TCustomSeriesList.Last

TCustomSeriesList.Last
TCustomSeriesList

function Last: TChartSeries;

Unit
TeEngine

Description
Returns last Series in list.


TCustomSeriesList.Owner

TCustomSeriesList.Owner
TCustomSeriesList

property Owner: TCustomAxisPanel;

Unit
TeEngine

Description
Returns Chart that owns the SeriesList. TCustomAxisPanel is an ancestor class of TChart.


TCustomSortedFunction.0events

TCustomSortedFunction events
TCustomSortedFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomSortedFunction.0methods

TCustomSortedFunction methods
TCustomSortedFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomSortedFunction.0properties

TCustomSortedFunction properties
TCustomSortedFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomSortedFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomSortedFunction

Classes derived from TCustomSortedFunction
TMedianTeeFunction
TModeTeeFunction


TCustomTeeCommander.0events

TCustomTeeCommander events
TCustomTeeCommander Legend key

Unit
TeeComma

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeeCommander.0methods

TCustomTeeCommander methods
TCustomTeeCommander Legend key

Unit
TeeComma

In TCustomTeeCommander
CreateBevel
CreateButton
CreateLabel

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTeeCommander.0properties

TCustomTeeCommander properties
TCustomTeeCommander Legend key

Unit
TeeComma

In TCustomTeeCommander
Gradient
Panel
Vertical

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeeCommander.CreateBevel

TCustomTeeCommander.CreateBevel
TCustomTeeCommander

procedure CreateBevel(APos: Integer);

Unit
TeeComma

Description
Add a Bevel (spacer) line to the TeeCommander bar.


TCustomTeeCommander.CreateButton

TCustomTeeCommander.CreateButton
TCustomTeeCommander

function CreateButton(APos: Integer; AProc: TNotifyEvent; Const AHint, AResName: String; AGroupIndex: Integer): TSpeedButton; overload;

Unit
TeeComma

Description
Used internally by TeeChart but you could add your own button to the TeeCommander bar.

Example

Adds a button using the TeeCommander's own Zoom Glyph. Selecting the button calls the BitBtnClick procedure:

TeeCommander1.CreateButton(300,BitBtn1Click,'Custom Zoom button','TeeZoom',1);


TCustomTeeCommander.CreateLabel

TCustomTeeCommander.CreateLabel
TCustomTeeCommander

function CreateLabel(APos: Integer; AColor: TColor): TLabel;

Unit
TeeComma

Description
Add your own Label to the TeeCommander bar as APos position (Pixels).


TCustomTeeCommander.Gradient

TCustomTeeCommander.Gradient
TCustomTeeCommander

property Gradient: TTeeGradient;

Unit
TeeComma

Description
Accesses Gradient characteristics of Commander bar.


TCustomTeeCommander.Hierarchy

Unit
TeeComma

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeeCommander

Classes derived from TCustomTeeCommander
TTeeCommander


TCustomTeeCommander.Panel

TCustomTeeCommander.Panel
TCustomTeeCommander

property Panel: TCustomTeePanel;

Unit
TeeComma

Description
Associate the TeeCommander Component with a TCustomPanel (TChart or TDraw3D).


TCustomTeeCommander.Vertical

TCustomTeeCommander.Vertical
TCustomTeeCommander

property Vertical: Boolean;

Unit
TeeComma

Description
Default False.

When True the TeeCommander navigator bar will display vertically.


TCustomTeeFunction.0events

TCustomTeeFunction events
TCustomTeeFunction Legend key

Unit
TeeFunci

In TCustomTeeFunction
OnCalculate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeeFunction.0methods

TCustomTeeFunction methods
TCustomTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTeeFunction.0properties

TCustomTeeFunction properties
TCustomTeeFunction Legend key

Unit
TeeFunci

In TCustomTeeFunction
NumPoints
StartX
x

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomTeeFunction

Classes derived from TCustomTeeFunction
(none)


TCustomTeeFunction.NumPoints

TCustomTeeFunction.NumPoints
TCustomTeeFunction

property NumPoints: Integer;

Unit
TeeFunci

Description
Gets or sets the number of points.

The function will call its OnCalculate event this number of times.


TCustomTeeFunction.OnCalculate

TCustomTeeFunction.OnCalculate
TCustomTeeFunction

property OnCalculate: TCalculateEvent;

Unit
TeeFunci

Description
The StartX property determines the first "X" value to use, and the NumPoints property means the number of times to call OnCalculate event.
The Period property is the "step" to apply to "X" between each call to OnCalculate.

procedure TCustomFunctionDemo.TeeFunction1Calculate(Sender: TCustomTeeFunction;
const x: Double; var y: Double);
begin
y:=Sin(x/10);
end;


TCustomTeeFunction.StartX

TCustomTeeFunction.StartX
TCustomTeeFunction

property StartX: Double;

Unit
TeeFunci

Description
The initial value for the "X" parameter.

This is the starting value to call the OnCalculate event.

See also TTeeFunction Period property.


TCustomTeeFunction.x

TCustomTeeFunction.x
TCustomTeeFunction

property x: Double;

Unit
TeeFunci

Description
Returns the current X parameter.
The X value starts at StartX property value, and is incremented by Period value at each call of OnCalculate event.


TCustomTeeGradient.0events

TCustomTeeGradient events
TCustomTeeGradient Legend key

Unit
TeCanvas

In TCustomTeeGradient
Changed


TCustomTeeGradient.0methods

TCustomTeeGradient methods
TCustomTeeGradient Legend key

Unit
TeCanvas

In TCustomTeeGradient
Draw
UseMiddleColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TCustomTeeGradient.0properties

TCustomTeeGradient properties
TCustomTeeGradient Legend key

Unit
TeCanvas

In TCustomTeeGradient
Angle
Balance
CustomTargetPolygon
CustomTargetRectangle
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
Visible


TCustomTeeGradient.Angle

TCustomTeeGradient.Angle
TCustomTeeGradient

property Angle: Integer;

Unit
TeCanvas

Description
Gradient Angle.


TCustomTeeGradient.Balance

TCustomTeeGradient.Balance
TCustomTeeGradient

property Balance: Integer;

Unit
TeCanvas

Description
From 0 to 100. Default value: 50
Determines the preference of use between gradient start and end colors.

By default, Balance property is 50, that means both start and end colors have the same priority.
Setting Balance to zero will give priority to start gradient color.
Setting Balance to 100 gives priority to end gradient color.


TCustomTeeGradient.Changed

TCustomTeeGradient.Changed
TCustomTeeGradient

property Changed: TNotifyEvent;

Unit
TeCanvas

Description
Notifies when a gradient property is changed.


TCustomTeeGradient.CustomTargetPolygon

TCustomTeeGradient.CustomTargetPolygon
TCustomTeeGradient

property CustomTargetPolygon: TPointArray;

Unit
TeCanvas

Description
Defines the target Polygon used by CustomTeeGradient when drawing a gradient.


TCustomTeeGradient.CustomTargetRectangle

TCustomTeeGradient.CustomTargetRectangle
TCustomTeeGradient

property CustomTargetRectangle: TRect;

Unit
TeCanvas

Description
Defines the target Rectangle used by CustomTeeGradient when drawing a gradient.


TCustomTeeGradient.Direction

TCustomTeeGradient.Direction
TCustomTeeGradient

property Direction: TGradientDirection;

Unit
TeCanvas

Description
Default: gdTopBottom

The Direction property specifies the direction the gradient fill will be applied.


TCustomTeeGradient.Draw

TCustomTeeGradient.Draw
TCustomTeeGradient

procedure Draw(Canvas: TTeeCanvas; Const Rect: TRect; RoundRectSize: Integer); overload;

Unit
TeCanvas

Description

The Draw method fills the Canvas area determined by Rect parameter using the
Gradient color and direction properties.

The (optional) RoundRectSize parameter specifies the number of pixels to draw the
rectangle corners as "round".

The Canvas parameter should be a TeeChart Canvas.

Example:

Chart1.Gradient.Draw( Chart2.Canvas, Rect( 50,50,100,100 ), 5 );


TCustomTeeGradient.EndColor

TCustomTeeGradient.EndColor
TCustomTeeGradient

property EndColor: TColor;

Unit
TeCanvas

Description
The EndColor property is one of the three colors used to create the gradient fill. The gradient fill is composed of two other colors: StartColor and MidColor.


TCustomTeeGradient.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCustomTeeGradient

Classes derived from TCustomTeeGradient
TSubGradient
TTeeGradient


TCustomTeeGradient.MidColor

TCustomTeeGradient.MidColor
TCustomTeeGradient

property MidColor: TColor;

Unit
TeCanvas

Description
The MidColor property is one of the three colors used to create the gradient fill. The gradient fill is composed of three colors: StartColor, MidColor and EndColor.

If no MidColor is required (ie. for a 2 colour gradient) then set MidColor to clNone:

Example:

Chart1.Gradient.MidColor := clNone ;

See also:

StartColor property.
EndColor property.


TCustomTeeGradient.RadialX

TCustomTeeGradient.RadialX
TCustomTeeGradient

property RadialX: Integer;

Unit
TeCanvas

Description
When gradient Direction property is gdRadial, RadialX and RadialY properties are used as an offset in pixels to displace the gradient radial center.

RadialX and RadialY can be positive or negative.

Example:

Uses TeCanvas;

Chart1.Gradient.Visible := True;
Chart1.Gradient.StartColor := clBlue;
Chart1.Gradient.Direction := gdRadial ;
Chart1.Gradient.RadialX := -50 ;
Chart1.Gradient.RadialY := 20 ;


TCustomTeeGradient.RadialY

TCustomTeeGradient.RadialY
TCustomTeeGradient

property RadialY: Integer;

Unit
TeCanvas

Description
When gradient Direction property is gdRadial, RadialX and RadialY properties are used as an offset in pixels to displace the gradient radial center.

RadialX and RadialY can be positive or negative.

Example:

Uses TeCanvas;

Chart1.Gradient.Visible := True;
Chart1.Gradient.StartColor := clBlue;
Chart1.Gradient.Direction := gdRadial ;
Chart1.Gradient.RadialX := -50 ;
Chart1.Gradient.RadialY := 20 ;


TCustomTeeGradient.StartColor

TCustomTeeGradient.StartColor
TCustomTeeGradient

property StartColor: TColor;

Unit
TeCanvas

Description
The StartColor property is one of the three colors used to create the gradient fill. The gradient fill is composed of three colors: StartColor, MidColor and EndColor.


TCustomTeeGradient.SubGradient

TCustomTeeGradient.SubGradient
TCustomTeeGradient

property SubGradient: TSubGradient;

Unit
TeCanvas

Description
Applies a secondary (superimposed) Gradient to the Gradient area.


TCustomTeeGradient.UseMiddleColor

TCustomTeeGradient.UseMiddleColor
TCustomTeeGradient

procedure UseMiddleColor;

Unit
TeCanvas

Description
The UseMiddleColor enables the Gradient to make use of the MiddleColor property.

A gradient can be created with two colors ( StartColor and EndColor ) or three colors (when using the MiddleColor property).


TCustomTeeGradient.Visible

TCustomTeeGradient.Visible
TCustomTeeGradient

property Visible: Boolean;

Unit
TeCanvas

Description
Setting Visible enables/disables the display of the TeeChart Gradient.


TCustomTeeNavigator.0events

TCustomTeeNavigator events
TCustomTeeNavigator Legend key

Unit
TeeNavigator

In TCustomTeeNavigator
OnButtonClicked

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeeNavigator.0methods

TCustomTeeNavigator methods
TCustomTeeNavigator Legend key

Unit
TeeNavigator

In TCustomTeeNavigator
EnableButtons
PageCount
Print
SetBounds

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTeeNavigator.0properties

TCustomTeeNavigator properties
TCustomTeeNavigator Legend key

Unit
TeeNavigator

In TCustomTeeNavigator
Panel

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeeNavigator.EnableButtons

TCustomTeeNavigator.EnableButtons
TCustomTeeNavigator

procedure EnableButtons; virtual;

Unit
TeeNavigator

Description

This method is called whenever the navigator control buttons need to be enabled or
disabled.

For example, the ChartPageNavigator component calls this method when the
Chart Page property is changed.
The buttons are enabled or disabled depending on the Chart Page value.

The ChartGridNavigator component calls this method whenever the current point
index changes in a Chart Grid control.


TCustomTeeNavigator.Hierarchy

Unit
TeeNavigator

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeeNavigator

Classes derived from TCustomTeeNavigator
TChartGridNavigator
TChartPageNavigator


TCustomTeeNavigator.OnButtonClicked

TCustomTeeNavigator.OnButtonClicked
TCustomTeeNavigator

property OnButtonClicked: TNotifyButtonClickedEvent;

Unit
TeeNavigator

Description
Use the OnButtonClicked event to write code that responds when the user clicks on a button within a navigator.


TCustomTeeNavigator.PageCount

TCustomTeeNavigator.PageCount
TCustomTeeNavigator

function PageCount: Integer; virtual;

Unit
TeeNavigator

Description
Returns the number of pages.
Default is 1.

This is an abstract method, overriden by TChartNavigator control to return number of chart pages.


TCustomTeeNavigator.Panel

TCustomTeeNavigator.Panel
TCustomTeeNavigator

property Panel: TCustomTeePanel;

Unit
TeeNavigator

Description
Panel to be used at the navigator component.


TCustomTeeNavigator.Print

TCustomTeeNavigator.Print
TCustomTeeNavigator

procedure Print; virtual;

Unit
TeeNavigator

Description
Abstract method.
Must be overriden and completed in descendant classes.


TCustomTeeNavigator.SetBounds

TCustomTeeNavigator.SetBounds
TCustomTeeNavigator

procedure SetBounds(ALeft, ATop, AWidth, AHeight: Integer); override;

Unit
TeeNavigator

Description
Use SetBounds to define the position and size of the navigator rectangle.


TCustomTeePanel.0events

TCustomTeePanel events
TCustomTeePanel Legend key

Unit
TeeProcs

In TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeePanel.0methods

TCustomTeePanel methods
TCustomTeePanel Legend key

Unit
TeeProcs

In TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTeePanel.0properties

TCustomTeePanel properties
TCustomTeePanel Legend key

Unit
TeeProcs

In TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeePanel.ApplyZOrder

TCustomTeePanel.ApplyZOrder
TCustomTeePanel

property ApplyZOrder: Boolean;

Unit
TeeProcs

Description
Run-time only.

The ApplyZOrder property controls if several Series on the same TChart component should be displayed each one in a different Z space.

See also Series ZOrder property.

It's valid only when TChart.View3D property is True and when there's more than one Series in same chart.

When False, all Series are drawn using the full Chart Z space. The Chart output can be confusing if Series overlap.


TCustomTeePanel.Aspect

TCustomTeePanel.Aspect
TCustomTeePanel

property Aspect: TView3DOptions;

Unit
TeeProcs

Description

Returns the object that specifies the properties used by 2D and 3D display such as Zoom, Offsets, Rotations and Perspective.


TCustomTeePanel.AutoRepaint

TCustomTeePanel.AutoRepaint
TCustomTeePanel

property AutoRepaint: Boolean;

Unit
TeeProcs

Description

The AutoRepaint property indicates if a Chart should re-display (redraw) its contents whenever a property (color, etc) changes.

By default it's True.

Setting AutoRepaint to False will not refresh the Chart display until we manually call the Chart1.Repaint method.

This can increment a little bit the speed when modifying many properties at the same time, avoiding the slow call to Windows API "Invalidate" procedure.

The Chart Editor component optionally uses the AutoRepaint property to redraw the chart only after closing the dialog. See TChartEditor.AutoRepaint property.

Example:

Chart1.AutoRepaint := False;
try
Chart1.Gradient.Color:=clBlue;
...
Series1.Add( 123, 'Hello world', clRed );
...
finally
Chart1.AutoRepaint := True;
end;

See also:

TChart.Repaint method.
TChart.Invalidate method.
TChartEditor.AutoRepaint property.


TCustomTeePanel.Border

TCustomTeePanel.Border
TCustomTeePanel

property Border: TChartHiddenPen;

Unit
TeeProcs

Description
Pen properties used to display a border around chart boundaries.

By default Border is hidden.

To show a border:

Chart1.Border.Visible := True;


TCustomTeePanel.BorderRound

TCustomTeePanel.BorderRound
TCustomTeePanel

property BorderRound: Integer;

Unit
TeeProcs

Description
Default value: zero (0)
Defines the amount in pixels to draw a border around chart boundaries with "rounded" corners.

A value of zero means no rounding.

Example:

Chart1.Border.Visible := True;
Chart1.BorderRound := 15;


TCustomTeePanel.BorderStyle

TCustomTeePanel.BorderStyle
TCustomTeePanel

property BorderStyle: TBorderStyle;

Unit
TeeProcs

Description
Corresponds to VCL TCustomPanel.BorderStyle property.

When setting bsSingle, the panel Border.Visible property is set to True.


TCustomTeePanel.BufferedDisplay

TCustomTeePanel.BufferedDisplay
TCustomTeePanel

property BufferedDisplay: Boolean;

Unit
TeeProcs

Description
Default, BufferedDisplay is True.

Charts are drawn to an "internal" canvas and then it is shown on screen. This prevents "flickering" and, when charts have a lot of points, can gain speed as it's faster to show an entire chart than drawing all points directly to screen.

For realtime charts, where new points are continuously being added, this is a must.


TCustomTeePanel.CalcMetaBounds

TCustomTeePanel.CalcMetaBounds
TCustomTeePanel

procedure CalcMetaBounds(Var R: TRect; Const AChartRect: TRect; Var WinWidth, WinHeight, ViewWidth, ViewHeight: Integer);

Unit
TeeProcs

Description

When creating a Chart metafile or when P rinting.html">printing a Chart, the CalcMetaBounds method is internally called to calculate new rectangle coordinates applying the
PrintResolution property.

The resulting rectangle coordinates are bigger or smaller than the actual Chart rectangle ( ChartRect ), depending on the PrintResolution value.

The PrintResolution property defines the level of "detail" or pixel's size.

See also:

PrintResolution property.
TeeCreateMetafile method.


TCustomTeePanel.CalcProportionalMargins

TCustomTeePanel.CalcProportionalMargins
TCustomTeePanel

function CalcProportionalMargins: TRect;

Unit
TeeProcs

Description

The CalcProportionalMargins function returns the rectangle in printer pixels coordinates that define the left, top, right and bottom positions for the resulting printed Chart.

The default margins are defined by the TeeDefault_PrintMargin constant ( 15 % ).

This method is only called when the Chart PrintProportional property is True.
When PrintProportional is False, the PrintMargins property controls the size of each margin.

Note: At least a Printer should be installed on Windows and be the default printer.

See also:

PrintProportional property.
PrintMargins property.
PrintResolution property.


TCustomTeePanel.CancelMouse

TCustomTeePanel.CancelMouse
TCustomTeePanel

property CancelMouse: Boolean;

Unit
TeeProcs

Description

The CancelMouse property controls when to stop processing mouse click events.

Setting CancelMouse to False inside one of the Chart OnClickxxx events forces the Chart to continue processing the code of mouse clicks (for example starting the zoom or scroll features).

Setting CancelMouse to False in the Chart OnClickSeries event will continue the zoom or scroll features after clicking a Series:

procedure TForm1.Chart1ClickSeries(Sender: TCustomChart;
Series: TChartSeries; ValueIndex: Integer; Button: TMouseButton;
Shift: TShiftState; X, Y: Integer);
begin
// do code when clicking a Series...
// ...

// Tell the chart to do zoom or scroll as default:
Chart1.CancelMouse:=False;
end;


TCustomTeePanel.CanClip

TCustomTeePanel.CanClip
TCustomTeePanel

function CanClip: Boolean;

Unit
TeeProcs

Description

The CanClip method returns if the Chart Canvas has the capability of "clipping" lines and polygons.

"Clipping" means the feature that allows hiding drawing outside the rectangle or polygon specifed by the developer.

CanClip returns False when the Chart is displayed in OpenGL 3D, or when the Chart is printed and the TeeClipWhenPrinting constant is True, or when the Chart is converted to a metafile image and the TeeClipWhenMetafiling constant is True.

By default all display drivers and printers support clipping.

You can turn off the clipping constants in case the printer or display driver has a bug related to clipping.

See also:

ClipPoints property.
TeeClipWhenPrinting constant.
TeeClipWhenMetafiling constant.
ClipCanvas global procedure.
UnClipCanvas global procedure.
ClipRoundRectangle global procedure.
ClipPolygon global procedure.


TCustomTeePanel.Canvas

TCustomTeePanel.Canvas
TCustomTeePanel

property Canvas: TCanvas3D;

Unit
TeeProcs

Description
Use the Canvas property to access all Canvas and Canvas3D properties and methods.

Canvas example:

//Draws a Line between co-ordinates 50,50 (from Chart Panel Top, Left) to 100,100
Chart1.Canvas.MoveTo(50,50);
Chart1.Canvas.LineTo(100,100);


TCustomTeePanel.CanvasChanged

TCustomTeePanel.CanvasChanged
TCustomTeePanel

procedure CanvasChanged(Sender: TObject); virtual;

Unit
TeeProcs

Description

The CanvasChanged method is internally called whenever a Pen, Font, Brush or other graphic objects are changed.

The default action of CanvasChanged is to Invalidate the Chart contents, forcing Windows to send a Paint message that makes the chart to be re-painted.

All internal graphical objects are created assigning the OnChange event to CanvasChanged method.

See also:

TPen.OnChange event.
Invalidate method.


TCustomTeePanel.ChartBounds

TCustomTeePanel.ChartBounds
TCustomTeePanel

property ChartBounds: TRect;

Unit
TeeProcs

Description
Run-time and read only. The ChartBounds property defines the rectangle dimension the last time the Chart was displayed. When drawing to Screen, it equals to the Left, Top, Width and Height properties. When drawing to Printer, it equals to the paper rectangle section where Chart is printed. You should always use the ChartBounds property. Never assume the Chart Left and Top coordinates are zero.

Example

This code draws a frame around a Chart component:

procedure TForm1.Button1Click(Sender: TObject);
begin
With Chart1,Canvas do
begin
Brush.Style:=bsClear;
Pen.Color:=clRed;
With ChartBounds do Rectangle(Left,Top,Right,Bottom);
end;
end;


TCustomTeePanel.ChartHeight

TCustomTeePanel.ChartHeight
TCustomTeePanel

property ChartHeight: Integer;

Unit
TeeProcs

Description
Run-time and read only. The ChartHeight property indicates the total height in pixels between the Top and Bottom Chart Axis positions.

It is equal to:

ChartHeight:=ChartRect.Bottom-ChartRect.Top;

This IS NOT the same as Chart1.Height, because Chart margins, Axis margins, Legend width, etc are first substracted from the Chart vertical size.


TCustomTeePanel.ChartPrintRect

TCustomTeePanel.ChartPrintRect
TCustomTeePanel

function ChartPrintRect: TRect;

Unit
TeeProcs

Description
The ChartPrintRect function returns the printer rectangle coordinates after PrintMargins have been applied. Coordinates are expressed in Printer device units (printer pixels).


TCustomTeePanel.ChartWidth

TCustomTeePanel.ChartWidth
TCustomTeePanel

property ChartWidth: Integer;

Unit
TeeProcs

Description
Run-time and read only. The ChartWidth property indicates the total width in pixels between the Left and Right Chart Axis positions.

It is equal to:

ChartWidth:=ChartRect.Right-ChartRect.Left;

This IS NOT the same as Chart1.Width, because Chart margins, Axis margins, Legend width, etc are first substracted from the Chart horizontal size.


TCustomTeePanel.ChartXCenter

TCustomTeePanel.ChartXCenter
TCustomTeePanel

property ChartXCenter: Integer;

Unit
TeeProcs

Description
This function returns the centre Horizontal co-ordinate of the Chart.

This IS NOT the same as Chart1.Width / 2, because Chart margins, Axis margins, Legend width, etc are first substracted from the Chart horizontal size.

i.e.: TPieSeries uses ChartXCenter for the Pie center.


TCustomTeePanel.ChartYCenter

TCustomTeePanel.ChartYCenter
TCustomTeePanel

property ChartYCenter: Integer;

Unit
TeeProcs

Description
This function returns the middle Vertical coordinate of the Chart.

This IS NOT the same as Chart1.Height / 2, because Chart margins, Axis margins, Legend width, etc are first substracted to the Chart vertical size.

i.e.: TPieSeries uses ChartYCenter for the Pie center.


TCustomTeePanel.CopyToClipboardBitmap

TCustomTeePanel.CopyToClipboardBitmap
TCustomTeePanel

procedure CopyToClipboardBitmap; overload;

Unit
TeeProcs

Description
Copies the whole Chart area to clipboard in bitmap format.


TCustomTeePanel.CopyToClipboardMetafile

TCustomTeePanel.CopyToClipboardMetafile
TCustomTeePanel

procedure CopyToClipboardMetafile(Enhanced: Boolean); overload;

Unit
TeeProcs

Description
Copies the whole chart area to the clipboard in metafile format. You may specify either Windows Metafile (WMF) or Enhanced Metafile (EMF) using the boolean operator.

Example:

// Enhanced Metafile = True

Chart1.CopyToClipboardMetafile(True, Rect(0,0,670,460));


TCustomTeePanel.CustomChartRect

TCustomTeePanel.CustomChartRect
TCustomTeePanel

property CustomChartRect: Boolean;

Unit
TeeProcs

Description
Default is False.

Gets or sets a flag indicating the ChartRect (TRect) public variable should be automatically calculated or not.

By default Charts automatically calculate the ChartRect rectangle based on the size of Chart margins, bevels, border, and the size of Axis Ticks, Labels and Axis LabelsFont size.

You can customize ChartRect to fixed pixel values by setting CustomChartRect property to True.

Example:

Chart1.CustomChartRect := True;
Chart1.ChartRect := Rect( 35, 60, 22, 40 );


TCustomTeePanel.DelphiCanvas

TCustomTeePanel.DelphiCanvas
TCustomTeePanel

property DelphiCanvas: TCanvas;

Unit
TeeProcs

Description

The DelphiCanvas property returns the original VCL Canvas object that corresponds to the Chart control.

The TeeChart components create a specialized Canvas ( TTeeCanvas3D object ) that overrides (encapsulates) the original Canvas.
The new Canvas 3D is used to display charts in 3 dimensions and also to maintain a double-buffered bitmap to avoid screen flicker when redrawing.

The DelphiCanvas property returns the underlying VCL Canvas that is used to display the internal bitmap buffer.

This property can be used to display contents over a Chart without modifying the internal bitmap.

For example, the TChartGalleryPanel component uses the DelphiCanvas property to draw additional "bevel" frames on charts when the mouse passes over a gallery chart.


TCustomTeePanel.Draw

TCustomTeePanel.Draw
TCustomTeePanel

procedure Draw(UserCanvas: TCanvas; Const UserRect: TRect); virtual; overload;

Unit
TeeProcs

Description
Use the Draw method to paint the Chart in your preferred Canvas and region.

It can also be used to Print the Chart in a customized way.


TCustomTeePanel.DrawPanelBevels

TCustomTeePanel.DrawPanelBevels
TCustomTeePanel

procedure DrawPanelBevels(Rect: TRect); dynamic;

Unit
TeeProcs

Description

The DrawPanelBevels method is the responsible to paint the (optional) beveled frames around the Chart display.

The bevels are controlled by the Chart BevelInner, BevelOuter and BorderWidth properties.

See also:

BevelInner property.
BevelOuter property.
BorderWidth property.


TCustomTeePanel.DrawToMetaCanvas

TCustomTeePanel.DrawToMetaCanvas
TCustomTeePanel

procedure DrawToMetaCanvas(ACanvas: TCanvas; Const Rect: TRect);

Unit
TeeProcs

Description

The DrawToMetaCanvas method is called when printing a Chart or creating a metafile.

This method turns off the internal bitmap buffer and draws the Chart to the specified Canvas using Rect parameter as the resulting size and position coordinates.

The internal bitmap buffer is restored after drawing the chart.

It is assumed that the Canvas parameter is in "Anisotropic" mode.

See also:

BufferedDisplay property.
TTeeCanvas.Metafiling property.


TCustomTeePanel.Emboss

TCustomTeePanel.Emboss
TCustomTeePanel

property Emboss: TTeeEmboss;

Unit
TeeProcs

Description
The Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TCustomTeePanel.GetCursorPos

TCustomTeePanel.GetCursorPos
TCustomTeePanel

function GetCursorPos: TPoint;

Unit
TeeProcs

Description
The GetCursorPos function returns a TPoint record containing current mouse cursor position coordinates in pixels. It calls Windows GetCursorPos and adjusts coordinates to TChart origin position using ScreenToClient method.


TCustomTeePanel.GetRectangle

TCustomTeePanel.GetRectangle
TCustomTeePanel

function GetRectangle: TRect; virtual;

Unit
TeeProcs

Description
The GetRectangle function returns the TChart panel bounding rectangle coordinates. It is virtual as itused by TQRChart component to calculate the exact coordinates when previewing and printing Charts in QuickReport printable components. You should use GetRectangle when custom drawing on QuickReport Printer canvas. TChart and TDBChart simply return GetClientRect rectangle coordinates.


TCustomTeePanel.Height3D

TCustomTeePanel.Height3D
TCustomTeePanel

property Height3D: Integer;

Unit
TeeProcs

Description
Run-time and read only. The Height3D property determines the height in pixels of the 3D effect. The Chart.View3D property should be True. It equals zero if Chart.View3D is False.


TCustomTeePanel.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel

Classes derived from TCustomTeePanel
TCustomTeePanelExtended


TCustomTeePanel.Invalidate

TCustomTeePanel.Invalidate
TCustomTeePanel

procedure Invalidate; override;

Unit
TeeProcs

Description
Calls Windows API to repaint the Chart.

See also: AutoRepaint and BufferedDisplay


TCustomTeePanel.IsScreenHighColor

TCustomTeePanel.IsScreenHighColor
TCustomTeePanel

function IsScreenHighColor: Boolean;

Unit
TeeProcs

Description
The IsScreenHighColor function returns True if the current video mode color depth is greater than 256 colors.

Example:

This code shows or hides the Chart.Gradient:

Chart1.Gradient.Visible := Chart1.IsScreenHighColor ;


TCustomTeePanel.MarginBottom

TCustomTeePanel.MarginBottom
TCustomTeePanel

property MarginBottom: Integer;

Unit
TeeProcs

Description
Each Chart component has four margin properties: MarginLeft, MarginRight, MarginTop and MarginBottom.

These properties are expressed as percentages of total Chart width/height. Default values are 4 for top and bottom margins and 3 for left and right margins.


TCustomTeePanel.MarginLeft

TCustomTeePanel.MarginLeft
TCustomTeePanel

property MarginLeft: Integer;

Unit
TeeProcs

Description
Each Chart component has four margin properties: MarginLeft, MarginRight, MarginTop and MarginBottom.

These properties are expressed in screen pixels. Default values are 4 for top and bottom margins and 3 for left and right margins.


TCustomTeePanel.MarginRight

TCustomTeePanel.MarginRight
TCustomTeePanel

property MarginRight: Integer;

Unit
TeeProcs

Description
Each Chart component has four margin properties: MarginLeft, MarginRight, MarginTop and MarginBottom.

These properties are expressed in screen pixels. Default values are 4 for top and bottom margins and 3 for left and right margins.


TCustomTeePanel.MarginTop

TCustomTeePanel.MarginTop
TCustomTeePanel

property MarginTop: Integer;

Unit
TeeProcs

Description
Each Chart component has four margin properties: MarginLeft, MarginRight, MarginTop and MarginBottom.

These properties are expressed in screen pixels. Default values are 4 for top and bottom margins and 3 for left and right margins.


TCustomTeePanel.MarginUnits

TCustomTeePanel.MarginUnits
TCustomTeePanel

property MarginUnits: TTeeUnits;

Unit
TeeProcs

Description
Default value: muPercent

Determines the units of the four margin properties:

MarginLeft
MarginTop
MarginRight
MarginBottom

When MarginUnits is muPercent, chart margins are calculated as percentage of total chart width and height.
Percent margins are useful to obtain the same margin proportions, no matter the chart size.

When MarginUnits is muPixels, chart margins are just the pixel quantity.

Example:

Chart1.MarginUnits := muPixels ;
Chart1.MarginLeft := 10 ; // 10 pixels
Chart1.MarginRight := 10 ; // 10 pixels


TCustomTeePanel.Monochrome

TCustomTeePanel.Monochrome
TCustomTeePanel

property Monochrome: Boolean;

Unit
TeeProcs

Description
Default Value: False

The Monochrome property will allow Charts to be draw using only black and white colors. It's not yet completely implemented. It uses the internal Bitmap.Monochrome property to create a grey-scaled image output.


TCustomTeePanel.OnBeforePrint

TCustomTeePanel.OnBeforePrint
TCustomTeePanel

property OnBeforePrint: TTeePrintEvent;

Unit
TeeProcs

Description

This event is called just before the panel (Chart, Tree, etc) is about to be printed using any of the available Print methods.


TCustomTeePanel.OriginalCursor

TCustomTeePanel.OriginalCursor
TCustomTeePanel

property OriginalCursor: TCursor;

Unit
TeeProcs

Description
This public property returns the original Chart.Cursor property. Used to reset the cursor when the mouse moves over the series.


TCustomTeePanel.Panning

TCustomTeePanel.Panning
TCustomTeePanel

property Panning: TTeePanning;

Unit
TeeProcs

Description
Accesses the scroll panning properties for the Chart Panel.


TCustomTeePanel.Print

TCustomTeePanel.Print
TCustomTeePanel

procedure Print;

Unit
TeeProcs

Description
This method will send the Chart to the currently selected Printer. The current Printer orientation (Portrait or Landscape) can be changed prior to call PrintRect.


TCustomTeePanel.Printing

TCustomTeePanel.Printing
TCustomTeePanel

property Printing: Boolean;

Unit
TeeProcs

Description
Run-time and read only. The Printing property indicates Chart is being printed, for example calling the Print method.


TCustomTeePanel.PrintLandscape

TCustomTeePanel.PrintLandscape
TCustomTeePanel

procedure PrintLandscape;

Unit
TeeProcs

Description
This method will set the current Printer orientation to Landscape (Horizontal paper). Then, the default Chart.Print method will be called and the previous Printer orientation will be restored.


TCustomTeePanel.PrintMargins
Contents All Classes Index A-Z All Units

TCustomTeePanel.PrintMargins
TCustomTeePanel

property PrintMargins: TRect;

Unit
TeeProcs

Description
The PrintMargins property defines the Left, Top, Right and Bottom printer paper margins. These margins are expressed in percent of paper dimensions. The PrintMargins property returns the Left, Top, Right and Bottom insets (default 15,15,15,15).

See also:

PrintProportional property.


TCustomTeePanel.PrintOrientation

TCustomTeePanel.PrintOrientation
TCustomTeePanel

procedure PrintOrientation(AOrientation: TPrinterOrientation);

Unit
TeeProcs

Description
This method will send the Chart to the currently selected Printer forcing the paper orientation to be AOrientation. The old Printer orientation is restored after printing.


TCustomTeePanel.PrintPartial

TCustomTeePanel.PrintPartial
TCustomTeePanel

procedure PrintPartial(Const PrinterRect: TRect);

Unit
TeeProcs

Description

This method will send the Chart to the currently selected Printer, scaled to the R rectangular region. The current Printer orientation (Portrait or Landscape) can be changed prior to call PrintRect. The biggest rectangular region is the (0,0,Printer.PageWidth-1,Printer.PageHeight-1)

The main difference between PrintPartial and PrintRect is that the first one does not call the Printer BeginDoc and EndDoc methods thus allowing you to print more charts or custom printing together in the same paper page.


TCustomTeePanel.PrintPartialCanvas

TCustomTeePanel.PrintPartialCanvas
TCustomTeePanel

procedure PrintPartialCanvas(PrintCanvas: TCanvas; Const PrinterRect: TRect);

Unit
TeeProcs

Description
The PrintPartialCanvas method can be used to send a Chart to the Printer device. This method assumes the Printer job has been started and do not ejects the Printer page. You can determine the printed chart position and dimensions in the PrinterRect parameter.

This method allows printing more than one chart on the same page, or printing charts, custom text and custom drawings.

The TChart.PrintResolution property controls how much "wysiwyg" printing will be applied.

Example:

This code prints a chart on an already started printed job:

Chart1.PrintPartialCanvas(Printer.Canvas, Rect( 200, 200, 1000, 1000));

There are many other methods to print charts. See "See Also".


TCustomTeePanel.PrintPortrait

TCustomTeePanel.PrintPortrait
TCustomTeePanel

procedure PrintPortrait;

Unit
TeeProcs

Description
This method will set the current Printer orientation to Portrait (Vertical paper). Then, the default Chart.Print method will be called and the previous Printer orientation will be restored.


TCustomTeePanel.PrintProportional

TCustomTeePanel.PrintProportional
TCustomTeePanel

property PrintProportional: Boolean;

Unit
TeeProcs

Description
Default true. Sets the print dimensions of the Chart to be proportional to the onscreen dimensions.


TCustomTeePanel.PrintRect

TCustomTeePanel.PrintRect
TCustomTeePanel

procedure PrintRect(Const R: TRect);

Unit
TeeProcs

Description
This method will send the Chart to the currently selected Printer, scaled to the R rectangular region. The current Printer orientation (Portrait or Landscape) can be changed prior to call PrintRect. The biggest rectangular region is the (0,0,Printer.PageWidth-1,Printer.PageHeight-1)


TCustomTeePanel.PrintResolution

TCustomTeePanel.PrintResolution
TCustomTeePanel

property PrintResolution: Integer;

Unit
TeeProcs

Description
Default 0

Run-time and read only.The PrintResolution property controls how screen pixels will be mapped to printer pixels. By default it's zero, meaning screen proportions will be respected when printing. To get smaller fonts and thinner lines, you should set PrintResolution to a negative number.

Chart1.PrintResolution := 0 ; { this will use screen resolution }

Chart1.PrintResolution := -100 ; { this will use more printer resolution }


TCustomTeePanel.ReCalcWidthHeight

TCustomTeePanel.ReCalcWidthHeight
TCustomTeePanel

procedure ReCalcWidthHeight;

Unit
TeeProcs

Description
The ReCalcWidthHeight method recalculates the ChartWidth and ChartHeight variables.

You should maybe never call this method. It's called automatically by the TChart component.

This is the implementation of ReCalcWidthHeight:

procedure TChart.RecalcWidthHeight;
begin
ChartWidth:=ChartRect.Right-ChartRect.Left;

if ChartWidth<=0 then ChartWidth:=1;

ChartHeight:=ChartRect.Bottom-ChartRect.Top;

if ChartHeight<=0 then ChartHeight:=1;
end;


TCustomTeePanel.SaveToBitmapFile

TCustomTeePanel.SaveToBitmapFile
TCustomTeePanel

procedure SaveToBitmapFile(Const FileName: String); overload;

Unit
TeeProcs

Description
This method will save the current chart image to the specified File Name. You should pass a valid path and name, ending with the BMP extension.


TCustomTeePanel.SaveToMetafile

TCustomTeePanel.SaveToMetafile
TCustomTeePanel

procedure SaveToMetafile(Const FileName: String);

Unit
TeeProcs

Description
The SaveToMetafile method creates a new WMF file and stores Chart drawing instructions on it. WMF's are created to be "placeable" and prefixed with the Aldus header. That means the image can be resized when embedded in container applications like MS Word. The Metafile format has the advantadge of being smaller than equivalent saved images in bitmap format. Disadvantages are that some Windows GDI (graphic API) calls can't be used with metafiles. Clipping points from chart bounds is not possible with metafiles.

The new EMF format (using the 32bit version) promises to be a much better format supporting more graphic instructions.

Example:

This code creates a new WMF metafile:

Chart1.SaveToMetafile( 'c:\mychart.wmf' );


TCustomTeePanel.SaveToMetafileEnh

TCustomTeePanel.SaveToMetafileEnh
TCustomTeePanel

procedure SaveToMetafileEnh(Const FileName: String);

Unit
TeeProcs

Description
The SaveToMetafileEnh method creates a new Enhanced WMF file and stores Chart drawing instructions on it. WMF's are created to be "placeable" and prefixed with the Aldus header. That means the image can be resized when embedded in container applications like MS Word. The Metafile format has the advantadge of being smaller than equivalent saved images in bitmap format. Disadvantages are that some Windows GDI (graphic API) calls can't be used with metafiles. EMF format (using the 32bit version) is a much better format supporting more graphic instructions than mpleetafile format.

Example:

This code creates a new Enhanced WMF metafile:

Chart1.SaveToMetafileEnh( 'c:\mychart.wmf' );


TCustomTeePanel.SaveToMetafileRect

TCustomTeePanel.SaveToMetafileRect
TCustomTeePanel

procedure SaveToMetafileRect(Enhanced: Boolean; Const FileName: String; Const Rect: TRect);

Unit
TeeProcs

Description

Stores the Chart display into a metafile file. The Enhanced parameter defines if a extended or normal metafile is used.
( Enhanced metafiles have the EMF file extension. Normal metafiles have the WMF file extension. )

The metafile is created and the chart is drawn using the Rect coordinates.

See also:

TeeCreateMetafile method.


TCustomTeePanel.SetBrushCanvas

TCustomTeePanel.SetBrushCanvas
TCustomTeePanel

procedure SetBrushCanvas(aColor: TColor; ABrush: TChartBrush; ABackColor: TColor);

Unit
TeeProcs

Description
The SetBrushCanvas method solves an annoying problem with standard behaviour. The VCL automatically sets the Windows GDI background mode to TRANSPARENT when the Brush.Style property is set to a different Brush style than bsSolid. This means all filled Screen parts should be erased previous to apply the transparent brush. This method calls the Windows GDI API directly to set the Windows Brush mode to OPAQUE and Windows Brush Background Color to ABackColor parameter. Use this method when you want to draw non solid patterns that need to be OPAQUE (erasing existing pixels before filling).

Example:

We want to custom draw a rectangle filled with White color and a Vertical pattern Brush of Red color.
The rectangle will cover all Chart screen space between Axis.

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
Chart1.Walls.Back.Brush.Style:=bsDiagCross;

// Chart1.Canvas.AssignBrush(Chart1.Walls.Back.Brush, clRed, clWhite);

Chart1.SetBrushCanvas(clRed, Chart1.Walls.Back.Brush, clWhite);

Chart1.Canvas.Rectangle(Chart1.ChartRect);
end;

See also: Equivalent Canvas AssignBrush method.


TCustomTeePanel.SetInternalCanvas

TCustomTeePanel.SetInternalCanvas
TCustomTeePanel

procedure SetInternalCanvas(NewCanvas: TCanvas3D);

Unit
TeeProcs

Description
(Advanced)

The SetInternalCanvas method replaces TChart internal canvas component used to draw chart contents. It can be seen as a protected Set method for TChart.Canvas property, which is read-only.


TCustomTeePanel.Shadow

TCustomTeePanel.Shadow
TCustomTeePanel

property Shadow: TTeeShadow;

Unit
TeeProcs

Description
Properties used to draw a shadow effect behind the chart panel.

Chart1.Shadow.HorizSize:=5;
Chart1.Shadow.VertSize:=5;
Chart1.Shadow.Color:=clDkGray;


TCustomTeePanel.TeeCreateBitmap

TCustomTeePanel.TeeCreateBitmap
TCustomTeePanel

function TeeCreateBitmap(ABackColor: TColor; Const Rect: TRect; APixelFormat: TPixelFormat; ADpi: Integer): TBitmap; overload;

Unit
TeeProcs

Description
The TeeCreateBitmap function returns a new Bitmap handle. You should destroy the bitmap after use.


TCustomTeePanel.TeeCreateMetafile

TCustomTeePanel.TeeCreateMetafile
TCustomTeePanel

function TeeCreateMetafile(Enhanced: Boolean; Const Rect: TRect): TMetafile;

Unit
TeeProcs

Description
The TeeCreateMetafile function returns a new Metafile handle. Metafiles are vector graphic formats. See the Windows API regarding Metafile details. You should always delete the returned Metafile handle after using it.


TCustomTeePanel.View3D

TCustomTeePanel.View3D
TCustomTeePanel

property View3D: Boolean;

Unit
TeeProcs

Description
Default value: True

View3D will draw each Series simulating a 3D effect.You can control the 3D proportion by using Chart.Chart3DPercent property. Chart.View3DWalls depends on View3D property.


TCustomTeePanel.View3DOptions

TCustomTeePanel.View3DOptions
TCustomTeePanel

property View3DOptions: TView3DOptions;

Unit
TeeProcs

Description
The TView3dOptions component controls access to overall Chart Zoom and position.


TCustomTeePanel.Width3D

TCustomTeePanel.Width3D
TCustomTeePanel

property Width3D: Integer;

Unit
TeeProcs

Description
Run-time and read only. The Width3D property determines the width in pixels of the Chart 3D effect. The Chart.View3D property should be True. It equals zero if Chart.View3D is False. It changes when changing the Chart.Chart3DPercent property.


TCustomTeePanelExtended.0events

TCustomTeePanelExtended events
TCustomTeePanelExtended Legend key

Unit
TeeProcs

In TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeePanelExtended.0methods

TCustomTeePanelExtended methods
TCustomTeePanelExtended Legend key

Unit
TeeProcs

In TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage
UndoZoom

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTeePanelExtended.0properties

TCustomTeePanelExtended properties
TCustomTeePanelExtended Legend key

Unit
TeeProcs

In TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTeePanelExtended.AllowPanning

TCustomTeePanelExtended.AllowPanning
TCustomTeePanelExtended

property AllowPanning: TPanningMode;

Unit
TeeProcs

Description
Setting AllowPanning defines the allowed panning (scrolling) mode of the panel (pmNone, pmHorizontal, pmVertical, pmBoth).

Scrolling is activated at run-time by clicking and dragging the mouse. (By default using the right mouse button).


TCustomTeePanelExtended.AllowZoom

TCustomTeePanelExtended.AllowZoom
TCustomTeePanelExtended

property AllowZoom: Boolean;

Unit
TeeProcs

Description

This property has been deprecated. Please do not use it.

Use the new property: TTeeZoom.Allow used by Chart Zoom property.

Setting AllowZoom enables/disables zooming on the panel.

By default zoom is performed at runtime by clicking and dragging the left mouse button from left / top to right / bottom direction.


TCustomTeePanelExtended.AnimatedZoom

TCustomTeePanelExtended.AnimatedZoom
TCustomTeePanelExtended

property AnimatedZoom: Boolean;

Unit
TeeProcs

Description

This property has been deprecated. Please do not use it.
Use the new Animated property and TTeeZoom.AnimatedSteps

Setting AnimatedZoom enables/disables Animated zooming on the panel.


TCustomTeePanelExtended.AnimatedZoomSteps

TCustomTeePanelExtended.AnimatedZoomSteps
TCustomTeePanelExtended

property AnimatedZoomSteps: Integer;

Unit
TeeProcs

Description

This property has been deprecated. Please do not use it.
Use the new property: TTeeZoom.AnimatedSteps

The AnimatedZoomSteps property determines the number of steps of the animated zooming sequence.


TCustomTeePanelExtended.BackImage

TCustomTeePanelExtended.BackImage
TCustomTeePanelExtended

property BackImage: TBackImage;

Unit
TeeProcs

Description
The BackImage property defines the Panel background image.


TCustomTeePanelExtended.BackImageInside

TCustomTeePanelExtended.BackImageInside
TCustomTeePanelExtended

property BackImageInside: Boolean;

Unit
TeeProcs

Description
Default is False

When True this property restricts display of the BackImage to inside the chart Frame area (Chart BackWall boundaries).


TCustomTeePanelExtended.BackImageMode

TCustomTeePanelExtended.BackImageMode
TCustomTeePanelExtended

property BackImageMode: TTeeBackImageMode;

Unit
TeeProcs

Description
The BackImageMode property determines how the background BackImage bitmap will be displayed.


TCustomTeePanelExtended.BackImageTransp

TCustomTeePanelExtended.BackImageTransp
TCustomTeePanelExtended

property BackImageTransp: Boolean;

Unit
TeeProcs

Description
The BackImageTransp property is used when the BackImage property of a Chart is not empty.

When BackImageTransp property is false (the default), the BackImage is displayed in a way that it obscures the chart background.

When BackImageTransp is set to true, the first right-lower pixel in BackImage is used as the "transparent" color. (This is exactly what VCL TBitmap does), so all pixels with the same color in BackImage will not be copied to the background chart.


TCustomTeePanelExtended.DrawZoomRectangle

TCustomTeePanelExtended.DrawZoomRectangle
TCustomTeePanelExtended

procedure DrawZoomRectangle;

Unit
TeeProcs

Description
Use DrawZoomRectangle to draw the rectangle for the last mousedown/up rectangle.


TCustomTeePanelExtended.Gradient

TCustomTeePanelExtended.Gradient
TCustomTeePanelExtended

property Gradient: TChartGradient;

Unit
TeeProcs

Description
The Gradient property specifies the colors used to fill the Panel background. Panel background is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the TChartGradient.Direction property. Use the Visible property to show / hide filling.


TCustomTeePanelExtended.HasBackImage

TCustomTeePanelExtended.HasBackImage
TCustomTeePanelExtended

function HasBackImage: Boolean;

Unit
TeeProcs

Description
Returns True when the panel component is using a BackImage to fill its interior.
It is equivalent to check:

result:=Assigned(BackImage) and Assigned(BackImage.Graphic);


TCustomTeePanelExtended.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended

Classes derived from TCustomTeePanelExtended
TCustomAxisPanel
TDraw3D
TPreviewGradient
TTeePreviewPanel


TCustomTeePanelExtended.OnAfterDraw

TCustomTeePanelExtended.OnAfterDraw
TCustomTeePanelExtended

property OnAfterDraw: TNotifyEvent;

Unit
TeeProcs

Description
Triggered after chart has been displayed.
This event gives the opportunity to draw additional text or drawings to chart.
This event is called when drawing to screen and when printing.

Example:

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
with Chart1.Canvas do
begin
Font.Color:=clBlue;
Font.Size:=16;
Font.Style:=[];
TextOut(10,10,'Hello');

Pen.Color:=clRed;
Pen.Width:=3;
Pen.Style:=psSolid;
MoveTo( Chart1.ChartRect.Left, Chart1.ChartRect.Top );
LineTo( Chart1.ChartRect.Right, Chart1.ChartRect.Bottom );
end;
end;


TCustomTeePanelExtended.OnScroll

TCustomTeePanelExtended.OnScroll
TCustomTeePanelExtended

property OnScroll: TNotifyEvent;

Unit
TeeProcs

Description
Called when the end user scrolls the chart by dragging the right mouse button inside chart space.


TCustomTeePanelExtended.OnUndoZoom

TCustomTeePanelExtended.OnUndoZoom
TCustomTeePanelExtended

property OnUndoZoom: TNotifyEvent;

Unit
TeeProcs

Description
Called when end user undoes previously applied zoom.
Zoom is undone by dragging the left mouse button from bottom-right to left-top.


TCustomTeePanelExtended.OnZoom

TCustomTeePanelExtended.OnZoom
TCustomTeePanelExtended

property OnZoom: TNotifyEvent;

Unit
TeeProcs

Description
Called when end user zooms a chart.
A chart can be zoomed by dragging the left mouse button from left-top to right-bottom.


TCustomTeePanelExtended.ScrollMouseButton

TCustomTeePanelExtended.ScrollMouseButton
TCustomTeePanelExtended

property ScrollMouseButton: TMouseButton;

Unit
TeeProcs

Description
Gets or sets the mouse button to be used for scrolling the mouse over the panel when the button is clicked.
Default value : mbRight

values :- TMouseButton = (mbLeft, mbRight, mbMiddle);


TCustomTeePanelExtended.UndoZoom

TCustomTeePanelExtended.UndoZoom
TCustomTeePanelExtended

procedure UndoZoom; dynamic;

Unit
TeeProcs

Description
The UndoZoom method will rescale the Panel to its original values. UndoZoom also restores any runtime scroll.


TCustomTeePanelExtended.Zoom

TCustomTeePanelExtended.Zoom
TCustomTeePanelExtended

property Zoom: TTeeZoom;

Unit
TeeProcs

Description
Setting Zoom determines the behaviour characteristics of zooming on the Panel.

Zooming is activated by clicking and dragging the left mouse button from left/top to right/bottom direction.


TCustomTeePanelExtended.Zoomed

TCustomTeePanelExtended.Zoomed
TCustomTeePanelExtended

property Zoomed: Boolean;

Unit
TeeProcs

Description
Run-time only.

Zoomed is set to True when users apply zoom or scroll to the Panel using the mouse at run-time.


TCustomTeePanelLink.Panel

TCustomTeePanelLink.Panel
TCustomTeePanelLink

property Panel: TCustomTeePanel;

Unit
TeeAnimate

Description
Gets or Sets the panel where the animations will be assigned to.


TCustomTrendFunction.0events

TCustomTrendFunction events
TCustomTrendFunction Legend key

Unit
CurvFitt

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTrendFunction.0methods

TCustomTrendFunction methods
TCustomTrendFunction Legend key

Unit
CurvFitt

In TCustomTrendFunction
CalculateTrend
Coefficient

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTrendFunction.0properties

TCustomTrendFunction properties
TCustomTrendFunction Legend key

Unit
CurvFitt

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTrendFunction.CalculateTrend

TCustomTrendFunction.CalculateTrend
TCustomTrendFunction

function CalculateTrend(Var m, b: Double; Source: TChartSeries; FirstIndex, LastIndex: Integer): Boolean;

Unit
CurvFitt

Description
The CalculateTrend method uses [FistIndex,..,LastIndex] Source series points to calculate trend line parameters m and b.
Trend line is defined by the following equation:

y = m*x + b


TCustomTrendFunction.Coefficient

TCustomTrendFunction.Coefficient
TCustomTrendFunction

function Coefficient(Source: TChartSeries; FirstIndex, LastIndex: Integer): Double;

Unit
CurvFitt

Description
Returns the correlation coefficient of source series point values, from FirstIndex to LastIndex.

The result is a number between -1 and 1 indicating how related are the X and Y values of source series, being 0 if the values are totally unrelated.


TCustomTrendFunction.Hierarchy

Unit
CurvFitt

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomTrendFunction

Classes derived from TCustomTrendFunction
TCorrelationFunction
TExpTrendFunction
TTrendFunction


TCustomTriSurfaceSeries.0events

TCustomTriSurfaceSeries events
TCustomTriSurfaceSeries Legend key

Unit
TeeTriSurface

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTriSurfaceSeries.0methods

TCustomTriSurfaceSeries methods
TCustomTriSurfaceSeries Legend key

Unit
TeeTriSurface

In TCustomTriSurfaceSeries
Clicked
NumSampleValues
TrianglePoints

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TCustomTriSurfaceSeries.0properties

TCustomTriSurfaceSeries properties
TCustomTriSurfaceSeries Legend key

Unit
TeeTriSurface

In TCustomTriSurfaceSeries
Border
FastBrush
HideTriangles
Transparency

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TCustomTriSurfaceSeries.Border

TCustomTriSurfaceSeries.Border
TCustomTriSurfaceSeries

property Border: TChartHiddenPen;

Unit
TeeTriSurface

Description
Read Border to obtain the TChartHiddenPen object that represents the color and style of the TriSurface border.
Use the properties of Border to change the color or style.

The Border is used to display a line around all the perimeter boundaries of the TriSurface triangles.

Example:

Series1.Border.Visible := True ;


TCustomTriSurfaceSeries.Clicked

TCustomTriSurfaceSeries.Clicked
TCustomTriSurfaceSeries

function Clicked(x, y: Integer): Integer; override;

Unit
TeeTriSurface

Description
Returns the index of the TriSurface series triangle that is nearest to the specified XY screen pixel position.

Triangles are calculated based on the series XYZ point values.

See also the TrianglePoints method to obtain the screen pixel coordinates for the 3 points of a given triangle.


TCustomTriSurfaceSeries.FastBrush

TCustomTriSurfaceSeries.FastBrush
TCustomTriSurfaceSeries

property FastBrush: Boolean;

Unit
TeeTriSurface

Description
Optimization property. Default = False

When True, the series triangles are displayed using a simple (and faster) solid brush color.

This can increment display speed in some Windows versions (XP and later), for large tri-surface series.


TCustomTriSurfaceSeries.HideTriangles

TCustomTriSurfaceSeries.HideTriangles
TCustomTriSurfaceSeries

property HideTriangles: Boolean;

Unit
TeeTriSurface

Description
Default is True.

When HideTriangles is True, the TriSurface series will use an internal algorithm to remove triangles that are hidden from other triangles.
Triangles more at the front of the viewer perspective can hide other triangles.

Note: The hidding algorithm can be a slow process.

When using the OpenGL Canvas, HideTriangles is not used as the OpenGL library already does hidding.


TCustomTriSurfaceSeries.Hierarchy

Unit
TeeTriSurface

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustomTriSurfaceSeries

Classes derived from TCustomTriSurfaceSeries
TTriSurfaceSeries


TCustomTriSurfaceSeries.NumSampleValues

TCustomTriSurfaceSeries.NumSampleValues
TCustomTriSurfaceSeries

function NumSampleValues: Integer; override;

Unit
TeeTriSurface

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TCustomTriSurfaceSeries.Transparency

TCustomTriSurfaceSeries.Transparency
TCustomTriSurfaceSeries

property Transparency: TTeeTransparency;

Unit
TeeTriSurface

Description
From 0 to 100, controls the semi-glass effect when displaying the tri-surface triangles.


TCustomTriSurfaceSeries.TrianglePoints

TCustomTriSurfaceSeries.TrianglePoints
TCustomTriSurfaceSeries

procedure TrianglePoints(TriangleIndex: Integer; Var P: TTrianglePoints3D);

Unit
TeeTriSurface

Description
Returns the XYZ coordinates of 3 points that form the triangle stored at the TriangleIndex position inside the internal triangles list.

See also the Clicked function to obtain a triangle index from a given xy pixel position.


TDarkGrayPen.0events

TDarkGrayPen events
TDarkGrayPen Legend key

Unit
TeCanvas

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TDarkGrayPen.0methods

TDarkGrayPen methods
TDarkGrayPen Legend key

Unit
TeCanvas

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDarkGrayPen.0properties

TDarkGrayPen properties
TDarkGrayPen Legend key

Unit
TeCanvas

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TDarkGrayPen.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TDarkGrayPen

Classes derived from TDarkGrayPen
TTicks


TDarvasSeries.0events

TDarvasSeries events
TDarvasSeries Legend key

Unit
CandleCh

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDarvasSeries.0methods

TDarvasSeries methods
TDarvasSeries Legend key

Unit
CandleCh

In TDarvasSeries
ClickedBox

Derived from TCandleSeries
AddCandle
Clicked
ClickedCandle
LegendItemColor
MaxYValue
MinYValue

Derived from TOHLCSeries
AddOHLC
GetRandomOHLC
IsValidSourceOf
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDarvasSeries.0properties

TDarvasSeries properties
TDarvasSeries Legend key

Unit
CandleCh

In TDarvasSeries
BoxBrush
BoxPen
NumBoxes

Derived from TCandleSeries
CandleDepth
CandleStyle
CandleWidth
CloseTickColor
ColorStyle
Dark3D
DownCloseColor
DownCloseGradient
Draw3D
HighLowPen
OpenTickColor
Pen
ShowCloseTick
ShowOpenTick
UpCloseColor
UpCloseGradient

Derived from TOHLCSeries
CloseValues
DateValues
HighValues
LowValues
OpenValues

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDarvasSeries.BoxBrush

TDarvasSeries.BoxBrush
TDarvasSeries

property BoxBrush: TChartBrush;

Unit
CandleCh

Description
The BoxBrush property defines the Brush used to fill the boxes. You can set the Brush Color and Brush Style properties.


TDarvasSeries.BoxPen

TDarvasSeries.BoxPen
TDarvasSeries

property BoxPen: TChartPen;

Unit
CandleCh

Description
Pen properties used to display a border around box boundaries.


TDarvasSeries.ClickedBox

TDarvasSeries.ClickedBox
TDarvasSeries

function ClickedBox(x, y: Integer): Integer;

Unit
CandleCh

Description
This functions returns the Index of the "clicked" box.
Clicked means the X and Y coordinates are in the box screen region bounds.
If no box is "touched", Clicked returns -1


TDarvasSeries.Hierarchy

Unit
CandleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TOHLCSeries
|
TCandleSeries
|
TDarvasSeries

Classes derived from TDarvasSeries
(none)


TDarvasSeries.NumBoxes

TDarvasSeries.NumBoxes
TDarvasSeries

property NumBoxes: Integer;

Unit
CandleCh

Description
Read-only property which returns the number of boxes created.


TDataSourcesList.0events

TDataSourcesList events
TDataSourcesList Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TDataSourcesList.0methods

TDataSourcesList methods
TDataSourcesList Legend key

Unit
TeEngine

In TDataSourcesList
Add
Clear

Derived from TList
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDataSourcesList.0properties

TDataSourcesList properties
TDataSourcesList Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TDataSourcesList.Add

TDataSourcesList.Add
TDataSourcesList

function Add(Value: TComponent): Integer;

Unit
TeEngine

Description
Adds a new component to the internal list of data sources.
This method performs the appropiate validations and calls the series CheckDataSource method.


TDataSourcesList.Clear

TDataSourcesList.Clear
TDataSourcesList

procedure Clear; override;

Unit
TeEngine

Description
Removes all data source components from the series internal list of sources.
This method does the appropiate checkings and clears all points from the series.


TDataSourcesList.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TDataSourcesList

Classes derived from TDataSourcesList
(none)


TDataTableTool.0events

TDataTableTool events
TDataTableTool Legend key

Unit
TeeDataTableTool

In TDataTableTool
OnFilterSeries

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDataTableTool.0methods

TDataTableTool methods
TDataTableTool Legend key

Unit
TeeDataTableTool

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDataTableTool.0properties

TDataTableTool properties
TDataTableTool Legend key

Unit
TeeDataTableTool

In TDataTableTool
AutoPosition
ClipText
ColumnPen
Font
Inverted
Left
Legend
RowPen
Top

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDataTableTool.AutoPosition

TDataTableTool.AutoPosition
TDataTableTool

property AutoPosition: Boolean;

Unit
TeeDataTableTool

Description
Default : True

Defines where to display the DataTable into the Chart region..


TDataTableTool.ClipText

TDataTableTool.ClipText
TDataTableTool

property ClipText: Boolean;

Unit
TeeDataTableTool

Description
The ClipText boolean property toggles if texts outside cells limits will overwrite any other Chart region.

By default it is True, meaning texts will be drawn only within inner cell boundaries.


TDataTableTool.ColumnPen

TDataTableTool.ColumnPen
TDataTableTool

property ColumnPen: TChartPen;

Unit
TeeDataTableTool

Description
Pen properties used to display the columns of the table.


TDataTableTool.Font

TDataTableTool.Font
TDataTableTool

property Font: TTeeFont;

Unit
TeeDataTableTool

Description
Font properties used for texts in DataTable.


TDataTableTool.Hierarchy

Unit
TeeDataTableTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TDataTableTool

Classes derived from TDataTableTool
(none)


TDataTableTool.Inverted

TDataTableTool.Inverted
TDataTableTool

property Inverted: Boolean;

Unit
TeeDataTableTool

Description
Default : False

When Inverted is True, the table rows will be swapped. Legend and Texts will be displayed accordingly.


TDataTableTool.Left

TDataTableTool.Left
TDataTableTool

property Left: Integer;

Unit
TeeDataTableTool

Description
Defines de Left position in pixels, when AutoPosition is False.


TDataTableTool.Legend

TDataTableTool.Legend
TDataTableTool

property Legend: TTableLegend;

Unit
TeeDataTableTool

Description
Accesses Legend characteristics of DataTable.


TDataTableTool.OnFilterSeries

TDataTableTool.OnFilterSeries
TDataTableTool

property OnFilterSeries: TDataTableFilterSeries;

Unit
TeeDataTableTool

Description
This event is called every time the DataTable tool is displayed, once per each series in the chart.
You can use this event to select specific series to hide or display in the table grid.


TDataTableTool.RowPen

TDataTableTool.RowPen
TDataTableTool

property RowPen: TChartPen;

Unit
TeeDataTableTool

Description
Pen properties used to display the rows of the table.


TDataTableTool.Top

TDataTableTool.Top
TDataTableTool

property Top: Integer;

Unit
TeeDataTableTool

Description
Defines de Top position in pixels, when AutoPosition is False.


TDBChart.0events

TDBChart events
TDBChart Legend key

Unit
DBChart

Derived from TCustomDBChart
OnProcessRecord

Derived from TCustomChart
OnAllowScroll
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnClickTitle
OnGetLegendPos
OnGetLegendRect
OnGetLegendText

Derived from TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBChart.0methods

TDBChart methods
TDBChart Legend key

Unit
DBChart

Derived from TCustomDBChart
Assign
CheckDatasource
FillSeriesSourceItems
FillValueSourceItems
IsValidDataSource
RefreshData
RefreshDataSet

Derived from TCustomChart
AxisTitleOrName
CalcClickedPart
ClearChart
FormattedLegend
FormattedValueLegend
GetASeries
IsFreeSeriesColor
NextPage
PreviousPage
RemoveAllSeries
SeriesDown
SeriesUp
UndoZoom
ZoomPercent
ZoomRect

Derived from TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CountActiveSeries
ExchangeSeries
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDBChart.0properties

TDBChart properties
TDBChart Legend key

Unit
DBChart

Derived from TCustomDBChart
AutoRefresh
RefreshInterval
ShowGlassCursor

Derived from TCustomChart
BackColor
BackWall
BottomWall
ColorPaletteIndex
Foot
Frame
LeftWall
Legend
RightWall
SubFoot
SubTitle
Title
Walls

Derived from TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBChart.Hierarchy

Unit
DBChart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel
|
TCustomChart
|
TCustomDBChart
|
TDBChart

Classes derived from TDBChart
(none)


TDBChartDataSource.0events

TDBChartDataSource events
TDBChartDataSource Legend key

Unit
DBChart

Derived from TDataSource
AutoEdit
DataLinks
DataSet
Enabled
OnDataChange
OnStateChange
OnUpdateData
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBChartDataSource.0methods

TDBChartDataSource methods
TDBChartDataSource Legend key

Unit
DBChart

Derived from TDataSource
AddDataLink
Create
DataEvent
Destroy
Edit
IsLinkedTo
NotifyDataLinks
NotifyLinkTypes
RemoveDataLink
SetDataSet
SetEnabled
SetState
UpdateState

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDBChartDataSource.0properties

TDBChartDataSource properties
TDBChartDataSource Legend key

Unit
DBChart

Derived from TDataSource
AutoEdit
DataLinks
DataSet
Enabled
OnDataChange
OnStateChange
OnUpdateData
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBChartDataSource.Hierarchy

Unit
DBChart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TDataSource
|
TDBChartDataSource

Classes derived from TDBChartDataSource
(none)


TDBCrossTabSource.0events

TDBCrossTabSource events
TDBCrossTabSource Legend key

Unit
TeeDBCrossTab

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBCrossTabSource.0methods

TDBCrossTabSource methods
TDBCrossTabSource Legend key

Unit
TeeDBCrossTab

In TDBCrossTabSource
Load

Derived from TTeeSeriesDBSource
Available

Derived from TTeeSeriesSource
Close
Description
Editor
HasNew
HasSeries
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDBCrossTabSource.0properties

TDBCrossTabSource properties
TDBCrossTabSource Legend key

Unit
TeeDBCrossTab

In TDBCrossTabSource
CaseSensitive
DataSet
Formula
GroupField
HideSeries
LabelField
ValueField

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBCrossTabSource.CaseSensitive

TDBCrossTabSource.CaseSensitive
TDBCrossTabSource

property CaseSensitive: Boolean;

Unit
TeeDBCrossTab

Description
Default : False

When records in the database contain labels or group texts that are only different in case, setting this property to True will consider texts as different, thus creating new series or groups in the final chart.

By default is False, meaning case of texts its not used to compare them.


TDBCrossTabSource.DataSet

TDBCrossTabSource.DataSet
TDBCrossTabSource

property DataSet: TDataSet;

Unit
TeeDBCrossTab

Description
The table or any other kind of dataset that contains the source records to use to create the crosstab chart.
This dataset must be open for the crosstab component to be able to access record values.

When the dataset is opened, the crosstab component will automatically start processing.


TDBCrossTabSource.Formula

TDBCrossTabSource.Formula
TDBCrossTabSource

property Formula: TGroupFormula;

Unit
TeeDBCrossTab

Description
Default : gfSum

Determines how will the crosstab use database values to add points to series.
By default is "gfSum", that means values will be acumulated so series points will show the sum of values.

The gfCount option means values will not be used, and the series will show the number of records (count) for each group and label.


TDBCrossTabSource.GroupField

TDBCrossTabSource.GroupField
TDBCrossTabSource

property GroupField: String;

Unit
TeeDBCrossTab

Description
The field in the dataset to be used as grouping field.
Different values in this field will be used to create additional series.


TDBCrossTabSource.HideSeries

TDBCrossTabSource.HideSeries
TDBCrossTabSource

property HideSeries: Boolean;

Unit
TeeDBCrossTab

Description
Default : True

Set to False to hide the Series from the editor list.


TDBCrossTabSource.Hierarchy

Unit
TeeDBCrossTab

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesDBSource
|
TDBCrossTabSource

Classes derived from TDBCrossTabSource
(none)


TDBCrossTabSource.LabelField

TDBCrossTabSource.LabelField
TDBCrossTabSource

property LabelField: String;

Unit
TeeDBCrossTab

Description
The field in the dataset to be used to add labels (text) to series points.


TDBCrossTabSource.Load

TDBCrossTabSource.Load
TDBCrossTabSource

procedure Load; override;

Unit
TeeDBCrossTab

Description
This method performs the crosstab.
You dont need to call this method directly. Instead, set the Active property to True, or call Open method.


TDBCrossTabSource.ValueField

TDBCrossTabSource.ValueField
TDBCrossTabSource

property ValueField: String;

Unit
TeeDBCrossTab

Description
The field in the dataset where values will be obtained to perform acumulation in the final crosstab chart.


TDBSummarySource.0events

TDBSummarySource events
TDBSummarySource Legend key

Unit
TeeDBSumEdit

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBSummarySource.0methods

TDBSummarySource methods
TDBSummarySource Legend key

Unit
TeeDBSumEdit

In TDBSummarySource
Description

Derived from TTeeSeriesDBSource
Available

Derived from TTeeSeriesSource
Close
Editor
HasNew
HasSeries
Load
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDBSummarySource.0properties

TDBSummarySource properties
TDBSummarySource Legend key

Unit
TeeDBSumEdit

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDBSummarySource.Description

TDBSummarySource.Description
TDBSummarySource

function Description: String; override;

Unit
TeeDBSumEdit

Description
Returns "Summary".


TDBSummarySource.Hierarchy

Unit
TeeDBSumEdit

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesDBSource
|
TDBSummarySource

Classes derived from TDBSummarySource
(none)


TDefaultTheme.0methods

TDefaultTheme methods
TDefaultTheme Legend key

Unit
TeeThemes

In TDefaultTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDefaultTheme.Apply

TDefaultTheme.Apply
TDefaultTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies default TeeChart visual properties to Chart parameter.


TDefaultTheme.Description

TDefaultTheme.Description
TDefaultTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "TeeChart default".


TDefaultTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme

Classes derived from TDefaultTheme
TBlueSkyTheme
TBusinessTheme
TClassicTheme
TExcelTheme
TFactsTheme
TGrayscaleTheme
TOperaTheme
TRandomTheme
TSpeedTheme
TWebTheme


TDeltaPointSeries.0events

TDeltaPointSeries events
TDeltaPointSeries Legend key

Unit
ImaPoint

Derived from TCustomImagePointSeries
OnGetImage

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDeltaPointSeries.0methods

TDeltaPointSeries methods
TDeltaPointSeries Legend key

Unit
ImaPoint

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDeltaPointSeries.0properties

TDeltaPointSeries properties
TDeltaPointSeries Legend key

Unit
ImaPoint

In TDeltaPointSeries
EqualImage
GreaterImage
ImageStyle
LowerImage

Derived from TCustomImagePointSeries
ImagePoint
ImageTransparent

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDeltaPointSeries.EqualImage

TDeltaPointSeries.EqualImage
TDeltaPointSeries

property EqualImage: TTeePicture;

Unit
ImaPoint

Description
Set the EqualImage property to provide an image which will be displayed when the previous point value is the same. If set to nil, no image is displayed on the bar points. The image will be stretched.


TDeltaPointSeries.GreaterImage

TDeltaPointSeries.GreaterImage
TDeltaPointSeries

property GreaterImage: TTeePicture;

Unit
ImaPoint

Description
Set the GreaterImage property to provide an image which will be displayed when the previous point value is lower. If set to nil, no image is displayed on the bar points. The image will be stretched.


TDeltaPointSeries.Hierarchy

Unit
ImaPoint

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TCustomImagePointSeries
|
TDeltaPointSeries

Classes derived from TDeltaPointSeries
(none)


TDeltaPointSeries.ImageStyle

TDeltaPointSeries.ImageStyle
TDeltaPointSeries

property ImageStyle: TDeltaImageStyle;

Unit
ImaPoint

Description
Set the ImageStyle property to pre-defined default lower, equal and higher images.

It can have one of the following values:

disHands TeeEqualHand, TeeGreaterHand, TeeLowerHand
disSmiles TeeEqualSmile, TeeGreaterSmile, TeeLowerSmile

You can always set the image properties by code to skip the predefined ones.


TDeltaPointSeries.LowerImage

TDeltaPointSeries.LowerImage
TDeltaPointSeries

property LowerImage: TTeePicture;

Unit
ImaPoint

Description
Set the LowerImage property to provide an image which will be displayed when the previous point value is higher. If set to nil, no image is displayed on the bar points. The image will be stretched.


TDivideTeeFunction.0events

TDivideTeeFunction events
TDivideTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDivideTeeFunction.0methods

TDivideTeeFunction methods
TDivideTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDivideTeeFunction.0properties

TDivideTeeFunction properties
TDivideTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDivideTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TManySeriesTeeFunction
|
TDivideTeeFunction

Classes derived from TDivideTeeFunction
(none)


TDonutSeries.0events

TDonutSeries events
TDonutSeries Legend key

Unit
TeeDonut

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDonutSeries.0methods

TDonutSeries methods
TDonutSeries Legend key

Unit
TeeDonut

Derived from TPieSeries
AddPie
BelongsToOtherSlice
CalcClickedPie
CalcFirstLastVisibleIndex
CalcXPos
CheckOrder
Clicked
CountLegendItems
LegendToValueIndex
NumSampleValues
SwapValueIndex

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOtherSeries
Clear
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDonutSeries.0properties

TDonutSeries properties
TDonutSeries Legend key

Unit
TeeDonut

Derived from TPieSeries
Angles
AngleSize
AutoMarkPosition
BevelPercent
Dark3D
DarkPen
DonutPercent
EdgeStyle
ExplodeBiggest
ExplodedSlice
Frame
Gradient
GradientBright
MultiPie
OtherSlice
PieMarks
PiePen
PieValues
SliceHeight
Transparency
UsePatterns

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDonutSeries.Hierarchy

Unit
TeeDonut

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TPieSeries
|
TDonutSeries

Classes derived from TDonutSeries
(none)


TDosCommand.0events

TDosCommand events
TDosCommand Legend key

Unit
TeeDosCommand

In TDosCommand
OnNewLine
OnTerminated

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDosCommand.0methods

TDosCommand methods
TDosCommand Legend key

Unit
TeeDosCommand

In TDosCommand
DosExitCode
Execute
SendLine
Stop
Terminated

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDosCommand.0properties

TDosCommand properties
TDosCommand Legend key

Unit
TeeDosCommand

In TDosCommand
CommandLine
InputToOutput
Lines
MaxTimeAfterBeginning
MaxTimeAfterLastOutput
OutputLines
Priority
Thread

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDosCommand.CommandLine

TDosCommand.CommandLine
TDosCommand

property CommandLine: String;

Unit
TeeDosCommand


TDosCommand.DosExitCode

TDosCommand.DosExitCode
TDosCommand

function DosExitCode: Integer;

Unit
TeeDosCommand


TDosCommand.Execute

TDosCommand.Execute
TDosCommand

procedure Execute;

Unit
TeeDosCommand


TDosCommand.Hierarchy

Unit
TeeDosCommand

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TDosCommand

Classes derived from TDosCommand
(none)


TDosCommand.InputToOutput

TDosCommand.InputToOutput
TDosCommand

property InputToOutput: Boolean;

Unit
TeeDosCommand


TDosCommand.Lines

TDosCommand.Lines
TDosCommand

property Lines: TStringList;

Unit
TeeDosCommand


TDosCommand.MaxTimeAfterBeginning

TDosCommand.MaxTimeAfterBeginning
TDosCommand

property MaxTimeAfterBeginning: Integer;

Unit
TeeDosCommand


TDosCommand.MaxTimeAfterLastOutput

TDosCommand.MaxTimeAfterLastOutput
TDosCommand

property MaxTimeAfterLastOutput: Integer;

Unit
TeeDosCommand


TDosCommand.OnNewLine

TDosCommand.OnNewLine
TDosCommand

property OnNewLine: TNewLineEvent;

Unit
TeeDosCommand


TDosCommand.OnTerminated

TDosCommand.OnTerminated
TDosCommand

property OnTerminated: TNotifyEvent;

Unit
TeeDosCommand


TDosCommand.OutputLines

TDosCommand.OutputLines
TDosCommand

property OutputLines: TStrings;

Unit
TeeDosCommand


TDosCommand.Priority

TDosCommand.Priority
TDosCommand

property Priority: Integer;

Unit
TeeDosCommand


TDosCommand.SendLine

TDosCommand.SendLine
TDosCommand

procedure SendLine(Value: String; Eol: Boolean);

Unit
TeeDosCommand


TDosCommand.Stop

TDosCommand.Stop
TDosCommand

procedure Stop;

Unit
TeeDosCommand


TDosCommand.Terminated

TDosCommand.Terminated
TDosCommand

function Terminated: Boolean;

Unit
TeeDosCommand


TDosCommand.Thread

TDosCommand.Thread
TDosCommand

property Thread: TDosThread;

Unit
TeeDosCommand


TDosThread.0events

TDosThread events
TDosThread Legend key

Unit
TeeDosCommand

Derived from TThread
FatalException
FreeOnTerminate
Handle
OnTerminate
Priority
ReturnValue
Suspended
Terminated
ThreadID


TDosThread.0methods

TDosThread methods
TDosThread Legend key

Unit
TeeDosCommand

Derived from TThread
AfterConstruction
CallOnTerminate
CheckThreadError
Create
Destroy
DoTerminate
Execute
GetPriority
Resume
SetPriority
SetSuspended
StaticSynchronize
Suspend
Synchronize
Terminate
WaitFor

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDosThread.0properties

TDosThread properties
TDosThread Legend key

Unit
TeeDosCommand

Derived from TThread
FatalException
FreeOnTerminate
Handle
OnTerminate
Priority
ReturnValue
Suspended
Terminated
ThreadID


TDosThread.Hierarchy

Unit
TeeDosCommand

Hierarchy

TObject
|
TThread
|
TDosThread

Classes derived from TDosThread
(none)


TDottedGrayPen.0events

TDottedGrayPen events
TDottedGrayPen Legend key

Unit
TeCanvas

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TDottedGrayPen.0methods

TDottedGrayPen methods
TDottedGrayPen Legend key

Unit
TeCanvas

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDottedGrayPen.0properties

TDottedGrayPen properties
TDottedGrayPen Legend key

Unit
TeCanvas

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TDottedGrayPen.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TDottedGrayPen

Classes derived from TDottedGrayPen
TAxisGridPen


TDownSamplingFunction.0events

TDownSamplingFunction events
TDownSamplingFunction Legend key

Unit
TeeDownSampling

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDownSamplingFunction.0methods

TDownSamplingFunction methods
TDownSamplingFunction Legend key

Unit
TeeDownSampling

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDownSamplingFunction.0properties

TDownSamplingFunction properties
TDownSamplingFunction Legend key

Unit
TeeDownSampling

In TDownSamplingFunction
DisplayedPointCount
DownSampleMethod
Tolerance

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDownSamplingFunction.DisplayedPointCount

TDownSamplingFunction.DisplayedPointCount
TDownSamplingFunction

property DisplayedPointCount: Integer;

Unit
TeeDownSampling

Description
The DisplayedPointCount property returns the number of points that are used by the DownSamplingFunction.


TDownSamplingFunction.DownSampleMethod

TDownSamplingFunction.DownSampleMethod
TDownSamplingFunction

property DownSampleMethod: TDownSampleMethod;

Unit
TeeDownSampling

Description
Determines which downsample point reduction method to use.

See the TDownSampleMethod topic for a description of the different reduction mechanisms.


TDownSamplingFunction.Hierarchy

Unit
TeeDownSampling

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TDownSamplingFunction

Classes derived from TDownSamplingFunction
(none)


TDownSamplingFunction.Tolerance

TDownSamplingFunction.Tolerance
TDownSamplingFunction

property Tolerance: TChartValue;

Unit
TeeDownSampling

Description
Tolerance is used to produce a simplified polyline that approximates the original, expressed in real chart values.


TDragMarksTool.0events

TDragMarksTool events
TDragMarksTool Legend key

Unit
TeeTools

In TDragMarksTool
OnDraggedMark
OnDraggingMark

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDragMarksTool.0methods

TDragMarksTool methods
TDragMarksTool Legend key

Unit
TeeTools

In TDragMarksTool
Description

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDragMarksTool.0properties

TDragMarksTool properties
TDragMarksTool Legend key

Unit
TeeTools

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDragMarksTool.Description

TDragMarksTool.Description
TDragMarksTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Drag Marks'.


TDragMarksTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TDragMarksTool

Classes derived from TDragMarksTool
(none)


TDragMarksTool.OnDraggedMark

TDragMarksTool.OnDraggedMark
TDragMarksTool

property OnDraggedMark: TDragMarkEvent;

Unit
TeeTools

Description
Event called when the end user releases the mouse button after drag the mark.


TDragMarksTool.OnDraggingMark

TDragMarksTool.OnDraggingMark
TDragMarksTool

property OnDraggingMark: TDragMarkEvent;

Unit
TeeTools

Description
Event called when the end user is moving the mouse dragging a mark.

You can use the chart OnMouseDown and OnMouseUp events to recognize when the end user starts and finishes a dragging operation.


TDragPointTool.0events

TDragPointTool events
TDragPointTool Legend key

Unit
TeeDragPoint

In TDragPointTool
OnDragPoint
OnStartDrag

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDragPointTool.0methods

TDragPointTool methods
TDragPointTool Legend key

Unit
TeeDragPoint

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDragPointTool.0properties

TDragPointTool properties
TDragPointTool Legend key

Unit
TeeDragPoint

In TDragPointTool
DragStyle

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDragPointTool.DragStyle

TDragPointTool.DragStyle
TDragPointTool

property DragStyle: TDragPointStyle;

Unit
TeeDragPoint

Description
Default : dsBoth

Set DragStyle property to control if user can drag series points vertically, horizontally or both.

ChartTool1.DragStyle := dsY ; // allow user to drag points vertically only.


TDragPointTool.Hierarchy

Unit
TeeDragPoint

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TDragPointTool

Classes derived from TDragPointTool
(none)


TDragPointTool.OnDragPoint

TDragPointTool.OnDragPoint
TDragPointTool

property OnDragPoint: TDragPointToolEvent;

Unit
TeeDragPoint

Description
Event called when the end user is moving the mouse dragging a series point.

You can use the chart OnMouseDown and OnMouseUp events to recognize when the end user starts and finishes a dragging operation.


TDragPointTool.OnStartDrag

TDragPointTool.OnStartDrag
TDragPointTool

property OnStartDrag: TDragPointStartEvent;

Unit
TeeDragPoint

Description
Event called when the end user starts dragging a series point.


TDraw3D.0events

TDraw3D events
TDraw3D Legend key

Unit
TeeDraw3D

In TDraw3D
OnPaint

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDraw3D.0methods

TDraw3D methods
TDraw3D Legend key

Unit
TeeDraw3D

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage
UndoZoom

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDraw3D.0properties

TDraw3D properties
TDraw3D Legend key

Unit
TeeDraw3D

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDraw3D.Hierarchy

Unit
TeeDraw3D

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TDraw3D

Classes derived from TDraw3D
(none)


TDraw3D.OnPaint

TDraw3D.OnPaint
TDraw3D

property OnPaint: TDraw3DPaintEvent;

Unit
TeeDraw3D

Description
Event raised when repaint occurs on the TDraw3D component.


TDrawLine.0events

TDrawLine events
TDrawLine Legend key

Unit
TeeTools

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TDrawLine.0methods

TDrawLine methods
TDrawLine Legend key

Unit
TeeTools

In TDrawLine
Clicked
CreateXY
DrawHandles
EndHandle
StartHandle

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDrawLine.0properties

TDrawLine properties
TDrawLine Legend key

Unit
TeeTools

In TDrawLine
Parent
Pen
Style
X0
X1
Y0
Y1

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TDrawLine.Clicked

TDrawLine.Clicked
TDrawLine

function Clicked(x, y: Integer; AHandle: TDrawLineHandle; PixelsTolerance: Integer): Boolean;

Unit
TeeTools

Description
This functions returns True when a specific Line has been clicked.
Clicked means the line is under X and Y coordinates.
AHandle determines the part of the drawline that will be checked :
chNone
chStart
chEnd
chSeries

Tolerance parameter determines the pixel proximity for clicks.

Example

procedure TForm1.Chart1MouseDown(Sender: TObject; Button: TMouseButton;
Shift: TShiftState; X, Y: Integer);
var i : integer;
begin
with ChartTool2 do
if Lines.Count > 0 then
for i:=0 to Lines.Count-1 do
if Lines[i].Clicked(X,Y,chSeries,5) then
ShowMessage('Line Index ' + IntToStr(i)+ ' Clicked !');
end;


TDrawLine.CreateXY

TDrawLine.CreateXY
TDrawLine

constructor CreateXY(Collection: TCollection; Const X0, Y0, X1, Y1: Double);

Unit
TeeTools

Description
Use this constructor to add new lines to the TDrawLineTool component:

procedure TForm1.FormCreate(Sender: TObject);
var Middle : Double;
begin
Series1.FillSampleValues(100);

with Series1.YValues do
Middle := (MaxValue + MinValue) / 2;

TDrawLine.CreateXY(ChartTool1.Lines,0,Middle-100,100,Middle+100);
end;


TDrawLine.DrawHandles

TDrawLine.DrawHandles
TDrawLine

procedure DrawHandles;

Unit
TeeTools

Description
Mark the ends of each line drawn with Handles for drag relocation.

This property is automatically set when EnableSelect is set.


TDrawLine.EndHandle

TDrawLine.EndHandle
TDrawLine

function EndHandle: TRect;

Unit
TeeTools

Description
Returns Rect of the TDrawLine end handle.


TDrawLine.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TDrawLine

Classes derived from TDrawLine
(none)


TDrawLine.Parent

TDrawLine.Parent
TDrawLine

property Parent: TDrawLineTool;

Unit
TeeTools

Description
The Parent property refers to the Chart tool that owns the line.
All Lines reside in a collection ( TDrawLines collection ) that is owned by a TDrawLineTool component.


TDrawLine.Pen

TDrawLine.Pen
TDrawLine

property Pen: TChartPen;

Unit
TeeTools

Description
The Pen property refers to the TDrawLineTool owner of every line.
All Lines share the same Pen object.


TDrawLine.StartHandle

TDrawLine.StartHandle
TDrawLine

function StartHandle: TRect;

Unit
TeeTools

Description
Returns Rect of the TDrawLine start handle.


TDrawLine.Style

TDrawLine.Style
TDrawLine

property Style: TDrawLineStyle;

Unit
TeeTools

Description
Determines how lines will be displayed and dragged.

dlLine : default mode, lines are diagonal.

dlHorizParallel : two horizontal lines are displayed

dlVertParallel : two vertical lines are displayed


TDrawLine.X0

TDrawLine.X0
TDrawLine

property X0: Double;

Unit
TeeTools

Description
Determines the starting X position (in axis scales) for the line.


TDrawLine.X1

TDrawLine.X1
TDrawLine

property X1: Double;

Unit
TeeTools

Description
Determines the ending X position (in axis scales) for the line.


TDrawLine.Y0

TDrawLine.Y0
TDrawLine

property Y0: Double;

Unit
TeeTools

Description
Determines the starting Y position (in axis scales) for the line.


TDrawLine.Y1

TDrawLine.Y1
TDrawLine

property Y1: Double;

Unit
TeeTools

Description
Determines the ending Y position (in axis scales) for the line.


TDrawLines.0events

TDrawLines events
TDrawLines Legend key

Unit
TeeTools

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TDrawLines.0methods

TDrawLines methods
TDrawLines Legend key

Unit
TeeTools

In TDrawLines
AddLine
Last

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TDrawLines.0properties

TDrawLines properties
TDrawLines Legend key

Unit
TeeTools

In TDrawLines
Line

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TDrawLines.AddLine

TDrawLines.AddLine
TDrawLines

function AddLine(Const X0, Y0, X1, Y1: Double): TDrawLine;

Unit
TeeTools

Description
Add line specifiying its initial and end position (X0 Y0, X1 and Y! coordinates). It returns a TDrawLine object to use
it.


TDrawLines.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TDrawLines

Classes derived from TDrawLines
(none)


TDrawLines.Last

TDrawLines.Last
TDrawLines

function Last: TDrawLine;

Unit
TeeTools

Description
Returns the last item in the list.


TDrawLines.Line

TDrawLines.Line
TDrawLines

property Line[Index: Integer]: TDrawLine;

Unit
TeeTools

Description
Use the index value to access characteristics of the TDrawLine.


TDrawLineTool.0events

TDrawLineTool events
TDrawLineTool Legend key

Unit
TeeTools

In TDrawLineTool
OnDraggedLine
OnDragLine
OnNewLine
OnSelect
OnSelecting

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDrawLineTool.0methods

TDrawLineTool methods
TDrawLineTool Legend key

Unit
TeeTools

In TDrawLineTool
AxisPoint
Clicked
DeleteSelected
Description
ScreenPoint

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TDrawLineTool.0properties

TDrawLineTool properties
TDrawLineTool Legend key

Unit
TeeTools

In TDrawLineTool
Button
ClickTolerance
EnableDraw
EnableSelect
Lines
Selected
SelectNewLines
Style

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TDrawLineTool.AxisPoint

TDrawLineTool.AxisPoint
TDrawLineTool

function AxisPoint(Const P: TFloatPoint): TPoint;

Unit
TeeTools

Description
Returns the coordinate position in pixels corresponding to the ""P"" point in respectively vertical and horizontal axis scales.


TDrawLineTool.Button

TDrawLineTool.Button
TDrawLineTool

property Button: TMouseButton;

Unit
TeeTools

Description
Default value is mbLeft

The Button property defines by which mousebutton the TTeeCustomTool is activated.
The following values are possible:

mbLeft Pressing the left mouse button and moving the cursor together allows drawing a line on the chart
mbRight Pressing the right mouse button and moving the cursor together allows drawing a line on the chart
mbMiddle Pressing the middle mouse button and moving the cursor together allows drawing a line on the chart


TDrawLineTool.Clicked

TDrawLineTool.Clicked
TDrawLineTool

function Clicked(x, y: Integer): TDrawLine; overload;

Unit
TeeTools

Description
Returns TDrawLine Line at x,y point. Returns nil if no line is under x,y point.


TDrawLineTool.ClickTolerance

TDrawLineTool.ClickTolerance
TDrawLineTool

property ClickTolerance: Integer;

Unit
TeeTools

Description
Set pixel proximity tolerance for Clicks.


TDrawLineTool.DeleteSelected

TDrawLineTool.DeleteSelected
TDrawLineTool

procedure DeleteSelected;

Unit
TeeTools

Description
Delete currently selected TDrawLine, if any.
This is similarly equivalent of doing:

ChartTool1.Selected.Free;
ChartTool1.Selected:=nil;


TDrawLineTool.Description

TDrawLineTool.Description
TDrawLineTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Draw Line'.


TDrawLineTool.EnableDraw

TDrawLineTool.EnableDraw
TDrawLineTool

property EnableDraw: Boolean;

Unit
TeeTools

Description
Default value is True

This boolean property enables/disables the drawing of lines on the chart by the user at run-time using the mouse.
All drawn lines are stored in the Lines property


TDrawLineTool.EnableSelect

TDrawLineTool.EnableSelect
TDrawLineTool

property EnableSelect: Boolean;

Unit
TeeTools

Description
Default True

Enables selection of lines for repositioning on the Chart.


TDrawLineTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TDrawLineTool

Classes derived from TDrawLineTool
(none)


TDrawLineTool.Lines

TDrawLineTool.Lines
TDrawLineTool

property Lines: TDrawLines;

Unit
TeeTools

Description
The Lines property contains the list of lines drawn on the chart by the user at run-time.


TDrawLineTool.OnDraggedLine

TDrawLineTool.OnDraggedLine
TDrawLineTool

property OnDraggedLine: TNotifyEvent;

Unit
TeeTools

Description
Event called when a line has been dragged to a new location.


TDrawLineTool.OnDragLine

TDrawLineTool.OnDragLine
TDrawLineTool

property OnDragLine: TNotifyEvent;

Unit
TeeTools

Description
Event called when the end user has clicked a line and has begin dragging it.


TDrawLineTool.OnNewLine

TDrawLineTool.OnNewLine
TDrawLineTool

property OnNewLine: TNotifyEvent;

Unit
TeeTools

Description
Event called when a new line has been added.


TDrawLineTool.OnSelect

TDrawLineTool.OnSelect
TDrawLineTool

property OnSelect: TNotifyEvent;

Unit
TeeTools

Description
Event called when a line has been selected (for example, clicking it with the mouse).


TDrawLineTool.OnSelecting

TDrawLineTool.OnSelecting
TDrawLineTool

property OnSelecting: TDrawLineSelecting;

Unit
TeeTools

Description
This is event is called just when a line is selected clicking it with the mouse.

You can set the AllowSelect parameter to False if you wish to avoid selecting the Line.


TDrawLineTool.ScreenPoint

TDrawLineTool.ScreenPoint
TDrawLineTool

function ScreenPoint(Const P: TPoint): TFloatPoint;

Unit
TeeTools

Description
This function returns the corresponding point-value on respectively the horizontal and vertical axis of a Screen position "P".


TDrawLineTool.Selected

TDrawLineTool.Selected
TDrawLineTool

property Selected: TDrawLine;

Unit
TeeTools

Description

The Selected property returns the line or lines that are currently selected.
Selected lines are displayed with additional small squares indicating the selection.

It returns "nil" if no lines are selected.

Setting Selected to "nil" removes (clears) the current selection.

ChartTool1.Selected := nil ;


TDrawLineTool.SelectNewLines

TDrawLineTool.SelectNewLines
TDrawLineTool

property SelectNewLines: Boolean;

Unit
TeeTools

Description
Default : True

Setting this property to False wont maintain the new lines added as selected.


TDrawLineTool.Style

TDrawLineTool.Style
TDrawLineTool

property Style: TDrawLineStyle;

Unit
TeeTools

Description
Determines de DrawLine style :

Styles :
dlLine : Single line
dlHorizParallel : Double horizontal line
dlVertParallel : Double vertical line
dlRectangle : Rectangle from start to end coordinates
dlEllipse : Ellipse from start to end coordinates


TeeADXFuncEditor

Unit TeeADXFuncEditor


TeeAlligatorFuncEditor

Unit TeeAlligatorFuncEditor


TeeAnimationsGalleryDemos

Unit TeeAnimationsGalleryDemos


TeeAnnToolEdit

Unit TeeAnnToolEdit


TeeAreaEdit

Unit TeeAreaEdit


TeeArrowEdi

Unit TeeArrowEdi


TeeAvgFuncEditor

Unit TeeAvgFuncEditor


TeeAxisArrowEdit

Unit TeeAxisArrowEdit


TeeAxisIncr

Unit TeeAxisIncr


TeeAxisScrollEdit

Unit TeeAxisScrollEdit


TeeAxisToolEdit

Unit TeeAxisToolEdit


TeeAxMaxMin

Unit TeeAxMaxMin


TeeBarEdit

Unit TeeBarEdit


TeeBarJoinEditor

Unit TeeBarJoinEditor


TeeBollingerEditor

Unit TeeBollingerEditor


TeeBoxPlotEditor

Unit TeeBoxPlotEditor


TeeBubbleEdit

Unit TeeBubbleEdit


TeeCalendarEditor

Unit TeeCalendarEditor


TeeCandlEdi

Unit TeeCandlEdi


TeeChartExp

Unit TeeChartExp


TeeChartLCL

Unit TeeChartLCL


TeeChartPro

Unit TeeChartPro


TeeChartReg

Unit TeeChartReg


TeeCircledEdit

Unit TeeCircledEdit


TeeClockEditor

Unit TeeClockEditor


TeeColorBandEdit

Unit TeeColorBandEdit


TeeColorGridEditor

Unit TeeColorGridEditor


TeeColorLineEditor

Unit TeeColorLineEditor


TeeContourEdit

Unit TeeContourEdit


TeeCursorEdit

Unit TeeCursorEdit


TeeCurveFittingEditor

Unit TeeCurveFittingEditor


TeeCustEdit

Unit TeeCustEdit


TeeCustomAnimationEdit

Unit TeeCustomAnimationEdit


TeeCustomFuncEditor

Unit TeeCustomFuncEditor


TeeDataTableEditor

Unit TeeDataTableEditor


TeeDBEdit

Unit TeeDBEdit

Description
Contains internal database chart object classes.


TeeDonutEdit

Unit TeeDonutEdit


TeeDragMarksEdit

Unit TeeDragMarksEdit


TeeDrawLineEditor

Unit TeeDrawLineEditor


TeeEdi3D

Unit TeeEdi3D


TeeEdiAxis

Unit TeeEdiAxis


TeeEdiLege

Unit TeeEdiLege


TeeEdiPage

Unit TeeEdiPage


TeeEdiPane

Unit TeeEdiPane


TeeEdiPeri

Unit TeeEdiPeri


TeeEditAnimations

Unit TeeEditAnimations


TeeEdiTitl

Unit TeeEdiTitl


TeeEditTools

Unit TeeEditTools


TeeEdiWall

Unit TeeEdiWall


TeeEmbossEditor

Unit TeeEmbossEditor


TeeErrBarEd

Unit TeeErrBarEd


TeeExpandAnimationEdit

Unit TeeExpandAnimationEdit


TeeExpAveFuncEdit

Unit TeeExpAveFuncEdit


TeeFLineEdi

Unit TeeFLineEdi


TeeFunnelEditor

Unit TeeFunnelEditor


TeeGanttEdi

Unit TeeGanttEdi


TeeGaugeEditor

Unit TeeGaugeEditor


TeeGridBandToolEdit

Unit TeeGridBandToolEdit


TeeGriEd

Unit TeeGriEd


TeeHighLowEdit

Unit TeeHighLowEdit


TeeHistoEdit

Unit TeeHistoEdit


TeeImaEd

Unit TeeImaEd


TeeImageToolEdit

Unit TeeImageToolEdit


TeeIsoSurface

Unit TeeIsoSurface

Description
Contains the editor dialog for TIsoSurfaceSeries.


TeeLinePointEditor

Unit TeeLinePointEditor


TeeMACDFuncEdit

Unit TeeMACDFuncEdit


TeeMapSeriesEdit

Unit TeeMapSeriesEdit


TeeMargins

Unit TeeMargins

Description
Contains an editor dialog to edit properties to TMargins class.


TeeMarksTipToolEdit

Unit TeeMarksTipToolEdit


TeeMoneyFlowFuncEdit

Unit TeeMoneyFlowFuncEdit


TeeMovAveFuncEdit

Unit TeeMovAveFuncEdit


TeeNearestToolEditor

Unit TeeNearestToolEditor


TeeOpenGLReg

Unit TeeOpenGLReg


TeePieEdit

Unit TeePieEdit


TeePo3DEdit

Unit TeePo3DEdit


TeePolarEditor

Unit TeePolarEditor


TeePreviewPanelEditor

Unit TeePreviewPanelEditor


TeePyramidEdit

Unit TeePyramidEdit


TeeQRTeeReg

Unit TeeQRTeeReg


TeeRMSFuncEdit

Unit TeeRMSFuncEdit


TeeRoseEditor

Unit TeeRoseEditor


TeeRotateToolEditor

Unit TeeRotateToolEditor


TeeRVIFuncEditor

Unit TeeRVIFuncEditor


TeeSelectList

Unit TeeSelectList


TeeSeriesAnimEdit

Unit TeeSeriesAnimEdit


TeeSeriesDesign

Unit TeeSeriesDesign


TeeShapeEdi

Unit TeeShapeEdi


TeeSmithEdit

Unit TeeSmithEdit


TeeSmoothFuncEdit

Unit TeeSmoothFuncEdit


TeeSourceEdit

Unit TeeSourceEdit


TeeStackBarEdit

Unit TeeStackBarEdit


TeeSurfEdit

Unit TeeSurfEdit


TeeSymbolEditor

Unit TeeSymbolEditor


TeeTernaryEdit

Unit TeeTernaryEdit


TeeToolSeriesEdit

Unit TeeToolSeriesEdit


TeeToolsGallery

Unit TeeToolsGallery

Description
This unit contains a dialog that is used by the Chart editor to display all available chart tool objects, for the user to add new tools to the chart.


TeeToolsGalleryDemos

Unit TeeToolsGalleryDemos


TeeTowerEdit

Unit TeeTowerEdit


TeeTriSurfEdit

Unit TeeTriSurfEdit


TeeUnicode

Unit TeeUnicode


TeeUseMouseWheel
Contents All Classes Index A-Z All Units

TeeUseMouseWheel variable

Var TeeUseMouseWheel;

Unit
Chart

Description
Default True

When present, use the mouse wheel to scroll the axes.


TeeVectorEdit

Unit TeeVectorEdit


TeeVolEd

Unit TeeVolEd


TeeVolumePipeEditor

Unit TeeVolumePipeEditor


TeeWaterFallEdit

Unit TeeWaterFallEdit


TeeWindRoseEditor

Unit TeeWindRoseEditor


TEmbossFilter.0events

TEmbossFilter events
TEmbossFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TEmbossFilter.0methods

TEmbossFilter methods
TEmbossFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TEmbossFilter.0properties

TEmbossFilter properties
TEmbossFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TEmbossFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TConvolveFilter
|
TEmbossFilter

Classes derived from TEmbossFilter
(none)


TEMFExportFormat.0methods

TEMFExportFormat methods
TEMFExportFormat Legend key

Unit
TeeEmfOptions

In TEMFExportFormat
Description
FileExtension
FileFilter
GraphicClass
Metafile
Options
SaveToStream

Derived from TTeeExportFormat
CopyToClipboard
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TEMFExportFormat.0properties

TEMFExportFormat properties
TEMFExportFormat Legend key

Unit
TeeEmfOptions

In TEMFExportFormat
Enhanced


TEMFExportFormat.Description

TEMFExportFormat.Description
TEMFExportFormat

function Description: String; override;

Unit
TeeEmfOptions

Description
Returns "Metafile" as the description for metafile image format.


TEMFExportFormat.Enhanced

TEMFExportFormat.Enhanced
TEMFExportFormat

property Enhanced: Boolean;

Unit
TeeEmfOptions

Description
Gets or sets if the export format will generate metafiles that are enhanced or not.
Check Windows API documentation about enhanced metafiles.

The default value is True.


TEMFExportFormat.FileExtension

TEMFExportFormat.FileExtension
TEMFExportFormat

function FileExtension: String; override;

Unit
TeeEmfOptions

Description
Returns "EMF" as the default file extension for metafile images.


TEMFExportFormat.FileFilter

TEMFExportFormat.FileFilter
TEMFExportFormat

function FileFilter: String; override;

Unit
TeeEmfOptions

Description
Returns the WMF and EMF extensions filter.


TEMFExportFormat.GraphicClass

TEMFExportFormat.GraphicClass
TEMFExportFormat

function GraphicClass: TGraphicClass; override;

Unit
TeeEmfOptions

Description

Returns Graphics TMetafile class.


TEMFExportFormat.Hierarchy

Unit
TeeEmfOptions

Hierarchy

TObject
|
TTeeExportFormat
|
TEMFExportFormat

Classes derived from TEMFExportFormat
(none)


TEMFExportFormat.Metafile

TEMFExportFormat.Metafile
TEMFExportFormat

function Metafile: TMetafile;

Unit
TeeEmfOptions

Description
Creates and returns a Metafile image using the Chart contents.


TEMFExportFormat.Options

TEMFExportFormat.Options
TEMFExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeeEmfOptions

Description
Creates and returns a Form of type TEMFOptions.
This form enables customization of the options available when generating a metafile image.


TEMFExportFormat.SaveToStream

TEMFExportFormat.SaveToStream
TEMFExportFormat

procedure SaveToStream(Stream: TStream); override;

Unit
TeeEmfOptions

Description
Stores the Chart into Stream parameter as a Metafile image.


TEPSCanvas.0methods

TEPSCanvas methods
TEPSCanvas Legend key

Unit
TeePSCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TEPSCanvas.0properties

TEPSCanvas properties
TEPSCanvas Legend key

Unit
TeePSCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TEPSCanvas.Hierarchy

Unit
TeePSCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TEPSCanvas

Classes derived from TEPSCanvas
(none)


TEPSExportFormat.0methods

TEPSExportFormat methods
TEPSExportFormat Legend key

Unit
TeePSCanvas

In TEPSExportFormat
Description

Derived from TTeeExportFormat
CopyToClipboard
FileExtension
FileFilter
GraphicClass
Options
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TEPSExportFormat.Description

TEPSExportFormat.Description
TEPSExportFormat

function Description: String; override;

Unit
TeePSCanvas

Description
Returns "Encapsulated PostScript" in English language.


TEPSExportFormat.Hierarchy

Unit
TeePSCanvas

Hierarchy

TObject
|
TTeeExportFormat
|
TEPSExportFormat

Classes derived from TEPSExportFormat
(none)


TErrorBarSeries.0events

TErrorBarSeries events
TErrorBarSeries Legend key

Unit
ErrorBar

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TErrorBarSeries.0methods

TErrorBarSeries methods
TErrorBarSeries Legend key

Unit
ErrorBar

Derived from TCustomErrorSeries
AddErrorBar
Clicked
DrawBar
MaxYValue
MinYValue

Derived from TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TErrorBarSeries.0properties

TErrorBarSeries properties
TErrorBarSeries Legend key

Unit
ErrorBar

Derived from TCustomErrorSeries
ErrorPen
ErrorStyle
ErrorValue
ErrorValues
ErrorWidth
ErrorWidthUnits

Derived from TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TErrorBarSeries.Hierarchy

Unit
ErrorBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries
|
TCustomErrorSeries
|
TErrorBarSeries

Classes derived from TErrorBarSeries
(none)


TErrorSeries.0events

TErrorSeries events
TErrorSeries Legend key

Unit
ErrorBar

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TErrorSeries.0methods

TErrorSeries methods
TErrorSeries Legend key

Unit
ErrorBar

Derived from TCustomErrorSeries
AddErrorBar
Clicked
DrawBar
MaxYValue
MinYValue

Derived from TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TErrorSeries.0properties

TErrorSeries properties
TErrorSeries Legend key

Unit
ErrorBar

Derived from TCustomErrorSeries
ErrorPen
ErrorStyle
ErrorValue
ErrorValues
ErrorWidth
ErrorWidthUnits

Derived from TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TErrorSeries.Hierarchy

Unit
ErrorBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries
|
TCustomErrorSeries
|
TErrorSeries

Classes derived from TErrorSeries
(none)


TExcelTheme.0methods

TExcelTheme methods
TExcelTheme Legend key

Unit
TeeThemes

In TExcelTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TExcelTheme.Apply

TExcelTheme.Apply
TExcelTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies Excel-like visual properties to Chart parameter.


TExcelTheme.Description

TExcelTheme.Description
TExcelTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Microsoft Excel (r)"


TExcelTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TExcelTheme

Classes derived from TExcelTheme
(none)


TExpandAnimation.0events

TExpandAnimation events
TExpandAnimation Legend key

Unit
TeeAnimations

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpandAnimation.0methods

TExpandAnimation methods
TExpandAnimation Legend key

Unit
TeeAnimations

In TExpandAnimation
Description

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TExpandAnimation.0properties

TExpandAnimation properties
TExpandAnimation Legend key

Unit
TeeAnimations

In TExpandAnimation
SizeBy

Derived from TTeeCustomAnimation
Speed
Target
Trigger

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpandAnimation.Description

TExpandAnimation.Description
TExpandAnimation

function Description: String; override;

Unit
TeeAnimations

Description
Returns "Expand Animation"


TExpandAnimation.Hierarchy

Unit
TeeAnimations

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomAnimation
|
TExpandAnimation

Classes derived from TExpandAnimation
(none)


TExpandAnimation.SizeBy

TExpandAnimation.SizeBy
TExpandAnimation

property SizeBy: Integer;

Unit
TeeAnimations


TExpAverageFunction.0events

TExpAverageFunction events
TExpAverageFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpAverageFunction.0methods

TExpAverageFunction methods
TExpAverageFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TExpAverageFunction.0properties

TExpAverageFunction properties
TExpAverageFunction Legend key

Unit
StatChar

In TExpAverageFunction
Weight

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpAverageFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TExpAverageFunction

Classes derived from TExpAverageFunction
(none)


TExpAverageFunction.Weight

TExpAverageFunction.Weight
TExpAverageFunction

property Weight: Double;

Unit
StatChar

Description
To see a visual representation of TeeChart Extended Functions, go to the TeeChart User Guide.

TExpAverageFunction does an Exponential average based on its DataSource values.

The used formula is:

ExpAverage ( point ) := ExpAverage ( previous point ) * ( 1 - Weight ) + Weight * PointValue


TExpMovAveFunction.0events

TExpMovAveFunction events
TExpMovAveFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpMovAveFunction.0methods

TExpMovAveFunction methods
TExpMovAveFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TExpMovAveFunction.0properties

TExpMovAveFunction properties
TExpMovAveFunction Legend key

Unit
StatChar

In TExpMovAveFunction
IgnoreNulls

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpMovAveFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TExpMovAveFunction

Classes derived from TExpMovAveFunction
(none)


TExpMovAveFunction.IgnoreNulls

TExpMovAveFunction.IgnoreNulls
TExpMovAveFunction

property IgnoreNulls: Boolean;

Unit
StatChar

Description
Default : True

When False, null values in the source series will be included in the calculation.


TExpTrendFunction.0events

TExpTrendFunction events
TExpTrendFunction Legend key

Unit
CurvFitt

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpTrendFunction.0methods

TExpTrendFunction methods
TExpTrendFunction Legend key

Unit
CurvFitt

Derived from TCustomTrendFunction
CalculateTrend
Coefficient

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TExpTrendFunction.0properties

TExpTrendFunction properties
TExpTrendFunction Legend key

Unit
CurvFitt

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExpTrendFunction.Hierarchy

Unit
CurvFitt

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomTrendFunction
|
TExpTrendFunction

Classes derived from TExpTrendFunction
(none)


TExtraLegendTool.0events

TExtraLegendTool events
TExtraLegendTool Legend key

Unit
TeeExtraLegendTool

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExtraLegendTool.0methods

TExtraLegendTool methods
TExtraLegendTool Legend key

Unit
TeeExtraLegendTool

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TExtraLegendTool.0properties

TExtraLegendTool properties
TExtraLegendTool Legend key

Unit
TeeExtraLegendTool

In TExtraLegendTool
Legend

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TExtraLegendTool.Hierarchy

Unit
TeeExtraLegendTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TExtraLegendTool

Classes derived from TExtraLegendTool
(none)


TExtraLegendTool.Legend

TExtraLegendTool.Legend
TExtraLegendTool

property Legend: TChartLegend;

Unit
TeeExtraLegendTool

Description
Property with all legend formatting properties and settings.

ChartTool1.Legend.Font.Size := 14 ;


TFactsTheme.0methods

TFactsTheme methods
TFactsTheme Legend key

Unit
TeeThemes

In TFactsTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFactsTheme.0properties

TFactsTheme properties
TFactsTheme Legend key

Unit
TeeThemes

In TFactsTheme
Bands


TFactsTheme.Apply

TFactsTheme.Apply
TFactsTheme

procedure Apply; override;

Unit
TeeThemes

Description

Modifies all chart and series colors and other properties necessary to display using Facts theme.


TFactsTheme.Bands

TFactsTheme.Bands
TFactsTheme

property Bands: TGridBandTool;

Unit
TeeThemes

Description

Returns the bands tool that Facts theme uses to display the axes background.


TFactsTheme.Description

TFactsTheme.Description
TFactsTheme

function Description: String; override;

Unit
TeeThemes

Description

Returns "Facts"


TFactsTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TFactsTheme

Classes derived from TFactsTheme
(none)


TFaderTool.0events

TFaderTool events
TFaderTool Legend key

Unit
TeeFaderTool

In TFaderTool
OnStop

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFaderTool.0methods

TFaderTool methods
TFaderTool Legend key

Unit
TeeFaderTool

In TFaderTool
Start
Stop

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFaderTool.0properties

TFaderTool properties
TFaderTool Legend key

Unit
TeeFaderTool

In TFaderTool
Color
InitialDelay
ParentColor
Speed
Style

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFaderTool.Color

TFaderTool.Color
TFaderTool

property Color: TColor;

Unit
TeeFaderTool

Description
Default : clBlack

Defines the initial (Fade in) or end (Fade out) Color to use.


TFaderTool.Hierarchy

Unit
TeeFaderTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TFaderTool

Classes derived from TFaderTool
(none)


TFaderTool.InitialDelay

TFaderTool.InitialDelay
TFaderTool

property InitialDelay: Integer;

Unit
TeeFaderTool

Description
Default : 100

Sets the milliseconds to delay before to do the Fade in or Fade out.


TFaderTool.OnStop

TFaderTool.OnStop
TFaderTool

property OnStop: TNotifyEvent;

Unit
TeeFaderTool

Description
Event called when the fader animation ends.


TFaderTool.ParentColor

TFaderTool.ParentColor
TFaderTool

property ParentColor: Boolean;

Unit
TeeFaderTool

Description
Sets the fade out color to that of the Form when true


TFaderTool.Speed

TFaderTool.Speed
TFaderTool

property Speed: Double;

Unit
TeeFaderTool

Description
Default : 3

Sets the animation speed to be used.


TFaderTool.Start

TFaderTool.Start
TFaderTool

procedure Start;

Unit
TeeFaderTool

Description
Initiates the Fader animation.


TFaderTool.Stop

TFaderTool.Stop
TFaderTool

procedure Stop;

Unit
TeeFaderTool

Description
Stop the Fader animation.


TFaderTool.Style

TFaderTool.Style
TFaderTool

property Style: TFaderStyle;

Unit
TeeFaderTool

Description
Default : fsFadeIn

Determines a Fader style :

fsFadeIn
fsFadeOut

See also: TFaderStyle


TFastLineSeries.0events

TFastLineSeries events
TFastLineSeries Legend key

Unit
Series

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFastLineSeries.0methods

TFastLineSeries methods
TFastLineSeries Legend key

Unit
Series

In TFastLineSeries
Clicked

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFastLineSeries.0properties

TFastLineSeries properties
TFastLineSeries Legend key

Unit
Series

In TFastLineSeries
AutoRepaint
DrawAllPoints
DrawAllPointsStyle
FastPen
IgnoreNulls
InvertedStairs
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFastLineSeries.AutoRepaint

TFastLineSeries.AutoRepaint
TFastLineSeries

property AutoRepaint: Boolean;

Unit
Series

Description

The AutoRepaint property controls if the Fast-Line series displays completely all its points when a new point is added to the series or a point X Y values are modified.

Setting AutoRepaint to False makes the fast-line series to draw new added points only, without repainting the whole chart and series.

Note: The Fast-Line series AutoRepaint property is not the same as the Chart AutoRepain t property.

Note: Axes scales should be big enough to accomodate new point values when AutoRepaint is False.

Example:

var t : Integer;

Chart1.BottomAxis.SetMinMax( 0, 1000 );

Series1.AutoRepaint := False;
for t:=1 to 1000 do Series1.Add( Random( 1000 ) );
Series1.AutoRepaint := True;


TFastLineSeries.Clicked

TFastLineSeries.Clicked
TFastLineSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
Series

Description
This functions returns the ValueIndex of the "clicked" point in the Series.
Clicked means the X and Y coordinates are in the point screen region bounds.
If no point is "touched", Clicked returns -1


TFastLineSeries.DrawAllPoints

TFastLineSeries.DrawAllPoints
TFastLineSeries

property DrawAllPoints: Boolean;

Unit
Series

Description
The DrawAllPoints property controls how many points in a FastLine series will be displayed.

The main reason of this property is to accelerate displaying thousands of points in a FastLine series.

When True (the default), all points are displayed.

When set to False, it will only display points that have a different "X" position in screen pixels.

So, when the series has several points that share the same X pixel position, but with different Y position, it will only display the first point.

When set to True (the default), only points that have a different X or a different Y pixel position are displayed.

In some cases, setting DrawAllPoints can dramatically speed up displaying a FastLine series with lots lots of points.
But, as not all points are displayed, the final output might not be as accurated.

When a FastLine series points have similar Y values from a big range ( YValues.MaxValue very different than YValues.MinValue ), DrawAllPoints might help to display them faster while lossing very little accuracy.


TFastLineSeries.DrawAllPointsStyle

TFastLineSeries.DrawAllPointsStyle
TFastLineSeries

property DrawAllPointsStyle: TDrawAllPointsStyle;

Unit
Series

Description
DrawAllPointsStyle property allows you to choose the method which will be used for displaying repeated points at same horizontal pixel.

daFirst: When the series has several points that share the same X pixel position, but with different Y position, it will only display the first point.
daMinMax: Plots both the minimum and maximum Y that map to each X pixel.

Example :
Series1.DrawAllPoints := False ;
Series1.DrawAllPointsStyle:=daMinMax;


TFastLineSeries.FastPen

TFastLineSeries.FastPen
TFastLineSeries

property FastPen: Boolean;

Unit
Series

Description
Note: This property applies to Windows 2000 and XP only. It is not used in other operating systems.

When True, the FastLine series will optimize Canvas Pen management to obtain a faster draw speed.
This applies only when AutoRepaint property is False, for fast realtime charts.

See the example project demo for usage of AutoRepaint and FastPen properties in realtime charts.


TFastLineSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TFastLineSeries

Classes derived from TFastLineSeries
(none)


TFastLineSeries.IgnoreNulls

TFastLineSeries.IgnoreNulls
TFastLineSeries

property IgnoreNulls: Boolean;

Unit
Series

Description
Default: True

For speed reasons, FastLine series supports null (empty) values only when IgnoreNulls property is False.

By default all points are displayed (IgnoreNulls is True by default).

To enable FastLine series to hide null points, set IgnoreNulls to False.

Example:

Series1.Clear;
Series1.Add( 123 );
Series1.Add( 456 );
Series1.AddNull( 200 ); // <-- number is optional (default is zero)
Series1.Add( 222 );
Series1.Add( 555 );
Series1.IgnoreNulls := False;


TFastLineSeries.InvertedStairs

TFastLineSeries.InvertedStairs
TFastLineSeries

property InvertedStairs: Boolean;

Unit
Series

Description
This boolean property controls the FastLine series drawing.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step. - see Stairs .

In most normal situations, the Series draws a line between each Line point.
This makes the Line appear as a "mountain" shape.
However, setting Stairs to TRUE will make the Series draw 2 Lines between each pair of points, thus giving a "stairs" appearance.
This is most used in some financial Chart representations. You may invert the stair by setting InvertedStairs to true.

Series1.Stairs := True ;
Series1.InvertedStairs := True ;


TFastLineSeries.Stairs

TFastLineSeries.Stairs
TFastLineSeries

property Stairs: Boolean;

Unit
Series

Description
This boolean property controls the drawing of FastLine series.

In most normal situations, a series draws a line between each Line point.
This makes the Line appear as a "mountain" shape.
However, setting Stairs to TRUE will make the Series to draw 2 Lines between each pair of points, thus giving a "stairs" appearance.
This is most used in some financial Chart representations.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step.

Series1.Stairs := True ;
Series1.InvertedStairs := False;


TFibonacciItem.0events

TFibonacciItem events
TFibonacciItem Legend key

Unit
TeeFibonacci

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TFibonacciItem.0methods

TFibonacciItem methods
TFibonacciItem Legend key

Unit
TeeFibonacci

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFibonacciItem.0properties

TFibonacciItem properties
TFibonacciItem Legend key

Unit
TeeFibonacci

In TFibonacciItem
Pen
Value

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TFibonacciItem.Hierarchy

Unit
TeeFibonacci

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TFibonacciItem

Classes derived from TFibonacciItem
(none)


TFibonacciItem.Pen

TFibonacciItem.Pen
TFibonacciItem

property Pen: TChartPen;

Unit
TeeFibonacci

Description
Determines the color, size, etc of the pen used to draw an specific Fibonacci Level item.


TFibonacciItem.Value

TFibonacciItem.Value
TFibonacciItem

property Value: TChartValue;

Unit
TeeFibonacci

Description
The specific Fibonacci level item value.


TFibonacciLevels.0events

TFibonacciLevels events
TFibonacciLevels Legend key

Unit
TeeFibonacci

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TFibonacciLevels.0methods

TFibonacciLevels methods
TFibonacciLevels Legend key

Unit
TeeFibonacci

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFibonacciLevels.0properties

TFibonacciLevels properties
TFibonacciLevels Legend key

Unit
TeeFibonacci

In TFibonacciLevels
Level

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TFibonacciLevels.Hierarchy

Unit
TeeFibonacci

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TFibonacciLevels

Classes derived from TFibonacciLevels
(none)


TFibonacciLevels.Level

TFibonacciLevels.Level
TFibonacciLevels

property Level[Index: Integer]: TFibonacciItem;

Unit
TeeFibonacci

Description
Returns the item of the collection of Levels at the Index position.


TFibonacciTool.0events

TFibonacciTool events
TFibonacciTool Legend key

Unit
TeeFibonacci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFibonacciTool.0methods

TFibonacciTool methods
TFibonacciTool Legend key

Unit
TeeFibonacci

In TFibonacciTool
AxisPoint
Description
Radius

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFibonacciTool.0properties

TFibonacciTool properties
TFibonacciTool Legend key

Unit
TeeFibonacci

In TFibonacciTool
DrawStyle
EndX
EndY
LabelsAngle
LabelsFont
Levels
ShowLabels
StartX
StartY
TrendPen

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFibonacciTool.AxisPoint

TFibonacciTool.AxisPoint
TFibonacciTool

function AxisPoint(Const X, Y: Double): TPoint;

Unit
TeeFibonacci

Description
Returns the pixel screen XY coordinates that correspond to an X and Y axis values.


TFibonacciTool.Description

TFibonacciTool.Description
TFibonacciTool

function Description: String; override;

Unit
TeeFibonacci

Description
Returns "Fibonacci"


TFibonacciTool.DrawStyle

TFibonacciTool.DrawStyle
TFibonacciTool

property DrawStyle: TFibonacciStyle;

Unit
TeeFibonacci

Description
\sb\saFibonacci tool drawing style. Tool supports Fibonacci arcs and Fibonacci fans (lines).


TFibonacciTool.EndX

TFibonacciTool.EndX
TFibonacciTool

property EndX: Double;

Unit
TeeFibonacci

Description
Defines trendline end point x coordinate.


TFibonacciTool.EndY

TFibonacciTool.EndY
TFibonacciTool

property EndY: Double;

Unit
TeeFibonacci

Description
Defines trendline end point y coordinate.


TFibonacciTool.Hierarchy

Unit
TeeFibonacci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TFibonacciTool

Classes derived from TFibonacciTool
(none)


TFibonacciTool.LabelsAngle

TFibonacciTool.LabelsAngle
TFibonacciTool

property LabelsAngle: Integer;

Unit
TeeFibonacci

Description
Gets or sets the angle (from 0 to 360 degrees) to rotate the displayed text.


TFibonacciTool.LabelsFont

TFibonacciTool.LabelsFont
TFibonacciTool

property LabelsFont: TTeeFont;

Unit
TeeFibonacci

Description
Defines the font properties used to draw the Fibonacci texts near the arcs.


TFibonacciTool.Levels

TFibonacciTool.Levels
TFibonacciTool

property Levels: TFibonacciLevels;

Unit
TeeFibonacci

Description
Returns the list of Fibonacci levels.


TFibonacciTool.Radius

TFibonacciTool.Radius
TFibonacciTool

function Radius: Double;

Unit
TeeFibonacci

Description
Gets or sets the amount in axis scales as the radius of the Fibonacci arcs.


TFibonacciTool.ShowLabels

TFibonacciTool.ShowLabels
TFibonacciTool

property ShowLabels: Boolean;

Unit
TeeFibonacci

Description
Determines if the Fibonacci arcs will display labels or not.


TFibonacciTool.StartX

TFibonacciTool.StartX
TFibonacciTool

property StartX: Double;

Unit
TeeFibonacci

Description
Defines trendline start point x coordinate.


TFibonacciTool.StartY

TFibonacciTool.StartY
TFibonacciTool

property StartY: Double;

Unit
TeeFibonacci

Description
Defines trendline start point y coordinate.


TFibonacciTool.TrendPen

TFibonacciTool.TrendPen
TFibonacciTool

property TrendPen: TChartPen;

Unit
TeeFibonacci

Description
Gets or sets the properties used to draw the Fibonacci trend line.


TFilterItems.0events

TFilterItems events
TFilterItems Legend key

Unit
TeCanvas

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TFilterItems.0methods

TFilterItems methods
TFilterItems Legend key

Unit
TeCanvas

In TFilterItems
Add
ApplyTo

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFilterItems.0properties

TFilterItems properties
TFilterItems Legend key

Unit
TeCanvas

In TFilterItems
Item

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TFilterItems.Add

TFilterItems.Add
TFilterItems

function Add(Filter: TFilterClass): TTeeFilter;

Unit
TeCanvas

Description
Use Add to pass a filter to the referenced Object.

Example:

Uses TeeFilters;

with Chart1.BackImage do
begin
Filters.Add(TBevelFilter);
(Filters[0] as TBevelFilter).Bright := 64;
(Filters[0] as TBevelFilter).Size:= 28;
end;


TFilterItems.ApplyTo

TFilterItems.ApplyTo
TFilterItems

procedure ApplyTo(ABitmap: TBitmap);

Unit
TeCanvas

Description
Use ApplyTo to apply a filter to specified Bitmap.


TFilterItems.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TFilterItems

Classes derived from TFilterItems
(none)


TFilterItems.Item

TFilterItems.Item
TFilterItems

property Item[Index: Integer]: TTeeFilter;

Unit
TeCanvas

Description
Access individual Filter of List by Index.


TFilterRegion.0methods

TFilterRegion methods
TFilterRegion Legend key

Unit
TeCanvas

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFilterRegion.0properties

TFilterRegion properties
TFilterRegion Legend key

Unit
TeCanvas

In TFilterRegion
Height
Left
Rectangle
Top
Width


TFilterRegion.Height

TFilterRegion.Height
TFilterRegion

property Height: Integer;

Unit
TeCanvas

Description
Height of the region where the filter will be applied to.


TFilterRegion.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TFilterRegion

Classes derived from TFilterRegion
(none)


TFilterRegion.Left

TFilterRegion.Left
TFilterRegion

property Left: Integer;

Unit
TeCanvas

Description
Left position of the region.


TFilterRegion.Rectangle

TFilterRegion.Rectangle
TFilterRegion

property Rectangle: TRect;

Unit
TeCanvas

Description
Gets or sets the Left,Top,Width and Height properties in a more convenient way, using a rectangle structure.

Example:

var b : TBlurFilter;
b:=TBlurFilter.Create( Chart1.Legend.Picture.Filters );
b.Region.Rectangle := Rect( 10,10,50,50 );


TFilterRegion.Top

TFilterRegion.Top
TFilterRegion

property Top: Integer;

Unit
TeCanvas

Description
Top position of the region.


TFilterRegion.Width

TFilterRegion.Width
TFilterRegion

property Width: Integer;

Unit
TeCanvas

Description
Width of the region where the filter will be applied to.


TFlexCanvas.0methods

TFlexCanvas methods
TFlexCanvas Legend key

Unit
TeeFlexCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFlexCanvas.0properties

TFlexCanvas properties
TFlexCanvas Legend key

Unit
TeeFlexCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TFlexCanvas.Hierarchy

Unit
TeeFlexCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TFlexCanvas

Classes derived from TFlexCanvas
(none)


TFlexExportFormat.0methods

TFlexExportFormat methods
TFlexExportFormat Legend key

Unit
TeeFlexCanvas

In TFlexExportFormat
Compile
FlexMXML

Derived from TTeeExportFormat
CopyToClipboard
Description
FileExtension
FileFilter
GraphicClass
Options
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFlexExportFormat.Compile

TFlexExportFormat.Compile
TFlexExportFormat

function Compile(Const TargetFile: String): Boolean;

Unit
TeeFlexCanvas

Description
Calls the Adobe Flex SDK compiler (mxmlc.exe) located at the specified folder using the editor dialog.
Returns True if compilation succeed.
The TargetFile parameter must be an existing *.mxml file generated from this export format, or saved using the FlexMXML property.

The folder containing the Flex compiler is stored at registry under key:

HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro\Editor

Key values:

FlexCanvas_Compiler c:\program files\flex_sdk_3\bin
FlexCanvas_Temp c:\my_temp_folder


TFlexExportFormat.FlexMXML

TFlexExportFormat.FlexMXML
TFlexExportFormat

function FlexMXML: TStringList;

Unit
TeeFlexCanvas

Description
Returns a newly created TStringList containing Adobe Flex MXML code to represent a Chart.
This MXML code can be saved to a file and automatically compiled using Adobe Flex SDK compiler (mxmlc.exe) using the Compile method.


TFlexExportFormat.Hierarchy

Unit
TeeFlexCanvas

Hierarchy

TObject
|
TTeeExportFormat
|
TFlexExportFormat

Classes derived from TFlexExportFormat
(none)


TFlipFilter.0events

TFlipFilter events
TFlipFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TFlipFilter.0methods

TFlipFilter methods
TFlipFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFlipFilter.0properties

TFlipFilter properties
TFlipFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TFlipFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TFlipFilter

Classes derived from TFlipFilter
(none)


TFloatXYZ.0events

TFloatXYZ events
TFloatXYZ Legend key

Unit
TeCanvas

In TFloatXYZ
OnChange


TFloatXYZ.0methods

TFloatXYZ methods
TFloatXYZ Legend key

Unit
TeCanvas

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFloatXYZ.0properties

TFloatXYZ properties
TFloatXYZ Legend key

Unit
TeCanvas

In TFloatXYZ
X
Y
Z


TFloatXYZ.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TFloatXYZ

Classes derived from TFloatXYZ
(none)


TFloatXYZ.OnChange

TFloatXYZ.OnChange
TFloatXYZ

property OnChange: TNotifyEvent;

Unit
TeCanvas

Description
The OnChange event is called whenever each of the X,Y and Z properties are modified.


TFloatXYZ.X

TFloatXYZ.X
TFloatXYZ

property X: Double;

Unit
TeCanvas

Description
X component of the XYZ 3D point.


TFloatXYZ.Y

TFloatXYZ.Y
TFloatXYZ

property Y: Double;

Unit
TeCanvas

Description
Y component of the XYZ 3D point.


TFloatXYZ.Z

TFloatXYZ.Z
TFloatXYZ

property Z: Double;

Unit
TeCanvas

Description
Z component of the XYZ 3D point.


TFormatEditor.0events

TFormatEditor events
TFormatEditor Legend key

Unit
TeeFormatting

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFormatEditor.0methods

TFormatEditor methods
TFormatEditor Legend key

Unit
TeeFormatting

In TFormatEditor
Change
TheFormat

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFormatEditor.0properties

TFormatEditor properties
TFormatEditor Legend key

Unit
TeeFormatting

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFormatEditor.Change

TFormatEditor.Change
TFormatEditor

function Change(AOwner: TComponent; Const AFormat: String; AllowDates: Boolean): String;

Unit
TeeFormatting

Description
This method shows the format editor dialog and returns the selected formatting string when the user closes the dialog.
If the dialog is closed by the "Cancel" button, the result format string is untouched.

var s : String;
s:='#.##';
s:=TFormatEditor.Change(Self, s, False );


TFormatEditor.Hierarchy

Unit
TeeFormatting

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TFormatEditor

Classes derived from TFormatEditor
(none)


TFormatEditor.TheFormat

TFormatEditor.TheFormat
TFormatEditor

function TheFormat: String;

Unit
TeeFormatting

Description
Returns the currently selected formatting string, according to selected options in editor controls.


TFormCreator.0events

TFormCreator events
TFormCreator Legend key

Unit
TeeFiltersEditor

In TFormCreator
OnChange

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFormCreator.0methods

TFormCreator methods
TFormCreator Legend key

Unit
TeeFiltersEditor

In TFormCreator
AddCheckBox
AddColor
AddCombo
AddInteger
AddScroll

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFormCreator.0properties

TFormCreator properties
TFormCreator Legend key

Unit
TeeFiltersEditor

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFormCreator.AddCheckBox

TFormCreator.AddCheckBox
TFormCreator

function AddCheckBox(Const PropName, ACaption: String; OnChange: TNotifyEvent): TCheckBox;

Unit
TeeFiltersEditor

Description
Adds a new control (a checkbox) to change the boolean value of a boolean property (PropName).
The OnChange event is called when the checkbox is checked or unchecked.


TFormCreator.AddColor

TFormCreator.AddColor
TFormCreator

function AddColor(Const PropName, ACaption: String): TButton;

Unit
TeeFiltersEditor

Description
Adds a new control (a TButtonColor) to change the color property (PropName).


TFormCreator.AddCombo

TFormCreator.AddCombo
TFormCreator

function AddCombo(Const PropName: String): TComboBox;

Unit
TeeFiltersEditor

Description
Adds a new control (a combobox) to select an enumerated property value (PropName).


TFormCreator.AddInteger

TFormCreator.AddInteger
TFormCreator

function AddInteger(Const PropName, ACaption: String; AMin, AMax: Integer): TEdit;

Unit
TeeFiltersEditor

Description
Adds a new control (an edit box and a TUpDown associated to it) that allows changing the value of an integer property (PropName).
The TUpDown is configured to allow values from AMin to AMax, both inclusive.


TFormCreator.AddScroll

TFormCreator.AddScroll
TFormCreator

function AddScroll(Const PropName: String; AMin, AMax: Integer): TScrollBar;

Unit
TeeFiltersEditor

Description
Adds a new control (a scrollbar) to modify the integer value of a property (PropName).
The scrollbar is configured to allow values from AMin to AMax, both inclusive.


TFormCreator.Hierarchy

Unit
TeeFiltersEditor

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TFormCreator

Classes derived from TFormCreator
(none)


TFormCreator.OnChange

TFormCreator.OnChange
TFormCreator

property OnChange: TNotifyEvent;

Unit
TeeFiltersEditor

Description
This event is called when the user modifies any of the controls associated to properties.


TFormItem.0methods

TFormItem methods
TFormItem Legend key

Unit
TeeFiltersEditor

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFormItem.Hierarchy

Unit
TeeFiltersEditor

Hierarchy

TObject
|
TFormItem

Classes derived from TFormItem
(none)


TFormItems.0events

TFormItems events
TFormItems Legend key

Unit
TeeFiltersEditor

Derived from TList
Capacity
Count
Items
List


TFormItems.0methods

TFormItems methods
TFormItems Legend key

Unit
TeeFiltersEditor

In TFormItems
Clear

Derived from TList
Add
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFormItems.0properties

TFormItems properties
TFormItems Legend key

Unit
TeeFiltersEditor

In TFormItems
Items

Derived from TList
Capacity
Count
List


TFormItems.Clear

TFormItems.Clear
TFormItems

procedure Clear; override;

Unit
TeeFiltersEditor

Description
Removes all items from the collection.


TFormItems.Hierarchy

Unit
TeeFiltersEditor

Hierarchy

TObject
|
TList
|
TFormItems

Classes derived from TFormItems
(none)


TFormItems.Items

TFormItems.Items
TFormItems

property Items[Index: Integer]: TFormItem;

Unit
TeeFiltersEditor

Description
Returns individual items in the collection.


TFrameBrush.0events

TFrameBrush events
TFrameBrush Legend key

Unit
Series

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TFrameBrush.0methods

TFrameBrush methods
TFrameBrush Legend key

Unit
Series

Derived from TChartBrush
Clear

Derived from TBrush
Assign
Create
Destroy
GetBitmap
GetColor
GetData
GetHandle
GetStyle
SetBitmap
SetColor
SetData
SetHandle
SetStyle

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFrameBrush.0properties

TFrameBrush properties
TFrameBrush Legend key

Unit
Series

Derived from TChartBrush
BackColor
Gradient
Image

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TFrameBrush.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TBrush
|
TChartBrush
|
TFrameBrush

Classes derived from TFrameBrush
(none)


TFramedBorder.0methods

TFramedBorder methods
TFramedBorder Legend key

Unit
Series

In TFramedBorder
CalcWidth
Draw
SetDefaultCircled

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TFramedBorder.0properties

TFramedBorder properties
TFramedBorder Legend key

Unit
Series

In TFramedBorder
Circled
Emboss
InnerBrush
MiddleBrush
OuterBrush
Shadow
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TFramedBorder.CalcWidth

TFramedBorder.CalcWidth
TFramedBorder

function CalcWidth(Const R: TRect): Integer;

Unit
Series

Description
Calculates the size of the new rectangle of the guage and the frame border.


TFramedBorder.Circled

TFramedBorder.Circled
TFramedBorder

property Circled: Boolean;

Unit
Series

Description
Specifies if the border will be a rectangle or a circle/ellipse.


TFramedBorder.Draw

TFramedBorder.Draw
TFramedBorder

procedure Draw(R: TRect); virtual;

Unit
Series

Description
Draws the Frame Border to the selected location.


TFramedBorder.Emboss

TFramedBorder.Emboss
TFramedBorder

property Emboss: TTeeEmboss;

Unit
Series

Description
The Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TFramedBorder.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TFramedBorder

Classes derived from TFramedBorder
TCircularFrame


TFramedBorder.InnerBrush

TFramedBorder.InnerBrush
TFramedBorder

property InnerBrush: TFrameBrush;

Unit
Series

Description
Brush used to draw the inner section of the frame.


TFramedBorder.MiddleBrush

TFramedBorder.MiddleBrush
TFramedBorder

property MiddleBrush: TFrameBrush;

Unit
Series

Description
Brush used to draw the middle section of the frame.


TFramedBorder.OuterBrush

TFramedBorder.OuterBrush
TFramedBorder

property OuterBrush: TFrameBrush;

Unit
Series

Description
Brush used to draw the outer section of the frame.


TFramedBorder.SetDefaultCircled

TFramedBorder.SetDefaultCircled
TFramedBorder

procedure SetDefaultCircled(Const Value: Boolean);

Unit
Series

Description
Sets the default frame shape to Circular when true.


TFramedBorder.Shadow

TFramedBorder.Shadow
TFramedBorder

property Shadow: TTeeShadow;

Unit
Series

Description
Properties to draw a dropshadow behind the border.


TFramedBorder.Width

TFramedBorder.Width
TFramedBorder

property Width: Integer;

Unit
Series

Description
Amount in pixels used by the frame to display the three sections of the border.


TFrameTool.0events

TFrameTool events
TFrameTool Legend key

Unit
TeeFrameTool

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFrameTool.0methods

TFrameTool methods
TFrameTool Legend key

Unit
TeeFrameTool

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFrameTool.0properties

TFrameTool properties
TFrameTool Legend key

Unit
TeeFrameTool

In TFrameTool
Frame
Paspartou
ResizeChart
Size
Style

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFrameTool.Frame

TFrameTool.Frame
TFrameTool

property Frame: TTeePicture;

Unit
TeeFrameTool

Description
Having Frame style set to "Custom" allows to access to TTeePicture properties and methods to assign an image and filters if desired.


TFrameTool.Hierarchy

Unit
TeeFrameTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TFrameTool

Classes derived from TFrameTool
(none)


TFrameTool.Paspartou

TFrameTool.Paspartou
TFrameTool

property Paspartou: Integer;

Unit
TeeFrameTool

Description
Default : 16

Defines the size of a margin between the Frame and the Chart.


TFrameTool.ResizeChart

TFrameTool.ResizeChart
TFrameTool

property ResizeChart: Boolean;

Unit
TeeFrameTool

Description
Default : True

Setting it to False the Chart wont be resized based on the frame size.


TFrameTool.Size

TFrameTool.Size
TFrameTool

property Size: Integer;

Unit
TeeFrameTool

Description
Default size : 16

Defines de Size of the Frame.


TFrameTool.Style

TFrameTool.Style
TFrameTool

property Style: Integer;

Unit
TeeFrameTool

Description
Default : 1

Defines which Frame style to use. Available styles are :

0 : Custom
1 : Metal
2 : Gold
3 : Silver
4 : Wood
5 : Cherry
6 : Modern
7 : Pine


TFullScreenTool.0events

TFullScreenTool events
TFullScreenTool Legend key

Unit
TeeTools

In TFullScreenTool
OnReset

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFullScreenTool.0methods

TFullScreenTool methods
TFullScreenTool Legend key

Unit
TeeTools

In TFullScreenTool
ScreenDesktopRect

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFullScreenTool.0properties

TFullScreenTool properties
TFullScreenTool Legend key

Unit
TeeTools

In TFullScreenTool
ReleaseKey

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFullScreenTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TFullScreenTool

Classes derived from TFullScreenTool
(none)


TFullScreenTool.OnReset

TFullScreenTool.OnReset
TFullScreenTool

property OnReset: TNotifyEvent;

Unit
TeeTools

Description
Event called when the user resets the FullScreenTool by pressing Esc or Alt + F4 or also the release key defined by the ReleaseKey property.


TFullScreenTool.ReleaseKey

TFullScreenTool.ReleaseKey
TFullScreenTool

property ReleaseKey: Word;

Unit
TeeTools

Description
Defines the key to reset the mode, i.e :

ChartTool1.ReleaseKey:=VK_DELETE;


TFullScreenTool.ScreenDesktopRect

TFullScreenTool.ScreenDesktopRect
TFullScreenTool

function ScreenDesktopRect: TRect;

Unit
TeeTools

Description
This function returns the active desktop rect. as TRect.


TFunnelSeries.0events

TFunnelSeries events
TFunnelSeries Legend key

Unit
TeeFunnel

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFunnelSeries.0methods

TFunnelSeries methods
TFunnelSeries Legend key

Unit
TeeFunnel

In TFunnelSeries
AddSegment
Clicked
Recalc

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TFunnelSeries.0properties

TFunnelSeries properties
TFunnelSeries Legend key

Unit
TeeFunnel

In TFunnelSeries
AboveColor
AutoUpdate
BelowColor
DifferenceLimit
LinesPen
OpportunityValues
QuotesSorted
QuoteValues
WithinColor

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TFunnelSeries.AboveColor

TFunnelSeries.AboveColor
TFunnelSeries

property AboveColor: TColor;

Unit
TeeFunnel

Description
default value = clGreen

The AboveColor property defines the color used to paint the Funnel segment if Opportunity value is greater than Quote value.


TFunnelSeries.AddSegment

TFunnelSeries.AddSegment
TFunnelSeries

function AddSegment(Const AQuote, AOpportunity: Double; Const ALabel: String; AColor: TColor): Integer;

Unit
TeeFunnel

Description
Use AddSegment method to add new Funnel segment to the Series. The new segment is represented by AQuote and AOpportunity value. The ALabel parameter is optional (can be empty ''). The AColor parameter is optional (can be clTeeColor). The function returns the new point position in the Values list.
The AddSegment triggers the reconstruction of Funnel chart. If you want to avoid this, set the AutoUpdate property to false and then call the Recalculate method when you want to reconstruct Funnel chart.

NOTE :
The internal drawing algorithm requires that QuoteValues are sorted in descending order. There are two ways you can ensure this:
1) Sort segments by QuoteValues in descending order before you add them to series. In this case you can override internal sorting algorithm by setting the QuotesSorted property to true.
2) Use the internal sorting algorithm. You can enable the internal sorting algorithm by setting the QuotesSorted property to false.


TFunnelSeries.AutoUpdate

TFunnelSeries.AutoUpdate
TFunnelSeries

property AutoUpdate: Boolean;

Unit
TeeFunnel

Description
default value = true

If AutoUpdate is set to true, TFunnelSeries will be reconstructed with every added point. To speed up the drawing of TFunnelSeries, set the AutoUpdate to false and call the Recalculate method when all points are added.


TFunnelSeries.BelowColor

TFunnelSeries.BelowColor
TFunnelSeries

property BelowColor: TColor;

Unit
TeeFunnel

Description
default value = clRed

The BelowColor property defines the color used to paint the Funnel segment if Opportunity value is more than the DifferenceLimit % below the Quote value.


TFunnelSeries.Clicked

TFunnelSeries.Clicked
TFunnelSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
TeeFunnel

Description
Returns the point index that contains the XY pixel coordinates.


TFunnelSeries.DifferenceLimit

TFunnelSeries.DifferenceLimit
TFunnelSeries

property DifferenceLimit: Double;

Unit
TeeFunnel

Description
default value = 30.0

The DifferenceLimit property defines the difference (expressed in Quote percentage), used by the internal algorithm to define the Funnel segment color.

If Opportunity value falls below (100-Difference)*Quote/100 then the BelowColor will be used to paint the Funnel segment. If Opportunity falls between (100-Difference)*Quote/100 and Quote, then the WithinColor will be used to paint the Funnel segment. Otherwise (if Opportunity > Quote) the AboveColor will be used to paint the Funnel segment.


TFunnelSeries.Hierarchy

Unit
TeeFunnel

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TFunnelSeries

Classes derived from TFunnelSeries
(none)


TFunnelSeries.LinesPen

TFunnelSeries.LinesPen
TFunnelSeries

property LinesPen: TChartPen;

Unit
TeeFunnel

Description
Read LinesPen to obtain the TChartPen object that represents the color and style of the TFunnelSeries bounding polygon. Use the properties of LinesPen to change the color or style of the TFunnelSeries bounding polygon.


TFunnelSeries.OpportunityValues

TFunnelSeries.OpportunityValues
TFunnelSeries

property OpportunityValues: TChartValueList;

Unit
TeeFunnel

Description
Use OpportunityValues property to get access to the opportunity values of the TFunnelSeries.


TFunnelSeries.QuotesSorted

TFunnelSeries.QuotesSorted
TFunnelSeries

property QuotesSorted: Boolean;

Unit
TeeFunnel

Description
default value = false

The QuotesSorted property defines if added segments are already sorted by QuoteValues in descending order. Setting QuotesSorted to false will enable the internal sorting algorithm.


TFunnelSeries.QuoteValues

TFunnelSeries.QuoteValues
TFunnelSeries

property QuoteValues: TChartValueList;

Unit
TeeFunnel

Description
Use QuoteValues property to get access to the quote values of the TFunnelSeries.


TFunnelSeries.Recalc

TFunnelSeries.Recalc
TFunnelSeries

procedure Recalc;

Unit
TeeFunnel

Description
The Recalc method uses all Quote and Opportunity values to reconstruct the Funnel chart.


TFunnelSeries.WithinColor

TFunnelSeries.WithinColor
TFunnelSeries

property WithinColor: TColor;

Unit
TeeFunnel

Description
default value = clYellow

The WithinColor property defines the color used to paint the Funnel segment if Opportunity value is within DifferenceLimit % below the Quote value.


TGalleryChart.0events

TGalleryChart events
TGalleryChart Legend key

Unit
TeeGalleryPanel

Derived from TCustomChart
OnAllowScroll
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnClickTitle
OnGetLegendPos
OnGetLegendRect
OnGetLegendText

Derived from TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGalleryChart.0methods

TGalleryChart methods
TGalleryChart Legend key

Unit
TeeGalleryPanel

Derived from TCustomChart
AxisTitleOrName
CalcClickedPart
ClearChart
FillSeriesSourceItems
FillValueSourceItems
FormattedLegend
FormattedValueLegend
GetASeries
IsFreeSeriesColor
NextPage
PreviousPage
RemoveAllSeries
SeriesDown
SeriesUp
UndoZoom
ZoomPercent
ZoomRect

Derived from TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CheckDatasource
CountActiveSeries
ExchangeSeries
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
IsValidDataSource
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGalleryChart.0properties

TGalleryChart properties
TGalleryChart Legend key

Unit
TeeGalleryPanel

In TGalleryChart
Smooth

Derived from TCustomChart
BackColor
BackWall
BottomWall
ColorPaletteIndex
Foot
Frame
LeftWall
Legend
RightWall
SubFoot
SubTitle
Title
Walls

Derived from TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGalleryChart.Hierarchy

Unit
TeeGalleryPanel

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel
|
TCustomChart
|
TGalleryChart

Classes derived from TGalleryChart
(none)


TGalleryChart.Smooth

TGalleryChart.Smooth
TGalleryChart

property Smooth: Boolean;

Unit
TeeGalleryPanel

Description
Gets or sets if the chart in the gallery will be displayed in normal mode or "smooth".

The smooth mode displays a bigger chart that is reduced to simulate a high-resolution, eye-pleasant effect.

The TChartGalleryPanel also has a Smooth property to control the smootheness of all charts in the gallery.


TGammaCorrectionFilter.0events

TGammaCorrectionFilter events
TGammaCorrectionFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TGammaCorrectionFilter.0methods

TGammaCorrectionFilter methods
TGammaCorrectionFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGammaCorrectionFilter.0properties

TGammaCorrectionFilter properties
TGammaCorrectionFilter Legend key

Unit
TeeFilters

Derived from TAmountFilter
Amount
Percent

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TGammaCorrectionFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TAmountFilter
|
TGammaCorrectionFilter

Classes derived from TGammaCorrectionFilter
(none)


TGanttSeries.0events

TGanttSeries events
TGanttSeries Legend key

Unit
GanttCh

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGanttSeries.0methods

TGanttSeries methods
TGanttSeries Legend key

Unit
GanttCh

In TGanttSeries
AddGantt
AddGanttColor
AddXY
IsValidSourceOf
MaxXValue

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGanttSeries.0properties

TGanttSeries properties
TGanttSeries Legend key

Unit
GanttCh

In TGanttSeries
ConnectingPen
EndValues
NextTask
StartValues

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGanttSeries.AddGantt

TGanttSeries.AddGantt
TGanttSeries

function AddGantt(Const AStart, AEnd, AY: Double; Const AXLabel: String): Integer;

Unit
GanttCh

Description
The AddGantt function adds a new Gantt bar to the Series. Each Gantt bar has the following parameters: AStart and AEnd The starting and ending Gantt bar horizontal coordinates. These can be normal floating values or DateTime values.

AY is the vertical Gantt bar coordinate. You can add as many Gantt bars you want, with or without same vertical coordinate. The vertical coordinate is usually a value starting from zero, but you can choose any other arbitrary value.

AXLabel is the associated Gantt bar text. It will be optionally shown as a Label at vertical axis and at TGanttSeries.Marks.

You can assign connecting lines between Gantt bars by using the TGanttSeries.NextTask property. You can assign a specific color to each Gantt bar by using the TChartSeries.ValueColor property or by calling the TGanttBar.AddGanttColor method. This function returns the corresponding internal point index. You can then refer to this Gantt bar by using this index. New added points are optionally sorted in ascending or descending order either by their horizontal or vertical coordinates. You can turn sorting off by setting the XValues and YValues Order property to loNone.


TGanttSeries.AddGanttColor

TGanttSeries.AddGanttColor
TGanttSeries

function AddGanttColor(Const AStart, AEnd, AY: Double; Const AXLabel: String; AColor: TColor): Integer;

Unit
GanttCh

Description
The AddGanttColor function adds a new Gantt bar point to the Series.

It calls the AddGantt function and sets the specified AColor parameter by using the TChartSeries.
ValueColor property.

This function returns the corresponding internal point index. You can then refer to this Gantt bar by using this index.

Please refer to TGanttSeries.AddGantt function for an example of adding Gantt bars.


TGanttSeries.AddXY

TGanttSeries.AddXY
TGanttSeries

function AddXY(Const AXValue, AYValue: TChartValue; Const ALabel: String; AColor: TColor): Integer; override;

Unit
GanttCh

Description
This function inserts a new point in the Series. The new point has X and Y values. The AXLabel parameter is optional (can be empty ''). The AColor parameter is optional (can be clTeeColor). The function returns the new point position in the Values list.


TGanttSeries.ConnectingPen

TGanttSeries.ConnectingPen
TGanttSeries

property ConnectingPen: TChartPen;

Unit
GanttCh

Description
The ConnectingPen property determines the kind of pen used to draw the optional lines that connect Gantt Bars.

Gantt Bars are "connected" by using the TGanttSeries.NextTask property.


TGanttSeries.EndValues

TGanttSeries.EndValues
TGanttSeries

property EndValues: TChartValueList;

Unit
GanttCh

Description
The EndValues property defines the ending Gantt bar date value. The starting Gantt bar point is stored at TGanttSeries.StartValues

list property.

StartValues and EndValues can be specified both as DateTime or double values.

Both are standard TChartValueList components. That means you can access their values with same methods as you can access X or Y values.

The TGanttSeries.AddGantt and / or TGanttSeries.AddGanttColor methods must be used to add Gantt bar points.


TGanttSeries.Hierarchy

Unit
GanttCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TGanttSeries

Classes derived from TGanttSeries
(none)


TGanttSeries.IsValidSourceOf

TGanttSeries.IsValidSourceOf
TGanttSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
GanttCh

Description
The IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.


TGanttSeries.MaxXValue

TGanttSeries.MaxXValue
TGanttSeries

function MaxXValue: Double; override;

Unit
GanttCh

Description
This function returns the calculted Maximum Horizontal value for the specified AAxis. AAxis can be TopAxis or BottomAxis.

Calculated means that the return value will the Maximum value of the Maximum Series X Values. Only Series with the HorizAxis equal to AAxis will be considered.


TGanttSeries.NextTask

TGanttSeries.NextTask
TGanttSeries

property NextTask: TChartValueList;

Unit
GanttCh

Description
The NextTask property is a TList component that holds the Gantt bar index each Gantt bar is connected to.

When a Gantt bar is added to TGanttSeries, it's NextTask value is assigned to -1 by default. That means the Gantt bar is NOT connected to any other Gantt Bar.

You need to set a valid bar index to NextTask.


TGanttSeries.StartValues

TGanttSeries.StartValues
TGanttSeries

property StartValues: TChartValueList;

Unit
GanttCh

Description
The StartValues property defines the starting Gantt bar date values. The ending Gantt bar point date is stored at TGanttSeries.EndValues list property.

StartValues and EndValues can be specified both as DateTime or double values.

Both are standard TChartValueList components. That means you can access their values with same methods as you can access X or Y values.

The TGanttSeries.AddGantt and / or TGanttSeries.AddGanttColor methods must be used to add Gantt bar points.


TGanttTool.0events

TGanttTool events
TGanttTool Legend key

Unit
TeeGanttTool

In TGanttTool
OnDragBar
OnResizeBar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGanttTool.0methods

TGanttTool methods
TGanttTool Legend key

Unit
TeeGanttTool

In TGanttTool
Gantt

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGanttTool.0properties

TGanttTool properties
TGanttTool Legend key

Unit
TeeGanttTool

In TGanttTool
AllowDrag
AllowResize
CursorDrag
CursorResize
MinPixels

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGanttTool.AllowDrag

TGanttTool.AllowDrag
TGanttTool

property AllowDrag: Boolean;

Unit
TeeGanttTool

Description
Default : True

When True, the end user can use the mouse to click and dragg Gantt series bars.


TGanttTool.AllowResize

TGanttTool.AllowResize
TGanttTool

property AllowResize: Boolean;

Unit
TeeGanttTool

Description
Default : True

When True, the end user can use the mouse to resize Gantt series bars.

To resize a gantt bar, click and drag the mouse when its over at an edge (left or right) of the gantt bar.


TGanttTool.CursorDrag

TGanttTool.CursorDrag
TGanttTool

property CursorDrag: TCursor;

Unit
TeeGanttTool

Description
Default : crHandPoint

Defines the cursor to show when the user is dragging a Gantt bar.


TGanttTool.CursorResize

TGanttTool.CursorResize
TGanttTool

property CursorResize: TCursor;

Unit
TeeGanttTool

Description
Default : crSizeWE

Defines the cursor to show when the end user passes the mouse over an edge (left or right) of a gantt series bar.


TGanttTool.Gantt

TGanttTool.Gantt
TGanttTool

function Gantt: TGanttSeries;

Unit
TeeGanttTool

Description
Returns the Gantt series associated to this tool.


TGanttTool.Hierarchy

Unit
TeeGanttTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TGanttTool

Classes derived from TGanttTool
(none)


TGanttTool.MinPixels

TGanttTool.MinPixels
TGanttTool

property MinPixels: Integer;

Unit
TeeGanttTool

Description
Default : 5

Defines the amount in screen pixels to consider the user is moving the mouse over a gantt bar edge (left or right).


TGanttTool.OnDragBar

TGanttTool.OnDragBar
TGanttTool

property OnDragBar: TGanttDragEvent;

Unit
TeeGanttTool

Description
Event called when the user is dragging a gantt bar.


TGanttTool.OnResizeBar

TGanttTool.OnResizeBar
TGanttTool

property OnResizeBar: TGanttResizeEvent;

Unit
TeeGanttTool

Description
Event called when the user is resizing a gantt bar.


TGatorFunction.0events

TGatorFunction events
TGatorFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGatorFunction.0methods

TGatorFunction methods
TGatorFunction Legend key

Unit
StatChar

In TGatorFunction
AddPoints

Derived from TTeeFunction
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGatorFunction.0properties

TGatorFunction properties
TGatorFunction Legend key

Unit
StatChar

In TGatorFunction
Bottom

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGatorFunction.AddPoints

TGatorFunction.AddPoints
TGatorFunction

procedure AddPoints(Source: TChartSeries); override;

Unit
StatChar

Description
\sb\saThe AddPoints method gets all points from Source series, performs a function operation on points and finally stores results in ParentSeries


TGatorFunction.Bottom

TGatorFunction.Bottom
TGatorFunction

property Bottom: TVolumeSeries;

Unit
StatChar

Description
Read only


TGatorFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TGatorFunction

Classes derived from TGatorFunction
(none)


TGaugeHand.0methods

TGaugeHand methods
TGaugeHand Legend key

Unit
TeeCircularGauge

In TGaugeHand
Draw

Derived from TSeriesPointer
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGaugeHand.0properties

TGaugeHand properties
TGaugeHand Legend key

Unit
TeeCircularGauge

In TGaugeHand
Distance
Offset

Derived from TGaugeSeriesPointer
GaugeStyle

Derived from TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TGaugeHand.Distance

TGaugeHand.Distance
TGaugeHand

property Distance: Integer;

Unit
TeeCircularGauge

Description
Default 80 %
Defines the distance (as percentage from 0 to 100) used to draw the hand arrow from the gauge center to the axis labels.


TGaugeHand.Draw

TGaugeHand.Draw
TGaugeHand

procedure Draw(Const Angle: Double; Const Center, EndP: TPoint; Off: Integer);

Unit
TeeCircularGauge

Description
Displays the gauge hand using the specified angle, center position coordinates and Offset in pixels.


TGaugeHand.Hierarchy

Unit
TeeCircularGauge

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer
|
TGaugeSeriesPointer
|
TGaugeHand

Classes derived from TGaugeHand
(none)


TGaugeHand.Offset

TGaugeHand.Offset
TGaugeHand

property Offset: Integer;

Unit
TeeCircularGauge

Description
Default 30 %
Defines the distance (as percentage from 0 to 100) used to draw the hand arrow from the gauge center to the hand bottom.


TGaugePointerRange.0methods

TGaugePointerRange methods
TGaugePointerRange Legend key

Unit
TeeLinearGauge

Derived from TSeriesPointer
Draw
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGaugePointerRange.0properties

TGaugePointerRange properties
TGaugePointerRange Legend key

Unit
TeeLinearGauge

In TGaugePointerRange
EndValue
StartValue

Derived from TGaugeSeriesPointer
GaugeStyle

Derived from TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TGaugePointerRange.EndValue

TGaugePointerRange.EndValue
TGaugePointerRange

property EndValue: Double;

Unit
TeeLinearGauge

Description
Sets the end value of either the GreenLine or the RedLine of a Linear Gauge.


TGaugePointerRange.Hierarchy

Unit
TeeLinearGauge

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer
|
TGaugeSeriesPointer
|
TGaugePointerRange

Classes derived from TGaugePointerRange
(none)


TGaugePointerRange.StartValue

TGaugePointerRange.StartValue
TGaugePointerRange

property StartValue: Double;

Unit
TeeLinearGauge

Description
Sets the start value of either the GreenLine or the RedLine of a Linear Gauge.


TGaugeSeries.0events

TGaugeSeries events
TGaugeSeries Legend key

Unit
TeeGauges

In TGaugeSeries
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGaugeSeries.0methods

TGaugeSeries methods
TGaugeSeries Legend key

Unit
TeeGauges

In TGaugeSeries
Axis
NumSampleValues

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGaugeSeries.0properties

TGaugeSeries properties
TGaugeSeries Legend key

Unit
TeeGauges

In TGaugeSeries
Center
EndPoint
FullRepaint
HandDistance
HandStyle
LabelsInside
Maximum
Minimum
MinorTickDistance
TotalAngle
Value

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGaugeSeries.Axis

TGaugeSeries.Axis
TGaugeSeries

function Axis: TChartAxis;

Unit
TeeGauges

Description
Returns the Axis object that Gauge series uses to display scales.


TGaugeSeries.Center

TGaugeSeries.Center
TGaugeSeries

property Center: TSeriesPointer;

Unit
TeeGauges

Description
Returns a sub-object with properties that control the appearance of a shape at the middle of gauge.


TGaugeSeries.EndPoint

TGaugeSeries.EndPoint
TGaugeSeries

property EndPoint: TSeriesPointer;

Unit
TeeGauges

Description
Returns a sub-object with properties that control the appearance of a shape at the end of the gauge arrow.


TGaugeSeries.FullRepaint

TGaugeSeries.FullRepaint
TGaugeSeries

property FullRepaint: Boolean;

Unit
TeeGauges

Description
Default : False

Set to True to force redisplay of the whole chart when the Gauge arrow value changes.

By default is False, meaning the gauge will only repaint the arrow line when the value changes, instead of repainting the whole chart.


TGaugeSeries.HandDistance

TGaugeSeries.HandDistance
TGaugeSeries

property HandDistance: Integer;

Unit
TeeGauges

Description
Default : 24

The amount in pixels that define a gap between the gauge axis and the end of the gauge arrow line.


TGaugeSeries.HandStyle

TGaugeSeries.HandStyle
TGaugeSeries

property HandStyle: THandStyle;

Unit
TeeGauges

Description
Default : hsLine

The gauge can display its arrow as a simple line ( hsLine style ) or as a filled triangle ( hsTriangle style ).

Series1.HandStyle := hsTriangle ;


TGaugeSeries.Hierarchy

Unit
TeeGauges

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TGaugeSeries

Classes derived from TGaugeSeries
(none)


TGaugeSeries.LabelsInside

TGaugeSeries.LabelsInside
TGaugeSeries

property LabelsInside: Boolean;

Unit
TeeGauges

Description
Default : True

Defines where to display gauge axis labels.


TGaugeSeries.Maximum

TGaugeSeries.Maximum
TGaugeSeries

property Maximum: Double;

Unit
TeeGauges

Description
Default : 100

Gets or sets the maximum value for the gauge.


TGaugeSeries.Minimum

TGaugeSeries.Minimum
TGaugeSeries

property Minimum: Double;

Unit
TeeGauges

Description
Default : 0

Gets or sets the minimum value for the gauge.


TGaugeSeries.MinorTickDistance

TGaugeSeries.MinorTickDistance
TGaugeSeries

property MinorTickDistance: Integer;

Unit
TeeGauges

Description
Default : 0 pixels

Set to a value bigger than zero to display the axis minor ticks ( ticks inside normal ticks ) displaced from the axis line the specified number of pixels.


TGaugeSeries.NumSampleValues

TGaugeSeries.NumSampleValues
TGaugeSeries

function NumSampleValues: Integer; override;

Unit
TeeGauges

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TGaugeSeries.OnChange

TGaugeSeries.OnChange
TGaugeSeries

property OnChange: TNotifyEvent;

Unit
TeeGauges

Description
Called when the gauge Value property is changed.


TGaugeSeries.TotalAngle

TGaugeSeries.TotalAngle
TGaugeSeries

property TotalAngle: Double;

Unit
TeeGauges

Description
Default : 90 degrees

Controls the size in degrees for the gauge axis.

Use together with RotationAngle property.


TGaugeSeries.Value

TGaugeSeries.Value
TGaugeSeries

property Value: Double;

Unit
TeeGauges

Description
Default : 0

Gets or sets the position of gauge arrow line.

Must be a number between gauge Minimum and Maximum.

When Value is changed, the gauge arrow is automatically redisplayed at the new position.
The FullRepaint property controls if the whole chart will be repainted or just the gauge arrow line.


TGaugeSeriesPointer.0methods

TGaugeSeriesPointer methods
TGaugeSeriesPointer Legend key

Unit
TeeLinearGauge

Derived from TSeriesPointer
Draw
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGaugeSeriesPointer.0properties

TGaugeSeriesPointer properties
TGaugeSeriesPointer Legend key

Unit
TeeLinearGauge

In TGaugeSeriesPointer
GaugeStyle

Derived from TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TGaugeSeriesPointer.GaugeStyle

TGaugeSeriesPointer.GaugeStyle
TGaugeSeriesPointer

property GaugeStyle: TGaugePointerStyles;

Unit
TeeLinearGauge

Description
Defines the pointer's style.


TGaugeSeriesPointer.Hierarchy

Unit
TeeLinearGauge

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer
|
TGaugeSeriesPointer

Classes derived from TGaugeSeriesPointer
TGaugeHand
TGaugePointerRange


TGdiplusBase.0methods

TGdiplusBase methods
TGdiplusBase Legend key

Unit
GDIPAPI

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGdiplusBase.Hierarchy

Unit
GDIPAPI

Hierarchy

TObject
|
TGdiplusBase

Classes derived from TGdiplusBase
TGPBrush
TGPCachedBitmap
TGPCustomLineCap
TGPFont
TGPFontCollection
TGPFontFamily
TGPGraphics
TGPGraphicsPath
TGPGraphicsPathIterator
TGPImage
TGPImageAttributes
TGPMatrix
TGPPen
TGPRegion
TGPStringFormat


TGDIPlusCanvas.0methods

TGDIPlusCanvas methods
TGDIPlusCanvas Legend key

Unit
TeeGDIPlus

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGDIPlusCanvas.0properties

TGDIPlusCanvas properties
TGDIPlusCanvas Legend key

Unit
TeeGDIPlus

In TGDIPlusCanvas
AntiAlias
AntiAliasText
Graphics

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TGDIPlusCanvas.AntiAlias

TGDIPlusCanvas.AntiAlias
TGDIPlusCanvas

property AntiAlias: Boolean;

Unit
TeeGDIPlus

Description
When True, diagonal lines and curved lines are "smoothed".


TGDIPlusCanvas.AntiAliasText

TGDIPlusCanvas.AntiAliasText
TGDIPlusCanvas

property AntiAliasText: TGDIPlusFontQuality;

Unit
TeeGDIPlus

Description
When True, text displayed with big font sizes has smooth diagonal and curved lines.


TGDIPlusCanvas.Graphics

TGDIPlusCanvas.Graphics
TGDIPlusCanvas

property Graphics: TGPGraphics;

Unit
TeeGDIPlus


TGDIPlusCanvas.Hierarchy

Unit
TeeGDIPlus

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TGDIPlusCanvas

Classes derived from TGDIPlusCanvas
(none)


TGDIPlusEditor.0events

TGDIPlusEditor events
TGDIPlusEditor Legend key

Unit
TeeGDIPlusEditor

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGDIPlusEditor.0methods

TGDIPlusEditor methods
TGDIPlusEditor Legend key

Unit
TeeGDIPlusEditor

In TGDIPlusEditor
CBActiveClick
CBAntiAliasClick
CBBufferedClick
CBTextQualityChange
FormShow
ModalShow

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGDIPlusEditor.0properties

TGDIPlusEditor properties
TGDIPlusEditor Legend key

Unit
TeeGDIPlusEditor

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGDIPlusEditor.CBActiveClick

TGDIPlusEditor.CBActiveClick
TGDIPlusEditor

procedure CBActiveClick(Sender: TObject);

Unit
TeeGDIPlusEditor


TGDIPlusEditor.CBAntiAliasClick

TGDIPlusEditor.CBAntiAliasClick
TGDIPlusEditor

procedure CBAntiAliasClick(Sender: TObject);

Unit
TeeGDIPlusEditor


TGDIPlusEditor.CBBufferedClick

TGDIPlusEditor.CBBufferedClick
TGDIPlusEditor

procedure CBBufferedClick(Sender: TObject);

Unit
TeeGDIPlusEditor


TGDIPlusEditor.CBTextQualityChange

TGDIPlusEditor.CBTextQualityChange
TGDIPlusEditor

procedure CBTextQualityChange(Sender: TObject);

Unit
TeeGDIPlusEditor


TGDIPlusEditor.FormShow

TGDIPlusEditor.FormShow
TGDIPlusEditor

procedure FormShow(Sender: TObject);

Unit
TeeGDIPlusEditor


TGDIPlusEditor.Hierarchy

Unit
TeeGDIPlusEditor

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TGDIPlusEditor

Classes derived from TGDIPlusEditor
(none)


TGDIPlusEditor.ModalShow

TGDIPlusEditor.ModalShow
TGDIPlusEditor

function ModalShow(AOwner: TComponent; AGDIPlus: TTeeGDIPlus): Boolean;

Unit
TeeGDIPlusEditor


TGIFAppExtNSLoop.0methods

TGIFAppExtNSLoop methods
TGIFAppExtNSLoop Legend key

Unit
GIFImage

Derived from TGIFApplicationExtension
RegisterExtension

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFAppExtNSLoop.0properties

TGIFAppExtNSLoop properties
TGIFAppExtNSLoop Legend key

Unit
GIFImage

In TGIFAppExtNSLoop
BufferSize
Loops

Derived from TGIFApplicationExtension
Authentication
Identifier

Derived from TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFAppExtNSLoop.BufferSize

TGIFAppExtNSLoop.BufferSize
TGIFAppExtNSLoop

property BufferSize: DWORD;

Unit
GIFImage


TGIFAppExtNSLoop.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension
|
TGIFApplicationExtension
|
TGIFAppExtNSLoop

Classes derived from TGIFAppExtNSLoop
(none)


TGIFAppExtNSLoop.Loops

TGIFAppExtNSLoop.Loops
TGIFAppExtNSLoop

property Loops: Word;

Unit
GIFImage


TGIFApplicationExtension.0methods

TGIFApplicationExtension methods
TGIFApplicationExtension Legend key

Unit
GIFImage

In TGIFApplicationExtension
RegisterExtension

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFApplicationExtension.0properties

TGIFApplicationExtension properties
TGIFApplicationExtension Legend key

Unit
GIFImage

In TGIFApplicationExtension
Authentication
Identifier

Derived from TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFApplicationExtension.Authentication

TGIFApplicationExtension.Authentication
TGIFApplicationExtension

property Authentication: AnsiString;

Unit
GIFImage


TGIFApplicationExtension.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension
|
TGIFApplicationExtension

Classes derived from TGIFApplicationExtension
TGIFAppExtNSLoop
TGIFUnknownAppExtension


TGIFApplicationExtension.Identifier

TGIFApplicationExtension.Identifier
TGIFApplicationExtension

property Identifier: AnsiString;

Unit
GIFImage


TGIFApplicationExtension.RegisterExtension

TGIFApplicationExtension.RegisterExtension
TGIFApplicationExtension

procedure RegisterExtension(eIdent: TGIFApplicationRec; eClass: TGIFAppExtensionClass);

Unit
GIFImage


TGIFBlock.0methods

TGIFBlock methods
TGIFBlock Legend key

Unit
GIFImage

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFBlock.0properties

TGIFBlock properties
TGIFBlock Legend key

Unit
GIFImage

In TGIFBlock
Data
Size


TGIFBlock.Data

TGIFBlock.Data
TGIFBlock

property Data: Pointer;

Unit
GIFImage


TGIFBlock.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TGIFBlock

Classes derived from TGIFBlock
(none)


TGIFBlock.Size

TGIFBlock.Size
TGIFBlock

property Size: Byte;

Unit
GIFImage


TGIFColorMap.0methods

TGIFColorMap methods
TGIFColorMap Legend key

Unit
GIFImage

In TGIFColorMap
Add
AddUnique
Changed
Clear
Color2RGB
ExportPalette
ImportColorMap
ImportColorTable
ImportDIBColors
ImportPalette
IndexOf
Optimize
RGB2Color

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFColorMap.0properties

TGIFColorMap properties
TGIFColorMap Legend key

Unit
GIFImage

In TGIFColorMap
BitsPerPixel
Colors
Count
Data
Optimized


TGIFColorMap.Add

TGIFColorMap.Add
TGIFColorMap

function Add(Color: TColor): Integer;

Unit
GIFImage


TGIFColorMap.AddUnique

TGIFColorMap.AddUnique
TGIFColorMap

function AddUnique(Color: TColor): Integer;

Unit
GIFImage


TGIFColorMap.BitsPerPixel

TGIFColorMap.BitsPerPixel
TGIFColorMap

property BitsPerPixel: Integer;

Unit
GIFImage


TGIFColorMap.Changed

TGIFColorMap.Changed
TGIFColorMap

procedure Changed; virtual; abstract;

Unit
GIFImage


TGIFColorMap.Clear

TGIFColorMap.Clear
TGIFColorMap

procedure Clear;

Unit
GIFImage


TGIFColorMap.Color2RGB

TGIFColorMap.Color2RGB
TGIFColorMap

function Color2RGB(Color: TColor): TGIFColor;

Unit
GIFImage


TGIFColorMap.Colors

TGIFColorMap.Colors
TGIFColorMap

property Colors[Index: Integer]: TColor;

Unit
GIFImage


TGIFColorMap.Count

TGIFColorMap.Count
TGIFColorMap

property Count: Integer;

Unit
GIFImage


TGIFColorMap.Data

TGIFColorMap.Data
TGIFColorMap

property Data: PColorMap;

Unit
GIFImage


TGIFColorMap.ExportPalette

TGIFColorMap.ExportPalette
TGIFColorMap

function ExportPalette: HPalette;

Unit
GIFImage


TGIFColorMap.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFColorMap

Classes derived from TGIFColorMap
(none)


TGIFColorMap.ImportColorMap

TGIFColorMap.ImportColorMap
TGIFColorMap

procedure ImportColorMap(Map: TColorMap; Count: Integer);

Unit
GIFImage


TGIFColorMap.ImportColorTable

TGIFColorMap.ImportColorTable
TGIFColorMap

procedure ImportColorTable(Pal: Pointer; Count: Integer);

Unit
GIFImage


TGIFColorMap.ImportDIBColors

TGIFColorMap.ImportDIBColors
TGIFColorMap

procedure ImportDIBColors(Handle: HDC);

Unit
GIFImage


TGIFColorMap.ImportPalette

TGIFColorMap.ImportPalette
TGIFColorMap

procedure ImportPalette(Palette: HPalette);

Unit
GIFImage


TGIFColorMap.IndexOf

TGIFColorMap.IndexOf
TGIFColorMap

function IndexOf(Color: TColor): Integer;

Unit
GIFImage


TGIFColorMap.Optimize

TGIFColorMap.Optimize
TGIFColorMap

function Optimize: Boolean; virtual; abstract;

Unit
GIFImage


TGIFColorMap.Optimized

TGIFColorMap.Optimized
TGIFColorMap

property Optimized: Boolean;

Unit
GIFImage


TGIFColorMap.RGB2Color

TGIFColorMap.RGB2Color
TGIFColorMap

function RGB2Color(Color: TGIFColor): TColor;

Unit
GIFImage


TGIFCommentExtension.0methods

TGIFCommentExtension methods
TGIFCommentExtension Legend key

Unit
GIFImage

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFCommentExtension.0properties

TGIFCommentExtension properties
TGIFCommentExtension Legend key

Unit
GIFImage

In TGIFCommentExtension
Text

Derived from TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFCommentExtension.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension
|
TGIFCommentExtension

Classes derived from TGIFCommentExtension
(none)


TGIFCommentExtension.Text

TGIFCommentExtension.Text
TGIFCommentExtension

property Text: TStrings;

Unit
GIFImage


TGIFExportFormat.0methods

TGIFExportFormat methods
TGIFExportFormat Legend key

Unit
TeeGIF

In TGIFExportFormat
Description
FileExtension
GIF
GraphicClass
Options
SaveToStream

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFExportFormat.Description

TGIFExportFormat.Description
TGIFExportFormat

function Description: String; override;

Unit
TeeGIF

Description
Returns "GIF"


TGIFExportFormat.FileExtension

TGIFExportFormat.FileExtension
TGIFExportFormat

function FileExtension: String; override;

Unit
TeeGIF

Description
Returns "GIF"


TGIFExportFormat.GIF

TGIFExportFormat.GIF
TGIFExportFormat

function GIF: TGIFImage;

Unit
TeeGIF

Description

Uses Anders Melander's GIFImage components to define characteristics for the GIF image.

Anders has donated GIFImage to the Jedi project, http://www.delphi-jedi.org/, who now co-ordinate support issues.

Example.

Uses TeeGIF, GIFImage;

procedure TForm1.Button1Click(Sender: TObject);
var tmpGIF : TGIFImage;
begin
tmpGIF:=TGIFImage.Create;
With tmpGIF do
begin
Compression:=gcLZW;
DitherMode:=dmStucki;
ColorReduction:=rmQuantizeWindows;
Assign(Chart1.TeeCreateBitmap(Chart1.Color,Rect(0,0,Chart1.Width,Chart1.Height)));
SaveToFile('c:\tempCharts\Chart1.gif');
end;
end;

The above is encapsulated in TeeChart's TGIFExport class


TGIFExportFormat.GraphicClass

TGIFExportFormat.GraphicClass
TGIFExportFormat

function GraphicClass: TGraphicClass; override;

Unit
TeeGIF

Description

Returns GifImage unit TGifImage class.


TGIFExportFormat.Hierarchy

Unit
TeeGIF

Hierarchy

TObject
|
TTeeExportFormat
|
TGIFExportFormat

Classes derived from TGIFExportFormat
(none)


TGIFExportFormat.Options

TGIFExportFormat.Options
TGIFExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeeGIF

Description
Creates and returns a Form of type TeeGIFOptions.


TGIFExportFormat.SaveToStream

TGIFExportFormat.SaveToStream
TGIFExportFormat

procedure SaveToStream(Stream: TStream); override;

Unit
TeeGIF

Description
Stores the Chart into Stream parameter as a GIF image.


TGIFExtension.0methods

TGIFExtension methods
TGIFExtension Legend key

Unit
GIFImage

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFExtension.0properties

TGIFExtension properties
TGIFExtension Legend key

Unit
GIFImage

In TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFExtension.ExtensionType

TGIFExtension.ExtensionType
TGIFExtension

property ExtensionType: TGIFExtensionType;

Unit
GIFImage


TGIFExtension.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension

Classes derived from TGIFExtension
TGIFApplicationExtension
TGIFCommentExtension
TGIFGraphicControlExtension
TGIFTextExtension


TGIFExtension.SubImage

TGIFExtension.SubImage
TGIFExtension

property SubImage: TGIFSubImage;

Unit
GIFImage


TGIFExtensionList.0methods

TGIFExtensionList methods
TGIFExtensionList Legend key

Unit
GIFImage

Derived from TGIFList
Add
Exchange
First
IndexOf
Insert
Last
Move
Remove

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFExtensionList.0properties

TGIFExtensionList properties
TGIFExtensionList Legend key

Unit
GIFImage

In TGIFExtensionList
Extensions

Derived from TGIFList
Count
Image
Items
List


TGIFExtensionList.Extensions

TGIFExtensionList.Extensions
TGIFExtensionList

property Extensions[Index: Integer]: TGIFExtension;

Unit
GIFImage


TGIFExtensionList.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFList
|
TGIFExtensionList

Classes derived from TGIFExtensionList
(none)


TGIFGraphicControlExtension.0methods

TGIFGraphicControlExtension methods
TGIFGraphicControlExtension Legend key

Unit
GIFImage

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFGraphicControlExtension.0properties

TGIFGraphicControlExtension properties
TGIFGraphicControlExtension Legend key

Unit
GIFImage

In TGIFGraphicControlExtension
Delay
Disposal
Transparent
TransparentColor
TransparentColorIndex
UserInput

Derived from TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFGraphicControlExtension.Delay

TGIFGraphicControlExtension.Delay
TGIFGraphicControlExtension

property Delay: Word;

Unit
GIFImage


TGIFGraphicControlExtension.Disposal

TGIFGraphicControlExtension.Disposal
TGIFGraphicControlExtension

property Disposal: TDisposalMethod;

Unit
GIFImage


TGIFGraphicControlExtension.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension
|
TGIFGraphicControlExtension

Classes derived from TGIFGraphicControlExtension
(none)


TGIFGraphicControlExtension.Transparent

TGIFGraphicControlExtension.Transparent
TGIFGraphicControlExtension

property Transparent: Boolean;

Unit
GIFImage


TGIFGraphicControlExtension.TransparentColor

TGIFGraphicControlExtension.TransparentColor
TGIFGraphicControlExtension

property TransparentColor: TColor;

Unit
GIFImage


TGIFGraphicControlExtension.TransparentColorIndex

TGIFGraphicControlExtension.TransparentColorIndex
TGIFGraphicControlExtension

property TransparentColorIndex: Byte;

Unit
GIFImage


TGIFGraphicControlExtension.UserInput

TGIFGraphicControlExtension.UserInput
TGIFGraphicControlExtension

property UserInput: Boolean;

Unit
GIFImage


TGIFHeader.0methods

TGIFHeader methods
TGIFHeader Legend key

Unit
GIFImage

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFHeader.0properties

TGIFHeader properties
TGIFHeader Legend key

Unit
GIFImage

In TGIFHeader
AspectRatio
BackgroundColor
BackgroundColorIndex
BitsPerPixel
ColorMap
ColorResolution
Height
Version
Width

Derived from TGIFItem
Image


TGIFHeader.AspectRatio

TGIFHeader.AspectRatio
TGIFHeader

property AspectRatio: Byte;

Unit
GIFImage


TGIFHeader.BackgroundColor

TGIFHeader.BackgroundColor
TGIFHeader

property BackgroundColor: TColor;

Unit
GIFImage


TGIFHeader.BackgroundColorIndex

TGIFHeader.BackgroundColorIndex
TGIFHeader

property BackgroundColorIndex: Byte;

Unit
GIFImage


TGIFHeader.BitsPerPixel

TGIFHeader.BitsPerPixel
TGIFHeader

property BitsPerPixel: Integer;

Unit
GIFImage


TGIFHeader.ColorMap

TGIFHeader.ColorMap
TGIFHeader

property ColorMap: TGIFColorMap;

Unit
GIFImage


TGIFHeader.ColorResolution

TGIFHeader.ColorResolution
TGIFHeader

property ColorResolution: Integer;

Unit
GIFImage


TGIFHeader.Height

TGIFHeader.Height
TGIFHeader

property Height: Word;

Unit
GIFImage


TGIFHeader.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFHeader

Classes derived from TGIFHeader
(none)


TGIFHeader.Version

TGIFHeader.Version
TGIFHeader

property Version: TGIFVersion;

Unit
GIFImage


TGIFHeader.Width

TGIFHeader.Width
TGIFHeader

property Width: Word;

Unit
GIFImage


TGIFImage.0events

TGIFImage events
TGIFImage Legend key

Unit
GIFImage

In TGIFImage
OnAfterPaint
OnEndPaint
OnLoop
OnPaint
OnStartPaint
OnWarning

Derived from TGraphic
Empty
Height
Modified
OnChange
OnProgress
Palette
PaletteModified
Transparent
Width


TGIFImage.0methods

TGIFImage methods
TGIFImage Legend key

Unit
GIFImage

In TGIFImage
Add
LoadFromResourceName
Optimize
OptimizeColorMap
Pack
Paint
PaintPause
PaintRestart
PaintResume
PaintStart
PaintStop
StopDraw
Warning

Derived from TGraphic
Changed
Create
DefineProperties
Draw
Equals
GetEmpty
GetHeight
GetPalette
GetTransparent
GetWidth
LoadFromClipboardFormat
LoadFromFile
LoadFromStream
Progress
ReadData
SaveToClipboardFormat
SaveToFile
SaveToStream
SetHeight
SetModified
SetPalette
SetTransparent
SetWidth
WriteData

Derived from TInterfacedPersistent
_AddRef
_Release
AfterConstruction
QueryInterface

Derived from TPersistent
Assign
AssignError
AssignTo
Destroy
GetNamePath
GetOwner

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFImage.0properties

TGIFImage properties
TGIFImage Legend key

Unit
GIFImage

In TGIFImage
Animate
AnimationSpeed
AspectRatio
BackgroundColor
BackgroundColorIndex
Bitmap
BitsPerPixel
ColorReduction
ColorResolution
Compression
DitherMode
DrawBackgroundColor
DrawOptions
ForceFrame
GlobalColorMap
Header
Images
IsTransparent
Painters
ReductionBits
ThreadPriority
Version

Derived from TGraphic
Empty
Height
Modified
OnChange
OnProgress
Palette
PaletteModified
Transparent
Width


TGIFImage.Add

TGIFImage.Add
TGIFImage

function Add(Source: TPersistent): Integer;

Unit
GIFImage


TGIFImage.Animate

TGIFImage.Animate
TGIFImage

property Animate: Boolean;

Unit
GIFImage


TGIFImage.AnimationSpeed

TGIFImage.AnimationSpeed
TGIFImage

property AnimationSpeed: Integer;

Unit
GIFImage


TGIFImage.AspectRatio

TGIFImage.AspectRatio
TGIFImage

property AspectRatio: Byte;

Unit
GIFImage


TGIFImage.BackgroundColor

TGIFImage.BackgroundColor
TGIFImage

property BackgroundColor: TColor;

Unit
GIFImage


TGIFImage.BackgroundColorIndex

TGIFImage.BackgroundColorIndex
TGIFImage

property BackgroundColorIndex: Byte;

Unit
GIFImage


TGIFImage.Bitmap

TGIFImage.Bitmap
TGIFImage

property Bitmap: TBitmap;

Unit
GIFImage


TGIFImage.BitsPerPixel

TGIFImage.BitsPerPixel
TGIFImage

property BitsPerPixel: Integer;

Unit
GIFImage


TGIFImage.ColorReduction

TGIFImage.ColorReduction
TGIFImage

property ColorReduction: TColorReduction;

Unit
GIFImage


TGIFImage.ColorResolution

TGIFImage.ColorResolution
TGIFImage

property ColorResolution: Integer;

Unit
GIFImage


TGIFImage.Compression

TGIFImage.Compression
TGIFImage

property Compression: TGIFCompression;

Unit
GIFImage


TGIFImage.DitherMode

TGIFImage.DitherMode
TGIFImage

property DitherMode: TDitherMode;

Unit
GIFImage


TGIFImage.DrawBackgroundColor

TGIFImage.DrawBackgroundColor
TGIFImage

property DrawBackgroundColor: TColor;

Unit
GIFImage


TGIFImage.DrawOptions

TGIFImage.DrawOptions
TGIFImage

property DrawOptions: TGIFDrawOptions;

Unit
GIFImage


TGIFImage.ForceFrame

TGIFImage.ForceFrame
TGIFImage

property ForceFrame: Integer;

Unit
GIFImage


TGIFImage.GlobalColorMap

TGIFImage.GlobalColorMap
TGIFImage

property GlobalColorMap: TGIFColorMap;

Unit
GIFImage


TGIFImage.Header

TGIFImage.Header
TGIFImage

property Header: TGIFHeader;

Unit
GIFImage


TGIFImage.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TInterfacedPersistent
|
TGraphic
|
TGIFImage

Classes derived from TGIFImage
(none)


TGIFImage.Images

TGIFImage.Images
TGIFImage

property Images: TGIFImageList;

Unit
GIFImage


TGIFImage.IsTransparent

TGIFImage.IsTransparent
TGIFImage

property IsTransparent: Boolean;

Unit
GIFImage


TGIFImage.LoadFromResourceName

TGIFImage.LoadFromResourceName
TGIFImage

procedure LoadFromResourceName(Instance: THandle; Const ResName: String);

Unit
GIFImage


TGIFImage.OnAfterPaint

TGIFImage.OnAfterPaint
TGIFImage

property OnAfterPaint: TNotifyEvent;

Unit
GIFImage


TGIFImage.OnEndPaint

TGIFImage.OnEndPaint
TGIFImage

property OnEndPaint: TNotifyEvent;

Unit
GIFImage


TGIFImage.OnLoop

TGIFImage.OnLoop
TGIFImage

property OnLoop: TNotifyEvent;

Unit
GIFImage


TGIFImage.OnPaint

TGIFImage.OnPaint
TGIFImage

property OnPaint: TNotifyEvent;

Unit
GIFImage


TGIFImage.OnStartPaint

TGIFImage.OnStartPaint
TGIFImage

property OnStartPaint: TNotifyEvent;

Unit
GIFImage


TGIFImage.OnWarning

TGIFImage.OnWarning
TGIFImage

property OnWarning: TGIFWarning;

Unit
GIFImage


TGIFImage.Optimize

TGIFImage.Optimize
TGIFImage

procedure Optimize(Options: TGIFOptimizeOptions; ColorReduction: TColorReduction; DitherMode: TDitherMode; ReductionBits: Integer);

Unit
GIFImage


TGIFImage.OptimizeColorMap

TGIFImage.OptimizeColorMap
TGIFImage

procedure OptimizeColorMap;

Unit
GIFImage


TGIFImage.Pack

TGIFImage.Pack
TGIFImage

procedure Pack;

Unit
GIFImage


TGIFImage.Paint

TGIFImage.Paint
TGIFImage

function Paint(ACanvas: TCanvas; Const Rect: TRect; Options: TGIFDrawOptions): TGIFPainter;

Unit
GIFImage


TGIFImage.Painters

TGIFImage.Painters
TGIFImage

property Painters: TThreadList;

Unit
GIFImage


TGIFImage.PaintPause

TGIFImage.PaintPause
TGIFImage

procedure PaintPause;

Unit
GIFImage


TGIFImage.PaintRestart

TGIFImage.PaintRestart
TGIFImage

procedure PaintRestart;

Unit
GIFImage


TGIFImage.PaintResume

TGIFImage.PaintResume
TGIFImage

procedure PaintResume;

Unit
GIFImage


TGIFImage.PaintStart

TGIFImage.PaintStart
TGIFImage

procedure PaintStart;

Unit
GIFImage


TGIFImage.PaintStop

TGIFImage.PaintStop
TGIFImage

procedure PaintStop;

Unit
GIFImage


TGIFImage.ReductionBits

TGIFImage.ReductionBits
TGIFImage

property ReductionBits: Integer;

Unit
GIFImage


TGIFImage.StopDraw

TGIFImage.StopDraw
TGIFImage

procedure StopDraw;

Unit
GIFImage


TGIFImage.ThreadPriority

TGIFImage.ThreadPriority
TGIFImage

property ThreadPriority: TThreadPriority;

Unit
GIFImage


TGIFImage.Version

TGIFImage.Version
TGIFImage

property Version: TGIFVersion;

Unit
GIFImage


TGIFImage.Warning

TGIFImage.Warning
TGIFImage

procedure Warning(Sender: TObject; Severity: TGIFSeverity; Message: String); virtual;

Unit
GIFImage


TGIFImageList.0methods

TGIFImageList methods
TGIFImageList Legend key

Unit
GIFImage

Derived from TGIFList
Add
Exchange
First
IndexOf
Insert
Last
Move
Remove

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFImageList.0properties

TGIFImageList properties
TGIFImageList Legend key

Unit
GIFImage

In TGIFImageList
SubImages

Derived from TGIFList
Count
Image
Items
List


TGIFImageList.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFList
|
TGIFImageList

Classes derived from TGIFImageList
(none)


TGIFImageList.SubImages

TGIFImageList.SubImages
TGIFImageList

property SubImages[Index: Integer]: TGIFSubImage;

Unit
GIFImage


TGIFItem.0methods

TGIFItem methods
TGIFItem Legend key

Unit
GIFImage

In TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFItem.0properties

TGIFItem properties
TGIFItem Legend key

Unit
GIFImage

In TGIFItem
Image
Version


TGIFItem.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem

Classes derived from TGIFItem
TGIFExtension
TGIFHeader
TGIFSubImage
TGIFTrailer


TGIFItem.Image

TGIFItem.Image
TGIFItem

property Image: TGIFImage;

Unit
GIFImage


TGIFItem.LoadFromFile

TGIFItem.LoadFromFile
TGIFItem

procedure LoadFromFile(Const Filename: String); virtual;

Unit
GIFImage


TGIFItem.SaveToFile

TGIFItem.SaveToFile
TGIFItem

procedure SaveToFile(Const Filename: String); virtual;

Unit
GIFImage


TGIFItem.Version

TGIFItem.Version
TGIFItem

property Version: TGIFVersion;

Unit
GIFImage


TGIFList.0methods

TGIFList methods
TGIFList Legend key

Unit
GIFImage

In TGIFList
Add
Exchange
First
IndexOf
Insert
Last
Move
Remove

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFList.0properties

TGIFList properties
TGIFList Legend key

Unit
GIFImage

In TGIFList
Count
Image
Items
List


TGIFList.Add

TGIFList.Add
TGIFList

function Add(Item: TGIFItem): Integer;

Unit
GIFImage


TGIFList.Count

TGIFList.Count
TGIFList

property Count: Integer;

Unit
GIFImage


TGIFList.Exchange

TGIFList.Exchange
TGIFList

procedure Exchange(Index1, Index2: Integer);

Unit
GIFImage


TGIFList.First

TGIFList.First
TGIFList

function First: TGIFItem;

Unit
GIFImage


TGIFList.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFList

Classes derived from TGIFList
TGIFExtensionList
TGIFImageList


TGIFList.Image

TGIFList.Image
TGIFList

property Image: TGIFImage;

Unit
GIFImage


TGIFList.IndexOf

TGIFList.IndexOf
TGIFList

function IndexOf(Item: TGIFItem): Integer;

Unit
GIFImage


TGIFList.Insert

TGIFList.Insert
TGIFList

procedure Insert(Index: Integer; Item: TGIFItem);

Unit
GIFImage


TGIFList.Items

TGIFList.Items
TGIFList

property Items[Index: Integer]: TGIFItem;

Unit
GIFImage


TGIFList.Last

TGIFList.Last
TGIFList

function Last: TGIFItem;

Unit
GIFImage


TGIFList.List

TGIFList.List
TGIFList

property List: TList;

Unit
GIFImage


TGIFList.Move

TGIFList.Move
TGIFList

procedure Move(CurIndex, NewIndex: Integer);

Unit
GIFImage


TGIFList.Remove

TGIFList.Remove
TGIFList

function Remove(Item: TGIFItem): Integer;

Unit
GIFImage


TGIFPainter.0events

TGIFPainter events
TGIFPainter Legend key

Unit
GIFImage

In TGIFPainter
OnAfterPaint
OnEndPaint
OnLoop
OnPaint
OnStartPaint

Derived from TThread
FatalException
FreeOnTerminate
Handle
OnTerminate
Priority
ReturnValue
Suspended
Terminated
ThreadID


TGIFPainter.0methods

TGIFPainter methods
TGIFPainter Legend key

Unit
GIFImage

In TGIFPainter
CreateRef
Restart
Start
Stop

Derived from TThread
AfterConstruction
CallOnTerminate
CheckThreadError
Create
Destroy
DoTerminate
Execute
GetPriority
Resume
SetPriority
SetSuspended
StaticSynchronize
Suspend
Synchronize
Terminate
WaitFor

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFPainter.0properties

TGIFPainter properties
TGIFPainter Legend key

Unit
GIFImage

In TGIFPainter
ActiveImage
AnimationSpeed
Canvas
DrawOptions
EventHandle
Image
Rect
Started

Derived from TThread
FatalException
FreeOnTerminate
Handle
OnTerminate
Priority
ReturnValue
Suspended
Terminated
ThreadID


TGIFPainter.ActiveImage

TGIFPainter.ActiveImage
TGIFPainter

property ActiveImage: Integer;

Unit
GIFImage


TGIFPainter.AnimationSpeed

TGIFPainter.AnimationSpeed
TGIFPainter

property AnimationSpeed: Integer;

Unit
GIFImage


TGIFPainter.Canvas

TGIFPainter.Canvas
TGIFPainter

property Canvas: TCanvas;

Unit
GIFImage


TGIFPainter.CreateRef

TGIFPainter.CreateRef
TGIFPainter

constructor CreateRef(Painter: PGIFPainter; AImage: TGIFImage; ACanvas: TCanvas; ARect: TRect; Options: TGIFDrawOptions);

Unit
GIFImage


TGIFPainter.DrawOptions

TGIFPainter.DrawOptions
TGIFPainter

property DrawOptions: TGIFDrawOptions;

Unit
GIFImage


TGIFPainter.EventHandle

TGIFPainter.EventHandle
TGIFPainter

property EventHandle: THandle;

Unit
GIFImage


TGIFPainter.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TThread
|
TGIFPainter

Classes derived from TGIFPainter
(none)


TGIFPainter.Image

TGIFPainter.Image
TGIFPainter

property Image: TGIFImage;

Unit
GIFImage


TGIFPainter.OnAfterPaint

TGIFPainter.OnAfterPaint
TGIFPainter

property OnAfterPaint: TNotifyEvent;

Unit
GIFImage


TGIFPainter.OnEndPaint

TGIFPainter.OnEndPaint
TGIFPainter

property OnEndPaint: TNotifyEvent;

Unit
GIFImage


TGIFPainter.OnLoop

TGIFPainter.OnLoop
TGIFPainter

property OnLoop: TNotifyEvent;

Unit
GIFImage


TGIFPainter.OnPaint

TGIFPainter.OnPaint
TGIFPainter

property OnPaint: TNotifyEvent;

Unit
GIFImage


TGIFPainter.OnStartPaint

TGIFPainter.OnStartPaint
TGIFPainter

property OnStartPaint: TNotifyEvent;

Unit
GIFImage


TGIFPainter.Rect

TGIFPainter.Rect
TGIFPainter

property Rect: TRect;

Unit
GIFImage


TGIFPainter.Restart

TGIFPainter.Restart
TGIFPainter

procedure Restart;

Unit
GIFImage


TGIFPainter.Start

TGIFPainter.Start
TGIFPainter

procedure Start;

Unit
GIFImage


TGIFPainter.Started

TGIFPainter.Started
TGIFPainter

property Started: Boolean;

Unit
GIFImage


TGIFPainter.Stop

TGIFPainter.Stop
TGIFPainter

procedure Stop;

Unit
GIFImage


TGIFSubImage.0methods

TGIFSubImage methods
TGIFSubImage Legend key

Unit
GIFImage

In TGIFSubImage
Crop
Draw
Merge
StretchDraw

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFSubImage.0properties

TGIFSubImage properties
TGIFSubImage Legend key

Unit
GIFImage

In TGIFSubImage
ActiveColorMap
Bitmap
BitsPerPixel
BoundsRect
ClientRect
ColorMap
ColorResolution
Data
DataSize
Empty
Extensions
GraphicControlExtension
HasBitmap
Height
Interlaced
Left
Mask
Palette
Pixels
Scanline
Top
Transparent
Version
Width

Derived from TGIFItem
Image


TGIFSubImage.ActiveColorMap

TGIFSubImage.ActiveColorMap
TGIFSubImage

property ActiveColorMap: TGIFColorMap;

Unit
GIFImage


TGIFSubImage.Bitmap

TGIFSubImage.Bitmap
TGIFSubImage

property Bitmap: TBitmap;

Unit
GIFImage


TGIFSubImage.BitsPerPixel

TGIFSubImage.BitsPerPixel
TGIFSubImage

property BitsPerPixel: Integer;

Unit
GIFImage


TGIFSubImage.BoundsRect

TGIFSubImage.BoundsRect
TGIFSubImage

property BoundsRect: TRect;

Unit
GIFImage


TGIFSubImage.ClientRect

TGIFSubImage.ClientRect
TGIFSubImage

property ClientRect: TRect;

Unit
GIFImage


TGIFSubImage.ColorMap

TGIFSubImage.ColorMap
TGIFSubImage

property ColorMap: TGIFColorMap;

Unit
GIFImage


TGIFSubImage.ColorResolution

TGIFSubImage.ColorResolution
TGIFSubImage

property ColorResolution: Integer;

Unit
GIFImage


TGIFSubImage.Crop

TGIFSubImage.Crop
TGIFSubImage

procedure Crop;

Unit
GIFImage


TGIFSubImage.Data

TGIFSubImage.Data
TGIFSubImage

property Data: PAnsiChar;

Unit
GIFImage


TGIFSubImage.DataSize

TGIFSubImage.DataSize
TGIFSubImage

property DataSize: Integer;

Unit
GIFImage


TGIFSubImage.Draw

TGIFSubImage.Draw
TGIFSubImage

procedure Draw(ACanvas: TCanvas; Const Rect: TRect; DoTransparent, DoTile: Boolean);

Unit
GIFImage


TGIFSubImage.Empty

TGIFSubImage.Empty
TGIFSubImage

property Empty: Boolean;

Unit
GIFImage


TGIFSubImage.Extensions

TGIFSubImage.Extensions
TGIFSubImage

property Extensions: TGIFExtensionList;

Unit
GIFImage


TGIFSubImage.GraphicControlExtension

TGIFSubImage.GraphicControlExtension
TGIFSubImage

property GraphicControlExtension: TGIFGraphicControlExtension;

Unit
GIFImage


TGIFSubImage.HasBitmap

TGIFSubImage.HasBitmap
TGIFSubImage

property HasBitmap: Boolean;

Unit
GIFImage


TGIFSubImage.Height

TGIFSubImage.Height
TGIFSubImage

property Height: Word;

Unit
GIFImage


TGIFSubImage.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFSubImage

Classes derived from TGIFSubImage
(none)


TGIFSubImage.Interlaced

TGIFSubImage.Interlaced
TGIFSubImage

property Interlaced: Boolean;

Unit
GIFImage


TGIFSubImage.Left

TGIFSubImage.Left
TGIFSubImage

property Left: Word;

Unit
GIFImage


TGIFSubImage.Mask

TGIFSubImage.Mask
TGIFSubImage

property Mask: HBitmap;

Unit
GIFImage


TGIFSubImage.Merge

TGIFSubImage.Merge
TGIFSubImage

procedure Merge(Previous: TGIFSubImage);

Unit
GIFImage


TGIFSubImage.Palette

TGIFSubImage.Palette
TGIFSubImage

property Palette: HPalette;

Unit
GIFImage


TGIFSubImage.Pixels

TGIFSubImage.Pixels
TGIFSubImage

property Pixels[x, y: Integer]: Byte;

Unit
GIFImage


TGIFSubImage.Scanline

TGIFSubImage.Scanline
TGIFSubImage

property Scanline[y: Integer]: Pointer;

Unit
GIFImage


TGIFSubImage.StretchDraw

TGIFSubImage.StretchDraw
TGIFSubImage

procedure StretchDraw(ACanvas: TCanvas; Const Rect: TRect; DoTransparent, DoTile: Boolean);

Unit
GIFImage


TGIFSubImage.Top

TGIFSubImage.Top
TGIFSubImage

property Top: Word;

Unit
GIFImage


TGIFSubImage.Transparent

TGIFSubImage.Transparent
TGIFSubImage

property Transparent: Boolean;

Unit
GIFImage


TGIFSubImage.Version

TGIFSubImage.Version
TGIFSubImage

property Version: TGIFVersion;

Unit
GIFImage


TGIFSubImage.Width

TGIFSubImage.Width
TGIFSubImage

property Width: Word;

Unit
GIFImage


TGIFTextExtension.0methods

TGIFTextExtension methods
TGIFTextExtension Legend key

Unit
GIFImage

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFTextExtension.0properties

TGIFTextExtension properties
TGIFTextExtension Legend key

Unit
GIFImage

In TGIFTextExtension
BackgroundColor
BackgroundColorIndex
CharHeight
CharWidth
ForegroundColor
ForegroundColorIndex
GridHeight
GridWidth
Left
Text
Top

Derived from TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFTextExtension.BackgroundColor

TGIFTextExtension.BackgroundColor
TGIFTextExtension

property BackgroundColor: TColor;

Unit
GIFImage


TGIFTextExtension.BackgroundColorIndex

TGIFTextExtension.BackgroundColorIndex
TGIFTextExtension

property BackgroundColorIndex: Byte;

Unit
GIFImage


TGIFTextExtension.CharHeight

TGIFTextExtension.CharHeight
TGIFTextExtension

property CharHeight: Byte;

Unit
GIFImage


TGIFTextExtension.CharWidth

TGIFTextExtension.CharWidth
TGIFTextExtension

property CharWidth: Byte;

Unit
GIFImage


TGIFTextExtension.ForegroundColor

TGIFTextExtension.ForegroundColor
TGIFTextExtension

property ForegroundColor: TColor;

Unit
GIFImage


TGIFTextExtension.ForegroundColorIndex

TGIFTextExtension.ForegroundColorIndex
TGIFTextExtension

property ForegroundColorIndex: Byte;

Unit
GIFImage


TGIFTextExtension.GridHeight

TGIFTextExtension.GridHeight
TGIFTextExtension

property GridHeight: Word;

Unit
GIFImage


TGIFTextExtension.GridWidth

TGIFTextExtension.GridWidth
TGIFTextExtension

property GridWidth: Word;

Unit
GIFImage


TGIFTextExtension.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension
|
TGIFTextExtension

Classes derived from TGIFTextExtension
(none)


TGIFTextExtension.Left

TGIFTextExtension.Left
TGIFTextExtension

property Left: Word;

Unit
GIFImage


TGIFTextExtension.Text

TGIFTextExtension.Text
TGIFTextExtension

property Text: TStrings;

Unit
GIFImage


TGIFTextExtension.Top

TGIFTextExtension.Top
TGIFTextExtension

property Top: Word;

Unit
GIFImage


TGIFTrailer.0methods

TGIFTrailer methods
TGIFTrailer Legend key

Unit
GIFImage

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFTrailer.0properties

TGIFTrailer properties
TGIFTrailer Legend key

Unit
GIFImage

Derived from TGIFItem
Image
Version


TGIFTrailer.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFTrailer

Classes derived from TGIFTrailer
(none)


TGIFUnknownAppExtension.0methods

TGIFUnknownAppExtension methods
TGIFUnknownAppExtension Legend key

Unit
GIFImage

Derived from TGIFApplicationExtension
RegisterExtension

Derived from TGIFItem
LoadFromFile
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGIFUnknownAppExtension.0properties

TGIFUnknownAppExtension properties
TGIFUnknownAppExtension Legend key

Unit
GIFImage

In TGIFUnknownAppExtension
Blocks

Derived from TGIFApplicationExtension
Authentication
Identifier

Derived from TGIFExtension
ExtensionType
SubImage

Derived from TGIFItem
Image
Version


TGIFUnknownAppExtension.Blocks

TGIFUnknownAppExtension.Blocks
TGIFUnknownAppExtension

property Blocks: TList;

Unit
GIFImage


TGIFUnknownAppExtension.Hierarchy

Unit
GIFImage

Hierarchy

TObject
|
TPersistent
|
TGIFItem
|
TGIFExtension
|
TGIFApplicationExtension
|
TGIFUnknownAppExtension

Classes derived from TGIFUnknownAppExtension
(none)


TGLCanvas.0events

TGLCanvas events
TGLCanvas Legend key

Unit
TeeGLCanvas

In TGLCanvas
OnInit


TGLCanvas.0methods

TGLCanvas methods
TGLCanvas Legend key

Unit
TeeGLCanvas

In TGLCanvas
BufferToBitmap
CheckGLError
DeleteFont
Description
DisableRotation
EditorClass
EnableRotation
Repaint
SetColor
SetMaterialColor
Sphere

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGLCanvas.0properties

TGLCanvas properties
TGLCanvas Legend key

Unit
TeeGLCanvas

In TGLCanvas
DrawStyle
FontExtrusion
Shininess
TextureQuality

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TGLCanvas.BufferToBitmap

TGLCanvas.BufferToBitmap
TGLCanvas

procedure BufferToBitmap(ABitmap: TBitmap; Const R: TRect);

Unit
TeeGLCanvas


TGLCanvas.CheckGLError

TGLCanvas.CheckGLError
TGLCanvas

function CheckGLError: Boolean;

Unit
TeeGLCanvas

Description
Call CheckGLError to ensure that no error associated with TeeChart's OpenGL methodologies have occurred.


TGLCanvas.DeleteFont

TGLCanvas.DeleteFont
TGLCanvas

procedure DeleteFont(Index: Integer); overload;

Unit
TeeGLCanvas

Description
Use DeleteFont to delete the specified font from the OpenGL canvas.


TGLCanvas.Description

TGLCanvas.Description
TGLCanvas

function Description: String; override;

Unit
TeeGLCanvas

Description
Returns "GLCanvas"


TGLCanvas.DisableRotation

TGLCanvas.DisableRotation
TGLCanvas

procedure DisableRotation; override;

Unit
TeeGLCanvas

Description
Use DisableRotation to disable TeeChart's OpenGL canvas rotation feature.


TGLCanvas.DrawStyle

TGLCanvas.DrawStyle
TGLCanvas

property DrawStyle: TTeeCanvasSurfaceStyle;

Unit
TeeGLCanvas

Description
Gets or sets the style to be used at the time of drawing on the Canvas.
Default value : tcsSolid

Values:- TTeeCanvasSurfaceStyle=(tcsSolid,tcsWire,tcsDot);


TGLCanvas.EditorClass

TGLCanvas.EditorClass
TGLCanvas

function EditorClass: String; override;

Unit
TeeGLCanvas

Description
Returns the class name of the TForm associated editor dialog for this TGLCanvas object.

Series and Tools override this function to return their own custom editor dialog.


TGLCanvas.EnableRotation

TGLCanvas.EnableRotation
TGLCanvas

procedure EnableRotation; override;

Unit
TeeGLCanvas

Description
Use EnableRotation to enable TeeChart's OpenGL canvas rotation feature.


TGLCanvas.FontExtrusion

TGLCanvas.FontExtrusion
TGLCanvas

property FontExtrusion: Double;

Unit
TeeGLCanvas


TGLCanvas.Hierarchy

Unit
TeeGLCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TGLCanvas

Classes derived from TGLCanvas
(none)


TGLCanvas.OnInit

TGLCanvas.OnInit
TGLCanvas

property OnInit: TNotifyEvent;

Unit
TeeGLCanvas

Description
Triggered when the TeeChart OpenGL canvas is about to initialize the OpenGL context.


TGLCanvas.Repaint

TGLCanvas.Repaint
TGLCanvas

procedure Repaint;

Unit
TeeGLCanvas

Description
This TGLCanvas method forces the whole of TeeChart's OpenGL canvas to Repaint.


TGLCanvas.SetColor

TGLCanvas.SetColor
TGLCanvas

procedure SetColor(Const AColor: TColor);

Unit
TeeGLCanvas

Description
Sets the global default color used by OpenGL API low level routines to fill polygons.


TGLCanvas.SetMaterialColor

TGLCanvas.SetMaterialColor
TGLCanvas

procedure SetMaterialColor;

Unit
TeeGLCanvas

Description
Use SetMaterialColor to specify the color of the non-textual material on TeeChart's OpenGL canvas.


TGLCanvas.Shininess

TGLCanvas.Shininess
TGLCanvas

property Shininess: Double;

Unit
TeeGLCanvas

Description
Gets or sets the Shininess to be used when drawing.
(Double value)


TGLCanvas.Sphere

TGLCanvas.Sphere
TGLCanvas

procedure Sphere(x, y, Z: Integer; Const Radius: Double); override; overload;

Unit
TeeGLCanvas

Description
Draws a 3D sphere.


TGLCanvas.TextureQuality

TGLCanvas.TextureQuality
TGLCanvas

property TextureQuality: Boolean;

Unit
TeeGLCanvas


TGLLight.0methods

TGLLight methods
TGLLight Legend key

Unit
TeeOpenGL

In TGLLight
GLColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGLLight.0properties

TGLLight properties
TGLLight Legend key

Unit
TeeOpenGL

In TGLLight
Color
Diffuse
Specular
Visible


TGLLight.Color

TGLLight.Color
TGLLight

property Color: TColor;

Unit
TeeOpenGL

Description
Use Color property to define the Color of the GLLight object.
By default OpenGL lights color is white ( clWhite ). Setting Color to gray ( ie: clDkGray, clSilver ) simulates light intensity.


TGLLight.Diffuse

TGLLight.Diffuse
TGLLight

property Diffuse: TColor;

Unit
TeeOpenGL

Description
The Diffuse property sets the amount of Diffuse reflection. This is the reflection of light from a surface such that an incident ray is reflected at many angles rather than at just one angle as in the case of specular reflection. Materials such as plaster and paper exhibit good diffuse reflective properties.


TGLLight.GLColor

TGLLight.GLColor
TGLLight

procedure GLColor(AColor: TColor; Var Value: GLMat);

Unit
TeeOpenGL

Description
Returns the Light color in OpenGL internal format.


TGLLight.Hierarchy

Unit
TeeOpenGL

Hierarchy

TObject
|
TPersistent
|
TGLLight

Classes derived from TGLLight
TGLLightSource


TGLLight.Specular

TGLLight.Specular
TGLLight

property Specular: TColor;

Unit
TeeOpenGL

Description
The Specular property controls the amount of Specular relection. Specular reflection is the mirror-like reflection of light from a surface in which the angle of incident light is equal to that of the reflected light.


TGLLight.Visible

TGLLight.Visible
TGLLight

property Visible: Boolean;

Unit
TeeOpenGL

Description
Use Visible to prevent the user from seeing the GLLight.


TGLLightSource.0methods

TGLLightSource methods
TGLLightSource Legend key

Unit
TeeOpenGL

Derived from TGLLight
GLColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGLLightSource.0properties

TGLLightSource properties
TGLLightSource Legend key

Unit
TeeOpenGL

In TGLLightSource
Direction
FixedPosition
Position
SpotDegrees
SpotExponent
UseDirection

Derived from TGLLight
Color
Diffuse
Specular
Visible


TGLLightSource.Direction

TGLLightSource.Direction
TGLLightSource

property Direction: TGLPosition;

Unit
TeeOpenGL

Description
Defines the direction of the Light setting its X,Y and Z direction.


TGLLightSource.FixedPosition

TGLLightSource.FixedPosition
TGLLightSource

property FixedPosition: Boolean;

Unit
TeeOpenGL

Description
Gets or sets if the light position is fixed or it will rotate together with the panel.

The default value is False, that is, the Position property determines the XYZ location of the light in 3D coordinates, but these coordinates are rotated according to the panel View3DOptions rotation values.


TGLLightSource.Hierarchy

Unit
TeeOpenGL

Hierarchy

TObject
|
TPersistent
|
TGLLight
|
TGLLightSource

Classes derived from TGLLightSource
(none)


TGLLightSource.Position

TGLLightSource.Position
TGLLightSource

property Position: TGLPosition;

Unit
TeeOpenGL

Description
Use Position property to set the X,Y,Z coordinates of the LightSource on the canvas.

See also the FixedPosition property to disable 3D rotation of light coordinates.


TGLLightSource.SpotDegrees

TGLLightSource.SpotDegrees
TGLLightSource

property SpotDegrees: Double;

Unit
TeeOpenGL

Description
Gets or sets the spot degrees to be used for each Light.
The default is 180.


TGLLightSource.SpotExponent

TGLLightSource.SpotExponent
TGLLightSource

property SpotExponent: Integer;

Unit
TeeOpenGL

Description
The SpotExponent property is a single integer or floating-point value that specifies the intensity distribution of the light.
Only values in the range 0 to 128 are accepted.
The higher the SpotExponent value, the more focused light source is, regardless of the spot cutoff angle.
Default value:- 0 resulting in uniform light distribution.


TGLLightSource.UseDirection

TGLLightSource.UseDirection
TGLLightSource

property UseDirection: Boolean;

Unit
TeeOpenGL

Description
Default : False

Setting it to True, the referenced Light will use the X,Y and Z position assigned with the Direction property.


TGLPosition.0methods

TGLPosition methods
TGLPosition Legend key

Unit
TeeOpenGL

Derived from TPointXYZFloat
SetPoint

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGLPosition.0properties

TGLPosition properties
TGLPosition Legend key

Unit
TeeOpenGL

Derived from TPointXYZFloat
Value
X
Y
Z


TGLPosition.Hierarchy

Unit
TeeOpenGL

Hierarchy

TObject
|
TPersistent
|
TPointBlock
|
TPointXYZFloat
|
TGLPosition

Classes derived from TGLPosition
(none)


TGrayScaleFilter.0events

TGrayScaleFilter events
TGrayScaleFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TGrayScaleFilter.0methods

TGrayScaleFilter methods
TGrayScaleFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGrayScaleFilter.0properties

TGrayScaleFilter properties
TGrayScaleFilter Legend key

Unit
TeeFilters

In TGrayScaleFilter
Method

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TGrayScaleFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TGrayScaleFilter

Classes derived from TGrayScaleFilter
(none)


TGrayScaleFilter.Method

TGrayScaleFilter.Method
TGrayScaleFilter

property Method: TGrayMethod;

Unit
TeeFilters

Description
Default : gmSimple

Determines the method to be used :

gmSimple
gmEye
gmEye2


TGrayscaleTheme.0methods

TGrayscaleTheme methods
TGrayscaleTheme Legend key

Unit
TeeThemes

In TGrayscaleTheme
Description

Derived from TDefaultTheme
Apply

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGrayscaleTheme.Description

TGrayscaleTheme.Description
TGrayscaleTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Grayscale"


TGrayscaleTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TGrayscaleTheme

Classes derived from TGrayscaleTheme
(none)


TGridBandBrush.0events

TGridBandBrush events
TGridBandBrush Legend key

Unit
TeeTools

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TGridBandBrush.0methods

TGridBandBrush methods
TGridBandBrush Legend key

Unit
TeeTools

Derived from TChartBrush
Clear

Derived from TBrush
Assign
Create
Destroy
GetBitmap
GetColor
GetData
GetHandle
GetStyle
SetBitmap
SetColor
SetData
SetHandle
SetStyle

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TGridBandBrush.0properties

TGridBandBrush properties
TGridBandBrush Legend key

Unit
TeeTools

In TGridBandBrush
Transparency

Derived from TChartBrush
BackColor
Gradient
Image

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TGridBandBrush.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TBrush
|
TChartBrush
|
TGridBandBrush

Classes derived from TGridBandBrush
(none)


TGridBandBrush.Transparency

TGridBandBrush.Transparency
TGridBandBrush

property Transparency: TTeeTransparency;

Unit
TeeTools

Description
Percentage of transparency, from 0 to 100.


TGridBandTool.0events

TGridBandTool events
TGridBandTool Legend key

Unit
TeeTools

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGridBandTool.0methods

TGridBandTool methods
TGridBandTool Legend key

Unit
TeeTools

In TGridBandTool
BandBackColor

Derived from TTeeCustomToolAxis
Assign

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGridBandTool.0properties

TGridBandTool properties
TGridBandTool Legend key

Unit
TeeTools

In TGridBandTool
Band1
Band2

Derived from TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGridBandTool.Band1

TGridBandTool.Band1
TGridBandTool

property Band1: TGridBandBrush;

Unit
TeeTools

Description
Defines the brush to fill first grid band.


TGridBandTool.Band2

TGridBandTool.Band2
TGridBandTool

property Band2: TGridBandBrush;

Unit
TeeTools

Description
Defines the brush to fill second grid band.


TGridBandTool.BandBackColor

TGridBandTool.BandBackColor
TGridBandTool

function BandBackColor(ABand: TGridBandBrush): TColor;

Unit
TeeTools

Description
Returns the background color corresponding to ABand parameter.

Calling this function like:

var tmp : TColor ;
tmp := ChartTool1.BandBackColor( ChartTool1.Band1 ) ;

is equivalent to:

tmp:= ChartTool1.Band1.BackColor;
if tmp=clNone then tmp:=TCustomChart(ChartTool1.ParentChart).Walls.Back.Color;


TGridBandTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis
|
TGridBandTool

Classes derived from TGridBandTool
(none)


TGridTransposeTool.0events

TGridTransposeTool events
TGridTransposeTool Legend key

Unit
TeeTransposeTool

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGridTransposeTool.0methods

TGridTransposeTool methods
TGridTransposeTool Legend key

Unit
TeeTransposeTool

In TGridTransposeTool
Transpose

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TGridTransposeTool.0properties

TGridTransposeTool properties
TGridTransposeTool Legend key

Unit
TeeTransposeTool

In TGridTransposeTool
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TGridTransposeTool.Hierarchy

Unit
TeeTransposeTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TGridTransposeTool

Classes derived from TGridTransposeTool
(none)


TGridTransposeTool.Series

TGridTransposeTool.Series
TGridTransposeTool

property Series: TCustom3DGridSeries;

Unit
TeeTransposeTool

Description
Gets or sets the 3D grid series to transpose.


TGridTransposeTool.Transpose

TGridTransposeTool.Transpose
TGridTransposeTool

procedure Transpose;

Unit
TeeTransposeTool

Description
Inverts (exchanges) X by Z values in a 3D grid series.

ChartTool1.Series := Surface1 ;
ChartTool1.Transpose ;


THighLowLineSeries.0events

THighLowLineSeries events
THighLowLineSeries Legend key

Unit
TeeHighLowLine

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THighLowLineSeries.0methods

THighLowLineSeries methods
THighLowLineSeries Legend key

Unit
TeeHighLowLine

Derived from TBaseHighLowSeries
AddHighLow
MaxYValue
MinYValue

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THighLowLineSeries.0properties

THighLowLineSeries properties
THighLowLineSeries Legend key

Unit
TeeHighLowLine

In THighLowLineSeries
HighPointer
LowPointer

Derived from TBaseHighLowSeries
HighValues
LowValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THighLowLineSeries.Hierarchy

Unit
TeeHighLowLine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TBaseHighLowSeries
|
THighLowLineSeries

Classes derived from THighLowLineSeries
(none)


THighLowLineSeries.HighPointer

THighLowLineSeries.HighPointer
THighLowLineSeries

property HighPointer: TSeriesPointer;

Unit
TeeHighLowLine

Description
Properties that configure the optional symbol pointer to draw at each series point "High" value position.


THighLowLineSeries.LowPointer

THighLowLineSeries.LowPointer
THighLowLineSeries

property LowPointer: TSeriesPointer;

Unit
TeeHighLowLine

Description
Properties that configure the optional symbol pointer to draw at each series point "Low" value position.


THighLowSeries.0events

THighLowSeries events
THighLowSeries Legend key

Unit
ErrorBar

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THighLowSeries.0methods

THighLowSeries methods
THighLowSeries Legend key

Unit
ErrorBar

In THighLowSeries
Clicked

Derived from TBaseHighLowSeries
AddHighLow
MaxYValue
MinYValue

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THighLowSeries.0properties

THighLowSeries properties
THighLowSeries Legend key

Unit
ErrorBar

In THighLowSeries
HighBrush
HighPen
LowBrush
LowPen
Transparency

Derived from TBaseHighLowSeries
HighValues
LowValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THighLowSeries.Clicked

THighLowSeries.Clicked
THighLowSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
ErrorBar

Description
Returns the point index containing xy coordinates.
Returns -1 if no HighLow point contains xy.


THighLowSeries.Hierarchy

Unit
ErrorBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TBaseHighLowSeries
|
THighLowSeries

Classes derived from THighLowSeries
(none)


THighLowSeries.HighBrush

THighLowSeries.HighBrush
THighLowSeries

property HighBrush: TChartBrush;

Unit
ErrorBar

Description
Setting HighBrush defines the TChartBrush properties for the High value.


THighLowSeries.HighPen

THighLowSeries.HighPen
THighLowSeries

property HighPen: TChartPen;

Unit
ErrorBar

Description
Setting HighPen defines the TChartPen properties for the High value.


THighLowSeries.LowBrush

THighLowSeries.LowBrush
THighLowSeries

property LowBrush: TChartBrush;

Unit
ErrorBar

Description
Setting LowBrush defines the TChartBrush properties for the Low value.


THighLowSeries.LowPen

THighLowSeries.LowPen
THighLowSeries

property LowPen: TChartPen;

Unit
ErrorBar

Description
Setting LowPen defines the TChartPen properties for the Low value.


THighLowSeries.Transparency

THighLowSeries.Transparency
THighLowSeries

property Transparency: TTeeTransparency;

Unit
ErrorBar

Description
Default : 0

Gets or set the percentage of semi-glass (transparency) effect.

Series1.Transparency := 50 ; // %


THighTeeFunction.0events

THighTeeFunction events
THighTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THighTeeFunction.0methods

THighTeeFunction methods
THighTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THighTeeFunction.0properties

THighTeeFunction properties
THighTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THighTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
THighTeeFunction

Classes derived from THighTeeFunction
(none)


THistogramFunction.0events

THistogramFunction events
THistogramFunction Legend key

Unit
TeeHistogram

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THistogramFunction.0methods

THistogramFunction methods
THistogramFunction Legend key

Unit
TeeHistogram

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THistogramFunction.0properties

THistogramFunction properties
THistogramFunction Legend key

Unit
TeeHistogram

In THistogramFunction
Cumulative
DataStyle
IncludeNulls
NumBins

Derived from TTeeFunction
CalcByValue
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THistogramFunction.Cumulative

THistogramFunction.Cumulative
THistogramFunction

property Cumulative: Boolean;

Unit
TeeHistogram

Description
Default is False.

Gets or sets if the histogram calculation will be accumulated or not.
Accumulated means an histogram point value will add to the previous calculation.


THistogramFunction.DataStyle

THistogramFunction.DataStyle
THistogramFunction

property DataStyle: TDataStyle;

Unit
TeeHistogram


THistogramFunction.Hierarchy

Unit
TeeHistogram

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
THistogramFunction

Classes derived from THistogramFunction
(none)


THistogramFunction.IncludeNulls

THistogramFunction.IncludeNulls
THistogramFunction

property IncludeNulls: Boolean;

Unit
TeeHistogram

Description
When True, null values in the source series will be included in the calculation.

The default is True.


THistogramFunction.NumBins

THistogramFunction.NumBins
THistogramFunction

property NumBins: Integer;

Unit
TeeHistogram

Description
Default is 20.

Defines the maximum number of intervals to distribute the datasource Series values.


THistogramSeries.0events

THistogramSeries events
THistogramSeries Legend key

Unit
StatChar

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THistogramSeries.0methods

THistogramSeries methods
THistogramSeries Legend key

Unit
StatChar

In THistogramSeries
CalcFirstLastVisibleIndex
Clicked

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THistogramSeries.0properties

THistogramSeries properties
THistogramSeries Legend key

Unit
StatChar

In THistogramSeries
LinesPen
Transparency
UseYOrigin
YOrigin

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THistogramSeries.CalcFirstLastVisibleIndex

THistogramSeries.CalcFirstLastVisibleIndex
THistogramSeries

procedure CalcFirstLastVisibleIndex; override;

Unit
StatChar

Description
This method can be used to recalculate the index of the first and last visible points. It could be helpful when customizing the chart manually.


THistogramSeries.Clicked

THistogramSeries.Clicked
THistogramSeries

function Clicked(x, y: Integer): Integer; override;

Unit
StatChar

Description
Returns the histogram point index containing the xy screen pixel coordinates.
Returns -1 if xy is not over any histogram segment.


THistogramSeries.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
THistogramSeries

Classes derived from THistogramSeries
THorizHistogramSeries


THistogramSeries.LinesPen

THistogramSeries.LinesPen
THistogramSeries

property LinesPen: TChartHiddenPen;

Unit
StatChar

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points.


THistogramSeries.Transparency

THistogramSeries.Transparency
THistogramSeries

property Transparency: TTeeTransparency;

Unit
StatChar

Description
The Transparency property controls the amount of "semi-glass" effect to apply to Histogram points.

See Polar series Transparency property for more information.


THistogramSeries.UseYOrigin

THistogramSeries.UseYOrigin
THistogramSeries

property UseYOrigin: Boolean;

Unit
StatChar

Description
Default Value: True

The UseYOrigin property defines if the Histogram Bars will be bottom aligned to the YOrigin property value.

When False, the minimum of all the Histogram Bar values is used as the Histogram Bar origins value.

When True, the YOrigin property is used as the start point for Histogram Bars.


THistogramSeries.YOrigin

THistogramSeries.YOrigin
THistogramSeries

property YOrigin: Double;

Unit
StatChar

Description
Default Value: 0

The YOrigin property determines the axis value used as a common bottom for all Histogram Bar points.

The UseYOrigin property must be True (the default) to use the YOrigin property.

Histogram Bars with a value bigger than YOrigin are drawn in one direction and Histogram Bars with a lower value are drawn in the opposite direction.


THorizAreaSeries.0events

THorizAreaSeries events
THorizAreaSeries Legend key

Unit
Series

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizAreaSeries.0methods

THorizAreaSeries methods
THorizAreaSeries Legend key

Unit
Series

In THorizAreaSeries
NumSampleValues

Derived from TAreaSeries
DrawSeriesForward
GetOriginPos

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THorizAreaSeries.0properties

THorizAreaSeries properties
THorizAreaSeries Legend key

Unit
Series

Derived from TAreaSeries
MultiArea
StackGroup
UseYOrigin
YOrigin

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizAreaSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TAreaSeries
|
THorizAreaSeries

Classes derived from THorizAreaSeries
(none)


THorizAreaSeries.NumSampleValues

THorizAreaSeries.NumSampleValues
THorizAreaSeries

function NumSampleValues: Integer; override;

Unit
Series

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


THorizBarSeries.0events

THorizBarSeries events
THorizBarSeries Legend key

Unit
Series

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizBarSeries.0methods

THorizBarSeries methods
THorizBarSeries Legend key

Unit
Series

In THorizBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawBar
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
Clicked
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THorizBarSeries.0properties

THorizBarSeries properties
THorizBarSeries Legend key

Unit
Series

In THorizBarSeries
BarHeight
CustomBarHeight

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizBarSeries.BarHeight

THorizBarSeries.BarHeight
THorizBarSeries

property BarHeight: Integer;

Unit
Series

Description
Run-time and read only. The BarHeight property returns the height of horizontal Bars in pixels. Bar heights change at run-time when resizing or zooming the Chart. BarHeight is a read-only property. You can use the CustomBarHeight property to set a fixed pixels Bar height.


THorizBarSeries.CalcBarBounds

THorizBarSeries.CalcBarBounds
THorizBarSeries

function CalcBarBounds(ValueIndex: Integer): TRect; override;

Unit
Series

Description
This method calculates the position (left, top) and size (width and height) of a given Bar series point at ValueIndex position.
Calculation results are stored at BarBounds property.


THorizBarSeries.CalcXPos

THorizBarSeries.CalcXPos
THorizBarSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


THorizBarSeries.CalcYPos

THorizBarSeries.CalcYPos
THorizBarSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


THorizBarSeries.CustomBarHeight

THorizBarSeries.CustomBarHeight
THorizBarSeries

property CustomBarHeight: Integer;

Unit
Series

Description
Default: 0

The CustomBarHeight property determines the fixed Bar height in pixels. You can use the BarHeight property to get the current Bar height in pixels.


THorizBarSeries.DrawBar

THorizBarSeries.DrawBar
THorizBarSeries

procedure DrawBar(BarIndex, StartPos, EndPos: Integer); override;

Unit
Series

Description

The DrawBar method is internally called when the series repaints all the bar points.
This method paints a bar on the Chart canvas. The BarIndex parameter is equivalent to the point index, the StartPos and EndPos parameter specify the bar positions in horizontal screen pixels.

When the horizontal axis is Inverted, position coordinates are also inverted.


THorizBarSeries.GetOriginPos

THorizBarSeries.GetOriginPos
THorizBarSeries

function GetOriginPos(ValueIndex: Integer): Integer;

Unit
Series

Description
The GetOriginPos function returns the corresponding screen pixels coordinate of the leftmost horizontal bar edge.

When MultiBar property is different than Stacked or Stacked 100%, this function returns the YOrigin screen coordinate.

When several bar Series are stacked, this function returns a different screen coordinate for each Series.

The ValueIndex parameter specifies the bar index.


THorizBarSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
THorizBarSeries

Classes derived from THorizBarSeries
(none)


THorizBoxSeries.0events

THorizBoxSeries events
THorizBoxSeries Legend key

Unit
TeeBoxPlot

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizBoxSeries.0methods

THorizBoxSeries methods
THorizBoxSeries Legend key

Unit
TeeBoxPlot

In THorizBoxSeries
MaxXValue
MaxYValue
MinXValue
MinYValue

Derived from TCustomBoxSeries
Clicked
RecalcStats

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxZValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THorizBoxSeries.0properties

THorizBoxSeries properties
THorizBoxSeries Legend key

Unit
TeeBoxPlot

Derived from TCustomBoxSeries
AdjacentPoint1
AdjacentPoint3
Box
ExtrOut
InnerFence1
InnerFence3
Median
MedianPen
MildOut
OuterFence1
OuterFence3
Position
Quartile1
Quartile3
SampleValues
UseCustomValues
WhiskerLength
WhiskerPen

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizBoxSeries.Hierarchy

Unit
TeeBoxPlot

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TCustomBoxSeries
|
THorizBoxSeries

Classes derived from THorizBoxSeries
(none)


THorizBoxSeries.MaxXValue

THorizBoxSeries.MaxXValue
THorizBoxSeries

function MaxXValue: Double; override;

Unit
TeeBoxPlot

Description
Read-only property which returns maximum X position value of the HorizBox Series.


THorizBoxSeries.MaxYValue

THorizBoxSeries.MaxYValue
THorizBoxSeries

function MaxYValue: Double; override;

Unit
TeeBoxPlot

Description
Read-only property which returns maximum Y position value of the HorizBox Series.


THorizBoxSeries.MinXValue

THorizBoxSeries.MinXValue
THorizBoxSeries

function MinXValue: Double; override;

Unit
TeeBoxPlot

Description
Read-only property which returns minimum X position value of the HorizBox Series.


THorizBoxSeries.MinYValue

THorizBoxSeries.MinYValue
THorizBoxSeries

function MinYValue: Double; override;

Unit
TeeBoxPlot

Description
Read-only property which returns minimum Y position value of the HorizBox Series.


THorizHistogramSeries.0events

THorizHistogramSeries events
THorizHistogramSeries Legend key

Unit
StatChar

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizHistogramSeries.0methods

THorizHistogramSeries methods
THorizHistogramSeries Legend key

Unit
StatChar

Derived from THistogramSeries
CalcFirstLastVisibleIndex
Clicked

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THorizHistogramSeries.0properties

THorizHistogramSeries properties
THorizHistogramSeries Legend key

Unit
StatChar

Derived from THistogramSeries
LinesPen
Transparency
UseYOrigin
YOrigin

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizHistogramSeries.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
THistogramSeries
|
THorizHistogramSeries

Classes derived from THorizHistogramSeries
(none)


THorizLineSeries.0events

THorizLineSeries events
THorizLineSeries Legend key

Unit
Series

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizLineSeries.0methods

THorizLineSeries methods
THorizLineSeries Legend key

Unit
Series

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


THorizLineSeries.0properties

THorizLineSeries properties
THorizLineSeries Legend key

Unit
Series

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


THorizLineSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TLineSeries
|
THorizLineSeries

Classes derived from THorizLineSeries
(none)


THueLumSatFilter.0events

THueLumSatFilter events
THueLumSatFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


THueLumSatFilter.0methods

THueLumSatFilter methods
THueLumSatFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


THueLumSatFilter.0properties

THueLumSatFilter properties
THueLumSatFilter Legend key

Unit
TeeFilters

In THueLumSatFilter
Hue
Luminance
Saturation

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


THueLumSatFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
THueLumSatFilter

Classes derived from THueLumSatFilter
(none)


THueLumSatFilter.Hue

THueLumSatFilter.Hue
THueLumSatFilter

property Hue: Integer;

Unit
TeeFilters

Description
Gets or sets the amount to change each pixel Hue.

"Hue" means the color component of the pixel (ie: if the pixel is red or orange or yellow, green, blue, etc)

Valid range of values is from -255 to 255.


THueLumSatFilter.Luminance

THueLumSatFilter.Luminance
THueLumSatFilter

property Luminance: Integer;

Unit
TeeFilters

Description
Gets or sets the amount to change each pixel Luminosity.

Luminance means the brightness of the pixel.

Valid range of values is from -255 to 255.


THueLumSatFilter.Saturation

THueLumSatFilter.Saturation
THueLumSatFilter

property Saturation: Integer;

Unit
TeeFilters

Description
Gets or sets the amount to change each pixel Saturation component.

Saturation means how strong is the color component of the pixel.

Valid range of values is from -255 to 255.


TImageBarSeries.0events

TImageBarSeries events
TImageBarSeries Legend key

Unit
ImageBar

Derived from TCustomBarSeries
OnGetBarStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImageBarSeries.0methods

TImageBarSeries methods
TImageBarSeries Legend key

Unit
ImageBar

Derived from TBarSeries
CalcBarBounds
CalcXPos
CalcYPos
DrawBar
DrawSeriesForward
GetOriginPos

Derived from TCustomBarSeries
AddBar
ApplyBarOffset
BarMargin
BarRectangle
CalcFirstLastVisibleIndex
CalcMarkLength
Clicked
DrawValuesForward
NumSampleValues
PointOrigin

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TImageBarSeries.0properties

TImageBarSeries properties
TImageBarSeries Legend key

Unit
ImageBar

In TImageBarSeries
Image
ImageTiled
ImageTransparent

Derived from TBarSeries
BarWidth
CustomBarWidth

Derived from TCustomBarSeries
AutoBarSize
AutoMarkPosition
BarBounds
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseYOrigin
YOrigin

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImageBarSeries.Hierarchy

Unit
ImageBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomBarSeries
|
TBarSeries
|
TImageBarSeries

Classes derived from TImageBarSeries
(none)


TImageBarSeries.Image

TImageBarSeries.Image
TImageBarSeries

property Image: TTeePicture;

Unit
ImageBar

Description
Set the Image property to provide an image for the bar points. If set to nil, no image is displayed on the bar points.


TImageBarSeries.ImageTiled

TImageBarSeries.ImageTiled
TImageBarSeries

property ImageTiled: Boolean;

Unit
ImageBar

Description
Set ImageTiled property to specify if the image will be tiled or streched when drawn on the bar points. When set to True, the image will be tiled. The image will be stretched when set to False.


TImageBarSeries.ImageTransparent

TImageBarSeries.ImageTransparent
TImageBarSeries

property ImageTransparent: Boolean;

Unit
ImageBar

Description
Default is False.

Use ImageTransparent to specify that the bitmap Image be drawn transparently.

See also: TGraphic.Transparent and TBitmap.TransparentColor, TransparentMode properties.


TImageFiltered.0events

TImageFiltered events
TImageFiltered Legend key

Unit
TeeFilters

Derived from TImage
Canvas
Center
IncrementalDisplay
OnProgress
Picture
Proportional
Stretch
Transparent

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImageFiltered.0methods

TImageFiltered methods
TImageFiltered Legend key

Unit
TeeFilters

In TImageFiltered
Filtered

Derived from TImage
CanAutoSize
Create
DestRect
Destroy
DoPaletteChange
GetCanvas
GetPalette
Paint
PictureChanged
Progress
SetCenter
SetPicture
SetProportional
SetStretch
SetTransparent

Derived from TGraphicControl
WMPaint

Derived from TControl
ActionChange
AdjustSize
AssignTo
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
CanResize
Changed
ChangeScale
CheckNewSize
Click
ClientToParent
ClientToScreen
CMBiDiModeChanged
CMColorChanged
CMDesignHitTest
CMEnabledChanged
CMFloat
CMFontChanged
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CMSysFontChanged
CMVisibleChanged
ConstrainedResize
CreateFloatingDockSite
DblClick
DefaultDockImage
DefaultHandler
DefineProperties
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetActionLinkClass
GetBoundsRect
GetClientHeight
GetClientOrigin
GetClientRect
GetClientWidth
GetControlsAlignment
GetDeviceContext
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
Invalidate
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
PaletteChanged
ParentToClient
Perform
PositionDockRect
ReadIsControl
ReadState
Refresh
Repaint
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBounds
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
SetZOrder
SetZOrderPosition
Show
Update
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMContextMenu
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WMWindowPosChanged
WndProc
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TImageFiltered.0properties

TImageFiltered properties
TImageFiltered Legend key

Unit
TeeFilters

In TImageFiltered
Filters

Derived from TImage
Canvas
Center
IncrementalDisplay
OnProgress
Picture
Proportional
Stretch
Transparent

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImageFiltered.Filtered

TImageFiltered.Filtered
TImageFiltered

function Filtered: TBitmap;

Unit
TeeFilters

Description
Returns a new created bitmap that has been modified after aplying all filters in the Filters property.
You should destroy this bitmap after working with it.


TImageFiltered.Filters

TImageFiltered.Filters
TImageFiltered

property Filters: TFilterItems;

Unit
TeeFilters

Description
Collection of TFilterItems filters to manipulate the pixels in the image.


TImageFiltered.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TGraphicControl
|
TImage
|
TImageFiltered

Classes derived from TImageFiltered
(none)


TImagePointSeries.0events

TImagePointSeries events
TImagePointSeries Legend key

Unit
ImaPoint

Derived from TCustomImagePointSeries
OnGetImage

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImagePointSeries.0methods

TImagePointSeries methods
TImagePointSeries Legend key

Unit
ImaPoint

In TImagePointSeries
CreatePicture

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TImagePointSeries.0properties

TImagePointSeries properties
TImagePointSeries Legend key

Unit
ImaPoint

Derived from TCustomImagePointSeries
ImagePoint
ImageTransparent

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImagePointSeries.CreatePicture

TImagePointSeries.CreatePicture
TImagePointSeries

constructor CreatePicture(AOwner: TComponent; Picture: TTeePicture); virtual;

Unit
ImaPoint

Description

Creates a TImagePointSeries with the given Picture parameter as the image to display inside the Point boundaries.


TImagePointSeries.Hierarchy

Unit
ImaPoint

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TCustomImagePointSeries
|
TImagePointSeries

Classes derived from TImagePointSeries
(none)


TImportChart.0events

TImportChart events
TImportChart Legend key

Unit
TeeURL

In TImportChart
OnLoaded
OnLoading

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImportChart.0methods

TImportChart methods
TImportChart Legend key

Unit
TeeURL

In TImportChart
LoadFromFile
LoadFromStream
LoadFromURL

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TImportChart.0properties

TImportChart properties
TImportChart Legend key

Unit
TeeURL

In TImportChart
KeepPosition
KeepSize

Derived from TCustomChartLink
Chart

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TImportChart.Hierarchy

Unit
TeeURL

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartLink
|
TImportChart

Classes derived from TImportChart
TChartWebSource


TImportChart.KeepPosition

TImportChart.KeepPosition
TImportChart

property KeepPosition: Boolean;

Unit
TeeURL

Description
Default is True.
When True, the original Chart Left and Top coordinates aren't loaded from the file or stream.
Chart Left and Top values are preserved and not overwritten by the loaded chart.


TImportChart.KeepSize

TImportChart.KeepSize
TImportChart

property KeepSize: Boolean;

Unit
TeeURL

Description
Default is True.
When True, the original Chart Width and Height values aren't loaded from the file or stream.
Chart Width and Height size values are preserved and not overwritten by the loaded chart.


TImportChart.LoadFromFile

TImportChart.LoadFromFile
TImportChart

procedure LoadFromFile(Const FileName: String);

Unit
TeeURL

Description
Loads a chart (saved as *.tee format) from the given FileName file parameter.


TImportChart.LoadFromStream

TImportChart.LoadFromStream
TImportChart

procedure LoadFromStream(Const Stream: TStream);

Unit
TeeURL

Description
Loads a chart (saved as *.tee format) from the given Stream parameter.


TImportChart.LoadFromURL

TImportChart.LoadFromURL
TImportChart

procedure LoadFromURL(Const URL: String);

Unit
TeeURL

Description
Loads a chart (saved as *.tee format) from the given URL hyperlink address parameter.


TImportChart.OnLoaded

TImportChart.OnLoaded
TImportChart

property OnLoaded: TNotifyEvent;

Unit
TeeURL

Description
Called after the chart has been loaded.


TImportChart.OnLoading

TImportChart.OnLoading
TImportChart

property OnLoading: TNotifyEvent;

Unit
TeeURL

Description
Called just before the chart is going to be loaded.


TInspectorHeader.0methods

TInspectorHeader methods
TInspectorHeader Legend key

Unit
TeeInspector

In TInspectorHeader
Update

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TInspectorHeader.0properties

TInspectorHeader properties
TInspectorHeader Legend key

Unit
TeeInspector

In TInspectorHeader
Font
Visible


TInspectorHeader.Font

TInspectorHeader.Font
TInspectorHeader

property Font: TFont;

Unit
TeeInspector

Description
Defines the font properties to draw inspector header text.


TInspectorHeader.Hierarchy

Unit
TeeInspector

Hierarchy

TObject
|
TPersistent
|
TInspectorHeader

Classes derived from TInspectorHeader
(none)


TInspectorHeader.Update

TInspectorHeader.Update
TInspectorHeader

procedure Update;

Unit
TeeInspector

Description
Refreshes and repaints inspector header.


TInspectorHeader.Visible

TInspectorHeader.Visible
TInspectorHeader

property Visible: Boolean;

Unit
TeeInspector

Description
Default : True

Set Visible to False to hide the inspector header.


TInspectorItem.0events

TInspectorItem events
TInspectorItem Legend key

Unit
TeeInspector

In TInspectorItem
OnChange
OnGetItemIndex
OnGetItems
OnSetItemIndex

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TInspectorItem.0methods

TInspectorItem methods
TInspectorItem Legend key

Unit
TeeInspector

In TInspectorItem
Inspector

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TInspectorItem.0properties

TInspectorItem properties
TInspectorItem Legend key

Unit
TeeInspector

In TInspectorItem
Caption
Data
Enabled
Expanded
Owner
Parent
Style
Value
Visible

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TInspectorItem.Caption

TInspectorItem.Caption
TInspectorItem

property Caption: String;

Unit
TeeInspector

Description
The text string to show for this inspector item.


TInspectorItem.Data

TInspectorItem.Data
TInspectorItem

property Data: TObject;

Unit
TeeInspector

Description
Custom data object for this item.
Depending on the Style property, the Data property must hold a reference to the appropiate object kind.

For example:

var Item : TInspectorItem;

Item:=TeeInspector1.Items.Add(iiFont,'Font',Button1.Font);
// Item.Data is now equal to Button1.Font


TInspectorItem.Enabled

TInspectorItem.Enabled
TInspectorItem

property Enabled: Boolean;

Unit
TeeInspector

Description
Default : True

Set Enabled to False to disallow the user to edit this item.


TInspectorItem.Expanded

TInspectorItem.Expanded
TInspectorItem

property Expanded: Boolean;

Unit
TeeInspector

Description
Default : False

Set it to True if the user wants to display the Item expanded by default.


TInspectorItem.Hierarchy

Unit
TeeInspector

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TInspectorItem

Classes derived from TInspectorItem
(none)


TInspectorItem.Inspector

TInspectorItem.Inspector
TInspectorItem

function Inspector: TTeeInspector;

Unit
TeeInspector

Description
Returns the inspector control that contains this item.


TInspectorItem.OnChange

TInspectorItem.OnChange
TInspectorItem

property OnChange: TNotifyEvent;

Unit
TeeInspector

Description
If assiged, this event is called when the user modifies this item's value.


TInspectorItem.OnGetItemIndex

TInspectorItem.OnGetItemIndex
TInspectorItem

property OnGetItemIndex: TGetItemIndex;

Unit
TeeInspector

Description
This event is called when the item Style property is iiSelection, to allow the developer return the index inside the item selection combobox.


TInspectorItem.OnGetItems

TInspectorItem.OnGetItems
TInspectorItem

property OnGetItems: TGetInspectorItems;

Unit
TeeInspector

Description
When the item Style property is iiSelection, this event must be supplied for the item to obtain the list of values to display at a combobox.


TInspectorItem.OnSetItemIndex

TInspectorItem.OnSetItemIndex
TInspectorItem

property OnSetItemIndex: TSetItemIndex;

Unit
TeeInspector

Description
This event is called when the item Style property is iiSelection, to allow the developer use the selected combobox index.


TInspectorItem.Owner

TInspectorItem.Owner
TInspectorItem

property Owner: TObject;

Unit
TeeInspector

Description
Returns the object instance that owns this inspector item.


TInspectorItem.Parent

TInspectorItem.Parent
TInspectorItem

property Parent: TInspectorItem;

Unit
TeeInspector

Description
Returns the TInspectorItem instance that is the parent of this item.
When Parent is nil, it means this item is not a child sub-item.


TInspectorItem.Style

TInspectorItem.Style
TInspectorItem

property Style: TInspectorItemStyle;

Unit
TeeInspector

Description
Default : iiBoolean

Set Style to desired value depending on what kind of object or property.

See TInspectorItemStyle for options.


TInspectorItem.Value

TInspectorItem.Value
TInspectorItem

property Value: Variant;

Unit
TeeInspector

Description
Gets or sets the Value for this item.

For example, for simple string items (iiString style), the Value property contains the initial text to display at inspector and also the edited text if the user modifies it.


TInspectorItem.Visible

TInspectorItem.Visible
TInspectorItem

property Visible: Boolean;

Unit
TeeInspector

Description
Default : True

Shows or hides an item in the inspector control.

The inspector automatically repaints after changing the visible property.


TInspectorItems.0events

TInspectorItems events
TInspectorItems Legend key

Unit
TeeInspector

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TInspectorItems.0methods

TInspectorItems methods
TInspectorItems Legend key

Unit
TeeInspector

In TInspectorItems
Add

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TInspectorItems.0properties

TInspectorItems properties
TInspectorItems Legend key

Unit
TeeInspector

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TInspectorItems.Add

TInspectorItems.Add
TInspectorItems

function Add(AStyle: TInspectorItemStyle; Const ACaption: String; AData: TObject): TInspectorItem; overload;

Unit
TeeInspector

Description
Adds a new item to the list of inspector items.

The AStyle parameter defines the kind of item (string, boolean, combobox selection, etc).
The ACaption parameter is the text to display at the inspector first column.
The AData object must be a valid instance depending on the style value.

This function returns the newly created item object.

This method has additional overloads:

Function Add( AStyle:TInspectorItemStyle; Const ACaption:String;
AData:TObject; const AOnChange:TNotifyEvent):TInspectorItem; overload;

Function Add( AStyle:TInspectorItemStyle; Const ACaption:String;
const AOnChange:TNotifyEvent):TInspectorItem; overload;

Function Add( AStyle:TInspectorItemStyle; Const ACaption:String;
InitialValue:Variant; const AOnChange:TNotifyEvent):TInspectorItem; overload;

Function Add( AStyle:TInspectorItemStyle; Const ACaption:String;
InitialValue:Variant):TInspectorItem; overload;

Function Add( AStyle:TInspectorItemStyle; Const ACaption:String;
InitialValue:Variant; AData:TObject;
const AOnChange:TNotifyEvent):TInspectorItem; overload;


TInspectorItems.Hierarchy

Unit
TeeInspector

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TInspectorItems

Classes derived from TInspectorItems
(none)


TInvertFilter.0events

TInvertFilter events
TInvertFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TInvertFilter.0methods

TInvertFilter methods
TInvertFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TInvertFilter.0properties

TInvertFilter properties
TInvertFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TInvertFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TInvertFilter

Classes derived from TInvertFilter
(none)


TIsoSurfaceSeries.0events

TIsoSurfaceSeries events
TIsoSurfaceSeries Legend key

Unit
TeeSurfa

Derived from TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TIsoSurfaceSeries.0methods

TIsoSurfaceSeries methods
TIsoSurfaceSeries Legend key

Unit
TeeSurfa

Derived from TSurfaceSeries
CellsOrientation
Clicked

Derived from TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TIsoSurfaceSeries.0properties

TIsoSurfaceSeries properties
TIsoSurfaceSeries Legend key

Unit
TeeSurfa

In TIsoSurfaceSeries
BandPen
Sides
UseYPosition
YPosition

Derived from TSurfaceSeries
DotFrame
FastBrush
HideCells
SideBrush
SideLines
SmoothPalette
Transparency
WaterFall
WaterLines
WireFrame

Derived from TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TIsoSurfaceSeries.BandPen

TIsoSurfaceSeries.BandPen
TIsoSurfaceSeries

property BandPen: TChartPen;

Unit
TeeSurfa

Description
Gets or sets the pen characteristics used to draw the iso-lines at surface side walls.


TIsoSurfaceSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries
|
TSurfaceSeries
|
TIsoSurfaceSeries

Classes derived from TIsoSurfaceSeries
(none)


TIsoSurfaceSeries.Sides

TIsoSurfaceSeries.Sides
TIsoSurfaceSeries

property Sides: TSurfaceSides;

Unit
TeeSurfa

Description
Gets properties that configure how to display the side walls of the iso-surface.


TIsoSurfaceSeries.UseYPosition

TIsoSurfaceSeries.UseYPosition
TIsoSurfaceSeries

property UseYPosition: Boolean;

Unit
TeeSurfa

Description
Default is False.

When False, Iso-lines and cells are displayed using the series Y values for a given cell.

When True, iso-lines are displayed and cells are filled at a common user-defined Y vertical position (YPosition property).

The YPosition property is only used when UseYPosition is True.


TIsoSurfaceSeries.YPosition

TIsoSurfaceSeries.YPosition
TIsoSurfaceSeries

property YPosition: TChartValue;

Unit
TeeSurfa

Description
Default is zero.

When the UseYPosition property is True, YPosition value is used as the common vertical coordinate to display all iso-lines and filled cells.

When UseYPosition is False, YPosition is ignored and each of the cells Y values are used as vertical coordinates.


TJPEGExportFormat.0methods

TJPEGExportFormat methods
TJPEGExportFormat Legend key

Unit
TeeJPEG

In TJPEGExportFormat
Description
FileExtension
GraphicClass
Jpeg
Options
SaveToStream
SetDpiJPEG

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TJPEGExportFormat.0properties

TJPEGExportFormat properties
TJPEGExportFormat Legend key

Unit
TeeJPEG

In TJPEGExportFormat
Quality


TJPEGExportFormat.Description

TJPEGExportFormat.Description
TJPEGExportFormat

function Description: String; override;

Unit
TeeJPEG

Description
Returns "JPEG"


TJPEGExportFormat.FileExtension

TJPEGExportFormat.FileExtension
TJPEGExportFormat

function FileExtension: String; override;

Unit
TeeJPEG

Description
Returns "JPG" (the default file extension for JPEG image files)


TJPEGExportFormat.GraphicClass

TJPEGExportFormat.GraphicClass
TJPEGExportFormat

function GraphicClass: TGraphicClass; override;

Unit
TeeJPEG

Description

Returns Jpeg unit TJpegImage class.


TJPEGExportFormat.Hierarchy

Unit
TeeJPEG

Hierarchy

TObject
|
TTeeExportFormat
|
TJPEGExportFormat

Classes derived from TJPEGExportFormat
(none)


TJPEGExportFormat.Jpeg

TJPEGExportFormat.Jpeg
TJPEGExportFormat

function Jpeg(Const AOptions: TTeeJPEGOptions): TJPEGImage;

Unit
TeeJPEG

Description
Jpeg image characteristics based on TJPEGImage Class.


TJPEGExportFormat.Options

TJPEGExportFormat.Options
TJPEGExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeeJPEG

Description
Options list included by TeeChart in the default JPEG export options dialogue shown by the TeeExport method.


TJPEGExportFormat.Quality

TJPEGExportFormat.Quality
TJPEGExportFormat

property Quality: Integer;

Unit
TeeJPEG

Description
From 0 to 100.
Default value: 95.

Determines the compression quality of the resulting jpeg image.
100 means no compression (jpeg file size is bigger, but image quality is better).

0 means total compression (jpeg file size is smaller, but image quality is worst).


TJPEGExportFormat.SaveToStream

TJPEGExportFormat.SaveToStream
TJPEGExportFormat

procedure SaveToStream(Stream: TStream); override;

Unit
TeeJPEG

Description
Stores the Chart into the Stream parameter as a JPEG image.


TJPEGExportFormat.SetDpiJPEG

TJPEGExportFormat.SetDpiJPEG
TJPEGExportFormat

procedure SetDpiJPEG(Stream: TStream; Rx, Ry: Word);

Unit
TeeJPEG

Description
Defines the DPI to Export the JPEG image in.


TKagiSeries.0events

TKagiSeries events
TKagiSeries Legend key

Unit
TeeKagiSeries

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKagiSeries.0methods

TKagiSeries methods
TKagiSeries Legend key

Unit
TeeKagiSeries

In TKagiSeries
NumSampleValues

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TKagiSeries.0properties

TKagiSeries properties
TKagiSeries Legend key

Unit
TeeKagiSeries

In TKagiSeries
AbsoluteReversal
BuySymbol
CloseValues
DownSwing
ReversalAmount
SellSymbol
UpSwing

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKagiSeries.AbsoluteReversal

TKagiSeries.AbsoluteReversal
TKagiSeries

property AbsoluteReversal: Boolean;

Unit
TeeKagiSeries

Description
Default is False.

Determines if the ReversalAmount property value will be considered absolute or relative to previous values.


TKagiSeries.BuySymbol

TKagiSeries.BuySymbol
TKagiSeries

property BuySymbol: TSeriesPointer;

Unit
TeeKagiSeries

Description
Symbol to draw at buy signals.


TKagiSeries.CloseValues

TKagiSeries.CloseValues
TKagiSeries

property CloseValues: TChartValueList;

Unit
TeeKagiSeries

Description
Alias to YValues value list.


TKagiSeries.DownSwing

TKagiSeries.DownSwing
TKagiSeries

property DownSwing: TChartPen;

Unit
TeeKagiSeries

Description
Pen properties used to draw vertical lines when trend is down.


TKagiSeries.Hierarchy

Unit
TeeKagiSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TKagiSeries

Classes derived from TKagiSeries
(none)


TKagiSeries.NumSampleValues

TKagiSeries.NumSampleValues
TKagiSeries

function NumSampleValues: Integer; override;

Unit
TeeKagiSeries

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TKagiSeries.ReversalAmount

TKagiSeries.ReversalAmount
TKagiSeries

property ReversalAmount: Double;

Unit
TeeKagiSeries

Description
Default is 0.03

Determines the absolute or relative value to calculate buy and sell signals.


TKagiSeries.SellSymbol

TKagiSeries.SellSymbol
TKagiSeries

property SellSymbol: TSeriesPointer;

Unit
TeeKagiSeries

Description
Symbol to draw at sell signals.


TKagiSeries.UpSwing

TKagiSeries.UpSwing
TKagiSeries

property UpSwing: TChartPen;

Unit
TeeKagiSeries

Description
Pen properties used to draw vertical lines when trend is up.


TKnobGauge.0events

TKnobGauge events
TKnobGauge Legend key

Unit
TeeKnobGauge

Derived from TCustomGauge
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKnobGauge.0methods

TKnobGauge methods
TKnobGauge Legend key

Unit
TeeKnobGauge

In TKnobGauge
CenterPoint

Derived from TCircularGauge
Axis
CircleXCenter
CircleYCenter

Derived from TCustomGauge
GetPaletteColor

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TKnobGauge.0properties

TKnobGauge properties
TKnobGauge Legend key

Unit
TeeKnobGauge

In TKnobGauge
ActiveCenter
AxisInside
HighLight

Derived from TCircularGauge
AutoPositionLinearGauge
AutoPositionNumericGauge
AutoValueLinearGauge
AutoValueNumericGauge
Center
Circled
DisplayRotationAngle
DisplayTotalAngle
EndPoint
FillToSemiCircle
Hand
HandOffset
LabelsInside
LinearGauge
NumericGauge
RotateLabels
RotationAngle
TotalAngle
XRadius
YRadius

Derived from TCustomGaugeMinMax
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
RedLine
Ticks

Derived from TCustomGauge
CustomBounds
Face
Frame
Value

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKnobGauge.ActiveCenter

TKnobGauge.ActiveCenter
TKnobGauge

property ActiveCenter: Boolean;

Unit
TeeKnobGauge

Description
With ActiveCenter true, you can change the Knobgauge value by mousedragging on the centre hub.


TKnobGauge.AxisInside

TKnobGauge.AxisInside
TKnobGauge

property AxisInside: Boolean;

Unit
TeeKnobGauge

Description
Sets the axis to be drawn on the inside of the knob dial when true.


TKnobGauge.CenterPoint

TKnobGauge.CenterPoint
TKnobGauge

function CenterPoint: TPoint;

Unit
TeeKnobGauge

Description
Accesses the the properties and methods knob pointer drawn at center. Allow you to specify
for example its color, size, style, and more.


TKnobGauge.Hierarchy

Unit
TeeKnobGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomGauge
|
TCustomGaugeMinMax
|
TCircularGauge
|
TKnobGauge

Classes derived from TKnobGauge
(none)


TKnobGauge.HighLight

TKnobGauge.HighLight
TKnobGauge

property HighLight: TChartGradient;

Unit
TeeKnobGauge

Description
The HighLight property specifies the colors used to give the reflective effect of the central part of the knob. There is the option of using one of the default colour schemes or you can define your own by using the Gradient property to fill the zone using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


TKnobGaugeEditor.0events

TKnobGaugeEditor events
TKnobGaugeEditor Legend key

Unit
TeeKnobGauge

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKnobGaugeEditor.0methods

TKnobGaugeEditor methods
TKnobGaugeEditor Legend key

Unit
TeeKnobGauge

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TKnobGaugeEditor.0properties

TKnobGaugeEditor properties
TKnobGaugeEditor Legend key

Unit
TeeKnobGauge

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKnobGaugeEditor.Hierarchy

Unit
TeeKnobGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TNumericGaugeEditor
|
TLinearGaugeEditor
|
TCircularGaugeEditor
|
TKnobGaugeEditor

Classes derived from TKnobGaugeEditor
(none)


TKurtosisFunction.0events

TKurtosisFunction events
TKurtosisFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKurtosisFunction.0methods

TKurtosisFunction methods
TKurtosisFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TKurtosisFunction.0properties

TKurtosisFunction properties
TKurtosisFunction Legend key

Unit
StatChar

Derived from TSkewnessFunction
Complete

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TKurtosisFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TSkewnessFunction
|
TKurtosisFunction

Classes derived from TKurtosisFunction
(none)


TLabelsList.0events

TLabelsList events
TLabelsList Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TLabelsList.0methods

TLabelsList methods
TLabelsList Legend key

Unit
TeEngine

In TLabelsList
IndexOfLabel

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLabelsList.0properties

TLabelsList properties
TLabelsList Legend key

Unit
TeEngine

In TLabelsList
Labels

Derived from TList
Capacity
Count
Items
List


TLabelsList.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TLabelsList

Classes derived from TLabelsList
(none)


TLabelsList.IndexOfLabel

TLabelsList.IndexOfLabel
TLabelsList

function IndexOfLabel(Const ALabel: String; CaseSensitive: Boolean): Integer;

Unit
TeEngine

Description
Returns the first point index containing ALabel parameter.


TLabelsList.Labels

TLabelsList.Labels
TLabelsList

property Labels[Index: Integer]: String;

Unit
TeEngine

Description
Gets or sets the label string at index position.

Series1.Labels[ 3 ] := 'abc' ;


TLanguageStrings.0events

TLanguageStrings events
TLanguageStrings Legend key

Unit
TeeTranslate

Derived from TStringList
CaseSensitive
Duplicates
OnChange
OnChanging
Sorted

Derived from TStrings
Capacity
CommaText
Count
DelimitedText
Delimiter
Names
NameValueSeparator
Objects
QuoteChar
Strings
StringsAdapter
Text
UpdateCount
ValueFromIndex
Values


TLanguageStrings.0methods

TLanguageStrings methods
TLanguageStrings Legend key

Unit
TeeTranslate

Derived from TStringList
Add
AddObject
Changed
Changing
Clear
CompareStrings
CustomSort
Delete
Destroy
Exchange
ExchangeItems
Find
Get
GetCapacity
GetCount
GetObject
Grow
IndexOf
Insert
InsertItem
InsertObject
Put
PutObject
QuickSort
SetCapacity
SetCaseSensitive
SetSorted
SetUpdateState
Sort

Derived from TStrings
AddStrings
Append
Assign
BeginUpdate
DefineProperties
EndUpdate
Equals
Error
ExtractName
GetCommaText
GetDelimitedText
GetDelimiter
GetName
GetNameValueSeparator
GetQuoteChar
GetText
GetTextStr
GetValue
GetValueFromIndex
IndexOfName
IndexOfObject
LoadFromFile
LoadFromStream
Move
ReadData
SaveToFile
SaveToStream
SetCommaText
SetDelimitedText
SetDelimiter
SetNameValueSeparator
SetQuoteChar
SetStringsAdapter
SetText
SetTextStr
SetValue
SetValueFromIndex
WriteData

Derived from TPersistent
AssignError
AssignTo
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLanguageStrings.0properties

TLanguageStrings properties
TLanguageStrings Legend key

Unit
TeeTranslate

Derived from TStringList
CaseSensitive
Duplicates
OnChange
OnChanging
Sorted

Derived from TStrings
Capacity
CommaText
Count
DelimitedText
Delimiter
Names
NameValueSeparator
Objects
QuoteChar
Strings
StringsAdapter
Text
UpdateCount
ValueFromIndex
Values


TLanguageStrings.Hierarchy

Unit
TeeTranslate

Hierarchy

TObject
|
TPersistent
|
TStrings
|
TStringList
|
TLanguageStrings

Classes derived from TLanguageStrings
(none)


TLegendItem.0methods

TLegendItem methods
TLegendItem Legend key

Unit
Chart

In TLegendItem
HasFont

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLegendItem.0properties

TLegendItem properties
TLegendItem Legend key

Unit
Chart

In TLegendItem
Align
Font
Left
SymbolRect
Text
Text2
Top


TLegendItem.Align

TLegendItem.Align
TLegendItem

property Align: TCanvasTextAlign;

Unit
Chart

Description
Read only property which returns the integer value of the Text alignment options :

TA_LEFT = 0;
TA_RIGHT = 2;
TA_CENTER = 6;
TA_TOP = 0;
...


TLegendItem.Font

TLegendItem.Font
TLegendItem

property Font: TTeeFont;

Unit
Chart


TLegendItem.HasFont

TLegendItem.HasFont
TLegendItem

function HasFont: Boolean;

Unit
Chart


TLegendItem.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TLegendItem

Classes derived from TLegendItem
(none)


TLegendItem.Left

TLegendItem.Left
TLegendItem

property Left: Integer;

Unit
Chart

Description
Read only property which returns the Left position of the referenced legend item.


TLegendItem.SymbolRect

TLegendItem.SymbolRect
TLegendItem

property SymbolRect: TRect;

Unit
Chart

Description
Gets or sets a Rect for the legend item symbol.


TLegendItem.Text

TLegendItem.Text
TLegendItem

property Text: String;

Unit
Chart

Description
Gets or sets a Text for the referenced legend item.


TLegendItem.Text2

TLegendItem.Text2
TLegendItem

property Text2: String;

Unit
Chart

Description
Returns the text displayed at Legend item in second column.
See also : Text property.


TLegendItem.Top

TLegendItem.Top
TLegendItem

property Top: Integer;

Unit
Chart

Description
Read only property which returns the Top position of the referenced legend item.


TLegendItems.0events

TLegendItems events
TLegendItems Legend key

Unit
Chart

Derived from TList
Capacity
Count
Items
List


TLegendItems.0methods

TLegendItems methods
TLegendItems Legend key

Unit
Chart

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLegendItems.0properties

TLegendItems properties
TLegendItems Legend key

Unit
Chart

In TLegendItems
Custom
CustomPosition
Items

Derived from TList
Capacity
Count
List


TLegendItems.Custom

TLegendItems.Custom
TLegendItems

property Custom: Boolean;

Unit
Chart

Description
Default is False.
When True, legend does not automatically calculate the legend items to be displayed, and it uses the Items property instead.


TLegendItems.CustomPosition

TLegendItems.CustomPosition
TLegendItems

property CustomPosition: Boolean;

Unit
Chart


TLegendItems.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TList
|
TLegendItems

Classes derived from TLegendItems
(none)


TLegendItems.Items

TLegendItems.Items
TLegendItems

property Items[Index: Integer]: TLegendItem;

Unit
Chart

Description
Returns the legend item at given Index position.


TLegendPaletteTool.0events

TLegendPaletteTool events
TLegendPaletteTool Legend key

Unit
TeeLegendPalette

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLegendPaletteTool.0methods

TLegendPaletteTool methods
TLegendPaletteTool Legend key

Unit
TeeLegendPalette

In TLegendPaletteTool
Description

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLegendPaletteTool.0properties

TLegendPaletteTool properties
TLegendPaletteTool Legend key

Unit
TeeLegendPalette

In TLegendPaletteTool
Axis
Border
Chart
Color
Emboss
Gradient
Height
Inverted
Left
PositionUnits
Shadow
Smooth
Top
Transparent
Vertical
Width

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLegendPaletteTool.Axis

TLegendPaletteTool.Axis
TLegendPaletteTool

property Axis: TLegendPaletteAxis;

Unit
TeeLegendPalette

Description
Gets or sets which axes will be displayed on the legend.

Axes to show depend on the Vertical property.


TLegendPaletteTool.Border

TLegendPaletteTool.Border
TLegendPaletteTool

property Border: TChartHiddenPen;

Unit
TeeLegendPalette

Description
Draws a border around the legend.
By default this pen is hidden.


TLegendPaletteTool.Chart

TLegendPaletteTool.Chart
TLegendPaletteTool

property Chart: TCustomChart;

Unit
TeeLegendPalette

Description
Returns the internal chart used to create and display the legend palette.


TLegendPaletteTool.Color

TLegendPaletteTool.Color
TLegendPaletteTool

property Color: TColor;

Unit
TeeLegendPalette

Description
Gets or sets the color used to fill the palette panel.


TLegendPaletteTool.Description

TLegendPaletteTool.Description
TLegendPaletteTool

function Description: String; override;

Unit
TeeLegendPalette

Description
Returns "Legend Palette"


TLegendPaletteTool.Emboss

TLegendPaletteTool.Emboss
TLegendPaletteTool

property Emboss: TTeeEmboss;

Unit
TeeLegendPalette

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TLegendPaletteTool.Gradient

TLegendPaletteTool.Gradient
TLegendPaletteTool

property Gradient: TChartGradient;

Unit
TeeLegendPalette

Description
Determines gradient color properties to fill the interior of the palette panel.


TLegendPaletteTool.Height

TLegendPaletteTool.Height
TLegendPaletteTool

property Height: Integer;

Unit
TeeLegendPalette

Description
Gets or sets the vertical size in pixels of the legend.


TLegendPaletteTool.Hierarchy

Unit
TeeLegendPalette

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TLegendPaletteTool

Classes derived from TLegendPaletteTool
(none)


TLegendPaletteTool.Inverted

TLegendPaletteTool.Inverted
TLegendPaletteTool

property Inverted: Boolean;

Unit
TeeLegendPalette

Description
Default is False.

When True, legend item colors will be displayed in reverse order.


TLegendPaletteTool.Left

TLegendPaletteTool.Left
TLegendPaletteTool

property Left: Integer;

Unit
TeeLegendPalette

Description
Gets or sets the horizontal legend location in pixels.


TLegendPaletteTool.PositionUnits

TLegendPaletteTool.PositionUnits
TLegendPaletteTool

property PositionUnits: TTeeUnits;

Unit
TeeLegendPalette

Description
Default is muPixels.

Determines how will be the TLegendPaletteTool Left and Top properties be considered, if as pixels or as a percentage of chart width and height.


TLegendPaletteTool.Shadow

TLegendPaletteTool.Shadow
TLegendPaletteTool

property Shadow: TTeeShadow;

Unit
TeeLegendPalette

Description
Defines color and size of a dropshadow to display below the palette tool panel.


TLegendPaletteTool.Smooth

TLegendPaletteTool.Smooth
TLegendPaletteTool

property Smooth: Boolean;

Unit
TeeLegendPalette

Description
Default is False.

When True, colors used to display at the legend are made "smoother" by using an internal gradient to gradually change from one color to the next.


TLegendPaletteTool.Top

TLegendPaletteTool.Top
TLegendPaletteTool

property Top: Integer;

Unit
TeeLegendPalette

Description
Gets or sets the vertical legend location in pixels.


TLegendPaletteTool.Transparent

TLegendPaletteTool.Transparent
TLegendPaletteTool

property Transparent: Boolean;

Unit
TeeLegendPalette

Description
Default is False.

When True, legend background is not displayed and so the chart contents behind the legend is visible.


TLegendPaletteTool.Vertical

TLegendPaletteTool.Vertical
TLegendPaletteTool

property Vertical: Boolean;

Unit
TeeLegendPalette

Description
Default is True.

Defines the legend orientation.


TLegendPaletteTool.Width

TLegendPaletteTool.Width
TLegendPaletteTool

property Width: Integer;

Unit
TeeLegendPalette

Description
Gets or sets the horizontal size in pixels of the legend.


TLegendScrollBar.0events

TLegendScrollBar events
TLegendScrollBar Legend key

Unit
TeeLegendScrollBar

Derived from TTeeScrollBar
OnChangeSize
OnScrolled
OnSetPosition

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLegendScrollBar.0methods

TLegendScrollBar methods
TLegendScrollBar Legend key

Unit
TeeLegendScrollBar

In TLegendScrollBar
Description
LongDescription

Derived from TTeeScrollBar
Assign
MainRectangle
ScrollRectangle

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLegendScrollBar.0properties

TLegendScrollBar properties
TLegendScrollBar Legend key

Unit
TeeLegendScrollBar

Derived from TTeeScrollBar
ArrowBrush
AutoRepeat
BackColor
Bevel
DrawStyle
Gradient
Horizontal
InitialDelay
MinThumbSize
Position
Size
Thumb
ThumbBrush
ThumbSize

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLegendScrollBar.Description

TLegendScrollBar.Description
TLegendScrollBar

function Description: String; override;

Unit
TeeLegendScrollBar

Description
Returns "Legend Scrollbar"


TLegendScrollBar.Hierarchy

Unit
TeeLegendScrollBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeScrollBar
|
TLegendScrollBar

Classes derived from TLegendScrollBar
(none)


TLegendScrollBar.LongDescription

TLegendScrollBar.LongDescription
TLegendScrollBar

function LongDescription: String; override;

Unit
TeeLegendScrollBar

Description
Returns a String with explanation of the LegendScrollBar Tool.


TLegendSymbol.0events

TLegendSymbol events
TLegendSymbol Legend key

Unit
Chart

In TLegendSymbol
OnDraw


TLegendSymbol.0methods

TLegendSymbol methods
TLegendSymbol Legend key

Unit
Chart

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLegendSymbol.0properties

TLegendSymbol properties
TLegendSymbol Legend key

Unit
Chart

In TLegendSymbol
Continuous
DefaultPen
Emboss
Gradient
Pen
Position
Shadow
Squared
Visible
Width
WidthUnits


TLegendSymbol.Continuous

TLegendSymbol.Continuous
TLegendSymbol

property Continuous: Boolean;

Unit
Chart

Description
Use Continous property to let the different legend color rectangles flow into each other. When set to True, the color rectangles of the different items are drawn fixed to each other (no vertical spacing). When set to False, the color rectangles are drawn as seperate rectangles.


TLegendSymbol.DefaultPen

TLegendSymbol.DefaultPen
TLegendSymbol

property DefaultPen: Boolean;

Unit
Chart

Description
When True, the legend will use series pen properties to draw a border around the coloured box legend symbol.

When False, the Legend will use the legend symbol Pen property.

Chart1.Legend.Symbol.DefaultPen := False;
Chart1.Legend.Symbol.Pen.Color := clGreen;


TLegendSymbol.Emboss

TLegendSymbol.Emboss
TLegendSymbol

property Emboss: TTeeEmboss;

Unit
Chart

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TLegendSymbol.Gradient

TLegendSymbol.Gradient
TLegendSymbol

property Gradient: TTeeGradient;

Unit
Chart

Description
Accesses Gradient characteristics of Legend symbols.


TLegendSymbol.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TLegendSymbol

Classes derived from TLegendSymbol
(none)


TLegendSymbol.OnDraw

TLegendSymbol.OnDraw
TLegendSymbol

property OnDraw: TSymbolDrawEvent;

Unit
Chart

Description
Event called every time a legend "symbol" (the little colored rectangle for each time) is displayed.
You can use this event to customize the symbol format, or to repaint the symbol completely using custom Chart1.Canvas methods.

The Legend_SymbolFlags.pas unit in the examples folder shows usage details of this event.


TLegendSymbol.Pen

TLegendSymbol.Pen
TLegendSymbol

property Pen: TChartPen;

Unit
Chart

Description
This pen is used to draw a border around the color box legend symbols.

By default this pen is not used. Instead, the appropiate Series pen is used to draw the symbols borders.

To use this Pen, first set the DefaultPen property to False.

Chart1.Legend.Symbol.DefaultPen := False;
Chart1.Legend.Symbol.Pen.Color := clGreen;


TLegendSymbol.Position

TLegendSymbol.Position
TLegendSymbol

property Position: TLegendSymbolPosition;

Unit
Chart

Description
Use the Position property to set the position of the color rectangles. It can have one of the following values:

spLeft The color rectangles are placed left of the legend items
spRight The color rectangles are placed right of the legend items


TLegendSymbol.Shadow

TLegendSymbol.Shadow
TLegendSymbol

property Shadow: TTeeShadow;

Unit
Chart

Description
Accesses Shadow characteristics of Legend symbols.


TLegendSymbol.Squared

TLegendSymbol.Squared
TLegendSymbol

property Squared: Boolean;

Unit
Chart

Description
When True, the legend symbol will be resized to have the same width as height.

When False, the legend symbol height is determined by the legend font size, and the symbol width is calculated using the Width and WidthUnits properties.

Chart1.Legend.Symbol.Squared := True ;


TLegendSymbol.Visible

TLegendSymbol.Visible
TLegendSymbol

property Visible: Boolean;

Unit
Chart

Description
Shows or hides Legend symbols.

Chart1.Legend.Symbol.Visible := CheckBox1.Checked ;


TLegendSymbol.Width

TLegendSymbol.Width
TLegendSymbol

property Width: Integer;

Unit
Chart

Description
Set Width property to define the width of the color rectangles (symbols).


TLegendSymbol.WidthUnits

TLegendSymbol.WidthUnits
TLegendSymbol

property WidthUnits: TLegendSymbolSize;

Unit
Chart

Description
Use the WidthUnits property to define how the W idth.html">Width property must be interpreted. It can have one of the following values:

lcspercent The width is a percentage of the legend width
lcspixels The width is defined in pixels


TLegendTitle.0methods

TLegendTitle methods
TLegendTitle Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLegendTitle.0properties

TLegendTitle properties
TLegendTitle Legend key

Unit
Chart

In TLegendTitle
Caption
Text
TextAlignment

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TLegendTitle.Caption

TLegendTitle.Caption
TLegendTitle

property Caption: String;

Unit
Chart

Description

Gets or sets the string for the first line of Text TStrings property.

Chart1.Legend.Title.Caption := 'Hello';

is equivalent to:

Chart1.Legend.Title.Text.Clear;
Chart1.Legend.Title.Text.Add( 'Hello' );


TLegendTitle.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeShape
|
TLegendTitle

Classes derived from TLegendTitle
(none)


TLegendTitle.Text

TLegendTitle.Text
TLegendTitle

property Text: TStringList;

Unit
Chart

Description
Gets or sets the text lines used to display the chart legend title.


TLegendTitle.TextAlignment

TLegendTitle.TextAlignment
TLegendTitle

property TextAlignment: TAlignment;

Unit
Chart

Description
Determines if text is displayed at left, center or right side of chart legend title.

The default value is taCenter


TLightFilter.0events

TLightFilter events
TLightFilter Legend key

Unit
TeeLighting

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TLightFilter.0methods

TLightFilter methods
TLightFilter Legend key

Unit
TeeLighting

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TLightFilter.0properties

TLightFilter properties
TLightFilter Legend key

Unit
TeeLighting

In TLightFilter
Factor
Left
Style
Top

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TLightFilter.Factor

TLightFilter.Factor
TLightFilter

property Factor: Integer;

Unit
TeeLighting

Description
The size of the "light spot" in percentage of maximum filer region dimensions.

Default value is 10.


TLightFilter.Hierarchy

Unit
TeeLighting

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TLightFilter

Classes derived from TLightFilter
(none)


TLightFilter.Left

TLightFilter.Left
TLightFilter

property Left: Integer;

Unit
TeeLighting

Description
The horizontal coordinate in pixels for the light spot center.


TLightFilter.Style

TLightFilter.Style
TLightFilter

property Style: TLightStyle;

Unit
TeeLighting

Description
The light style.

Values are:

lsLinear Light is uniform around the Left Top position.
lsSpotLight Light is circular

Default value is lsLinear


TLightFilter.Top

TLightFilter.Top
TLightFilter

property Top: Integer;

Unit
TeeLighting

Description
The vertical coordinate in pixels for the light spot center.


TLightTool.0events

TLightTool events
TLightTool Legend key

Unit
TeeLighting

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLightTool.0methods

TLightTool methods
TLightTool Legend key

Unit
TeeLighting

In TLightTool
Description
Iluminate

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLightTool.0properties

TLightTool properties
TLightTool Legend key

Unit
TeeLighting

In TLightTool
DrawStyle
Factor
FollowMouse
Left
Style
Top

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLightTool.Description

TLightTool.Description
TLightTool

function Description: String; override;

Unit
TeeLighting

Description
Returns "2D Lighting"


TLightTool.DrawStyle

TLightTool.DrawStyle
TLightTool

property DrawStyle: TLightDrawStyle;

Unit
TeeLighting


TLightTool.Factor

TLightTool.Factor
TLightTool

property Factor: Integer;

Unit
TeeLighting

Description
The size of the "light spot" in percentage of maximum chart dimensions.

Default value is 10.


TLightTool.FollowMouse

TLightTool.FollowMouse
TLightTool

property FollowMouse: Boolean;

Unit
TeeLighting

Description
When true, the light spot will follow the mouse movement.

When false, you may set the Left and Top pixel coordinates.


TLightTool.Hierarchy

Unit
TeeLighting

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TLightTool

Classes derived from TLightTool
(none)


TLightTool.Iluminate

TLightTool.Iluminate
TLightTool

procedure Iluminate;

Unit
TeeLighting

Description
Applies the light effect over the ParentChart Canvas.


TLightTool.Left

TLightTool.Left
TLightTool

property Left: Integer;

Unit
TeeLighting

Description
The horizontal coordinate in pixels for the light spot center.


TLightTool.Style

TLightTool.Style
TLightTool

property Style: TLightStyle;

Unit
TeeLighting

Description
The light style.

Values are:

lsLinear Light is uniform around the Left Top position.
lsSpotLight Light is circular

Default value is lsLinear


TLightTool.Top

TLightTool.Top
TLightTool

property Top: Integer;

Unit
TeeLighting

Description
The vertical coordinate in pixels for the light spot center.


TLinearGauge.0events

TLinearGauge events
TLinearGauge Legend key

Unit
TeeLinearGauge

Derived from TCustomGauge
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLinearGauge.0methods

TLinearGauge methods
TLinearGauge Legend key

Unit
TeeLinearGauge

In TLinearGauge
Axis

Derived from TCustomGauge
GetPaletteColor

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLinearGauge.0properties

TLinearGauge properties
TLinearGauge Legend key

Unit
TeeLinearGauge

In TLinearGauge
Embedded
MaxValueIndicator
UseValueColorPalette
ValueArea

Derived from TCustomGaugeMinMax
GreenLine
Hand
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
RedLine
Ticks

Derived from TCustomGauge
CustomBounds
Face
Frame
Value

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLinearGauge.Axis

TLinearGauge.Axis
TLinearGauge

function Axis: TChartAxis; override;

Unit
TeeLinearGauge

Description
Accesses the Linear axis properties and methods allowing it to be customized as desired.


TLinearGauge.Embedded

TLinearGauge.Embedded
TLinearGauge

property Embedded: Boolean;

Unit
TeeLinearGauge

Description
Using the Embedded property, multiple Numeric Gauges
and/or LinearGauges can be embedded in a CircularGauge.


TLinearGauge.Hierarchy

Unit
TeeLinearGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomGauge
|
TCustomGaugeMinMax
|
TLinearGauge

Classes derived from TLinearGauge
(none)


TLinearGauge.MaxValueIndicator

TLinearGauge.MaxValueIndicator
TLinearGauge

property MaxValueIndicator: TGaugeSeriesPointer;

Unit
TeeLinearGauge

Description
\ltrparA visible marker for the maximum value reached by the LinearGauge.


TLinearGauge.UseValueColorPalette

TLinearGauge.UseValueColorPalette
TLinearGauge

property UseValueColorPalette: Boolean;

Unit
TeeLinearGauge

Description
\ltrparSet true to use the ValueColorPalette and so define a custom gradient scheme for the LinearGauge hand.


TLinearGauge.ValueArea

TLinearGauge.ValueArea
TLinearGauge

property ValueArea: TTeeShape;

Unit
TeeLinearGauge

Description
\ltrparBrush characteristics of the area behind the value, or hand, pointer.


TLineSeries.0events

TLineSeries events
TLineSeries Legend key

Unit
Series

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLineSeries.0methods

TLineSeries methods
TLineSeries Legend key

Unit
Series

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLineSeries.0properties

TLineSeries properties
TLineSeries Legend key

Unit
Series

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLineSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TLineSeries

Classes derived from TLineSeries
THorizLineSeries


TLinkTool.0events

TLinkTool events
TLinkTool Legend key

Unit
TeeLinkTool

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLinkTool.0methods

TLinkTool methods
TLinkTool Legend key

Unit
TeeLinkTool

In TLinkTool
Description

Derived from TAnnotationTool
Clicked
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLinkTool.0properties

TLinkTool properties
TLinkTool Legend key

Unit
TeeLinkTool

In TLinkTool
Hint
URL

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLinkTool.Description

TLinkTool.Description
TLinkTool

function Description: String; override;

Unit
TeeLinkTool

Description
Returns "HyperLink"


TLinkTool.Hierarchy

Unit
TeeLinkTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TLinkTool

Classes derived from TLinkTool
(none)


TLinkTool.Hint

TLinkTool.Hint
TLinkTool

property Hint: String;

Unit
TeeLinkTool

Description
Optional text used to display a visual tooltip (hint) when the mouse passes over the Link boundaries.


TLinkTool.URL

TLinkTool.URL
TLinkTool

property URL: String;

Unit
TeeLinkTool

Description
Address used to browse when the mouse clicks the Link.

Example:

ChartTool1.URL := 'http://www.steema.com';
ChartTool1.Hint := 'Visit our web';
ChartToo1.Text := 'Steema.com';


TLowTeeFunction.0events

TLowTeeFunction events
TLowTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLowTeeFunction.0methods

TLowTeeFunction methods
TLowTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TLowTeeFunction.0properties

TLowTeeFunction properties
TLowTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TLowTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TLowTeeFunction

Classes derived from TLowTeeFunction
(none)


TMACDFunction.0events

TMACDFunction events
TMACDFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMACDFunction.0methods

TMACDFunction methods
TMACDFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMACDFunction.0properties

TMACDFunction properties
TMACDFunction Legend key

Unit
StatChar

In TMACDFunction
Histogram
HistogramPen
MACDExp
MACDExpPen
MACDPen
Period2
Period3

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMACDFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TMACDFunction

Classes derived from TMACDFunction
(none)


TMACDFunction.Histogram

TMACDFunction.Histogram
TMACDFunction

property Histogram: TVolumeSeries;

Unit
StatChar

Description
Returns a sub-series (of type Volume) internally calculated by MACD function.


TMACDFunction.HistogramPen

TMACDFunction.HistogramPen
TMACDFunction

property HistogramPen: TChartPen;

Unit
StatChar

Description
The Pen used to draw the histogram line of a MACD function.


TMACDFunction.MACDExp

TMACDFunction.MACDExp
TMACDFunction

property MACDExp: TFastLineSeries;

Unit
StatChar

Description
Returns a second sub-series (of type FastLine) internally calculated by MACD function.


TMACDFunction.MACDExpPen

TMACDFunction.MACDExpPen
TMACDFunction

property MACDExpPen: TChartPen;

Unit
StatChar

Description
The pen properties used to draw the Exponential MACD line.


TMACDFunction.MACDPen

TMACDFunction.MACDPen
TMACDFunction

property MACDPen: TChartPen;

Unit
StatChar

Description
The pen properties used to draw the MACD line.


TMACDFunction.Period2

TMACDFunction.Period2
TMACDFunction

property Period2: Double;

Unit
StatChar

Description
The Period property controls how many points or X range(sse note below) will trigger a new point calculation.

For example, TAverageTeeFunction uses the Period property to calculate a new average point each time the "Period" number of points or X range(see note below) is exceed.

You may switch between number of points or X range by using the TTeeFunction.PeriodStyle property.


TMACDFunction.Period3

TMACDFunction.Period3
TMACDFunction

property Period3: Integer;

Unit
StatChar

Description
Determines the number of samples used to calculate a MACD function.


TMagnifyTool.0events

TMagnifyTool events
TMagnifyTool Legend key

Unit
TeeMagnifyTool

Derived from TRectangleTool
OnDragged
OnDragging
OnResized
OnResizing

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMagnifyTool.0methods

TMagnifyTool methods
TMagnifyTool Legend key

Unit
TeeMagnifyTool

Derived from TRectangleTool
Assign
Bitmap
ClickedEdge
Description
LongDescription

Derived from TAnnotationTool
Clicked

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMagnifyTool.0properties

TMagnifyTool properties
TMagnifyTool Legend key

Unit
TeeMagnifyTool

In TMagnifyTool
Circled
FollowMouse
Percent
Smooth
WheelZoom

Derived from TRectangleTool
AllowDrag
AllowResize
Dragging
Resizing

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMagnifyTool.Circled

TMagnifyTool.Circled
TMagnifyTool

property Circled: Boolean;

Unit
TeeMagnifyTool

Description
Default is False.

Gets or sets the drawing style of the zoomed region.

When True, the zoomed region is a circle.
When False, the zoomed region is a rectangle.


TMagnifyTool.FollowMouse

TMagnifyTool.FollowMouse
TMagnifyTool

property FollowMouse: Boolean;

Unit
TeeMagnifyTool

Description
Default is True.

When True, magnification occurs while moving the mouse, changing the zoomed region position.


TMagnifyTool.Hierarchy

Unit
TeeMagnifyTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TRectangleTool
|
TMagnifyTool

Classes derived from TMagnifyTool
(none)


TMagnifyTool.Percent

TMagnifyTool.Percent
TMagnifyTool

property Percent: Double;

Unit
TeeMagnifyTool

Description
Defines the amount of zoom in percentage from 0 to 100.


TMagnifyTool.Smooth

TMagnifyTool.Smooth
TMagnifyTool

property Smooth: Boolean;

Unit
TeeMagnifyTool

Description
Default is False.

When True, the zoomed image is displayed using a smooth resizing algorithm to soften diagonal pixels.


TMagnifyTool.WheelZoom

TMagnifyTool.WheelZoom
TMagnifyTool

property WheelZoom: Integer;

Unit
TeeMagnifyTool

Description
Determines the amount of zoom to apply when the mouse wheel is pressed.


TManySeriesTeeFunction.0events

TManySeriesTeeFunction events
TManySeriesTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TManySeriesTeeFunction.0methods

TManySeriesTeeFunction methods
TManySeriesTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TManySeriesTeeFunction.0properties

TManySeriesTeeFunction properties
TManySeriesTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TManySeriesTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TManySeriesTeeFunction

Classes derived from TManySeriesTeeFunction
TDivideTeeFunction
TMultiplyTeeFunction
TSubtractTeeFunction


TMapSeries.0events

TMapSeries events
TMapSeries Legend key

Unit
TeeMapSeries

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMapSeries.0methods

TMapSeries methods
TMapSeries Legend key

Unit
TeeMapSeries

In TMapSeries
NumSampleValues

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMapSeries.0properties

TMapSeries properties
TMapSeries Legend key

Unit
TeeMapSeries

In TMapSeries
Emboss
PointSize
Polygon
Shadow
Shapes
Transparency
Transparent

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMapSeries.Emboss

TMapSeries.Emboss
TMapSeries

property Emboss: TTeeEmboss;

Unit
TeeMapSeries

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TMapSeries.Hierarchy

Unit
TeeMapSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TMapSeries

Classes derived from TMapSeries
TWorldSeries


TMapSeries.NumSampleValues

TMapSeries.NumSampleValues
TMapSeries

function NumSampleValues: Integer; override;

Unit
TeeMapSeries

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TMapSeries.PointSize

TMapSeries.PointSize
TMapSeries

property PointSize: Integer;

Unit
TeeMapSeries

Description
Defines the size in pixels of the rectangle used to display shapes that contain just a single XY point instead of a polygon.

In certain situations, for example when displaying locations over a map such as cities, shapes aren't represented with polygons and are simple points.


TMapSeries.Polygon

TMapSeries.Polygon
TMapSeries

property Polygon[Index: Integer]: TTeePolygon;

Unit
TeeMapSeries

Description
Default array property in Map series to make easier to obtain a Map polygon object:

Series1[ 123 ].Color := clBlue ; // modify color of polygon with index 123


TMapSeries.Shadow

TMapSeries.Shadow
TMapSeries

property Shadow: TTeeShadow;

Unit
TeeMapSeries

Description
Defines the color and size of an optional dropshadow displayed behind each shape in the Map series.


TMapSeries.Shapes

TMapSeries.Shapes
TMapSeries

property Shapes: TTeePolygonList;

Unit
TeeMapSeries

Description
Returns a list of TTeePolygon objects.

Each polygon object in the list refers to a "shape" in the Map series.


TMapSeries.Transparency

TMapSeries.Transparency
TMapSeries

property Transparency: TTeeTransparency;

Unit
TeeMapSeries

Description
Defines the percentage of transparencyt used to display the shapes of Map series.


TMapSeries.Transparent

TMapSeries.Transparent
TMapSeries

property Transparent: Boolean;

Unit
TeeMapSeries

Description
When True, all shapes in the map series are set to transparent.

Returns True if all shapes in the map series are transparent and returns False if at least one of the shapes is transparent.


TMargins.0methods

TMargins methods
TMargins Legend key

Unit
TeEngine

In TMargins
Calculate
HorizSize
VertSize

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMargins.0properties

TMargins properties
TMargins Legend key

Unit
TeEngine

In TMargins
Bottom
Left
Right
Size
Top
Units


TMargins.Bottom

TMargins.Bottom
TMargins

property Bottom: Integer;

Unit
TeEngine

Description
Defines the amount of vertical bottom margin, expressed in Units.


TMargins.Calculate

TMargins.Calculate
TMargins

procedure Calculate(Const Width, Height, FontSize: Integer);

Unit
TeEngine

Description
Internal method. Prepares the internal variables.


TMargins.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TMargins

Classes derived from TMargins
(none)


TMargins.HorizSize

TMargins.HorizSize
TMargins

function HorizSize: Integer;

Unit
TeEngine

Description
Returns the effective size in pixels for the horizontal margins (Left plus Right).


TMargins.Left

TMargins.Left
TMargins

property Left: Integer;

Unit
TeEngine

Description
Defines the amount of horizontal left margin, expressed in Units.


TMargins.Right

TMargins.Right
TMargins

property Right: Integer;

Unit
TeEngine

Description
Defines the amount of horizontal right margin, expressed in Units.


TMargins.Size

TMargins.Size
TMargins

property Size: TRect;

Unit
TeEngine

Description
Returns a rectangle with the effective margins in pixels after they have been calculated using the Calculate method.


TMargins.Top

TMargins.Top
TMargins

property Top: Integer;

Unit
TeEngine

Description
Defines the amount of vertical top margin, expressed in Units.


TMargins.Units

TMargins.Units
TMargins

property Units: TMarginUnits;

Unit
TeEngine

Description
Defines how to interpret the Left, Top, Right and Bottom properties to calculate the margins.

Possible values are:

maPercentFont : Margins are calculated as percentages of the currently selected Font height of "W" character.
maPercentSize : Margins are calculated as percentages of the shape Width and Height.
maPixels : Margins aren't calculated. They are directly quantities in pixels.


TMargins.VertSize

TMargins.VertSize
TMargins

function VertSize: Integer;

Unit
TeEngine

Description
Returns the effective size in pixels for the two vertical margins (Top plus Bottom).


TMarksCallout.0methods

TMarksCallout methods
TMarksCallout Legend key

Unit
TeEngine

Derived from TSeriesPointer
Draw
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMarksCallout.0properties

TMarksCallout properties
TMarksCallout Legend key

Unit
TeEngine

In TMarksCallout
Length

Derived from TCallout
Arrow
ArrowHead
ArrowHeadSize
Distance

Derived from TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TMarksCallout.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer
|
TCallout
|
TMarksCallout

Classes derived from TMarksCallout
(none)


TMarksCallout.Length

TMarksCallout.Length
TMarksCallout

property Length: Integer;

Unit
TeEngine

Description
The amount in pixels from the series point to series mark.


TMarksItem.0methods

TMarksItem methods
TMarksItem Legend key

Unit
TeEngine

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMarksItem.0properties

TMarksItem properties
TMarksItem Legend key

Unit
TeEngine

In TMarksItem
Text

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TMarksItem.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TMarksItem

Classes derived from TMarksItem
(none)


TMarksItem.Text

TMarksItem.Text
TMarksItem

property Text: TStrings;

Unit
TeEngine

Description
Accesses to TStrings properties and methods to allow to customize a specific Mark text.


TMarksItems.0events

TMarksItems events
TMarksItems Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TMarksItems.0methods

TMarksItems methods
TMarksItems Legend key

Unit
TeEngine

In TMarksItems
Clear

Derived from TList
Add
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMarksItems.0properties

TMarksItems properties
TMarksItems Legend key

Unit
TeEngine

In TMarksItems
Format

Derived from TList
Capacity
Count
Items
List


TMarksItems.Clear

TMarksItems.Clear
TMarksItems

procedure Clear; override;

Unit
TeEngine

Description
Removes custom series mark items.


TMarksItems.Format

TMarksItems.Format
TMarksItems

property Format[Index: Integer]: TMarksItem;

Unit
TeEngine

Description
Returns the formatting class used to draw index'th series mark.


TMarksItems.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TMarksItems

Classes derived from TMarksItems
(none)


TMarksTipTool.0events

TMarksTipTool events
TMarksTipTool Legend key

Unit
TeeTools

In TMarksTipTool
OnCancelHint
OnGetText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMarksTipTool.0methods

TMarksTipTool methods
TMarksTipTool Legend key

Unit
TeeTools

In TMarksTipTool
Description
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMarksTipTool.0properties

TMarksTipTool properties
TMarksTipTool Legend key

Unit
TeeTools

In TMarksTipTool
Font
HideDelay
MouseAction
MouseDelay
Style

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMarksTipTool.Description

TMarksTipTool.Description
TMarksTipTool

function Description: String; override;

Unit
TeeTools

Description
Returns the textual description of MarksTipTool used at the Chart Editor tools gallery dialog.
( in this case returns "Mark Tips" )


TMarksTipTool.Font

TMarksTipTool.Font
TMarksTipTool

property Font: TFont;

Unit
TeeTools


TMarksTipTool.HideDelay

TMarksTipTool.HideDelay
TMarksTipTool

property HideDelay: Integer;

Unit
TeeTools

Description
Milliseconds to wait before the Mark tip disappear.


TMarksTipTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TMarksTipTool

Classes derived from TMarksTipTool
(none)


TMarksTipTool.LongDescription

TMarksTipTool.LongDescription
TMarksTipTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns a String with explanation of the MarksTip Tool.


TMarksTipTool.MouseAction

TMarksTipTool.MouseAction
TMarksTipTool

property MouseAction: TMarkToolMouseAction;

Unit
TeeTools

Description
The MouseAction property determines how the tips will be displayed:

mtmMove: Tips will be displayed when moving the mouse over a series point.

mtmClick: Tips will be displayed when clicking a series point.

See also:

MouseDelay property
Series property
Style property


TMarksTipTool.MouseDelay

TMarksTipTool.MouseDelay
TMarksTipTool

property MouseDelay: Integer;

Unit
TeeTools

Description
MouseDelay controls the amount in milleseconds to wait before displaying a tip (hint).

This property modifies the Application.HintPause property

See also:

TApplication.HintPause property


TMarksTipTool.OnCancelHint

TMarksTipTool.OnCancelHint
TMarksTipTool

property OnCancelHint: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the Hint is cancelled, for example moving the mouse out of the Series boundaries.


TMarksTipTool.OnGetText

TMarksTipTool.OnGetText
TMarksTipTool

property OnGetText: TMarksTipGetText;

Unit
TeeTools

Description
Triggered when getting text for Mark Tip. Use this event to modify the text at runtime.

Example:

procedure TMarkTipsToolDemo.ChartTool1GetText(Sender: TMarksTipTool;
var Text: String);
begin
Text:=Text + ' kilos';
end;


TMarksTipTool.Style

TMarksTipTool.Style
TMarksTipTool

property Style: TSeriesMarksStyle;

Unit
TeeTools

Description
Use Series Marks Styles to define the text format of the Mark Tip.

smsValue { 1234 }
smsPercent { 12 % }
smsLabel { Cars }
smsLabelPercent { Cars 12 % }
smsLabelValue { Cars 1234 }
smsLegend { (Legend.Style) }
smsPercentTotal { 12 % of 1234 }
smsLabelPercentTotal { Cars 12 % of 1234 }
smsXValue { 1..2..3.. or 21/6/1996 }
smsXY { 123 456 }

See also:

TSeriesMarksStyle type


TMedianTeeFunction.0events

TMedianTeeFunction events
TMedianTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMedianTeeFunction.0methods

TMedianTeeFunction methods
TMedianTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMedianTeeFunction.0properties

TMedianTeeFunction properties
TMedianTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMedianTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomSortedFunction
|
TMedianTeeFunction

Classes derived from TMedianTeeFunction
(none)


TMetafileHeader.0methods

TMetafileHeader methods
TMetafileHeader Legend key

Unit
GDIPAPI

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMetafileHeader.Hierarchy

Unit
GDIPAPI

Hierarchy

TObject
|
TMetafileHeader

Classes derived from TMetafileHeader
(none)


TMirrorFilter.0events

TMirrorFilter events
TMirrorFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TMirrorFilter.0methods

TMirrorFilter methods
TMirrorFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMirrorFilter.0properties

TMirrorFilter properties
TMirrorFilter Legend key

Unit
TeeFilters

In TMirrorFilter
Direction

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TMirrorFilter.Direction

TMirrorFilter.Direction
TMirrorFilter

property Direction: TMirrorDirection;

Unit
TeeFilters

Description
Direction used to generate the mirrored image.

TMirrorDirection :

mdDown
mdUp
mdRight
mdLeft


TMirrorFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TMirrorFilter

Classes derived from TMirrorFilter
(none)


TModeTeeFunction.0events

TModeTeeFunction events
TModeTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TModeTeeFunction.0methods

TModeTeeFunction methods
TModeTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TModeTeeFunction.0properties

TModeTeeFunction properties
TModeTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TModeTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomSortedFunction
|
TModeTeeFunction

Classes derived from TModeTeeFunction
(none)


TMomentumDivFunction.0events

TMomentumDivFunction events
TMomentumDivFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMomentumDivFunction.0methods

TMomentumDivFunction methods
TMomentumDivFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMomentumDivFunction.0properties

TMomentumDivFunction properties
TMomentumDivFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMomentumDivFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TMomentumDivFunction

Classes derived from TMomentumDivFunction
(none)


TMomentumFunction.0events

TMomentumFunction events
TMomentumFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMomentumFunction.0methods

TMomentumFunction methods
TMomentumFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMomentumFunction.0properties

TMomentumFunction properties
TMomentumFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMomentumFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TMomentumFunction

Classes derived from TMomentumFunction
(none)


TMoneyFlowFunction.0events

TMoneyFlowFunction events
TMoneyFlowFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMoneyFlowFunction.0methods

TMoneyFlowFunction methods
TMoneyFlowFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMoneyFlowFunction.0properties

TMoneyFlowFunction properties
TMoneyFlowFunction Legend key

Unit
StatChar

In TMoneyFlowFunction
AreaPen
CMFStyle
DownColor
HistogramPen
UpColor

Derived from TCLVFunction
Accumulate
Volume

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMoneyFlowFunction.AreaPen

TMoneyFlowFunction.AreaPen
TMoneyFlowFunction

property AreaPen: TChartPen;

Unit
StatChar

Description
Determines the pen properties to paint when CMFStlye is set to Area.


TMoneyFlowFunction.CMFStyle

TMoneyFlowFunction.CMFStyle
TMoneyFlowFunction

property CMFStyle: TCMFStyle;

Unit
StatChar

Description
Sets the Style of the MoneyFlow function.
Choose between Line, Area, Volume or Histogram.


TMoneyFlowFunction.DownColor

TMoneyFlowFunction.DownColor
TMoneyFlowFunction

property DownColor: TColor;

Unit
StatChar

Description
Sets the colour used to paint the downward price changes.


TMoneyFlowFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCLVFunction
|
TMoneyFlowFunction

Classes derived from TMoneyFlowFunction
(none)


TMoneyFlowFunction.HistogramPen

TMoneyFlowFunction.HistogramPen
TMoneyFlowFunction

property HistogramPen: TChartPen;

Unit
StatChar

Description
Defines the Pen used to draw the border of the Histogram


TMoneyFlowFunction.UpColor

TMoneyFlowFunction.UpColor
TMoneyFlowFunction

property UpColor: TColor;

Unit
StatChar

Description
Sets the colour to paint the upward price changes.


TMosaicFilter.0events

TMosaicFilter events
TMosaicFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TMosaicFilter.0methods

TMosaicFilter methods
TMosaicFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMosaicFilter.0properties

TMosaicFilter properties
TMosaicFilter Legend key

Unit
TeeFilters

Derived from TAmountFilter
Amount
Percent

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TMosaicFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TAmountFilter
|
TMosaicFilter

Classes derived from TMosaicFilter
(none)


TMouseLeaveEvent.0methods

TMouseLeaveEvent methods
TMouseLeaveEvent Legend key

Unit
TeeProcs

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMouseLeaveEvent.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TTeeEvent
|
TMouseLeaveEvent

Classes derived from TMouseLeaveEvent
(none)


TMovingAverageFunction.0events

TMovingAverageFunction events
TMovingAverageFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMovingAverageFunction.0methods

TMovingAverageFunction methods
TMovingAverageFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMovingAverageFunction.0properties

TMovingAverageFunction properties
TMovingAverageFunction Legend key

Unit
StatChar

In TMovingAverageFunction
Weighted
WeightedIndex

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMovingAverageFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TMovingAverageFunction

Classes derived from TMovingAverageFunction
(none)


TMovingAverageFunction.Weighted

TMovingAverageFunction.Weighted
TMovingAverageFunction

property Weighted: Boolean;

Unit
StatChar

Description
Default Value: False

The Weighted property controls if the moving average points will be calculated using or not the corresponding X point values.

When False, (the default), the average is calculated as the simple sum of Y values divided by the number of points.

When True, each Y value is first multiplied by it's X value and the total sum is divided by the sum of all X point values.


TMovingAverageFunction.WeightedIndex

TMovingAverageFunction.WeightedIndex
TMovingAverageFunction

property WeightedIndex: Boolean;

Unit
StatChar

Description
Set WeightedIndex to true to calculate the Moving Average using the source points index as the "weight".

This differs than using the Weighted property, in which the Weighted property uses the points "X" value as the weight instead of the points index.

See also:

Weighted property


TMultiplyTeeFunction.0events

TMultiplyTeeFunction events
TMultiplyTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMultiplyTeeFunction.0methods

TMultiplyTeeFunction methods
TMultiplyTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMultiplyTeeFunction.0properties

TMultiplyTeeFunction properties
TMultiplyTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMultiplyTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TManySeriesTeeFunction
|
TMultiplyTeeFunction

Classes derived from TMultiplyTeeFunction
(none)


TMultiTimer.0events

TMultiTimer events
TMultiTimer Legend key

Unit
TeeAnimate

Derived from TList
Capacity
Count
Items
List


TMultiTimer.0methods

TMultiTimer methods
TMultiTimer Legend key

Unit
TeeAnimate

In TMultiTimer
AddEvent
ChangeInterval
EnableEvent
IndexOfEvent
RemoveEvent
TryToEnable

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TMultiTimer.0properties

TMultiTimer properties
TMultiTimer Legend key

Unit
TeeAnimate

Derived from TList
Capacity
Count
Items
List


TMultiTimer.AddEvent

TMultiTimer.AddEvent
TMultiTimer

procedure AddEvent(AEvent: TNotifyEvent; AEnabled: TTimerEnabled; Interval: Cardinal; DoRepeat: Boolean; Source: TObject; Const Data: String);

Unit
TeeAnimate


TMultiTimer.ChangeInterval

TMultiTimer.ChangeInterval
TMultiTimer

procedure ChangeInterval(AEvent: TNotifyEvent; AInterval: Cardinal);

Unit
TeeAnimate


TMultiTimer.EnableEvent

TMultiTimer.EnableEvent
TMultiTimer

procedure EnableEvent(AEvent: TNotifyEvent; AEnable: Boolean);

Unit
TeeAnimate


TMultiTimer.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TList
|
TMultiTimer

Classes derived from TMultiTimer
(none)


TMultiTimer.IndexOfEvent

TMultiTimer.IndexOfEvent
TMultiTimer

function IndexOfEvent(AEvent: TNotifyEvent): Integer;

Unit
TeeAnimate


TMultiTimer.RemoveEvent

TMultiTimer.RemoveEvent
TMultiTimer

procedure RemoveEvent(AEvent: TNotifyEvent);

Unit
TeeAnimate


TMultiTimer.TryToEnable

TMultiTimer.TryToEnable
TMultiTimer

procedure TryToEnable;

Unit
TeeAnimate


TMyPointSeries.0events

TMyPointSeries events
TMyPointSeries Legend key

Unit
MyPoint

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMyPointSeries.0methods

TMyPointSeries methods
TMyPointSeries Legend key

Unit
MyPoint

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TMyPointSeries.0properties

TMyPointSeries properties
TMyPointSeries Legend key

Unit
MyPoint

In TMyPointSeries
LinesPen

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TMyPointSeries.Hierarchy

Unit
MyPoint

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries
|
TMyPointSeries

Classes derived from TMyPointSeries
(none)


TMyPointSeries.LinesPen

TMyPointSeries.LinesPen
TMyPointSeries

property LinesPen: TChartPen;

Unit
MyPoint

Description
Read LinesPen to obtain the TChartPen object that represents the color and style of the lines used to draw a line from the horizontal and vertical axis to every point. Use the properties of LinesPen to change the color or style.


TNearestTool.0events

TNearestTool events
TNearestTool Legend key

Unit
TeeTools

In TNearestTool
OnChange

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNearestTool.0methods

TNearestTool methods
TNearestTool Legend key

Unit
TeeTools

In TNearestTool
Description
GetNearestPoint
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TNearestTool.0properties

TNearestTool properties
TNearestTool Legend key

Unit
TeeTools

In TNearestTool
DrawLine
FullRepaint
LinePen
Size
Style

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNearestTool.Description

TNearestTool.Description
TNearestTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Nearest'.


TNearestTool.DrawLine

TNearestTool.DrawLine
TNearestTool

property DrawLine: Boolean;

Unit
TeeTools

Description
Default value is True

Set this property to True if a temporary line has to be drawn from the mouse coordinates to the nearest point.

The Pen property is used to draw the line.


TNearestTool.FullRepaint

TNearestTool.FullRepaint
TNearestTool

property FullRepaint: Boolean;

Unit
TeeTools

Description
Default True

When FullRepaint is True, the whole chart is repainted when moving the mouse from one series point to another.

When FullRepaint is False, moving the mouse within series points will display the shape much faster using temporary drawings.


TNearestTool.GetNearestPoint

TNearestTool.GetNearestPoint
TNearestTool

function GetNearestPoint(Series: TChartSeries; x, y: Integer): Integer; overload;

Unit
TeeTools

Description
Returns the value index of the point in Series that is displayed more close to the XY parameter coordinates.


TNearestTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TNearestTool

Classes derived from TNearestTool
(none)


TNearestTool.LinePen

TNearestTool.LinePen
TNearestTool

property LinePen: TChartPen;

Unit
TeeTools

Description
Pen used to draw the line from the mouse cursor position to the nearest point in the series.


TNearestTool.LongDescription

TNearestTool.LongDescription
TNearestTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns a String with the explanation of the Nearest Tool.


TNearestTool.OnChange

TNearestTool.OnChange
TNearestTool

property OnChange: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the nearest tool changes from one series point to another.

It happens when the end user is moving the mouse inside the chart.


TNearestTool.Size

TNearestTool.Size
TNearestTool

property Size: Integer;

Unit
TeeTools

Description
Default value is 20

Set the Size property (in pixels) to define the size of the NearestTool shape.

The Pen and Brush properties are used to draw the shape.

See also:

Style property
DrawLine property
FullRepaint property


TNearestTool.Style

TNearestTool.Style
TNearestTool

property Style: TNearestToolStyle;

Unit
TeeTools

Description
Set the style property to indicate the shape of the NearestTool.

These are the possible values of Style:

hsNone No shape is drawn.
hsCircle Shape is a circle.
hsRectangle Shape is a rectangle.
hsDiamond Shape is a diamond.

Example:

ChartTool1.Style := hsDiamond;

See also:

Size property
FullRepaint property


TNumberAnimation.0events

TNumberAnimation events
TNumberAnimation Legend key

Unit
TeeAnimate

Derived from TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNumberAnimation.0methods

TNumberAnimation methods
TNumberAnimation Legend key

Unit
TeeAnimate

In TNumberAnimation
CurveValue
EditorClass
EndAnimation
HasLink
Play

Derived from TPropertyAnimation
EditorName
Fixup
IsEnabled

Derived from TAnimation
Continue
Description
EndFrame
GetParentComponent
HasParent
Index
IsValidSource
Pause
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TNumberAnimation.0properties

TNumberAnimation properties
TNumberAnimation Legend key

Unit
TeeAnimate

In TNumberAnimation
Curve
EndLink
EndValue
InitStart
StartLink
StartValue
Value

Derived from TRangePropertyAnimation
KeepEndValue
UseEndValue
UseStartValue

Derived from TPropertyAnimation
Instance
PropertyName

Derived from TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNumberAnimation.Curve

TNumberAnimation.Curve
TNumberAnimation

property Curve: TAnimationCurve;

Unit
TeeAnimate


TNumberAnimation.CurveValue

TNumberAnimation.CurveValue
TNumberAnimation

function CurveValue(Frame: Integer): Double;

Unit
TeeAnimate


TNumberAnimation.EditorClass

TNumberAnimation.EditorClass
TNumberAnimation

function EditorClass: String; override;

Unit
TeeAnimate

Description
Returns the class name of the TForm associated editor dialog for this TNumberAnimation object.

Series and Tools override this function to return their own custom editor dialog.


TNumberAnimation.EndAnimation

TNumberAnimation.EndAnimation
TNumberAnimation

function EndAnimation: Boolean; override;

Unit
TeeAnimate

Description
Ends the animation


TNumberAnimation.EndLink

TNumberAnimation.EndLink
TNumberAnimation

property EndLink: TPropertyLink;

Unit
TeeAnimate


TNumberAnimation.EndValue

TNumberAnimation.EndValue
TNumberAnimation

property EndValue: Double;

Unit
TeeAnimate

Description
\sa\sl\slmultGets or sets the End value of the animation.


TNumberAnimation.HasLink

TNumberAnimation.HasLink
TNumberAnimation

function HasLink(ALink: TPropertyLink): Boolean;

Unit
TeeAnimate


TNumberAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation
|
TPropertyAnimation
|
TRangePropertyAnimation
|
TNumberAnimation

Classes derived from TNumberAnimation
TColorsAnimation
TSinusAnimation


TNumberAnimation.InitStart

TNumberAnimation.InitStart
TNumberAnimation

property InitStart: Boolean;

Unit
TeeAnimate


TNumberAnimation.Play

TNumberAnimation.Play
TNumberAnimation

procedure Play; override;

Unit
TeeAnimate

Description
Method to play the Numeric Animation


TNumberAnimation.StartLink

TNumberAnimation.StartLink
TNumberAnimation

property StartLink: TPropertyLink;

Unit
TeeAnimate


TNumberAnimation.StartValue

TNumberAnimation.StartValue
TNumberAnimation

property StartValue: Double;

Unit
TeeAnimate

Description
\sa\sl\slmultGets or sets the start value of the animation.


TNumberAnimation.Value

TNumberAnimation.Value
TNumberAnimation

property Value: Double;

Unit
TeeAnimate


TNumericGauge.0events

TNumericGauge events
TNumericGauge Legend key

Unit
TeeNumericGauge

Derived from TCustomGauge
OnChange

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNumericGauge.0methods

TNumericGauge methods
TNumericGauge Legend key

Unit
TeeNumericGauge

In TNumericGauge
NumSampleValues

Derived from TCustomGauge
GetPaletteColor

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TNumericGauge.0properties

TNumericGauge properties
TNumericGauge Legend key

Unit
TeeNumericGauge

In TNumericGauge
DigitalFont
Embedded
Markers
TextMarker
UnitsMarker
ValueMarker

Derived from TCustomGauge
CustomBounds
Face
Frame
Value

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNumericGauge.DigitalFont

TNumericGauge.DigitalFont
TNumericGauge

property DigitalFont: TDigitalFont;

Unit
TeeNumericGauge

Description
Gets or sets the default font used to display Markers.


TNumericGauge.Embedded

TNumericGauge.Embedded
TNumericGauge

property Embedded: Boolean;

Unit
TeeNumericGauge

Description
Set Embedded to true to embed the NumericGauge.


TNumericGauge.Hierarchy

Unit
TeeNumericGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomGauge
|
TNumericGauge

Classes derived from TNumericGauge
(none)


TNumericGauge.Markers

TNumericGauge.Markers
TNumericGauge

property Markers: TNumericMarkers;

Unit
TeeNumericGauge

Description
Collection of individual texts to display inside the numeric gauge.


TNumericGauge.NumSampleValues

TNumericGauge.NumSampleValues
TNumericGauge

function NumSampleValues: Integer; override;

Unit
TeeNumericGauge

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TNumericGauge.TextMarker

TNumericGauge.TextMarker
TNumericGauge

property TextMarker: TNumericMarker;

Unit
TeeNumericGauge

Description
Default marker created by TNumericGauge and positioned at left-top of area.


TNumericGauge.UnitsMarker

TNumericGauge.UnitsMarker
TNumericGauge

property UnitsMarker: TNumericMarker;

Unit
TeeNumericGauge

Description
Default marker created by TNumericGauge and positioned at left-bottom of area.


TNumericGauge.ValueMarker

TNumericGauge.ValueMarker
TNumericGauge

property ValueMarker: TNumericMarker;

Unit
TeeNumericGauge

Description
Default marker created by TNumericGauge and positioned at center of area.


TNumericMarker.0events

TNumericMarker events
TNumericMarker Legend key

Unit
TeeNumericGauge

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNumericMarker.0methods

TNumericMarker methods
TNumericMarker Legend key

Unit
TeeNumericGauge

Derived from TAnnotationTool
Clicked
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TNumericMarker.0properties

TNumericMarker properties
TNumericMarker Legend key

Unit
TeeNumericGauge

In TNumericMarker
Gauge

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TNumericMarker.Gauge

TNumericMarker.Gauge
TNumericMarker

property Gauge: TNumericGauge;

Unit
TeeNumericGauge

Description
Returns the gauge that owns this marker.


TNumericMarker.Hierarchy

Unit
TeeNumericGauge

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TNumericMarker

Classes derived from TNumericMarker
(none)


TNumericMarkers.0events

TNumericMarkers events
TNumericMarkers Legend key

Unit
TeeNumericGauge

Derived from TList
Capacity
Count
Items
List


TNumericMarkers.0methods

TNumericMarkers methods
TNumericMarkers Legend key

Unit
TeeNumericGauge

In TNumericMarkers
Add

Derived from TChartTools
Clear

Derived from TList
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TNumericMarkers.0properties

TNumericMarkers properties
TNumericMarkers Legend key

Unit
TeeNumericGauge

In TNumericMarkers
Items

Derived from TChartTools
Active

Derived from TList
Capacity
Count
List


TNumericMarkers.Add

TNumericMarkers.Add
TNumericMarkers

function Add(Const AText: String): TNumericMarker; overload;

Unit
TeeNumericGauge

Description
Adds a new marker to a numeric gauge Markers collection.

FontColor and ShapeColor parameters are indexes inside the GaugeColorPalette array of the gauge.


TNumericMarkers.Hierarchy

Unit
TeeNumericGauge

Hierarchy

TObject
|
TList
|
TChartTools
|
TNumericMarkers

Classes derived from TNumericMarkers
(none)


TNumericMarkers.Items

TNumericMarkers.Items
TNumericMarkers

property Items[Index: Integer]: TNumericMarker;

Unit
TeeNumericGauge

Description
Returns the index'th numeric marker inside the collection.


TNumericShape.0methods

TNumericShape methods
TNumericShape Legend key

Unit
TeeNumericGauge

Derived from TTextShape
DrawText

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TNumericShape.0properties

TNumericShape properties
TNumericShape Legend key

Unit
TeeNumericGauge

Derived from TTextShape
AutoSize
ClipText
Cursor
Margins
Text
TextAlignment

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TNumericShape.Hierarchy

Unit
TeeNumericGauge

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TTeeShapePosition
|
TTextShape
|
TNumericShape

Classes derived from TNumericShape
(none)


TObjectInspector.0events

TObjectInspector events
TObjectInspector Legend key

Unit
TeeObjectInspector

In TObjectInspector
OnChange
OnFilter

Derived from TTeeInspector
OnExpandCollapse

Derived from TStringGrid
Cells
Cols
Objects
Rows

Derived from TCustomDrawGrid
OnColumnMoved
OnDrawCell
OnGetEditMask
OnGetEditText
OnRowMoved
OnSelectCell
OnSetEditText
OnTopLeftChanged

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TObjectInspector.0methods

TObjectInspector methods
TObjectInspector Legend key

Unit
TeeObjectInspector

In TObjectInspector
Inspect

Derived from TTeeInspector
Clear
Rebuild
SetProperties

Derived from TStringGrid
ColumnMoved
Create
Destroy
DisableEditUpdate
DrawCell
EnableEditUpdate
EnsureColRow
EnsureDataRow
GetCells
GetCols
GetEditText
GetObjects
GetRows
Initialize
RowMoved
SetCells
SetCols
SetEditText
SetObjects
SetRows
SetUpdateState
Update

Derived from TCustomDrawGrid
CellRect
GetEditMask
MouseToCell
SelectCell
TopLeftChanged

Derived from TCustomGrid
AdjustSize
BeginColumnDrag
BeginRowDrag
BoxRect
CalcCoordFromPoint
CalcDrawInfo
CalcDrawInfoXY
CalcFixedInfo
CalcMaxTopLeft
CalcSizingState
CancelMode
CanEditAcceptKey
CanEditModify
CanEditShow
CanGridAcceptKey
ChangeGridOrientation
ChangeSize
CheckColumnDrag
CheckRowDrag
ClampInView
CMCancelMode
CMCtl3DChanged
CMDesignHitTest
CMFontChanged
CMShowingChanged
CMWantSpecialKey
ColWidthsChanged
CreateEditor
CreateParams
DefineProperties
DeleteColumn
DeleteRow
DoExit
DoMouseWheelDown
DoMouseWheelUp
DrawMove
DrawSizingLine
EndColumnDrag
EndRowDrag
FocusCell
GetColWidths
GetEditLimit
GetEditStyle
GetGridHeight
GetGridWidth
GetRowHeights
GetSelection
GetTabStops
GetVisibleColCount
GetVisibleRowCount
GridRectToScreenRect
HideEdit
HideEditor
InvalidateCell
InvalidateCol
InvalidateEditor
InvalidateGrid
InvalidateRect
InvalidateRow
IsActiveControl
KeyDown
KeyPress
ModifyScrollBar
MouseCoord
MouseDown
MouseMove
MouseUp
MoveAdjust
MoveAnchor
MoveAndScroll
MoveColRow
MoveColumn
MoveCurrent
MoveRow
MoveTopLeft
Paint
ReadColWidths
ReadRowHeights
ResizeCol
ResizeRow
RowHeightsChanged
ScrollData
ScrollDataInfo
SelectionMoved
SetBorderStyle
SetCol
SetColCount
SetColWidths
SetDefaultColWidth
SetDefaultRowHeight
SetEditorMode
SetFixedColor
SetFixedCols
SetFixedRows
SetGridLineWidth
SetLeftCol
SetOptions
SetRow
SetRowCount
SetRowHeights
SetScrollBars
SetSelection
SetTabStops
SetTopRow
ShowEditor
ShowEditorChar
SizeChanged
Sizing
TimedScroll
TopLeftMoved
UpdateDesigner
UpdateEdit
UpdateScrollPos
UpdateScrollRange
UpdateText
WMCancelMode
WMChar
WMCommand
WMGetDlgCode
WMHScroll
WMKillFocus
WMLButtonDown
WMNCHitTest
WMSetCursor
WMSetFocus
WMSize
WMTimer
WMVScroll
WriteColWidths
WriteRowHeights

Derived from TCustomControl
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMLButtonDblClk
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TObjectInspector.0properties

TObjectInspector properties
TObjectInspector Legend key

Unit
TeeObjectInspector

Derived from TTeeInspector
Header
Items

Derived from TStringGrid
Cells
Cols
Objects
Rows

Derived from TCustomDrawGrid
OnColumnMoved
OnDrawCell
OnGetEditMask
OnGetEditText
OnRowMoved
OnSelectCell
OnSetEditText
OnTopLeftChanged

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TObjectInspector.Hierarchy

Unit
TeeObjectInspector

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomGrid
|
TCustomDrawGrid
|
TDrawGrid
|
TStringGrid
|
TTeeInspector
|
TObjectInspector

Classes derived from TObjectInspector
(none)


TObjectInspector.Inspect

TObjectInspector.Inspect
TObjectInspector

procedure Inspect(O: TPersistent);

Unit
TeeObjectInspector


TObjectInspector.OnChange

TObjectInspector.OnChange
TObjectInspector

property OnChange: TInspectorChange;

Unit
TeeObjectInspector


TObjectInspector.OnFilter

TObjectInspector.OnFilter
TObjectInspector

property OnFilter: TInspectorFilter;

Unit
TeeObjectInspector


TOBVFunction.0events

TOBVFunction events
TOBVFunction Legend key

Unit
TeeOBVFunction

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOBVFunction.0methods

TOBVFunction methods
TOBVFunction Legend key

Unit
TeeOBVFunction

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TOBVFunction.0properties

TOBVFunction properties
TOBVFunction Legend key

Unit
TeeOBVFunction

In TOBVFunction
Volume

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOBVFunction.Hierarchy

Unit
TeeOBVFunction

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TOBVFunction

Classes derived from TOBVFunction
(none)


TOBVFunction.Volume

TOBVFunction.Volume
TOBVFunction

property Volume: TChartSeries;

Unit
TeeOBVFunction

Description
Set Volume property to the series to use to add or subtract values.

See OBV function for an explanation.


TOHLCSeries.0events

TOHLCSeries events
TOHLCSeries Legend key

Unit
OHLChart

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOHLCSeries.0methods

TOHLCSeries methods
TOHLCSeries Legend key

Unit
OHLChart

In TOHLCSeries
AddOHLC
GetRandomOHLC
IsValidSourceOf
MaxYValue
MinYValue
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TOHLCSeries.0properties

TOHLCSeries properties
TOHLCSeries Legend key

Unit
OHLChart

In TOHLCSeries
CloseValues
DateValues
HighValues
LowValues
OpenValues

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOHLCSeries.AddOHLC

TOHLCSeries.AddOHLC
TOHLCSeries

function AddOHLC(Const ADate: TDateTime; Const AOpen, AHigh, ALow, AClose: Double; Const ALabel: String; AColor: TColor): Integer; overload;

Unit
OHLChart

Description
The AddOHLC function appends a new Stock Market point to the Series. This function returns the corresponding point index for the new added point.

We recommend that you should use the TCandleSeries.AddCandle. method in place of this method.


TOHLCSeries.CloseValues

TOHLCSeries.CloseValues
TOHLCSeries

property CloseValues: TChartValueList;

Unit
OHLChart

Description
The CloseValues property is used to store all Stock market Close values.

You can access Close values in the same way you can access X or Y values.


TOHLCSeries.DateValues

TOHLCSeries.DateValues
TOHLCSeries

property DateValues: TChartValueList;

Unit
OHLChart

Description
The DateValues property is used to store all Stock market Date values. You can access Date values in the same way you can access X or Y values.


TOHLCSeries.GetRandomOHLC

TOHLCSeries.GetRandomOHLC
TOHLCSeries

procedure GetRandomOHLC(AOpen: Double; Var AClose, AHigh, ALow: Double; Const YRange: Double);

Unit
OHLChart

Description
Returns random values for Close, High and Low parameters given an Open value and a maximum range between High and Low.

This method is internally used when filling sample values into the series.


TOHLCSeries.Hierarchy

Unit
OHLChart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TOHLCSeries

Classes derived from TOHLCSeries
TCandleSeries
TPointFigureSeries


TOHLCSeries.HighValues

TOHLCSeries.HighValues
TOHLCSeries

property HighValues: TChartValueList;

Unit
OHLChart

Description
The HighValues property is used to store all Stock market High values. You can access High values in the same way you can access X or Y values.


TOHLCSeries.IsValidSourceOf

TOHLCSeries.IsValidSourceOf
TOHLCSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
OHLChart

Description
The IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.


TOHLCSeries.LowValues

TOHLCSeries.LowValues
TOHLCSeries

property LowValues: TChartValueList;

Unit
OHLChart

Description
The LowValues property is used to store all Stock market Low values. You can access Low values in the same way you can access X or Y values.


TOHLCSeries.MaxYValue

TOHLCSeries.MaxYValue
TOHLCSeries

function MaxYValue: Double; override;

Unit
OHLChart

Description
Returns the highest value of the Open, Close and High values list.


TOHLCSeries.MinYValue

TOHLCSeries.MinYValue
TOHLCSeries

function MinYValue: Double; override;

Unit
OHLChart

Description
Returns the lowest value of the Open, Close and Low values list


TOHLCSeries.NumSampleValues

TOHLCSeries.NumSampleValues
TOHLCSeries

function NumSampleValues: Integer; override;

Unit
OHLChart

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TOHLCSeries.OpenValues

TOHLCSeries.OpenValues
TOHLCSeries

property OpenValues: TChartValueList;

Unit
OHLChart

Description
The OpenValues property is used to store all Stock market Open values.

You can access Open values in the same way you can access X or Y values.


TOperaTheme.0methods

TOperaTheme methods
TOperaTheme Legend key

Unit
TeeThemes

In TOperaTheme
Description

Derived from TDefaultTheme
Apply

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TOperaTheme.Description

TOperaTheme.Description
TOperaTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Opera"


TOperaTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TOperaTheme

Classes derived from TOperaTheme
TBlackIsBackTheme


TOptionsForm.0events

TOptionsForm events
TOptionsForm Legend key

Unit
TeeDesignOptions

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOptionsForm.0methods

TOptionsForm methods
TOptionsForm Legend key

Unit
TeeDesignOptions

In TOptionsForm
FormResize
Save

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TOptionsForm.0properties

TOptionsForm properties
TOptionsForm Legend key

Unit
TeeDesignOptions

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOptionsForm.FormResize

TOptionsForm.FormResize
TOptionsForm

procedure FormResize(Sender: TObject);

Unit
TeeDesignOptions


TOptionsForm.Hierarchy

Unit
TeeDesignOptions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TOptionsForm

Classes derived from TOptionsForm
(none)


TOptionsForm.Save

TOptionsForm.Save
TOptionsForm

procedure Save;

Unit
TeeDesignOptions


TOrgItem.0events

TOrgItem events
TOrgItem Legend key

Unit
TeeOrgSeries

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TOrgItem.0methods

TOrgItem methods
TOrgItem Legend key

Unit
TeeOrgSeries

In TOrgItem
AddBrother
AddChild
Level
Parent
RemoveFormat
Series

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TOrgItem.0properties

TOrgItem properties
TOrgItem Legend key

Unit
TeeOrgSeries

In TOrgItem
Format
Height
Superior
Text
Width

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TOrgItem.AddBrother

TOrgItem.AddBrother
TOrgItem

function AddBrother(Const Text: String): TOrgItem;

Unit
TeeOrgSeries

Description
Creates and returns a new item with the specified text parameter.
This new item is assigned to the same Superior value.

See also: AddChild method.


TOrgItem.AddChild

TOrgItem.AddChild
TOrgItem

function AddChild(Const Text: String): TOrgItem;

Unit
TeeOrgSeries

Description
Creates and returns a new item with the specified text parameter.
This new item Superior is assigned to this item index, so this item is the parent of the newly created item.

See also: AddBrother method.


TOrgItem.Format

TOrgItem.Format
TOrgItem

property Format: TOrgShape;

Unit
TeeOrgSeries

Description
Gets the visual attributes used to draw the item text.

(Font, Color, Brush, Gradient, etc, etc)


TOrgItem.Height

TOrgItem.Height
TOrgItem

property Height: Integer;

Unit
TeeOrgSeries


TOrgItem.Hierarchy

Unit
TeeOrgSeries

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TOrgItem

Classes derived from TOrgItem
TTreeMapItem


TOrgItem.Level

TOrgItem.Level
TOrgItem

function Level: Integer;

Unit
TeeOrgSeries


TOrgItem.Parent

TOrgItem.Parent
TOrgItem

function Parent: TOrgItem;

Unit
TeeOrgSeries


TOrgItem.RemoveFormat

TOrgItem.RemoveFormat
TOrgItem

procedure RemoveFormat;

Unit
TeeOrgSeries


TOrgItem.Series

TOrgItem.Series
TOrgItem

function Series: TCustomOrgSeries;

Unit
TeeOrgSeries

Description
Returns the TOrgSeries that owns and displays this item.


TOrgItem.Superior

TOrgItem.Superior
TOrgItem

property Superior: Integer;

Unit
TeeOrgSeries

Description
Gets or sets the index of the item that is the "parent" of this item.

When Superior value is -1 it means it has no parent item and so it is displayed on top of chart.


TOrgItem.Text

TOrgItem.Text
TOrgItem

property Text: String;

Unit
TeeOrgSeries

Description
Gets or sets the text to display inside the item rectangle.


TOrgItem.Width

TOrgItem.Width
TOrgItem

property Width: Integer;

Unit
TeeOrgSeries


TOrgItemCollection.0events

TOrgItemCollection events
TOrgItemCollection Legend key

Unit
TeeOrgSeries

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TOrgItemCollection.0methods

TOrgItemCollection methods
TOrgItemCollection Legend key

Unit
TeeOrgSeries

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TOrgItemCollection.0properties

TOrgItemCollection properties
TOrgItemCollection Legend key

Unit
TeeOrgSeries

In TOrgItemCollection
Items

Derived from TCollection
Count
ItemClass
NextID
PropName
UpdateCount


TOrgItemCollection.Hierarchy

Unit
TeeOrgSeries

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TOrgItemCollection

Classes derived from TOrgItemCollection
(none)


TOrgItemCollection.Items

TOrgItemCollection.Items
TOrgItemCollection

property Items[Index: Integer]: TOrgItem;

Unit
TeeOrgSeries

Description
Returns the item at the given index'th position.


TOrgSeries.0events

TOrgSeries events
TOrgSeries Legend key

Unit
TeeOrgSeries

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOrgSeries.0methods

TOrgSeries methods
TOrgSeries Legend key

Unit
TeeOrgSeries

Derived from TCustomOrgSeries
CalcXPos
CalcYPos
Clicked
Delete
FirstChild
IsValidSourceOf
MaxLevels
SwapValueIndex
UseAxis

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TOrgSeries.0properties

TOrgSeries properties
TOrgSeries Legend key

Unit
TeeOrgSeries

In TOrgSeries
LineStyle

Derived from TCustomOrgSeries
Bounds
Format
Item
Items
Spacing

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TOrgSeries.Hierarchy

Unit
TeeOrgSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomOrgSeries
|
TOrgSeries

Classes derived from TOrgSeries
TTreeMapSeries


TOrgSeries.LineStyle

TOrgSeries.LineStyle
TOrgSeries

property LineStyle: TOrgLineStyle;

Unit
TeeOrgSeries

Description
Gets or sets the style of lines to draw between item superiors and their child items.

Default is: lsSquared


TOrgShape.0methods

TOrgShape methods
TOrgShape Legend key

Unit
TeeOrgSeries

Derived from TTextShape
DrawText

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TOrgShape.0properties

TOrgShape properties
TOrgShape Legend key

Unit
TeeOrgSeries

Derived from TTextShape
AutoSize
ClipText
Cursor
Margins
Text
TextAlignment

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TOrgShape.Hierarchy

Unit
TeeOrgSeries

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TTeeShapePosition
|
TTextShape
|
TOrgShape

Classes derived from TOrgShape
(none)


TPageNumTool.0events

TPageNumTool events
TPageNumTool Legend key

Unit
TeePageNumTool

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPageNumTool.0methods

TPageNumTool methods
TPageNumTool Legend key

Unit
TeePageNumTool

In TPageNumTool
LongDescription

Derived from TAnnotationTool
Clicked
Description

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPageNumTool.0properties

TPageNumTool properties
TPageNumTool Legend key

Unit
TeePageNumTool

In TPageNumTool
ButtonPen
ButtonWidth
DisabledButton
EnabledButton
Format
ShowButtons

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPageNumTool.ButtonPen

TPageNumTool.ButtonPen
TPageNumTool

property ButtonPen: TChartPen;

Unit
TeePageNumTool

Description
Defines the pen properties used to paint a border around the small left and right arrow buttons inside the tool rectangle.


TPageNumTool.ButtonWidth

TPageNumTool.ButtonWidth
TPageNumTool

property ButtonWidth: Integer;

Unit
TeePageNumTool

Description
Determines the size in pixels of the two small left and right triangle buttons inside the tool rectangle.


TPageNumTool.DisabledButton

TPageNumTool.DisabledButton
TPageNumTool

property DisabledButton: TTeeGradient;

Unit
TeePageNumTool

Description
Gradient settings used to paint the interior of the two small left and right triangle buttons, when they are disabled.


TPageNumTool.EnabledButton

TPageNumTool.EnabledButton
TPageNumTool

property EnabledButton: TTeeGradient;

Unit
TeePageNumTool

Description
Gradient settings used to paint the interior of the two small left and right triangle buttons, when they are enabled.


TPageNumTool.Format

TPageNumTool.Format
TPageNumTool

property Format: String;

Unit
TeePageNumTool

Description
Corresponds to the string text used to format the Page Number annotation.

By default (in English language) is "Page %d of %d"

See VCL Format function for more information about formatting strings.


TPageNumTool.Hierarchy

Unit
TeePageNumTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TPageNumTool

Classes derived from TPageNumTool
(none)


TPageNumTool.LongDescription

TPageNumTool.LongDescription
TPageNumTool

function LongDescription: String; override;

Unit
TeePageNumTool

Description
Returns a String with explanation of the PageNum Tool.


TPageNumTool.ShowButtons

TPageNumTool.ShowButtons
TPageNumTool

property ShowButtons: Boolean;

Unit
TeePageNumTool

Description
Default : True

Setting it to "False" will hide the arrow buttons which allow the user to change the active page with just a click.


TPathData.0methods

TPathData methods
TPathData Legend key

Unit
GDIPAPI

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPathData.Hierarchy

Unit
GDIPAPI

Hierarchy

TObject
|
TPathData

Classes derived from TPathData
GpPathData


TPCXExportFormat.0methods

TPCXExportFormat methods
TPCXExportFormat Legend key

Unit
TeePCX

In TPCXExportFormat
Description
FileExtension
Options
SaveToStream

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
GraphicClass
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPCXExportFormat.Description

TPCXExportFormat.Description
TPCXExportFormat

function Description: String; override;

Unit
TeePCX

Description
Returns "PCX"


TPCXExportFormat.FileExtension

TPCXExportFormat.FileExtension
TPCXExportFormat

function FileExtension: String; override;

Unit
TeePCX

Description
Returns "PCX", the default file extension for PCX image format.


TPCXExportFormat.Hierarchy

Unit
TeePCX

Hierarchy

TObject
|
TTeeExportFormat
|
TPCXExportFormat

Classes derived from TPCXExportFormat
(none)


TPCXExportFormat.Options

TPCXExportFormat.Options
TPCXExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeePCX

Description
Creates and returns a Form of type TPCXOptions, that contains all properties available for PCX exporting.


TPCXExportFormat.SaveToStream

TPCXExportFormat.SaveToStream
TPCXExportFormat

procedure SaveToStream(Stream: TStream); override;

Unit
TeePCX

Description
Stores a Chart into Stream parameter, as a PCX image.


TPCXOptions.0events

TPCXOptions events
TPCXOptions Legend key

Unit
TeePCX

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPCXOptions.0methods

TPCXOptions methods
TPCXOptions Legend key

Unit
TeePCX

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPCXOptions.0properties

TPCXOptions properties
TPCXOptions Legend key

Unit
TeePCX

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPCXOptions.Hierarchy

Unit
TeePCX

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TPCXOptions

Classes derived from TPCXOptions
(none)


TPDFCanvas.0methods

TPDFCanvas methods
TPDFCanvas Legend key

Unit
TeePDFCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPDFCanvas.0properties

TPDFCanvas properties
TPDFCanvas Legend key

Unit
TeePDFCanvas

In TPDFCanvas
EmbeddedFonts

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TPDFCanvas.EmbeddedFonts

TPDFCanvas.EmbeddedFonts
TPDFCanvas

property EmbeddedFonts: Boolean;

Unit
TeePDFCanvas

Description
Determines if the PDF output will contain private font descriptions used to generate the PDF text.


TPDFCanvas.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TPDFCanvas

Classes derived from TPDFCanvas
(none)


TPDFChartObject.0methods

TPDFChartObject methods
TPDFChartObject Legend key

Unit
TeePDFCanvas

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPDFChartObject.0properties

TPDFChartObject properties
TPDFChartObject Legend key

Unit
TeePDFCanvas

In TPDFChartObject
Contents
FontArray
ImageArray
Length


TPDFChartObject.Contents

TPDFChartObject.Contents
TPDFChartObject

property Contents: TStream;

Unit
TeePDFCanvas

Description
Returns the stream that contains the TChart control exported to PDF format.


TPDFChartObject.FontArray

TPDFChartObject.FontArray
TPDFChartObject

property FontArray: TTeePDFFontList;

Unit
TeePDFCanvas

Description
Returns the list of embedded fonts in the PDF contents.


TPDFChartObject.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TPDFChartObject

Classes derived from TPDFChartObject
(none)


TPDFChartObject.ImageArray

TPDFChartObject.ImageArray
TPDFChartObject

property ImageArray: TTeePDFImageList;

Unit
TeePDFCanvas

Description
Returns the list of embedded images in the PDF contents.


TPDFChartObject.Length

TPDFChartObject.Length
TPDFChartObject

property Length: Integer;

Unit
TeePDFCanvas

Description
Returns the size in bytes of the PDF stream (the Contents property).


TPDFExportFormat.0methods

TPDFExportFormat methods
TPDFExportFormat Legend key

Unit
TeePDFCanvas

In TPDFExportFormat
ChartObject
Description
FileExtension
PDFPage

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
GraphicClass
Options
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPDFExportFormat.ChartObject

TPDFExportFormat.ChartObject
TPDFExportFormat

function ChartObject: TPDFChartObject;

Unit
TeePDFCanvas

Description
Returns the inner PDF characteristics of the Chart being exported.


TPDFExportFormat.Description

TPDFExportFormat.Description
TPDFExportFormat

function Description: String; override;

Unit
TeePDFCanvas

Description
Describes the export format.
Returns "PDF"


TPDFExportFormat.FileExtension

TPDFExportFormat.FileExtension
TPDFExportFormat

function FileExtension: String; override;

Unit
TeePDFCanvas

Description
The file extension for PDF files ( *.pdf )


TPDFExportFormat.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeeExportFormat
|
TPDFExportFormat

Classes derived from TPDFExportFormat
(none)


TPDFExportFormat.PDFPage

TPDFExportFormat.PDFPage
TPDFExportFormat

function PDFPage: TTeePDFPage;

Unit
TeePDFCanvas

Description
Returns the PDF properties of the current exported page.


TPercentChangeFunction.0events

TPercentChangeFunction events
TPercentChangeFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPercentChangeFunction.0methods

TPercentChangeFunction methods
TPercentChangeFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPercentChangeFunction.0properties

TPercentChangeFunction properties
TPercentChangeFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPercentChangeFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TPercentChangeFunction

Classes derived from TPercentChangeFunction
(none)


TPerformanceFunction.0events

TPerformanceFunction events
TPerformanceFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPerformanceFunction.0methods

TPerformanceFunction methods
TPerformanceFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPerformanceFunction.0properties

TPerformanceFunction properties
TPerformanceFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPerformanceFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TPerformanceFunction

Classes derived from TPerformanceFunction
(none)


TPerimeterFunction.0events

TPerimeterFunction events
TPerimeterFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPerimeterFunction.0methods

TPerimeterFunction methods
TPerimeterFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPerimeterFunction.0properties

TPerimeterFunction properties
TPerimeterFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPerimeterFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TPerimeterFunction

Classes derived from TPerimeterFunction
(none)


TPieMarks.0methods

TPieMarks methods
TPieMarks Legend key

Unit
Series

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPieMarks.0properties

TPieMarks properties
TPieMarks Legend key

Unit
Series

In TPieMarks
LegSize
VertCenter


TPieMarks.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TPieMarks

Classes derived from TPieMarks
(none)


TPieMarks.LegSize

TPieMarks.LegSize
TPieMarks

property LegSize: Integer;

Unit
Series

Description
Default : 0

Size of the legs drawn between the Marks shape and Pie slice boundaries.


TPieMarks.VertCenter

TPieMarks.VertCenter
TPieMarks

property VertCenter: Boolean;

Unit
Series

Description
Default : False

Setting it to "True" the mark leg will ends at the center to the mark shape, instead of the mark corner.


TPieOtherSlice.0methods

TPieOtherSlice methods
TPieOtherSlice Legend key

Unit
Series

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPieOtherSlice.0properties

TPieOtherSlice properties
TPieOtherSlice Legend key

Unit
Series

In TPieOtherSlice
Color
Legend
Style
Text
Value


TPieOtherSlice.Color

TPieOtherSlice.Color
TPieOtherSlice

property Color: TColor;

Unit
Series

Description
The Color property determines the color used to display a Pie slice that is a group of small pie slices.

By default Color value is "clTeeColor".
This means that the Pie Series will automatically choose a color depending on the number of slices.


TPieOtherSlice.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TPieOtherSlice

Classes derived from TPieOtherSlice
(none)


TPieOtherSlice.Legend

TPieOtherSlice.Legend
TPieOtherSlice

property Legend: TChartLegend;

Unit
Series

Description
The Legend property controls a sub-legend filled with pie slices that belong to "Other" slice.

Example:

// add data to a Pie series

Series1.Clear;
Series1.Add(134, 'Google');
Series1.Add( 65, 'Yahoo');
Series1.Add( 23, 'AltaVista');
Series1.Add( 12, 'AllTheWeb');
Series1.Add( 9, 'Terra');
Series1.Add( 6, 'Lycos');
Series1.Add( 3, 'Ask Jeeves');

// prepare "Other" to group values below 10
Series1.OtherSlice.Style:=poBelowValue;
Series1.OtherSlice.Value:=10;

// Display "Other" legend:
with Series1.OtherSlice.Legend do
begin
Visible:=True;
Left:=340;
Top:=150;
end;


TPieOtherSlice.Style

TPieOtherSlice.Style
TPieOtherSlice

property Style: TPieOtherStyle;

Unit
Series

Description
Defines whether to use value or percentage to group the 'other' Pie slice.

Options:

poNone No "Other" slice is generated. (default)
poBelowPercent Slices with values below a percentage are grouped.
poBelowValue Slices with values below a value are grouped.


TPieOtherSlice.Text

TPieOtherSlice.Text
TPieOtherSlice

property Text: String;

Unit
Series

Description
Text used to label the 'Otherslice' group.


TPieOtherSlice.Value

TPieOtherSlice.Value
TPieOtherSlice

property Value: Double;

Unit
Series

Description
Threshold value below which to include data point (or slice) in grouped 'Otherslice'.

See Style property for details.


TPieSeries.0events

TPieSeries events
TPieSeries Legend key

Unit
Series

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPieSeries.0methods

TPieSeries methods
TPieSeries Legend key

Unit
Series

In TPieSeries
AddPie
BelongsToOtherSlice
CalcClickedPie
CalcFirstLastVisibleIndex
CalcXPos
CheckOrder
Clicked
CountLegendItems
LegendToValueIndex
NumSampleValues
SwapValueIndex

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOtherSeries
Clear
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPieSeries.0properties

TPieSeries properties
TPieSeries Legend key

Unit
Series

In TPieSeries
Angles
AngleSize
AutoMarkPosition
BevelPercent
Dark3D
DarkPen
DonutPercent
EdgeStyle
ExplodeBiggest
ExplodedSlice
Frame
Gradient
GradientBright
MultiPie
OtherSlice
PieMarks
PiePen
PieValues
SliceHeight
Transparency
UsePatterns

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPieSeries.AddPie

TPieSeries.AddPie
TPieSeries

function AddPie(Const AValue: Double; Const ALabel: String; AColor: TColor): Integer;

Unit
Series

Description
*Important The AddPie Method has been maintained for this version only of TeeChart to help those migrating code from previous versions of TeeChart. The AddPie method now calls the Add method. For those of you writing new code please use the Add method directly. The AddPie method will be removed in the next version of TeeChart.

AddPie appends new Pie sectors to a TPieSeries component.


TPieSeries.Angles

TPieSeries.Angles
TPieSeries

property Angles: TPieAngles;

Unit
Series

Description

The Angles property returns an array ( or list ) of floating point numbers that represent the start, middle and ending angles of each pie slice in the series. Angles are expressed in radian units.

This array is internally calculated. It is used internally when painting the pie slices and when calculating mouse clicks over slices.

See also:

AngleSize property.
RotationAngle property.


TPieSeries.AngleSize

TPieSeries.AngleSize
TPieSeries

property AngleSize: Integer;

Unit
Series

Description
The AngleSize property controls the amount of degrees a Pie series will use to display its slices.

The default value for AngleSize is 360 degree. That means a full circle will be displayed.

Setting it to , for example, 180 degree will show a Pie that is a semi-circle.

Combining this property with the RotationAngle property allows creating Pie series that are vertical semi-circles too.


TPieSeries.AutoMarkPosition

TPieSeries.AutoMarkPosition
TPieSeries

property AutoMarkPosition: Boolean;

Unit
Series

Description
When True, the Pie series will display marks trying to not overlap one mark to each other.


TPieSeries.BelongsToOtherSlice

TPieSeries.BelongsToOtherSlice
TPieSeries

function BelongsToOtherSlice(ValueIndex: Integer): Boolean;

Unit
Series

Description

Returns True if the ValueIndex pie slice value is inside the group of slices that form the "other" slice.

The "other" slice is controlled by the OtherSlice property, and it's used to join several small slices into a single bigger one.

See also:

OtherSlice property.


TPieSeries.BevelPercent

TPieSeries.BevelPercent
TPieSeries

property BevelPercent: Integer;

Unit
Series

Description
Sets the Bevel on as a percentage of the Pie thickness


TPieSeries.CalcClickedPie

TPieSeries.CalcClickedPie
TPieSeries

function CalcClickedPie(X, Y: Integer; Exploded: Boolean): Integer;

Unit
Series

Description
The CalcClickedPie function returns the Pie Sector Index that intersects with the X Y coordinate parameters. It currently works if Circled property is True.


TPieSeries.CalcFirstLastVisibleIndex

TPieSeries.CalcFirstLastVisibleIndex
TPieSeries

procedure CalcFirstLastVisibleIndex; override;

Unit
Series

Description
This method can be used to recalculate the index of the first and last visible points. It could be helpful when customizing the chart manually.


TPieSeries.CalcXPos

TPieSeries.CalcXPos
TPieSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
Series

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TPieSeries.CheckOrder

TPieSeries.CheckOrder
TPieSeries

procedure CheckOrder; override;

Unit
Series

Description
Pie series overrides internal CheckOrder method to remove the "Other" slice before sorting pie data.
After data is sorted, the "Other" slice is added again (if OtherSlice property is used).


TPieSeries.Clicked

TPieSeries.Clicked
TPieSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
Series

Description
Returns the point index number that contains the XY parameter pixels coordinates.


TPieSeries.CountLegendItems

TPieSeries.CountLegendItems
TPieSeries

function CountLegendItems: Integer; override;

Unit
Series

Description
Number of items in Legend.


TPieSeries.Dark3D

TPieSeries.Dark3D
TPieSeries

property Dark3D: Boolean;

Unit
Series

Description
Default True

The Dark3D property indicates, when True, to fill the Pie 3D effect screen areas with darker colors than their corresponding Pie sectors.

The Pie sector RGB color is increased 40 units to obtain the darker color.


TPieSeries.DarkPen

TPieSeries.DarkPen
TPieSeries

property DarkPen: Integer;

Unit
Series

Description
When DarkPen property is True, the pie slices will be displayed using the PiePen border but with each slice color instead of PiePen color.
The slice color is made darker for better visual effect.

When DarkPen is False, the PiePen properties and color are used to draw a border around each pie slice.


TPieSeries.DonutPercent

TPieSeries.DonutPercent
TPieSeries

property DonutPercent: Integer;

Unit
Series

Description

Use this property when displaying the Pie Series as a Donut (see TDonutSeries). Set DonutPercent to determine the dimension of the middle hole.


TPieSeries.EdgeStyle

TPieSeries.EdgeStyle
TPieSeries

property EdgeStyle: TEdgeStyle;

Unit
Series

Description
Determines the style on the Pie Chart Edge: None, Flat or Curved.


TPieSeries.ExplodeBiggest

TPieSeries.ExplodeBiggest
TPieSeries

property ExplodeBiggest: Integer;

Unit
Series

Description
Use this property to explode out from the chart the largest slice.

Te property is a percent integer that is used to automatically explode the largest slice in the Pie:

Series1.ExplodeBiggest := 30; { 30% exploding of the largest slice }


TPieSeries.ExplodedSlice

TPieSeries.ExplodedSlice
TPieSeries

property ExplodedSlice: TSliceValueList;

Unit
Series

Description
The Pie Series has a list of values to determine the "Exploding" in percent ( 0..100%) for each individual Pie Slice.
This works both in 2D and 3D, and also allows Pie rotation.
The Pie automatically resizes to accomodate the space needed by the exploded slices:

Series1.ExplodedSlice[0]:=20; { <-- 20% exploding for the first pie slice }


TPieSeries.Frame

TPieSeries.Frame
TPieSeries

property Frame: TFramedBorder;

Unit
Series

Description
\sb\saDefines Series bounding frame characteristic.


TPieSeries.Gradient

TPieSeries.Gradient
TPieSeries

property Gradient: TTeeGradient;

Unit
Series

Description
The gradient properties used to fill pie slices.

By default this gradient is hidden ( Gradient.Visible property is False ).


TPieSeries.GradientBright

TPieSeries.GradientBright
TPieSeries

property GradientBright: Integer;

Unit
Series

Description
Determines the amount, from 0 to 255, to use from Pie slice colors as the gradient color.


TPieSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TPieSeries

Classes derived from TPieSeries
TDonutSeries


TPieSeries.LegendToValueIndex

TPieSeries.LegendToValueIndex
TPieSeries

function LegendToValueIndex(LegendIndex: Integer): Integer; override;

Unit
Series

Description
Special internal function.
Returns the value index that corresponds to the LegendIndex parameter.

As Pie series slices can "grouped" ( see PieSeries OtherSlice property ), it might happen the Legend items do not correspond linearly to the Series value indexes.


TPieSeries.MultiPie

TPieSeries.MultiPie
TPieSeries

property MultiPie: TMultiPie;

Unit
Series

Description
Default: mpAutomatic

When more than one visible Pie series exist in the same Chart, this property controls if only the first pie series will be displayed or all pie series will be shown at different chart positions.

The default mpAutomatic is to show all visible pie series.

Setting to mpDisabled will display the first pie series Active (Visible) only.

To customize the position of each pie series you can use the series BeforeDrawValues event and change the Chart ChartRect rectangle property to your custom desired position and size inside the chart.


TPieSeries.NumSampleValues

TPieSeries.NumSampleValues
TPieSeries

function NumSampleValues: Integer; override;

Unit
Series

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TPieSeries.OtherSlice

TPieSeries.OtherSlice
TPieSeries

property OtherSlice: TPieOtherSlice;

Unit
Series

Description
Use this property to define the grouping size for the 'Other' slice of the Pie. Grouping may be expressed as a percentage or value (see Otherslice.Style).

Pie slices below a user define percent or value can be grouped into a single slice.
The options are:

Series1.OtherSlice.Style := ( can be poNone, poBelowPercent or poBelowValue )
Series1.OtherSlice.Value := ( any value or percent )
Series1.OtherSlice.Text := 'Other' ; ( Label text for the "Other" slice, by default is "Other" )

As existing slices are not removed, this allows to change on-the-fly both at design and run-time the OtherSlice properties, without having to re-fill again the Series with values.


TPieSeries.PieMarks

TPieSeries.PieMarks
TPieSeries

property PieMarks: TPieMarks;

Unit
Series

Description
Property to access to specific Marks properties for Pie Series.


TPieSeries.PiePen

TPieSeries.PiePen
TPieSeries

property PiePen: TChartPen;

Unit
Series

Description
The PiePen property determines the kind of pen used to draw the outmost circle. TPolarSeries uses CirclePen.


TPieSeries.PieValues

TPieSeries.PieValues
TPieSeries

property PieValues: TChartValueList;

Unit
Series

Description
The PieValues property stores the Pie slice values. It's a standard TList, so you can access it as follows:

tmp := PieSeries1.PieValues[ 3 ] ;

Warning:

You should call AddPie to ADD Pie points and Delete to REMOVE Pie points.


TPieSeries.SliceHeight

TPieSeries.SliceHeight
TPieSeries

property SliceHeight: TSliceValueList;

Unit
Series

Description
Use SliceHeight array property to specify a different height for each pie slice.

By default all slices are displayed using the maximum height available ( 100% ).

// sets the first pie slice to display with half of the total height
Series1.SliceHeight[ 0 ]:= 50; // 50 %


TPieSeries.SwapValueIndex

TPieSeries.SwapValueIndex
TPieSeries

procedure SwapValueIndex(A, B: Integer); override;

Unit
Series

Description
The SwapValueIndex method interchanges two Series points. The A and B parameter should be valid point indexes, from 0 to Series Count-1.

The Chart component is automatically redrawn to display the new Series points order.


TPieSeries.Transparency

TPieSeries.Transparency
TPieSeries

property Transparency: TTeeTransparency;

Unit
Series

Description
Sets the transparency of the Chart.


TPieSeries.UsePatterns

TPieSeries.UsePatterns
TPieSeries

property UsePatterns: Boolean;

Unit
Series

Description
Default False

The UsePatterns property indicates, when True, that Pie Sectors will be filled using different Brush pattern styles. There are 6 different pattern styles.


TPieTool.0events

TPieTool events
TPieTool Legend key

Unit
TeePieTool

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPieTool.0methods

TPieTool methods
TPieTool Legend key

Unit
TeePieTool

In TPieTool
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPieTool.0properties

TPieTool properties
TPieTool Legend key

Unit
TeePieTool

In TPieTool
Slice
Style

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPieTool.Hierarchy

Unit
TeePieTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TPieTool

Classes derived from TPieTool
(none)


TPieTool.LongDescription

TPieTool.LongDescription
TPieTool

function LongDescription: String; override;

Unit
TeePieTool

Description
Returns a String with explanation of the Pie Tool.


TPieTool.Slice

TPieTool.Slice
TPieTool

property Slice: Integer;

Unit
TeePieTool

Description
Returns the currently focused slice. (Point index)

var tmp:Integer;

tmp:=ChartTool1.Slice;

if tmp=-1 then
Label1.Caption:=''
else
Label1.Caption:=Series1.Labels[tmp];


TPieTool.Style

TPieTool.Style
TPieTool

property Style: TPieToolStyle;

Unit
TeePieTool

Description
Default : ptFocus

Set the Style property to ptFocus to make the pie tool to draw a border around the focused pie slice.
Set Style to ptExplode to explode and un-explode the focused slice.


TPlaySoundAnimation.0events

TPlaySoundAnimation events
TPlaySoundAnimation Legend key

Unit
TeeAnimate

Derived from TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPlaySoundAnimation.0methods

TPlaySoundAnimation methods
TPlaySoundAnimation Legend key

Unit
TeeAnimate

In TPlaySoundAnimation
ChangeVolume
SetGlobalPath

Derived from TAnimation
Continue
Description
EditorClass
EditorName
EndFrame
GetParentComponent
HasParent
Index
IsEnabled
IsValidSource
Pause
Play
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPlaySoundAnimation.0properties

TPlaySoundAnimation properties
TPlaySoundAnimation Legend key

Unit
TeeAnimate

In TPlaySoundAnimation
FileName
Synchronous

Derived from TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPlaySoundAnimation.ChangeVolume

TPlaySoundAnimation.ChangeVolume
TPlaySoundAnimation

procedure ChangeVolume(Const Value: Integer);

Unit
TeeAnimate


TPlaySoundAnimation.FileName

TPlaySoundAnimation.FileName
TPlaySoundAnimation

property FileName: String;

Unit
TeeAnimate


TPlaySoundAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation
|
TPlaySoundAnimation

Classes derived from TPlaySoundAnimation
(none)


TPlaySoundAnimation.SetGlobalPath

TPlaySoundAnimation.SetGlobalPath
TPlaySoundAnimation

procedure SetGlobalPath(Const Value: String);

Unit
TeeAnimate


TPlaySoundAnimation.Synchronous

TPlaySoundAnimation.Synchronous
TPlaySoundAnimation

property Synchronous: Boolean;

Unit
TeeAnimate


TPNGExportFormat.0methods

TPNGExportFormat methods
TPNGExportFormat Legend key

Unit
TeePNG

In TPNGExportFormat
Bitmap
Description
FileExtension
Options
SaveToStream
SaveToStreamCompression

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
GraphicClass
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPNGExportFormat.0properties

TPNGExportFormat properties
TPNGExportFormat Legend key

Unit
TeePNG

In TPNGExportFormat
Compression
PixelFormat


TPNGExportFormat.Bitmap

TPNGExportFormat.Bitmap
TPNGExportFormat

function Bitmap: TBitmap;

Unit
TeePNG

Description
Sets or returns the bitmap used by the PNGExport.

Example

{Load a picture from PNGExport to an Imagebox}

Image1.Picture.Bitmap:=tmpPNG.Bitmap;


TPNGExportFormat.Compression

TPNGExportFormat.Compression
TPNGExportFormat

property Compression: Integer;

Unit
TeePNG

Description
Gets or sets the level of compression when generating PNG images.
Valid values are from 0 to 9.
Default is 9 (maximum compression).


TPNGExportFormat.Description

TPNGExportFormat.Description
TPNGExportFormat

function Description: String; override;

Unit
TeePNG

Description
Returns "PNG" (Portable Network Graphics)


TPNGExportFormat.FileExtension

TPNGExportFormat.FileExtension
TPNGExportFormat

function FileExtension: String; override;

Unit
TeePNG

Description
Returns "PNG", the default file extension for PNG image files.


TPNGExportFormat.Hierarchy

Unit
TeePNG

Hierarchy

TObject
|
TTeeExportFormat
|
TPNGExportFormat

Classes derived from TPNGExportFormat
(none)


TPNGExportFormat.Options

TPNGExportFormat.Options
TPNGExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeePNG

Description
Creates and returns a Form of type TTeePNGOptions, which enables the end user to configure properties when exporting charts to PNG format.


TPNGExportFormat.PixelFormat

TPNGExportFormat.PixelFormat
TPNGExportFormat

property PixelFormat: TPixelFormat;

Unit
TeePNG

Description

The PixelFormat property specifies the pixel depth (number of bits per pixel) of the PNG image.

By default PNG images are saved using 24 bits per pixel (8 bits for each of the 3 colors that make a pixel , red, green and blue).

You can use PixelFormat to create other color depth resolution images.


TPNGExportFormat.SaveToStream

TPNGExportFormat.SaveToStream
TPNGExportFormat

procedure SaveToStream(AStream: TStream); override;

Unit
TeePNG

Description
Use this method to save the PNG image to stream.


TPNGExportFormat.SaveToStreamCompression

TPNGExportFormat.SaveToStreamCompression
TPNGExportFormat

procedure SaveToStreamCompression(AStream: TStream; CompressionLevel: Integer);

Unit
TeePNG

Description
Use this method to save the PNG image to stream with the specified Compression level.
( From 0 to 9, being 9 the maximum compression. )


TPoint3DSeries.0events

TPoint3DSeries events
TPoint3DSeries Legend key

Unit
TeePoin3

In TPoint3DSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPoint3DSeries.0methods

TPoint3DSeries methods
TPoint3DSeries Legend key

Unit
TeePoin3

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPoint3DSeries.0properties

TPoint3DSeries properties
TPoint3DSeries Legend key

Unit
TeePoin3

In TPoint3DSeries
BaseLine
DepthSize
LinePen
Pointer

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPoint3DSeries.BaseLine

TPoint3DSeries.BaseLine
TPoint3DSeries

property BaseLine: TChartHiddenPen;

Unit
TeePoin3

Description
Pen used to draw lines between the XYZ points to the bottom axis.
By default this pen is hidden (the BaseLine.Visible property is False).


TPoint3DSeries.DepthSize

TPoint3DSeries.DepthSize
TPoint3DSeries

property DepthSize: Double;

Unit
TeePoin3

Description
Gets or sets the amount in depth axis scales to draw the 3D points in Z direction.


TPoint3DSeries.Hierarchy

Unit
TeePoin3

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TPoint3DSeries

Classes derived from TPoint3DSeries
TBubble3DSeries


TPoint3DSeries.LinePen

TPoint3DSeries.LinePen
TPoint3DSeries

property LinePen: TChartPen;

Unit
TeePoin3

Description
The Pen used to draw lines between 3D points, in the order they reside in Point3D series values list.

Set this pen Visible property to false to hide lines.


TPoint3DSeries.OnClickPointer

TPoint3DSeries.OnClickPointer
TPoint3DSeries

property OnClickPointer: TSeriesClickPointer3DEvent;

Unit
TeePoin3

Description
Event called when the user clicks a 3D point.


TPoint3DSeries.OnGetPointerStyle

TPoint3DSeries.OnGetPointerStyle
TPoint3DSeries

property OnGetPointerStyle: TOnGetPointerStyle;

Unit
TeePoin3

Description
This event is called just before the Point3D series is about to draw a point.

This event must return a point style.

You can also use this event to alter formatting properties like pen, pointer style or color.

function TForm1.Series8GetPointerStyle(Sender: TChartSeries;
ValueIndex: Integer): TSeriesPointerStyle;
begin
if Sender.YValues[ValueIndex] > 100 then
begin
result:=psTriangle;
Series1.Pointer.Pen.Color := clRed;
end
else
begin
result:=psRectangle;
Series1.Pointer.Pen.Color := clBlack;
end;
end;


TPoint3DSeries.Pointer

TPoint3DSeries.Pointer
TPoint3DSeries

property Pointer: TSeriesPointer;

Unit
TeePoin3

Description
Returns object with all formatting properties of points, like size, color, etc.


TPointBlock.0methods

TPointBlock methods
TPointBlock Legend key

Unit
TeCanvas

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPointBlock.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TPointBlock

Classes derived from TPointBlock
TPointXYFloat
TPointXYZFloat


TPointFigureSeries.0events

TPointFigureSeries events
TPointFigureSeries Legend key

Unit
TeePointFigure

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPointFigureSeries.0methods

TPointFigureSeries methods
TPointFigureSeries Legend key

Unit
TeePointFigure

In TPointFigureSeries
GetInversionColumn

Derived from TOHLCSeries
AddOHLC
GetRandomOHLC
IsValidSourceOf
MaxYValue
MinYValue
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxZValue
MinXValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPointFigureSeries.0properties

TPointFigureSeries properties
TPointFigureSeries Legend key

Unit
TeePointFigure

In TPointFigureSeries
BoxSize
DownSymbol
ReversalAmount
UpSymbol

Derived from TOHLCSeries
CloseValues
DateValues
HighValues
LowValues
OpenValues

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPointFigureSeries.BoxSize

TPointFigureSeries.BoxSize
TPointFigureSeries

property BoxSize: Double;

Unit
TeePointFigure

Description
Default value: 1

Determines the amount in price scales that is multiplied by ReversalAmount property.

ReversalAmount by BoxSize defines the maximum price difference allowed before adding a new column of symbols.

BoxSize itself defines the minimum change in price to draw a new symbol in the same column.


TPointFigureSeries.DownSymbol

TPointFigureSeries.DownSymbol
TPointFigureSeries

property DownSymbol: TSeriesPointer;

Unit
TeePointFigure

Description
Refers to symbol that is painted for price down periods.


TPointFigureSeries.GetInversionColumn

TPointFigureSeries.GetInversionColumn
TPointFigureSeries

function GetInversionColumn(Index: Integer): Integer;

Unit
TeePointFigure

Description
Returns the column index where the index'th parameter point is located.

Point and Figure series draw columns where each step in the column corresponds to a point in the underlying datasource series.


TPointFigureSeries.Hierarchy

Unit
TeePointFigure

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TOHLCSeries
|
TPointFigureSeries

Classes derived from TPointFigureSeries
(none)


TPointFigureSeries.ReversalAmount

TPointFigureSeries.ReversalAmount
TPointFigureSeries

property ReversalAmount: Double;

Unit
TeePointFigure

Description
Default value: 3

Determines the number that is multiplied by BoxSize property.

ReversalAmount by BoxSize defines the maximum price difference allowed before adding a new column of symbols.


TPointFigureSeries.UpSymbol

TPointFigureSeries.UpSymbol
TPointFigureSeries

property UpSymbol: TSeriesPointer;

Unit
TeePointFigure

Description
Refers to symbol that is painted for price up periods.


TPointSeries.0events

TPointSeries events
TPointSeries Legend key

Unit
Series

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPointSeries.0methods

TPointSeries methods
TPointSeries Legend key

Unit
Series

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPointSeries.0properties

TPointSeries properties
TPointSeries Legend key

Unit
Series

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPointSeries.Hierarchy

Unit
Series

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TPointSeries

Classes derived from TPointSeries
TArrowSeries
TBubbleSeries
TCustomBoxSeries
TCustomImagePointSeries
TGanttSeries
TMyPointSeries


TPointXY.0methods

TPointXY methods
TPointXY Legend key

Unit
TeeArrowTool

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPointXY.0properties

TPointXY properties
TPointXY Legend key

Unit
TeeArrowTool

In TPointXY
X
Y


TPointXY.Hierarchy

Unit
TeeArrowTool

Hierarchy

TObject
|
TPersistent
|
TPointXY

Classes derived from TPointXY
(none)


TPointXY.X

TPointXY.X
TPointXY

property X: Integer;

Unit
TeeArrowTool

Description
\sa\sl\slmultReturns the X value of the Point as integer.


TPointXY.Y

TPointXY.Y
TPointXY

property Y: Integer;

Unit
TeeArrowTool

Description
\sa\sl\slmultReturns the Y Value of the Point as integer.


TPointXYFloat.0methods

TPointXYFloat methods
TPointXYFloat Legend key

Unit
TeCanvas

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPointXYFloat.0properties

TPointXYFloat properties
TPointXYFloat Legend key

Unit
TeCanvas

In TPointXYFloat
X
Y


TPointXYFloat.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TPointBlock
|
TPointXYFloat

Classes derived from TPointXYFloat
(none)


TPointXYFloat.X

TPointXYFloat.X
TPointXYFloat

property X: Double;

Unit
TeCanvas


TPointXYFloat.Y

TPointXYFloat.Y
TPointXYFloat

property Y: Double;

Unit
TeCanvas


TPointXYZFloat.0methods

TPointXYZFloat methods
TPointXYZFloat Legend key

Unit
TeCanvas

In TPointXYZFloat
SetPoint

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPointXYZFloat.0properties

TPointXYZFloat properties
TPointXYZFloat Legend key

Unit
TeCanvas

In TPointXYZFloat
Value
X
Y
Z


TPointXYZFloat.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TPointBlock
|
TPointXYZFloat

Classes derived from TPointXYZFloat
TGLPosition


TPointXYZFloat.SetPoint

TPointXYZFloat.SetPoint
TPointXYZFloat

procedure SetPoint(Const X, Y, Z: Double); overload;

Unit
TeCanvas


TPointXYZFloat.Value

TPointXYZFloat.Value
TPointXYZFloat

property Value: Double;

Unit
TeCanvas


TPointXYZFloat.X

TPointXYZFloat.X
TPointXYZFloat

property X: Double;

Unit
TeCanvas


TPointXYZFloat.Y

TPointXYZFloat.Y
TPointXYZFloat

property Y: Double;

Unit
TeCanvas


TPointXYZFloat.Z

TPointXYZFloat.Z
TPointXYZFloat

property Z: Double;

Unit
TeCanvas

Description
\ltrpar\sa\sl\slmultReturns the Z value of the Point as float.
\ltrpar


TPolarBarSeries.0events

TPolarBarSeries events
TPolarBarSeries Legend key

Unit
TeePolar

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolarBarSeries.0methods

TPolarBarSeries methods
TPolarBarSeries Legend key

Unit
TeePolar

Derived from TPolarSeries
AddPolar
CalcXPos
CalcYPos
CalcYPosValue
CanZoomScroll
UseAxis
XScreenToValue
YScreenToValue

Derived from TCustomPolarSeries
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYSizeValue
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
VisibleCount
XValueToText
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPolarBarSeries.0properties

TPolarBarSeries properties
TPolarBarSeries Legend key

Unit
TeePolar

Derived from TPolarSeries
AngleValue

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolarBarSeries.Hierarchy

Unit
TeePolar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TPolarSeries
|
TPolarBarSeries

Classes derived from TPolarBarSeries
(none)


TPolarGridSeries.0events

TPolarGridSeries events
TPolarGridSeries Legend key

Unit
TeePolarGrid

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolarGridSeries.0methods

TPolarGridSeries methods
TPolarGridSeries Legend key

Unit
TeePolarGrid

In TPolarGridSeries
AddCell
CalcXPos
CalcYPos
Clicked
CountLegendItems
GetCellColor
LegendItemColor
LegendString

Derived from TCustomPolarSeries
DrawRing
DrawZone

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPolarGridSeries.0properties

TPolarGridSeries properties
TPolarGridSeries Legend key

Unit
TeePolarGrid

In TPolarGridSeries
CellValues
Centered
NumSectors
NumTracks
Palette

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolarGridSeries.AddCell

TPolarGridSeries.AddCell
TPolarGridSeries

function AddCell(Const Sector, Track: Integer; Const Value: TChartValue): Integer;

Unit
TeePolarGrid

Description
Adds a new cell to the grid, at the given Sector and Track coordinates with the passed Value.

Returns the index of this cell in the series XValues and YValues arrays.


TPolarGridSeries.CalcXPos

TPolarGridSeries.CalcXPos
TPolarGridSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeePolarGrid

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.


TPolarGridSeries.CalcYPos

TPolarGridSeries.CalcYPos
TPolarGridSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeePolarGrid

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.


TPolarGridSeries.CellValues

TPolarGridSeries.CellValues
TPolarGridSeries

property CellValues: TChartValueList;

Unit
TeePolarGrid

Description
Access the array of values that define the color of each grid cell.

Every cell in the polar grid is defined by is XValue (sector), YValue (track) and its CellValue (color).


TPolarGridSeries.Centered

TPolarGridSeries.Centered
TPolarGridSeries

property Centered: Boolean;

Unit
TeePolarGrid

Description
Default is True.

When True, sectors are displayed at the middle of their specified degree values.

When False, cells start at their sector (degree) values.


TPolarGridSeries.Clicked

TPolarGridSeries.Clicked
TPolarGridSeries

function Clicked(x, y: Integer): Integer; override;

Unit
TeePolarGrid

Description
Returns the point index number that contains the XY parameter pixels coordinates.


TPolarGridSeries.CountLegendItems

TPolarGridSeries.CountLegendItems
TPolarGridSeries

function CountLegendItems: Integer; override;

Unit
TeePolarGrid

Description
Returns the number of points to show at the Legend.
In case of a TPolarGridSeries it corresponds to the number of colors in the palette.


TPolarGridSeries.GetCellColor

TPolarGridSeries.GetCellColor
TPolarGridSeries

function GetCellColor(Const Value: TChartValue): TColor;

Unit
TeePolarGrid

Description
Returns the cell Color or the specified point value.


TPolarGridSeries.Hierarchy

Unit
TeePolarGrid

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TPolarGridSeries

Classes derived from TPolarGridSeries
(none)


TPolarGridSeries.LegendItemColor

TPolarGridSeries.LegendItemColor
TPolarGridSeries

function LegendItemColor(LegendIndex: Integer): TColor; override;

Unit
TeePolarGrid

Description
Returns the item Color of the specified legend index. This can be useful using ColorRange or Palettes.


TPolarGridSeries.LegendString

TPolarGridSeries.LegendString
TPolarGridSeries

function LegendString(LegendIndex: Integer; LegendTextStyle: TLegendTextStyle): String; override;

Unit
TeePolarGrid

Description
Returns the String of specific item in the Legend, giving its legend index and Text formatted.


TPolarGridSeries.NumSectors

TPolarGridSeries.NumSectors
TPolarGridSeries

property NumSectors: Integer;

Unit
TeePolarGrid

Description
Default is 10.

Defines the number of sectors (degree portions) in the polar grid.

See also: NumTracks


TPolarGridSeries.NumTracks

TPolarGridSeries.NumTracks
TPolarGridSeries

property NumTracks: Integer;

Unit
TeePolarGrid

Description
Default is 10.

Defines the number of tracks (concentric rings) in the polar grid.

See also: NumSectors


TPolarGridSeries.Palette

TPolarGridSeries.Palette
TPolarGridSeries

property Palette: TSeriesColorPalette;

Unit
TeePolarGrid

Description
Returns properties that configure polar grid cell colors based on their values.


TPolarSeries.0events

TPolarSeries events
TPolarSeries Legend key

Unit
TeePolar

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolarSeries.0methods

TPolarSeries methods
TPolarSeries Legend key

Unit
TeePolar

In TPolarSeries
AddPolar
CalcXPos
CalcYPos
CalcYPosValue
CanZoomScroll
UseAxis
XScreenToValue
YScreenToValue

Derived from TCustomPolarSeries
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYSizeValue
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
VisibleCount
XValueToText
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPolarSeries.0properties

TPolarSeries properties
TPolarSeries Legend key

Unit
TeePolar

In TPolarSeries
AngleValue

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolarSeries.AddPolar

TPolarSeries.AddPolar
TPolarSeries

function AddPolar(Const Angle, Value: Double; Const ALabel: String; AColor: TColor): Integer; virtual;

Unit
TeePolar

Description
The AddPolar function inserts a new Point to draw. The new point coordinates are expressed in Angle -> Vector format. Angles are expressed in degree units. Points are sorted and drawn in Angle ascending order.


TPolarSeries.AngleValue

TPolarSeries.AngleValue
TPolarSeries

property AngleValue[Index: Integer]: TChartValue;

Unit
TeePolar

Description
Gets list of angle values for each polar point.


TPolarSeries.CalcXPos

TPolarSeries.CalcXPos
TPolarSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeePolar

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TPolarSeries.CalcYPos

TPolarSeries.CalcYPos
TPolarSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeePolar

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TPolarSeries.CalcYPosValue

TPolarSeries.CalcYPosValue
TPolarSeries

function CalcYPosValue(Const Value: Double): Integer; override;

Unit
TeePolar

Description
Returns the pixel Screen Vertical coordinate of the specified Value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TPolarSeries.CanZoomScroll

TPolarSeries.CanZoomScroll
TPolarSeries

function CanZoomScroll: Boolean; override;

Unit
TeePolar

Description
This read only method returns True or False depending on whether the specified Series can be zoomed / scrolled or not, which normally depends on whether the Series is using an axis.


TPolarSeries.Hierarchy

Unit
TeePolar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TPolarSeries

Classes derived from TPolarSeries
TPolarBarSeries
TRoseSeries


TPolarSeries.UseAxis

TPolarSeries.UseAxis
TPolarSeries

function UseAxis: Boolean; override;

Unit
TeePolar

Description
Returns True if the Series uses and Axis. (eg. TPieSeries does not use an Axis and returns False).


TPolarSeries.XScreenToValue

TPolarSeries.XScreenToValue
TPolarSeries

function XScreenToValue(ScreenPos: Integer): Double; override;

Unit
TeePolar

Description
This function returns the numeric Value that corresponds to the specified Horizontal Screen coordinate. The resulting Value is based on the Series.GetHorizAxis


TPolarSeries.YScreenToValue

TPolarSeries.YScreenToValue
TPolarSeries

function YScreenToValue(ScreenPos: Integer): Double; override;

Unit
TeePolar

Description
This function returns the numeric Value that corresponds to the specified Vertical Screen coordinate. The resulting Value is based on the Series.GetVertAxis


TPolygonSeries.0events

TPolygonSeries events
TPolygonSeries Legend key

Unit
TeeMapSeries

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolygonSeries.0methods

TPolygonSeries methods
TPolygonSeries Legend key

Unit
TeeMapSeries

In TPolygonSeries
Polygon

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPolygonSeries.0properties

TPolygonSeries properties
TPolygonSeries Legend key

Unit
TeeMapSeries

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPolygonSeries.Hierarchy

Unit
TeeMapSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TPolygonSeries

Classes derived from TPolygonSeries
(none)


TPolygonSeries.Polygon

TPolygonSeries.Polygon
TPolygonSeries

function Polygon: TTeePolygon;

Unit
TeeMapSeries

Description
Returns the class that contains point coordinates, Z coordinate, formatting properties (Brush, Color, Pen, etc) for a given polygon in a MapSeries.


TPreviewChartPen.0events

TPreviewChartPen events
TPreviewChartPen Legend key

Unit
TeePreviewPanel

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TPreviewChartPen.0methods

TPreviewChartPen methods
TPreviewChartPen Legend key

Unit
TeePreviewPanel

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPreviewChartPen.0properties

TPreviewChartPen properties
TPreviewChartPen Legend key

Unit
TeePreviewPanel

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TPreviewChartPen.Hierarchy

Unit
TeePreviewPanel

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TPreviewChartPen

Classes derived from TPreviewChartPen
(none)


TProcessTimer.0events

TProcessTimer events
TProcessTimer Legend key

Unit
TeeDosCommand

Derived from TTimer
Enabled
Interval
OnTimer

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TProcessTimer.0methods

TProcessTimer methods
TProcessTimer Legend key

Unit
TeeDosCommand

In TProcessTimer
Beginning
Ending
NewOutput

Derived from TTimer
Create
Destroy
SetEnabled
SetInterval
SetOnTimer
Timer
UpdateTimer
WndProc

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TProcessTimer.0properties

TProcessTimer properties
TProcessTimer Legend key

Unit
TeeDosCommand

In TProcessTimer
SinceBeginning
SinceLastOutput

Derived from TTimer
Enabled
Interval
OnTimer

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TProcessTimer.Beginning

TProcessTimer.Beginning
TProcessTimer

procedure Beginning;

Unit
TeeDosCommand


TProcessTimer.Ending

TProcessTimer.Ending
TProcessTimer

procedure Ending;

Unit
TeeDosCommand


TProcessTimer.Hierarchy

Unit
TeeDosCommand

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTimer
|
TProcessTimer

Classes derived from TProcessTimer
(none)


TProcessTimer.NewOutput

TProcessTimer.NewOutput
TProcessTimer

procedure NewOutput;

Unit
TeeDosCommand


TProcessTimer.SinceBeginning

TProcessTimer.SinceBeginning
TProcessTimer

property SinceBeginning: Integer;

Unit
TeeDosCommand


TProcessTimer.SinceLastOutput

TProcessTimer.SinceLastOutput
TProcessTimer

property SinceLastOutput: Integer;

Unit
TeeDosCommand


TPropertyAnimation.0events

TPropertyAnimation events
TPropertyAnimation Legend key

Unit
TeeAnimate

Derived from TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPropertyAnimation.0methods

TPropertyAnimation methods
TPropertyAnimation Legend key

Unit
TeeAnimate

In TPropertyAnimation
EditorName
Fixup
IsEnabled

Derived from TAnimation
Continue
Description
EditorClass
EndFrame
GetParentComponent
HasParent
Index
IsValidSource
Pause
Play
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPropertyAnimation.0properties

TPropertyAnimation properties
TPropertyAnimation Legend key

Unit
TeeAnimate

In TPropertyAnimation
Instance
PropertyName

Derived from TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPropertyAnimation.EditorName

TPropertyAnimation.EditorName
TPropertyAnimation

function EditorName: String; override;

Unit
TeeAnimate

Description
Returns the Editor name of the animation.


TPropertyAnimation.Fixup

TPropertyAnimation.Fixup
TPropertyAnimation

function Fixup(Var AInstance: TObject; Var AName: String): PPropInfo;

Unit
TeeAnimate


TPropertyAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation
|
TPropertyAnimation

Classes derived from TPropertyAnimation
TRangePropertyAnimation
TToogleAnimation


TPropertyAnimation.Instance

TPropertyAnimation.Instance
TPropertyAnimation

property Instance: TComponent;

Unit
TeeAnimate


TPropertyAnimation.IsEnabled

TPropertyAnimation.IsEnabled
TPropertyAnimation

function IsEnabled: Boolean; override;

Unit
TeeAnimate

Description
Returns true if Animation is enabled.


TPropertyAnimation.PropertyName

TPropertyAnimation.PropertyName
TPropertyAnimation

property PropertyName: String;

Unit
TeeAnimate


TPropertyLink.0methods

TPropertyLink methods
TPropertyLink Legend key

Unit
TeeAnimate

In TPropertyLink
CheckInstancePrefix
PropertyInfo
PropertyValue

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TPropertyLink.0properties

TPropertyLink properties
TPropertyLink Legend key

Unit
TeeAnimate

In TPropertyLink
Instance
PropertyName


TPropertyLink.CheckInstancePrefix

TPropertyLink.CheckInstancePrefix
TPropertyLink

procedure CheckInstancePrefix(Const APrefix: String; AInstance: TObject);

Unit
TeeAnimate


TPropertyLink.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TPropertyLink

Classes derived from TPropertyLink
(none)


TPropertyLink.Instance

TPropertyLink.Instance
TPropertyLink

property Instance: TComponent;

Unit
TeeAnimate


TPropertyLink.PropertyInfo

TPropertyLink.PropertyInfo
TPropertyLink

function PropertyInfo: PPropInfo;

Unit
TeeAnimate


TPropertyLink.PropertyName

TPropertyLink.PropertyName
TPropertyLink

property PropertyName: String;

Unit
TeeAnimate


TPropertyLink.PropertyValue

TPropertyLink.PropertyValue
TPropertyLink

function PropertyValue(AProc: TGetPropertyValueProc): Variant; overload;

Unit
TeeAnimate


TPVOFunction.0events

TPVOFunction events
TPVOFunction Legend key

Unit
TeePVOFunction

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPVOFunction.0methods

TPVOFunction methods
TPVOFunction Legend key

Unit
TeePVOFunction

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPVOFunction.0properties

TPVOFunction properties
TPVOFunction Legend key

Unit
TeePVOFunction

In TPVOFunction
Percentage
Period2

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPVOFunction.Hierarchy

Unit
TeePVOFunction

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TPVOFunction

Classes derived from TPVOFunction
(none)


TPVOFunction.Percentage

TPVOFunction.Percentage
TPVOFunction

property Percentage: Boolean;

Unit
TeePVOFunction

Description
Default : True

Controls if the difference of two moving averages will be percentual or not.


TPVOFunction.Period2

TPVOFunction.Period2
TPVOFunction

property Period2: Integer;

Unit
TeePVOFunction

Description
Default : 26

Defines the period of the second exponential moving average.

Use the Period property to set the first average period.

TeeFunction1.Period := 12 ;
TeeFunction1.Period2 := 28 ;

After changing Period or Period2, the function automatically recalculates unless you call the BeginUpdate and EndUpdate methods.

with TeeFunction1 do
begin
BeginUpdate;
Period := 12 ;
Period2 := 28 ;
EndUpdate;
end;


TPyramidSeries.0events

TPyramidSeries events
TPyramidSeries Legend key

Unit
TeePyramid

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPyramidSeries.0methods

TPyramidSeries methods
TPyramidSeries Legend key

Unit
TeePyramid

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TPyramidSeries.0properties

TPyramidSeries properties
TPyramidSeries Legend key

Unit
TeePyramid

In TPyramidSeries
SizePercent

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TPyramidSeries.Hierarchy

Unit
TeePyramid

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TPyramidSeries

Classes derived from TPyramidSeries
(none)


TPyramidSeries.SizePercent

TPyramidSeries.SizePercent
TPyramidSeries

property SizePercent: Integer;

Unit
TeePyramid

Description
Sets size of Pyramid base relative to Chart Axis bounding width.


TQRChart.0events

TQRChart events
TQRChart Legend key

Unit
QrTee

In TQRChart
OnPrint


TQRChart.0methods

TQRChart methods
TQRChart Legend key

Unit
QrTee

In TQRChart
Paint
Print
SetChart


TQRChart.0properties

TQRChart properties
TQRChart Legend key

Unit
QrTee

In TQRChart
Chart
TeePrintMethod


TQRChart.Chart

TQRChart.Chart
TQRChart

property Chart: TQRDBChart;

Unit
QrTee

Description
The Chart property defines the Chart component to display on a TQRChart.
TQRChart is a wrapper component containing a chart.

See the SetChart method to copy all contents from a normal Chart or DBChart control to TQRChart.


TQRChart.Hierarchy

Unit
QrTee

Hierarchy

TQRPrintable
|
TQRChart

Classes derived from TQRChart
(none)


TQRChart.OnPrint

TQRChart.OnPrint
TQRChart

property OnPrint: TPrintChartEvent;

Unit
QrTee

Description
The "PaperRect" parameter has the coordinates of the Chart in QuickReport units.
The "ChartRect" parameter has the coordinates of the Chart in TeeChart units.

Both parameters can be changed using this new event.

For example, if the "ChartRect" parameter is doubled in size, the Chart will be twice bigger, but printed in the same position and space:

procedure TForm1.QRChart1Print( Sender: TQRChart;
var PaperRect, ChartRect: TRect);
begin
With ChartRect do
Begin
Right := 2*Right - Left;
Bottom := 2*Bottom - Top;
End;
End;


TQRChart.Paint

TQRChart.Paint
TQRChart

procedure Paint; override;

Unit
QrTee

Description
The QRChart component overrides the Paint method to draw the associated Chart component into the QuickReport control canvas.


TQRChart.Print

TQRChart.Print
TQRChart

procedure Print(OfsX, OfsY: Integer); override;

Unit
QrTee

Description
This method will send the Chart to the currently selected Printer. The current Printer orientation (Portrait or Landscape) can be changed prior to call PrintRect.


TQRChart.SetChart

TQRChart.SetChart
TQRChart

procedure SetChart(AChart: TCustomChart);

Unit
QrTee

Description
Copies all contents (Series, Axes, etc) from the AChart parameter to the internal chart displayed at QRChart control.

Note:
This method duplicates all series in AChart into the QRChart.Chart control.


TQRChart.TeePrintMethod

TQRChart.TeePrintMethod
TQRChart

property TeePrintMethod: TTeeQuickMethod;

Unit
QrTee

Description
Default qtmMetafile

The TeePrintMethod property indicates the method used to display an embedded TChart or TDBChart component into a QuickReport Band component. When using the qtmMetafile mode, all drawing instructions are generated directly over the QuickReport Band. When using qtmBitmap, the whole Chart is outputted to an internal Bitmap and then copied to the QuickReport band. The qtmMetafile method guaranties better Printing and Screen resolution and it's faster in most situations.


TQRDBChart.0events

TQRDBChart events
TQRDBChart Legend key

Unit
QrTee

Derived from TCustomDBChart
OnProcessRecord

Derived from TCustomChart
OnAllowScroll
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnClickTitle
OnGetLegendPos
OnGetLegendRect
OnGetLegendText

Derived from TCustomAxisPanel
OnAddSeries
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnGetAxisLabel
OnGetNextAxisLabel
OnPageChange
OnRemoveSeries
OnValidDataSource

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TQRDBChart.0methods

TQRDBChart methods
TQRDBChart Legend key

Unit
QrTee

In TQRDBChart
GetRectangle

Derived from TCustomDBChart
Assign
CheckDatasource
FillSeriesSourceItems
FillValueSourceItems
IsValidDataSource
RefreshData
RefreshDataSet

Derived from TCustomChart
AxisTitleOrName
CalcClickedPart
ClearChart
FormattedLegend
FormattedValueLegend
GetASeries
IsFreeSeriesColor
NextPage
PreviousPage
RemoveAllSeries
SeriesDown
SeriesUp
UndoZoom
ZoomPercent
ZoomRect

Derived from TCustomAxisPanel
ActiveSeriesLegend
AddSeries
CalcSize3DWalls
CountActiveSeries
ExchangeSeries
FreeAllSeries
GetAxisSeries
GetDefaultColor
GetFreeSeriesColor
GetMaxValuesCount
MaxMarkWidth
MaxTextWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
MultiLineTextWidth
NumPages
PrintPages
RemoveSeries
SeriesCount
SeriesLegend
SeriesTitleLegend

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
Invalidate
IsScreenHighColor
Print
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TQRDBChart.0properties

TQRDBChart properties
TQRDBChart Legend key

Unit
QrTee

Derived from TCustomDBChart
AutoRefresh
RefreshInterval
ShowGlassCursor

Derived from TCustomChart
BackColor
BackWall
BottomWall
ColorPaletteIndex
Foot
Frame
LeftWall
Legend
RightWall
SubFoot
SubTitle
Title
Walls

Derived from TCustomAxisPanel
Animations
Axes
AxesList
AxisBehind
AxisVisible
BottomAxis
Chart3DPercent
ClipPoints
CustomAxes
CustomWidth3D
DepthAxis
DepthTopAxis
LeftAxis
MaxPointsPerPage
MaxZOrder
Page
Pages
RightAxis
ScaleLastPage
Series
SeriesGroups
SeriesHeight3D
SeriesList
SeriesWidth3D
Tools
TopAxis
View3DWalls

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TQRDBChart.GetRectangle

TQRDBChart.GetRectangle
TQRDBChart

function GetRectangle: TRect; override;

Unit
QrTee

Description
The GetRectangle function returns the TChart panel bounding rectangle coordinates.
It is virtual as it's used by TQRChart component to calculate the exact coordinates when previewing and printing Charts in QuickReport printable components.
You should use GetRectangle when custom drawing on QuickReport Printer canvas.
TChart and TDBChart simply return GetClientRect rectangle coordinates.


TQRDBChart.Hierarchy

Unit
QrTee

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TCustomAxisPanel
|
TCustomChart
|
TCustomDBChart
|
TQRDBChart

Classes derived from TQRDBChart
(none)


TRadarSeries.0events

TRadarSeries events
TRadarSeries Legend key

Unit
TeePolar

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRadarSeries.0methods

TRadarSeries methods
TRadarSeries Legend key

Unit
TeePolar

In TRadarSeries
NumSampleValues

Derived from TCustomPolarSeries
CalcXPos
CalcYPos
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRadarSeries.0properties

TRadarSeries properties
TRadarSeries Legend key

Unit
TeePolar

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRadarSeries.Hierarchy

Unit
TeePolar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TRadarSeries

Classes derived from TRadarSeries
(none)


TRadarSeries.NumSampleValues

TRadarSeries.NumSampleValues
TRadarSeries

function NumSampleValues: Integer; override;

Unit
TeePolar

Description
Each Series draws random values at design mode unless you connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.


TRandomTheme.0methods

TRandomTheme methods
TRandomTheme Legend key

Unit
TeeThemes

In TRandomTheme
Apply
Description
RandomColor

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TRandomTheme.Apply

TRandomTheme.Apply
TRandomTheme

procedure Apply; override;

Unit
TeeThemes

Description
Modifies all chart and series colors and other properties necessary to display using Random theme.
All properties are changed randomly using random values.


TRandomTheme.Description

TRandomTheme.Description
TRandomTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Random"


TRandomTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TRandomTheme

Classes derived from TRandomTheme
(none)


TRandomTheme.RandomColor

TRandomTheme.RandomColor
TRandomTheme

function RandomColor: TColor;

Unit
TeeThemes

Description
Simple function that returns a random color with random Red, Green and Blue values.


TRangePropertyAnimation.0events

TRangePropertyAnimation events
TRangePropertyAnimation Legend key

Unit
TeeAnimate

Derived from TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRangePropertyAnimation.0methods

TRangePropertyAnimation methods
TRangePropertyAnimation Legend key

Unit
TeeAnimate

Derived from TPropertyAnimation
EditorName
Fixup
IsEnabled

Derived from TAnimation
Continue
Description
EditorClass
EndFrame
GetParentComponent
HasParent
Index
IsValidSource
Pause
Play
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRangePropertyAnimation.0properties

TRangePropertyAnimation properties
TRangePropertyAnimation Legend key

Unit
TeeAnimate

In TRangePropertyAnimation
KeepEndValue
UseEndValue
UseStartValue

Derived from TPropertyAnimation
Instance
PropertyName

Derived from TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRangePropertyAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation
|
TPropertyAnimation
|
TRangePropertyAnimation

Classes derived from TRangePropertyAnimation
TNumberAnimation


TRangePropertyAnimation.KeepEndValue

TRangePropertyAnimation.KeepEndValue
TRangePropertyAnimation

property KeepEndValue: Boolean;

Unit
TeeAnimate


TRangePropertyAnimation.UseEndValue

TRangePropertyAnimation.UseEndValue
TRangePropertyAnimation

property UseEndValue: Boolean;

Unit
TeeAnimate


TRangePropertyAnimation.UseStartValue

TRangePropertyAnimation.UseStartValue
TRangePropertyAnimation

property UseStartValue: Boolean;

Unit
TeeAnimate


TRectangleTool.0events

TRectangleTool events
TRectangleTool Legend key

Unit
TeeTools

In TRectangleTool
OnDragged
OnDragging
OnResized
OnResizing

Derived from TAnnotationTool
OnAfterDraw
OnBeforeDraw
OnClick
OnDblClick

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRectangleTool.0methods

TRectangleTool methods
TRectangleTool Legend key

Unit
TeeTools

In TRectangleTool
Assign
Bitmap
ClickedEdge
Description
LongDescription

Derived from TAnnotationTool
Clicked

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRectangleTool.0properties

TRectangleTool properties
TRectangleTool Legend key

Unit
TeeTools

In TRectangleTool
AllowDrag
AllowResize
Dragging
Resizing

Derived from TAnnotationTool
AutoSize
Bounds
Callout
ClipText
Cursor
Draw3D
Height
Left
Position
PositionUnits
Shape
Text
TextAlignment
Top
Width
Z

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRectangleTool.AllowDrag

TRectangleTool.AllowDrag
TRectangleTool

property AllowDrag: Boolean;

Unit
TeeTools

Description
Default is True.
When True, users can click and drag a rectangle tool to change its position inside a chart panel.

For example, TMagnifyTool also allows dragging as it derives from TRectangleTool and inherits this behaviour.

See also: Dragging property, OnDragging and OnDragged events.


TRectangleTool.AllowResize

TRectangleTool.AllowResize
TRectangleTool

property AllowResize: Boolean;

Unit
TeeTools

Description
Default is True.
When True, users can click and drag a rectangle edge to change its width and height size values.

For example, TMagnifyTool also allows resizing as it derives from TRectangleTool and inherits this behaviour.

See also: Resizing property, OnResizing and OnResized events.


TRectangleTool.Assign

TRectangleTool.Assign
TRectangleTool

procedure Assign(Source: TPersistent); override;

Unit
TeeTools

Description
Assigns characteristics from other TRectangleTool. Useful to clone tools from other TChart objects.


TRectangleTool.Bitmap

TRectangleTool.Bitmap
TRectangleTool

function Bitmap(ChartOnly: Boolean): TBitmap;

Unit
TeeTools

Description
Returns the portion of the chart display that is under the current rectangle dimensions.

The ChartOnly parameter, when True, will return the chart contents *without* the rectangle tool.


TRectangleTool.ClickedEdge

TRectangleTool.ClickedEdge
TRectangleTool

function ClickedEdge(x, y: Integer): Integer;

Unit
TeeTools

Description
Returns an integer that represents the rectangle edge that is under the xy parameter position, with a tolerance of 4 pixels.

The Left edge returns 0, the Top edge 1, Right edge 2 and Bottom edge 3.


TRectangleTool.Description

TRectangleTool.Description
TRectangleTool

function Description: String; override;

Unit
TeeTools

Description
Returns "Rectangle"


TRectangleTool.Dragging

TRectangleTool.Dragging
TRectangleTool

property Dragging: Boolean;

Unit
TeeTools

Description
Read-only public property that returns True when the rectangle tool is being dragged (moved) by the end-user using the mouse.

See also: AllowDrag property, OnDragging and OnDragged events.


TRectangleTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TAnnotationTool
|
TRectangleTool

Classes derived from TRectangleTool
TCustomLegendTool
TMagnifyTool


TRectangleTool.LongDescription

TRectangleTool.LongDescription
TRectangleTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns a String with explanation of the Rectangle Tool.


TRectangleTool.OnDragged

TRectangleTool.OnDragged
TRectangleTool

property OnDragged: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the user releases the mouse button after the Rectangle has been moved.


TRectangleTool.OnDragging

TRectangleTool.OnDragging
TRectangleTool

property OnDragging: TNotifyEvent;

Unit
TeeTools

Description
This event is called when the user is moving the mouse to drag the rectangle.

Dragging starts when the user maintains the left mouse button pressed over the rectangle.


TRectangleTool.OnResized

TRectangleTool.OnResized
TRectangleTool

property OnResized: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the user releases the mouse button after the Rectangle has been resized.


TRectangleTool.OnResizing

TRectangleTool.OnResizing
TRectangleTool

property OnResizing: TNotifyEvent;

Unit
TeeTools

Description
This event is called when the user resizes an edge of the rectangle.


TRectangleTool.Resizing

TRectangleTool.Resizing
TRectangleTool

property Resizing: Boolean;

Unit
TeeTools

Description
Read-only public property that returns True when the rectangle tool is being resized (edges being dragged) by the end-user using the mouse.

See also: AllowResize property, OnResizing and OnResized events.


TRenkoSeries.0events

TRenkoSeries events
TRenkoSeries Legend key

Unit
TeeRenkoSeries

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRenkoSeries.0methods

TRenkoSeries methods
TRenkoSeries Legend key

Unit
TeeRenkoSeries

In TRenkoSeries
CalcFirstLastVisibleIndex
NumSampleValues

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRenkoSeries.0properties

TRenkoSeries properties
TRenkoSeries Legend key

Unit
TeeRenkoSeries

In TRenkoSeries
BoxSize
CloseValues
DownSwingColor
Draw3D
Transparency
UpSwingColor

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRenkoSeries.BoxSize

TRenkoSeries.BoxSize
TRenkoSeries

property BoxSize: Double;

Unit
TeeRenkoSeries

Description
Default is 1.0

Defines the amount to consider as the minimum price change to switch from a Up brick to a Down brick an vice-versa.


TRenkoSeries.CalcFirstLastVisibleIndex

TRenkoSeries.CalcFirstLastVisibleIndex
TRenkoSeries

procedure CalcFirstLastVisibleIndex; override;

Unit
TeeRenkoSeries

Description
This method can be used to recalculate the index of the first and last visible points. It could be helpful when customizing the chart manually.


TRenkoSeries.CloseValues

TRenkoSeries.CloseValues
TRenkoSeries

property CloseValues: TChartValueList;

Unit
TeeRenkoSeries

Description
Alias to YValues value list.


TRenkoSeries.DownSwingColor

TRenkoSeries.DownSwingColor
TRenkoSeries

property DownSwingColor: TColor;

Unit
TeeRenkoSeries

Description
Color used to fill the bricks when trend is down.


TRenkoSeries.Draw3D

TRenkoSeries.Draw3D
TRenkoSeries

property Draw3D: Boolean;

Unit
TeeRenkoSeries

Description
Default is True.
When chart is in 3D mode, draw bricks as cubes or rectangles depending on Draw3D value.


TRenkoSeries.Hierarchy

Unit
TeeRenkoSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TRenkoSeries

Classes derived from TRenkoSeries
(none)


TRenkoSeries.NumSampleValues

TRenkoSeries.NumSampleValues
TRenkoSeries

function NumSampleValues: Integer; override;

Unit
TeeRenkoSeries

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TRenkoSeries.Transparency

TRenkoSeries.Transparency
TRenkoSeries

property Transparency: TTeeTransparency;

Unit
TeeRenkoSeries

Description
Default is 0.

Percentage of transparency when drawing the bricks against the background.


TRenkoSeries.UpSwingColor

TRenkoSeries.UpSwingColor
TRenkoSeries

property UpSwingColor: TColor;

Unit
TeeRenkoSeries

Description
Color used to fill the bricks when trend is up.


TResizeFilter.0events

TResizeFilter events
TResizeFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TResizeFilter.0methods

TResizeFilter methods
TResizeFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TResizeFilter.0properties

TResizeFilter properties
TResizeFilter Legend key

Unit
TeeFilters

In TResizeFilter
Height
Width

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TResizeFilter.Height

TResizeFilter.Height
TResizeFilter

property Height: Integer;

Unit
TeeFilters

Description
Gets or sets the desired Height in pixels of the new image.


TResizeFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TResizeFilter

Classes derived from TResizeFilter
TCropFilter


TResizeFilter.Width

TResizeFilter.Width
TResizeFilter

property Width: Integer;

Unit
TeeFilters

Description
Gets or sets the desired Width in pixels of the new image.


TReverseFilter.0events

TReverseFilter events
TReverseFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TReverseFilter.0methods

TReverseFilter methods
TReverseFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TReverseFilter.0properties

TReverseFilter properties
TReverseFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TReverseFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TReverseFilter

Classes derived from TReverseFilter
(none)


TRMSFunction.0events

TRMSFunction events
TRMSFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRMSFunction.0methods

TRMSFunction methods
TRMSFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRMSFunction.0properties

TRMSFunction properties
TRMSFunction Legend key

Unit
StatChar

In TRMSFunction
Complete

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRMSFunction.Complete

TRMSFunction.Complete
TRMSFunction

property Complete: Boolean;

Unit
StatChar

Description
The Complete boolean property defines the RMS formula.

RMS = Sqrt(Sum(Sqr(x[i]))/NumPoints) ... Complete = true
RMS = Sqrt(Sum(Sqr(x[i]))/(NumPoints-1)) ... Complete = false


TRMSFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TRMSFunction

Classes derived from TRMSFunction
(none)


TRoseSeries.0events

TRoseSeries events
TRoseSeries Legend key

Unit
TeeRose

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRoseSeries.0methods

TRoseSeries methods
TRoseSeries Legend key

Unit
TeeRose

In TRoseSeries
CalcXPos
CalcYPos
Clicked
MaxXValue
MaxYValue
MinXValue
MinYValue
PointOrigin

Derived from TPolarSeries
AddPolar
CalcYPosValue
CanZoomScroll
UseAxis
XScreenToValue
YScreenToValue

Derived from TCustomPolarSeries
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYSizeValue
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxZValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
VisibleCount
XValueToText
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRoseSeries.0properties

TRoseSeries properties
TRoseSeries Legend key

Unit
TeeRose

In TRoseSeries
MultiRose

Derived from TPolarSeries
AngleValue

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRoseSeries.CalcXPos

TRoseSeries.CalcXPos
TRoseSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeeRose

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

See the user guide for more information.


TRoseSeries.CalcYPos

TRoseSeries.CalcYPos
TRoseSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeeRose

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

See the user guide for more information.


TRoseSeries.Clicked

TRoseSeries.Clicked
TRoseSeries

function Clicked(x, y: Integer): Integer; override;

Unit
TeeRose

Description
Returns True when the point specified by x and y pixels is inside the Rose Series bounds.


TRoseSeries.Hierarchy

Unit
TeeRose

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TPolarSeries
|
TRoseSeries

Classes derived from TRoseSeries
(none)


TRoseSeries.MaxXValue

TRoseSeries.MaxXValue
TRoseSeries

function MaxXValue: Double; override;

Unit
TeeRose

Description
Returns the maximum X value in the Rose series.


TRoseSeries.MaxYValue

TRoseSeries.MaxYValue
TRoseSeries

function MaxYValue: Double; override;

Unit
TeeRose

Description
Returns the maximum Y value in the Rose series.


TRoseSeries.MinXValue

TRoseSeries.MinXValue
TRoseSeries

function MinXValue: Double; override;

Unit
TeeRose

Description
Returns the minimum X value in the Rose series.


TRoseSeries.MinYValue

TRoseSeries.MinYValue
TRoseSeries

function MinYValue: Double; override;

Unit
TeeRose

Description
Returns the minimum Y value in the Rose series.


TRoseSeries.MultiRose

TRoseSeries.MultiRose
TRoseSeries

property MultiRose: TMultiRose;

Unit
TeeRose

Description
The MultiRose property allows two or more Rose Charts to be stacked so that additional Charts are stacked on the previous ones when TMultiRose=(mrStacked); or overlaid on top or each other using the centre point as the origin for all Charts when TMultiRose=(mrNone);


TRoseSeries.PointOrigin

TRoseSeries.PointOrigin
TRoseSeries

function PointOrigin(ValueIndex: Integer; IsX: Boolean): Integer; overload;

Unit
TeeRose

Description
\ltrparInternal use to determine the point of origin for multi-Rose Series when TMultiRose=(mrStacked);


TRotateFilter.0events

TRotateFilter events
TRotateFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TRotateFilter.0methods

TRotateFilter methods
TRotateFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TRotateFilter.0properties

TRotateFilter properties
TRotateFilter Legend key

Unit
TeeFilters

In TRotateFilter
Angle
AutoSize
BackColor

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TRotateFilter.Angle

TRotateFilter.Angle
TRotateFilter

property Angle: Double;

Unit
TeeFilters

Description
Gets or sets the rotation angle in degrees from 0 to 360.


TRotateFilter.AutoSize

TRotateFilter.AutoSize
TRotateFilter

property AutoSize: Boolean;

Unit
TeeFilters

Description
Default is True.

When True, the rotated image is also resized to fit inside the image rectangle.
When False, the rotated image is displayed without resizing, in that case some pixels will not be displayed as they go outside the image width and height rectangle.


TRotateFilter.BackColor

TRotateFilter.BackColor
TRotateFilter

property BackColor: TColor;

Unit
TeeFilters

Description
Gets or sets the color used to fill the image background before displaying the rotated picture.
When the image is rotated, some areas of the picture aren't covered by image pixels.


TRotateFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TRotateFilter

Classes derived from TRotateFilter
(none)


TRotateTool.0events

TRotateTool events
TRotateTool Legend key

Unit
TeeTools

In TRotateTool
OnRotate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRotateTool.0methods

TRotateTool methods
TRotateTool Legend key

Unit
TeeTools

In TRotateTool
Description
LongDescription
Rotate

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRotateTool.0properties

TRotateTool properties
TRotateTool Legend key

Unit
TeeTools

In TRotateTool
Button
Cursor
Inertia
Inverted
Speed
Style

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRotateTool.Button

TRotateTool.Button
TRotateTool

property Button: TMouseButton;

Unit
TeeTools

Description
Default value is mbLeft

The Button property defines by which mousebutton the TTeeCustomTool is activated.
The following values are possible:

mbLeft Pressing the left mouse button and moving the cursor together allows rotation/elevation of the chart
mbRight Pressing the right mouse button and moving the cursor together allows rotation/elevation of the chart
mbMiddle Pressing the middle mouse button and moving the cursor together allows rotation/elevation of the chart


TRotateTool.Cursor

TRotateTool.Cursor
TRotateTool

property Cursor: TCursor;

Unit
TeeTools

Description
The Cursor to show when the user rotates the Chart.

Cursors :

crDefault = TCursor(0);
crNone = TCursor(-1);
crArrow = TCursor(-2);
crCross = TCursor(-3);
crIBeam = TCursor(-4);
crSize = TCursor(-22);
crSizeNESW = TCursor(-6);
crSizeNS = TCursor(-7);
crSizeNWSE = TCursor(-8);
crSizeWE = TCursor(-9);
crUpArrow = TCursor(-10);
crHourGlass = TCursor(-11);
crDrag = TCursor(-12);
crNoDrop = TCursor(-13);
crHSplit = TCursor(-14);
crVSplit = TCursor(-15);
crMultiDrag = TCursor(-16);
crSQLWait = TCursor(-17);
crNo = TCursor(-18);
crAppStart = TCursor(-19);
crHelp = TCursor(-20);
crHandPoint = TCursor(-21);
crSizeAll = TCursor(-22);


TRotateTool.Description

TRotateTool.Description
TRotateTool

function Description: String; override;

Unit
TeeTools

Description
This function returns the description of the TTeeCustomTool. In this case the function returns 'Rotate'.


TRotateTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TRotateTool

Classes derived from TRotateTool
(none)


TRotateTool.Inertia

TRotateTool.Inertia
TRotateTool

property Inertia: Integer;

Unit
TeeTools

Description
Defines the percent amount of rotation movement that will be applied to a chart after the user releases the mouse button.
By default it is zero, meaning there is no inertia and the chart stops rotating inmediately after the mouse button is released.

Valid values for Inertia property are from 0 to 100.

See also: Speed property.


TRotateTool.Inverted

TRotateTool.Inverted
TRotateTool

property Inverted: Boolean;

Unit
TeeTools

Description
When True, rotation is inverted.
That is, when dragging the mouse from left to right the chart will rotate from right to left.
Same for vertical rotation (elevation).


TRotateTool.LongDescription

TRotateTool.LongDescription
TRotateTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns a String with explanation of the Rotate Tool.


TRotateTool.OnRotate

TRotateTool.OnRotate
TRotateTool

property OnRotate: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the end user drags the mouse over a chart.


TRotateTool.Rotate

TRotateTool.Rotate
TRotateTool

procedure Rotate(Const RotationDegrees, ElevationDegrees: Double);

Unit
TeeTools

Description
Changes the chart 3D rotation and elevation values by the offset amount specified at RotationDegrees and ElevationDegrees parameters.
Parameters are expressed as degrees from 0 to 360.


TRotateTool.Speed

TRotateTool.Speed
TRotateTool

property Speed: Integer;

Unit
TeeTools

Description
Defines the percent amount of chart rotation velocity that performs when the mouse is moving.
By default it is 50. ( 50% means normal speed ).
Valid values are from 0 to 100.

Bigger values mean faster rotation and smaller values mean less speed.

See also: Inertia property.


TRotateTool.Style

TRotateTool.Style
TRotateTool

property Style: TRotateToolStyles;

Unit
TeeTools

Description
Controls if rotate tool will apply horizontal rotation, vertical elevation or both.
Default setting is both.


TRSIFunction.0events

TRSIFunction events
TRSIFunction Legend key

Unit
CandleCh

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRSIFunction.0methods

TRSIFunction methods
TRSIFunction Legend key

Unit
CandleCh

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRSIFunction.0properties

TRSIFunction properties
TRSIFunction Legend key

Unit
CandleCh

In TRSIFunction
Style

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRSIFunction.Hierarchy

Unit
CandleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TRSIFunction

Classes derived from TRSIFunction
(none)


TRSIFunction.Style

TRSIFunction.Style
TRSIFunction

property Style: TRSIStyle;

Unit
CandleCh

Description
See TRSIStyle.
Set the RSI function to use either Open or Close values.


TRVIFunction.0events

TRVIFunction events
TRVIFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRVIFunction.0methods

TRVIFunction methods
TRVIFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TRVIFunction.0properties

TRVIFunction properties
TRVIFunction Legend key

Unit
StatChar

In TRVIFunction
Signal
SignalPen

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TRVIFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TRVIFunction

Classes derived from TRVIFunction
(none)


TRVIFunction.Signal

TRVIFunction.Signal
TRVIFunction

property Signal: TFastLineSeries;

Unit
StatChar

Description
Read only.


TRVIFunction.SignalPen

TRVIFunction.SignalPen
TRVIFunction

property SignalPen: TChartPen;

Unit
StatChar

Description
Sets the properties of the pen to draw the signal line.


TSARFunction.0events

TSARFunction events
TSARFunction Legend key

Unit
TeeSAR

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSARFunction.0methods

TSARFunction methods
TSARFunction Legend key

Unit
TeeSAR

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSARFunction.0properties

TSARFunction properties
TSARFunction Legend key

Unit
TeeSAR

In TSARFunction
AccelerationFactor
MaxStep

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSARFunction.AccelerationFactor

TSARFunction.AccelerationFactor
TSARFunction

property AccelerationFactor: Double;

Unit
TeeSAR

Description
Default value: 0.02

Constant value used in calculating the SAR values.

See TSARFunction formula explanation.


TSARFunction.Hierarchy

Unit
TeeSAR

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TSARFunction

Classes derived from TSARFunction
(none)


TSARFunction.MaxStep

TSARFunction.MaxStep
TSARFunction

property MaxStep: Double;

Unit
TeeSAR

Description
Default value: 0.20

Defines the minimum or maximum value to consider as a SAR calculation.

See TSARFunction formula explanation.


TScrollBarThumb.0methods

TScrollBarThumb methods
TScrollBarThumb Legend key

Unit
TeeLegendScrollBar

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TScrollBarThumb.0properties

TScrollBarThumb properties
TScrollBarThumb Legend key

Unit
TeeLegendScrollBar

In TScrollBarThumb
Brush
Gradient
Image
Size
Style


TScrollBarThumb.Brush

TScrollBarThumb.Brush
TScrollBarThumb

property Brush: TChartBrush;

Unit
TeeLegendScrollBar

Description
Gets or sets the color and pattern used to fill the interior of the scrollbar thumb.

Note: When the Image property is used, Brush is ignored.


TScrollBarThumb.Gradient

TScrollBarThumb.Gradient
TScrollBarThumb

property Gradient: TTeeGradient;

Unit
TeeLegendScrollBar

Description
Gets or sets the properties used to fill the interior of the scrollbar thumb.

Note: When the Image property is used, Brush and Gradient are ignored.


TScrollBarThumb.Hierarchy

Unit
TeeLegendScrollBar

Hierarchy

TObject
|
TPersistent
|
TScrollBarThumb

Classes derived from TScrollBarThumb
(none)


TScrollBarThumb.Image

TScrollBarThumb.Image
TScrollBarThumb

property Image: TTeePicture;

Unit
TeeLegendScrollBar

Description
The image used to fill the scrollbar thumb.

Note: The Style property can be set to a pre-defined image.


TScrollBarThumb.Size

TScrollBarThumb.Size
TScrollBarThumb

property Size: Integer;

Unit
TeeLegendScrollBar

Description
Default value is zero.

Gets or sets the number of pixels used to draw the scrollbar thumb.

By default is zero meaning the thumb size will be automatically calculated based on the number of items and visible items that the scrollbar represents.


TScrollBarThumb.Style

TScrollBarThumb.Style
TScrollBarThumb

property Style: TScrollThumbStyle;

Unit
TeeLegendScrollBar

Description
Default value is stsCustom.

Gets or sets the thumb pre-defined picture used to draw the scrollbar thumb.

By default Style is stsCustom meaning no picture is used, and the brush and gradient properties are used to fill the thumb rectangle.


TSelectorTool.0events

TSelectorTool events
TSelectorTool Legend key

Unit
TeeSelectorTool

In TSelectorTool
OnDragged
OnDragging
OnResized
OnResizing
OnSelected

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSelectorTool.0methods

TSelectorTool methods
TSelectorTool Legend key

Unit
TeeSelectorTool

In TSelectorTool
ClearSelection
ClickedCorner
SelectedTitle
StopDragging

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSelectorTool.0properties

TSelectorTool properties
TSelectorTool Legend key

Unit
TeeSelectorTool

In TSelectorTool
AllowDrag
AllowResizeChart
Annotation
Cursor
DraggingShape
DrawHandles
HandleSize
Selection
Series
Wall

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSelectorTool.AllowDrag

TSelectorTool.AllowDrag
TSelectorTool

property AllowDrag: Boolean;

Unit
TeeSelectorTool

Description
Default is True.

Permits the end user to move selected chart elements like series marks, legend, titles, etc.


TSelectorTool.AllowResizeChart

TSelectorTool.AllowResizeChart
TSelectorTool

property AllowResizeChart: Boolean;

Unit
TeeSelectorTool

Description
Default is False.

When True, the selector tool enables clicking the chart to select it and drag the chart corner handles to resize it.


TSelectorTool.Annotation

TSelectorTool.Annotation
TSelectorTool

property Annotation: TAnnotationTool;

Unit
TeeSelectorTool

Description
Returns the currently selected Annotation tool, if any.

If no annotation tool is selected, returns nil.


TSelectorTool.ClearSelection

TSelectorTool.ClearSelection
TSelectorTool

procedure ClearSelection;

Unit
TeeSelectorTool

Description
Sets the selected element to nil and removes any displayed handles.


TSelectorTool.ClickedCorner

TSelectorTool.ClickedCorner
TSelectorTool

function ClickedCorner(X, Y: Integer): Boolean;

Unit
TeeSelectorTool

Description
Returns True when the xy pixel coordinates are just or around a resizing handle (the black rectangles at selected item corners).


TSelectorTool.Cursor

TSelectorTool.Cursor
TSelectorTool

property Cursor: TCursor;

Unit
TeeSelectorTool

Description
The Cursor to show when the user puts the mouse over the Chart objects which can be selected.

Cursors :

crDefault = TCursor(0);
crNone = TCursor(-1);
crArrow = TCursor(-2);
crCross = TCursor(-3);
crIBeam = TCursor(-4);
crSize = TCursor(-22);
crSizeNESW = TCursor(-6);
crSizeNS = TCursor(-7);
crSizeNWSE = TCursor(-8);
crSizeWE = TCursor(-9);
crUpArrow = TCursor(-10);
crHourGlass = TCursor(-11);
crDrag = TCursor(-12);
crNoDrop = TCursor(-13);
crHSplit = TCursor(-14);
crVSplit = TCursor(-15);
crMultiDrag = TCursor(-16);
crSQLWait = TCursor(-17);
crNo = TCursor(-18);
crAppStart = TCursor(-19);
crHelp = TCursor(-20);
crHandPoint = TCursor(-21);
crSizeAll = TCursor(-22);


TSelectorTool.DraggingShape

TSelectorTool.DraggingShape
TSelectorTool

property DraggingShape: TTeeCustomShapePosition;

Unit
TeeSelectorTool

Description
Returns the object that is being currently dragged.

Returns nil if no object is dragged.

The base class TTeeCustomShapePosition is a generic class used to derive chart titles, legend, annotation tools, etc.
You can use the "is" or "=" operators with DraggingShape to determine which part is dragged:

if ChartTool1.DraggingShape = Chart1.Legend then ....


TSelectorTool.DrawHandles

TSelectorTool.DrawHandles
TSelectorTool

property DrawHandles: Boolean;

Unit
TeeSelectorTool

Description
Controls if the selector tool should draw the small black rectangles at selected item corners.

Default is True.

See also the HandleSize property.


TSelectorTool.HandleSize

TSelectorTool.HandleSize
TSelectorTool

property HandleSize: Integer;

Unit
TeeSelectorTool

Description
The size in pixels of the small black rectangles displayed at selected item corners.


TSelectorTool.Hierarchy

Unit
TeeSelectorTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TSelectorTool

Classes derived from TSelectorTool
(none)


TSelectorTool.OnDragged

TSelectorTool.OnDragged
TSelectorTool

property OnDragged: TNotifyEvent;

Unit
TeeSelectorTool

Description
Called when the end-user releases the left mouse button after a dragging operation.
When chart elements dragging is finished this event is triggered.


TSelectorTool.OnDragging

TSelectorTool.OnDragging
TSelectorTool

property OnDragging: TNotifyEvent;

Unit
TeeSelectorTool

Description
Called when the end-user is moving the mouse while pressing the left mouse button when the mouse is over a chart element.


TSelectorTool.OnResized

TSelectorTool.OnResized
TSelectorTool

property OnResized: TNotifyEvent;

Unit
TeeSelectorTool

Description
Called when the end-user releases the left mouse button after a chart resizing operation.
When chart resizing is finished this event is triggered.


TSelectorTool.OnResizing

TSelectorTool.OnResizing
TSelectorTool

property OnResizing: TNotifyEvent;

Unit
TeeSelectorTool

Description
Called when the end-user moves the mouse while resizing the chart.


TSelectorTool.OnSelected

TSelectorTool.OnSelected
TSelectorTool

property OnSelected: TNotifyEvent;

Unit
TeeSelectorTool

Description
Called when the end-user clicks a chart element that is different than the previously selected one.


TSelectorTool.SelectedTitle

TSelectorTool.SelectedTitle
TSelectorTool

function SelectedTitle: TChartTitle;

Unit
TeeSelectorTool

Description
The currently selected chart Title or Foot, if any.
Returns nil if no title or foot is selected.


TSelectorTool.Selection

TSelectorTool.Selection
TSelectorTool

property Selection: TPersistent;

Unit
TeeSelectorTool

Description
Returns the selected object.


TSelectorTool.Series

TSelectorTool.Series
TSelectorTool

property Series: TChartSeries;

Unit
TeeSelectorTool

Description
The currently selected chart Series, if any.
Returns nil if no series is selected.


TSelectorTool.StopDragging

TSelectorTool.StopDragging
TSelectorTool

procedure StopDragging;

Unit
TeeSelectorTool

Description
If this method is called while the end-user is dragging and moving a chart element, the dragging stops and the element is moved to the new location.


TSelectorTool.Wall

TSelectorTool.Wall
TSelectorTool

property Wall: TChartWall;

Unit
TeeSelectorTool

Description
The currently selected chart Wall, if any.
Returns nil if no wall is selected.


TSeriesAction.0events

TSeriesAction events
TSeriesAction Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesAction.0methods

TSeriesAction methods
TSeriesAction Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesAction.0properties

TSeriesAction properties
TSeriesAction Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
Series

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesAction.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomSeriesAction
|
TSeriesAction

Classes derived from TSeriesAction
TSeriesActionActive
TSeriesActionEdit
TSeriesActionMarks


TSeriesActionActive.0events

TSeriesActionActive events
TSeriesActionActive Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesActionActive.0methods

TSeriesActionActive methods
TSeriesActionActive Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesActionActive.0properties

TSeriesActionActive properties
TSeriesActionActive Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
Series

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesActionActive.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomSeriesAction
|
TSeriesAction
|
TSeriesActionActive

Classes derived from TSeriesActionActive
(none)


TSeriesActionEdit.0events

TSeriesActionEdit events
TSeriesActionEdit Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesActionEdit.0methods

TSeriesActionEdit methods
TSeriesActionEdit Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesActionEdit.0properties

TSeriesActionEdit properties
TSeriesActionEdit Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
Series

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesActionEdit.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomSeriesAction
|
TSeriesAction
|
TSeriesActionEdit

Classes derived from TSeriesActionEdit
(none)


TSeriesActionMarks.0events

TSeriesActionMarks events
TSeriesActionMarks Legend key

Unit
TeeChartActions

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesActionMarks.0methods

TSeriesActionMarks methods
TSeriesActionMarks Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
HandlesTarget

Derived from TCustomAction
AssignTo
Create
Destroy
DoHint
Execute
GetSecondaryShortCuts
HandleShortCut
IsSecondaryShortCutsStored
SetAutoCheck
SetCaption
SetChecked
SetEnabled
SetGroupIndex
SetHelpContext
SetHelpKeyword
SetHelpType
SetHint
SetImageIndex
SetName
SetSecondaryShortCuts
SetShortCut
SetVisible

Derived from TContainedAction
GetIndex
GetParentComponent
HasParent
IsCategoryStored
ReadState
SetActionList
SetCategory
SetIndex
SetParentComponent
Update

Derived from TBasicAction
Change
ExecuteTarget
Notification
RegisterChanges
SetActionComponent
SetOnExecute
UnRegisterChanges
UpdateTarget

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesActionMarks.0properties

TSeriesActionMarks properties
TSeriesActionMarks Legend key

Unit
TeeChartActions

Derived from TCustomSeriesAction
Series

Derived from TCustomAction
AutoCheck
Caption
Checked
DisableIfNoHandler
Enabled
GroupIndex
HelpContext
HelpKeyword
HelpType
Hint
ImageIndex
OnHint
SavedEnabledState
SecondaryShortCuts
Shortcut
Visible

Derived from TContainedAction
ActionList
Category
Index

Derived from TBasicAction
ActionComponent
OnChange
OnExecute
OnUpdate

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesActionMarks.Hierarchy

Unit
TeeChartActions

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TBasicAction
|
TContainedAction
|
TCustomAction
|
TCustomSeriesAction
|
TSeriesAction
|
TSeriesActionMarks

Classes derived from TSeriesActionMarks
(none)


TSeriesAnimationTool.0events

TSeriesAnimationTool events
TSeriesAnimationTool Legend key

Unit
TeeTools

In TSeriesAnimationTool
OnStart
OnStep
OnStop

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesAnimationTool.0methods

TSeriesAnimationTool methods
TSeriesAnimationTool Legend key

Unit
TeeTools

In TSeriesAnimationTool
Execute
LongDescription
Running
Stop

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesAnimationTool.0properties

TSeriesAnimationTool properties
TSeriesAnimationTool Legend key

Unit
TeeTools

In TSeriesAnimationTool
Delay
DrawEvery
Loop
StartAtMin
StartValue
Steps

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesAnimationTool.Delay

TSeriesAnimationTool.Delay
TSeriesAnimationTool

property Delay: Integer;

Unit
TeeTools

Description
Milliseconds to wait before the Animation starts

Default : 0


TSeriesAnimationTool.DrawEvery

TSeriesAnimationTool.DrawEvery
TSeriesAnimationTool

property DrawEvery: Integer;

Unit
TeeTools

Description
Default : 0

By default, DrawEvery is zero. This means the animation will be performed using all series points at once.

Setting DrawEvery to, for example, one, means the animation will be performed to each series point individually.


TSeriesAnimationTool.Execute

TSeriesAnimationTool.Execute
TSeriesAnimationTool

procedure Execute; virtual; overload;

Unit
TeeTools

Description
Runs the animation.

Make sure you dont call Execute again while the animation is not finished, to avoid re-entrancy.


TSeriesAnimationTool.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TSeriesAnimationTool

Classes derived from TSeriesAnimationTool
(none)


TSeriesAnimationTool.LongDescription

TSeriesAnimationTool.LongDescription
TSeriesAnimationTool

function LongDescription: String; override;

Unit
TeeTools

Description
Returns a String with an explanation of the SeriesAnimation Tool.


TSeriesAnimationTool.Loop

TSeriesAnimationTool.Loop
TSeriesAnimationTool

property Loop: TSeriesAnimationLoop;

Unit
TeeTools

Description
Gets or sets if the animation will stop when finished or will re-start again.

Possible values are:

salNo (no loop, single pass animation, the animation stops when finished)
salOneWay (the animation loops starting from the beggining)
salCircular (the animation loops from the last step to the first and then to the last again)

The default value is salNo meaning the animation will not perform any loop.


TSeriesAnimationTool.OnStart

TSeriesAnimationTool.OnStart
TSeriesAnimationTool

property OnStart: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the animation is about to Start.


TSeriesAnimationTool.OnStep

TSeriesAnimationTool.OnStep
TSeriesAnimationTool

property OnStep: TSeriesAnimationStep;

Unit
TeeTools

Description
Event called at each animation step.


TSeriesAnimationTool.OnStop

TSeriesAnimationTool.OnStop
TSeriesAnimationTool

property OnStop: TNotifyEvent;

Unit
TeeTools

Description
Event triggered when the animation stopped.


TSeriesAnimationTool.Running

TSeriesAnimationTool.Running
TSeriesAnimationTool

function Running: Boolean;

Unit
TeeTools

Description
Returns True when the animation is currently playing.

See also the Stop method.


TSeriesAnimationTool.StartAtMin

TSeriesAnimationTool.StartAtMin
TSeriesAnimationTool

property StartAtMin: Boolean;

Unit
TeeTools

Description
Default : True

The animation starts changing all series point values to the lowest series value.

Setting StartAtMin to False, and setting the StartValue property, makes the animation to start at that value.

ChartTool1.StartValue := 0 ;
ChartTool1.StartAtMin := False ;


TSeriesAnimationTool.StartValue

TSeriesAnimationTool.StartValue
TSeriesAnimationTool

property StartValue: Double;

Unit
TeeTools

Description
The initial value to set all series points when the animation starts.


TSeriesAnimationTool.Steps

TSeriesAnimationTool.Steps
TSeriesAnimationTool

property Steps: Integer;

Unit
TeeTools

Description
Number of animation steps.

Default : 100

When the number of steps is bigger, the animation is slower.


TSeriesAnimationTool.Stop

TSeriesAnimationTool.Stop
TSeriesAnimationTool

procedure Stop;

Unit
TeeTools

Description
Stops the animation.

See also the Running function.


TSeriesBandTool.0events

TSeriesBandTool events
TSeriesBandTool Legend key

Unit
TeeSeriesBandTool

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesBandTool.0methods

TSeriesBandTool methods
TSeriesBandTool Legend key

Unit
TeeSeriesBandTool

In TSeriesBandTool
Description
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesBandTool.0properties

TSeriesBandTool properties
TSeriesBandTool Legend key

Unit
TeeSeriesBandTool

In TSeriesBandTool
BoundValue
DrawBehindSeries
Gradient
Series2
Transparency

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesBandTool.BoundValue

TSeriesBandTool.BoundValue
TSeriesBandTool

property BoundValue: Double;

Unit
TeeSeriesBandTool

Description
Gets or sets a constant value to be used as one of the limits of band filled areas.

Note: BoundValue property is only used when the Series2 property is not set (ie: is nil).


TSeriesBandTool.Description

TSeriesBandTool.Description
TSeriesBandTool

function Description: String; override;

Unit
TeeSeriesBandTool

Description
Returns "Series Band"


TSeriesBandTool.DrawBehindSeries

TSeriesBandTool.DrawBehindSeries
TSeriesBandTool

property DrawBehindSeries: Boolean;

Unit
TeeSeriesBandTool

Description
Default is True.

When True, filling occurs before the series are displayed.
When False, filling is done after series are output.


TSeriesBandTool.Gradient

TSeriesBandTool.Gradient
TSeriesBandTool

property Gradient: TTeeGradient;

Unit
TeeSeriesBandTool

Description
The gradient colors used to fill the area between the two series.


TSeriesBandTool.Hierarchy

Unit
TeeSeriesBandTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TSeriesBandTool

Classes derived from TSeriesBandTool
(none)


TSeriesBandTool.LongDescription

TSeriesBandTool.LongDescription
TSeriesBandTool

function LongDescription: String; override;

Unit
TeeSeriesBandTool

Description
Returns an String with explanation of the Series band Tool.


TSeriesBandTool.Series2

TSeriesBandTool.Series2
TSeriesBandTool

property Series2: TChartSeries;

Unit
TeeSeriesBandTool

Description
Sets and retrieves the second series associated to this tool.

SeriesBand tool needs two series to fill the area in between them.


TSeriesBandTool.Transparency

TSeriesBandTool.Transparency
TSeriesBandTool

property Transparency: TTeeTransparency;

Unit
TeeSeriesBandTool

Description
The amount of semi-glass effect (opacity) to apply when filling the area between the two series.


TSeriesColorPalette.0methods

TSeriesColorPalette methods
TSeriesColorPalette Legend key

Unit
TeeSurfa

In TSeriesColorPalette
InitColors

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesColorPalette.0properties

TSeriesColorPalette properties
TSeriesColorPalette Legend key

Unit
TeeSurfa

In TSeriesColorPalette
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin


TSeriesColorPalette.EndColor

TSeriesColorPalette.EndColor
TSeriesColorPalette

property EndColor: TColor;

Unit
TeeSurfa


TSeriesColorPalette.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TSeriesColorPalette

Classes derived from TSeriesColorPalette
(none)


TSeriesColorPalette.InitColors

TSeriesColorPalette.InitColors
TSeriesColorPalette

procedure InitColors(Color: TColor; Const MinValue, MaxValue: TChartValue);

Unit
TeeSurfa


TSeriesColorPalette.LegendEvery

TSeriesColorPalette.LegendEvery
TSeriesColorPalette

property LegendEvery: Integer;

Unit
TeeSurfa


TSeriesColorPalette.MidColor

TSeriesColorPalette.MidColor
TSeriesColorPalette

property MidColor: TColor;

Unit
TeeSurfa


TSeriesColorPalette.Palette

TSeriesColorPalette.Palette
TSeriesColorPalette

property Palette: TCustom3DPalette;

Unit
TeeSurfa


TSeriesColorPalette.PaletteMin

TSeriesColorPalette.PaletteMin
TSeriesColorPalette

property PaletteMin: Double;

Unit
TeeSurfa


TSeriesColorPalette.PaletteStep

TSeriesColorPalette.PaletteStep
TSeriesColorPalette

property PaletteStep: Double;

Unit
TeeSurfa


TSeriesColorPalette.PaletteSteps

TSeriesColorPalette.PaletteSteps
TSeriesColorPalette

property PaletteSteps: Integer;

Unit
TeeSurfa


TSeriesColorPalette.PaletteStyle

TSeriesColorPalette.PaletteStyle
TSeriesColorPalette

property PaletteStyle: TTeePaletteStyle;

Unit
TeeSurfa


TSeriesColorPalette.StartColor

TSeriesColorPalette.StartColor
TSeriesColorPalette

property StartColor: TColor;

Unit
TeeSurfa


TSeriesColorPalette.UseColorRange

TSeriesColorPalette.UseColorRange
TSeriesColorPalette

property UseColorRange: Boolean;

Unit
TeeSurfa


TSeriesColorPalette.UsePalette

TSeriesColorPalette.UsePalette
TSeriesColorPalette

property UsePalette: Boolean;

Unit
TeeSurfa


TSeriesColorPalette.UsePaletteMin

TSeriesColorPalette.UsePaletteMin
TSeriesColorPalette

property UsePaletteMin: Boolean;

Unit
TeeSurfa


TSeriesData.0methods

TSeriesData methods
TSeriesData Legend key

Unit
TeeStore

In TSeriesData
AsString
ValueToString

Derived from TTeeExportData
CopyToClipboard
SaveToFile
SaveToStream

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesData.0properties

TSeriesData properties
TSeriesData Legend key

Unit
TeeStore

In TSeriesData
Chart
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


TSeriesData.AsString

TSeriesData.AsString
TSeriesData

function AsString: String; override;

Unit
TeeStore

Description

The AsString function returns the series data values in text format.

Each different Series Data component has properties to control the text conversion of series values.

Depending on the format, the resulting text can be HTML, XML or comma separated values.

AsString is a virtual method, overrided by descendant classes.


TSeriesData.Chart

TSeriesData.Chart
TSeriesData

property Chart: TCustomChart;

Unit
TeeStore

Description
TChart to which to associate the SeriesData child component.


TSeriesData.Hierarchy

Unit
TeeStore

Hierarchy

TObject
|
TPersistent
|
TTeeExportData
|
TSeriesData

Classes derived from TSeriesData
TSeriesDataHTML
TSeriesDataText
TSeriesDataXLS
TSeriesDataXML


TSeriesData.IncludeColors

TSeriesData.IncludeColors
TSeriesData

property IncludeColors: Boolean;

Unit
TeeStore

Description
Whether or not to include the point Colors of the data Series source in the exported data.


TSeriesData.IncludeHeader

TSeriesData.IncludeHeader
TSeriesData

property IncludeHeader: Boolean;

Unit
TeeStore

Description
Whether or not to include the Header of the data Series source in the exported data. The Header is typically the Series Title, or, if not set, the Series Name.


TSeriesData.IncludeIndex

TSeriesData.IncludeIndex
TSeriesData

property IncludeIndex: Boolean;

Unit
TeeStore

Description
Default False.

Whether or not to include the Index of each point in the output Seriesdata. For Series data added with the Add method the Index values will equal the X values as the Add method generates X values against an input of only Y values (for eg. a Line, Bar or Area Series). For data added as XY values (eg. with AddXY), then the output Seriesdata will include those X and Y values and the Index column (if enabled with the IncludeIndex property) will contain an list of point indexes which will be a sequential count of point indices.


TSeriesData.IncludeLabels

TSeriesData.IncludeLabels
TSeriesData

property IncludeLabels: Boolean;

Unit
TeeStore

Description
Default False.

Whether or not to include Labels with the output Seriesdata.


TSeriesData.Series

TSeriesData.Series
TSeriesData

property Series: TChartSeries;

Unit
TeeStore

Description
The Series used by the TSeriesData child component as datasource for export.


TSeriesData.UseSeriesFormat

TSeriesData.UseSeriesFormat
TSeriesData

property UseSeriesFormat: Boolean;

Unit
TeeStore

Description
Boolean property.
It it's set to True when we export the data and it will use the Format specified by the Series.ValueFormat property.
If not it will use the ValueFormat specified by the TSeriesData object.


TSeriesData.ValueFormat

TSeriesData.ValueFormat
TSeriesData

property ValueFormat: String;

Unit
TeeStore

Description
ValueFormat is a standard Delphi / C++Builder formatting string specifier.


TSeriesData.ValueToString

TSeriesData.ValueToString
TSeriesData

function ValueToString(ASeries: TChartSeries; Const Value: Double): String;

Unit
TeeStore

Description
Returns the Index'th value as string.
Corresponds to FloatToStr( Value[ Index ] )


TSeriesDataHTML.0methods

TSeriesDataHTML methods
TSeriesDataHTML Legend key

Unit
TeeStore

In TSeriesDataHTML
AsString

Derived from TSeriesData
ValueToString

Derived from TTeeExportData
CopyToClipboard
SaveToFile
SaveToStream

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesDataHTML.0properties

TSeriesDataHTML properties
TSeriesDataHTML Legend key

Unit
TeeStore

Derived from TSeriesData
Chart
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


TSeriesDataHTML.AsString

TSeriesDataHTML.AsString
TSeriesDataHTML

function AsString: String; override;

Unit
TeeStore

Description
Returns the Series data in HTML language, (as an HTML Table).


TSeriesDataHTML.Hierarchy

Unit
TeeStore

Hierarchy

TObject
|
TPersistent
|
TTeeExportData
|
TSeriesData
|
TSeriesDataHTML

Classes derived from TSeriesDataHTML
(none)


TSeriesDataSet.0events

TSeriesDataSet events
TSeriesDataSet Legend key

Unit
TeeData

Derived from TDataSet
Active
ActiveRecord
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AfterRefresh
AfterScroll
AggFields
AutoCalcFields
BeforeCancel
BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeforeRefresh
BeforeScroll
BlobFieldCount
BlockReadSize
BOF
Bookmark
BookmarkSize
BufferCount
Buffers
CalcBuffer
CalcFieldsSize
CanModify
Constraints
CurrentRecord
DataSetField
DataSource
DefaultFields
Designer
Eof
FieldCount
FieldDefList
FieldDefs
FieldList
FieldNoOfs
Fields
FieldValues
Filter
Filtered
FilterOptions
Found
InternalCalcFields
IsUniDirectional
Modified
NestedDataSetClass
NestedDataSets
ObjectView
OnCalcFields
OnDeleteError
OnEditError
OnFilterRecord
OnNewRecord
OnPostError
RecNo
RecordCount
RecordSize
Reserved
SparseArrays
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesDataSet.0methods

TSeriesDataSet methods
TSeriesDataSet Legend key

Unit
TeeData

Derived from TDataSet
ActivateBuffers
ActiveBuffer
AddDataSource
AddRecord
AllocRecordBuffer
Append
AppendRecord
BeginInsertAppend
BindFields
BlockReadNext
BookmarkAvailable
BookmarkValid
CalculateFields
Cancel
CheckActive
CheckBiDirectional
CheckBrowseMode
CheckCanModify
CheckFieldCompatibility
CheckInactive
CheckOperation
CheckParentState
CheckRequiredFields
ClearBuffers
ClearCalcFields
ClearFields
Close
CloseBlob
CloseCursor
CompareBookmarks
ControlsDisabled
Create
CreateBlobStream
CreateFields
CreateNestedDataSet
CursorPosChanged
DataConvert
DataEvent
DefChanged
Delete
Destroy
DestroyFields
DisableControls
DoAfterCancel
DoAfterClose
DoAfterDelete
DoAfterEdit
DoAfterInsert
DoAfterOpen
DoAfterPost
DoAfterRefresh
DoAfterScroll
DoBeforeCancel
DoBeforeClose
DoBeforeDelete
DoBeforeEdit
DoBeforeInsert
DoBeforeOpen
DoBeforePost
DoBeforeRefresh
DoBeforeScroll
DoInternalOpen
DoOnCalcFields
DoOnNewRecord
Edit
EnableControls
EndInsertAppend
FieldByName
FieldByNumber
FindField
FindFirst
FindLast
FindNext
FindPrior
FindRecord
First
FreeBookmark
FreeFieldBuffers
FreeRecordBuffer
GetActive
GetAggRecordCount
GetAggregateValue
GetBlobFieldData
GetBookmark
GetBookmarkData
GetBookmarkFlag
GetBookmarkStr
GetBuffer
GetCalcFields
GetCanModify
GetChildren
GetCurrentRecord
GetDataSource
GetDetailDataSets
GetDetailLinkFields
GetFieldClass
GetFieldCount
GetFieldData
GetFieldFullName
GetFieldList
GetFieldNames
GetFieldValue
GetFound
GetIndexDefs
GetIsIndexField
GetNestedDataSets
GetNextRecord
GetNextRecords
GetPriorRecord
GetPriorRecords
GetRecNo
GetRecord
GetRecordCount
GetRecordSize
GetStateFieldValue
GotoBookmark
InitFieldDefs
InitFieldDefsFromFields
InitRecord
Insert
InsertRecord
InternalAddRecord
InternalCancel
InternalClose
InternalDelete
InternalEdit
InternalFirst
InternalGotoBookmark
InternalHandleException
InternalInitFieldDefs
InternalInitRecord
InternalInsert
InternalLast
InternalOpen
InternalPost
InternalRefresh
InternalSetToRecord
IsCursorOpen
IsEmpty
IsLinkedTo
IsSequenced
Last
Loaded
Locate
Lookup
MoveBuffer
MoveBy
Next
Open
OpenCursor
OpenCursorComplete
OpenParentDataSet
Post
Prior
PSEndTransaction
PSExecute
PSExecuteStatement
PSGetAttributes
PSGetDefaultOrder
PSGetIndexDefs
PSGetKeyFields
PSGetParams
PSGetQuoteChar
PSGetTableName
PSGetUpdateException
PSInTransaction
PSIsSQLBased
PSIsSQLSupported
PSReset
PSSetCommandText
PSSetParams
PSStartTransaction
PSUpdateRecord
Refresh
RefreshInternalCalcFields
RemoveDataSource
ResetAggField
RestoreState
Resync
SetActive
SetBlockReadSize
SetBookmarkData
SetBookmarkFlag
SetBookmarkStr
SetBufferCount
SetBufListSize
SetChildOrder
SetConstraints
SetCurrentRecord
SetDataSetField
SetDefaultFields
SetFieldData
SetFieldDefs
SetFields
SetFieldValue
SetFiltered
SetFilterOptions
SetFilterText
SetFound
SetModified
SetName
SetObjectView
SetOnFilterRecord
SetRecNo
SetSparseArrays
SetState
SetStateFieldValue
SetTempState
SetUniDirectional
TempBuffer
Translate
UpdateBufferCount
UpdateCursorPos
UpdateIndexDefs
UpdateRecord
UpdateStatus

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesDataSet.0properties

TSeriesDataSet properties
TSeriesDataSet Legend key

Unit
TeeData

In TSeriesDataSet
Series

Derived from TDataSet
Active
ActiveRecord
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AfterRefresh
AfterScroll
AggFields
AutoCalcFields
BeforeCancel
BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeforeRefresh
BeforeScroll
BlobFieldCount
BlockReadSize
BOF
Bookmark
BookmarkSize
BufferCount
Buffers
CalcBuffer
CalcFieldsSize
CanModify
Constraints
CurrentRecord
DataSetField
DataSource
DefaultFields
Designer
Eof
FieldCount
FieldDefList
FieldDefs
FieldList
FieldNoOfs
Fields
FieldValues
Filter
Filtered
FilterOptions
Found
InternalCalcFields
IsUniDirectional
Modified
NestedDataSetClass
NestedDataSets
ObjectView
OnCalcFields
OnDeleteError
OnEditError
OnFilterRecord
OnNewRecord
OnPostError
RecNo
RecordCount
RecordSize
Reserved
SparseArrays
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesDataSet.Hierarchy

Unit
TeeData

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TDataSet
|
TTeeDataSet
|
TSeriesDataSet

Classes derived from TSeriesDataSet
(none)


TSeriesDataSet.Series

TSeriesDataSet.Series
TSeriesDataSet

property Series: TChartSeries;

Unit
TeeData

Description
Use this property to select the TeeChart Series with which you wish to associate the TSeriesDataset.


TSeriesDataText.0methods

TSeriesDataText methods
TSeriesDataText Legend key

Unit
TeeStore

In TSeriesDataText
AsString

Derived from TSeriesData
ValueToString

Derived from TTeeExportData
CopyToClipboard
SaveToFile
SaveToStream

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesDataText.0properties

TSeriesDataText properties
TSeriesDataText Legend key

Unit
TeeStore

In TSeriesDataText
TextDelimiter
TextQuotes

Derived from TSeriesData
Chart
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


TSeriesDataText.AsString

TSeriesDataText.AsString
TSeriesDataText

function AsString: String; override;

Unit
TeeStore

Description
Returns the Series data in text format.


TSeriesDataText.Hierarchy

Unit
TeeStore

Hierarchy

TObject
|
TPersistent
|
TTeeExportData
|
TSeriesData
|
TSeriesDataText

Classes derived from TSeriesDataText
(none)


TSeriesDataText.TextDelimiter

TSeriesDataText.TextDelimiter
TSeriesDataText

property TextDelimiter: Char;

Unit
TeeStore

Description
Default ',' (comma).

Set character to use to delimit fields in the output data text file.


TSeriesDataText.TextQuotes

TSeriesDataText.TextQuotes
TSeriesDataText

property TextQuotes: String;

Unit
TeeStore

Description
Default: '' (empty)

This property determines the characters used to prefix and postfix text and datetime values when exporting the series to text.

You can set for example TextQuotes to " (double quote) or ' (single quote) and all text and datetime values will be contained around this characters.


TSeriesDataXLS.0methods

TSeriesDataXLS methods
TSeriesDataXLS Legend key

Unit
TeeStore

In TSeriesDataXLS
SaveToStream

Derived from TSeriesData
AsString
ValueToString

Derived from TTeeExportData
CopyToClipboard
SaveToFile

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesDataXLS.0properties

TSeriesDataXLS properties
TSeriesDataXLS Legend key

Unit
TeeStore

Derived from TSeriesData
Chart
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


TSeriesDataXLS.Hierarchy

Unit
TeeStore

Hierarchy

TObject
|
TPersistent
|
TTeeExportData
|
TSeriesData
|
TSeriesDataXLS

Classes derived from TSeriesDataXLS
(none)


TSeriesDataXLS.SaveToStream

TSeriesDataXLS.SaveToStream
TSeriesDataXLS

procedure SaveToStream(AStream: TStream); override;

Unit
TeeStore

Description
Stores the Series data into Stream, in Excel binary BIFF format.


TSeriesDataXML.0methods

TSeriesDataXML methods
TSeriesDataXML Legend key

Unit
TeeStore

In TSeriesDataXML
AsString

Derived from TSeriesData
ValueToString

Derived from TTeeExportData
CopyToClipboard
SaveToFile
SaveToStream

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesDataXML.0properties

TSeriesDataXML properties
TSeriesDataXML Legend key

Unit
TeeStore

In TSeriesDataXML
Encoding

Derived from TSeriesData
Chart
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


TSeriesDataXML.AsString

TSeriesDataXML.AsString
TSeriesDataXML

function AsString: String; override;

Unit
TeeStore

Description
Returns the Series data as a text string (of XML language).


TSeriesDataXML.Encoding

TSeriesDataXML.Encoding
TSeriesDataXML

property Encoding: String;

Unit
TeeStore

Description
Default: '' (empty)

Determines the standard XML "encoding" specifier used to generate the XML header.

When the Encoding property is empty, on normal systems it will be : ISO-8859-1

On Japanese systems it will be: shift_jis


TSeriesDataXML.Hierarchy

Unit
TeeStore

Hierarchy

TObject
|
TPersistent
|
TTeeExportData
|
TSeriesData
|
TSeriesDataXML

Classes derived from TSeriesDataXML
(none)


TSeriesGroup.0events

TSeriesGroup events
TSeriesGroup Legend key

Unit
TeEngine

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSeriesGroup.0methods

TSeriesGroup methods
TSeriesGroup Legend key

Unit
TeEngine

In TSeriesGroup
Add
Hide
Show

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesGroup.0properties

TSeriesGroup properties
TSeriesGroup Legend key

Unit
TeEngine

In TSeriesGroup
Active
Name
Series

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSeriesGroup.Active

TSeriesGroup.Active
TSeriesGroup

property Active: TSeriesGroupActive;

Unit
TeEngine

Description
Returns gaYes if all series in the group are Active (Visible).

Returns gaNo if no series are visible.

Returns gaSome if some of the series are visible.


TSeriesGroup.Add

TSeriesGroup.Add
TSeriesGroup

procedure Add(Series: TChartSeries);

Unit
TeEngine

Description
Adds one more Series to the group.


TSeriesGroup.Hide

TSeriesGroup.Hide
TSeriesGroup

procedure Hide;

Unit
TeEngine

Description
For all series in the group, sets their Visible property to False.


TSeriesGroup.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TSeriesGroup

Classes derived from TSeriesGroup
(none)


TSeriesGroup.Name

TSeriesGroup.Name
TSeriesGroup

property Name: String;

Unit
TeEngine

Description
The name of the group. Used by the chart editor to display group names.


TSeriesGroup.Series

TSeriesGroup.Series
TSeriesGroup

property Series: TCustomSeriesList;

Unit
TeEngine

Description
The list of series that belong to this group.

Note:
The same series can exist in more than one group, thus enabling "m to n" correspondence between groups and series.


TSeriesGroup.Show

TSeriesGroup.Show
TSeriesGroup

procedure Show;

Unit
TeEngine

Description
For all series in the group, sets their Visible property to True.


TSeriesGroups.0events

TSeriesGroups events
TSeriesGroups Legend key

Unit
TeEngine

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TSeriesGroups.0methods

TSeriesGroups methods
TSeriesGroups Legend key

Unit
TeEngine

In TSeriesGroups
Contains
FindByName

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesGroups.0properties

TSeriesGroups properties
TSeriesGroups Legend key

Unit
TeEngine

In TSeriesGroups
Items

Derived from TCollection
Count
ItemClass
NextID
PropName
UpdateCount


TSeriesGroups.Contains

TSeriesGroups.Contains
TSeriesGroups

function Contains(Series: TChartSeries): Integer;

Unit
TeEngine

Description
Returns which group index is the first group that contains the Series parameter.

Returns -1 if the series does not belong to any group.


TSeriesGroups.FindByName

TSeriesGroups.FindByName
TSeriesGroups

function FindByName(Const Name: String; CaseSensitive: Boolean): TSeriesGroup;

Unit
TeEngine

Description
Functin useful to verify if a Series Group exists. If found it returns a TSeriesGroup object to be able to be utilized subsequently.


TSeriesGroups.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TSeriesGroups

Classes derived from TSeriesGroups
(none)


TSeriesGroups.Items

TSeriesGroups.Items
TSeriesGroups

property Items[Index: Integer]: TSeriesGroup;

Unit
TeEngine

Description
Returns the TSeriesGroup inside the list.


TSeriesMarkPosition.0methods

TSeriesMarkPosition methods
TSeriesMarkPosition Legend key

Unit
TeEngine

In TSeriesMarkPosition
Assign
Bounds

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesMarkPosition.Assign

TSeriesMarkPosition.Assign
TSeriesMarkPosition

procedure Assign(Source: TSeriesMarkPosition);

Unit
TeEngine

Description
Assigns characteristics from other TSeriesMarkPosition. Ie. ArrowFrom, ArrowTo, LeftTop, Height, and Width.


TSeriesMarkPosition.Bounds

TSeriesMarkPosition.Bounds
TSeriesMarkPosition

function Bounds: TRect;

Unit
TeEngine

Description
Returns bounds (pixel locations) of Series Mark relative to Chart Left / Top origin.


TSeriesMarkPosition.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TSeriesMarkPosition

Classes derived from TSeriesMarkPosition
(none)


TSeriesMarks.0methods

TSeriesMarks methods
TSeriesMarks Legend key

Unit
TeEngine

In TSeriesMarks
ApplyArrowLength
Clear
Clicked
DrawItem
DrawText
ResetPositions

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesMarks.0properties

TSeriesMarks properties
TSeriesMarks Legend key

Unit
TeEngine

In TSeriesMarks
Angle
Arrow
ArrowLength
BackColor
Callout
Clip
DrawEvery
FontSeriesColor
Item
Items
Margins
MultiLine
OnTop
ParentSeries
Positions
Style
Symbol
TextAlign
ZPosition

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TSeriesMarks.Angle

TSeriesMarks.Angle
TSeriesMarks

property Angle: Integer;

Unit
TeEngine

Description
The Angle property sets the rotation degree applied to each Point Mark.


TSeriesMarks.ApplyArrowLength

TSeriesMarks.ApplyArrowLength
TSeriesMarks

procedure ApplyArrowLength(APosition: TSeriesMarkPosition);

Unit
TeEngine

Description

This procedure is internally called by the series marks component when each series mark is displayed.
The series mark has an optional "arrow length", a line drawn from the series point to the series mark.

When a mark is drawn, this "length", in screen pixels, is incremented / decremented from the series mark position object.


TSeriesMarks.Arrow

TSeriesMarks.Arrow
TSeriesMarks

property Arrow: TChartArrowPen;

Unit
TeEngine

Description
The Arrow property determines the kind of pen used to draw a line connecting the Point Mark to the corresponding Series point.

Each Series component handles Marks in a different manner, thus the Arrow coordinates are specific to each Series type.

By default, Arrow pen is defined to be a White solid pen of 1 pixel width.


TSeriesMarks.ArrowLength

TSeriesMarks.ArrowLength
TSeriesMarks

property ArrowLength: Integer;

Unit
TeEngine

Description
Default Value: 16

The ArrowLength property determines the number of pixels used to display a line connecting the Series Marks to their corresponding points.


TSeriesMarks.BackColor

TSeriesMarks.BackColor
TSeriesMarks

property BackColor: TColor;

Unit
TeEngine

Description
Default Value = $80FFFF (Yellow)

The BackColor property defines the color used to fill the Marks background rectangle.


TSeriesMarks.Callout

TSeriesMarks.Callout
TSeriesMarks

property Callout: TMarksCallout;

Unit
TeEngine

Description
Determines the properties to draw a line connecting a series mark to its series point.


TSeriesMarks.Clear

TSeriesMarks.Clear
TSeriesMarks

procedure Clear;

Unit
TeEngine

Description
Removes all custom marks.
When no custom marks exists, all marks will be displayed using the default formatting properties.


TSeriesMarks.Clicked

TSeriesMarks.Clicked
TSeriesMarks

function Clicked(x, y: Integer): Integer; overload;

Unit
TeEngine


TSeriesMarks.Clip

TSeriesMarks.Clip
TSeriesMarks

property Clip: Boolean;

Unit
TeEngine

Description
The Clip boolean property toggles if Marks outside Chart limits will overwrite any other Chart region.

By default it is True, meaning Marks will be drawn only within inner chart boundaries, keeping Axis Labels, Titles, Legend, etc almost untouched.


TSeriesMarks.DrawEvery

TSeriesMarks.DrawEvery
TSeriesMarks

property DrawEvery: Integer;

Unit
TeEngine

Description
Use DrawEvery to set the number of consecutive Marks to be drawn. Setting this property to two will draw every other Mark, to three every third etc.


TSeriesMarks.DrawItem

TSeriesMarks.DrawItem
TSeriesMarks

procedure DrawItem(Shape: TTeeCustomShape; AColor: TColor; Const Text: String; APosition: TSeriesMarkPosition);

Unit
TeEngine

Description
Internal method to display custom series marks using the given Shape parameter properties, and the AColor, Text and APosition parameters.


TSeriesMarks.DrawText

TSeriesMarks.DrawText
TSeriesMarks

procedure DrawText(Const R: TRect; Const St: String);

Unit
TeEngine

Description

The DrawText method is the responsible to draw the series mark text.
This method is internally used by the series marks object.

The R ( rectangle ) parameter specifies the coordinates of the bounding rectangle for the mark.
The St ( string ) parameter defines the displayed text.

See also:

Positions property.
TChartSeries.Marks property.


TSeriesMarks.FontSeriesColor

TSeriesMarks.FontSeriesColor
TSeriesMarks

property FontSeriesColor: Boolean;

Unit
TeEngine

Description
The Marks FontSeriesColor property displays each marks series item using the Series Color.
Applies to a specific Series.

Example:

Series1.Marks.FontSeriesColor := True ;


TSeriesMarks.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TSeriesMarks

Classes derived from TSeriesMarks
(none)


TSeriesMarks.Item

TSeriesMarks.Item
TSeriesMarks

property Item[Index: Integer]: TMarksItem;

Unit
TeEngine

Description
Returns the formatting object for the Index'th mark.


TSeriesMarks.Items

TSeriesMarks.Items
TSeriesMarks

property Items: TMarksItems;

Unit
TeEngine

Description
Returns a collection of mark items.
Each mark item has its own formatting (color, font, shadow, etc).
By default Items are empty, so the default marks formatting is used.


TSeriesMarks.Margins

TSeriesMarks.Margins
TSeriesMarks

property Margins: TMargins;

Unit
TeEngine

Description
Configures the amount of space to leave between the mark rectangle edges and the mark text inside it.


TSeriesMarks.MultiLine

TSeriesMarks.MultiLine
TSeriesMarks

property MultiLine: Boolean;

Unit
TeEngine

Description
Setting Multiline enables/disables multiline Axis labels.

Example:

Series1.Add( 123, 'Hello'+TeeLineSeparator+'World' );
Series1.Marks.MultiLine:=True;


TSeriesMarks.OnTop

TSeriesMarks.OnTop
TSeriesMarks

property OnTop: Boolean;

Unit
TeEngine

Description
Gets or sets a value which determines if Series Marks are always drawn on top of all other Series in the Chart.


TSeriesMarks.ParentSeries

TSeriesMarks.ParentSeries
TSeriesMarks

property ParentSeries: TChartSeries;

Unit
TeEngine

Description
ParentSeries is a read-only runtime property.

The ParentSeries property returns the Series component that owns the TSeriesMarks subcomponent.

All Series types own a Marks subcomponent of the TSeriesMarks class.


TSeriesMarks.Positions

TSeriesMarks.Positions
TSeriesMarks

property Positions: TSeriesMarksPositions;

Unit
TeEngine

Description
Use Positions to access custom position characteristics for Series Marks.


TSeriesMarks.ResetPositions

TSeriesMarks.ResetPositions
TSeriesMarks

procedure ResetPositions;

Unit
TeEngine

Description
Reset Marks to their default positions.


TSeriesMarks.Style

TSeriesMarks.Style
TSeriesMarks

property Style: TSeriesMarksStyle;

Unit
TeEngine

Description
Default Value: smsLabel

The Style property defines how Series Marks are constructed. Each different Style value makes Marks output a different text. Several options are available, but you can also use the TChartSeries.OnGetMarkText event to override the default Series Marks text.


TSeriesMarks.Symbol

TSeriesMarks.Symbol
TSeriesMarks

property Symbol: TSeriesMarksSymbol;

Unit
TeEngine

Description
Series Marks can display a small "symbol", similar to the Chart Legend symbol, inside each series mark rectangle.

The Symbol property includes several formatting properties used to display the symbol inside the mark.

By default Symbol.Visible is False.


TSeriesMarks.TextAlign

TSeriesMarks.TextAlign
TSeriesMarks

property TextAlign: TAlignment;

Unit
TeEngine

Description
Default Value: taCenter

The TextAlign property defines the alignment of the Series Marks text. are constructed. The following options are available :

taLeftJustify
taRightJustify
taCenter


TSeriesMarks.ZPosition

TSeriesMarks.ZPosition
TSeriesMarks

property ZPosition: Integer;

Unit
TeEngine

Description
Use ZPosition to read/write the Z pixel coordinates of Series' Marks.


TSeriesMarksPositions.0events

TSeriesMarksPositions events
TSeriesMarksPositions Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TSeriesMarksPositions.0methods

TSeriesMarksPositions methods
TSeriesMarksPositions Legend key

Unit
TeEngine

In TSeriesMarksPositions
Automatic
Clear
ExistCustom
MoveTo

Derived from TList
Add
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesMarksPositions.0properties

TSeriesMarksPositions properties
TSeriesMarksPositions Legend key

Unit
TeEngine

In TSeriesMarksPositions
Position

Derived from TList
Capacity
Count
Items
List


TSeriesMarksPositions.Automatic

TSeriesMarksPositions.Automatic
TSeriesMarksPositions

procedure Automatic(Index: Integer);

Unit
TeEngine

Description
Sets the mark of Point Index to Automatic.
If the Mark was previously at a Custom position the Chart must be repainted for the change to take effect.

When a position is automatic, the next time the Chart repaints it will recalculate the best position for the mark.

Example

{ Place Mark of Point ValueIndex 3 to automatic position }
Series1.Marks.Positions.Automatic(3);
Chart1.Repaint;


TSeriesMarksPositions.Clear

TSeriesMarksPositions.Clear
TSeriesMarksPositions

procedure Clear; override;

Unit
TeEngine

Description
Removes all custom positions from the collection.

Marks will be automatically positioned.


TSeriesMarksPositions.ExistCustom

TSeriesMarksPositions.ExistCustom
TSeriesMarksPositions

function ExistCustom: Boolean;

Unit
TeEngine

Description
Returns True if any Series Marks are at a Custom position.
Returns False when all Series Mark positions are automatically created when repainting the series.


TSeriesMarksPositions.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TSeriesMarksPositions

Classes derived from TSeriesMarksPositions
(none)


TSeriesMarksPositions.MoveTo

TSeriesMarksPositions.MoveTo
TSeriesMarksPositions

procedure MoveTo(Var Position: TSeriesMarkPosition; Const XPos, YPos: Integer);

Unit
TeEngine

Description
This method allows the user to move a specific Mark to a custom position.

Code example :

procedure TForm1.BitBtn1Click(Sender: TObject);
var MarkToMove : TSeriesMarkPosition;
begin
MarkToMove := Series1.Marks.Positions.Position[1];
with Series1 do
begin
Marks.Positions.Position[1].Custom:=true;
Marks.Positions.MoveTo(MarkToMove,MarkToMove.LeftTop.X+50,
MarkToMove.LeftTop.Y+50);
Repaint;
end;
end;


TSeriesMarksPositions.Position

TSeriesMarksPositions.Position
TSeriesMarksPositions

property Position[Index: Integer]: TSeriesMarkPosition;

Unit
TeEngine

Description
Set the position characteristics of the Mark for Series point 'Index'.


TSeriesMarksSymbol.0methods

TSeriesMarksSymbol methods
TSeriesMarksSymbol Legend key

Unit
TeEngine

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesMarksSymbol.0properties

TSeriesMarksSymbol properties
TSeriesMarksSymbol Legend key

Unit
TeEngine

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TSeriesMarksSymbol.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TSeriesMarksSymbol

Classes derived from TSeriesMarksSymbol
(none)


TSeriesPointer.0methods

TSeriesPointer methods
TSeriesPointer Legend key

Unit
TeEngine

In TSeriesPointer
Draw
DrawPointer
PrepareCanvas

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesPointer.0properties

TSeriesPointer properties
TSeriesPointer Legend key

Unit
TeEngine

In TSeriesPointer
Color
Dark3D
Depth
Draw3D
Emboss
Gradient
HorizSize
InflateMargins
ParentSeries
Shadow
Size
Style
Transparency
VertSize

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TSeriesPointer.Color

TSeriesPointer.Color
TSeriesPointer

property Color: TColor;

Unit
TeEngine

Description
The Pointer color.
Corresponds to Pointer.Brush.Color property.


TSeriesPointer.Dark3D

TSeriesPointer.Dark3D
TSeriesPointer

property Dark3D: Boolean;

Unit
TeEngine

Description
Default Value: True

The Dark3D property controls if Series Pointers will be displayed with darker right and top sides.


TSeriesPointer.Depth

TSeriesPointer.Depth
TSeriesPointer

property Depth: Integer;

Unit
TeEngine

Description
Controls the depth of the pointer.


TSeriesPointer.Draw

TSeriesPointer.Draw
TSeriesPointer

procedure Draw(P: TPoint); overload;

Unit
TeEngine

Description
The Draw method displays a pointer at the specified px and py screen pixel coordinates.

The pointer is drawn using the current HorizSize and VertSize dimensions.

It calls the TSeriesPointer.DrawPointer method.


TSeriesPointer.Draw3D

TSeriesPointer.Draw3D
TSeriesPointer

property Draw3D: Boolean;

Unit
TeEngine

Description

The Draw3D property determines if a series pointer is displayed in 2 or 3 dimensions, independently of the Chart View3D setting.

For example, in 2D mode ( when Draw3D is False ), pointers are displayed as rectangles.
In 3D ( when Draw3D is True ), pointers are displayed as cubes.


TSeriesPointer.DrawPointer

TSeriesPointer.DrawPointer
TSeriesPointer

procedure DrawPointer(ACanvas: TCanvas3D; Is3D: Boolean; px, py, tmpHoriz, tmpVert: Integer; ColorValue: TColor; AStyle: TSeriesPointerStyle);

Unit
TeEngine

Description
The Draw method displays a pointer at the specified px and py screen pixel coordinates with the tmpHoriz and tmpVert size dimensions.


TSeriesPointer.Emboss

TSeriesPointer.Emboss
TSeriesPointer

property Emboss: TTeeEmboss;

Unit
TeEngine

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TSeriesPointer.Gradient

TSeriesPointer.Gradient
TSeriesPointer

property Gradient: TTeeGradient;

Unit
TeEngine

Description
The gradient used to fill pointer interior.


TSeriesPointer.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TSeriesPointer

Classes derived from TSeriesPointer
TCallout
TGaugeSeriesPointer


TSeriesPointer.HorizSize

TSeriesPointer.HorizSize
TSeriesPointer

property HorizSize: Integer;

Unit
TeEngine

Description
Default Value: 4

The HorizSize property specifies the Series Pointer width in logical pixels.

Series that derive from TPointSeries usually override the HorizSize and VertSize properties.

For example, TBubbleSeries uses the Radius property to determine the correct HorizSize and VertSize, so these properties have no effect in that Series.


TSeriesPointer.InflateMargins

TSeriesPointer.InflateMargins
TSeriesPointer

property InflateMargins: Boolean;

Unit
TeEngine

Description
The InflateMargins property controls if Chart dimensions will be rescaled to accomodate the Series.Pointer HorizSize and VertSize pixels.
When False, Chart Axis scales will be preserved and points close to the Axis limits will be partially displayed.


TSeriesPointer.ParentSeries

TSeriesPointer.ParentSeries
TSeriesPointer

property ParentSeries: TChartSeries;

Unit
TeEngine

Description
Run-time and read only.

The ParentSeries property returns the TChartSeries owner of Pointer subcomponent.


TSeriesPointer.PrepareCanvas

TSeriesPointer.PrepareCanvas
TSeriesPointer

procedure PrepareCanvas(ACanvas: TCanvas3D; ColorValue: TColor);

Unit
TeEngine

Description
Before calling the Draw method, this method prepares the canvas pen and brush with the ColorValue parameter.


TSeriesPointer.Shadow

TSeriesPointer.Shadow
TSeriesPointer

property Shadow: TTeeShadow;

Unit
TeEngine

Description
Defines properties used to paint a dropshadow below the pointer, with the specified color and size.


TSeriesPointer.Size

TSeriesPointer.Size
TSeriesPointer

property Size: Integer;

Unit
TeEngine

Description

Returns the maximum of TSeriesPointer HorizSize and VertSize properties.

Sets HorizSize and VertSize properties to the same value.


TSeriesPointer.Style

TSeriesPointer.Style
TSeriesPointer

property Style: TSeriesPointerStyle;

Unit
TeEngine

Description
Default Value: psRectangle

The Style property defines the shape used to display the Series Points.

The default psRectangle style can be optionally in 3D mode by setting the Pointer Draw3D property to True.

The Series Pointer.Visible property should be True.


TSeriesPointer.Transparency

TSeriesPointer.Transparency
TSeriesPointer

property Transparency: TTeeTransparency;

Unit
TeEngine

Description
Gets or sets the amount of semi-glass effect used to display the series pointer.


TSeriesPointer.VertSize

TSeriesPointer.VertSize
TSeriesPointer

property VertSize: Integer;

Unit
TeEngine

Description
Default Value: 4

The VertSize property specifies the Series Pointer height in logical pixels.

Series that derive from TPointSeries usually override the HorizSize and VertSize properties.

For example, TBubbleSeries uses the Radius property to determine the correct HorizSize and VertSize, so these properties have no effect in that Series.


TSeriesRegionTool.0events

TSeriesRegionTool events
TSeriesRegionTool Legend key

Unit
TeeSeriesRegion

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesRegionTool.0methods

TSeriesRegionTool methods
TSeriesRegionTool Legend key

Unit
TeeSeriesRegion

In TSeriesRegionTool
LongDescription

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesRegionTool.0properties

TSeriesRegionTool properties
TSeriesRegionTool Legend key

Unit
TeeSeriesRegion

In TSeriesRegionTool
AutoBounds
Color
DrawBehindSeries
Gradient
LowerBound
Origin
Transparency
UpperBound
UseOrigin

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesRegionTool.AutoBounds

TSeriesRegionTool.AutoBounds
TSeriesRegionTool

property AutoBounds: Boolean;

Unit
TeeSeriesRegion

Description
Default is True.

When True, the LowerBound and UpperBound properties are automatically calculated using the number of points in the series:

LowerBound is set to zero (this is the index of the first point in the series).
UpperBound is set to Series.Count -1 (the index of the last point in the series).

When False, you can set the custom bound values, for example:

ChartTool1.AutoBounds := False;
ChartTool1.LowerBound := 12;
ChartTool1.UpperBound := 35;


TSeriesRegionTool.Color

TSeriesRegionTool.Color
TSeriesRegionTool

property Color: TColor;

Unit
TeeSeriesRegion

Description
Gets or sets the color used to fill the series region areas.


TSeriesRegionTool.DrawBehindSeries

TSeriesRegionTool.DrawBehindSeries
TSeriesRegionTool

property DrawBehindSeries: Boolean;

Unit
TeeSeriesRegion

Description
Default is True.

When True, region areas are filled before the series are being displayed.

When False, region areas are filled after the series have been displayed.


TSeriesRegionTool.Gradient

TSeriesRegionTool.Gradient
TSeriesRegionTool

property Gradient: TTeeGradient;

Unit
TeeSeriesRegion

Description
Gradient characteristics used to fill the series region areas.


TSeriesRegionTool.Hierarchy

Unit
TeeSeriesRegion

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TSeriesRegionTool

Classes derived from TSeriesRegionTool
(none)


TSeriesRegionTool.LongDescription

TSeriesRegionTool.LongDescription
TSeriesRegionTool

function LongDescription: String; override;

Unit
TeeSeriesRegion

Description
Returns a String with explanation of the SeriesRegion Tool.


TSeriesRegionTool.LowerBound

TSeriesRegionTool.LowerBound
TSeriesRegionTool

property LowerBound: Double;

Unit
TeeSeriesRegion

Description
Default is zero.

When AutoBounds property is False, LowerBound value is used as the index of the first point in the series to start filling regions, until UpperBound point index.


TSeriesRegionTool.Origin

TSeriesRegionTool.Origin
TSeriesRegionTool

property Origin: Double;

Unit
TeeSeriesRegion

Description
Default is zero.

When UseOrigin property is True, Origin value is used as the constant value to fill series regions between point values and Origin value.

When UseOrigin is False, Origin is ignored.


TSeriesRegionTool.Transparency

TSeriesRegionTool.Transparency
TSeriesRegionTool

property Transparency: TTeeTransparency;

Unit
TeeSeriesRegion

Description
Gets or sets the amount of transparency to apply to filled region areas.
Default is zero (no transparency).


TSeriesRegionTool.UpperBound

TSeriesRegionTool.UpperBound
TSeriesRegionTool

property UpperBound: Double;

Unit
TeeSeriesRegion

Description
Default is zero.

When AutoBounds property is False, UpperBound value is used as the index of the last point in the series to start filling regions.

See also LowerBound property.


TSeriesRegionTool.UseOrigin

TSeriesRegionTool.UseOrigin
TSeriesRegionTool

property UseOrigin: Boolean;

Unit
TeeSeriesRegion

Description
Default is True.

When UseOrigin is True, the regions are filled using the point values and the Origin property constant value.

When UseOrigin is False, regions are filled between the series point values and the axis line.


TSeriesStatsTool.0events

TSeriesStatsTool events
TSeriesStatsTool Legend key

Unit
TeeSeriesStats

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesStatsTool.0methods

TSeriesStatsTool methods
TSeriesStatsTool Legend key

Unit
TeeSeriesStats

In TSeriesStatsTool
Kurtosis
LongDescription
Mean
Skewness
Statistics
StdDeviation

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesStatsTool.0properties

TSeriesStatsTool properties
TSeriesStatsTool Legend key

Unit
TeeSeriesStats

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesStatsTool.Hierarchy

Unit
TeeSeriesStats

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TSeriesStatsTool

Classes derived from TSeriesStatsTool
(none)


TSeriesStatsTool.Kurtosis

TSeriesStatsTool.Kurtosis
TSeriesStatsTool

function Kurtosis: Double;

Unit
TeeSeriesStats

Description
Kurtosis is a measure of the "peakedness" of the probability distribution of a real-valued random variable.


TSeriesStatsTool.LongDescription

TSeriesStatsTool.LongDescription
TSeriesStatsTool

function LongDescription: String; override;

Unit
TeeSeriesStats

Description
Returns a String with explanation of the SeriesStats Tool.


TSeriesStatsTool.Mean

TSeriesStatsTool.Mean
TSeriesStatsTool

function Mean: Double;

Unit
TeeSeriesStats

Description
Returns the Average as a double.


TSeriesStatsTool.Skewness

TSeriesStatsTool.Skewness
TSeriesStatsTool

function Skewness: Double;

Unit
TeeSeriesStats

Description
Skewness is a measure of the asymmetry of the probability distribution of a real-valued random variable.


TSeriesStatsTool.Statistics

TSeriesStatsTool.Statistics
TSeriesStatsTool

procedure Statistics(Lines: TStrings);

Unit
TeeSeriesStats

Description
Adds basic statistic information to Lines parameter in text format similar to the following example:

Number of values: 25
Maximum value: 427.5 at position 15
Minimum value: 112.5 at position 2

Range: 315

Average: 249.7
Median: 261.25
Mode: 112.5
Std. Deviation: 90.359
Variance: 7,838.16
Root Mean Square: 270.394
Correlation: 0.341

Note: The Lines parameter must be created before calling this method, and it is the responsability of the developer to free it.


TSeriesStatsTool.StdDeviation

TSeriesStatsTool.StdDeviation
TSeriesStatsTool

function StdDeviation: Double;

Unit
TeeSeriesStats

Description
The StdDeviation function calculates the Standard Deviation
( variability around the mean ) using all the data source points.


TSeriesTextField.0events

TSeriesTextField events
TSeriesTextField Legend key

Unit
TeeSeriesTextEd

In TSeriesTextField
OnGetValue

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSeriesTextField.0methods

TSeriesTextField methods
TSeriesTextField Legend key

Unit
TeeSeriesTextEd

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesTextField.0properties

TSeriesTextField properties
TSeriesTextField Legend key

Unit
TeeSeriesTextEd

In TSeriesTextField
FieldIndex
FieldName
FieldType

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSeriesTextField.FieldIndex

TSeriesTextField.FieldIndex
TSeriesTextField

property FieldIndex: Integer;

Unit
TeeSeriesTextEd

Description
Gets or sets the field index number for this text field.
A field number indicates the position of the field inside the text data.

Field index numbers start at 1.


TSeriesTextField.FieldName

TSeriesTextField.FieldName
TSeriesTextField

property FieldName: String;

Unit
TeeSeriesTextEd

Description
Gets or sets the field name for this text field.

The FieldName property must be the same name as series labels, colors or value lists.

Example:

This example imports data from a text file into a Bar Series.
The 'Text' string refers to series labels.
The 'Bar' string refers to Series1.YValues.Name.
The 'X' string refers to Series1.XValues.Name property.

With SeriesTextSource1 do
begin
HeaderLines:=0;
FieldSeparator:=#9; { tab }
Fields.Clear;
AddField('Text',1);
AddField('X',2);
AddField('Bar',3);

LoadFromFile('mydata.txt');
end;

Series1.DataSource := SeriesTextSource1 ;
SeriesTextSource1.Active := True ;


TSeriesTextField.FieldType

TSeriesTextField.FieldType
TSeriesTextField

property FieldType: TTeeFieldType;

Unit
TeeSeriesTextEd


TSeriesTextField.Hierarchy

Unit
TeeSeriesTextEd

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TSeriesTextField

Classes derived from TSeriesTextField
(none)


TSeriesTextField.OnGetValue

TSeriesTextField.OnGetValue
TSeriesTextField

property OnGetValue: TSeriesTextGetValue;

Unit
TeeSeriesTextEd

Description
This event is called just before a new point is added to series.
Use this event to change the values added to series after reading them from text source.


TSeriesTextFields.0events

TSeriesTextFields events
TSeriesTextFields Legend key

Unit
TeeSeriesTextEd

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TSeriesTextFields.0methods

TSeriesTextFields methods
TSeriesTextFields Legend key

Unit
TeeSeriesTextEd

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Add
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
Owner
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSeriesTextFields.0properties

TSeriesTextFields properties
TSeriesTextFields Legend key

Unit
TeeSeriesTextEd

In TSeriesTextFields
Items

Derived from TCollection
Count
ItemClass
NextID
PropName
UpdateCount


TSeriesTextFields.Hierarchy

Unit
TeeSeriesTextEd

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TSeriesTextFields

Classes derived from TSeriesTextFields
(none)


TSeriesTextFields.Items

TSeriesTextFields.Items
TSeriesTextFields

property Items[Index: Integer]: TSeriesTextField;

Unit
TeeSeriesTextEd

Description
Access each Field of the TSeriesTextFields list by index to read/modify characteristics.


TSeriesTextSource.0events

TSeriesTextSource events
TSeriesTextSource Legend key

Unit
TeeSeriesTextEd

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesTextSource.0methods

TSeriesTextSource methods
TSeriesTextSource Legend key

Unit
TeeSeriesTextEd

In TSeriesTextSource
AddField
Description
Editor
FindProperty
LoadFromStream
LoadFromStrings
TryLocalStrToFloat

Derived from TTeeSeriesSourceFile
Load
LoadFromFile
LoadFromURL

Derived from TTeeSeriesSource
Available
Close
HasNew
HasSeries
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSeriesTextSource.0properties

TSeriesTextSource properties
TSeriesTextSource Legend key

Unit
TeeSeriesTextEd

In TSeriesTextSource
Automatic
DataSource
Fields
FieldSeparator
HeaderLines
Text

Derived from TTeeSeriesSourceFile
FileName

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSeriesTextSource.AddField

TSeriesTextSource.AddField
TSeriesTextSource

function AddField(Const AName: String; AIndex: Integer): TSeriesTextField;

Unit
TeeSeriesTextEd

Description
Use AddField to add a field a the text source file. The Field name should coincide with the name used to define the value in the Series ValueList. The name of the column is not important in the text file of origin but note that the index of the first column starts at 1.

Example

Data text file 'c:\tempdata\testcandledata.txt':

Date,Open,High,Low,Close
1/1/2000,15,76,7,40
2/1/2000,40,55,35,37
3/1/2000,37,61,29,43

{Load data with the following code:}
procedure TForm1.Button1Click(Sender: TObject);
var colcount: integer;
begin
With SeriesTextSource1 do
Begin
Series:=Series1;
Filename:='c:\tempdata\testcandledata.txt';
Headerlines:=1;
For colcount:=0 to Series1.ValuesList.Count-1 do
begin
SeriesTextSource1.AddField(Series1.ValuesList[colcount].Name,colcount+1);
end;
Active:=True;
end;
end;


TSeriesTextSource.Automatic

TSeriesTextSource.Automatic
TSeriesTextSource

property Automatic: Boolean;

Unit
TeeSeriesTextEd


TSeriesTextSource.DataSource

TSeriesTextSource.DataSource
TSeriesTextSource

property DataSource: TComponent;

Unit
TeeSeriesTextEd


TSeriesTextSource.Description

TSeriesTextSource.Description
TSeriesTextSource

function Description: String; override;

Unit
TeeSeriesTextEd

Description
Returns "Text".
This string is used by the Series editor dialog at DataSource tab.


TSeriesTextSource.Editor

TSeriesTextSource.Editor
TSeriesTextSource

function Editor: TComponentClass; override;

Unit
TeeSeriesTextEd

Description
Returns the form class of the SeriesText source editor.

( TSeriesTextEditor class )


TSeriesTextSource.Fields

TSeriesTextSource.Fields
TSeriesTextSource

property Fields: TSeriesTextFields;

Unit
TeeSeriesTextEd

Description
The Fields property allows access to TSeriesTextFields properties and methods. Fields must be set to add the datasource's data to the Series. Use the AddField method to setup the fields for the SeriesTextSource.


TSeriesTextSource.FieldSeparator

TSeriesTextSource.FieldSeparator
TSeriesTextSource

property FieldSeparator: String;

Unit
TeeSeriesTextEd

Description
Set FieldSeparator to the character that separates the fields in the text source file.

For a standard csv file (comma separated variable) file the character will typically be a comma. Therefore the FieldSeparator would be ','.


TSeriesTextSource.FindProperty

TSeriesTextSource.FindProperty
TSeriesTextSource

function FindProperty(S: TObject; AClass: TClass): TObject;

Unit
TeeSeriesTextEd


TSeriesTextSource.HeaderLines

TSeriesTextSource.HeaderLines
TSeriesTextSource

property HeaderLines: Integer;

Unit
TeeSeriesTextEd

Description
Setting HeaderLines defines the number of lines that act as headers to the data in the text source file. The contents of these lines will then be ignored when data is taken from the source text file.


TSeriesTextSource.Hierarchy

Unit
TeeSeriesTextEd

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesSourceFile
|
TSeriesTextSource

Classes derived from TSeriesTextSource
(none)


TSeriesTextSource.LoadFromStream

TSeriesTextSource.LoadFromStream
TSeriesTextSource

procedure LoadFromStream(AStream: TStream); override;

Unit
TeeSeriesTextEd

Description
Use LoadFromStream to load data from a stream object.


TSeriesTextSource.LoadFromStrings

TSeriesTextSource.LoadFromStrings
TSeriesTextSource

procedure LoadFromStrings(AStrings: TStrings);

Unit
TeeSeriesTextEd

Description
Use LoadFromStrings to load data from a string resource.


TSeriesTextSource.Text

TSeriesTextSource.Text
TSeriesTextSource

property Text: TStrings;

Unit
TeeSeriesTextEd

Description
Gets or sets the string list used to fill a Series with text data.


TSeriesTextSource.TryLocalStrToFloat

TSeriesTextSource.TryLocalStrToFloat
TSeriesTextSource

function TryLocalStrToFloat(Const S: String; Out Value: Extended): Boolean;

Unit
TeeSeriesTextEd


TSharpenFilter.0events

TSharpenFilter events
TSharpenFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSharpenFilter.0methods

TSharpenFilter methods
TSharpenFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSharpenFilter.0properties

TSharpenFilter properties
TSharpenFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSharpenFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TConvolveFilter
|
TSharpenFilter

Classes derived from TSharpenFilter
(none)


TSingleRecordSeriesSource.0events

TSingleRecordSeriesSource events
TSingleRecordSeriesSource Legend key

Unit
TeeDBSourceEditor

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSingleRecordSeriesSource.0methods

TSingleRecordSeriesSource methods
TSingleRecordSeriesSource Legend key

Unit
TeeDBSourceEditor

In TSingleRecordSeriesSource
Description

Derived from TTeeSeriesDBSource
Available

Derived from TTeeSeriesSource
Close
Editor
HasNew
HasSeries
Load
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSingleRecordSeriesSource.0properties

TSingleRecordSeriesSource properties
TSingleRecordSeriesSource Legend key

Unit
TeeDBSourceEditor

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSingleRecordSeriesSource.Description

TSingleRecordSeriesSource.Description
TSingleRecordSeriesSource

function Description: String; override;

Unit
TeeDBSourceEditor

Description
Returns "Single Record".


TSingleRecordSeriesSource.Hierarchy

Unit
TeeDBSourceEditor

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesDBSource
|
TSingleRecordSeriesSource

Classes derived from TSingleRecordSeriesSource
(none)


TSinusAnimation.0events

TSinusAnimation events
TSinusAnimation Legend key

Unit
TeeAnimate

Derived from TAnimation
OnBegin
OnEnd
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSinusAnimation.0methods

TSinusAnimation methods
TSinusAnimation Legend key

Unit
TeeAnimate

Derived from TNumberAnimation
CurveValue
EditorClass
EndAnimation
HasLink
Play

Derived from TPropertyAnimation
EditorName
Fixup
IsEnabled

Derived from TAnimation
Continue
Description
EndFrame
GetParentComponent
HasParent
Index
IsValidSource
Pause
Preview
Stop
StoreValue

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSinusAnimation.0properties

TSinusAnimation properties
TSinusAnimation Legend key

Unit
TeeAnimate

Derived from TNumberAnimation
Curve
EndLink
EndValue
InitStart
StartLink
StartValue
Value

Derived from TRangePropertyAnimation
KeepEndValue
UseEndValue
UseStartValue

Derived from TPropertyAnimation
Instance
PropertyName

Derived from TAnimation
Animate
Current
Duration
Enabled
Loop
Parent
StartFrame
Title

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSinusAnimation.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TAnimation
|
TPropertyAnimation
|
TRangePropertyAnimation
|
TNumberAnimation
|
TSinusAnimation

Classes derived from TSinusAnimation
(none)


TSkewnessFunction.0events

TSkewnessFunction events
TSkewnessFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSkewnessFunction.0methods

TSkewnessFunction methods
TSkewnessFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSkewnessFunction.0properties

TSkewnessFunction properties
TSkewnessFunction Legend key

Unit
StatChar

In TSkewnessFunction
Complete

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSkewnessFunction.Complete

TSkewnessFunction.Complete
TSkewnessFunction

property Complete: Boolean;

Unit
StatChar

Description
Enables complete Skewness of input Series.


TSkewnessFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TSkewnessFunction

Classes derived from TSkewnessFunction
TKurtosisFunction


TSliceValueList.0events

TSliceValueList events
TSliceValueList Legend key

Unit
Series

Derived from TList
Capacity
Count
Items
List


TSliceValueList.0methods

TSliceValueList methods
TSliceValueList Legend key

Unit
Series

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSliceValueList.0properties

TSliceValueList properties
TSliceValueList Legend key

Unit
Series

In TSliceValueList
Value

Derived from TList
Capacity
Count
Items
List


TSliceValueList.Hierarchy

Unit
Series

Hierarchy

TObject
|
TList
|
TSliceValueList

Classes derived from TSliceValueList
(none)


TSliceValueList.Value

TSliceValueList.Value
TSliceValueList

property Value[Index: Integer]: Integer;

Unit
Series

Description
Run-time only.

The Value array property holds all values in the list. The Series component repaints whenever values are changed.

You can use the Value property to retrieve or change slice values.


TSlopeFunction.0events

TSlopeFunction events
TSlopeFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSlopeFunction.0methods

TSlopeFunction methods
TSlopeFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSlopeFunction.0properties

TSlopeFunction properties
TSlopeFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSlopeFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TSlopeFunction

Classes derived from TSlopeFunction
(none)


TSmithSeries.0events

TSmithSeries events
TSmithSeries Legend key

Unit
TeeSmith

In TSmithSeries
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSmithSeries.0methods

TSmithSeries methods
TSmithSeries Legend key

Unit
TeeSmith

In TSmithSeries
AddPoint
CalcXPos
CalcYPos
DrawRCircle
DrawXCircle
PosToZ
ZToPos

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSmithSeries.0properties

TSmithSeries properties
TSmithSeries Legend key

Unit
TeeSmith

In TSmithSeries
CCirclePen
CirclePen
CLabels
CLabelsFont
ImagSymbol
Pointer
RCirclePen
ReactanceValues
ResistanceValues
RLabels
RLabelsFont

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSmithSeries.AddPoint

TSmithSeries.AddPoint
TSmithSeries

function AddPoint(Const Resist, React: Double; Const ALabel: String; AColor: TColor): Integer;

Unit
TeeSmith

Description
Add new point Z=Resist +i*React (in complex plane) to Smith series.

Use AddPoint method to add new complex impedance values to the Series. The new point is represented with a resistance and a reactance value. The AXLabel parameter is optional (can be empty ''). The AColor parameter is optional (can be clTeeColor). The function returns the new point position in the Values list.


TSmithSeries.CalcXPos

TSmithSeries.CalcXPos
TSmithSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeeSmith

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.


TSmithSeries.CalcYPos

TSmithSeries.CalcYPos
TSmithSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeeSmith

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.


TSmithSeries.CCirclePen

TSmithSeries.CCirclePen
TSmithSeries

property CCirclePen: TChartPen;

Unit
TeeSmith

Description
xCircle (reactance circle) pen.

Read CCirclePen to obtain the TChartPen object that represents the color and style of the CCircles of the Smith Series. Use the properties of CCirclePen to change the color or style.


TSmithSeries.CirclePen

TSmithSeries.CirclePen
TSmithSeries

property CirclePen: TChartPen;

Unit
TeeSmith

Description
Resistance = 0 rCircle pen (biggest circle).

Read CirclePen to obtain the TChartPen object that represents the color and style of the external circle of the Smith Series. Use the properties of CirclePen to change the color or style.


TSmithSeries.CLabels

TSmithSeries.CLabels
TSmithSeries

property CLabels: Boolean;

Unit
TeeSmith

Description
Show/hide xCircle labels.

Use CLabels property to show/hide the constant reactance labels. When set to True constant reactance labels are shown.


TSmithSeries.CLabelsFont

TSmithSeries.CLabelsFont
TSmithSeries

property CLabelsFont: TTeeFont;

Unit
TeeSmith

Description
xCircle labels font.


TSmithSeries.DrawRCircle

TSmithSeries.DrawRCircle
TSmithSeries

procedure DrawRCircle(Const Value: Double; Z: Integer; ShowLabel: Boolean);

Unit
TeeSmith

Description
Draw the resistance circle in 3D. Points that lie on the same rCircle have the same resistance. VAlue = resistance value ; Z = z position (TeeChart zpos); ShowLabel = show resistance label.

This method is used to draw the constant resistance circles on the Smith series.

The Smith chart consists of a series of circles within a unit circle, all sharing a common tangent point at a 0 degree angle. Each circle represents a constant normalized load resistance, with r=0 for points on the unit circle, and r>0 for points on the circles contained by the unit circle. As radius of curvature decreases for these circles, the constant resistance represented by a given circle increases.


TSmithSeries.DrawXCircle

TSmithSeries.DrawXCircle
TSmithSeries

procedure DrawXCircle(Const Value: Double; Z: Integer; ShowLabel: Boolean);

Unit
TeeSmith

Description
Draw the reactance circle. Points that lie on the same xCircle have the same reactance. Value = reactance value; Z= zposition (TeeChart zpos); ShowLabel = show reactance label.

This method is used to draw the constant reactance circles on the Smith series.

The Smith chart consists of constant normalized load reactance curves, extending from the point of circle tangency throughout the unit circle. The less the curvature of these curves, the lower the constant reactance represented by them: The x=0 curve is the line along the horizontal axis in the unit circle.


TSmithSeries.Hierarchy

Unit
TeeSmith

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TSmithSeries

Classes derived from TSmithSeries
(none)


TSmithSeries.ImagSymbol

TSmithSeries.ImagSymbol
TSmithSeries

property ImagSymbol: String;

Unit
TeeSmith

Description
The ImagSymbol specifies the text used to display together with axis labels around an Smith circle series.

By default, ImagSymbol is a lowercase "i" letter.


TSmithSeries.OnGetPointerStyle

TSmithSeries.OnGetPointerStyle
TSmithSeries

property OnGetPointerStyle: TOnGetPointerStyle;

Unit
TeeSmith

Description

This event is called each time the series needs to display a point.

A pointer style parameter is passed so the developer can choose a different point style for each Smith series point.


TSmithSeries.Pointer

TSmithSeries.Pointer
TSmithSeries

property Pointer: TSeriesPointer;

Unit
TeeSmith

Description
Use Pointer property to have access to the pointshapes. Pointer contains several properties to control the formatting attributes of Points like Pen, Brush, Draw3D, Visible, etc.


TSmithSeries.PosToZ

TSmithSeries.PosToZ
TSmithSeries

procedure PosToZ(X, Y: Integer; Var Resist, React: Double);

Unit
TeeSmith

Description
Transform screen position to (Resistance,Reactance)=Resistance+i*Reactance value.

The PosToZ method transforms a given position (X,Y) to the related impedance value (Resist, React) with the formula (ZRe, ZIm)=(1+gamma)/(1-gamma).


TSmithSeries.RCirclePen

TSmithSeries.RCirclePen
TSmithSeries

property RCirclePen: TChartPen;

Unit
TeeSmith

Description
rCircle (resistance circle) pen.

Read RCirclePen to obtain the TChartPen object that represents the color and style of the RCircles of the Smith Series. Use the properties of RCirclePen to change the color or style.


TSmithSeries.ReactanceValues

TSmithSeries.ReactanceValues
TSmithSeries

property ReactanceValues: TChartValueList;

Unit
TeeSmith

Description
TChartVAluesList (reactance values)

Use ReactanceValues property to get access to the reactance values of the Series.


TSmithSeries.ResistanceValues

TSmithSeries.ResistanceValues
TSmithSeries

property ResistanceValues: TChartValueList;

Unit
TeeSmith

Description
TChartValuesList (resistance values)

Use ResistanceValues property to get access to the resistance values of the Series.


TSmithSeries.RLabels

TSmithSeries.RLabels
TSmithSeries

property RLabels: Boolean;

Unit
TeeSmith

Description
Show/hide rCircle labels

Use RLabels property to show/hide the constant resistance labels. When set to True constant resistance labels are shown.


TSmithSeries.RLabelsFont

TSmithSeries.RLabelsFont
TSmithSeries

property RLabelsFont: TTeeFont;

Unit
TeeSmith

Description
rCircle labels font.


TSmithSeries.ZToPos

TSmithSeries.ZToPos
TSmithSeries

procedure ZToPos(Const Resist, React: Double; Var X, Y: Integer);

Unit
TeeSmith

Description
Transform (Resistance,Reactance)=Resistance+i*Reactance value to screen position.

The ZToPos method transforms a given impedance value (Resist, React) to it's position (X,Y) with the formula (GRe, GIm)=(1-z)/(1+z).


TSmoothedMovAvgFunction.0events

TSmoothedMovAvgFunction events
TSmoothedMovAvgFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSmoothedMovAvgFunction.0methods

TSmoothedMovAvgFunction methods
TSmoothedMovAvgFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSmoothedMovAvgFunction.0properties

TSmoothedMovAvgFunction properties
TSmoothedMovAvgFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSmoothedMovAvgFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TSmoothedMovAvgFunction

Classes derived from TSmoothedMovAvgFunction
(none)


TSmoothingFunction.0events

TSmoothingFunction events
TSmoothingFunction Legend key

Unit
TeeSpline

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSmoothingFunction.0methods

TSmoothingFunction methods
TSmoothingFunction Legend key

Unit
TeeSpline

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSmoothingFunction.0properties

TSmoothingFunction properties
TSmoothingFunction Legend key

Unit
TeeSpline

In TSmoothingFunction
Factor
Interpolate

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSmoothingFunction.Factor

TSmoothingFunction.Factor
TSmoothingFunction

property Factor: Integer;

Unit
TeeSpline

Description
Default : 4

Gets or sets the number of times the resulting smooth points are in quantity compared to source points.

For example, a value of 4 means the smooth points will be 4 times the number of source points.

The bigger the factor property is, the smoothest resulting curves will be.


TSmoothingFunction.Hierarchy

Unit
TeeSpline

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TSmoothingFunction

Classes derived from TSmoothingFunction
(none)


TSmoothingFunction.Interpolate

TSmoothingFunction.Interpolate
TSmoothingFunction

property Interpolate: Boolean;

Unit
TeeSpline

Description
Default : False

When True, resulting smooth curves will pass exactly over source points.

When False, the smooth curves will not necessarily pass over source points.


TSmoothPoints.0methods

TSmoothPoints methods
TSmoothPoints Legend key

Unit
TeeSurfa

In TSmoothPoints
Calculate

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSmoothPoints.0properties

TSmoothPoints properties
TSmoothPoints Legend key

Unit
TeeSurfa

In TSmoothPoints
Active
Interpolate


TSmoothPoints.Active

TSmoothPoints.Active
TSmoothPoints

property Active: Boolean;

Unit
TeeSurfa

Description
Enables smoothing of values.


TSmoothPoints.Calculate

TSmoothPoints.Calculate
TSmoothPoints

function Calculate(Const P: array of TPoint): TPointArray;

Unit
TeeSurfa

Description
Uses the P parameter (array of points) to calculate a new array containing a list of points that are a smooth representation of the original ones.

Returns the new array of points.


TSmoothPoints.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TSmoothPoints

Classes derived from TSmoothPoints
(none)


TSmoothPoints.Interpolate

TSmoothPoints.Interpolate
TSmoothPoints

property Interpolate: Boolean;

Unit
TeeSurfa

Description
Default value: False

By default, smoothing output points do not pass exactly over source points.
When Interpolate property is True, the smooth points are calculated so they pass exactly over the source points.


TSoftenFilter.0events

TSoftenFilter events
TSoftenFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSoftenFilter.0methods

TSoftenFilter methods
TSoftenFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSoftenFilter.0properties

TSoftenFilter properties
TSoftenFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSoftenFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TConvolveFilter
|
TSoftenFilter

Classes derived from TSoftenFilter
(none)


TSpacing.0methods

TSpacing methods
TSpacing Legend key

Unit
TeeOrgSeries

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSpacing.0properties

TSpacing properties
TSpacing Legend key

Unit
TeeOrgSeries

In TSpacing
Horizontal
Vertical


TSpacing.Hierarchy

Unit
TeeOrgSeries

Hierarchy

TObject
|
TPersistent
|
TSpacing

Classes derived from TSpacing
(none)


TSpacing.Horizontal

TSpacing.Horizontal
TSpacing

property Horizontal: Integer;

Unit
TeeOrgSeries

Description
Gets or sets the amount of pixels to be used as horizontal space between one item and its siblings.


TSpacing.Vertical

TSpacing.Vertical
TSpacing

property Vertical: Integer;

Unit
TeeOrgSeries

Description
Gets or sets the amount of pixels to be used as vertical space between one item and its child items.


TSpeedTheme.0methods

TSpeedTheme methods
TSpeedTheme Legend key

Unit
TeeThemes

In TSpeedTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSpeedTheme.Apply

TSpeedTheme.Apply
TSpeedTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies Speed visual formatting properties to Chart parameter.


TSpeedTheme.Description

TSpeedTheme.Description
TSpeedTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Speed".


TSpeedTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TSpeedTheme

Classes derived from TSpeedTheme
(none)


TStdDeviationFunction.0events

TStdDeviationFunction events
TStdDeviationFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TStdDeviationFunction.0methods

TStdDeviationFunction methods
TStdDeviationFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TStdDeviationFunction.0properties

TStdDeviationFunction properties
TStdDeviationFunction Legend key

Unit
StatChar

In TStdDeviationFunction
Complete

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TStdDeviationFunction.Complete

TStdDeviationFunction.Complete
TStdDeviationFunction

property Complete: Boolean;

Unit
StatChar

Description
Enables complete StdDeviation of input Series.


TStdDeviationFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TStdDeviationFunction

Classes derived from TStdDeviationFunction
(none)


TStochasticFunction.0events

TStochasticFunction events
TStochasticFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TStochasticFunction.0methods

TStochasticFunction methods
TStochasticFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TStochasticFunction.0properties

TStochasticFunction properties
TStochasticFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TStochasticFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction
|
TStochasticFunction

Classes derived from TStochasticFunction
(none)


TSubChart.0events

TSubChart events
TSubChart Legend key

Unit
TeeSubChart

In TSubChart
OnDragged
OnDragging
OnResized
OnResizing

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSubChart.0methods

TSubChart methods
TSubChart Legend key

Unit
TeeSubChart

In TSubChart
Clicked
ClickedEdge

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSubChart.0properties

TSubChart properties
TSubChart Legend key

Unit
TeeSubChart

In TSubChart
AllowDrag
AllowResize
Bounds
Chart
Dragging
Height
Left
Resizing
Top
Width

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TSubChart.AllowDrag

TSubChart.AllowDrag
TSubChart

property AllowDrag: Boolean;

Unit
TeeSubChart

Description
Default : True

When True, the end user can use the mouse to click and drag the SubChart.


TSubChart.AllowResize

TSubChart.AllowResize
TSubChart

property AllowResize: Boolean;

Unit
TeeSubChart

Description
Default : False

When True, the end user can use the mouse to resize the SubChart.


TSubChart.Bounds

TSubChart.Bounds
TSubChart

property Bounds: TRect;

Unit
TeeSubChart

Description
Gets or sets the rectangle zone in pixels where the subchart will be displayed inside the parent chart.


TSubChart.Chart

TSubChart.Chart
TSubChart

property Chart: TChart;

Unit
TeeSubChart

Description
Returns the parent Chart control that owns this subchart.


TSubChart.Clicked

TSubChart.Clicked
TSubChart

function Clicked(x, y: Integer): Boolean;

Unit
TeeSubChart

Description
Returns True when the xy coordinates are inside theSubChart rectangle.


TSubChart.ClickedEdge

TSubChart.ClickedEdge
TSubChart

function ClickedEdge(x, y: Integer): Integer;

Unit
TeeSubChart

Description
Returns an integer that represents the rectangle edge that is under the xy parameter position, with a tolerance of 4 pixels.

The Left edge returns 0, the Top edge 1, Right edge 2 and Bottom edge 3.


TSubChart.Dragging

TSubChart.Dragging
TSubChart

property Dragging: Boolean;

Unit
TeeSubChart

Description
Read-only public property that returns True when the rectangle tool is being dragged (moved) by the end-user using the mouse.

See also: AllowDrag property, OnDragging and OnDragged events.


TSubChart.Height

TSubChart.Height
TSubChart

property Height: Integer;

Unit
TeeSubChart

Description
Gets or sets the vertical size in pixels of the subchart.


TSubChart.Hierarchy

Unit
TeeSubChart

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TSubChart

Classes derived from TSubChart
(none)


TSubChart.Left

TSubChart.Left
TSubChart

property Left: Integer;

Unit
TeeSubChart

Description
Gets or sets the horizontal Left position in pixels of the subchart.


TSubChart.OnDragged

TSubChart.OnDragged
TSubChart

property OnDragged: TNotifyEvent;

Unit
TeeSubChart

Description
Called when the end-user releases the left mouse button after a dragging operation.
When chart elements dragging is finished this event is triggered.


TSubChart.OnDragging

TSubChart.OnDragging
TSubChart

property OnDragging: TNotifyEvent;

Unit
TeeSubChart

Description
Called when the end-user is moving the mouse while pressing the left mouse button when the mouse is over a chart element.


TSubChart.OnResized

TSubChart.OnResized
TSubChart

property OnResized: TNotifyEvent;

Unit
TeeSubChart

Description
Called when the end-user releases the left mouse button after a chart resizing operation.
When chart resizing is finished this event is triggered.


TSubChart.OnResizing

TSubChart.OnResizing
TSubChart

property OnResizing: TNotifyEvent;

Unit
TeeSubChart

Description
Called when the end-user moves the mouse while resizing the chart.


TSubChart.Resizing

TSubChart.Resizing
TSubChart

property Resizing: Boolean;

Unit
TeeSubChart

Description
Read-only public property that returns True when the rectangle tool is being resized (edges being dragged) by the end-user using the mouse.

See also: AllowResize property, OnResizing and OnResized events.


TSubChart.Top

TSubChart.Top
TSubChart

property Top: Integer;

Unit
TeeSubChart

Description
Gets or sets the vertical Top position in pixels of the subchart.


TSubChart.Width

TSubChart.Width
TSubChart

property Width: Integer;

Unit
TeeSubChart

Description
Gets or sets the horizontal size in pixels of the subchart.


TSubChartTool.0events

TSubChartTool events
TSubChartTool Legend key

Unit
TeeSubChart

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSubChartTool.0methods

TSubChartTool methods
TSubChartTool Legend key

Unit
TeeSubChart

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSubChartTool.0properties

TSubChartTool properties
TSubChartTool Legend key

Unit
TeeSubChart

In TSubChartTool
Charts
Cursor

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSubChartTool.Charts

TSubChartTool.Charts
TSubChartTool

property Charts: TChartCollection;

Unit
TeeSubChart

Description
Contains the list of SubCharts added to the parent Chart.


TSubChartTool.Cursor

TSubChartTool.Cursor
TSubChartTool

property Cursor: TCursor;

Unit
TeeSubChart

Description
Sets the cursor to show when the end user moves the mouse inside the sub-chart space.


TSubChartTool.Hierarchy

Unit
TeeSubChart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TSubChartTool

Classes derived from TSubChartTool
(none)


TSubGradient.0events

TSubGradient events
TSubGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Changed


TSubGradient.0methods

TSubGradient methods
TSubGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Draw
UseMiddleColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSubGradient.0properties

TSubGradient properties
TSubGradient Legend key

Unit
TeCanvas

In TSubGradient
Transparency

Derived from TCustomTeeGradient
Angle
Balance
CustomTargetPolygon
CustomTargetRectangle
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
Visible


TSubGradient.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCustomTeeGradient
|
TSubGradient

Classes derived from TSubGradient
(none)


TSubGradient.Transparency

TSubGradient.Transparency
TSubGradient

property Transparency: TTeeTransparency;

Unit
TeCanvas

Description
Defines the amount of transparency between subgradient colors and its parent gradient colors.


TSubsetTeeFunction.0events

TSubsetTeeFunction events
TSubsetTeeFunction Legend key

Unit
TeeSubsetEditor

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSubsetTeeFunction.0methods

TSubsetTeeFunction methods
TSubsetTeeFunction Legend key

Unit
TeeSubsetEditor

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSubsetTeeFunction.0properties

TSubsetTeeFunction properties
TSubsetTeeFunction Legend key

Unit
TeeSubsetEditor

In TSubsetTeeFunction
EndValue
StartValue

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSubsetTeeFunction.EndValue

TSubsetTeeFunction.EndValue
TSubsetTeeFunction

property EndValue: TChartValue;

Unit
TeeSubsetEditor

Description
Determines the maximum value to be included in the subset of points.


TSubsetTeeFunction.Hierarchy

Unit
TeeSubsetEditor

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TSubsetTeeFunction

Classes derived from TSubsetTeeFunction
(none)


TSubsetTeeFunction.StartValue

TSubsetTeeFunction.StartValue
TSubsetTeeFunction

property StartValue: TChartValue;

Unit
TeeSubsetEditor

Description
Determines the minimum value to be included in the subset of points.


TSubtractTeeFunction.0events

TSubtractTeeFunction events
TSubtractTeeFunction Legend key

Unit
TeeFunci

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSubtractTeeFunction.0methods

TSubtractTeeFunction methods
TSubtractTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSubtractTeeFunction.0properties

TSubtractTeeFunction properties
TSubtractTeeFunction Legend key

Unit
TeeFunci

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSubtractTeeFunction.Hierarchy

Unit
TeeFunci

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TManySeriesTeeFunction
|
TSubtractTeeFunction

Classes derived from TSubtractTeeFunction
(none)


TSurfaceNearestTool.0events

TSurfaceNearestTool events
TSurfaceNearestTool Legend key

Unit
TeeSurfaceTool

In TSurfaceNearestTool
OnSelectCell

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSurfaceNearestTool.0methods

TSurfaceNearestTool methods
TSurfaceNearestTool Legend key

Unit
TeeSurfaceTool

In TSurfaceNearestTool
Description
GetRowCol

Derived from TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSurfaceNearestTool.0properties

TSurfaceNearestTool properties
TSurfaceNearestTool Legend key

Unit
TeeSurfaceTool

In TSurfaceNearestTool
CellColor
ColumnColor
RowColor

Derived from TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSurfaceNearestTool.CellColor

TSurfaceNearestTool.CellColor
TSurfaceNearestTool

property CellColor: TColor;

Unit
TeeSurfaceTool

Description
Gets or sets the color used to fill the surface cell under the mouse cursor.

Setting CellColor to clNone will hide the cell.

Setting it to clTeeColor will not modify the default cell color.


TSurfaceNearestTool.ColumnColor

TSurfaceNearestTool.ColumnColor
TSurfaceNearestTool

property ColumnColor: TColor;

Unit
TeeSurfaceTool

Description
Gets or sets the color used to fill all the surface cells that belong to the grid column under the mouse cursor.

Setting the ColumnColor to clNone will hide all cells in the selected column.

Setting it to clTeeColor will not modify the default cell color.


TSurfaceNearestTool.Description

TSurfaceNearestTool.Description
TSurfaceNearestTool

function Description: String; override;

Unit
TeeSurfaceTool

Description
Returns "Surface Nearest"


TSurfaceNearestTool.GetRowCol

TSurfaceNearestTool.GetRowCol
TSurfaceNearestTool

procedure GetRowCol(Var Row, Col: Double);

Unit
TeeSurfaceTool

Description
This method fills in Row and Col parameters the row and column number that is under the mouse cursor.


TSurfaceNearestTool.Hierarchy

Unit
TeeSurfaceTool

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries
|
TSurfaceNearestTool

Classes derived from TSurfaceNearestTool
(none)


TSurfaceNearestTool.OnSelectCell

TSurfaceNearestTool.OnSelectCell
TSurfaceNearestTool

property OnSelectCell: TNotifyEvent;

Unit
TeeSurfaceTool

Description
Triggered when the mouse is moved to a surface cell.

You can use the GetRowCol method to obtain the row and column values for the selected cell.


TSurfaceNearestTool.RowColor

TSurfaceNearestTool.RowColor
TSurfaceNearestTool

property RowColor: TColor;

Unit
TeeSurfaceTool

Description
Gets or sets the color used to fill all the surface cells that belong to the grid row under the mouse cursor.

Setting the RowColor to clNone will hide all cells in the selected row.

Setting it to clTeeColor will not modify the default cell color.


TSurfaceSeries.0events

TSurfaceSeries events
TSurfaceSeries Legend key

Unit
TeeSurfa

Derived from TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSurfaceSeries.0methods

TSurfaceSeries methods
TSurfaceSeries Legend key

Unit
TeeSurfa

In TSurfaceSeries
CellsOrientation
Clicked

Derived from TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TSurfaceSeries.0properties

TSurfaceSeries properties
TSurfaceSeries Legend key

Unit
TeeSurfa

In TSurfaceSeries
DotFrame
FastBrush
HideCells
SideBrush
SideLines
SmoothPalette
Transparency
WaterFall
WaterLines
WireFrame

Derived from TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TSurfaceSeries.CellsOrientation

TSurfaceSeries.CellsOrientation
TSurfaceSeries

function CellsOrientation: TCellsOrientation;

Unit
TeeSurfa

Description
Returns the parameters used to display a surface's cell.

Depending on the amount of chart rotation, CellsOrientation parameters are different.

A surface cell consists of 4 xyz points that correspond to 4 points inside the series.

Given a point, and using the CellsOrientation values, you can obtain the other 3 points to display the cell "rectangle".


TSurfaceSeries.Clicked

TSurfaceSeries.Clicked
TSurfaceSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
TeeSurfa

Description
This functions returns the ValueIndex of the "clicked" point in the Series.
Clicked means the X and Y coordinates are in the point screen region bounds.
If no point is "touched", Clicked returns -1

For TSurfaceSeries, see also the CellsOrientation function.


TSurfaceSeries.DotFrame

TSurfaceSeries.DotFrame
TSurfaceSeries

property DotFrame: Boolean;

Unit
TeeSurfa

Description
Default False

This property sets the TSurfaceSeries to display as a grid of dots (pixels).
It's very similar to the WireFrame mode except that no lines connect the Surface's points.


TSurfaceSeries.FastBrush

TSurfaceSeries.FastBrush
TSurfaceSeries

property FastBrush: Boolean;

Unit
TeeSurfa

Description
Optimization property. Default is False.

When True, and only on selected Windows versions (XP, 2000, 2003, etc), the surface paints cells using a simple (and faster to select) solid brush color.
On large size surfaces, FastBrush should increment the display speed a good percentage.


TSurfaceSeries.HideCells

TSurfaceSeries.HideCells
TSurfaceSeries

property HideCells: Boolean;

Unit
TeeSurfa

Description
Default : False

Depending on some aspect settings like rotation, elevation, 3D percent, etc.. some surface cells can be painted baldy. Setting this property to "True" these specific cells will be repainted.


TSurfaceSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries
|
TSurfaceSeries

Classes derived from TSurfaceSeries
TIsoSurfaceSeries
TWaterFallSeries


TSurfaceSeries.SideBrush

TSurfaceSeries.SideBrush
TSurfaceSeries

property SideBrush: TChartBrush;

Unit
TeeSurfa

Description
Set the SideBrush property to specify the color and pattern to use when filling in the sides of a surface series.


TSurfaceSeries.SideLines

TSurfaceSeries.SideLines
TSurfaceSeries

property SideLines: TChartHiddenPen;

Unit
TeeSurfa

Description
The pen used to draw lines on surface sides.
By default this pen is hidden.


TSurfaceSeries.SmoothPalette

TSurfaceSeries.SmoothPalette
TSurfaceSeries

property SmoothPalette: Boolean;

Unit
TeeSurfa

Description
Use SmoothPalette property to determine the cell colors of a Surface Series. When set to True, each cell is filled using a color calculated as the average of each cell 4 corner colors. When set False, only one corner color is used.
Default value is False.


TSurfaceSeries.Transparency

TSurfaceSeries.Transparency
TSurfaceSeries

property Transparency: TTeeTransparency;

Unit
TeeSurfa

Description
The percentage of transparency, from 0 to 100.
All surface cells will be displayed using the specified transparency.
Note: A transparency bigger than zero can affect performance on large surfaces.


TSurfaceSeries.WaterFall

TSurfaceSeries.WaterFall
TSurfaceSeries

property WaterFall: Boolean;

Unit
TeeSurfa

Description
The WaterFall property is used by WaterFall series.
Surface series implements this property, but it is recommended you use a WaterFall series instead.


TSurfaceSeries.WaterLines

TSurfaceSeries.WaterLines
TSurfaceSeries

property WaterLines: TChartPen;

Unit
TeeSurfa

Description
Read WaterLines to obtain the TChartPen object that represents the color and style of the valuelines. Use the properties of WaterLine to change the color or style.


TSurfaceSeries.WireFrame

TSurfaceSeries.WireFrame
TSurfaceSeries

property WireFrame: Boolean;

Unit
TeeSurfa

Description
Default False

When True, Surface polygons aren't filled. If Surface.Pen.Visible is True (default), Surface points are displayed as a "grid" or "wireframe", with lines connecting them.


TSurfaceSides.0methods

TSurfaceSides methods
TSurfaceSides Legend key

Unit
TeeSurfa

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSurfaceSides.0properties

TSurfaceSides properties
TSurfaceSides Legend key

Unit
TeeSurfa

In TSurfaceSides
Brush
Levels
Pen


TSurfaceSides.Brush

TSurfaceSides.Brush
TSurfaceSides

property Brush: TChartBrush;

Unit
TeeSurfa

Description
Color and pattern used to fill the sides of a iso-surface chart.


TSurfaceSides.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TSurfaceSides

Classes derived from TSurfaceSides
(none)


TSurfaceSides.Levels

TSurfaceSides.Levels
TSurfaceSides

property Levels: Boolean;

Unit
TeeSurfa

Description
Default value is True.

When True, the Pen property is used to draw horizontal lines at iso-surface sides levels.


TSurfaceSides.Pen

TSurfaceSides.Pen
TSurfaceSides

property Pen: TChartHiddenPen;

Unit
TeeSurfa

Description
Attributes used to draw lines around the side edges of an iso-surface chart.


TSVGCanvas.0methods

TSVGCanvas methods
TSVGCanvas Legend key

Unit
TeeSVGCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSVGCanvas.0properties

TSVGCanvas properties
TSVGCanvas Legend key

Unit
TeeSVGCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TSVGCanvas.Hierarchy

Unit
TeeSVGCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TSVGCanvas

Classes derived from TSVGCanvas
(none)


TSVGExportFormat.0methods

TSVGExportFormat methods
TSVGExportFormat Legend key

Unit
TeeSVGCanvas

In TSVGExportFormat
Description
FileExtension
SaveToStream
SVG

Derived from TTeeExportFormat
CopyToClipboard
FileFilter
GraphicClass
Options
SaveToFile

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TSVGExportFormat.Description

TSVGExportFormat.Description
TSVGExportFormat

function Description: String; override;

Unit
TeeSVGCanvas

Description
Returns "SVG"


TSVGExportFormat.FileExtension

TSVGExportFormat.FileExtension
TSVGExportFormat

function FileExtension: String; override;

Unit
TeeSVGCanvas

Description
Returns "SVG"


TSVGExportFormat.Hierarchy

Unit
TeeSVGCanvas

Hierarchy

TObject
|
TTeeExportFormat
|
TSVGExportFormat

Classes derived from TSVGExportFormat
(none)


TSVGExportFormat.SaveToStream

TSVGExportFormat.SaveToStream
TSVGExportFormat

procedure SaveToStream(Stream: TStream); override;

Unit
TeeSVGCanvas

Description
Stores chart contents in SVG graphics format into Stream parameter.


TSVGExportFormat.SVG

TSVGExportFormat.SVG
TSVGExportFormat

function SVG: TStringList;

Unit
TeeSVGCanvas

Description
Returns a string list filled will all chart contents in SVG graphic format.


TTableLegend.0methods

TTableLegend methods
TTableLegend Legend key

Unit
TeeDataTableTool

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTableLegend.0properties

TTableLegend properties
TTableLegend Legend key

Unit
TeeDataTableTool

In TTableLegend
FontSeriesColor
OtherSide
Symbol

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTableLegend.FontSeriesColor

TTableLegend.FontSeriesColor
TTableLegend

property FontSeriesColor: Boolean;

Unit
TeeDataTableTool

Description
Default is False.
When True, series names displayed at the data table legend are painted using the series color instead of the data table font color value.


TTableLegend.Hierarchy

Unit
TeeDataTableTool

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTableLegend

Classes derived from TTableLegend
(none)


TTableLegend.OtherSide

TTableLegend.OtherSide
TTableLegend

property OtherSide: Boolean;

Unit
TeeDataTableTool

Description
Default is False.
When True, data table legend series names and optional symbols are displayed at the opposite side of the data table row or column.


TTableLegend.Symbol

TTableLegend.Symbol
TTableLegend

property Symbol: TLegendSymbol;

Unit
TeeDataTableTool

Description
Determines the attributes used to display optional series symbols at data table grid legend.


TTagCloudSeries.0events

TTagCloudSeries events
TTagCloudSeries Legend key

Unit
TeeTagCloud

In TTagCloudSeries
OnDrawTag

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTagCloudSeries.0methods

TTagCloudSeries methods
TTagCloudSeries Legend key

Unit
TeeTagCloud

In TTagCloudSeries
AddTag
CalcXPos
CalcYPos
GetTagFontSize
Sort

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTagCloudSeries.0properties

TTagCloudSeries properties
TTagCloudSeries Legend key

Unit
TeeTagCloud

In TTagCloudSeries
Filter
Font
Gradient
TagSeparation

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTagCloudSeries.AddTag

TTagCloudSeries.AddTag
TTagCloudSeries

function AddTag(Const Text: String; Const Value: Double): Integer;

Unit
TeeTagCloud

Description
Adds a new tag to the series.

The Text parameter determines the tag text, and the Value can be any number.
Values are used to change each tag Font size, with bigger values having bigger font sizes.

Texts are stored at XLabel array property.
Values are stored at YValue array property.

See also: Sort method.


TTagCloudSeries.CalcXPos

TTagCloudSeries.CalcXPos
TTagCloudSeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeeTagCloud

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.


TTagCloudSeries.CalcYPos

TTagCloudSeries.CalcYPos
TTagCloudSeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeeTagCloud

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.


TTagCloudSeries.Filter

TTagCloudSeries.Filter
TTagCloudSeries

property Filter: String;

Unit
TeeTagCloud

Description
Default is empty.

Gets or sets a string that determines which tags are going to be displayed.
Only tags that contain the text in Filter property will be displayed.
Text comparation is case-insensitive.


TTagCloudSeries.Font

TTagCloudSeries.Font
TTagCloudSeries

property Font: TTeeFont;

Unit
TeeTagCloud

Description
Gets or sets the font used to display all tags.

The font size determines the maximum size allowed for the tag with the biggest YValue.

The GetTagFontSize function calculates each tag font size proportional to the tag value.

Font can be changed to customize each tag using the OnDrawTag event.

See also: TagSeparation


TTagCloudSeries.GetTagFontSize

TTagCloudSeries.GetTagFontSize
TTagCloudSeries

function GetTagFontSize(ValueIndex: Integer): Integer;

Unit
TeeTagCloud

Description
Returns the appropiate font size for a given ValueIndex'th tag.

Font size is calculated using the maximum and minimum tag values.

The maximum value is assigned the Font.Size property.


TTagCloudSeries.Gradient

TTagCloudSeries.Gradient
TTagCloudSeries

property Gradient: TTeeGradient;

Unit
TeeTagCloud

Description
By default is invisible.

Gets or sets the properties used to fill the area behind the tags.

See also: Pen and Brush properties.


TTagCloudSeries.Hierarchy

Unit
TeeTagCloud

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TTagCloudSeries

Classes derived from TTagCloudSeries
(none)


TTagCloudSeries.OnDrawTag

TTagCloudSeries.OnDrawTag
TTagCloudSeries

property OnDrawTag: TDrawTagEvent;

Unit
TeeTagCloud

Description
This event is called every time a tag is going to be displayed and every time a tag text and font are used to calculate the tag width and height dimensions in pixels.

This event can be used to customize a different font size for each tag.

See also: GetTagFontSize function.


TTagCloudSeries.Sort

TTagCloudSeries.Sort
TTagCloudSeries

procedure Sort(SortBy: TTagCloudOrder; Order: TChartListOrder);

Unit
TeeTagCloud

Description
Orders tags alphabetically or by their values.
Ascending or descending according to the Order parameter.


TTagCloudSeries.TagSeparation

TTagCloudSeries.TagSeparation
TTagCloudSeries

property TagSeparation: Integer;

Unit
TeeTagCloud

Description
Default is 5.

Gets or sets the percentage of space used to separate tags in the horizontal direction.

See also: Font property.


TTeeAnimate.0events

TTeeAnimate events
TTeeAnimate Legend key

Unit
TeeAnimate

In TTeeAnimate
OnClear
OnContinue
OnDeleteShapes
OnFrame
OnPause
OnPlay
OnStop

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeAnimate.0methods

TTeeAnimate methods
TTeeAnimate Legend key

Unit
TeeAnimate

In TTeeAnimate
Continue
MillisecondsPerFrame
NextFrame
Pause
Paused
Play
Playing
Stop

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeAnimate.0properties

TTeeAnimate properties
TTeeAnimate Legend key

Unit
TeeAnimate

In TTeeAnimate
Animation
Animations
EndFrame
Loop
Speed
State

Derived from TCustomTeePanelLink
Panel

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeAnimate.Animation

TTeeAnimate.Animation
TTeeAnimate

property Animation[Index: Integer]: TAnimation;

Unit
TeeAnimate

Description
Gets and sets the object to animate.


TTeeAnimate.Animations

TTeeAnimate.Animations
TTeeAnimate

property Animations: TAnimations;

Unit
TeeAnimate

Description
Gets or Sets a list of TAnimation objects.


TTeeAnimate.Continue

TTeeAnimate.Continue
TTeeAnimate

procedure Continue;

Unit
TeeAnimate

Description
Continues playing video frames until the Pause/Stop method is called again.


TTeeAnimate.EndFrame

TTeeAnimate.EndFrame
TTeeAnimate

property EndFrame: Integer;

Unit
TeeAnimate

Description
Returns the index of the last frame in the video file.


TTeeAnimate.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomTeePanelLink
|
TTeeAnimate

Classes derived from TTeeAnimate
(none)


TTeeAnimate.Loop

TTeeAnimate.Loop
TTeeAnimate

property Loop: Boolean;

Unit
TeeAnimate

Description
Default: False
When True, the video plays all frames and continues again at the first frame, endlessly until the Stop or Pause methods are called.


TTeeAnimate.MillisecondsPerFrame

TTeeAnimate.MillisecondsPerFrame
TTeeAnimate

function MillisecondsPerFrame: Integer;

Unit
TeeAnimate


TTeeAnimate.NextFrame

TTeeAnimate.NextFrame
TTeeAnimate

procedure NextFrame;

Unit
TeeAnimate

Description
Returns the index of the next frame in the video file.


TTeeAnimate.OnClear

TTeeAnimate.OnClear
TTeeAnimate

property OnClear: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.OnContinue

TTeeAnimate.OnContinue
TTeeAnimate

property OnContinue: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.OnDeleteShapes

TTeeAnimate.OnDeleteShapes
TTeeAnimate

property OnDeleteShapes: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.OnFrame

TTeeAnimate.OnFrame
TTeeAnimate

property OnFrame: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.OnPause

TTeeAnimate.OnPause
TTeeAnimate

property OnPause: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.OnPlay

TTeeAnimate.OnPlay
TTeeAnimate

property OnPlay: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.OnStop

TTeeAnimate.OnStop
TTeeAnimate

property OnStop: TNotifyEvent;

Unit
TeeAnimate


TTeeAnimate.Pause

TTeeAnimate.Pause
TTeeAnimate

procedure Pause;

Unit
TeeAnimate

Description
Stops playing video frames until the Play method is called again.


TTeeAnimate.Paused

TTeeAnimate.Paused
TTeeAnimate

function Paused: Boolean;

Unit
TeeAnimate

Description
Returms True when the animation is paused.


TTeeAnimate.Play

TTeeAnimate.Play
TTeeAnimate

procedure Play(Wait: Boolean);

Unit
TeeAnimate

Description
Starts playing video frames until the video file ends or the Stop or Pause methods are called.


TTeeAnimate.Playing

TTeeAnimate.Playing
TTeeAnimate

function Playing: Boolean;

Unit
TeeAnimate

Description
Returns True when the animation is playing.


TTeeAnimate.Speed

TTeeAnimate.Speed
TTeeAnimate

property Speed: Integer;

Unit
TeeAnimate

Description
Default : 50

Sets the animation speed to be used.


TTeeAnimate.State

TTeeAnimate.State
TTeeAnimate

property State: TAnimationState;

Unit
TeeAnimate


TTeeAnimate.Stop

TTeeAnimate.Stop
TTeeAnimate

procedure Stop;

Unit
TeeAnimate

Description
Ends playing video frames


TTeeBlend.0methods

TTeeBlend methods
TTeeBlend Legend key

Unit
TeCanvas

In TTeeBlend
Create
DoBlend

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeBlend.0properties

TTeeBlend properties
TTeeBlend Legend key

Unit
TeCanvas

In TTeeBlend
Bitmap


TTeeBlend.Bitmap

TTeeBlend.Bitmap
TTeeBlend

property Bitmap: TBitmap;

Unit
TeCanvas

Description
Returns the internal bitmap object used by TTeeBlend class to hold a rectangle of pixels where to apply color blending.


TTeeBlend.Create

TTeeBlend.Create
TTeeBlend

constructor Create(ACanvas: TTeeCanvas; Const R: TRect);

Unit
TeCanvas

Description
Using the R rectangle, an internal bitmap is allocated containing the zone defined by R.

After doing normal drawing over ACanvas parameter, call the DoBlend method to add transparency to the area defined by R.

procedure TForm1.Chart1AfterDraw(Sender: TObject);
var Blend : TTeeBlend ;
begin
Blend := TTeeBlend.Create( Chart1.Canvas, Chart1.ChartRect );
try
Chart1.Canvas.Ellipse( Chart1.ChartRect );
Blend.DoBlend( 50 ); // 50 % of transparency
finally
Blend.Free;
end;
end;


TTeeBlend.DoBlend

TTeeBlend.DoBlend
TTeeBlend

procedure DoBlend(Transparency: TTeeTransparency);

Unit
TeCanvas

Description
Used with Transparency property to set transparency percent of component.

See Transparency property.

Example: Chart1.Legend.Transparency:=50 ; //50% transparency

This method applies transparency to the area defined by the rectangle parameter used when creating the TeeBlend object.

See TeeBlend object Create constructor for an example.


TTeeBlend.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TTeeBlend

Classes derived from TTeeBlend
(none)


TTeeButton.0events

TTeeButton events
TTeeButton Legend key

Unit
TeCanvas

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeButton.0methods

TTeeButton methods
TTeeButton Legend key

Unit
TeCanvas

In TTeeButton
LinkProperty

Derived from TButton
Click
CMDialogChar
CMDialogKey
CMFocusChanged
CNCommand
CNCtlColorBtn
Create
CreateParams
CreateWnd
SetButtonStyle
SetDefault
UseRightToLeftAlignment
WMEraseBkgnd

Derived from TButtonControl
ActionChange
CNCtlColorStatic
GetActionLinkClass
GetChecked
IsCheckedStored
SetChecked
SetWordWrap
WndProc

Derived from TWinControl
AddBiDiModeExStyle
AdjustClientRect
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCtl3DChanged
CMCursorChanged
CMDesignHitTest
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
Destroy
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaintWindow
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaint
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeButton.0properties

TTeeButton properties
TTeeButton Legend key

Unit
TeCanvas

In TTeeButton
SymbolVisible
SymbolWidth

Derived from TButton
Cancel
Default
ModalResult

Derived from TButtonControl
Checked
ClicksDisabled
WordWrap

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeButton.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TButtonControl
|
TButton
|
TTeeButton

Classes derived from TTeeButton
TButtonColor
TButtonGradient
TButtonPen


TTeeButton.LinkProperty

TTeeButton.LinkProperty
TTeeButton

procedure LinkProperty(AInstance: TObject; Const PropName: String);

Unit
TeCanvas

Description
Associates the TeeButton to another object property.

Example:

ButtonColor1.LinkProperty( Series1, 'SeriesColor' );


TTeeButton.SymbolVisible

TTeeButton.SymbolVisible
TTeeButton

property SymbolVisible: Boolean;

Unit
TeCanvas

Description
\ltrpar\sa\sl\slmultDefault : True
If this property is set to False the symbol that appears in the button specifies a color is invisible.
\ltrpar


TTeeButton.SymbolWidth

TTeeButton.SymbolWidth
TTeeButton

property SymbolWidth: Integer;

Unit
TeCanvas

Description
\ltrpar\sa\sl\slmultSpecifies the Width of the symbol, If it's set to 0 then the symbols width used will be 19, otherwise it will be the specified value assigned to the property.
\ltrpar


TTeeCanvas3D.0methods

TTeeCanvas3D methods
TTeeCanvas3D Legend key

Unit
TeCanvas

In TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeCanvas3D.0properties

TTeeCanvas3D properties
TTeeCanvas3D Legend key

Unit
TeCanvas

In TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TTeeCanvas3D.Arc

TTeeCanvas3D.Arc
TTeeCanvas3D

procedure Arc(Const Left, Top, Right, Bottom, StartX, StartY, EndX, EndY: Integer); override;

Unit
TeCanvas

Description
Draws an Arc using the parameter coordinates.

See VCL help for TCanvas Arc method.


TTeeCanvas3D.Arrow

TTeeCanvas3D.Arrow
TTeeCanvas3D

procedure Arrow(Filled: Boolean; Const FromPoint, ToPoint: TPoint; ArrowWidth, ArrowHeight, Z0, Z1: Integer; Const ArrowPercent: Double); override;

Unit
TeCanvas

Description
Draws a line with an arrow head of ArrowWidth and ArrowHeight dimensions in pixels.

Used by TArrowSeries.


TTeeCanvas3D.Bitmap

TTeeCanvas3D.Bitmap
TTeeCanvas3D

property Bitmap: TBitmap;

Unit
TeCanvas

Description
Bitmap holds a TBitmap object. It determines the image that appears on the 3D Canvas.


TTeeCanvas3D.Calculate2DPosition

TTeeCanvas3D.Calculate2DPosition
TTeeCanvas3D

procedure Calculate2DPosition(Var X, Y: Integer; Z: Integer); override; overload;

Unit
TeCanvas

Description
Returns the corresponding pixel coordinates in 2 dimensions for the given XYZ parameters (3D).


TTeeCanvas3D.Calculate3DPosition

TTeeCanvas3D.Calculate3DPosition
TTeeCanvas3D

function Calculate3DPosition(X, Y, Z: Integer): TPoint; override;

Unit
TeCanvas

Description
Calculates and returns the XY position in pixels of the XYZ 3D coordinate.

Can be used when custom drawing using 3D XYZ coordinates, either returned from the axes or not.

Example:

Chart1.OnAfterDraw...

Var P:TPoint;
With Chart1.Canvas do
begin
P:=Calculate3DPosition( ChartXCenter, ChartYCenter, 20 );
Cube( P.X-10,P.X+10,P.Y-10,P.Y+10,15,25, True );
end;

Draws a Cube centered on the middle of the Chart, at Z position of "20".


TTeeCanvas3D.ClipCube

TTeeCanvas3D.ClipCube
TTeeCanvas3D

procedure ClipCube(Const Rect: TRect; MinZ, MaxZ: Integer); override;

Unit
TeCanvas

Description
Uses the Rect rectangle parameter and the Min and Max Z coordinates to apply clipping using the current 3D rotation, elevation and tilt properties.


TTeeCanvas3D.ClipRectangle

TTeeCanvas3D.ClipRectangle
TTeeCanvas3D

procedure ClipRectangle(Const Rect: TRect); override;

Unit
TeCanvas

Description
The ClipRectangle method creates a Windows GDI clipping region and selects it into TChart.Canvas device context handle.

The UnClipRectangle method removes any clipping region applied to TChart.Canvas.

You can use this method to avoid Series or custom drawing to go over the desired rectangle coordinates.

Note: Printing and creating metafiles do not accept clipping regions in logical pixels.


TTeeCanvas3D.Cone

TTeeCanvas3D.Cone
TTeeCanvas3D

procedure Cone(Vertical: Boolean; Left, Top, Right, Bottom, Z0, Z1: Integer; Dark3D: Boolean; ConePercent: Integer); override;

Unit
TeCanvas

Description
Draws a Cone.
The ConePercent refers to the amount of "conic" shape.

A value of zero defines a normal cone. A value of 100 displays a cylinder.


TTeeCanvas3D.Cube

TTeeCanvas3D.Cube
TTeeCanvas3D

procedure Cube(Left, Right, Top, Bottom, Z0, Z1, BevelSize: Integer; DarkSides: Boolean; RoundSize: Integer); override;

Unit
TeCanvas

Description
Draws a Cube, with optionally shadowed top and right sides.


TTeeCanvas3D.Cylinder

TTeeCanvas3D.Cylinder
TTeeCanvas3D

procedure Cylinder(Vertical: Boolean; Left, Top, Right, Bottom, Z0, Z1: Integer; Dark3D: Boolean); override;

Unit
TeCanvas

Description
Draws cylinder toggle Boolean for vertical or horizontal cylinder.


TTeeCanvas3D.Donut

TTeeCanvas3D.Donut
TTeeCanvas3D

procedure Donut(XCenter, YCenter, XRadius, YRadius: Integer; Const StartAngle, EndAngle, HolePercent: Double); override;

Unit
TeCanvas

Description
Draws a Donut slice (a pie slice with a hole in the middle).

The HolePercent parameter defines the size of the hole, expressed in percent of the slice radius.


TTeeCanvas3D.Draw

TTeeCanvas3D.Draw
TTeeCanvas3D

procedure Draw(X, Y: Integer; Graphic: TGraphic); override;

Unit
TeCanvas

Description
Displays the Graphic (bitmap, metafile, jpeg, etc) at the XY pixel coordinates.

See VCL help for TCanvas Draw method.


TTeeCanvas3D.Ellipse

TTeeCanvas3D.Ellipse
TTeeCanvas3D

procedure Ellipse(Const X1, Y1, X2, Y2: Integer); override;

Unit
TeCanvas

Description
Displays an ellipse.
See VCL help file for TCanvas Ellipse method.


TTeeCanvas3D.EllipseWithZ

TTeeCanvas3D.EllipseWithZ
TTeeCanvas3D

procedure EllipseWithZ(Const X1, Y1, X2, Y2, Z: Integer); override;

Unit
TeCanvas

Description
Ellipse bounding Rect (X1,Y1,X2,Y2) at Z position.


TTeeCanvas3D.EraseBackground

TTeeCanvas3D.EraseBackground
TTeeCanvas3D

procedure EraseBackground(Const Rect: TRect); override;

Unit
TeCanvas

Description
Clears background defined for TRect (Rectangle( Rect.Left, Rect.Top, Rect.Right, Rect.Bottom ) ).


TTeeCanvas3D.FillRect

TTeeCanvas3D.FillRect
TTeeCanvas3D

procedure FillRect(Const Rect: TRect); override;

Unit
TeCanvas

Description
Fills the Rect rectangle parameter with the current Brush color and style.
See VCL help for TCanvas FillRect method.


TTeeCanvas3D.GetCirclePoints

TTeeCanvas3D.GetCirclePoints
TTeeCanvas3D

procedure GetCirclePoints(Var P: TCirclePoints; X1, Y1, X2, Y2, Z: Integer); overload;

Unit
TeCanvas

Description
Returns in P array the points that represent a polygon to display a circle or ellipse.

X1,Y1,X2 and Y2 coordinates define the rectangle that contains the ellipse.
The Z coordinate determines the depth position.


TTeeCanvas3D.GradientFill

TTeeCanvas3D.GradientFill
TTeeCanvas3D

procedure GradientFill(Gradient: TCustomTeeGradient; Const Rect: TRect); overload;

Unit
TeCanvas

Description
The GradientFill method is used to fill a Screen area with multi-colored lines to obtain a nice shadow effect and coloured backgrounds. The Chart.Gradient component uses this method internally.

Example

procedure TForm1.Button1Click(Sender: TObject);
begin
Chart1.Canvas.GradientFill( Canvas, ClientRect, clYellow, clBlue, True);
end;


TTeeCanvas3D.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D

Classes derived from TTeeCanvas3D
TAntiAliasCanvas
TGDIPlusCanvas
TTeeNeutralCanvas


TTeeCanvas3D.InitWindow

TTeeCanvas3D.InitWindow
TTeeCanvas3D

function InitWindow(DestCanvas: TCanvas; A3DOptions: TView3DOptions; ABackColor: TColor; Is3D: Boolean; Const UserRect: TRect): TRect; override;

Unit
TeCanvas

Description
Internal use.
This function is called at the beggining of the Chart display procedure.


TTeeCanvas3D.Invalidate

TTeeCanvas3D.Invalidate
TTeeCanvas3D

procedure Invalidate; override;

Unit
TeCanvas

Description
Notifies Windows to repaint the associated Chart control.

When the Canvas is Buffered ( Chart1.BufferedDisplay property ), this method simply sets an internal flag to True (Dirty flag).
This flag is used when Windows notifies the Chart to repaint to redisplay an internal bitmap ( buffer bitmap ).


TTeeCanvas3D.LineTo

TTeeCanvas3D.LineTo
TTeeCanvas3D

procedure LineTo(Const X, Y: Integer); override;

Unit
TeCanvas

Description
Draws a line from the current pen position to the given XY pixel coordinates.
It uses the Pen properties to display the line.

See VCL help for TCanvas LineTo method.


TTeeCanvas3D.MoveTo

TTeeCanvas3D.MoveTo
TTeeCanvas3D

procedure MoveTo(Const X, Y: Integer); override;

Unit
TeCanvas

Description
Changes the current Pen position to the given XY pixel coordinates.
See VCL help for TCanvas MoveTo method.


TTeeCanvas3D.Pie

TTeeCanvas3D.Pie
TTeeCanvas3D

procedure Pie(Const R: TRect; Const StartAngle, EndAngle: Double); override;

Unit
TeCanvas

Description
Draws a 2 dimensions Pie slice.
See VCL help for TCanvas Pie method.


TTeeCanvas3D.Pie3D

TTeeCanvas3D.Pie3D
TTeeCanvas3D

procedure Pie3D(AXCenter, AYCenter, XRadius, YRadius, Z0, Z1: Integer; Const StartAngle, EndAngle: Double; DarkSides, DrawSides: Boolean; DonutPercent: Integer; Gradient: TCustomTeeGradient; BevelPercent: Integer; EdgeStyle: TEdgeStyle; Transparency: TTeeTransparency); override;

Unit
TeCanvas

Description
Draws and fills a Pie slice.
Used by TPieSeries.


TTeeCanvas3D.Plane3D

TTeeCanvas3D.Plane3D
TTeeCanvas3D

procedure Plane3D(Const A, B: TPoint; Z0, Z1: Integer); override;

Unit
TeCanvas

Description
Rectangle from (A.X,A.Y,Z0) to (B.X,B.Y,Z1)


TTeeCanvas3D.PlaneFour3D

TTeeCanvas3D.PlaneFour3D
TTeeCanvas3D

procedure PlaneFour3D(Var Points: TFourPoints; Z0, Z1: Integer); override;

Unit
TeCanvas

Description
Draws a polygon of four points. The first and second point at Z0 position, the third and fourth point at Z1 position.


TTeeCanvas3D.PlaneWithZ

TTeeCanvas3D.PlaneWithZ
TTeeCanvas3D

procedure PlaneWithZ(P1, P2, P3, P4: TPoint; Z: Integer); override;

Unit
TeCanvas

Description
Draws a polygon of (P1,P2,P3,P4) at Z position


TTeeCanvas3D.Polygon

TTeeCanvas3D.Polygon
TTeeCanvas3D

procedure Polygon(Const Points: array of TPoint); override;

Unit
TeCanvas

Description
Draws a 2 dimensions polygon using the current Pen and Brush properties.
The polygon is defined by the Points array of XY pixel coordinates.

See VCL help file for TCanvas Polygon method.


TTeeCanvas3D.Polygon3D

TTeeCanvas3D.Polygon3D
TTeeCanvas3D

procedure Polygon3D(Const Points: array of TPoint3D); override;

Unit
TeCanvas

Description
Draws a 3 dimensions polygon using the current Pen and Brush properties.
The polygon is defined by the Points array of XYZ pixel coordinates.

See also VCL help file for TCanvas Polygon method.


TTeeCanvas3D.Polyline

TTeeCanvas3D.Polyline
TTeeCanvas3D

procedure Polyline(Const Points: array of TPoint); override; overload;

Unit
TeCanvas

Description
Draws a line using the array of 2D points.
The first point in the array determines the line origin.


TTeeCanvas3D.Projection

TTeeCanvas3D.Projection
TTeeCanvas3D

procedure Projection(MaxDepth: Integer; Const ABounds, Rect: TRect); override;

Unit
TeCanvas

Description
Internal use.
This method is called when drawing the Chart.


TTeeCanvas3D.Pyramid

TTeeCanvas3D.Pyramid
TTeeCanvas3D

procedure Pyramid(Vertical: Boolean; Left, Top, Right, Bottom, Z0, Z1: Integer; DarkSides: Boolean); override;

Unit
TeCanvas

Description
Draws a vettical or horizontal Pyramid with optional dark shaded sides.


TTeeCanvas3D.PyramidTrunc

TTeeCanvas3D.PyramidTrunc
TTeeCanvas3D

procedure PyramidTrunc(Const R: TRect; StartZ, EndZ, TruncX, TruncZ: Integer); override;

Unit
TeCanvas

Description
Draws a truncated pyramid ( a pyramid with the top part "truncated" )


TTeeCanvas3D.Rectangle

TTeeCanvas3D.Rectangle
TTeeCanvas3D

procedure Rectangle(Const X0, Y0, X1, Y1: Integer); override;

Unit
TeCanvas

Description
Draws a rectangle using the current Pen and Brush properties.
See VCL help file for TCanvas Rectangle method.


TTeeCanvas3D.RectangleWithZ

TTeeCanvas3D.RectangleWithZ
TTeeCanvas3D

procedure RectangleWithZ(Const Rect: TRect; Z: Integer); override;

Unit
TeCanvas

Description
Rectangle at Z position

Example:

Chart1.Canvas.RectangleWithZ( Rect( 50,20,150,80), 15 );


TTeeCanvas3D.RectangleY

TTeeCanvas3D.RectangleY
TTeeCanvas3D

procedure RectangleY(Const Left, Top, Right, Z0, Z1: Integer); override;

Unit
TeCanvas

Description
Horizontal Rectangle from Left to Right, from Z0 to Z1 position, at Top Y.


TTeeCanvas3D.RectangleZ

TTeeCanvas3D.RectangleZ
TTeeCanvas3D

procedure RectangleZ(Const Left, Top, Bottom, Z0, Z1: Integer); override;

Unit
TeCanvas

Description
Vertical Rectangle from Top to Bottom and from

Z0 to Z1 position, at Left X.


TTeeCanvas3D.ReDrawBitmap

TTeeCanvas3D.ReDrawBitmap
TTeeCanvas3D

function ReDrawBitmap: Boolean; override;

Unit
TeCanvas

Description
Internal use.
When the Chart BufferedDisplay is True, the internal bitmap used to buffer paint instructions is reused and painted over the Chart canvas.


TTeeCanvas3D.RenderToBitmap
Contents All Classes Index A-Z All Units

TTeeCanvas3D.RenderToBitmap
TTeeCanvas3D

function RenderToBitmap(Var ABitmap: TBitmap; Const R: TRect): Boolean; virtual;

Unit
TeCanvas


TTeeCanvas3D.RotateLabel

TTeeCanvas3D.RotateLabel
TTeeCanvas3D

procedure RotateLabel(X, Y: Integer; Const St: String; RotDegree: Double); override;

Unit
TeCanvas

Description
This method will draw a rotated text string at the specified xy coordinates with the RotDegree rotation angle. RotDegree values must be between 0 and 360. The string is drawn on the Chart.Canvas.


TTeeCanvas3D.RotateLabel3D

TTeeCanvas3D.RotateLabel3D
TTeeCanvas3D

procedure RotateLabel3D(X, Y, Z: Integer; Const St: String; RotDegree: Double); override;

Unit
TeCanvas

Description
Draws a 2D rotated label at XYZ position. Depends on TextAlign property.


TTeeCanvas3D.RoundRect

TTeeCanvas3D.RoundRect
TTeeCanvas3D

procedure RoundRect(X1, Y1, X2, Y2, X3, Y3: Integer); override;

Unit
TeCanvas

Description
Draws a round rectangle using the current Pen and Brush properties.
A "round rectangle" is a rectangle with its four corners "rounded".

See VCL help file for TCanvas RoundRect method.


TTeeCanvas3D.ShowImage

TTeeCanvas3D.ShowImage
TTeeCanvas3D

procedure ShowImage(DestCanvas, DefaultCanvas: TCanvas; Const UserRect: TRect); override;

Unit
TeCanvas

Description
Internal use.
The Canvas uses this method to redisplay the internal buffered bitmap.


TTeeCanvas3D.Sphere

TTeeCanvas3D.Sphere
TTeeCanvas3D

procedure Sphere(X, Y, Z: Integer; Const Radius: Double); override; overload;

Unit
TeCanvas

Description
Draws a 3 dimensions sphere with the center of the sphere located at the XYZ pixel coordinates.


TTeeCanvas3D.StretchDraw

TTeeCanvas3D.StretchDraw
TTeeCanvas3D

procedure StretchDraw(Const ARect: TRect; Graphic: TGraphic); override;

Unit
TeCanvas

Description
Displays a graphic image (bitmap, metafile, jpeg, etc) using the Rect rectangle coordinates.
See VCL help file for TCanvas StretchDraw method.


TTeeCanvas3D.Surface3D

TTeeCanvas3D.Surface3D
TTeeCanvas3D

procedure Surface3D(Style: TTeeCanvasSurfaceStyle; SameBrush: Boolean; NumXValues, NumZValues: Integer; CalcPoints: TTeeCanvasCalcPoints); override;

Unit
TeCanvas

Description
Internal use.
This method is used by the OpenGL Canvas to display a surface in 3 dimensions for speed reasons.


TTeeCanvas3D.TextOut

TTeeCanvas3D.TextOut
TTeeCanvas3D

procedure TextOut(X, Y: Integer; Const Text: String); override;

Unit
TeCanvas

Description
Draws the Text string at the XY pixel coordinates.
See VCL help file for TCanvas TextOut method.


TTeeCanvas3D.TextOut3D

TTeeCanvas3D.TextOut3D
TTeeCanvas3D

procedure TextOut3D(X, Y, Z: Integer; Const Text: String); override; overload;

Unit
TeCanvas

Description
Draws a 2D non-rotated label at XYZ position. Depends on TextAlign property.


TTeeCanvas3D.Triangle3D

TTeeCanvas3D.Triangle3D
TTeeCanvas3D

procedure Triangle3D(Const Points: TTrianglePoints3D; Const Colors: TTriangleColors3D); override;

Unit
TeCanvas

Description
Draws a 3 dimensions triangle using the 3 XYZ points coordinates and the 3 color parameters.


TTeeCanvas3D.TriangleWithZ

TTeeCanvas3D.TriangleWithZ
TTeeCanvas3D

procedure TriangleWithZ(Const P1, P2, P3: TPoint; Z: Integer); override;

Unit
TeCanvas

Description
Draws a triangle of P1,P2,P3 at Z position.

Example:

Chart1.Canvas.TriangleWithZ( Point(40,40), Point(50,30), Point( 60, 40), 10 );


TTeeCanvas3D.UnClipRectangle

TTeeCanvas3D.UnClipRectangle
TTeeCanvas3D

procedure UnClipRectangle; override;

Unit
TeCanvas

Description
(Advanced)

The UnClipRectangle method removes any clipping region applied to Chart Canvas. Clipping regions are used to prevent drawing to escape from desired rectangle coordinates. It is used internally to keep Marks and Series points to display outside ChartRect rectangle.

Note:
Metafiles do not accept clipping regions. Metafile format is used when printing, so clipping can not be performed.


TTeeCanvas.0methods

TTeeCanvas methods
TTeeCanvas Legend key

Unit
TeCanvas

In TTeeCanvas
Arc
Arrow
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ClipRectangle
ConvexHull
DoHorizLine
Donut
DoRectangle
DoVertLine
Draw
Ellipse
EndBlending
EraseBackground
FillRect
Frame3D
GetArrowPoints
GradientFill
Invalidate
Line
LineTo
MoveTo
Pie
Polygon
Polyline
Rectangle
ResetState
RotateLabel
RoundRect
StretchDraw
TextHeight
TextOut
TextWidth
UnClipRectangle

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeCanvas.0properties

TTeeCanvas properties
TTeeCanvas Legend key

Unit
TeCanvas

In TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TTeeCanvas.Arc

TTeeCanvas.Arc
TTeeCanvas

procedure Arc(Const Left, Top, Right, Bottom, StartX, StartY, EndX, EndY: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
Use Arc to draw an elliptically curved line with the current Pen. The arc traverses the perimeter of an ellipse that is bounded by the points (X1,Y1) and (X2,Y2). The arc is drawn following the perimeter of the ellipse, counterclockwise, from the starting point to the ending point. The starting point is defined by the intersection of the ellipse and a line defined by the center of the ellipse and (X3,Y3). The ending point is defined by the intersection of the ellipse and a line defined by the center of the ellipse and (X4, Y4).


TTeeCanvas.Arrow

TTeeCanvas.Arrow
TTeeCanvas

procedure Arrow(Filled: Boolean; Const ArrowPercent: Double; Const FromPoint, ToPoint: TPoint; ArrowWidth, ArrowHeight: Integer); overload;

Unit
TeCanvas

Description
Draws a simple arrow using the canvas current Pen properties.

When Filled parameter is True, the arrow interior is painted using current Brush properties.

ArrowPercent (from 0 to 100) defines the percent of ArrowWidth used as left and right sizes of the arrow head.
ArrowHeight defines the vertical size of the arrow head.

FromPoint and ToPoint are the locations of the start and end of the arrow segment.


TTeeCanvas.AssignBrush

TTeeCanvas.AssignBrush
TTeeCanvas

procedure AssignBrush(ABrush: TChartBrush); overload;

Unit
TeCanvas

Description

The AssignBrush method copies the passed Brush properties into the Canvas brush, to fill graphical drawings using the specified brush color, pattern and image.

AssignBrush is different than calling Canvas.Brush.Assign( MyBrush ) because it does additional tasks, like assigning the brush image ( if used ), and the background color ( the ABackColor parameter ).

The BackColor parameter defines the background color used when the Brush Style property is not solid ( patterns, different than bsSolid ).

The foreground color is set to the Brush.Color property.

See also:

AssignBrushColor method.
TBrush.Style property.
TChartBrush object.


TTeeCanvas.AssignBrushColor

TTeeCanvas.AssignBrushColor
TTeeCanvas

procedure AssignBrushColor(ABrush: TChartBrush; AColor, ABackColor: TColor);

Unit
TeCanvas

Description

The AssignBrushColor method copies the passed Brush properties into the Canvas brush, to fill graphical drawings using the specified brush color, pattern and image.

AssignBrush is different than calling Canvas.Brush.Assign( MyBrush ) because it does additional tasks, like assigning the brush image ( if used ), and the background color ( the ABackColor parameter ).

The ABackColor parameter defines the background color used when the Brush Style property is not solid ( patterns, different than bsSolid ).

The AColor parameter is the color to fill the foreground parts of the brush pattern. You can pass a different color than the Brush.Color without modifying it.

See also:

AssignBrush method.
TBrush.Style property.
TChartBrush object.


TTeeCanvas.AssignFont

TTeeCanvas.AssignFont
TTeeCanvas

procedure AssignFont(AFont: TTeeFont);

Unit
TeCanvas

Description

The AssignFont method copies the Font parameter properties into the Canvas.Font object.

Note: It is different calling AssignFont than calling Canvas.Font.Assign( MyFont ) because the AssignFont method does additional tasks, like setting the ( optional ) Font.OutLine pen property and the ( optional ) Font.Shadow color and sizes.

Text displayed after calling AssignFont is drawn using the AFont properties.

See also:

TTeeFont object.
TTeeCanvas.TextOut method.


TTeeCanvas.AssignVisiblePen

TTeeCanvas.AssignVisiblePen
TTeeCanvas

procedure AssignVisiblePen(APen: TPen);

Unit
TeCanvas

Description

The AssignVisiblePen method copies the APen parameter properties into the Canvas.Pen object.

Note: It is different to call AssignVisiblePen than calling Canvas.Pen.Assign( MyPen ) because AssignVisiblePen does additional tasks, like setting the ( optional ) Pen.OutLine and the ( optional ) Pen.SmallDots properties.

See also:

AssignVisiblePenColor method.
TChartPen object.


TTeeCanvas.AssignVisiblePenColor

TTeeCanvas.AssignVisiblePenColor
TTeeCanvas

procedure AssignVisiblePenColor(APen: TPen; AColor: TColor); virtual;

Unit
TeCanvas

Description

The AssignVisiblePenColor method copies the APen parameter properties into the Canvas.Pen object, and uses the AColor parameter instead of the APen color.

Note: It is different to call AssignVisiblePenColor than calling Canvas.Pen.Assign( MyPen ) because AssignVisiblePenColor does additional tasks, like setting the ( optional ) Pen.OutLine and the ( optional ) Pen.SmallDots properties.

See also:

AssignVisiblePen method.
TChartPen object.


TTeeCanvas.BackColor

TTeeCanvas.BackColor
TTeeCanvas

property BackColor: TColor;

Unit
TeCanvas

Description
Sets / returns the color used to fill spaces when displaying text or filling with brushes with different style than bsSolid.


TTeeCanvas.BackMode

TTeeCanvas.BackMode
TTeeCanvas

property BackMode: TCanvasBackMode;

Unit
TeCanvas

Description
Can be cbmOpaque or cbmTransparent.

If it is cbmTransparent, then the BackColor is used.


TTeeCanvas.BeginBlending

TTeeCanvas.BeginBlending
TTeeCanvas

function BeginBlending(Const R: TRect; Transparency: TTeeTransparency): TTeeBlend; virtual;

Unit
TeCanvas

Description
Initiates canvas for blending (transparency) operation.
The R rectangle determines the 2D dimensions of the transparent area and the Transparency parameter is the percentage of semi-glass effect.
The function returns an instance of a TTeeBlend object, that must be passed to EndBlending method.
The EndBlending method automatically frees the temporary blending object.

Example :

var blend : TTeeBlend;
R : TRect;

R:=Rect( 40,40,100,100 );
blend := Chart1.Canvas.BeginBlending( R, 50 ) ; // 50 % transparency
Chart1.Canvas.Brush.Color := clBlue;
Chart1.Canvas.Rectangle( R );
Chart1.Canvas.EndBlending( blend );


TTeeCanvas.Bounds

TTeeCanvas.Bounds
TTeeCanvas

property Bounds: TRect;

Unit
TeCanvas

Description
Use Bounds as a quick way to obtain the pixel locations of all corners of the 3D Canvas all at once.

The origin of the pixel coordinate system is in the top left corner of the parent window.


TTeeCanvas.Brush

TTeeCanvas.Brush
TTeeCanvas

property Brush: TBrush;

Unit
TeCanvas

Description
Canvas Brush fill characteristics.


TTeeCanvas.ClipEllipse

TTeeCanvas.ClipEllipse
TTeeCanvas

procedure ClipEllipse(Const Rect: TRect; Inverted: Boolean); virtual;

Unit
TeCanvas

Description
Restricts canvas output to either the inside or outside of an ellipse contained inside the Rect coordinates parameter.

The Inverted parameter, when True, restricts output to the outside of the ellipse only.

When Inverted is False, canvas ouput is only possible inside the ellipse.


TTeeCanvas.ClipPolygon

TTeeCanvas.ClipPolygon
TTeeCanvas

procedure ClipPolygon(Const Points: array of TPoint; NumPoints: Integer; DiffRegion: Boolean); virtual;

Unit
TeCanvas

Description
Tells the canvas to restrict output to the polygon that forms the array of points.


TTeeCanvas.ClipRectangle

TTeeCanvas.ClipRectangle
TTeeCanvas

procedure ClipRectangle(Const Rect: TRect); virtual; abstract; overload;

Unit
TeCanvas

Description
The ClipRectangle method creates a Windows GDI clipping region and selects it into

TChart.Canvas device context handle.

The UnClipRectangle method removes any clipping region applied to TChart.Canvas.

You can use this method to avoid Series or custom drawing to go over the desired rectangle

coordinates.

Note: Printing and creating metafiles do not accept clipping regions in logical pixels.


TTeeCanvas.ConvexHull

TTeeCanvas.ConvexHull
TTeeCanvas

function ConvexHull(Var Points: TPointArray): Boolean;

Unit
TeCanvas

Description
Given an array of points, this method removes all points that are "inside" the perimeter or boundaries.

This method is used by the TPerimeterFunction.


TTeeCanvas.DoHorizLine

TTeeCanvas.DoHorizLine
TTeeCanvas

procedure DoHorizLine(Const X0, X1, Y: Integer); virtual;

Unit
TeCanvas

Description
Draws horizontal line at X0 to X1 at vertical position Y


TTeeCanvas.Donut

TTeeCanvas.Donut
TTeeCanvas

procedure Donut(XCenter, YCenter, XRadius, YRadius: Integer; Const StartAngle, EndAngle, HolePercent: Double); virtual; abstract;

Unit
TeCanvas

Description
Use Donut to draw and display a Donut (Torus) with centre (X, Y), radius X & Y, Start and End Angles and hole percent.


TTeeCanvas.DoRectangle

TTeeCanvas.DoRectangle
TTeeCanvas

procedure DoRectangle(Const Rect: TRect);

Unit
TeCanvas

Description
The DoRectangle method calls the Chart.Canvas.Rectangle method passing the Rect variable parameter. It is equivalent to:

Canvas.Rectangle( Rect.Left, Rect.Top, Rect.Right, Rect.Bottom ) ;


TTeeCanvas.DoVertLine

TTeeCanvas.DoVertLine
TTeeCanvas

procedure DoVertLine(Const X, Y0, Y1: Integer); virtual;

Unit
TeCanvas

Description
Draws vertical line at Y0 to Y1 at horizontal position X.


TTeeCanvas.Draw

TTeeCanvas.Draw
TTeeCanvas

procedure Draw(X, Y: Integer; Graphic: TGraphic); virtual; abstract;

Unit
TeCanvas

Description
Use Draw to draw and display at position (X, Y) objects such as icons, bitmaps, and metafiles that can store and display visual images.


TTeeCanvas.Ellipse

TTeeCanvas.Ellipse
TTeeCanvas

procedure Ellipse(Const R: TRect); overload;

Unit
TeCanvas

Description
Use Ellipse to draw and display an ellipse bounded by the rectangle determined by the points (X1, Y1) and X2, Y2).


TTeeCanvas.EndBlending

TTeeCanvas.EndBlending
TTeeCanvas

procedure EndBlending(Blend: TTeeBlend); virtual;

Unit
TeCanvas

Description
Terminates a transparency operation.
The Blend parameter must be a TTeeBlend object obtained when calling the Canvas BeginBlending method.
This method will automatically free the Blend object.

Example:

var blend : TTeeBlend;
R : TRect;

R:=Rect( 40,40,100,100 );
blend := Chart1.Canvas.BeginBlending( R, 50 ) ; // 50 % transparency
Chart1.Canvas.Brush.Color := clBlue;
Chart1.Canvas.Rectangle( R );
Chart1.Canvas.EndBlending( blend );


TTeeCanvas.EraseBackground

TTeeCanvas.EraseBackground
TTeeCanvas

procedure EraseBackground(Const Rect: TRect); virtual; abstract;

Unit
TeCanvas

Description
Clears background defined for TRect (Rectangle( Rect.Left, Rect.Top, Rect.Right, Rect.Bottom ) ).


TTeeCanvas.FillRect

TTeeCanvas.FillRect
TTeeCanvas

procedure FillRect(Const Rect: TRect); virtual; abstract;

Unit
TeCanvas

Description
Use FillRect to fill a rectangular region using the current brush.


TTeeCanvas.Font

TTeeCanvas.Font
TTeeCanvas

property Font: TFont;

Unit
TeCanvas

Description
Canvas Text Font characteristics.


TTeeCanvas.FontHeight

TTeeCanvas.FontHeight
TTeeCanvas

property FontHeight: Integer;

Unit
TeCanvas

Description
Returns the default height in pixels for the largest character (usually the "W" letter) based on the current selected Canvas Font and Canvas parameters.


TTeeCanvas.Frame3D

TTeeCanvas.Frame3D
TTeeCanvas

procedure Frame3D(Var Rect: TRect; TopColor, BottomColor: TColor; Width: Integer); virtual;

Unit
TeCanvas

Description
Use Frame3D to create three-dimensional effects when drawing directly on the canvas. The Rect parameter specifies the position on the canvas where the three-dimensional rectangle should appear. The TopColor and BottomColor parameters indicate the colors that appear on the left and top or the right and bottom of the rectangle respectively. The Width parameter specifies the width of the frame.

To create a raised effect, the TopColor should be a light color and the BottomColor should be a shadow color. To create a depressed effect, the TopColor should be the shadow color and the BottomColor should be the light color. To create a beveled effect, draw a frame immediately inside another frame with the colors reversed.


TTeeCanvas.GetArrowPoints

TTeeCanvas.GetArrowPoints
TTeeCanvas

function GetArrowPoints(Const ArrowPercent: Double; Const FromPoint, ToPoint: TPoint; ArrowWidth, ArrowHeight: Integer): TPointArray; overload;

Unit
TeCanvas


TTeeCanvas.Gradient

TTeeCanvas.Gradient
TTeeCanvas

property Gradient: TTeeGradient;

Unit
TeCanvas

Description
The Gradient property specifies the colors used to fill a zone. The zone is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


TTeeCanvas.GradientFill

TTeeCanvas.GradientFill
TTeeCanvas

procedure GradientFill(Const Rect: TRect; StartColor, EndColor: TColor; Direction: TGradientDirection; Balance, RadialX, RadialY: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
The GradientFill method is used to fill a Screen area with multi-colored lines to obtain a nice shadow effect and coloured backgrounds. The Chart.Gradient component uses this method internally.

Example

procedure TForm1.Button1Click(Sender: TObject);
begin
Chart1.Canvas.GradientFill( Canvas, ClientRect, clYellow, clBlue, True);
end;


TTeeCanvas.Handle

TTeeCanvas.Handle
TTeeCanvas

property Handle: TTeeCanvasHandle;

Unit
TeCanvas

Description
Sets Handle to the HDC for the device context the canvas must draw into.


TTeeCanvas.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TTeeCanvas

Classes derived from TTeeCanvas
TCanvas3D


TTeeCanvas.Invalidate

TTeeCanvas.Invalidate
TTeeCanvas

procedure Invalidate; virtual; abstract;

Unit
TeCanvas

Description
Use Invalidate when the entire canvas needs to be repainted. When more than one region within the canvas needs repainting, Invalidate will cause the entire window to be repainted in a single pass, avoiding flicker caused by redundant repaints. There is no performance penalty for calling Invalidate multiple times before the control is actually repainted.


TTeeCanvas.IsNoBMPGrid

TTeeCanvas.IsNoBMPGrid
TTeeCanvas

property IsNoBMPGrid: Boolean;

Unit
TeCanvas


TTeeCanvas.Line

TTeeCanvas.Line
TTeeCanvas

procedure Line(Const X0, Y0, X1, Y1: Integer); virtual; overload;

Unit
TeCanvas

Description
Draws line between end co-ordinates using current Pen


TTeeCanvas.LineTo

TTeeCanvas.LineTo
TTeeCanvas

procedure LineTo(Const X, Y: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
Same as TCanvas. Draws line from present cursor position (ie. set via MoveTo) to X,Y.


TTeeCanvas.Metafiling

TTeeCanvas.Metafiling
TTeeCanvas

property Metafiling: Boolean;

Unit
TeCanvas

Description
Returns if the Canvas is drawing to a Metafile Handle or to a TMetafileCanvas.


TTeeCanvas.Monochrome

TTeeCanvas.Monochrome
TTeeCanvas

property Monochrome: Boolean;

Unit
TeCanvas

Description
Sets the internal Bitmap.Monochrome property.


TTeeCanvas.MoveTo

TTeeCanvas.MoveTo
TTeeCanvas

procedure MoveTo(Const X, Y: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
same as TCanvas, with z


TTeeCanvas.Pen

TTeeCanvas.Pen
TTeeCanvas

property Pen: TPen;

Unit
TeCanvas

Description
Canvas Draw Pen charcteristics.

Change Pen characteristics before drawing to output draw with required characteristics.


TTeeCanvas.Pie

TTeeCanvas.Pie
TTeeCanvas

procedure Pie(Const R: TRect; Const StartAngle, EndAngle: Double); virtual; abstract; overload;

Unit
TeCanvas

Description
Use Pie to draw a pie-shaped wedge on the image. The wedge is defined by the ellipse bounded by the rectangle determined by the points (X1, Y1) and X2, Y2). The section drawn is determined by two lines radiating from the center of the ellipse through the points (X3, Y3) and (X4, Y4).

The wedge is outlined using Pen, and filled using Brush.


TTeeCanvas.Pixels

TTeeCanvas.Pixels
TTeeCanvas

property Pixels[X, Y: Integer]: TColor;

Unit
TeCanvas

Description
Read Pixels to learn the color on the drawing surface at a specific pixel position within the current clipping region. If the position is outside the clipping rectangle, reading the value of Pixels returns -1.

Write Pixels to change the color of individual pixels on the drawing surface. Use Pixels for detailed effects on an image. Pixels may also be used to determine the color that should be used for the FillRect method.

Not every device context supports the Pixels property. Reading the Pixels property for such a device context will return a value of -1. Setting the Pixels property for such a device context does nothing.


TTeeCanvas.Polygon

TTeeCanvas.Polygon
TTeeCanvas

procedure Polygon(Const Points: array of TPoint); virtual; abstract;

Unit
TeCanvas

Description
Use Polygon to draw a closed, many-sided shape on the canvas, using the value of Pen. After drawing the complete shape, Polygon fills the shape using the value of Brush.

To draw a polygon on the canvas, without filling it, use the Polyline method, specifying the first point a second time at the end.

Use the Slice function to pass a portion of an array of points to the Polygon method. For example, to form a polygon from the first ten points from an array of 100 points, use the Slice function as follows:

Canvas.Polygon(Slice(PointArray, 10));


TTeeCanvas.Polyline

TTeeCanvas.Polyline
TTeeCanvas

procedure Polyline(Const Points: array of TPoint); virtual; abstract; overload;

Unit
TeCanvas

Description
Draws a 2D line using the array of points.


TTeeCanvas.Rectangle

TTeeCanvas.Rectangle
TTeeCanvas

procedure Rectangle(Const R: TRect); overload;

Unit
TeCanvas

Description
Use Rectangle to draw a rectangle using Pen and fill it with Brush. Specify the rectangle’s coordinates by giving four coordinates that define the upper left corner at the point (X1, Y1) and the lower right corner at the point (X2, Y2).

To fill a rectangular region without drawing the boundary in the current pen, use FillRect. To draw a rectangle with rounded corners, use RoundRect.


TTeeCanvas.ReferenceCanvas

TTeeCanvas.ReferenceCanvas
TTeeCanvas

property ReferenceCanvas: TCanvas;

Unit
TeCanvas

Description
The TCanvas associated to the Canvas3D. Used for low level tasks only.


TTeeCanvas.ResetState

TTeeCanvas.ResetState
TTeeCanvas

procedure ResetState;

Unit
TeCanvas

Description
Call ResetState to ensure that the listed properties of TTeeCanvas are up to date.


TTeeCanvas.RotateLabel

TTeeCanvas.RotateLabel
TTeeCanvas

procedure RotateLabel(X, Y: Integer; Const St: String; RotDegree: Double); virtual; abstract;

Unit
TeCanvas

Description
This method will draw a rotated text string at the specified xy coordinates with the RotDegree rotation angle. RotDegree values must be between 0 and 360. The string is drawn on the Chart.Canvas.


TTeeCanvas.RoundRect

TTeeCanvas.RoundRect
TTeeCanvas

procedure RoundRect(X1, Y1, X2, Y2, X3, Y3: Integer); virtual; abstract; overload;

Unit
TeCanvas

Description
Use RoundRect to draw a rounded rectangle using Pen and fill it with Brush. The rectangle will have edges defined by the points (X1,Y1), (X2,Y1), (X2,Y2), (X1,Y2), but the corners will be shaved to create a rounded appearance. The curve of the rounded corners matches the curvature of an ellipse with width X3 and height Y3.

To draw an ellipse instead, use Ellipse. To draw a true rectangle, use Rectangle.


TTeeCanvas.StretchDraw

TTeeCanvas.StretchDraw
TTeeCanvas

procedure StretchDraw(Const Rect: TRect; Graphic: TGraphic); virtual; abstract; overload;

Unit
TeCanvas

Description
Call StretchDraw to draw a graphic on the canvas so that the image fits in the specified rectangle. StretchDraw calls the Draw method of the graphic. The graphic object determines how to fit into the rectangle. This may involve changing magnification and/or aspect ratio.

To render the graphic in its natural size, use the Draw method, instead.

Graphics can be bitmaps, icons, or metafiles. If the graphic is a TBitmap object, the bitmap is rendered using the value of CopyMode.


TTeeCanvas.SupportsFullRotation

TTeeCanvas.SupportsFullRotation
TTeeCanvas

property SupportsFullRotation: Boolean;

Unit
TeCanvas

Description
Returns if Canvas can do full 360 degree rotation, elevation and tilt, with automatic hidden removal of pixels obscured by others.
Currently only OpenGL Canvas provides full rotation and pixel hidden removal.

Example:

if Chart1.Canvas.SupportsFullRotation then
Chart1.View3DOptions.Rotation:= 195;


TTeeCanvas.SupportsXORMode

TTeeCanvas.SupportsXORMode
TTeeCanvas

property SupportsXORMode: Boolean;

Unit
TeCanvas

Description
Returns if Canvas can support XOR Mode.


TTeeCanvas.TextAlign

TTeeCanvas.TextAlign
TTeeCanvas

property TextAlign: TCanvasTextAlign;

Unit
TeCanvas

Description
Sets the alignment used when displaying text using TextOut or TextOut3D. See TAlignment.


TTeeCanvas.TextHeight

TTeeCanvas.TextHeight
TTeeCanvas

function TextHeight(Const St: String): Integer; virtual; overload;

Unit
TeCanvas

Description
Use TextHeight to determine the height a wide string (Unicode) will occupy in the image.
Other elements in the image such as lines, boxes, or additional lines of text can be positioned to accommodate the height of the text.

See also TextWidth


TTeeCanvas.TextOut

TTeeCanvas.TextOut
TTeeCanvas

procedure TextOut(Const X, Y: Integer; Const Text: String; AllowHtml: Boolean); overload;

Unit
TeCanvas

Description
Draws a 2D non-rotated label at XYZ position. Depends on TextAlign property.


TTeeCanvas.TextWidth

TTeeCanvas.TextWidth
TTeeCanvas

function TextWidth(Const St: String): Integer; virtual; overload;

Unit
TeCanvas

Description
Use TextWdith to determine the length a wide string (Unicode) will occupy in the image.
TextWidth indicates whether a given string will fit in the available space. Other graphical elements in the image such as lines, or additional strings can be positioned to accommodate the width of the text.

See also TextHeight


TTeeCanvas.UnClipRectangle

TTeeCanvas.UnClipRectangle
TTeeCanvas

procedure UnClipRectangle; virtual; abstract;

Unit
TeCanvas

Description
(Advanced)

The UnClipRectangle method removes any clipping region applied to Chart Canvas. Clipping regions are used to prevent drawing to escape from desired rectangle coordinates. It is used internally to keep Marks and Series points to display outside ChartRect rectangle.

Note: Metafiles do not accept clipping regions. Metafile format is used when printing, so clipping can not be performed.


TTeeCanvas.UseBuffer

TTeeCanvas.UseBuffer
TTeeCanvas

property UseBuffer: Boolean;

Unit
TeCanvas

Description
Same as TChart.BufferedDisplay.

Only the normal TCanvas3D can do BufferedDisplay ( UseBuffer:=True )


TTeeCommander.0events

TTeeCommander events
TTeeCommander Legend key

Unit
TeeComma

In TTeeCommander
OnEditedChart
OnSetLabel

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCommander.0methods

TTeeCommander methods
TTeeCommander Legend key

Unit
TeeComma

In TTeeCommander
CreateControls
RepositionControls
ShowValues

Derived from TCustomTeeCommander
CreateBevel
CreateButton
CreateLabel

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeCommander.0properties

TTeeCommander properties
TTeeCommander Legend key

Unit
TeeComma

In TTeeCommander
Button3D
ButtonCopy
ButtonDepth
ButtonEdit
ButtonMove
ButtonNormal
ButtonPrint
ButtonRotate
ButtonSave
ButtonZoom
ChartEditor
DefaultButton
EnablePieExploding
FullRotation
LabelText
LabelValues
Previewer
RotateInertia

Derived from TCustomTeeCommander
Gradient
Panel
Vertical

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCommander.Button3D

TTeeCommander.Button3D
TTeeCommander

property Button3D: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonCopy

TTeeCommander.ButtonCopy
TTeeCommander

property ButtonCopy: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonDepth

TTeeCommander.ButtonDepth
TTeeCommander

property ButtonDepth: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonEdit

TTeeCommander.ButtonEdit
TTeeCommander

property ButtonEdit: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonMove

TTeeCommander.ButtonMove
TTeeCommander

property ButtonMove: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonNormal

TTeeCommander.ButtonNormal
TTeeCommander

property ButtonNormal: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonPrint

TTeeCommander.ButtonPrint
TTeeCommander

property ButtonPrint: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonRotate

TTeeCommander.ButtonRotate
TTeeCommander

property ButtonRotate: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonSave

TTeeCommander.ButtonSave
TTeeCommander

property ButtonSave: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ButtonZoom

TTeeCommander.ButtonZoom
TTeeCommander

property ButtonZoom: TSpeedButton;

Unit
TeeComma

Description
Use this option to hide the TeeCommander button.

Example.
TeeCommander1.Button3D.Visible:=False;


TTeeCommander.ChartEditor

TTeeCommander.ChartEditor
TTeeCommander

property ChartEditor: TChartEditor;

Unit
TeeComma

Description
Link to ChartEditor component used to define the Chart Editor for the Chart/DBChart. The Chart Editor will be opened when the Editor button is selected on the TeeCommander navigator bar.


TTeeCommander.CreateControls

TTeeCommander.CreateControls
TTeeCommander

procedure CreateControls(AControls: array of TCommanderControls);

Unit
TeeComma

Description
Creates TeeCommander buttons.

Example

This example replaces the original TeeCommander buttons with Rotate and 3D buttons (and separator line)

procedure TForm1.FormCreate(Sender: TObject);
begin
TeeCommander1.CreateControls([tcbRotate,tcbSeparator,tcb3D]);
end;


TTeeCommander.DefaultButton

TTeeCommander.DefaultButton
TTeeCommander

property DefaultButton: TCommanderControls;

Unit
TeeComma

Description

Gets or sets the default commander button.

That is, the button that will be initially selected the first time the TeeCommander toolbar is displayed.

TeeCommander1.DefaultButton := tcbZoom;

by default, the DefaultButton is tcbNormal.


TTeeCommander.EnablePieExploding

TTeeCommander.EnablePieExploding
TTeeCommander

property EnablePieExploding: Boolean;

Unit
TeeComma

Description
When True, users can drag a pie slice using the mouse to "explode" it.

When False, this behaviour is not performed.


TTeeCommander.FullRotation

TTeeCommander.FullRotation
TTeeCommander

property FullRotation: Boolean;

Unit
TeeComma

Description
Default is False.
Setting FullRotation property to True forces TeeCommander to allow chart rotation and elevation to be 360 degree.
By default, only OpenGL canvas allows full rotation.


TTeeCommander.Hierarchy

Unit
TeeComma

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeeCommander
|
TTeeCommander

Classes derived from TTeeCommander
(none)


TTeeCommander.LabelText

TTeeCommander.LabelText
TTeeCommander

property LabelText: TLabel;

Unit
TeeComma

Description
Read only.

Returns the LabelText for the TeeCommander navigator bar. Default text for different TeeCommander modes are:

3D mobility: Elevation and Rotation in degrees.
Drag: Horizontal and vertical displacement in pixels.
Zoom: Percentage figure of overall Chart zoom.


TTeeCommander.LabelValues

TTeeCommander.LabelValues
TTeeCommander

property LabelValues: Boolean;

Unit
TeeComma

Description
Default True.

When false disables display of TeeCommander LabelText.


TTeeCommander.OnEditedChart

TTeeCommander.OnEditedChart
TTeeCommander

property OnEditedChart: TTeeEditedChartEvent;

Unit
TeeComma

Description
Event called when Chart Editor opened via the TeeCommander bar is closed.


TTeeCommander.OnSetLabel

TTeeCommander.OnSetLabel
TTeeCommander

property OnSetLabel: TTeeCommanderOnSetLabel;

Unit
TeeComma

Description
This event is called when the TeeCommander needs to display the "label" (help text).

When the user clicks a button in the TeeCommander, the label is refreshed.

You can use this event to obtain the label text and display it in other places that the TeeCommander panel.

See the LabelText and LabelValues properties.


TTeeCommander.Previewer

TTeeCommander.Previewer
TTeeCommander

property Previewer: TChartPreviewer;

Unit
TeeComma

Description
Link to Chart Previewer component used to define the Chart Previewer for the Chart/DBChart. The Chart Previewer will be opened when the Preview button is selected on the TeeCommander navigator bar.


TTeeCommander.RepositionControls

TTeeCommander.RepositionControls
TTeeCommander

procedure RepositionControls;

Unit
TeeComma

Description
This method will reorder all Visible buttons in the toolbar, eliminating gaps if some buttons are hidden.


TTeeCommander.RotateInertia

TTeeCommander.RotateInertia
TTeeCommander

property RotateInertia: Integer;

Unit
TeeComma

Description
Intertia may be applied to the Rotate Tool. The higher the inertia level the longer the damped slow-to-stop of the
Chart.


TTeeCommander.ShowValues

TTeeCommander.ShowValues
TTeeCommander

procedure ShowValues;

Unit
TeeComma

Description
Internal use.

Shows the Label values.


TTeeCustomAnimation.0events

TTeeCustomAnimation events
TTeeCustomAnimation Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomAnimation.0methods

TTeeCustomAnimation methods
TTeeCustomAnimation Legend key

Unit
TeEngine

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeCustomAnimation.0properties

TTeeCustomAnimation properties
TTeeCustomAnimation Legend key

Unit
TeEngine

In TTeeCustomAnimation
Speed
Target
Trigger

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomAnimation.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomAnimation

Classes derived from TTeeCustomAnimation
TExpandAnimation


TTeeCustomAnimation.Speed

TTeeCustomAnimation.Speed
TTeeCustomAnimation

property Speed: Integer;

Unit
TeEngine

Description
Sets the speed of the animation.


TTeeCustomAnimation.Target

TTeeCustomAnimation.Target
TTeeCustomAnimation

property Target: TChartClickedPartStyle;

Unit
TeEngine


TTeeCustomAnimation.Trigger

TTeeCustomAnimation.Trigger
TTeeCustomAnimation

property Trigger: TAnimationTrigger;

Unit
TeEngine


TTeeCustomShape.0methods

TTeeCustomShape methods
TTeeCustomShape Legend key

Unit
TeeProcs

In TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeCustomShape.0properties

TTeeCustomShape properties
TTeeCustomShape Legend key

Unit
TeeProcs

In TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTeeCustomShape.Bevel

TTeeCustomShape.Bevel
TTeeCustomShape

property Bevel: TPanelBevel;

Unit
TeeProcs

Description
Set bevel characteristics of the Shape.


TTeeCustomShape.BevelWidth

TTeeCustomShape.BevelWidth
TTeeCustomShape

property BevelWidth: TBevelWidth;

Unit
TeeProcs

Description
Set Bevelwidth of the Shape.


TTeeCustomShape.Color

TTeeCustomShape.Color
TTeeCustomShape

property Color: TColor;

Unit
TeeProcs

Description
Shape colour.


TTeeCustomShape.Draw

TTeeCustomShape.Draw
TTeeCustomShape

procedure Draw;

Unit
TeeProcs

Description
Paints the TTeeCustomShape object on the Chart Canvas.


TTeeCustomShape.DrawRectRotated

TTeeCustomShape.DrawRectRotated
TTeeCustomShape

procedure DrawRectRotated(Rect: TRect; Angle, AZ: Integer); overload;

Unit
TeeProcs

Description
Draw the Shape rectangle rotated by Angle degrees at the specified 3D "Z" position in the "AZ" parameter.


TTeeCustomShape.Emboss

TTeeCustomShape.Emboss
TTeeCustomShape

property Emboss: TTeeEmboss;

Unit
TeeProcs

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TTeeCustomShape.Font

TTeeCustomShape.Font
TTeeCustomShape

property Font: TTeeFont;

Unit
TeeProcs

Description
Font for Shape outputted text.


TTeeCustomShape.Gradient

TTeeCustomShape.Gradient
TTeeCustomShape

property Gradient: TChartGradient;

Unit
TeeProcs

Description
Call Gradient characteristics for the shape.


TTeeCustomShape.Height

TTeeCustomShape.Height
TTeeCustomShape

property Height: Integer;

Unit
TeeProcs

Description
Gets or sets the height of the shape.

The height corresponds to ShapeBounds.Bottom - ShapeBounds.Top


TTeeCustomShape.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape

Classes derived from TTeeCustomShape
TChartAxisTitle
TCustomChartWall
TMarksItem
TSeriesMarks
TSeriesMarksSymbol
TTableLegend
TTeeCustomShapePosition
TTeeShape


TTeeCustomShape.Picture

TTeeCustomShape.Picture
TTeeCustomShape

property Picture: TBackImage;

Unit
TeeProcs

Description
Gets or sets an image to be displayed at shape background.

The picture can be drawn stretched, tiled or centered, and it can be customized applying visual filters to manipulate the image pixels.


TTeeCustomShape.RoundSize

TTeeCustomShape.RoundSize
TTeeCustomShape

property RoundSize: Integer;

Unit
TeeProcs

Description
Defines the size in pixels of the "roundness" of four corners in shape rectangle.

Note: The ShapeStyle property must be set to fosRoundRectangle.


TTeeCustomShape.Shadow

TTeeCustomShape.Shadow
TTeeCustomShape

property Shadow: TTeeShadow;

Unit
TeeProcs

Description
Configures all the properties used to draw a shadow around the shape boundaries.


TTeeCustomShape.ShadowColor

TTeeCustomShape.ShadowColor
TTeeCustomShape

property ShadowColor: TColor;

Unit
TeeProcs

Description
Colour of shape's shadowed items.


TTeeCustomShape.ShadowSize

TTeeCustomShape.ShadowSize
TTeeCustomShape

property ShadowSize: Integer;

Unit
TeeProcs

Description
Size in pixels of shape's shadowed items.


TTeeCustomShape.ShapeStyle

TTeeCustomShape.ShapeStyle
TTeeCustomShape

property ShapeStyle: TChartObjectShapeStyle;

Unit
TeeProcs

Description
Shape may be rectagular or rounded rectangular in shape.

See also: TChartObjectShapeStyle


TTeeCustomShape.TextFormat

TTeeCustomShape.TextFormat
TTeeCustomShape

property TextFormat: TTextFormat;

Unit
TeeProcs

Description

Returns the TTextFormat object that is used to display text inside the shape.


TTeeCustomShape.Transparent

TTeeCustomShape.Transparent
TTeeCustomShape

property Transparent: Boolean;

Unit
TeeProcs

Description
Enable transparency of shape. See Transparency property which sets percentage transparency when Transparent is True.


TTeeCustomShape.Width

TTeeCustomShape.Width
TTeeCustomShape

property Width: Integer;

Unit
TeeProcs

Description
Gets or sets the width of the shape.

The width corresponds to ShapeBounds.Right - ShapeBounds.Left


TTeeCustomShapeBrushPen.0methods

TTeeCustomShapeBrushPen methods
TTeeCustomShapeBrushPen Legend key

Unit
TeeProcs

In TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeCustomShapeBrushPen.0properties

TTeeCustomShapeBrushPen properties
TTeeCustomShapeBrushPen Legend key

Unit
TeeProcs

In TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTeeCustomShapeBrushPen.Brush

TTeeCustomShapeBrushPen.Brush
TTeeCustomShapeBrushPen

property Brush: TChartBrush;

Unit
TeeProcs

Description
Corresponds to the Brush object that is used to fill the shape interior.


TTeeCustomShapeBrushPen.Frame

TTeeCustomShapeBrushPen.Frame
TTeeCustomShapeBrushPen

property Frame: TChartPen;

Unit
TeeProcs

Description
Define Frame based on TChartPen class's Pen.


TTeeCustomShapeBrushPen.Hide

TTeeCustomShapeBrushPen.Hide
TTeeCustomShapeBrushPen

procedure Hide;

Unit
TeeProcs

Description
Removes the shape.

It is equivalent to setting the Visible property to False.


TTeeCustomShapeBrushPen.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen

Classes derived from TTeeCustomShapeBrushPen
TFramedBorder
TSeriesPointer
TTeeCustomShape


TTeeCustomShapeBrushPen.ParentChart

TTeeCustomShapeBrushPen.ParentChart
TTeeCustomShapeBrushPen

property ParentChart: TCustomTeePanel;

Unit
TeeProcs

Description
Gets the chart associated to shape.


TTeeCustomShapeBrushPen.Pen

TTeeCustomShapeBrushPen.Pen
TTeeCustomShapeBrushPen

property Pen: TChartPen;

Unit
TeeProcs

Description
Define Pen draw characteristics.


TTeeCustomShapeBrushPen.Repaint

TTeeCustomShapeBrushPen.Repaint
TTeeCustomShapeBrushPen

procedure Repaint;

Unit
TeeProcs

Description
Call Repaint to refresh Brush and Pen characteristics of the TTeeCustomShapeBrushPen descendant component.


TTeeCustomShapeBrushPen.Show

TTeeCustomShapeBrushPen.Show
TTeeCustomShapeBrushPen

procedure Show;

Unit
TeeProcs

Description
Shows the shape.

It is equivalent to setting the Visible property to True.


TTeeCustomShapeBrushPen.Visible

TTeeCustomShapeBrushPen.Visible
TTeeCustomShapeBrushPen

property Visible: Boolean;

Unit
TeeProcs

Description
Set visible false to hide Brush and Pen.


TTeeCustomShapePosition.0methods

TTeeCustomShapePosition methods
TTeeCustomShapePosition Legend key

Unit
Chart

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeCustomShapePosition.0properties

TTeeCustomShapePosition properties
TTeeCustomShapePosition Legend key

Unit
Chart

In TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTeeCustomShapePosition.CustomPosition

TTeeCustomShapePosition.CustomPosition
TTeeCustomShapePosition

property CustomPosition: Boolean;

Unit
Chart

Description
Set to True to permit custom positioning with the TTeeCustomShapePosition Left and Top properties.


TTeeCustomShapePosition.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition

Classes derived from TTeeCustomShapePosition
TChartTitle
TCustomChartLegend
TTeeShapePosition


TTeeCustomShapePosition.Left

TTeeCustomShapePosition.Left
TTeeCustomShapePosition

property Left: Integer;

Unit
Chart

Description
Left position in pixels.


TTeeCustomShapePosition.Top

TTeeCustomShapePosition.Top
TTeeCustomShapePosition

property Top: Integer;

Unit
Chart

Description
Top position in pixels.


TTeeCustomTool.0events

TTeeCustomTool events
TTeeCustomTool Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomTool.0methods

TTeeCustomTool methods
TTeeCustomTool Legend key

Unit
TeEngine

In TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeCustomTool.0properties

TTeeCustomTool properties
TTeeCustomTool Legend key

Unit
TeEngine

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomTool.Description

TTeeCustomTool.Description
TTeeCustomTool

function Description: String; virtual;

Unit
TeEngine

Description
Returns descriptive name of Tool.


TTeeCustomTool.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool

Classes derived from TTeeCustomTool
TAnnotationTool
TAntiAliasTool
TArrowTool
TDataTableTool
TFaderTool
TFrameTool
TFullScreenTool
TGridTransposeTool
TLightTool
TRotateTool
TSelectorTool
TSubChartTool
TTeeCustomAnimation
TTeeCustomToolAxis
TTeeCustomToolSeries
TTeeScrollBar
TText3DTool
TTransposeSeriesTool
TVideoPlayerTool
TVideoTool


TTeeCustomTool.LongDescription

TTeeCustomTool.LongDescription
TTeeCustomTool

function LongDescription: String; virtual;

Unit
TeEngine

Description
Returns a string with explanation about the Tool.


TTeeCustomToolAxis.0events

TTeeCustomToolAxis events
TTeeCustomToolAxis Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomToolAxis.0methods

TTeeCustomToolAxis methods
TTeeCustomToolAxis Legend key

Unit
TeEngine

In TTeeCustomToolAxis
Assign

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeCustomToolAxis.0properties

TTeeCustomToolAxis properties
TTeeCustomToolAxis Legend key

Unit
TeEngine

In TTeeCustomToolAxis
Axis

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomToolAxis.Assign

TTeeCustomToolAxis.Assign
TTeeCustomToolAxis

procedure Assign(Source: TPersistent); override;

Unit
TeEngine

Description
Assigns characteristics from other Tools. Useful to clone tools from other TChart objects.


TTeeCustomToolAxis.Axis

TTeeCustomToolAxis.Axis
TTeeCustomToolAxis

property Axis: TChartAxis;

Unit
TeEngine

Description
Assign to this property the TChartAxis to which Tool will belong.

Example:

ChartTool1.Axis := Chart1.LeftAxis ;


TTeeCustomToolAxis.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolAxis

Classes derived from TTeeCustomToolAxis
TAxisArrowTool
TAxisBreaksTool
TAxisScrollTool
TColorBandTool
TColorLineTool
TGridBandTool


TTeeCustomToolSeries.0events

TTeeCustomToolSeries events
TTeeCustomToolSeries Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomToolSeries.0methods

TTeeCustomToolSeries methods
TTeeCustomToolSeries Legend key

Unit
TeEngine

In TTeeCustomToolSeries
Assign

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeCustomToolSeries.0properties

TTeeCustomToolSeries properties
TTeeCustomToolSeries Legend key

Unit
TeEngine

In TTeeCustomToolSeries
Series

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeCustomToolSeries.Assign

TTeeCustomToolSeries.Assign
TTeeCustomToolSeries

procedure Assign(Source: TPersistent); override;

Unit
TeEngine

Description
Assigns characteristics from other Tools. Useful to clone tools from other TChart objects.


TTeeCustomToolSeries.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeCustomToolSeries

Classes derived from TTeeCustomToolSeries
TChartImageTool
TClipSeriesTool
TCursorTool
TDragMarksTool
TDragPointTool
TDrawLineTool
TExtraLegendTool
TFibonacciTool
TGanttTool
TLegendPaletteTool
TMarksTipTool
TNearestTool
TPieTool
TSeriesAnimationTool
TSeriesBandTool
TSeriesRegionTool
TSeriesStatsTool
TSurfaceNearestTool


TTeeCustomToolSeries.Series

TTeeCustomToolSeries.Series
TTeeCustomToolSeries

property Series: TChartSeries;

Unit
TeEngine

Description
The Series property is the Series to which the Tool will apply its features.
A Tool will only be associated with these series points.
Series property can be nil (none) applying the Tool globally to all the Chart Series or to none, depending on the derived tool object.

Example:

ChartTool1.Series := Series1 ;


TTeeDataSet.0events

TTeeDataSet events
TTeeDataSet Legend key

Unit
TeeData

Derived from TDataSet
Active
ActiveRecord
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AfterRefresh
AfterScroll
AggFields
AutoCalcFields
BeforeCancel
BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeforeRefresh
BeforeScroll
BlobFieldCount
BlockReadSize
BOF
Bookmark
BookmarkSize
BufferCount
Buffers
CalcBuffer
CalcFieldsSize
CanModify
Constraints
CurrentRecord
DataSetField
DataSource
DefaultFields
Designer
Eof
FieldCount
FieldDefList
FieldDefs
FieldList
FieldNoOfs
Fields
FieldValues
Filter
Filtered
FilterOptions
Found
InternalCalcFields
IsUniDirectional
Modified
NestedDataSetClass
NestedDataSets
ObjectView
OnCalcFields
OnDeleteError
OnEditError
OnFilterRecord
OnNewRecord
OnPostError
RecNo
RecordCount
RecordSize
Reserved
SparseArrays
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeDataSet.0methods

TTeeDataSet methods
TTeeDataSet Legend key

Unit
TeeData

Derived from TDataSet
ActivateBuffers
ActiveBuffer
AddDataSource
AddRecord
AllocRecordBuffer
Append
AppendRecord
BeginInsertAppend
BindFields
BlockReadNext
BookmarkAvailable
BookmarkValid
CalculateFields
Cancel
CheckActive
CheckBiDirectional
CheckBrowseMode
CheckCanModify
CheckFieldCompatibility
CheckInactive
CheckOperation
CheckParentState
CheckRequiredFields
ClearBuffers
ClearCalcFields
ClearFields
Close
CloseBlob
CloseCursor
CompareBookmarks
ControlsDisabled
Create
CreateBlobStream
CreateFields
CreateNestedDataSet
CursorPosChanged
DataConvert
DataEvent
DefChanged
Delete
Destroy
DestroyFields
DisableControls
DoAfterCancel
DoAfterClose
DoAfterDelete
DoAfterEdit
DoAfterInsert
DoAfterOpen
DoAfterPost
DoAfterRefresh
DoAfterScroll
DoBeforeCancel
DoBeforeClose
DoBeforeDelete
DoBeforeEdit
DoBeforeInsert
DoBeforeOpen
DoBeforePost
DoBeforeRefresh
DoBeforeScroll
DoInternalOpen
DoOnCalcFields
DoOnNewRecord
Edit
EnableControls
EndInsertAppend
FieldByName
FieldByNumber
FindField
FindFirst
FindLast
FindNext
FindPrior
FindRecord
First
FreeBookmark
FreeFieldBuffers
FreeRecordBuffer
GetActive
GetAggRecordCount
GetAggregateValue
GetBlobFieldData
GetBookmark
GetBookmarkData
GetBookmarkFlag
GetBookmarkStr
GetBuffer
GetCalcFields
GetCanModify
GetChildren
GetCurrentRecord
GetDataSource
GetDetailDataSets
GetDetailLinkFields
GetFieldClass
GetFieldCount
GetFieldData
GetFieldFullName
GetFieldList
GetFieldNames
GetFieldValue
GetFound
GetIndexDefs
GetIsIndexField
GetNestedDataSets
GetNextRecord
GetNextRecords
GetPriorRecord
GetPriorRecords
GetRecNo
GetRecord
GetRecordCount
GetRecordSize
GetStateFieldValue
GotoBookmark
InitFieldDefs
InitFieldDefsFromFields
InitRecord
Insert
InsertRecord
InternalAddRecord
InternalCancel
InternalClose
InternalDelete
InternalEdit
InternalFirst
InternalGotoBookmark
InternalHandleException
InternalInitFieldDefs
InternalInitRecord
InternalInsert
InternalLast
InternalOpen
InternalPost
InternalRefresh
InternalSetToRecord
IsCursorOpen
IsEmpty
IsLinkedTo
IsSequenced
Last
Loaded
Locate
Lookup
MoveBuffer
MoveBy
Next
Open
OpenCursor
OpenCursorComplete
OpenParentDataSet
Post
Prior
PSEndTransaction
PSExecute
PSExecuteStatement
PSGetAttributes
PSGetDefaultOrder
PSGetIndexDefs
PSGetKeyFields
PSGetParams
PSGetQuoteChar
PSGetTableName
PSGetUpdateException
PSInTransaction
PSIsSQLBased
PSIsSQLSupported
PSReset
PSSetCommandText
PSSetParams
PSStartTransaction
PSUpdateRecord
Refresh
RefreshInternalCalcFields
RemoveDataSource
ResetAggField
RestoreState
Resync
SetActive
SetBlockReadSize
SetBookmarkData
SetBookmarkFlag
SetBookmarkStr
SetBufferCount
SetBufListSize
SetChildOrder
SetConstraints
SetCurrentRecord
SetDataSetField
SetDefaultFields
SetFieldData
SetFieldDefs
SetFields
SetFieldValue
SetFiltered
SetFilterOptions
SetFilterText
SetFound
SetModified
SetName
SetObjectView
SetOnFilterRecord
SetRecNo
SetSparseArrays
SetState
SetStateFieldValue
SetTempState
SetUniDirectional
TempBuffer
Translate
UpdateBufferCount
UpdateCursorPos
UpdateIndexDefs
UpdateRecord
UpdateStatus

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DefineProperties
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeDataSet.0properties

TTeeDataSet properties
TTeeDataSet Legend key

Unit
TeeData

Derived from TDataSet
Active
ActiveRecord
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AfterRefresh
AfterScroll
AggFields
AutoCalcFields
BeforeCancel
BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeforeRefresh
BeforeScroll
BlobFieldCount
BlockReadSize
BOF
Bookmark
BookmarkSize
BufferCount
Buffers
CalcBuffer
CalcFieldsSize
CanModify
Constraints
CurrentRecord
DataSetField
DataSource
DefaultFields
Designer
Eof
FieldCount
FieldDefList
FieldDefs
FieldList
FieldNoOfs
Fields
FieldValues
Filter
Filtered
FilterOptions
Found
InternalCalcFields
IsUniDirectional
Modified
NestedDataSetClass
NestedDataSets
ObjectView
OnCalcFields
OnDeleteError
OnEditError
OnFilterRecord
OnNewRecord
OnPostError
RecNo
RecordCount
RecordSize
Reserved
SparseArrays
State

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeDataSet.Hierarchy

Unit
TeeData

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TDataSet
|
TTeeDataSet

Classes derived from TTeeDataSet
TChartDataSet
TSeriesDataSet


TTeeDebugPaint.0methods

TTeeDebugPaint methods
TTeeDebugPaint Legend key

Unit
TeeProcs

In TTeeDebugPaint
Draw

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeDebugPaint.Draw

TTeeDebugPaint.Draw
TTeeDebugPaint

procedure Draw(Canvas: TCanvas3D);

Unit
TeeProcs


TTeeDebugPaint.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TTeeDebugPaint

Classes derived from TTeeDebugPaint
(none)


TTeeDlgWizard.0events

TTeeDlgWizard events
TTeeDlgWizard Legend key

Unit
TeeExpForm

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeDlgWizard.0methods

TTeeDlgWizard methods
TTeeDlgWizard Legend key

Unit
TeeExpForm

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeDlgWizard.0properties

TTeeDlgWizard properties
TTeeDlgWizard Legend key

Unit
TeeExpForm

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeDlgWizard.Hierarchy

Unit
TeeExpForm

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TTeeDlgWizard

Classes derived from TTeeDlgWizard
(none)


TTeeDrawEvent.0methods

TTeeDrawEvent methods
TTeeDrawEvent Legend key

Unit
TeeProcs

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeDrawEvent.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TTeeEvent
|
TTeeDrawEvent

Classes derived from TTeeDrawEvent
(none)


TTeeEmboss.0methods

TTeeEmboss methods
TTeeEmboss Legend key

Unit
TeCanvas

Derived from TTeeShadow
Draw
DrawEllipse

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeEmboss.0properties

TTeeEmboss properties
TTeeEmboss Legend key

Unit
TeCanvas

Derived from TTeeShadow
Clip
Color
HorizSize
Size
Smooth
SmoothBlur
Transparency
VertSize
Visible


TTeeEmboss.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TTeeShadow
|
TTeeEmboss

Classes derived from TTeeEmboss
TCircledEmboss


TTeeEvent.0methods

TTeeEvent methods
TTeeEvent Legend key

Unit
TeeProcs

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeEvent.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TTeeEvent

Classes derived from TTeeEvent
TChartChangePage
TMouseLeaveEvent
TTeeDrawEvent
TTeeMouseEvent
TTeeSeriesEvent
TTeeView3DEvent


TTeeExcelSource.0events

TTeeExcelSource events
TTeeExcelSource Legend key

Unit
TeeExcelSource

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeExcelSource.0methods

TTeeExcelSource methods
TTeeExcelSource Legend key

Unit
TeeExcelSource

In TTeeExcelSource
Description
Load

Derived from TTeeSeriesSourceFile
LoadFromFile
LoadFromStream
LoadFromURL

Derived from TTeeSeriesSource
Available
Close
Editor
HasNew
HasSeries
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeExcelSource.0properties

TTeeExcelSource properties
TTeeExcelSource Legend key

Unit
TeeExcelSource

In TTeeExcelSource
LabelsFrom
LabelsTo
RangeFrom
RangeTo
WorkSheet

Derived from TTeeSeriesSourceFile
FileName

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeExcelSource.Description

TTeeExcelSource.Description
TTeeExcelSource

function Description: String; override;

Unit
TeeExcelSource

Description
Returns "Microsoft Excel"


TTeeExcelSource.Hierarchy

Unit
TeeExcelSource

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesSourceFile
|
TTeeExcelSource

Classes derived from TTeeExcelSource
(none)


TTeeExcelSource.LabelsFrom

TTeeExcelSource.LabelsFrom
TTeeExcelSource

property LabelsFrom: String;

Unit
TeeExcelSource

Description
Defines the first cell to scan for text (labels) values.

Example:

ExcelSource1.LabelsFrom := 'B5';
ExcelSource1.LabelsTo := 'B12';


TTeeExcelSource.LabelsTo

TTeeExcelSource.LabelsTo
TTeeExcelSource

property LabelsTo: String;

Unit
TeeExcelSource

Description
Defines the last cell in the range to scan for text (labels) values.

Example:

ExcelSource1.LabelsFrom := 'B5';
ExcelSource1.LabelsTo := 'B12';


TTeeExcelSource.Load

TTeeExcelSource.Load
TTeeExcelSource

procedure Load; override;

Unit
TeeExcelSource

Description
Adds values to Series.
You should maybe call this method directly.
Use the Series1.CheckDataSource method instead.


TTeeExcelSource.RangeFrom

TTeeExcelSource.RangeFrom
TTeeExcelSource

property RangeFrom: String;

Unit
TeeExcelSource

Description
Defines the first cell to scan for series values.

Example:

ExcelSource1.RangeFrom := 'A5';
ExcelSource1.RangeTo := 'A12';


TTeeExcelSource.RangeTo

TTeeExcelSource.RangeTo
TTeeExcelSource

property RangeTo: String;

Unit
TeeExcelSource

Description
Defines the last cell in the range to scan for series values.

Example:

ExcelSource1.RangeFrom := 'A5';
ExcelSource1.RangeTo := 'A12';


TTeeExcelSource.WorkSheet

TTeeExcelSource.WorkSheet
TTeeExcelSource

property WorkSheet: String;

Unit
TeeExcelSource

Description
Gets or sets the name of the file that contains an Excel spreadsheet.

ExcelSource1.WorkSheet := 'c:\myexcel.xls';


TTeeExportData.0methods

TTeeExportData methods
TTeeExportData Legend key

Unit
TeeProcs

In TTeeExportData
AsString
CopyToClipboard
SaveToFile
SaveToStream

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeExportData.AsString

TTeeExportData.AsString
TTeeExportData

function AsString: String; virtual;

Unit
TeeProcs

Description
Abstract method.
Returns Chart Series data as text.
Descendents of TeeExportData class override this function.


TTeeExportData.CopyToClipboard

TTeeExportData.CopyToClipboard
TTeeExportData

procedure CopyToClipboard; dynamic;

Unit
TeeProcs

Description
Copies D ata.html">TSeriesData Series data to the Clipboard in TSeriesData derived component format (eg. Text, XML, HTML table or Excel spreadsheet).


TTeeExportData.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TTeeExportData

Classes derived from TTeeExportData
TSeriesData


TTeeExportData.SaveToFile

TTeeExportData.SaveToFile
TTeeExportData

procedure SaveToFile(Const FileName: String); dynamic;

Unit
TeeProcs

Description
Saves TSeriesData Series data to File 'Filename' in TSeriesdata child component format (eg. as Text, XML, HTML table or Excel spreadsheet).


TTeeExportData.SaveToStream

TTeeExportData.SaveToStream
TTeeExportData

procedure SaveToStream(AStream: TStream); dynamic;

Unit
TeeProcs

Description
Saves TSeriesdata Series data to Stream in TSeriesdata child component format (eg. as Text, XML, HTML table or Excel spreadsheet).


TTeeExportFormat.0methods

TTeeExportFormat methods
TTeeExportFormat Legend key

Unit
TeeExport

In TTeeExportFormat
CopyToClipboard
Description
FileExtension
FileFilter
GraphicClass
Options
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeExportFormat.CopyToClipboard

TTeeExportFormat.CopyToClipboard
TTeeExportFormat

procedure CopyToClipboard;

Unit
TeeExport

Description
CopyToClipboard is used by descendant classes to copy their export to Clipboard.

Example:

procedure TForm1.Button1Click(Sender: TObject);
var tmpPNG : TPNGExportFormat;
begin
tmpPNG:=TPNGExportFormat.Create;
With tmpPNG do
begin
Panel:=Chart1;
CopyToClipboard;
end;
end;


TTeeExportFormat.Description

TTeeExportFormat.Description
TTeeExportFormat

function Description: String; virtual; abstract;

Unit
TeeExport

Description
TTeeExportFormat is the ancestor class for several TeeChart export formats including TGIFExportFormat and TPNGExportFormat.


TTeeExportFormat.FileExtension

TTeeExportFormat.FileExtension
TTeeExportFormat

function FileExtension: String; virtual; abstract;

Unit
TeeExport

Description
Used by TTeeExportFormat descendant classes to define string used as default file extension.

Example

for TBMPExportFormat
'bmp'


TTeeExportFormat.FileFilter

TTeeExportFormat.FileFilter
TTeeExportFormat

function FileFilter: String; virtual; abstract;

Unit
TeeExport

Description
Used by TTeeExportFormat descendant classes to define string used as default filter expression.

Example

for TBMPExportFormat
'Bitmaps (*.bmp)|*.bmp'


TTeeExportFormat.GraphicClass

TTeeExportFormat.GraphicClass
TTeeExportFormat

function GraphicClass: TGraphicClass; virtual;

Unit
TeeExport

Description

Virtual abstract method.
Every exporting format overrides this function to return its associated class derived from TGraphic.

For example, TJpegExportFormat overrides this method to return TJpegImage class.


TTeeExportFormat.Hierarchy

Unit
TeeExport

Hierarchy

TObject
|
TTeeExportFormat

Classes derived from TTeeExportFormat
TBMPExportFormat
TEMFExportFormat
TEPSExportFormat
TFlexExportFormat
TGIFExportFormat
TJPEGExportFormat
TPCXExportFormat
TPDFExportFormat
TPNGExportFormat
TSVGExportFormat
TVMLExportFormat
TVRMLExportFormat
TXAMLExportFormat


TTeeExportFormat.Options

TTeeExportFormat.Options
TTeeExportFormat

function Options(Check: Boolean): TForm; virtual;

Unit
TeeExport

Description
Show the Options dialogue for the export format.

The following example displays the options form for GIF export.

Example

Uses TeeGIF;

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
var tmp:TGIFExportFormat;
tmpOptionsForm:TForm;
begin
tmp:= TGIFExportFormat.Create;
tmp.Options.ShowModal;
tmp.Panel:=Chart1;
tmp.SaveToFile('c:\tempCharts\Chart1GIF.' + tmp.FileExtension);
end;


TTeeExportFormat.SaveToFile

TTeeExportFormat.SaveToFile
TTeeExportFormat

procedure SaveToFile(Const FileName: String); overload;

Unit
TeeExport

Description
Save Chart to File - Enter file path/name as string.


TTeeExportFormat.SaveToStream

TTeeExportFormat.SaveToStream
TTeeExportFormat

procedure SaveToStream(Stream: TStream); virtual; abstract; overload;

Unit
TeeExport

Description
Save Chart to Stream in defined format.


TTeeExportFormats.0events

TTeeExportFormats events
TTeeExportFormats Legend key

Unit
TeeExport

Derived from TList
Capacity
Count
Items
List


TTeeExportFormats.0methods

TTeeExportFormats methods
TTeeExportFormats Legend key

Unit
TeeExport

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeExportFormats.0properties

TTeeExportFormats properties
TTeeExportFormats Legend key

Unit
TeeExport

In TTeeExportFormats
Format

Derived from TList
Capacity
Count
Items
List


TTeeExportFormats.Format

TTeeExportFormats.Format
TTeeExportFormats

property Format[Index: Integer]: TTeeExportFormatClass;

Unit
TeeExport

Description
Internal use. Accesses the registered TTeeExportFormat by index of the TTeeExportFormats list.


TTeeExportFormats.Hierarchy

Unit
TeeExport

Hierarchy

TObject
|
TList
|
TTeeExportFormats

Classes derived from TTeeExportFormats
(none)


TTeeFilter.0events

TTeeFilter events
TTeeFilter Legend key

Unit
TeCanvas

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTeeFilter.0methods

TTeeFilter methods
TTeeFilter Legend key

Unit
TeCanvas

In TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeFilter.0properties

TTeeFilter properties
TTeeFilter Legend key

Unit
TeCanvas

In TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTeeFilter.Apply

TTeeFilter.Apply
TTeeFilter

procedure Apply(Bitmap: TBitmap); overload;

Unit
TeCanvas

Description
Processes pixels in the whole rectangle area of Bitmap parameter.
Each filter class does a different processing.

See the TTeeFilter class description for an example.

var i : TInvertFilter;
i:=TInvertFilter.Create(nil);
i.Apply(MyBitmap);
i.Free;


TTeeFilter.ApplyTo

TTeeFilter.ApplyTo
TTeeFilter

procedure ApplyTo(Bitmap: TBitmap); overload;

Unit
TeCanvas

Description
Processes pixels in the whole rectangle area of Bitmap parameter.
Each filter class does a different processing.

See the TTeeFilter class description for an example.

ApplyTo is a class method.
Internally it creates and destroys an instance of the filter so it can be called having just the filter class name without the need of creating a filter instance.

For example:

TInvertFilter.ApplyTo(MyBitmap);


TTeeFilter.CreateEditor

TTeeFilter.CreateEditor
TTeeFilter

procedure CreateEditor(Creator: IFormCreator; AChanged: TNotifyEvent); virtual;

Unit
TeCanvas

Description
Filter classes can show custom editors to modify their properties.
This method can be overriden to generate the appropiate form to edit filter properties.

An example of use, at a filter-derived class to perform blurring of images:

procedure TBlurFilter.CreateEditor(Creator:IFormCreator; AChanged:TNotifyEvent);
begin
inherited;
Creator.AddScroll('Steps',1,20); // 'Steps' is the name of an integer property.
Creator.AddScroll('Amount',0,50); // 'Amount' is the name of an integer property.
end;


TTeeFilter.Enabled

TTeeFilter.Enabled
TTeeFilter

property Enabled: Boolean;

Unit
TeCanvas

Description
Default : True.

Setting it to False disables the referenced Filter.


TTeeFilter.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter

Classes derived from TTeeFilter
TAmountFilter
TBevelFilter
TColorFilter
TConvolveFilter
TFlipFilter
TGrayScaleFilter
THueLumSatFilter
TInvertFilter
TLightFilter
TMirrorFilter
TResizeFilter
TReverseFilter
TRotateFilter
TTileFilter
TZoomFilter


TTeeFilter.Region

TTeeFilter.Region
TTeeFilter

property Region: TFilterRegion;

Unit
TeCanvas

Description
Access to TFilterRegion properties and methods to define the region to apply the referenced Filter.

A filter region is a simple rectangle defined by Left, Top, Height and Width integer properties.


TTeeFont.0events

TTeeFont events
TTeeFont Legend key

Unit
TeCanvas

Derived from TFont
Charset
Color
FontAdapter
Handle
Height
Name
Pitch
PixelsPerInch
Size
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TTeeFont.0methods

TTeeFont methods
TTeeFont Legend key

Unit
TeCanvas

Derived from TFont
Assign
Changed
Create
Destroy
GetCharset
GetData
GetHandle
GetHeight
GetName
GetPitch
GetSize
GetStyle
SetCharset
SetColor
SetData
SetHandle
SetHeight
SetName
SetPitch
SetSize
SetStyle

Derived from TGraphicsObject
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeFont.0properties

TTeeFont properties
TTeeFont Legend key

Unit
TeCanvas

In TTeeFont
Depth
Emboss
Gradient
InterCharSize
Outline
Picture
Quality
Shadow

Derived from TFont
Charset
Color
FontAdapter
Handle
Height
Name
Pitch
PixelsPerInch
Size
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TTeeFont.Depth

TTeeFont.Depth
TTeeFont

property Depth: Double;

Unit
TeCanvas


TTeeFont.Emboss

TTeeFont.Emboss
TTeeFont

property Emboss: TTeeEmboss;

Unit
TeCanvas

Description
The new Emboss property produces a "Shadow-like" effect in the
opposite direction of a Shadow.

This property has been implemented in the same classes in which the
Shadow is implemented, meaning that the property is widely available
throughout the Chart.


TTeeFont.Gradient

TTeeFont.Gradient
TTeeFont

property Gradient: TTeeFontGradient;

Unit
TeCanvas

Description
For Fonts with big sizes (for example 30), fills the font interior using the gradient.


TTeeFont.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TFont
|
TTeeFont

Classes derived from TTeeFont
(none)


TTeeFont.InterCharSize

TTeeFont.InterCharSize
TTeeFont

property InterCharSize: Integer;

Unit
TeCanvas

Description
Setting InterCharSize defines the size of the space between characters.


TTeeFont.Outline

TTeeFont.Outline
TTeeFont

property Outline: TChartHiddenPen;

Unit
TeCanvas

Description
Pen used to draw a border around font.
To be used with big font sizes (for example 30).


TTeeFont.Picture

TTeeFont.Picture
TTeeFont

property Picture: TTeePicture;

Unit
TeCanvas

Description
Using TTeePicture properties and methods allows to define a picture to be filled into the font region.


TTeeFont.Quality

TTeeFont.Quality
TTeeFont

property Quality: TFontQuality;

Unit
TeCanvas

Description
Default: fqBest
Sets the quality of the text font; fqBest or fqNormal.


TTeeFont.Shadow

TTeeFont.Shadow
TTeeFont

property Shadow: TTeeShadow;

Unit
TeCanvas

Description
Setting Shadow defines the shadows of fonts via TTeeShadow properties and methods.


TTeeFontGradient.0events

TTeeFontGradient events
TTeeFontGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Changed


TTeeFontGradient.0methods

TTeeFontGradient methods
TTeeFontGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Draw
UseMiddleColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeFontGradient.0properties

TTeeFontGradient properties
TTeeFontGradient Legend key

Unit
TeCanvas

In TTeeFontGradient
Outline

Derived from TCustomTeeGradient
Angle
Balance
CustomTargetPolygon
CustomTargetRectangle
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
Visible


TTeeFontGradient.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCustomTeeGradient
|
TTeeGradient
|
TTeeFontGradient

Classes derived from TTeeFontGradient
(none)


TTeeFontGradient.Outline

TTeeFontGradient.Outline
TTeeFontGradient

property Outline: Boolean;

Unit
TeCanvas

Description
Uses the Gradient to fill the font interior or just the font outline border.


TTeeFunction.0events

TTeeFunction events
TTeeFunction Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeFunction.0methods

TTeeFunction methods
TTeeFunction Legend key

Unit
TeEngine

In TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeFunction.0properties

TTeeFunction properties
TTeeFunction Legend key

Unit
TeEngine

In TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeFunction.AddPoints

TTeeFunction.AddPoints
TTeeFunction

procedure AddPoints(Source: TChartSeries); dynamic;

Unit
TeEngine

Description
The AddPoints method gets all points from Source series, performs a function operation on points and finally stores results in ParentSeries.


TTeeFunction.BeginUpdate

TTeeFunction.BeginUpdate
TTeeFunction

procedure BeginUpdate;

Unit
TeEngine

Description
The BeginUpdate method sets internal IUpdate flag to true.
Setting the IUpdate to true will not trigger the ReCalculate method for every point added.

Example

Procedure TTeeFunction.BeginUpdate;
Procedure TTeeFunction.EndUpdate;

These methods can be used when adding or modifying many values at once at a source Series, to recalculate the function just one time, when finished adding points:

TeeFunction1.BeginUpdate;
...
many modifications...
...
TeeFunction1.EndUpdate;


TTeeFunction.CalcByValue

TTeeFunction.CalcByValue
TTeeFunction

property CalcByValue: Boolean;

Unit
TeEngine


TTeeFunction.Calculate

TTeeFunction.Calculate
TTeeFunction

function Calculate(SourceSeries: TChartSeries; First, Last: Integer): Double; virtual;

Unit
TeEngine

Description
TTeeFunction.Calculate performs function operation on SourceSeries series. First and Last parameters are ValueIndex of first and last point used in calculation.

You can override Calculate function to perform customized calculation on one SourceSeries.


TTeeFunction.CalculateMany

TTeeFunction.CalculateMany
TTeeFunction

function CalculateMany(SourceSeriesList: TList; ValueIndex: Integer): Double; virtual;

Unit
TeEngine

Description
TTeeFunction.CalculateMany performs function operation on list of series (SourceSeriesList). The ValueIndex parameter defines ValueIndex of point in each Series in list.

You can override CalculateMany function to perform customized calculation on list of SourceSeries.


TTeeFunction.CalculateManyByValue

TTeeFunction.CalculateManyByValue
TTeeFunction

function CalculateManyByValue(SourceSeriesList: TList; Value: Double): Double; virtual;

Unit
TeEngine


TTeeFunction.EndUpdate

TTeeFunction.EndUpdate
TTeeFunction

procedure EndUpdate;

Unit
TeEngine

Description
The EndUpdate method sets internal IUpdate flag to false and forces the function to ReCalculate.


TTeeFunction.GetParentComponent

TTeeFunction.GetParentComponent
TTeeFunction

function GetParentComponent: TComponent; override;

Unit
TeEngine

Description
Read only

The GetParentComponent returns the TTeeFunction parent component (ParentSeries).


TTeeFunction.HasParent

TTeeFunction.HasParent
TTeeFunction

function HasParent: Boolean; override;

Unit
TeEngine

Description
Read only

Returns true if ParentSeries is not nil.


TTeeFunction.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction

Classes derived from TTeeFunction
TACFunction
TAddTeeFunction
TADXFunction
TAlligatorFunction
TAOFunction
TATRFunction
TAverageTeeFunction
TBollingerFunction
TCCIFunction
TCLVFunction
TCompressFunction
TCountTeeFunction
TCrossPointsFunction
TCumulative
TCustomFittingFunction
TCustomSortedFunction
TCustomTeeFunction
TCustomTrendFunction
TDownSamplingFunction
TExpMovAveFunction
TGatorFunction
THighTeeFunction
THistogramFunction
TLowTeeFunction
TManySeriesTeeFunction
TOBVFunction
TPerimeterFunction
TPVOFunction
TRMSFunction
TRVIFunction
TSARFunction
TSkewnessFunction
TSmoothingFunction
TStdDeviationFunction
TSubsetTeeFunction
TTeeMovingFunction
TVarianceFunction


TTeeFunction.IncludeNulls

TTeeFunction.IncludeNulls
TTeeFunction

property IncludeNulls: Boolean;

Unit
TeEngine


TTeeFunction.ParentSeries

TTeeFunction.ParentSeries
TTeeFunction

property ParentSeries: TChartSeries;

Unit
TeEngine

Description
Run-time and read only.

The ParentSeries property returns the TChartSeries parent of TTeeFunction. TChart uses ParentSeries to do the actual drawing.


TTeeFunction.Period

TTeeFunction.Period
TTeeFunction

property Period: Double;

Unit
TeEngine

Description
The Period property controls how many points or X range will trigger a new point calculation. For example, TAverageTeeFunction uses the Period property to calculate a new average point each time the "Period" number of points or X range is exceed.

NOTE:You may switch between number of points or X range by using the TTeeFunction.PeriodStyle property.


TTeeFunction.PeriodAlign

TTeeFunction.PeriodAlign
TTeeFunction

property PeriodAlign: TFunctionPeriodAlign;

Unit
TeEngine

Description
Default value : paCenter

The PeriodAlign property controls "where" to place function calculations inside the full period space. When the function Period is greater than zero (so it calculates by groups of points), the function results are added to the series by default at the center position of the Function Period. You can change this by setting PeriodAlign to

- paFirst (function result will be added to series at start of each period),
- paCenter (function result will be added to series at center of each period)
- paLast (function result will be added to series at end of each period)

Example

TeeFunction1.PeriodAlign := paCenter ; { <-- by default is centered }

The "paFirst" and "paLast" constants will plot calculations at the start and end "X" coordinates of each "Period".


TTeeFunction.PeriodStyle

TTeeFunction.PeriodStyle
TTeeFunction

property PeriodStyle: TFunctionPeriodStyle;

Unit
TeEngine

Description
Default Value: psNumPoints

The PeriodStyle property controls how the Period property is interpreted. By default is psNumPoints, meaning Period is specified in number of points. psRange means Period property is specified in a range of values.

Being able to define Period as a range can be very useful when using Date-Time series and when you want to express the "Period" of the function in a date-time step like "OneMonth" or "OneDay".

So, for example you can now plot the, for example, "monthly average of sales" function just using a normal "Average" function on a date-time source series and setting the function period to "one month":

{ Place a Series1 and fill it with datetime data values at runtime (or from a database) }

Series2.SetFunction( TAverageTeeFunction.Create ) ;
Series2.FunctionType.PeriodStyle:=psRange;
Series2.FunctionType.Period:=DateTimeStep[ dtOneMonth ];
Series2.DataSource:=Series1 ;

This will result in several points, each one showing the "average" of each month of data in Series1.
It's mandatory that points in the source Series1 should be sorted by date when calculating functions on datetime periods.

The range can also be used for non-datetime series:

Series2.SetFunction( TAverageTeeFunction.Create ) ;
Series2.FunctionType.PeriodStyle:=psRange;
Series2.FunctionType.Period:=100;
Series2.DataSource:=Series1 ;

This will calculate an average for each group of points inside every "100" interval.
(Points with X >=0, X<100 will be used to calculate the first average, points with X >=100, X<200 will be used to calculate the second average and so on... )
Notice this is different than calculating an average for every 100 points.


TTeeFunction.ReCalculate

TTeeFunction.ReCalculate
TTeeFunction

procedure ReCalculate;

Unit
TeEngine

Description
The Recalculate method performs a CheckDataSource method on ParentSeries.

Basically, all points in ParentSeries are being recalculated.

The recalculating is performed only if internal IUpdate flag is set to false.

To make sure IUpdate is set to false, you can call TeeFunction EndUpdate method prior to calling TeeFunction ReCalculate.


TTeeGalleryForm.0events

TTeeGalleryForm events
TTeeGalleryForm Legend key

Unit
TeeGalleryAlternate

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeGalleryForm.0methods

TTeeGalleryForm methods
TTeeGalleryForm Legend key

Unit
TeeGalleryAlternate

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeGalleryForm.0properties

TTeeGalleryForm properties
TTeeGalleryForm Legend key

Unit
TeeGalleryAlternate

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeGalleryForm.Hierarchy

Unit
TeeGalleryAlternate

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TTeeGalleryForm

Classes derived from TTeeGalleryForm
(none)


TTeeGDIPlus.0events

TTeeGDIPlus events
TTeeGDIPlus Legend key

Unit
TeeGDIPlus

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeGDIPlus.0methods

TTeeGDIPlus methods
TTeeGDIPlus Legend key

Unit
TeeGDIPlus

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeGDIPlus.0properties

TTeeGDIPlus properties
TTeeGDIPlus Legend key

Unit
TeeGDIPlus

In TTeeGDIPlus
Active
AntiAlias
AntiAliasText
Canvas
TeePanel

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeGDIPlus.Active

TTeeGDIPlus.Active
TTeeGDIPlus

property Active: Boolean;

Unit
TeeGDIPlus

Description
Enables GDIPlus when set to True.


TTeeGDIPlus.AntiAlias

TTeeGDIPlus.AntiAlias
TTeeGDIPlus

property AntiAlias: Boolean;

Unit
TeeGDIPlus

Description
AntiAlias Active when True.


TTeeGDIPlus.AntiAliasText

TTeeGDIPlus.AntiAliasText
TTeeGDIPlus

property AntiAliasText: TGDIPlusFontQuality;

Unit
TeeGDIPlus

Description
When True, text displayed with big font sizes has smooth diagonal and curved lines.


TTeeGDIPlus.Canvas

TTeeGDIPlus.Canvas
TTeeGDIPlus

property Canvas: TGDIPlusCanvas;

Unit
TeeGDIPlus

Description
This property returns the TGDIPlusCanvas properties and methods allowing the user to change specific canvas aspects, like pen, font, brush, etc..


TTeeGDIPlus.Hierarchy

Unit
TeeGDIPlus

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeGDIPlus

Classes derived from TTeeGDIPlus
(none)


TTeeGDIPlus.TeePanel

TTeeGDIPlus.TeePanel
TTeeGDIPlus

property TeePanel: TCustomTeePanel;

Unit
TeeGDIPlus

Description
The Panel or Chart control associated to this GDIPlus component.


TTeeGradient.0events

TTeeGradient events
TTeeGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Changed


TTeeGradient.0methods

TTeeGradient methods
TTeeGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Draw
UseMiddleColor

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeGradient.0properties

TTeeGradient properties
TTeeGradient Legend key

Unit
TeCanvas

Derived from TCustomTeeGradient
Angle
Balance
CustomTargetPolygon
CustomTargetRectangle
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
Visible


TTeeGradient.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TCustomTeeGradient
|
TTeeGradient

Classes derived from TTeeGradient
TChartGradient
TTeeFontGradient


TTeeInspector.0events

TTeeInspector events
TTeeInspector Legend key

Unit
TeeInspector

In TTeeInspector
OnExpandCollapse

Derived from TStringGrid
Cells
Cols
Objects
Rows

Derived from TCustomDrawGrid
OnColumnMoved
OnDrawCell
OnGetEditMask
OnGetEditText
OnRowMoved
OnSelectCell
OnSetEditText
OnTopLeftChanged

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeInspector.0methods

TTeeInspector methods
TTeeInspector Legend key

Unit
TeeInspector

In TTeeInspector
Clear
Rebuild
SetProperties

Derived from TStringGrid
ColumnMoved
Create
Destroy
DisableEditUpdate
DrawCell
EnableEditUpdate
EnsureColRow
EnsureDataRow
GetCells
GetCols
GetEditText
GetObjects
GetRows
Initialize
RowMoved
SetCells
SetCols
SetEditText
SetObjects
SetRows
SetUpdateState
Update

Derived from TCustomDrawGrid
CellRect
GetEditMask
MouseToCell
SelectCell
TopLeftChanged

Derived from TCustomGrid
AdjustSize
BeginColumnDrag
BeginRowDrag
BoxRect
CalcCoordFromPoint
CalcDrawInfo
CalcDrawInfoXY
CalcFixedInfo
CalcMaxTopLeft
CalcSizingState
CancelMode
CanEditAcceptKey
CanEditModify
CanEditShow
CanGridAcceptKey
ChangeGridOrientation
ChangeSize
CheckColumnDrag
CheckRowDrag
ClampInView
CMCancelMode
CMCtl3DChanged
CMDesignHitTest
CMFontChanged
CMShowingChanged
CMWantSpecialKey
ColWidthsChanged
CreateEditor
CreateParams
DefineProperties
DeleteColumn
DeleteRow
DoExit
DoMouseWheelDown
DoMouseWheelUp
DrawMove
DrawSizingLine
EndColumnDrag
EndRowDrag
FocusCell
GetColWidths
GetEditLimit
GetEditStyle
GetGridHeight
GetGridWidth
GetRowHeights
GetSelection
GetTabStops
GetVisibleColCount
GetVisibleRowCount
GridRectToScreenRect
HideEdit
HideEditor
InvalidateCell
InvalidateCol
InvalidateEditor
InvalidateGrid
InvalidateRect
InvalidateRow
IsActiveControl
KeyDown
KeyPress
ModifyScrollBar
MouseCoord
MouseDown
MouseMove
MouseUp
MoveAdjust
MoveAnchor
MoveAndScroll
MoveColRow
MoveColumn
MoveCurrent
MoveRow
MoveTopLeft
Paint
ReadColWidths
ReadRowHeights
ResizeCol
ResizeRow
RowHeightsChanged
ScrollData
ScrollDataInfo
SelectionMoved
SetBorderStyle
SetCol
SetColCount
SetColWidths
SetDefaultColWidth
SetDefaultRowHeight
SetEditorMode
SetFixedColor
SetFixedCols
SetFixedRows
SetGridLineWidth
SetLeftCol
SetOptions
SetRow
SetRowCount
SetRowHeights
SetScrollBars
SetSelection
SetTabStops
SetTopRow
ShowEditor
ShowEditorChar
SizeChanged
Sizing
TimedScroll
TopLeftMoved
UpdateDesigner
UpdateEdit
UpdateScrollPos
UpdateScrollRange
UpdateText
WMCancelMode
WMChar
WMCommand
WMGetDlgCode
WMHScroll
WMKillFocus
WMLButtonDown
WMNCHitTest
WMSetCursor
WMSetFocus
WMSize
WMTimer
WMVScroll
WriteColWidths
WriteRowHeights

Derived from TCustomControl
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustClientRect
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMBorderChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDialogChar
CMDialogKey
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMLButtonDblClk
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeInspector.0properties

TTeeInspector properties
TTeeInspector Legend key

Unit
TeeInspector

In TTeeInspector
Header
Items

Derived from TStringGrid
Cells
Cols
Objects
Rows

Derived from TCustomDrawGrid
OnColumnMoved
OnDrawCell
OnGetEditMask
OnGetEditText
OnRowMoved
OnSelectCell
OnSetEditText
OnTopLeftChanged

Derived from TCustomGrid
BorderStyle
Col
ColCount
ColWidths
DefaultColWidth
DefaultDrawing
DefaultRowHeight
EditorMode
FixedColor
FixedCols
FixedRows
GridHeight
GridLineWidth
GridWidth
HitTest
InplaceEditor
LeftCol
Options
Row
RowCount
RowHeights
ScrollBars
Selection
TabStops
TopRow
VisibleColCount
VisibleRowCount

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeInspector.Clear

TTeeInspector.Clear
TTeeInspector

procedure Clear;

Unit
TeeInspector

Description
Removes all items from the inspector items list.


TTeeInspector.Header

TTeeInspector.Header
TTeeInspector

property Header: TInspectorHeader;

Unit
TeeInspector

Description
Returns properties to control appearance of inspector header (top row).


TTeeInspector.Hierarchy

Unit
TeeInspector

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomGrid
|
TCustomDrawGrid
|
TDrawGrid
|
TStringGrid
|
TTeeInspector

Classes derived from TTeeInspector
TObjectInspector


TTeeInspector.Items

TTeeInspector.Items
TTeeInspector

property Items: TInspectorItems;

Unit
TeeInspector

Description
List of inspector items (one item for each row).


TTeeInspector.OnExpandCollapse

TTeeInspector.OnExpandCollapse
TTeeInspector

property OnExpandCollapse: TNotifyEvent;

Unit
TeeInspector

Description
This event is triggered with the user clicks over the item to expand or collapse it.


TTeeInspector.Rebuild

TTeeInspector.Rebuild
TTeeInspector

procedure Rebuild;

Unit
TeeInspector

Description
Recreates all items and sub-items in the inspector.


TTeeInspector.SetProperties

TTeeInspector.SetProperties
TTeeInspector

procedure SetProperties(Const AMenu: TPopupMenu);

Unit
TeeInspector

Description
Internal method used by TeeChartOffice application.
This method uses a popupmenu, specially configured, to add items at inspector.


TTeeMouseEvent.0methods

TTeeMouseEvent methods
TTeeMouseEvent Legend key

Unit
TeeProcs

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeMouseEvent.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TTeeEvent
|
TTeeMouseEvent

Classes derived from TTeeMouseEvent
(none)


TTeeMovingFunction.0events

TTeeMovingFunction events
TTeeMovingFunction Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeMovingFunction.0methods

TTeeMovingFunction methods
TTeeMovingFunction Legend key

Unit
TeEngine

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeMovingFunction.0properties

TTeeMovingFunction properties
TTeeMovingFunction Legend key

Unit
TeEngine

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeMovingFunction.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TTeeMovingFunction

Classes derived from TTeeMovingFunction
TExpAverageFunction
TMACDFunction
TMomentumDivFunction
TMomentumFunction
TMovingAverageFunction
TPercentChangeFunction
TPerformanceFunction
TRSIFunction
TSlopeFunction
TSmoothedMovAvgFunction
TStochasticFunction


TTeeNavButton.0events

TTeeNavButton events
TTeeNavButton Legend key

Unit
TeeNavigator

Derived from TSpeedButton
AllowAllUp
Down
Flat
Glyph
GroupIndex
Layout
Margin
MouseInControl
NumGlyphs
Spacing
Transparent

Derived from TGraphicControl
Canvas

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeNavButton.0methods

TTeeNavButton methods
TTeeNavButton Legend key

Unit
TeeNavigator

Derived from TSpeedButton
ActionChange
Click
CMButtonPressed
CMDialogChar
CMEnabledChanged
CMFontChanged
CMMouseEnter
CMMouseLeave
CMSysColorChange
CMTextChanged
Create
Destroy
GetActionLinkClass
GetGlyph
GetNumGlyphs
GetPalette
GlyphChanged
Loaded
MouseDown
MouseMove
MouseUp
Paint
SetAllowAllUp
SetDown
SetFlat
SetGlyph
SetGroupIndex
SetLayout
SetMargin
SetNumGlyphs
SetSpacing
SetTransparent
UpdateExclusive
UpdateTracking
WMLButtonDblClk

Derived from TGraphicControl
WMPaint

Derived from TControl
AdjustSize
AssignTo
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
CanAutoSize
CanResize
Changed
ChangeScale
CheckNewSize
ClientToParent
ClientToScreen
CMBiDiModeChanged
CMColorChanged
CMDesignHitTest
CMFloat
CMHintShow
CMHitTest
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CMSysFontChanged
CMVisibleChanged
ConstrainedResize
CreateFloatingDockSite
DblClick
DefaultDockImage
DefaultHandler
DefineProperties
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientOrigin
GetClientRect
GetClientWidth
GetControlsAlignment
GetDeviceContext
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
Invalidate
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseWheelHandler
Notification
PaletteChanged
ParentToClient
Perform
PositionDockRect
ReadIsControl
ReadState
Refresh
Repaint
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBounds
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
SetZOrder
SetZOrderPosition
Show
Update
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMContextMenu
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WMWindowPosChanged
WndProc
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeNavButton.0properties

TTeeNavButton properties
TTeeNavButton Legend key

Unit
TeeNavigator

Derived from TSpeedButton
AllowAllUp
Down
Flat
Glyph
GroupIndex
Layout
Margin
MouseInControl
NumGlyphs
Spacing
Transparent

Derived from TGraphicControl
Canvas

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeNavButton.Hierarchy

Unit
TeeNavigator

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TGraphicControl
|
TSpeedButton
|
TTeeNavButton

Classes derived from TTeeNavButton
(none)


TTeeNeutralCanvas.0methods

TTeeNeutralCanvas methods
TTeeNeutralCanvas Legend key

Unit
TeCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeNeutralCanvas.0properties

TTeeNeutralCanvas properties
TTeeNeutralCanvas Legend key

Unit
TeCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TTeeNeutralCanvas.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas

Classes derived from TTeeNeutralCanvas
TEPSCanvas
TFlexCanvas
TGLCanvas
TPDFCanvas
TSVGCanvas
TVMLCanvas
TVRML3DCanvas
TXAMLCanvas


TTeeOpenGL.0events

TTeeOpenGL events
TTeeOpenGL Legend key

Unit
TeeOpenGL

In TTeeOpenGL
OnInit
OnRepaint

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeOpenGL.0methods

TTeeOpenGL methods
TTeeOpenGL Legend key

Unit
TeeOpenGL

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeOpenGL.0properties

TTeeOpenGL properties
TTeeOpenGL Legend key

Unit
TeeOpenGL

In TTeeOpenGL
Active
AmbientLight
Antialias
Canvas
DrawStyle
FontExtrusion
FontOutlines
FontStyle
Light
Light0
Light1
Light2
ShadeQuality
Shininess
TeePanel
TextureQuality
Wireframe

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeOpenGL.Active

TTeeOpenGL.Active
TTeeOpenGL

property Active: Boolean;

Unit
TeeOpenGL

Description
Set Active property to True to start rendering the chart using OpenGL.

When Active is True, the TeePanel Canvas is replaced with an instance of TGLCanvas class.


TTeeOpenGL.AmbientLight

TTeeOpenGL.AmbientLight
TTeeOpenGL

property AmbientLight: Integer;

Unit
TeeOpenGL

Description
Default : 8

The percentage ( from 0 to 100 ) of ambient light.
Ambient light is a global light that comes from all directions.


TTeeOpenGL.Antialias

TTeeOpenGL.Antialias
TTeeOpenGL

property Antialias: Boolean;

Unit
TeeOpenGL

Description
Enables diagonal and curved lines smoothing.

Note: OpenGL has a limitation in that it cannot smooth lines that aren't displayed in the correct order following their Z position in the 3D space.


TTeeOpenGL.Canvas

TTeeOpenGL.Canvas
TTeeOpenGL

property Canvas: TGLCanvas;

Unit
TeeOpenGL

Description
The Canvas property includes all drawing methods like Line, Rectangle, etc.

GLCanvas methods use OpenGL library to output drawings.


TTeeOpenGL.DrawStyle

TTeeOpenGL.DrawStyle
TTeeOpenGL

property DrawStyle: TTeeCanvasSurfaceStyle;

Unit
TeeOpenGL

Description
Defines one of the three modes of OpenGL.

tcsSolid Polygons are filled.
tcsWire Polygons aren't filled. The polygon outline is displayed.
tcsDot Polygons aren't filled. Single dots at each polygon vertex are displayed.


TTeeOpenGL.FontExtrusion

TTeeOpenGL.FontExtrusion
TTeeOpenGL

property FontExtrusion: Double;

Unit
TeeOpenGL

Description
Note: This property is equivalent to previous versions "TeeGLFontExtrusion" global variable.

OpenGL text can be displayed with "extrusion" (this means 3D solid fonts).
Default value is zero (no extrusion), and can be set to a positive number of pixels.


TTeeOpenGL.FontOutlines

TTeeOpenGL.FontOutlines
TTeeOpenGL

property FontOutlines: Boolean;

Unit
TeeOpenGL

Description
Default : False

Set FontOutlines property to True to display all text strings using a hollow font (not filled).


TTeeOpenGL.FontStyle

TTeeOpenGL.FontStyle
TTeeOpenGL

property FontStyle: TTeeFontStyle;

Unit
TeeOpenGL


TTeeOpenGL.Hierarchy

Unit
TeeOpenGL

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeOpenGL

Classes derived from TTeeOpenGL
(none)


TTeeOpenGL.Light

TTeeOpenGL.Light
TTeeOpenGL

property Light: TGLLightSource;

Unit
TeeOpenGL

Description
Returns first Light object in the OpenGL canvas.

Equivalent to access TeeOpenGL Light0 property.


TTeeOpenGL.Light0

TTeeOpenGL.Light0
TTeeOpenGL

property Light0: TGLLightSource;

Unit
TeeOpenGL

Description
Returns first light object in the OpenGL canvas.


TTeeOpenGL.Light1

TTeeOpenGL.Light1
TTeeOpenGL

property Light1: TGLLightSource;

Unit
TeeOpenGL

Description
Returns second light object in the OpenGL canvas.


TTeeOpenGL.Light2

TTeeOpenGL.Light2
TTeeOpenGL

property Light2: TGLLightSource;

Unit
TeeOpenGL

Description
Returns third light object in the OpenGL canvas.


TTeeOpenGL.OnInit

TTeeOpenGL.OnInit
TTeeOpenGL

property OnInit: TNotifyEvent;

Unit
TeeOpenGL

Description
Event called when the OpenGL system is initialized.


TTeeOpenGL.OnRepaint

TTeeOpenGL.OnRepaint
TTeeOpenGL

property OnRepaint: TNotifyEvent;

Unit
TeeOpenGL

Description
Event called when any of the properties of a GLCanvas is changed and the chart needs to be repainted.


TTeeOpenGL.ShadeQuality

TTeeOpenGL.ShadeQuality
TTeeOpenGL

property ShadeQuality: Boolean;

Unit
TeeOpenGL

Description
When True, OpenGL polygons are filled using smooth shading.


TTeeOpenGL.Shininess

TTeeOpenGL.Shininess
TTeeOpenGL

property Shininess: Double;

Unit
TeeOpenGL

Description
Default : 0.5

Amount of brightness, from 0 to 1.


TTeeOpenGL.TeePanel

TTeeOpenGL.TeePanel
TTeeOpenGL

property TeePanel: TCustomTeePanel;

Unit
TeeOpenGL

Description
The Panel or Chart control associated to this OpenGL component.

TeeOpenGL1.TeePanel := Chart1 ;


TTeeOpenGL.TextureQuality

TTeeOpenGL.TextureQuality
TTeeOpenGL

property TextureQuality: Boolean;

Unit
TeeOpenGL


TTeeOpenGL.Wireframe

TTeeOpenGL.Wireframe
TTeeOpenGL

property Wireframe: Boolean;

Unit
TeeOpenGL

Description
Default: False

When True, Surfaces aren't filled.


TTeePanelsList.0events

TTeePanelsList events
TTeePanelsList Legend key

Unit
TeePreviewPanel

Derived from TList
Capacity
Count
Items
List


TTeePanelsList.0methods

TTeePanelsList methods
TTeePanelsList Legend key

Unit
TeePreviewPanel

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePanelsList.0properties

TTeePanelsList properties
TTeePanelsList Legend key

Unit
TeePreviewPanel

In TTeePanelsList
Items

Derived from TList
Capacity
Count
List


TTeePanelsList.Hierarchy

Unit
TeePreviewPanel

Hierarchy

TObject
|
TList
|
TTeePanelsList

Classes derived from TTeePanelsList
(none)


TTeePanelsList.Items

TTeePanelsList.Items
TTeePanelsList

property Items[Index: Integer]: TCustomTeePanel;

Unit
TeePreviewPanel

Description
Pages on a multipage printout may be accessed via their index value.


TTeePanning.0methods

TTeePanning methods
TTeePanning Legend key

Unit
TeeProcs

Derived from TZoomPanning
Activate
Check

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePanning.0properties

TTeePanning properties
TTeePanning Legend key

Unit
TeeProcs

In TTeePanning
InsideBounds
MouseWheel

Derived from TZoomPanning
Active


TTeePanning.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TZoomPanning
|
TTeePanning

Classes derived from TTeePanning
(none)


TTeePanning.InsideBounds

TTeePanning.InsideBounds
TTeePanning

property InsideBounds: Boolean;

Unit
TeeProcs


TTeePanning.MouseWheel

TTeePanning.MouseWheel
TTeePanning

property MouseWheel: TPanMouseWheel;

Unit
TeeProcs


TTeePDFFontList.0methods

TTeePDFFontList methods
TTeePDFFontList Legend key

Unit
TeePDFCanvas

In TTeePDFFontList
AddItem
Find

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePDFFontList.0properties

TTeePDFFontList properties
TTeePDFFontList Legend key

Unit
TeePDFCanvas

In TTeePDFFontList
Items
ItemsCount


TTeePDFFontList.AddItem

TTeePDFFontList.AddItem
TTeePDFFontList

function AddItem(AFont: TFont): Integer;

Unit
TeePDFCanvas

Description
Adds a new Font to the list of embedded fonts in the PDF document.
Returns the index position of this font in the list.


TTeePDFFontList.Find

TTeePDFFontList.Find
TTeePDFFontList

function Find(AFont: TFont): Integer;

Unit
TeePDFCanvas

Description
Returns the index position of a Font parameter in the list of embedded fonts.
Returns -1 if the font does not exist in the list.


TTeePDFFontList.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeePDFFontList

Classes derived from TTeePDFFontList
(none)


TTeePDFFontList.Items

TTeePDFFontList.Items
TTeePDFFontList

property Items[Index: Integer]: TTeePDFFontListEntry;

Unit
TeePDFCanvas

Description
Returns the embedded font at the given Index'th position.


TTeePDFFontList.ItemsCount

TTeePDFFontList.ItemsCount
TTeePDFFontList

property ItemsCount: Integer;

Unit
TeePDFCanvas

Description
Returns the number of fonts in the list.


TTeePDFFontListEntry.0methods

TTeePDFFontListEntry methods
TTeePDFFontListEntry Legend key

Unit
TeePDFCanvas

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePDFFontListEntry.0properties

TTeePDFFontListEntry properties
TTeePDFFontListEntry Legend key

Unit
TeePDFCanvas

In TTeePDFFontListEntry
FontData
ObjectNumber
PDFName


TTeePDFFontListEntry.FontData

TTeePDFFontListEntry.FontData
TTeePDFFontListEntry

property FontData: TFontData;

Unit
TeePDFCanvas

Description
Returns the internal details of the embedded font.


TTeePDFFontListEntry.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeePDFFontListEntry

Classes derived from TTeePDFFontListEntry
(none)


TTeePDFFontListEntry.ObjectNumber

TTeePDFFontListEntry.ObjectNumber
TTeePDFFontListEntry

property ObjectNumber: Integer;

Unit
TeePDFCanvas

Description
Returns the index position of this Font inside the list of embedded fonts.


TTeePDFFontListEntry.PDFName

TTeePDFFontListEntry.PDFName
TTeePDFFontListEntry

property PDFName: String;

Unit
TeePDFCanvas

Description
Returns the name of the embedded font inside the PDF document.


TTeePDFImageList.0methods

TTeePDFImageList methods
TTeePDFImageList Legend key

Unit
TeePDFCanvas

In TTeePDFImageList
AddItem
Find

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePDFImageList.0properties

TTeePDFImageList properties
TTeePDFImageList Legend key

Unit
TeePDFCanvas

In TTeePDFImageList
Items
ItemsCount


TTeePDFImageList.AddItem

TTeePDFImageList.AddItem
TTeePDFImageList

function AddItem(AGraphic: TGraphic): Integer;

Unit
TeePDFCanvas

Description
Adds a new image to the list of PDF embedded images.
Returns the index of this image in the list.


TTeePDFImageList.Find

TTeePDFImageList.Find
TTeePDFImageList

function Find(AGraphic: TGraphic): Integer;

Unit
TeePDFCanvas

Description
Given a graphical image object, returns the image index in the internal list of images.
If the image does not exists it returns -1.


TTeePDFImageList.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeePDFImageList

Classes derived from TTeePDFImageList
(none)


TTeePDFImageList.Items

TTeePDFImageList.Items
TTeePDFImageList

property Items[Index: Integer]: TTeePDFImageListEntry;

Unit
TeePDFCanvas

Description
Returns the embedded image at the given Index position in the list.


TTeePDFImageList.ItemsCount

TTeePDFImageList.ItemsCount
TTeePDFImageList

property ItemsCount: Integer;

Unit
TeePDFCanvas

Description
Returns the number of embedded images in the list.


TTeePDFImageListEntry.0methods

TTeePDFImageListEntry methods
TTeePDFImageListEntry Legend key

Unit
TeePDFCanvas

In TTeePDFImageListEntry
Create

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePDFImageListEntry.0properties

TTeePDFImageListEntry properties
TTeePDFImageListEntry Legend key

Unit
TeePDFCanvas

In TTeePDFImageListEntry
DataLength
Height
ImageType
ObjectNumber
Width


TTeePDFImageListEntry.Create

TTeePDFImageListEntry.Create
TTeePDFImageListEntry

constructor Create(AGraphic: TGraphic);

Unit
TeePDFCanvas

Description
Initializes this class with a graphical image that is going to be saved into the PDF stream.


TTeePDFImageListEntry.DataLength

TTeePDFImageListEntry.DataLength
TTeePDFImageListEntry

property DataLength: Integer;

Unit
TeePDFCanvas

Description
Returns the size in bytes of the contained image.


TTeePDFImageListEntry.Height

TTeePDFImageListEntry.Height
TTeePDFImageListEntry

property Height: Integer;

Unit
TeePDFCanvas

Description
Returns the height in pixels of the image contained in the PDF.


TTeePDFImageListEntry.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeePDFImageListEntry

Classes derived from TTeePDFImageListEntry
(none)


TTeePDFImageListEntry.ImageType

TTeePDFImageListEntry.ImageType
TTeePDFImageListEntry

property ImageType: TImageType;

Unit
TeePDFCanvas

Description
Defines the kind of image (jpeg, bitmap, etc)


TTeePDFImageListEntry.ObjectNumber

TTeePDFImageListEntry.ObjectNumber
TTeePDFImageListEntry

property ObjectNumber: Integer;

Unit
TeePDFCanvas

Description
Returns the image index inside the list of embedded images.


TTeePDFImageListEntry.Width

TTeePDFImageListEntry.Width
TTeePDFImageListEntry

property Width: Integer;

Unit
TeePDFCanvas

Description
Returns the width in pixels of the image contained in the PDF.


TTeePDFPage.0methods

TTeePDFPage methods
TTeePDFPage Legend key

Unit
TeePDFCanvas

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePDFPage.0properties

TTeePDFPage properties
TTeePDFPage Legend key

Unit
TeePDFCanvas

In TTeePDFPage
ChartObject
PageHeight
PageWidth


TTeePDFPage.ChartObject

TTeePDFPage.ChartObject
TTeePDFPage

property ChartObject: TPDFChartObject;

Unit
TeePDFCanvas

Description
Returns the class that represents a Chart control in PDF format.


TTeePDFPage.Hierarchy

Unit
TeePDFCanvas

Hierarchy

TObject
|
TTeePDFPage

Classes derived from TTeePDFPage
(none)


TTeePDFPage.PageHeight

TTeePDFPage.PageHeight
TTeePDFPage

property PageHeight: Integer;

Unit
TeePDFCanvas

Description
Gets or sets the size in PDF units of the height of page.


TTeePDFPage.PageWidth

TTeePDFPage.PageWidth
TTeePDFPage

property PageWidth: Integer;

Unit
TeePDFCanvas

Description
Gets or sets the size in PDF units of width of the page.


TTeePicture.0events

TTeePicture events
TTeePicture Legend key

Unit
TeCanvas

Derived from TPicture
Bitmap
Graphic
Height
Icon
Metafile
OnChange
OnProgress
PictureAdapter
Width


TTeePicture.0methods

TTeePicture methods
TTeePicture Legend key

Unit
TeCanvas

In TTeePicture
AssignGraphic
Filtered

Derived from TPicture
Assign
AssignTo
Changed
Create
DefineProperties
Destroy
ForceType
GetBitmap
GetHeight
GetIcon
GetMetafile
GetWidth
LoadFromClipboardFormat
LoadFromFile
LoadFromStream
Progress
ReadData
RegisterClipboardFormat
RegisterFileFormat
RegisterFileFormatRes
SaveToClipboardFormat
SaveToFile
SaveToStream
SetBitmap
SetGraphic
SetIcon
SetMetafile
SupportsClipboardFormat
UnregisterGraphicClass
WriteData

Derived from TInterfacedPersistent
_AddRef
_Release
AfterConstruction
QueryInterface

Derived from TPersistent
AssignError
GetNamePath
GetOwner

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePicture.0properties

TTeePicture properties
TTeePicture Legend key

Unit
TeCanvas

In TTeePicture
Filters

Derived from TPicture
Bitmap
Graphic
Height
Icon
Metafile
OnChange
OnProgress
PictureAdapter
Width


TTeePicture.AssignGraphic

TTeePicture.AssignGraphic
TTeePicture

procedure AssignGraphic(ABitmap: TBitmap; AGraphic: TGraphic);

Unit
TeCanvas


TTeePicture.Filtered

TTeePicture.Filtered
TTeePicture

function Filtered: TGraphic;

Unit
TeCanvas

Description
Returns a new instance of a TGraphic class containing a copy of the picture after being processed by applying all filters in the Filters collection.


TTeePicture.Filters

TTeePicture.Filters
TTeePicture

property Filters: TFilterItems;

Unit
TeCanvas

Description
Returns a collection of filter instances that are classes derived from TTeeFilter class.

Enabled filters are processed consecutively and applied to the picture owner.


TTeePicture.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TInterfacedPersistent
|
TPicture
|
TTeePicture

Classes derived from TTeePicture
TBackImage


TTeePolygon.0events

TTeePolygon events
TTeePolygon Legend key

Unit
TeeMapSeries

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTeePolygon.0methods

TTeePolygon methods
TTeePolygon Legend key

Unit
TeeMapSeries

In TTeePolygon
AddXY
Bounds
Draw
GetPoints
Visible

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePolygon.0properties

TTeePolygon properties
TTeePolygon Legend key

Unit
TeeMapSeries

In TTeePolygon
Brush
Closed
Color
Gradient
ParentBrush
ParentPen
Pen
Points
Text
Transparency
Transparent
Z

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTeePolygon.AddXY

TTeePolygon.AddXY
TTeePolygon

function AddXY(Const Point: TFloatPoint): Integer; overload;

Unit
TeeMapSeries

Description
Use AddXY method to add a boundary coördinate to the polygon. The polygon will be drawn in sequential order of the coördinates. (ie. from point 1 (X0,Y0) to point 2 (X1,Y1) to point 3 (X2,Y2), ....)


TTeePolygon.Bounds

TTeePolygon.Bounds
TTeePolygon

function Bounds: TRect;

Unit
TeeMapSeries

Description
Returns the rectangle in pixels that corresponds to the maximum space used by the polygon.

The rectangle coordinates are calculated using the current Canvas 3D parameters (Rotation, Elevation, Zoom, etc)


TTeePolygon.Brush

TTeePolygon.Brush
TTeePolygon

property Brush: TChartBrush;

Unit
TeeMapSeries

Description
The Brush property determines the kind of brush used to fill the polygon interior.


TTeePolygon.Closed

TTeePolygon.Closed
TTeePolygon

property Closed: Boolean;

Unit
TeeMapSeries

Description
Default is True.

When Closed is True, the polygon is displayed and filled using the polygon Pen and Brush properties.

When Closed is False, a poly-line is displayed using the Pen property.


TTeePolygon.Color

TTeePolygon.Color
TTeePolygon

property Color: TColor;

Unit
TeeMapSeries

Description
Set Color property to specify the color to be used to fill the polygon.
Or to be used to draw the Brush pattern.


TTeePolygon.Draw

TTeePolygon.Draw
TTeePolygon

procedure Draw(ACanvas: TCanvas3D; ValueIndex: Integer);

Unit
TeeMapSeries

Description
The Draw method draws the Polygon on the Chart Canvas


TTeePolygon.GetPoints

TTeePolygon.GetPoints
TTeePolygon

function GetPoints: TPointArray;

Unit
TeeMapSeries

Description
The GetPoints function returns the coördinates of all points of the Polygon.


TTeePolygon.Gradient

TTeePolygon.Gradient
TTeePolygon

property Gradient: TChartGradient;

Unit
TeeMapSeries

Description
The Gradient property determines the kind of polygon's interior gradient effect.


TTeePolygon.Hierarchy

Unit
TeeMapSeries

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeePolygon

Classes derived from TTeePolygon
(none)


TTeePolygon.ParentBrush

TTeePolygon.ParentBrush
TTeePolygon

property ParentBrush: Boolean;

Unit
TeeMapSeries

Description
To have a polygon to use the same Brush as its parentseries (TMapSeries), set ParentBrush to True. If ParentBrush is False, the polygon uses its own Brush property.


TTeePolygon.ParentPen

TTeePolygon.ParentPen
TTeePolygon

property ParentPen: Boolean;

Unit
TeeMapSeries

Description
To have a polygon to use the same Pen as its Parentseries, set ParentPen to True. If ParentPen is False, the polygon uses its own Pen property.


TTeePolygon.Pen

TTeePolygon.Pen
TTeePolygon

property Pen: TChartPen;

Unit
TeeMapSeries

Description
Set Pen property to specify the Pen to be used to draw the border of the polygon.


TTeePolygon.Points

TTeePolygon.Points
TTeePolygon

property Points: TPolygonSeries;

Unit
TeeMapSeries

Description
Use the Points property to have access to the co-ordinates PointList which determine the boundary of the polygon.


TTeePolygon.Text

TTeePolygon.Text
TTeePolygon

property Text: String;

Unit
TeeMapSeries

Description
Use Text to specify the text string that labels the polygon


TTeePolygon.Transparency

TTeePolygon.Transparency
TTeePolygon

property Transparency: TTeeTransparency;

Unit
TeeMapSeries

Description
Amount of opacity used to fill the polygon interior.

100 means fully transparent, 0 means fully opaque.


TTeePolygon.Transparent

TTeePolygon.Transparent
TTeePolygon

property Transparent: Boolean;

Unit
TeeMapSeries

Description
Returns True when the Brush.Style property is bsClear.


TTeePolygon.Visible

TTeePolygon.Visible
TTeePolygon

function Visible: Boolean;

Unit
TeeMapSeries

Description
Returns True if the polygon fits inside the available Chart ChartRect rectangle.


TTeePolygon.Z

TTeePolygon.Z
TTeePolygon

property Z: Double;

Unit
TeeMapSeries

Description
Use Z property to specify the position on the Z-axis of the 3D MapSeries.

In Chart terms this will set a Z plane position, a lower value of Z will be drawn in front of a higher Z value. TMapSeries is intended to be viewed in 2D and the Z value is provided to be used as a value for a Polygon (ie. for demographic maps). If colour Palette is used then the Z value will set the Polygon colour.


TTeePolygonList.0events

TTeePolygonList events
TTeePolygonList Legend key

Unit
TeeMapSeries

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TTeePolygonList.0methods

TTeePolygonList methods
TTeePolygonList Legend key

Unit
TeeMapSeries

In TTeePolygonList
Add
Owner

Derived from TOwnedCollection
Create
GetOwner

Derived from TCollection
Added
Assign
BeginUpdate
Changed
Clear
Delete
Deleting
Destroy
EndUpdate
FindItemID
GetAttr
GetAttrCount
GetCount
GetItem
GetItemAttr
GetNamePath
GetPropName
Insert
InsertItem
Notify
RemoveItem
SetItem
SetItemName
Update

Derived from TPersistent
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeePolygonList.0properties

TTeePolygonList properties
TTeePolygonList Legend key

Unit
TeeMapSeries

In TTeePolygonList
ByName
Polygon

Derived from TCollection
Count
ItemClass
Items
NextID
PropName
UpdateCount


TTeePolygonList.Add

TTeePolygonList.Add
TTeePolygonList

function Add: TTeePolygon;

Unit
TeeMapSeries

Description
Call Add to insert a new polygon at the end of the Polygons array. Add returns the new add Polygon.


TTeePolygonList.ByName

TTeePolygonList.ByName
TTeePolygonList

property ByName[Const AName: String]: TTeePolygon;

Unit
TeeMapSeries

Description
Returns the first shape polygon inside the list that matches its Text property, or nil if any is found.


TTeePolygonList.Hierarchy

Unit
TeeMapSeries

Hierarchy

TObject
|
TPersistent
|
TCollection
|
TOwnedCollection
|
TTeePolygonList

Classes derived from TTeePolygonList
(none)


TTeePolygonList.Owner

TTeePolygonList.Owner
TTeePolygonList

function Owner: TMapSeries;

Unit
TeeMapSeries

Description
The Owner method returns the TMapSeries that owns the TTeePolygonList.


TTeePolygonList.Polygon

TTeePolygonList.Polygon
TTeePolygonList

property Polygon[Index: Integer]: TTeePolygon;

Unit
TeeMapSeries

Description
Use Polygon to access a Polygon in the array. The Index parameter indicates the index of the Polygon, where 0 is the index of the first Polygon, 1 is the index of the second Polygon, and so on. Set Items to change the reference at a specific location.


TTeePreviewPanel.0events

TTeePreviewPanel events
TTeePreviewPanel Legend key

Unit
TeePreviewPanel

In TTeePreviewPanel
OnChangeMargins
OnGetPaperRect

Derived from TCustomTeePanelExtended
OnAfterDraw
OnScroll
OnUndoZoom
OnZoom

Derived from TCustomTeePanel
OnBeforePrint

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderStyle
BorderWidth
FullRepaint
Locked

Derived from TCustomControl
Canvas

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeePreviewPanel.0methods

TTeePreviewPanel methods
TTeePreviewPanel Legend key

Unit
TeePreviewPanel

In TTeePreviewPanel
Print

Derived from TCustomTeePanelExtended
DrawZoomRectangle
HasBackImage
UndoZoom

Derived from TCustomTeePanel
CalcMetaBounds
CalcProportionalMargins
CanClip
CanvasChanged
ChartPrintRect
CopyToClipboardBitmap
CopyToClipboardMetafile
Draw
DrawPanelBevels
DrawToMetaCanvas
GetCursorPos
GetRectangle
Invalidate
IsScreenHighColor
PrintLandscape
PrintOrientation
PrintPartial
PrintPartialCanvas
PrintPortrait
PrintRect
ReCalcWidthHeight
SaveToBitmapFile
SaveToMetafile
SaveToMetafileEnh
SaveToMetafileRect
SetBrushCanvas
SetInternalCanvas
TeeCreateBitmap
TeeCreateMetafile

Derived from TCustomPanel
AdjustClientRect
CanAutoSize
CMBorderChanged
CMCtl3DChanged
CMDockClient
CMIsToolControl
CMTextChanged
Create
CreateParams
GetControlsAlignment
Paint
SetAlignment
SetBevelInner
SetBevelOuter
SetBevelWidth
SetBorderStyle
SetBorderWidth
SetParentBackground
WMWindowPosChanged

Derived from TCustomControl
Destroy
PaintWindow
WMPaint

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AlignControls
AssignTo
Broadcast
CalcConstraints
CanFocus
CanResize
ChangeScale
CMBiDiModeChanged
CMChanged
CMChildKey
CMColorChanged
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDialogKey
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMFontChanged
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CreateWindowHandle
CreateWnd
CustomAlignInsertBefore
CustomAlignPosition
DefaultHandler
DefineProperties
DestroyHandle
DestroyWindowHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoFlipChildren
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetChildren
GetClientOrigin
GetClientRect
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PaletteChanged
PrecedingWindow
ReadDesignSize
ReadState
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBounds
SetChildOrder
SetCtl3D
SetDockSite
SetFocus
SetIme
SetImeCompositionWindow
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCommand
WMCompareItem
WMContextMenu
WMDeleteItem
WMDestroy
WMDrawItem
WMEraseBkgnd
WMFontChange
WMHScroll
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMVScroll
WMWindowPosChanging
WMWinIniChange
WndProc
WriteDesignSize

Derived from TControl
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
Show
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeePreviewPanel.0properties

TTeePreviewPanel properties
TTeePreviewPanel Legend key

Unit
TeePreviewPanel

In TTeePreviewPanel
AllowMove
AllowResize
AsBitmap
DragImage
Margins
Orientation
Panel
Panels
PaperColor
PaperShadow
ShadowColor
ShadowSize
ShowImage
SmoothBitmap
Title

Derived from TCustomTeePanelExtended
AllowPanning
AllowZoom
AnimatedZoom
AnimatedZoomSteps
BackImage
BackImageInside
BackImageMode
BackImageTransp
Gradient
ScrollMouseButton
Zoom
Zoomed

Derived from TCustomTeePanel
ApplyZOrder
Aspect
AutoRepaint
Border
BorderRound
BorderStyle
BufferedDisplay
CancelMouse
Canvas
ChartBounds
ChartHeight
ChartWidth
ChartXCenter
ChartYCenter
CustomChartRect
DelphiCanvas
Emboss
Height3D
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Monochrome
OriginalCursor
Panning
Printing
PrintProportional
PrintResolution
Shadow
View3D
View3DOptions
Width3D

Derived from TCustomPanel
Alignment
BevelInner
BevelOuter
BevelWidth
BorderWidth
FullRepaint
Locked

Derived from TWinControl
AlignDisabled
BevelEdges
BevelKind
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeePreviewPanel.AllowMove

TTeePreviewPanel.AllowMove
TTeePreviewPanel

property AllowMove: Boolean;

Unit
TeePreviewPanel

Description
Default True

When true allows mousedrag move of Chart on printed page.


TTeePreviewPanel.AllowResize

TTeePreviewPanel.AllowResize
TTeePreviewPanel

property AllowResize: Boolean;

Unit
TeePreviewPanel

Description
Default True

When True permits mousedrag resize of the Chart for the printed page.


TTeePreviewPanel.AsBitmap

TTeePreviewPanel.AsBitmap
TTeePreviewPanel

property AsBitmap: Boolean;

Unit
TeePreviewPanel

Description
Default value is False.
Use AsBitmap property to display the chart as bitmap or not. When set to True, the chart will be displayed as a bitmap on the preview panel.


TTeePreviewPanel.DragImage

TTeePreviewPanel.DragImage
TTeePreviewPanel

property DragImage: Boolean;

Unit
TeePreviewPanel

Description
Default property is False.
Use DragImage property to allow dragging of the chart on the preview panel. When set to True, the user can drag the chart to a position on the preview panel. When set to False, dragging of the chart is not allowed.


TTeePreviewPanel.Hierarchy

Unit
TeePreviewPanel

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TCustomControl
|
TCustomPanel
|
TCustomPanelNoCaption
|
TCustomTeePanel
|
TCustomTeePanelExtended
|
TTeePreviewPanel

Classes derived from TTeePreviewPanel
(none)


TTeePreviewPanel.Margins

TTeePreviewPanel.Margins
TTeePreviewPanel

property Margins: TPreviewChartPen;

Unit
TeePreviewPanel

Description
The Margins property controls width, color, style and visibility of the PrintPreview Margins.


TTeePreviewPanel.OnChangeMargins

TTeePreviewPanel.OnChangeMargins
TTeePreviewPanel

property OnChangeMargins: TOnChangeMarginsEvent;

Unit
TeePreviewPanel

Description
The OnChangeMargins event is called when the position of a margin has changed.


TTeePreviewPanel.OnGetPaperRect

TTeePreviewPanel.OnGetPaperRect
TTeePreviewPanel

property OnGetPaperRect: TOnGetPaperRect;

Unit
TeePreviewPanel

Description
This event is called each time the preview panel displays.

The rectangle parameter specifies the automatically calculated rectangle that best fits the current selected printer.

You can set this rectangle to your custom values using the preview panel Width and Height values.

The rectangle is expressed in pixels, with 0,0 being the origin.


TTeePreviewPanel.Orientation

TTeePreviewPanel.Orientation
TTeePreviewPanel

property Orientation: TTeePreviewPanelOrientation;

Unit
TeePreviewPanel

Description
Default value is ppoDefault.

Use Orientation to specify the orientation of the PreviewPanel. It can has one of the following values:

ppoDefault Not defined
ppoPortrait Portrait orientation
ppoLandscape Landscape orientation


TTeePreviewPanel.Panel

TTeePreviewPanel.Panel
TTeePreviewPanel

property Panel: TCustomTeePanel;

Unit
TeePreviewPanel

Description
Use this property to assign a Chart/DBChart to the PreviewPanel.


TTeePreviewPanel.Panels

TTeePreviewPanel.Panels
TTeePreviewPanel

property Panels: TTeePanelsList;

Unit
TeePreviewPanel

Description
Use Panels to have access to the several chart pages when Chart paging is Enabled.


TTeePreviewPanel.PaperColor

TTeePreviewPanel.PaperColor
TTeePreviewPanel

property PaperColor: TColor;

Unit
TeePreviewPanel

Description
Default value is clWhite.
Use Color to read or change the background color of the Preview Panel. This can be used to mimic different paper colors.


TTeePreviewPanel.PaperShadow

TTeePreviewPanel.PaperShadow
TTeePreviewPanel

property PaperShadow: TTeeShadow;

Unit
TeePreviewPanel

Description
Determines the properties to draw a shadow around the "paper" rectangle.


TTeePreviewPanel.Print

TTeePreviewPanel.Print
TTeePreviewPanel

procedure Print;

Unit
TeePreviewPanel

Description
This method will send the Chart to the currently selected Printer.


TTeePreviewPanel.ShadowColor

TTeePreviewPanel.ShadowColor
TTeePreviewPanel

property ShadowColor: TColor;

Unit
TeePreviewPanel

Description
Use Color to read or change the Color of the PreviewPanel Shadow.


TTeePreviewPanel.ShadowSize

TTeePreviewPanel.ShadowSize
TTeePreviewPanel

property ShadowSize: Integer;

Unit
TeePreviewPanel

Description
Use ShadowSize property to define the Size of the PreviewPanel Shadow.


TTeePreviewPanel.ShowImage

TTeePreviewPanel.ShowImage
TTeePreviewPanel

property ShowImage: Boolean;

Unit
TeePreviewPanel

Description
Use ShowImage property to show/hide the chart image.


TTeePreviewPanel.SmoothBitmap

TTeePreviewPanel.SmoothBitmap
TTeePreviewPanel

property SmoothBitmap: Boolean;

Unit
TeePreviewPanel

Description
Default is False
When True, the preview panel shows the TChart or TTree control as a bitmap using a "smooth stretch" algorithm that resembles final output.


TTeePreviewPanel.Title

TTeePreviewPanel.Title
TTeePreviewPanel

property Title: String;

Unit
TeePreviewPanel

Description
Corresponds to the Caption of the TeePreviewPanel. This text string is used when showing the PrintPreview dialog.

See also:

TChartPreviewer component.


TTeeScrollBar.0events

TTeeScrollBar events
TTeeScrollBar Legend key

Unit
TeeLegendScrollBar

In TTeeScrollBar
OnChangeSize
OnScrolled
OnSetPosition

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeScrollBar.0methods

TTeeScrollBar methods
TTeeScrollBar Legend key

Unit
TeeLegendScrollBar

In TTeeScrollBar
Assign
Description
MainRectangle
ScrollRectangle

Derived from TTeeCustomTool
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeScrollBar.0properties

TTeeScrollBar properties
TTeeScrollBar Legend key

Unit
TeeLegendScrollBar

In TTeeScrollBar
ArrowBrush
AutoRepeat
BackColor
Bevel
DrawStyle
Gradient
Horizontal
InitialDelay
MinThumbSize
Position
Size
Thumb
ThumbBrush
ThumbSize

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeScrollBar.ArrowBrush

TTeeScrollBar.ArrowBrush
TTeeScrollBar

property ArrowBrush: TChartBrush;

Unit
TeeLegendScrollBar

Description
The brush used to fill the up/left and down/right "arrows"


TTeeScrollBar.Assign

TTeeScrollBar.Assign
TTeeScrollBar

procedure Assign(Source: TPersistent); override;

Unit
TeeLegendScrollBar

Description
Assigns characteristics from other TeeLegendScrollBar Tool. Useful to clone tools from other TChart objects.


TTeeScrollBar.AutoRepeat

TTeeScrollBar.AutoRepeat
TTeeScrollBar

property AutoRepeat: Boolean;

Unit
TeeLegendScrollBar

Description
When True (the default), the scrollbar will repeat mouse clicks when leaving the mouse button pressed.


TTeeScrollBar.BackColor

TTeeScrollBar.BackColor
TTeeScrollBar

property BackColor: TColor;

Unit
TeeLegendScrollBar

Description
The color used to fill the scrollbar background.


TTeeScrollBar.Bevel

TTeeScrollBar.Bevel
TTeeScrollBar

property Bevel: TPanelBevel;

Unit
TeeLegendScrollBar

Description
Style for the scrollbar border.


TTeeScrollBar.Description

TTeeScrollBar.Description
TTeeScrollBar

function Description: String; override;

Unit
TeeLegendScrollBar

Description
Returns "Scrollbar"


TTeeScrollBar.DrawStyle

TTeeScrollBar.DrawStyle
TTeeScrollBar

property DrawStyle: TTeeScrollBarDrawStyle;

Unit
TeeLegendScrollBar

Description
Defines when will be the scrollbar displayed.

Values are "ssAlways" and "ssWhenNeeded".


TTeeScrollBar.Gradient

TTeeScrollBar.Gradient
TTeeScrollBar

property Gradient: TTeeGradient;

Unit
TeeLegendScrollBar

Description
Gradient properties used to fill the main scrollbar rectangle.


TTeeScrollBar.Hierarchy

Unit
TeeLegendScrollBar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTeeScrollBar

Classes derived from TTeeScrollBar
TLegendScrollBar


TTeeScrollBar.Horizontal

TTeeScrollBar.Horizontal
TTeeScrollBar

property Horizontal: Boolean;

Unit
TeeLegendScrollBar

Description
True when the scrollbar is horizontal, False if it is vertical.


TTeeScrollBar.InitialDelay

TTeeScrollBar.InitialDelay
TTeeScrollBar

property InitialDelay: Integer;

Unit
TeeLegendScrollBar

Description
The amount in milliseconds that the scrollbar will delay before starting the auto-repeat feature.

See also the #TTeeScrollBar.AutoRepeat#AutoRepeat# property.


TTeeScrollBar.MainRectangle

TTeeScrollBar.MainRectangle
TTeeScrollBar

function MainRectangle: TRect;

Unit
TeeLegendScrollBar

Description
Returns the rectangle that defines the boundaries of the scrollbar.


TTeeScrollBar.MinThumbSize

TTeeScrollBar.MinThumbSize
TTeeScrollBar

property MinThumbSize: Integer;

Unit
TeeLegendScrollBar

Description
Number of pixels that define the minimum size (width or height) of the scrollbar thumb indicator.


TTeeScrollBar.OnChangeSize

TTeeScrollBar.OnChangeSize
TTeeScrollBar

property OnChangeSize: TNotifyEvent;

Unit
TeeLegendScrollBar

Description
Event called when the scrollbar Size property is changed.
Can be used to re-align or resize panel or chart controls that contain a scrollbar.


TTeeScrollBar.OnScrolled

TTeeScrollBar.OnScrolled
TTeeScrollBar

property OnScrolled: TNotifyEvent;

Unit
TeeLegendScrollBar

Description
Called when the end user scrolls the scrollbar thumb.


TTeeScrollBar.OnSetPosition

TTeeScrollBar.OnSetPosition
TTeeScrollBar

property OnSetPosition: TSetPositionEvent;

Unit
TeeLegendScrollBar

Description
Event called when the scrollbar Position property is changed.
This might happen because the end user has clicked or dragged the scrollbar or the program sets Position by code.


TTeeScrollBar.Position

TTeeScrollBar.Position
TTeeScrollBar

property Position: Integer;

Unit
TeeLegendScrollBar

Description
The value where the scrollbar thumb is positioned in respect the scrollbar virtual Size property.

See also the Size property.


TTeeScrollBar.ScrollRectangle

TTeeScrollBar.ScrollRectangle
TTeeScrollBar

function ScrollRectangle: TRect;

Unit
TeeLegendScrollBar

Description
Returns the rectangle that defines the boundaries of the scrollbar thumb.


TTeeScrollBar.Size

TTeeScrollBar.Size
TTeeScrollBar

property Size: Integer;

Unit
TeeLegendScrollBar

Description
The total scrollbar virtual Size magnitude.

See also the Position property.


TTeeScrollBar.Thumb

TTeeScrollBar.Thumb
TTeeScrollBar

property Thumb: TScrollBarThumb;

Unit
TeeLegendScrollBar

Description
Gets properties that define how to draw the scroll bar "thumb" (the dragable region that represents the current scrolling position in the bar).


TTeeScrollBar.ThumbBrush

TTeeScrollBar.ThumbBrush
TTeeScrollBar

property ThumbBrush: TChartBrush;

Unit
TeeLegendScrollBar

Description
The brush used to fill the scrollbar thumb.


TTeeScrollBar.ThumbSize

TTeeScrollBar.ThumbSize
TTeeScrollBar

property ThumbSize: Integer;

Unit
TeeLegendScrollBar

Description
Gets or sets the size in pixels of the thumb.

By default is zero meaning the thumb size will be automatically calculated based on the number of items and visible items that the scrollbar represents.


TTeeSeriesDBSource.0events

TTeeSeriesDBSource events
TTeeSeriesDBSource Legend key

Unit
DBChart

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeSeriesDBSource.0methods

TTeeSeriesDBSource methods
TTeeSeriesDBSource Legend key

Unit
DBChart

In TTeeSeriesDBSource
Available

Derived from TTeeSeriesSource
Close
Description
Editor
HasNew
HasSeries
Load
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeSeriesDBSource.0properties

TTeeSeriesDBSource properties
TTeeSeriesDBSource Legend key

Unit
DBChart

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeSeriesDBSource.Available

TTeeSeriesDBSource.Available
TTeeSeriesDBSource

function Available(AChart: TCustomAxisPanel): Boolean; override;

Unit
DBChart

Description
Returns True when the AChart parameter is of class TCustomDBChart or derived.

That is, the DB source is only available when using the database DBChart, and not when using a normal TChart.


TTeeSeriesDBSource.Hierarchy

Unit
DBChart

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesDBSource

Classes derived from TTeeSeriesDBSource
TDataSetSeriesSource
TDBCrossTabSource
TDBSummarySource
TSingleRecordSeriesSource


TTeeSeriesSource.0events

TTeeSeriesSource events
TTeeSeriesSource Legend key

Unit
TeEngine

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeSeriesSource.0methods

TTeeSeriesSource methods
TTeeSeriesSource Legend key

Unit
TeEngine

In TTeeSeriesSource
Available
Close
Description
Editor
HasNew
HasSeries
Load
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeSeriesSource.0properties

TTeeSeriesSource properties
TTeeSeriesSource Legend key

Unit
TeEngine

In TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeSeriesSource.Active

TTeeSeriesSource.Active
TTeeSeriesSource

property Active: Boolean;

Unit
TeEngine

Description
Opens / Closes the source.


TTeeSeriesSource.Available

TTeeSeriesSource.Available
TTeeSeriesSource

function Available(AChart: TCustomAxisPanel): Boolean; virtual;

Unit
TeEngine

Description
Returns True when the Source is valid for th AChart parameter.

For example, the Database sources return True only when the Chart is a TDBChart.


TTeeSeriesSource.Close

TTeeSeriesSource.Close
TTeeSeriesSource

procedure Close; virtual;

Unit
TeEngine

Description
Called when the Active property is set to False.

The Source component should disconnect the Series from the data origin and clear the Series.


TTeeSeriesSource.Description

TTeeSeriesSource.Description
TTeeSeriesSource

function Description: String; virtual;

Unit
TeEngine

Description
Returns the text that describes the source.
This text is used at the Series Editor dialog, Datasources tab.

For example, the SeriesText source component returns "Text".


TTeeSeriesSource.Editor

TTeeSeriesSource.Editor
TTeeSeriesSource

function Editor: TComponentClass; virtual;

Unit
TeEngine

Description
Returns the form class that should be used when editing this source component.


TTeeSeriesSource.HasNew

TTeeSeriesSource.HasNew
TTeeSeriesSource

function HasNew: Boolean; virtual;

Unit
TeEngine

Description
Return True when this source allows the end user to create new elements at the editor dialog.


TTeeSeriesSource.HasSeries

TTeeSeriesSource.HasSeries
TTeeSeriesSource

function HasSeries(ASeries: TChartSeries): Boolean; virtual;

Unit
TeEngine

Description
Returns True when the ASeries parameter has a DataSource of the same class as the Source component.


TTeeSeriesSource.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource

Classes derived from TTeeSeriesSource
TTeeSeriesDBSource
TTeeSeriesSourceFile


TTeeSeriesSource.Load

TTeeSeriesSource.Load
TTeeSeriesSource

procedure Load; virtual;

Unit
TeEngine

Description
The Load method is the responsible to add points to the Series.

It is automatically called when then Active property is set to True, and when the Open method is called.


TTeeSeriesSource.LoadMode

TTeeSeriesSource.LoadMode
TTeeSeriesSource

property LoadMode: TSourceLoadMode;

Unit
TeEngine

Description
Sets the mode that the user wants to load the data. Available options are :

lmClear - Will clear the Series data each load.
lmAppend - Will add the new data to the series without deleting the existing.


TTeeSeriesSource.Open

TTeeSeriesSource.Open
TTeeSeriesSource

procedure Open; virtual;

Unit
TeEngine

Description
Called when the Active property is True.

The Open method should add points to the Series, obtaining the points data from the corresponding source.


TTeeSeriesSource.Refresh

TTeeSeriesSource.Refresh
TTeeSeriesSource

procedure Refresh;

Unit
TeEngine

Description
Re-Loads data from the source to the Series.

It automatically calls the Load method when the source is Active.


TTeeSeriesSource.Series

TTeeSeriesSource.Series
TTeeSeriesSource

property Series: TChartSeries;

Unit
TeEngine

Description
Indentifies the Series to use as a destination for data.


TTeeSeriesSourceFile.0events

TTeeSeriesSourceFile events
TTeeSeriesSourceFile Legend key

Unit
TeeURL

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeSeriesSourceFile.0methods

TTeeSeriesSourceFile methods
TTeeSeriesSourceFile Legend key

Unit
TeeURL

In TTeeSeriesSourceFile
Load
LoadFromFile
LoadFromStream
LoadFromURL

Derived from TTeeSeriesSource
Available
Close
Description
Editor
HasNew
HasSeries
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeSeriesSourceFile.0properties

TTeeSeriesSourceFile properties
TTeeSeriesSourceFile Legend key

Unit
TeeURL

In TTeeSeriesSourceFile
FileName

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeSeriesSourceFile.FileName

TTeeSeriesSourceFile.FileName
TTeeSeriesSourceFile

property FileName: String;

Unit
TeeURL

Description
The FileName property refers to the file that will be used by the SeriesSource object to import data to series.


TTeeSeriesSourceFile.Hierarchy

Unit
TeeURL

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesSourceFile

Classes derived from TTeeSeriesSourceFile
TSeriesTextSource
TTeeExcelSource
TTeeXMLSource


TTeeSeriesSourceFile.Load

TTeeSeriesSourceFile.Load
TTeeSeriesSourceFile

procedure Load; override;

Unit
TeeURL

Description
This virtual method will use the FileName or URL properties to load the file into the SeriesSource object, to then assign the data into the Series.


TTeeSeriesSourceFile.LoadFromFile

TTeeSeriesSourceFile.LoadFromFile
TTeeSeriesSourceFile

procedure LoadFromFile(Const AFileName: String);

Unit
TeeURL

Description
Loads the file pointed by the AFileName parameter.


TTeeSeriesSourceFile.LoadFromStream

TTeeSeriesSourceFile.LoadFromStream
TTeeSeriesSourceFile

procedure LoadFromStream(AStream: TStream); virtual;

Unit
TeeURL

Description
Uses the AStream parameter as the provider of data.


TTeeSeriesSourceFile.LoadFromURL

TTeeSeriesSourceFile.LoadFromURL
TTeeSeriesSourceFile

procedure LoadFromURL(Const AURL: AnsiString);

Unit
TeeURL

Description
Retrieves the file pointed by the AURL parameter.


TTeeSeriesType.0methods

TTeeSeriesType methods
TTeeSeriesType Legend key

Unit
TeEngine

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeSeriesType.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TTeeSeriesType

Classes derived from TTeeSeriesType
(none)


TTeeSeriesTypes.0events

TTeeSeriesTypes events
TTeeSeriesTypes Legend key

Unit
Chart

Derived from TList
Capacity
Count
Items
List


TTeeSeriesTypes.0methods

TTeeSeriesTypes methods
TTeeSeriesTypes Legend key

Unit
Chart

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeSeriesTypes.0properties

TTeeSeriesTypes properties
TTeeSeriesTypes Legend key

Unit
Chart

Derived from TList
Capacity
Count
Items
List


TTeeSeriesTypes.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TList
|
TTeeSeriesTypes

Classes derived from TTeeSeriesTypes
(none)


TTeeShadow.0methods

TTeeShadow methods
TTeeShadow Legend key

Unit
TeCanvas

In TTeeShadow
Draw
DrawEllipse

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeShadow.0properties

TTeeShadow properties
TTeeShadow Legend key

Unit
TeCanvas

In TTeeShadow
Clip
Color
HorizSize
Size
Smooth
SmoothBlur
Transparency
VertSize
Visible


TTeeShadow.Clip

TTeeShadow.Clip
TTeeShadow

property Clip: Boolean;

Unit
TeCanvas

Description
Default value is False.
Valid only when the Smooth property is True.

Note: Setting Clip property to True will slow all smooth shadow drawings considerabily (on Windows GDI and GDI+).

When True, smooth shadows are clipped using the current canvas clipping region.


TTeeShadow.Color

TTeeShadow.Color
TTeeShadow

property Color: TColor;

Unit
TeCanvas

Description
Shadow colour.


TTeeShadow.Draw

TTeeShadow.Draw
TTeeShadow

procedure Draw(ACanvas: TCanvas3D; Const P: array of TPoint); overload;

Unit
TeCanvas

Description
Draws a shadow using the polygon defined by the array of points "P".

The polygon is displayed with an offset of HorizSize and VertSize pixels.

See also: SmoothBlur property.


TTeeShadow.DrawEllipse

TTeeShadow.DrawEllipse
TTeeShadow

procedure DrawEllipse(ACanvas: TCanvas3D; Const Rect: TRect; Const Z: Double; DonutPercent: Integer); virtual;

Unit
TeCanvas

Description
Draws an elliptical shadow around the Rect rectangle parameter, using the ACanvas canvas and at the Z depth 3D coordinates.

Uses the HorizSize, VertSize and Transparency properties to draw the shadow.

See also: SmoothBlur property.


TTeeShadow.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TTeeShadow

Classes derived from TTeeShadow
TCircledShadow
TTeeEmboss


TTeeShadow.HorizSize

TTeeShadow.HorizSize
TTeeShadow

property HorizSize: Integer;

Unit
TeCanvas

Description
Hrozontal size of the shadow in pixels.


TTeeShadow.Size

TTeeShadow.Size
TTeeShadow

property Size: Integer;

Unit
TeCanvas

Description
Returns the biggest of the HorizSize and VertSize properties.

When setting Size, it will set both HorizSize and VertSize to the same value.


TTeeShadow.Smooth

TTeeShadow.Smooth
TTeeShadow

property Smooth: Boolean;

Unit
TeCanvas

Description
Gets or sets if the shadow will be displayed as a simple rectangle of uniform color (Smooth False), or as a rectangle with smooth edges (Smooth = True).


TTeeShadow.SmoothBlur

TTeeShadow.SmoothBlur
TTeeShadow

property SmoothBlur: Integer;

Unit
TeCanvas

Description
Default is zero.

Gets or sets the number of "blur" steps to apply to shadow.
The Smooth property must be True for SmoothBlur to apply.

A blurred shadow might decrease brightness so it'll need a darker Color.

Note: A number bigger than 10 might be slow depending on your machine speed.


TTeeShadow.Transparency

TTeeShadow.Transparency
TTeeShadow

property Transparency: TTeeTransparency;

Unit
TeCanvas

Description
The percentage of semi-glass effect for the shadow, from 0 to 100.


TTeeShadow.VertSize

TTeeShadow.VertSize
TTeeShadow

property VertSize: Integer;

Unit
TeCanvas

Description
Vertcial size of the shadow in pixels.


TTeeShadow.Visible

TTeeShadow.Visible
TTeeShadow

property Visible: Boolean;

Unit
TeCanvas

Description
Default is True.
Shows or hides the shadow.

Note: For a shadow to be visible, its HorizSize and / or VertSize properies should not be zero.


TTeeShape.0methods

TTeeShape methods
TTeeShape Legend key

Unit
TeeProcs

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeShape.0properties

TTeeShape properties
TTeeShape Legend key

Unit
TeeProcs

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTeeShape.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeShape

Classes derived from TTeeShape
TCalendarCell
TLegendTitle


TTeeShapePosition.0methods

TTeeShapePosition methods
TTeeShapePosition Legend key

Unit
TeeTools

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeShapePosition.0properties

TTeeShapePosition properties
TTeeShapePosition Legend key

Unit
TeeTools

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTeeShapePosition.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TTeeShapePosition

Classes derived from TTeeShapePosition
TTextShape


TTeeToolTypes.0events

TTeeToolTypes events
TTeeToolTypes Legend key

Unit
Chart

Derived from TList
Capacity
Count
Items
List


TTeeToolTypes.0methods

TTeeToolTypes methods
TTeeToolTypes Legend key

Unit
Chart

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeToolTypes.0properties

TTeeToolTypes properties
TTeeToolTypes Legend key

Unit
Chart

In TTeeToolTypes
Items

Derived from TList
Capacity
Count
List


TTeeToolTypes.Hierarchy

Unit
Chart

Hierarchy

TObject
|
TList
|
TTeeToolTypes

Classes derived from TTeeToolTypes
(none)


TTeeToolTypes.Items

TTeeToolTypes.Items
TTeeToolTypes

property Items[Index: Integer]: TTeeCustomToolClass;

Unit
Chart

Description
Access the TeeChart ToolType by index.

TTeeCustomToolClass is a class of TTeeCustomTool


TTeeXMLSource.0events

TTeeXMLSource events
TTeeXMLSource Legend key

Unit
TeeXML

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeXMLSource.0methods

TTeeXMLSource methods
TTeeXMLSource Legend key

Unit
TeeXML

Derived from TTeeSeriesSourceFile
Load
LoadFromFile
LoadFromStream
LoadFromURL

Derived from TTeeSeriesSource
Available
Close
Description
Editor
HasNew
HasSeries
Open
Refresh

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTeeXMLSource.0properties

TTeeXMLSource properties
TTeeXMLSource Legend key

Unit
TeeXML

In TTeeXMLSource
Chart
SeriesNode
ValueSource
XML
XmlDocument

Derived from TTeeSeriesSourceFile
FileName

Derived from TTeeSeriesSource
Active
LoadMode
Series

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTeeXMLSource.Chart

TTeeXMLSource.Chart
TTeeXMLSource

property Chart: TCustomChart;

Unit
TeeXML

Description
Gets or sets the Chart component where to add series and series data from XML source.


TTeeXMLSource.Hierarchy

Unit
TeeXML

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeSeriesSource
|
TTeeSeriesSourceFile
|
TTeeXMLSource

Classes derived from TTeeXMLSource
(none)


TTeeXMLSource.SeriesNode

TTeeXMLSource.SeriesNode
TTeeXMLSource

property SeriesNode: String;

Unit
TeeXML

Description
When multiple series exist in XML source data, this property can be set to a series name to import only this series.


TTeeXMLSource.ValueSource

TTeeXMLSource.ValueSource
TTeeXMLSource

property ValueSource: String;

Unit
TeeXML

Description
Set ValueSource to match the name of point values in the XML data.

Setting this property is not necessary when the series type is the same as the series type inside the XML source.


TTeeXMLSource.XML

TTeeXMLSource.XML
TTeeXMLSource

property XML: TStrings;

Unit
TeeXML

Description
The XML data.
Use the TStrings LoadFromFile method to load XML data from file, or the Assign method to copy XML data from another list of strings.

TeeXMLSource1.XML.Assign( Memo1.Lines );


TTeeXMLSource.XmlDocument

TTeeXMLSource.XmlDocument
TTeeXMLSource

property XmlDocument: XmlDocument;

Unit
TeeXML

Description
The object containing the xml nodes.

In Win32, this is an OleVariant to a DOM object.
In .Net, this returns a System.Xml.XmlDocument object.


TTeeZoom.0methods

TTeeZoom methods
TTeeZoom Legend key

Unit
TeeProcs

Derived from TZoomPanning
Activate
Check

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeZoom.0properties

TTeeZoom properties
TTeeZoom Legend key

Unit
TeeProcs

In TTeeZoom
Allow
Animated
AnimatedSteps
AxesHistory
Brush
Direction
History
KeepAspectRatio
KeyShift
MinimumPixels
MouseButton
Pen
UpLeftZooms

Derived from TZoomPanning
Active


TTeeZoom.Allow

TTeeZoom.Allow
TTeeZoom

property Allow: Boolean;

Unit
TeeProcs

Description
Default True

Enable disable mousedrag zoom.

Example
Chart1.Zoom.Allow:=False;

*This property supersedes the TCustomTeePanelExtended.AllowZoom property.


TTeeZoom.Animated

TTeeZoom.Animated
TTeeZoom

property Animated: Boolean;

Unit
TeeProcs

Description
Default False

The Animated property determines if Zoom will be performed directly or it will be displayed as an animated sequence of zooms. The AnimatedSteps property controls the number of zoom steps. Animated can be useful when there are a lot of points.

This boolean property controls if Zoom will be instantaneous or it will be dynamic.

When Animated is True, Zoom is performed by applying successive Zooms. The number of Zoom steps can be changed using the AnimatedSteps property.

*This property supersedes the TCustomTeePanelExtended.AnimatedZoom property.


TTeeZoom.AnimatedSteps

TTeeZoom.AnimatedSteps
TTeeZoom

property AnimatedSteps: Integer;

Unit
TeeProcs

Description
Default: 8

The AnimatedSteps property determines the number of steps of the animated zooming sequence. Big number of steps can delay zooming. The Animated property should be True.

Example
This code turns on the animated zoom feature:

Chart1.Zoom.Animated := True ;
Chart1.Zoom.AnimatedSteps := 4 ;


TTeeZoom.AxesHistory

TTeeZoom.AxesHistory
TTeeZoom

property AxesHistory: TZoomSnapshots;

Unit
TeeProcs


TTeeZoom.Brush

TTeeZoom.Brush
TTeeZoom

property Brush: TTeeZoomBrush;

Unit
TeeProcs

Description
Brush used to fill mousedragged zoom area.


TTeeZoom.Direction

TTeeZoom.Direction
TTeeZoom

property Direction: TTeeZoomDirection;

Unit
TeeProcs

Description
Default Both

Sets the direction to which a zoom will be applied when the mouse is dragged, optionally restricting the zoom to only one plane.

Options:
Horizontal,
Vertical,
Both


TTeeZoom.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TZoomPanning
|
TTeeZoom

Classes derived from TTeeZoom
(none)


TTeeZoom.History

TTeeZoom.History
TTeeZoom

property History: Boolean;

Unit
TeeProcs

Description
Creates an historical recording of Chart zoom-ins, so that zoom-out is in their reverse sequence.

Example:
Chart1.Zoom.History := True;


TTeeZoom.KeepAspectRatio

TTeeZoom.KeepAspectRatio
TTeeZoom

property KeepAspectRatio: Boolean;

Unit
TeeProcs


TTeeZoom.KeyShift

TTeeZoom.KeyShift
TTeeZoom

property KeyShift: TShiftState;

Unit
TeeProcs

Description
Default behaviour of Nousedrag zoom is for the zoom to actuate with left mousebutton depressed, draggung right and downwards to zoom and left and upwards to unzoom. Optionally you may set a keyboard button as an extra condition to initiate the zoom.

Example
Chart1.Zoom.KeyShift :=[ssShift];

..would zoom with mouse action as standard plus depresion of the shift key.


TTeeZoom.MinimumPixels

TTeeZoom.MinimumPixels
TTeeZoom

property MinimumPixels: Integer;

Unit
TeeProcs

Description
Sets the minimum number of onscreen pixels to traverse the mouse drag for the zoom action to actuate.


TTeeZoom.MouseButton

TTeeZoom.MouseButton
TTeeZoom

property MouseButton: TMouseButton;

Unit
TeeProcs

Description
Default mbLeft

Sets the mousebutton to use to enable the zoom action. Note that Scroll action uses the right (mbRight) mousebutton as default.

Example
Chart1.Zoom.MouseButton:=mbRight;


TTeeZoom.Pen

TTeeZoom.Pen
TTeeZoom

property Pen: TTeeZoomPen;

Unit
TeeProcs

Description
Pen used to draw surrounding rectangle of zoom area as mouse is dragged.


TTeeZoom.UpLeftZooms

TTeeZoom.UpLeftZooms
TTeeZoom

property UpLeftZooms: Boolean;

Unit
TeeProcs

Description
Gets or sets if the zoom object will apply "un-zoom" when the end user drags the mouse from bottom-right to up-left direction.

By default is True.

Setting to False means the end-user will not have any way to "undo" zoom using the mouse, so you'll need to provide another way to un-zoom.

When false, dragging a rectangle will always zoom, no matter in which direction has been dragged the rectangle.


TTeeZoomBrush.0events

TTeeZoomBrush events
TTeeZoomBrush Legend key

Unit
TeeProcs

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TTeeZoomBrush.0methods

TTeeZoomBrush methods
TTeeZoomBrush Legend key

Unit
TeeProcs

Derived from TChartBrush
Clear

Derived from TBrush
Assign
Create
Destroy
GetBitmap
GetColor
GetData
GetHandle
GetStyle
SetBitmap
SetColor
SetData
SetHandle
SetStyle

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeZoomBrush.0properties

TTeeZoomBrush properties
TTeeZoomBrush Legend key

Unit
TeeProcs

Derived from TChartBrush
BackColor
Gradient
Image

Derived from TBrush
Bitmap
Color
Handle
Style

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TTeeZoomBrush.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TBrush
|
TChartBrush
|
TTeeZoomBrush

Classes derived from TTeeZoomBrush
(none)


TTeeZoomPen.0events

TTeeZoomPen events
TTeeZoomPen Legend key

Unit
TeeProcs

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TTeeZoomPen.0methods

TTeeZoomPen methods
TTeeZoomPen Legend key

Unit
TeeProcs

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTeeZoomPen.0properties

TTeeZoomPen properties
TTeeZoomPen Legend key

Unit
TeeProcs

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TTeeZoomPen.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TTeeZoomPen

Classes derived from TTeeZoomPen
(none)


TTernarySeries.0events

TTernarySeries events
TTernarySeries Legend key

Unit
TeeTernary

In TTernarySeries
OnClickPointer
OnGetPointerStyle

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTernarySeries.0methods

TTernarySeries methods
TTernarySeries Legend key

Unit
TeeTernary

In TTernarySeries
AddBubbleXYZ
AddBubbleXYZWeight
CalcPointFromValues
CalcXPos
CalcYPos
Clicked
CountLegendItems
LegendString
NumSampleValues
UseAxis

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTernarySeries.0properties

TTernarySeries properties
TTernarySeries Legend key

Unit
TeeTernary

In TTernarySeries
AxisScale
Gradient
LinesPen
Pointer
RadiusValues
RotateLabels
TernaryLegendStyle
TernaryMarkStyle
TernaryStyle
VertexA
VertexB
VertexC
VertexTitles
WeightValues

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTernarySeries.AddBubbleXYZ

TTernarySeries.AddBubbleXYZ
TTernarySeries

function AddBubbleXYZ(Const AX, AY, AZ, ARadius: Double; AColor: TColor): Integer; overload;

Unit
TeeTernary

Description
Add Ternary point with location and radius parameters.


TTernarySeries.AddBubbleXYZWeight

TTernarySeries.AddBubbleXYZWeight
TTernarySeries

function AddBubbleXYZWeight(Const AX, AY, AZ, ARadius, AWeight: Double; AColor: TColor): Integer; overload;

Unit
TeeTernary

Description

Add Ternary point with location, radius and weight parameters.


TTernarySeries.AxisScale

TTernarySeries.AxisScale
TTernarySeries

property AxisScale: TTernaryAxisScale;

Unit
TeeTernary

Description

Set Axis scale for all three bounding Axes. Valid values are 1,2,5,10,20,25 and 50.


TTernarySeries.CalcPointFromValues

TTernarySeries.CalcPointFromValues
TTernarySeries

function CalcPointFromValues(Const a, b, c: Double): TPoint; overload;

Unit
TeeTernary


TTernarySeries.CalcXPos

TTernarySeries.CalcXPos
TTernarySeries

function CalcXPos(ValueIndex: Integer): Integer; override;

Unit
TeeTernary

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.


TTernarySeries.CalcYPos

TTernarySeries.CalcYPos
TTernarySeries

function CalcYPos(ValueIndex: Integer): Integer; override;

Unit
TeeTernary

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.


TTernarySeries.Clicked

TTernarySeries.Clicked
TTernarySeries

function Clicked(X, Y: Integer): Integer; override;

Unit
TeeTernary

Description

Returns Point index value when cliecked over a Ternary point otherwise returns -1.


TTernarySeries.CountLegendItems

TTernarySeries.CountLegendItems
TTernarySeries

function CountLegendItems: Integer; override;

Unit
TeeTernary

Description
Number of items in Legend


TTernarySeries.Gradient

TTernarySeries.Gradient
TTernarySeries

property Gradient: TTeeGradient;

Unit
TeeTernary

Description
The Gradient property specifies the colors used to fill a zone. The zone is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


TTernarySeries.Hierarchy

Unit
TeeTernary

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TTernarySeries

Classes derived from TTernarySeries
(none)


TTernarySeries.LegendString

TTernarySeries.LegendString
TTernarySeries

function LegendString(LegendIndex: Integer; LegendTextStyle: TLegendTextStyle): String; override;

Unit
TeeTernary

Description
Returns the formatted Legend string according to LegendTextStyle for the LegendIndex'th point.


TTernarySeries.LinesPen

TTernarySeries.LinesPen
TTernarySeries

property LinesPen: TChartPen;

Unit
TeeTernary

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points in the Ternary Chart.


TTernarySeries.NumSampleValues

TTernarySeries.NumSampleValues
TTernarySeries

function NumSampleValues: Integer; override;

Unit
TeeTernary

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TTernarySeries.OnClickPointer

TTernarySeries.OnClickPointer
TTernarySeries

property OnClickPointer: TSeriesClickPointer3DEvent;

Unit
TeeTernary

Description

Event sensitive to mouse over Ternary point location.


TTernarySeries.OnGetPointerStyle

TTernarySeries.OnGetPointerStyle
TTernarySeries

property OnGetPointerStyle: TOnGetPointerStyle;

Unit
TeeTernary

Description

Called before Pointer is plotted to permit modification of Pointer style.


TTernarySeries.Pointer

TTernarySeries.Pointer
TTernarySeries

property Pointer: TSeriesPointer;

Unit
TeeTernary

Description

Ternary Pointer characteristics


TTernarySeries.RadiusValues

TTernarySeries.RadiusValues
TTernarySeries

property RadiusValues: TChartValueList;

Unit
TeeTernary

Description

Ternary Pointer Radius Values when Ternary Style is Bubble.


TTernarySeries.RotateLabels

TTernarySeries.RotateLabels
TTernarySeries

property RotateLabels: Boolean;

Unit
TeeTernary

Description
Default is True.
When True, ternary text labels are rotated accordingly to their position in the ternary chart.
When False, labels aren't rotated and they are displayed all in the same alignment.


TTernarySeries.TernaryLegendStyle

TTernarySeries.TernaryLegendStyle
TTernarySeries

property TernaryLegendStyle: TTernaryLegendStyle;

Unit
TeeTernary

Description

Options for different Legend content when displayed with a Ternary Series.


TTernarySeries.TernaryMarkStyle

TTernarySeries.TernaryMarkStyle
TTernarySeries

property TernaryMarkStyle: TTernaryMarkStyle;

Unit
TeeTernary

Description
Determines the style of the Marks in the Ternary Chart
They can be tmsShort, tmsLong or tmsLongLabelled.


TTernarySeries.TernaryStyle

TTernarySeries.TernaryStyle
TTernarySeries

property TernaryStyle: TTernaryStyle;

Unit
TeeTernary

Description

Set the Ternary to display Points or Radius and weighting sensitive Bubbles.


TTernarySeries.UseAxis

TTernarySeries.UseAxis
TTernarySeries

function UseAxis: Boolean; override;

Unit
TeeTernary

Description
Default: False

Returns True if the Series uses and Axis. (eg. TPieSeries does not use an Axis and returns False).


TTernarySeries.VertexA

TTernarySeries.VertexA
TTernarySeries

property VertexA: TPoint;

Unit
TeeTernary

Description

Returns Location for A corner vertex.


TTernarySeries.VertexB

TTernarySeries.VertexB
TTernarySeries

property VertexB: TPoint;

Unit
TeeTernary

Description

Returns Location for B corner vertex.


TTernarySeries.VertexC

TTernarySeries.VertexC
TTernarySeries

property VertexC: TPoint;

Unit
TeeTernary

Description

Returns Location for C corner vertex.


TTernarySeries.VertexTitles

TTernarySeries.VertexTitles
TTernarySeries

property VertexTitles: TTernaryVertexTitles;

Unit
TeeTernary

Description

String collection for Vertex Titles.


TTernarySeries.WeightValues

TTernarySeries.WeightValues
TTernarySeries

property WeightValues: TChartValueList;

Unit
TeeTernary

Description

Weight values to be displayed as graded colours when UseRange is true for Ternary plot.


TText3DTool.0events

TText3DTool events
TText3DTool Legend key

Unit
TeeText3D

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TText3DTool.0methods

TText3DTool methods
TText3DTool Legend key

Unit
TeeText3D

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TText3DTool.0properties

TText3DTool properties
TText3DTool Legend key

Unit
TeeText3D

In TText3DTool
Angle
Font
Position
Rotation
Text

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TText3DTool.Angle

TText3DTool.Angle
TText3DTool

property Angle: Double;

Unit
TeeText3D

Description
Defines the Angle for the full text.


TText3DTool.Font

TText3DTool.Font
TText3DTool

property Font: TTeeFont;

Unit
TeeText3D

Description
Defines the font properties to draw text.


TText3DTool.Hierarchy

Unit
TeeText3D

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TText3DTool

Classes derived from TText3DTool
(none)


TText3DTool.Position

TText3DTool.Position
TText3DTool

property Position: TFloatXYZ;

Unit
TeeText3D

Description
Contains the X,Y and Z properties to define the Text 3D position.


TText3DTool.Rotation

TText3DTool.Rotation
TText3DTool

property Rotation: TFloatXYZ;

Unit
TeeText3D

Description
Contains the X (Rotation), Y (Elevation) and Z (Tilt) properties to define a rotation.


TText3DTool.Text

TText3DTool.Text
TText3DTool

property Text: String;

Unit
TeeText3D

Description
Gets or sets the Text to show in the Text 3D Tool.


TTextShape.0methods

TTextShape methods
TTextShape Legend key

Unit
TeeTools

In TTextShape
DrawText

Derived from TTeeCustomShape
Draw
DrawRectRotated

Derived from TTeeCustomShapeBrushPen
Hide
Repaint
Show

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTextShape.0properties

TTextShape properties
TTextShape Legend key

Unit
TeeTools

In TTextShape
AutoSize
ClipText
Cursor
Margins
Text
TextAlignment

Derived from TTeeCustomShapePosition
CustomPosition
Left
Top

Derived from TTeeCustomShape
Bevel
BevelWidth
Color
Emboss
Font
Gradient
Height
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeStyle
TextFormat
Transparent
Width

Derived from TTeeCustomShapeBrushPen
Brush
Frame
ParentChart
Pen
Visible


TTextShape.AutoSize

TTextShape.AutoSize
TTextShape

property AutoSize: Boolean;

Unit
TeeTools

Description
Default is True.
When True, the text shape rectangle Width and Height size values will be automatically calculated to fit the size of the current Text string contents, using the shape Font size and attributes.

When False, the shape Width and Height values defined by the developer will be used instead.

See also: ClipText, Text and TextAlignment properties.


TTextShape.ClipText

TTextShape.ClipText
TTextShape

property ClipText: Boolean;

Unit
TeeTools

Description
Default is True.
When True, and when the shape Width and Height size values are smaller than the size of the text to display, text will be limited inside the shape rectangle.
ie: Text outside the shape rectangle will not be displayed (it will be clipped), when ClipText is True.

See also: Text, TextAlignment and AutoSize properties.


TTextShape.Cursor

TTextShape.Cursor
TTextShape

property Cursor: TCursor;

Unit
TeeTools

Description
Determines the mouse Cursor displayed when the mouse is inside the shape rectangle.
By default it is: crDefault


TTextShape.DrawText

TTextShape.DrawText
TTextShape

procedure DrawText(Panel: TCustomAxisPanel; R: TRect; XOffset, NumLines, Z: Integer);

Unit
TeeTools

Description
Draws all text lines inside R rectangle, with optional horizontal XOffset in pixels.


TTextShape.Hierarchy

Unit
TeeTools

Hierarchy

TObject
|
TPersistent
|
TTeeCustomShapeBrushPen
|
TTeeCustomShape
|
TTeeCustomShapePosition
|
TTeeShapePosition
|
TTextShape

Classes derived from TTextShape
TNumericShape
TOrgShape


TTextShape.Margins

TTextShape.Margins
TTextShape

property Margins: TMargins;

Unit
TeeTools

Description
Contains properties that define the space between the shape rectangle and the text displayed inside it.
Margins can be expressed as percentage of total shape width and height, as percent of font size or as individual pixels.


TTextShape.Text

TTextShape.Text
TTextShape

property Text: String;

Unit
TeeTools

Description
Defines the text to display inside the shape.
Text might contain "line breaks" (the #13 character) to display multiple lines of text.

MyShape.Text := 'Hello' + #13 + 'World !' ;

The global constant TeeLineSeparator can also be used instead of "#13".

MyShape.Text := 'Hello' + TeeLineSeparator + 'World !' ;

See also: TextAlignment and AutoSize properties.


TTextShape.TextAlignment

TTextShape.TextAlignment
TTextShape

property TextAlignment: TAlignment;

Unit
TeeTools

Description
Defines how text will be displayed inside the shape rectangle.
By default it is taLeftJustify.

Text is aligned when the shape rectangle is bigger than the text size, or when the Text property contains multiple lines of text of different length.

See also: Text, AutoSize and ClipText properties.


TThemesList.0events

TThemesList events
TThemesList Legend key

Unit
TeeThemes

Derived from TList
Capacity
Count
Items
List


TThemesList.0methods

TThemesList methods
TThemesList Legend key

Unit
TeeThemes

Derived from TList
Add
Assign
Clear
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TThemesList.0properties

TThemesList properties
TThemesList Legend key

Unit
TeeThemes

In TThemesList
Theme

Derived from TList
Capacity
Count
Items
List


TThemesList.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TList
|
TThemesList

Classes derived from TThemesList
(none)


TThemesList.Theme

TThemesList.Theme
TThemesList

property Theme[Index: Integer]: TChartThemeClass;

Unit
TeeThemes

Description
Returns the TChartTheme class reference for the Index theme in the list.

Example:

Uses TeeThemes;
var t : TChartThemeClass;
tmp : TChartTheme;
t:=ChartThemes[2];
tmp:=t.Create(Chart1);
tmp.Apply;
tmp.Free;


TTileFilter.0events

TTileFilter events
TTileFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTileFilter.0methods

TTileFilter methods
TTileFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTileFilter.0properties

TTileFilter properties
TTileFilter Legend key

Unit
TeeFilters

In TTileFilter
NumCols
NumRows

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTileFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TTileFilter

Classes derived from TTileFilter
(none)


TTileFilter.NumCols

TTileFilter.NumCols
TTileFilter

property NumCols: Integer;

Unit
TeeFilters

Description
Sets the number of columns that must be used to generate de copies.


TTileFilter.NumRows

TTileFilter.NumRows
TTileFilter

property NumRows: Integer;

Unit
TeeFilters

Description
Sets the number of rows that must be used to generate de copies.


TTimerThread.0events

TTimerThread events
TTimerThread Legend key

Unit
TeeAnimate

Derived from TThread
FatalException
FreeOnTerminate
Handle
OnTerminate
Priority
ReturnValue
Suspended
Terminated
ThreadID


TTimerThread.0methods

TTimerThread methods
TTimerThread Legend key

Unit
TeeAnimate

Derived from TThread
AfterConstruction
CallOnTerminate
CheckThreadError
Create
Destroy
DoTerminate
Execute
GetPriority
Resume
SetPriority
SetSuspended
StaticSynchronize
Suspend
Synchronize
Terminate
WaitFor

Derived from TObject
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTimerThread.0properties

TTimerThread properties
TTimerThread Legend key

Unit
TeeAnimate

Derived from TThread
FatalException
FreeOnTerminate
Handle
OnTerminate
Priority
ReturnValue
Suspended
Terminated
ThreadID


TTimerThread.Hierarchy

Unit
TeeAnimate

Hierarchy

TObject
|
TThread
|
TTimerThread

Classes derived from TTimerThread
(none)


TTowerSeries.0events

TTowerSeries events
TTowerSeries Legend key

Unit
TeeSurfa

Derived from TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTowerSeries.0methods

TTowerSeries methods
TTowerSeries Legend key

Unit
TeeSurfa

In TTowerSeries
Clicked

Derived from TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTowerSeries.0properties

TTowerSeries properties
TTowerSeries Legend key

Unit
TeeSurfa

In TTowerSeries
Dark3D
Origin
PercentDepth
PercentWidth
TowerStyle
Transparency
UseOrigin

Derived from TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTowerSeries.Clicked

TTowerSeries.Clicked
TTowerSeries

function Clicked(X, Y: Integer): Integer; override;

Unit
TeeSurfa

Description
Returns the tower point index that contains the xy pixel coordinates.
Returns -1 if no point contains xy.


TTowerSeries.Dark3D

TTowerSeries.Dark3D
TTowerSeries

property Dark3D: Boolean;

Unit
TeeSurfa

Description
Default value: True

When True, draws right and top sides of cubes using a darker color.


TTowerSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries
|
TTowerSeries

Classes derived from TTowerSeries
(none)


TTowerSeries.Origin

TTowerSeries.Origin
TTowerSeries

property Origin: Double;

Unit
TeeSurfa

Description
The axis vertical position considered to be the "origin" of points.
Points with values below origin are considered "negatives".

By default, Origin is not used. Instead, the lowest Y value of the series is considered to be the origin.

See UseOrigin property to enable Origin.

Series1.UseOrigin := True ;
Series1.Origin := ( Series1.YValues.MinValue + Series1.YValues.MaxValue ) / 2 ;


TTowerSeries.PercentDepth

TTowerSeries.PercentDepth
TTowerSeries

property PercentDepth: Integer;

Unit
TeeSurfa

Description
The percentage of "Z" depth size for tower cubes.
Default is 100 (full depth).


TTowerSeries.PercentWidth

TTowerSeries.PercentWidth
TTowerSeries

property PercentWidth: Integer;

Unit
TeeSurfa

Description
The percentage of "X" width size for tower cubes.
Default is 100 (full width).


TTowerSeries.TowerStyle

TTowerSeries.TowerStyle
TTowerSeries

property TowerStyle: TTowerStyle;

Unit
TeeSurfa

Description
The kind of tower style to display.
Default value is : tsCube

Available styles:

tsCube
tsRectangle
tsCover
tsCylinder
tsArrow
tsCone
tsPyramid


TTowerSeries.Transparency

TTowerSeries.Transparency
TTowerSeries

property Transparency: TTeeTransparency;

Unit
TeeSurfa

Description
Default value: 0 (no transparency)

The percentage of semi-glass effect to display tower points.


TTowerSeries.UseOrigin

TTowerSeries.UseOrigin
TTowerSeries

property UseOrigin: Boolean;

Unit
TeeSurfa

Description
Default value: false

When true, the Origin property is used as the reference value where points are considered positive or negative.
When false, the lowest Y value of the series is the reference value (no points are negative).


TTranslatable.0events

TTranslatable events
TTranslatable Legend key

Unit
TeeProcs

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTranslatable.0methods

TTranslatable methods
TTranslatable Legend key

Unit
TeeProcs

Derived from TControl
ActionChange
AdjustSize
AssignTo
BeginAutoDrag
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
CanAutoSize
CanResize
Changed
ChangeScale
CheckNewSize
Click
ClientToParent
ClientToScreen
CMBiDiModeChanged
CMColorChanged
CMDesignHitTest
CMEnabledChanged
CMFloat
CMFontChanged
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentBiDiModeChanged
CMParentColorChanged
CMParentFontChanged
CMParentShowHintChanged
CMSysFontChanged
CMVisibleChanged
ConstrainedResize
Create
CreateFloatingDockSite
DblClick
DefaultDockImage
DefaultHandler
DefineProperties
DesignWndProc
Destroy
DoActionChange
DoCanAutoSize
DoCanResize
Dock
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDock
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetActionLinkClass
GetBoundsRect
GetClientHeight
GetClientOrigin
GetClientRect
GetClientWidth
GetControlsAlignment
GetDeviceContext
GetDockEdge
GetDragImages
GetEnabled
GetFloating
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
Hide
InitiateAction
Invalidate
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
Loaded
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
MouseWheelHandler
Notification
PaletteChanged
ParentToClient
Perform
PositionDockRect
ReadIsControl
ReadState
Refresh
Repaint
ReplaceDockedControl
RequestAlign
Resize
ScreenToClient
SendCancelMode
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBounds
SetBoundsRect
SetClientHeight
SetClientSize
SetClientWidth
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParent
SetParentBiDiMode
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetVisible
SetWidth
SetZOrder
SetZOrderPosition
Show
Update
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
VisibleChanging
WMCancelMode
WMContextMenu
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMNCLButtonDown
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WMWindowPosChanged
WndProc
WriteIsControl

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
QueryInterface
ReadLeft
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTranslatable.0properties

TTranslatable properties
TTranslatable Legend key

Unit
TeeProcs

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTranslatable.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TTranslatable

Classes derived from TTranslatable
(none)


TTransposeSeriesTool.0events

TTransposeSeriesTool events
TTransposeSeriesTool Legend key

Unit
TeeTransposeSeries

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTransposeSeriesTool.0methods

TTransposeSeriesTool methods
TTransposeSeriesTool Legend key

Unit
TeeTransposeSeries

In TTransposeSeriesTool
Description
LongDescription
Transpose

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTransposeSeriesTool.0properties

TTransposeSeriesTool properties
TTransposeSeriesTool Legend key

Unit
TeeTransposeSeries

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTransposeSeriesTool.Description

TTransposeSeriesTool.Description
TTransposeSeriesTool

function Description: String; override;

Unit
TeeTransposeSeries

Description
Returns "Transpose"


TTransposeSeriesTool.Hierarchy

Unit
TeeTransposeSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TTransposeSeriesTool

Classes derived from TTransposeSeriesTool
(none)


TTransposeSeriesTool.LongDescription

TTransposeSeriesTool.LongDescription
TTransposeSeriesTool

function LongDescription: String; override;

Unit
TeeTransposeSeries

Description
Returns a String with explanation of the TransposeSeries Tool.


TTransposeSeriesTool.Transpose

TTransposeSeriesTool.Transpose
TTransposeSeriesTool

procedure Transpose;

Unit
TeeTransposeSeries

Description
Performs series data transposition.
Rows are converted to columns and vice-versa.

That means if you have 3 series with 5 points each, after transposing the chart will show 5 series with 3 points each.


TTreeMapItem.0events

TTreeMapItem events
TTreeMapItem Legend key

Unit
TeeTreeMapSeries

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTreeMapItem.0methods

TTreeMapItem methods
TTreeMapItem Legend key

Unit
TeeTreeMapSeries

Derived from TOrgItem
AddBrother
AddChild
Level
Parent
RemoveFormat
Series

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTreeMapItem.0properties

TTreeMapItem properties
TTreeMapItem Legend key

Unit
TeeTreeMapSeries

In TTreeMapItem
Value

Derived from TOrgItem
Format
Height
Superior
Text
Width

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TTreeMapItem.Hierarchy

Unit
TeeTreeMapSeries

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TOrgItem
|
TTreeMapItem

Classes derived from TTreeMapItem
(none)


TTreeMapItem.Value

TTreeMapItem.Value
TTreeMapItem

property Value: TChartValue;

Unit
TeeTreeMapSeries

Description
Gets or Sets the Value for the Org. item.


TTreeMapSeries.0events

TTreeMapSeries events
TTreeMapSeries Legend key

Unit
TeeTreeMapSeries

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTreeMapSeries.0methods

TTreeMapSeries methods
TTreeMapSeries Legend key

Unit
TeeTreeMapSeries

In TTreeMapSeries
IsValidSourceOf

Derived from TCustomOrgSeries
CalcXPos
CalcYPos
Clicked
Delete
FirstChild
MaxLevels
SwapValueIndex
UseAxis

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTreeMapSeries.0properties

TTreeMapSeries properties
TTreeMapSeries Legend key

Unit
TeeTreeMapSeries

In TTreeMapSeries
ColorStyle
Item
MapStyle
Palette
PaletteSteps

Derived from TOrgSeries
LineStyle

Derived from TCustomOrgSeries
Bounds
Format
Items
Spacing

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTreeMapSeries.ColorStyle

TTreeMapSeries.ColorStyle
TTreeMapSeries

property ColorStyle: TTreeMapColorStyle;

Unit
TeeTreeMapSeries

Description
Default value:- csLevel

The ColorStyle property, when set to csLevel, paints the nesteed rectangles of the the same level with the same palette color. However when set to csValue those rectangles with a similar value will be painted the same color.


TTreeMapSeries.Hierarchy

Unit
TeeTreeMapSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomOrgSeries
|
TOrgSeries
|
TTreeMapSeries

Classes derived from TTreeMapSeries
(none)


TTreeMapSeries.IsValidSourceOf

TTreeMapSeries.IsValidSourceOf
TTreeMapSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
TeeTreeMapSeries

Description
Returns True if the Value series parameter is of the appropiate type to be a source for TTreeMapSeries data.


TTreeMapSeries.Item

TTreeMapSeries.Item
TTreeMapSeries

property Item[Index: Integer]: TTreeMapItem;

Unit
TeeTreeMapSeries

Description
Returns the TTreeMap item in the TTreeMapSeries collection at the given Index'th position.


TTreeMapSeries.MapStyle

TTreeMapSeries.MapStyle
TTreeMapSeries

property MapStyle: TTreeMapTiling;

Unit
TeeTreeMapSeries

Description
Defaut: tmSlice (Slice and Dice)

When setting the MapStyle property to tmSlice the nested rectangles appear in vertical groups, whereas when set to tmStrip the groups appear horizontally.


TTreeMapSeries.Palette

TTreeMapSeries.Palette
TTreeMapSeries

property Palette: TSeriesColorPalette;

Unit
TeeTreeMapSeries

Description
Accesses the properties used to paint the nested rectangles, such as the style of the color palette together with the number of steps between the start and end colors.


TTreeMapSeries.PaletteSteps

TTreeMapSeries.PaletteSteps
TTreeMapSeries

property PaletteSteps: Integer;

Unit
TeeTreeMapSeries

Description
The PaletteSteps property indicates the number of entries in the default color Palette. With more steps, the more different colors will be used to fill the TreeMap boxes. Setting this property forces the 3D Series (eg. TTreeMapSeries) to recreate the default color palette.


TTrendFunction.0events

TTrendFunction events
TTrendFunction Legend key

Unit
CurvFitt

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTrendFunction.0methods

TTrendFunction methods
TTrendFunction Legend key

Unit
CurvFitt

Derived from TCustomTrendFunction
CalculateTrend
Coefficient

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTrendFunction.0properties

TTrendFunction properties
TTrendFunction Legend key

Unit
CurvFitt

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTrendFunction.Hierarchy

Unit
CurvFitt

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TCustomTrendFunction
|
TTrendFunction

Classes derived from TTrendFunction
(none)


TTriangulator.0methods

TTriangulator methods
TTriangulator Legend key

Unit
TeeTriangulate

In TTriangulator
CreateTriangles

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TTriangulator.CreateTriangles

TTriangulator.CreateTriangles
TTriangulator

function CreateTriangles(NumPoints: Integer): Boolean;

Unit
TeeTriangulate

Description
Internal use only. Used to create the triangles for the TriSurface Series skin.


TTriangulator.Hierarchy

Unit
TeeTriangulate

Hierarchy

TObject
|
TTriangulator

Classes derived from TTriangulator
(none)


TTriSurfaceSeries.0events

TTriSurfaceSeries events
TTriSurfaceSeries Legend key

Unit
TeeTriSurface

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTriSurfaceSeries.0methods

TTriSurfaceSeries methods
TTriSurfaceSeries Legend key

Unit
TeeTriSurface

Derived from TCustomTriSurfaceSeries
Clicked
NumSampleValues
TrianglePoints

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TTriSurfaceSeries.0properties

TTriSurfaceSeries properties
TTriSurfaceSeries Legend key

Unit
TeeTriSurface

Derived from TCustomTriSurfaceSeries
Border
FastBrush
HideTriangles
Transparency

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TTriSurfaceSeries.Hierarchy

Unit
TeeTriSurface

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustomTriSurfaceSeries
|
TTriSurfaceSeries

Classes derived from TTriSurfaceSeries
(none)


TVarianceFunction.0events

TVarianceFunction events
TVarianceFunction Legend key

Unit
StatChar

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVarianceFunction.0methods

TVarianceFunction methods
TVarianceFunction Legend key

Unit
StatChar

Derived from TTeeFunction
AddPoints
BeginUpdate
Calculate
CalculateMany
CalculateManyByValue
EndUpdate
GetParentComponent
HasParent
ReCalculate

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVarianceFunction.0properties

TVarianceFunction properties
TVarianceFunction Legend key

Unit
StatChar

Derived from TTeeFunction
CalcByValue
IncludeNulls
ParentSeries
Period
PeriodAlign
PeriodStyle

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVarianceFunction.Hierarchy

Unit
StatChar

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TTeeFunction
|
TVarianceFunction

Classes derived from TVarianceFunction
(none)


TVector3DSeries.0events

TVector3DSeries events
TVector3DSeries Legend key

Unit
TeeSurfa

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVector3DSeries.0methods

TVector3DSeries methods
TVector3DSeries Legend key

Unit
TeeSurfa

In TVector3DSeries
AddVector
IsValidSourceOf
NumSampleValues

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVector3DSeries.0properties

TVector3DSeries properties
TVector3DSeries Legend key

Unit
TeeSurfa

In TVector3DSeries
ArrowHeight
ArrowWidth
EndArrow
EndXValues
EndYValues
EndZValues
StartArrow

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVector3DSeries.AddVector

TVector3DSeries.AddVector
TVector3DSeries

function AddVector(Const X0, Y0, z0, X1, Y1, z1: Double; Const ALabel: String; AColor: TColor): Integer; overload;

Unit
TeeSurfa

Description
Adds a new 3D vector line to series.
Label and Color are optional parameters.

Series1.AddVector( 10,20,30, 50,60,70 );


TVector3DSeries.ArrowHeight

TVector3DSeries.ArrowHeight
TVector3DSeries

property ArrowHeight: Integer;

Unit
TeeSurfa

Description
The amount in pixels of arrow height.


TVector3DSeries.ArrowWidth

TVector3DSeries.ArrowWidth
TVector3DSeries

property ArrowWidth: Integer;

Unit
TeeSurfa

Description
The amount in pixels of arrow width.


TVector3DSeries.EndArrow

TVector3DSeries.EndArrow
TVector3DSeries

property EndArrow: TChartPen;

Unit
TeeSurfa

Description
When Visible, this pen is used to display arrows at the ending coordinate of vector lines.


TVector3DSeries.EndXValues

TVector3DSeries.EndXValues
TVector3DSeries

property EndXValues: TChartValueList;

Unit
TeeSurfa

Description
List of values representing the ending X coordinates of vector lines.


TVector3DSeries.EndYValues

TVector3DSeries.EndYValues
TVector3DSeries

property EndYValues: TChartValueList;

Unit
TeeSurfa

Description
List of values representing the ending Y coordinates of vector lines.


TVector3DSeries.EndZValues

TVector3DSeries.EndZValues
TVector3DSeries

property EndZValues: TChartValueList;

Unit
TeeSurfa

Description
List of values representing the ending Z coordinates of vector lines.


TVector3DSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TVector3DSeries

Classes derived from TVector3DSeries
(none)


TVector3DSeries.IsValidSourceOf

TVector3DSeries.IsValidSourceOf
TVector3DSeries

function IsValidSourceOf(Value: TChartSeries): Boolean; override;

Unit
TeeSurfa

Description
Returns True when the "Value" series parameter is compatible with the Vector 3D series.


TVector3DSeries.NumSampleValues

TVector3DSeries.NumSampleValues
TVector3DSeries

function NumSampleValues: Integer; override;

Unit
TeeSurfa

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TVector3DSeries.StartArrow

TVector3DSeries.StartArrow
TVector3DSeries

property StartArrow: TChartHiddenPen;

Unit
TeeSurfa

Description
When Visible, this pen is used to display arrows at the starting coordinate of vector lines.


TVideoPlayerTool.0events

TVideoPlayerTool events
TVideoPlayerTool Legend key

Unit
TeeVideoPlayer

In TVideoPlayerTool
OnFrame

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVideoPlayerTool.0methods

TVideoPlayerTool methods
TVideoPlayerTool Legend key

Unit
TeeVideoPlayer

In TVideoPlayerTool
Pause
Play
Stop

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVideoPlayerTool.0properties

TVideoPlayerTool properties
TVideoPlayerTool Legend key

Unit
TeeVideoPlayer

In TVideoPlayerTool
Delay
EndFrame
FileName
Filters
Loop
Paused
Picture
Playing
Position
StartFrame

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVideoPlayerTool.Delay

TVideoPlayerTool.Delay
TVideoPlayerTool

property Delay: Integer;

Unit
TeeVideoPlayer

Description
Gets or sets the number of milliseconds to wait between each played video frame.


TVideoPlayerTool.EndFrame

TVideoPlayerTool.EndFrame
TVideoPlayerTool

property EndFrame: Integer;

Unit
TeeVideoPlayer

Description
Returns the index of the last frame in the video file.


TVideoPlayerTool.FileName

TVideoPlayerTool.FileName
TVideoPlayerTool

property FileName: String;

Unit
TeeVideoPlayer

Description
Gets or sets the name and path of the video file.


TVideoPlayerTool.Filters

TVideoPlayerTool.Filters
TVideoPlayerTool

property Filters: TFilterItems;

Unit
TeeVideoPlayer

Description
Collection of filters used to manipulate video frames before displaying them.


TVideoPlayerTool.Hierarchy

Unit
TeeVideoPlayer

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TVideoPlayerTool

Classes derived from TVideoPlayerTool
(none)


TVideoPlayerTool.Loop

TVideoPlayerTool.Loop
TVideoPlayerTool

property Loop: Boolean;

Unit
TeeVideoPlayer

Description
Default is False.

When True, the video plays all frames and continues again at the first frame, endlessly until the Stop or Pause methods are called.


TVideoPlayerTool.OnFrame

TVideoPlayerTool.OnFrame
TVideoPlayerTool

property OnFrame: TNotifyEvent;

Unit
TeeVideoPlayer

Description
Called just before the current video frame is going to be displayed.


TVideoPlayerTool.Pause

TVideoPlayerTool.Pause
TVideoPlayerTool

procedure Pause;

Unit
TeeVideoPlayer

Description
Stops playing video frames until the Play method is called again.


TVideoPlayerTool.Paused

TVideoPlayerTool.Paused
TVideoPlayerTool

property Paused: Boolean;

Unit
TeeVideoPlayer

Description
Returns True if the video is paused or stopped.


TVideoPlayerTool.Picture

TVideoPlayerTool.Picture
TVideoPlayerTool

property Picture: TPicture;

Unit
TeeVideoPlayer

Description
Gets the current video frame image.


TVideoPlayerTool.Play

TVideoPlayerTool.Play
TVideoPlayerTool

procedure Play;

Unit
TeeVideoPlayer

Description
Starts playing video frames until the video file ends or the Stop or Pause methods are called.


TVideoPlayerTool.Playing

TVideoPlayerTool.Playing
TVideoPlayerTool

property Playing: Boolean;

Unit
TeeVideoPlayer

Description
Returns True if the video is currently being played.


TVideoPlayerTool.Position

TVideoPlayerTool.Position
TVideoPlayerTool

property Position: Integer;

Unit
TeeVideoPlayer

Description
Returns the index of the current frame in the video that is being played.


TVideoPlayerTool.StartFrame

TVideoPlayerTool.StartFrame
TVideoPlayerTool

property StartFrame: Integer;

Unit
TeeVideoPlayer

Description
Returns the index of the first frame in the video.


TVideoPlayerTool.Stop

TVideoPlayerTool.Stop
TVideoPlayerTool

procedure Stop;

Unit
TeeVideoPlayer

Description
Ends playing video frames.


TVideoTool.0events

TVideoTool events
TVideoTool Legend key

Unit
TeeVideo

In TVideoTool
OnNewFrame
OnStart
OnStop

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVideoTool.0methods

TVideoTool methods
TVideoTool Legend key

Unit
TeeVideo

In TVideoTool
GetCompressors
ShowCompressorOptions
StartRecording
StopRecording

Derived from TTeeCustomTool
Description
LongDescription

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVideoTool.0properties

TVideoTool properties
TVideoTool Legend key

Unit
TeeVideo

In TVideoTool
Compression
CompressionQuality
FileName
FrameCount
FrameDuration
IsRecording

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVideoTool.Compression

TVideoTool.Compression
TVideoTool

property Compression: String;

Unit
TeeVideo

Description
Returns the name of the current selected video compression codec (if any).


TVideoTool.CompressionQuality

TVideoTool.CompressionQuality
TVideoTool

property CompressionQuality: Integer;

Unit
TeeVideo

Description
Gets or set the level of image quality that compression will try to achieve.


TVideoTool.FileName

TVideoTool.FileName
TVideoTool

property FileName: String;

Unit
TeeVideo

Description
Gets or sets the name and path of the file used to store the *.avi video file.


TVideoTool.FrameCount

TVideoTool.FrameCount
TVideoTool

property FrameCount: Integer;

Unit
TeeVideo

Description
Returns the number of saved frames in the avi video file.


TVideoTool.FrameDuration

TVideoTool.FrameDuration
TVideoTool

property FrameDuration: Integer;

Unit
TeeVideo

Description
Gets or sets the amount of milliseconds of delay between each frame when the video is played.


TVideoTool.GetCompressors

TVideoTool.GetCompressors
TVideoTool

procedure GetCompressors(Const List: TStrings);

Unit
TeeVideo

Description
Adds to List the list of machine-specific configured video compression codecs.


TVideoTool.Hierarchy

Unit
TeeVideo

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TTeeCustomTool
|
TVideoTool

Classes derived from TVideoTool
(none)


TVideoTool.IsRecording

TVideoTool.IsRecording
TVideoTool

property IsRecording: Boolean;

Unit
TeeVideo

Description
Returns True when the avi video file is currently being created.


TVideoTool.OnNewFrame

TVideoTool.OnNewFrame
TVideoTool

property OnNewFrame: TNotifyEvent;

Unit
TeeVideo

Description
This event is called after a new frame image has been saved into the avi video file during recording time.


TVideoTool.OnStart

TVideoTool.OnStart
TVideoTool

property OnStart: TNotifyEvent;

Unit
TeeVideo

Description
This event is called just before the TVideoTool is going to create the avi video file.


TVideoTool.OnStop

TVideoTool.OnStop
TVideoTool

property OnStop: TNotifyEvent;

Unit
TeeVideo

Description
This event is called just after the video file recording has been stopped.


TVideoTool.ShowCompressorOptions

TVideoTool.ShowCompressorOptions
TVideoTool

procedure ShowCompressorOptions(Parent: TWinControl);

Unit
TeeVideo

Description
Shows the video editor dialog that allows selecting and configuring a video compressor driver.


TVideoTool.StartRecording

TVideoTool.StartRecording
TVideoTool

procedure StartRecording(Const FileName: String);

Unit
TeeVideo

Description
Creates a new avi video file using the FileName property and starts writing frame images into it until the StopRecording method is called.


TVideoTool.StopRecording

TVideoTool.StopRecording
TVideoTool

procedure StopRecording;

Unit
TeeVideo

Description
Ends the creation of avi video and closes the file.


TView3DOptions.0events

TView3DOptions events
TView3DOptions Legend key

Unit
TeCanvas

In TView3DOptions
OnChangedZoom
OnScrolled


TView3DOptions.0methods

TView3DOptions methods
TView3DOptions Legend key

Unit
TeCanvas

In TView3DOptions
Repaint

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TView3DOptions.0properties

TView3DOptions properties
TView3DOptions Legend key

Unit
TeCanvas

In TView3DOptions
Elevation
ElevationFloat
FontZoom
HorizOffset
HorizOffsetFloat
OrthoAngle
Orthogonal
Parent
Perspective
Rotation
RotationFloat
Tilt
TiltFloat
VertOffset
VertOffsetFloat
ZOffset
Zoom
ZoomFloat
ZoomText


TView3DOptions.Elevation

TView3DOptions.Elevation
TView3DOptions

property Elevation: Integer;

Unit
TeCanvas

Description
Elevation describes front plane rotation by rotation degrees (0 - 360). Increasing the value positively will bring the top of the Chart towards the viewer and the bottom of the Chart away, moving around an horizontal axis at the central vertical point of the Chart.

*Important. Orthogonal should be set to False for Elevation to act on the Chart.


TView3DOptions.ElevationFloat

TView3DOptions.ElevationFloat
TView3DOptions

property ElevationFloat: Double;

Unit
TeCanvas

Description
ElevationFloat is an alias to Elevation property.
It allows specifying elevation degree values with more precision and decimals.

Elevation describes front plane rotation by rotation degrees (0 - 360). Increasing the value positively will bring the top of the Chart towards
the viewer and the bottom of the Chart away, moving around an horizontal axis at the central vertical point of the Chart.

*Important. Orthogonal should be set to False for Elevation to act on the Chart.


TView3DOptions.FontZoom

TView3DOptions.FontZoom
TView3DOptions

property FontZoom: Integer;

Unit
TeCanvas

Description
Default: 100 %

Determines the percentage to increase all font sizes.

For example, setting Chart1.View3DOptions.FontZoom := 200 will display all texts with double font size.


TView3DOptions.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TView3DOptions

Classes derived from TView3DOptions
(none)


TView3DOptions.HorizOffset

TView3DOptions.HorizOffset
TView3DOptions

property HorizOffset: Integer;

Unit
TeCanvas

Description
Default = 0

HorizOffset will move the Chart Rectangle horizontally across the Chart Panel. Positive values move the Chart to the right, negative values to the left.


TView3DOptions.HorizOffsetFloat

TView3DOptions.HorizOffsetFloat
TView3DOptions

property HorizOffsetFloat: Double;

Unit
TeCanvas

Description
\ltrpar\sa\sl\slmultDefault = 0.0
HorizOffsetFloat will move the Chart Rectangle horizontally across the Chart Panel. Positive values move the Chart to the right, negative values to the left. Value is taken as float.
\ltrpar


TView3DOptions.OnChangedZoom

TView3DOptions.OnChangedZoom
TView3DOptions

property OnChangedZoom: TTeeView3DChangedZoom;

Unit
TeCanvas

Description
This event is called before the overall Chart Zoom (property View3DOptions.Zoom) actuates on the Chart.


TView3DOptions.OnScrolled

TView3DOptions.OnScrolled
TView3DOptions

property OnScrolled: TTeeView3DScrolled;

Unit
TeCanvas

Description
This event is called after the overall Chart Horizontal or Vertical displacements (property View3DOptions.VertOffset / HorizOffset) actuate on the Chart.


TView3DOptions.OrthoAngle

TView3DOptions.OrthoAngle
TView3DOptions

property OrthoAngle: Integer;

Unit
TeCanvas

Description
Defines the angle (in degrees from 0 to 90) to use when the Chart is displayed in Orthogonal mode.

See also:

Orthogonal property.


TView3DOptions.Orthogonal

TView3DOptions.Orthogonal
TView3DOptions

property Orthogonal: Boolean;

Unit
TeCanvas

Description
The TView3dOptions component controls access to overall Chart Zoom and position.


TView3DOptions.Parent

TView3DOptions.Parent
TView3DOptions

property Parent: TWinControl;

Unit
TeCanvas

Description
Pointer to the Chart parent.


TView3DOptions.Perspective

TView3DOptions.Perspective
TView3DOptions

property Perspective: Integer;

Unit
TeCanvas

Description
Perspective sets the view of the Chart (when orthogonal = False) with perspective effect (dimensional appearance with respect to distance from the viewer).

Values are integer from 0 -> 100%

When set to 0 perspective id disabled.

*Important. Orthogonal should be set to False for Perspective to act on the Chart.


TView3DOptions.Repaint

TView3DOptions.Repaint
TView3DOptions

procedure Repaint;

Unit
TeCanvas

Description
Forces a Repaint of the Chart.


TView3DOptions.Rotation

TView3DOptions.Rotation
TView3DOptions

property Rotation: Integer;

Unit
TeCanvas

Description
Rotation describes front plane rotation by rotation degrees (0 - 360). Increasing the value positively will bring the right of the Chart towards the viewer and the left of the Chart away, moving around a vertical axis at the central horizontal point of the Chart.

*Important. Orthogonal should be set to False for Rotation to act on the Chart.

Example

Chart1.View3DOptions.Zoom := 80 ; { % }
Chart1.View3DOptions.Rotation:= 330 ; { degree }
Chart1.View3DOptions.Elevation:= 330 ; { degree }
Chart1.View3DOptions.Orthogonal:=False;

Chart1.View3D:=True;
Chart1.View3DWalls:=True;
Chart1.Chart3DPercent:=75; { % depth}


TView3DOptions.RotationFloat

TView3DOptions.RotationFloat
TView3DOptions

property RotationFloat: Double;

Unit
TeCanvas

Description
RotationFloat is an alias to Rotation property.
It allows specifying rotation degrees with more precision and decimals.

Rotation describes front plane rotation by rotation degrees (0 - 360). Increasing the value positively will bring the right of the Chart towards the viewer and the left of the Chart away, moving around a vertical axis at the central horizontal point of the Chart.

*Important. Orthogonal should be set to False for Rotation to act on the Chart.


TView3DOptions.Tilt

TView3DOptions.Tilt
TView3DOptions

property Tilt: Integer;

Unit
TeCanvas

Description
Default = 0

Tilt will rotate the Chart Rectangle within the Chart Panel. Positive values (from 0 to 360º) rotate the Chart anti-clockwise, negative values, clockwise.

*Important. Orthogonal should be set to False for Rotation to act on the Chart.


TView3DOptions.TiltFloat

TView3DOptions.TiltFloat
TView3DOptions

property TiltFloat: Double;

Unit
TeCanvas


TView3DOptions.VertOffset

TView3DOptions.VertOffset
TView3DOptions

property VertOffset: Integer;

Unit
TeCanvas

Description
Default = 0

VertOffset will move the Chart Rectangle vertically across the Chart Panel. Positive values move the Chart downwards, negative values upwards.


TView3DOptions.VertOffsetFloat

TView3DOptions.VertOffsetFloat
TView3DOptions

property VertOffsetFloat: Double;

Unit
TeCanvas

Description
\ltrpar\sa\sl\slmultDefault = 0.0
VertOffset will move the Chart Rectangle vertically across the Chart Panel. Positive values move the Chart downwards, negative values upwards. Value is taken as float.
\ltrpar


TView3DOptions.ZOffset

TView3DOptions.ZOffset
TView3DOptions

property ZOffset: Double;

Unit
TeCanvas


TView3DOptions.Zoom

TView3DOptions.Zoom
TView3DOptions

property Zoom: Integer;

Unit
TeCanvas

Description
Default = 100%

View3DOptions' Zoom will zoom the whole Chart. Expressed as a percentage, Increasing the value positively will bring the Chart towards the viewer, increasing the overall Chart size as the Zoom value increases. The Chart may be enlarged to a size greater than the Chart panel thus bringing the axes outside of the viewable area. View3DOptions' Zoom does not affect the use of Zoom. functionality either by code or mouse action, which may be used to zoom on Chart Series within the axes' boundaries.

Negative values of Zoom will diminish the overall Chartsize until, at values less than 0 the Chart will re-increase in size.


TView3DOptions.ZoomFloat

TView3DOptions.ZoomFloat
TView3DOptions

property ZoomFloat: Double;

Unit
TeCanvas

Description
ZoomFloat is an alias to Zoom property.
It allows specifying zoom with more precision and decimals.

Chart1.View3DOptions.ZoomFloat := 88.24;


TView3DOptions.ZoomText

TView3DOptions.ZoomText
TView3DOptions

property ZoomText: TCanvasZoomText;

Unit
TeCanvas

Description
Default = True

ZoomText enables/disables the zooming of text when using the TView3DOptions.Zoom property.


TVisualBlock.0events

TVisualBlock events
TVisualBlock Legend key

Unit
TeCanvas

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVisualBlock.0methods

TVisualBlock methods
TVisualBlock Legend key

Unit
TeCanvas

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVisualBlock.0properties

TVisualBlock properties
TVisualBlock Legend key

Unit
TeCanvas

In TVisualBlock
Location
Size

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVisualBlock.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TVisualBlock

Classes derived from TVisualBlock
(none)


TVisualBlock.Location

TVisualBlock.Location
TVisualBlock

property Location: TPointXYZFloat;

Unit
TeCanvas


TVisualBlock.Size

TVisualBlock.Size
TVisualBlock

property Size: TPointXYZFloat;

Unit
TeCanvas


TVisualEditor.0events

TVisualEditor events
TVisualEditor Legend key

Unit
TeCanvas

In TVisualEditor
OnDirty

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVisualEditor.0methods

TVisualEditor methods
TVisualEditor Legend key

Unit
TeCanvas

In TVisualEditor
MarkDirty
RefreshBlock

Derived from TForm
ArrangeIcons
Cascade
Next
Previous
Tile

Derived from TCustomForm
Activate
ActiveChanged
AfterConstruction
AlignControls
BeforeDestruction
BeginAutoDrag
ChangeScale
ClientWndProc
Close
CloseModal
CloseQuery
CMActionExecute
CMActionUpdate
CMActivate
CMAppSysCommand
CMBiDiModeChanged
CMColorChanged
CMCtl3DChanged
CMDeactivate
CMDialogKey
CMFontChanged
CMIconChanged
CMIsShortCut
CMMenuChanged
CMParentBiDiModeChanged
CMParentFontChanged
CMRelease
CMShowingChanged
CMTextChanged
CMUIActivate
Create
CreateNew
CreateParams
CreateWindowHandle
CreateWnd
Deactivate
DefaultHandler
DefineProperties
DefocusControl
Destroy
DestroyWindowHandle
Dock
DoClose
DoCreate
DoDestroy
DoDock
DoHide
DoShow
FocusControl
GetActiveMDIChild
GetCanvas
GetChildren
GetClientRect
GetFloating
GetFormImage
GetIconHandle
GetMDIChildCount
GetMDIChildren
GetMonitor
GetPixelsPerInch
GetScaled
GetTextHeight
HandleCreateException
Hide
IconChanged
InitAlphaBlending
IsAutoScrollStored
IsClientSizeStored
IsForm
IsFormSizeStored
IsIconStored
IsShortCut
Loaded
MakeFullyVisible
MergeMenu
MouseWheelHandler
NormalColor
Notification
Paint
PaintWindow
PaletteChanged
Print
QueryInterface
ReadIgnoreFontProperty
ReadState
ReadTextHeight
RefreshMDIMenu
Release
RequestAlign
Resizing
SendCancelMode
SetActive
SetActiveControl
SetAlphaBlend
SetAlphaBlendValue
SetBorderIcons
SetBorderStyle
SetChildOrder
SetClientHeight
SetClientWidth
SetDesigner
SetFocus
SetFocusedControl
SetFormStyle
SetIcon
SetLayeredAttribs
SetMenu
SetObjectMenuItem
SetParent
SetParentBiDiMode
SetPixelsPerInch
SetPosition
SetScaled
SetTransparentColor
SetTransparentColorValue
SetVisible
SetWindowFocus
SetWindowMenu
SetWindowState
SetWindowToMonitor
Show
ShowModal
UpdateActions
UpdateWindowState
ValidateRename
VisibleChanging
WantChildKey
WMActivate
WMClose
WMCommand
WMDestroy
WMEnterMenuLoop
WMEraseBkgnd
WMGetMinMaxInfo
WMHelp
WMIconEraseBkgnd
WMInitMenuPopup
WMMDIActivate
WMMenuChar
WMMenuSelect
WMNCCreate
WMNCLButtonDown
WMNextDlgCtl
WMPaint
WMQueryDragIcon
WMQueryEndSession
WMSettingChange
WMShowWindow
WMSysCommand
WMWindowPosChanging
WndProc
WritePixelsPerInch
WriteTextHeight

Derived from TScrollingWinControl
AdjustClientRect
AutoScrollEnabled
AutoScrollInView
CalcAutoRange
DisableAutoRange
DoFlipChildren
EnableAutoRange
ScaleScrollBars
ScrollInView
SetAutoScroll
SetHorzScrollBar
SetVertScrollBar
UpdateScrollBars
WMHScroll
WMSize
WMVScroll

Derived from TWinControl
ActionChange
AddBiDiModeExStyle
AdjustSize
AlignControl
AssignTo
Broadcast
CalcConstraints
CanAutoSize
CanFocus
CanResize
CMBorderChanged
CMChanged
CMChildKey
CMControlListChange
CMCursorChanged
CMDesignHitTest
CMDialogChar
CMDockClient
CMDrag
CMEnabledChanged
CMEnter
CMExit
CMFloat
CMFocusChanged
CMFontChange
CMInvalidate
CMParentCtl3DChanged
CMRecreateWnd
CMShowHintChanged
CMSysColorChange
CMSysFontChanged
CMTimeChange
CMUnDockClient
CMVisibleChanged
CMWinIniChange
CNChar
CNKeyDown
CNKeyUp
CNSysChar
CNSysKeyDown
ConstrainedResize
ContainsControl
ControlAtPos
ControlsAligned
CreateDockManager
CreateHandle
CreateParented
CreateParentedControl
CreateSubClass
CustomAlignInsertBefore
CustomAlignPosition
DestroyHandle
DestroyWnd
DisableAlign
DoAddDockClient
DockDrop
DockOver
DoDockOver
DoEnter
DoExit
DoKeyDown
DoKeyPress
DoKeyUp
DoRemoveDockClient
DoUnDock
EnableAlign
FindChildControl
FindNextControl
FixupTabList
FlipChildren
Focused
GetActionLinkClass
GetAlignDisabled
GetClientOrigin
GetControl
GetControlCount
GetControlExtents
GetDeviceContext
GetDockClientCount
GetDockClients
GetHandle
GetParentBackground
GetParentHandle
GetSiteInfo
GetTabOrder
GetTabOrderList
GetTopParentHandle
GetVisibleDockClientCount
HandleAllocated
HandleNeeded
Insert
InsertControl
Invalidate
InvalidateFrame
InvokeHelp
IsControlMouseMsg
IsCtl3DStored
IsMenuKey
KeyDown
KeyPress
KeyUp
MainWndProc
NotifyControls
PaintControls
PaintHandler
PaintTo
PrecedingWindow
ReadDesignSize
Realign
RecreateWnd
ReloadDockedControl
Remove
RemoveControl
RemoveFocus
Repaint
ResetIme
ResetImeComposition
ScaleBy
ScaleControls
ScrollBy
SelectFirst
SelectNext
SetBevelCut
SetBevelEdges
SetBevelKind
SetBevelWidth
SetBorderWidth
SetBounds
SetCtl3D
SetDockSite
SetIme
SetImeCompositionWindow
SetParentBackground
SetParentCtl3D
SetParentWindow
SetTabOrder
SetTabStop
SetUseDockManager
SetZOrder
SetZOrderPosition
ShowControl
Update
UpdateBounds
UpdateControlState
UpdateShowing
UpdateTabOrder
UpdateUIState
WMChar
WMCharToItem
WMCompareItem
WMContextMenu
WMDeleteItem
WMDrawItem
WMFontChange
WMIMEEndComp
WMIMEStartComp
WMKeyDown
WMKeyUp
WMKillFocus
WMMeasureItem
WMMove
WMNCCalcSize
WMNCDestroy
WMNCHitTest
WMNCPaint
WMNotify
WMPaletteChanged
WMParentNotify
WMPrintClient
WMQueryNewPalette
WMSetCursor
WMSetFocus
WMSysColorChange
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMVKeyToItem
WMWindowPosChanged
WMWinIniChange
WriteDesignSize

Derived from TControl
BeginDrag
BringToFront
CalcCursorPos
CalcDockSizes
Changed
CheckNewSize
Click
ClientToParent
ClientToScreen
CMHintShow
CMHitTest
CMMouseEnter
CMMouseLeave
CMMouseWheel
CMParentColorChanged
CMParentShowHintChanged
CreateFloatingDockSite
DblClick
DefaultDockImage
DesignWndProc
DoActionChange
DoCanAutoSize
DoCanResize
DockTrackNoTarget
DoConstrainedResize
DoConstraintsChange
DoContextPopup
DoDragMsg
DoEndDock
DoEndDrag
DoMouseDown
DoMouseUp
DoMouseWheel
DoMouseWheelDown
DoMouseWheelUp
DoStartDock
DoStartDrag
DragCanceled
DragDrop
Dragging
DragOver
DrawDragDockImage
DrawTextBiDiModeFlags
DrawTextBiDiModeFlagsReadingOnly
EndDrag
EraseDragDockImage
FontChanged
GetAction
GetBoundsRect
GetClientHeight
GetClientWidth
GetControlsAlignment
GetDockEdge
GetDragImages
GetEnabled
GetFloatingDockSiteClass
GetLRDockWidth
GetMouseCapture
GetPalette
GetParentComponent
GetPopupMenu
GetTBDockHeight
GetText
GetTextBuf
GetTextLen
GetUndockHeight
GetUndockWidth
HasParent
InitiateAction
InvalidateControl
IsAnchorsStored
IsBiDiModeStored
IsCaptionStored
IsColorStored
IsEnabledStored
IsFontStored
IsHelpContextStored
IsHintStored
IsOnClickStored
IsRightToLeft
IsShowHintStored
IsVisibleStored
ManualDock
ManualFloat
MouseDown
MouseMove
MouseUp
ParentToClient
Perform
PositionDockRect
ReadIsControl
Refresh
ReplaceDockedControl
Resize
ScreenToClient
SendDockNotification
SendToBack
SetAction
SetAlign
SetAnchors
SetAutoSize
SetBiDiMode
SetBoundsRect
SetClientSize
SetColor
SetConstraints
SetCursor
SetDesktopFont
SetDragMode
SetEnabled
SetFont
SetHeight
SetHelpContext
SetHelpKeyword
SetHostDockSite
SetLeft
SetMouseCapture
SetName
SetParentColor
SetParentComponent
SetParentFont
SetParentShowHint
SetPopupMenu
SetShowHint
SetText
SetTextBuf
SetTop
SetWidth
UpdateAnchorRules
UpdateBoundsRect
UseRightToLeftAlignment
UseRightToLeftReading
UseRightToLeftScrollBar
WMCancelMode
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMouseMove
WMMouseWheel
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WriteIsControl

Derived from TComponent
_AddRef
_Release
ChangeName
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetTypeInfo
GetTypeInfoCount
IInterfaceComponentReferenceGetComponent
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
PaletteCreated
ReadLeft
ReadTop
ReferenceInterface
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
WriteLeft
WriteState
WriteTop

Derived from TPersistent
Assign
AssignError

Derived from TObject
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVisualEditor.0properties

TVisualEditor properties
TVisualEditor Legend key

Unit
TeCanvas

Derived from TCustomForm
Active
ActiveControl
ActiveMDIChild
ActiveOleControl
AlphaBlend
AlphaBlendValue
BorderIcons
BorderStyle
Canvas
ClientHandle
DefaultMonitor
Designer
DropTarget
FormState
FormStyle
HelpFile
Icon
KeyPreview
MDIChildCount
MDIChildren
Menu
ModalResult
Monitor
ObjectMenuItem
OldCreateOrder
OleFormObject
OnActivate
OnClose
OnCloseQuery
OnCreate
OnDeactivate
OnDestroy
OnHelp
OnHide
OnPaint
OnShortCut
OnShow
PixelsPerInch
Position
PrintScale
Scaled
ScreenSnap
SnapBuffer
TileMode
TransparentColor
TransparentColorValue
WindowMenu
WindowState

Derived from TScrollingWinControl
AutoScroll
HorzScrollBar
VertScrollBar

Derived from TWinControl
AlignDisabled
BevelEdges
BevelInner
BevelKind
BevelOuter
BevelWidth
BorderWidth
Brush
ControlCount
Controls
Ctl3D
DefWndProc
DockClientCount
DockClients
DockManager
DockSite
DoubleBuffered
Handle
ImeMode
ImeName
OnDockDrop
OnDockOver
OnEnter
OnExit
OnGetSiteInfo
OnKeyDown
OnKeyPress
OnKeyUp
OnUnDock
ParentBackground
ParentCtl3D
ParentWindow
Showing
TabOrder
TabStop
UseDockManager
VisibleDockClientCount
WindowHandle

Derived from TControl
Action
ActionLink
Align
Anchors
AutoSize
BiDiMode
BoundsRect
Caption
ClientHeight
ClientOrigin
ClientRect
ClientWidth
Color
Constraints
ControlState
ControlStyle
Cursor
DesktopFont
DockOrientation
DragCursor
DragKind
DragMode
Enabled
Floating
FloatingDockSiteClass
Font
Height
HelpContext
HelpKeyword
HelpType
Hint
HostDockSite
IsControl
Left
LRDockWidth
MouseCapture
OnCanResize
OnClick
OnConstrainedResize
OnContextPopup
OnDblClick
OnDragDrop
OnDragOver
OnEndDock
OnEndDrag
OnMouseDown
OnMouseMove
OnMouseUp
OnMouseWheel
OnMouseWheelDown
OnMouseWheelUp
OnResize
OnStartDock
OnStartDrag
Parent
ParentBiDiMode
ParentColor
ParentFont
ParentShowHint
PopupMenu
ScalingFlags
ShowHint
TBDockHeight
Text
Top
UndockHeight
UndockWidth
Visible
WheelAccumulator
Width
WindowProc
WindowText

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVisualEditor.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TControl
|
TWinControl
|
TScrollingWinControl
|
TCustomForm
|
TForm
|
TVisualEditor

Classes derived from TVisualEditor
(none)


TVisualEditor.MarkDirty

TVisualEditor.MarkDirty
TVisualEditor

procedure MarkDirty;

Unit
TeCanvas


TVisualEditor.OnDirty

TVisualEditor.OnDirty
TVisualEditor

property OnDirty: TNotifyEvent;

Unit
TeCanvas


TVisualEditor.RefreshBlock

TVisualEditor.RefreshBlock
TVisualEditor

procedure RefreshBlock(AVisual: TVisualBlock); virtual;

Unit
TeCanvas


TVisualsList.0events

TVisualsList events
TVisualsList Legend key

Unit
TeEngine

Derived from TList
Capacity
Count
Items
List


TVisualsList.0methods

TVisualsList methods
TVisualsList Legend key

Unit
TeEngine

In TVisualsList
Clear
Edit

Derived from TList
Add
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TVisualsList.0properties

TVisualsList properties
TVisualsList Legend key

Unit
TeEngine

In TVisualsList
Series
Template
Visuals

Derived from TList
Capacity
Count
Items
List


TVisualsList.Clear

TVisualsList.Clear
TVisualsList

procedure Clear; override;

Unit
TeEngine

Description
Removes all visual objects from list.


TVisualsList.Edit

TVisualsList.Edit
TVisualsList

procedure Edit(Index: Integer); virtual;

Unit
TeEngine


TVisualsList.Hierarchy

Unit
TeEngine

Hierarchy

TObject
|
TList
|
TVisualsList

Classes derived from TVisualsList
(none)


TVisualsList.Series

TVisualsList.Series
TVisualsList

property Series: TChartSeries;

Unit
TeEngine


TVisualsList.Template

TVisualsList.Template
TVisualsList

property Template: TVisualBlock;

Unit
TeEngine


TVisualsList.Visuals

TVisualsList.Visuals
TVisualsList

property Visuals[Index: Integer]: TVisualBlock;

Unit
TeEngine


TVMLCanvas.0methods

TVMLCanvas methods
TVMLCanvas Legend key

Unit
TeeVMLCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TVMLCanvas.0properties

TVMLCanvas properties
TVMLCanvas Legend key

Unit
TeeVMLCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TVMLCanvas.Hierarchy

Unit
TeeVMLCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TVMLCanvas

Classes derived from TVMLCanvas
(none)


TVMLExportFormat.0methods

TVMLExportFormat methods
TVMLExportFormat Legend key

Unit
TeeVMLCanvas

In TVMLExportFormat
Description
FileExtension
FileFilter
Options
VML

Derived from TTeeExportFormat
CopyToClipboard
GraphicClass
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TVMLExportFormat.Description

TVMLExportFormat.Description
TVMLExportFormat

function Description: String; override;

Unit
TeeVMLCanvas

Description
Returns the text used at the Chart Export dialog ( 'VML' )


TVMLExportFormat.FileExtension

TVMLExportFormat.FileExtension
TVMLExportFormat

function FileExtension: String; override;

Unit
TeeVMLCanvas

Description
Returns the file extension used by the VML canvas ('htm')


TVMLExportFormat.FileFilter

TVMLExportFormat.FileFilter
TVMLExportFormat

function FileFilter: String; override;

Unit
TeeVMLCanvas

Description
Internally used by the Chart Export dialog when showing the Save dialog.


TVMLExportFormat.Hierarchy

Unit
TeeVMLCanvas

Hierarchy

TObject
|
TTeeExportFormat
|
TVMLExportFormat

Classes derived from TVMLExportFormat
(none)


TVMLExportFormat.Options

TVMLExportFormat.Options
TVMLExportFormat

function Options(Check: Boolean): TForm; override;

Unit
TeeVMLCanvas

Description
Returns a form to edit the options associated to the TVMLExportFormat class.


TVMLExportFormat.VML

TVMLExportFormat.VML
TVMLExportFormat

function VML: TStringList;

Unit
TeeVMLCanvas

Description
Returns a String list containing all the VML instructions generated when drawing the Panel (Chart) property.


TVolumePipeSeries.0events

TVolumePipeSeries events
TVolumePipeSeries Legend key

Unit
TeeVolumePipe

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVolumePipeSeries.0methods

TVolumePipeSeries methods
TVolumePipeSeries Legend key

Unit
TeeVolumePipe

In TVolumePipeSeries
NumSampleValues

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
Clicked
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVolumePipeSeries.0properties

TVolumePipeSeries properties
TVolumePipeSeries Legend key

Unit
TeeVolumePipe

In TVolumePipeSeries
ConePercent
Gradient
LinesPen

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVolumePipeSeries.ConePercent

TVolumePipeSeries.ConePercent
TVolumePipeSeries

property ConePercent: Integer;

Unit
TeeVolumePipe

Description
Gets or sets the percentage from 0 to 100 of truncated cone visual effect.


TVolumePipeSeries.Gradient

TVolumePipeSeries.Gradient
TVolumePipeSeries

property Gradient: TTeeGradient;

Unit
TeeVolumePipe

Description
Determines the kind of interior gradient effect for the VolumePipe.


TVolumePipeSeries.Hierarchy

Unit
TeeVolumePipe

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TVolumePipeSeries

Classes derived from TVolumePipeSeries
(none)


TVolumePipeSeries.LinesPen

TVolumePipeSeries.LinesPen
TVolumePipeSeries

property LinesPen: TChartPen;

Unit
TeeVolumePipe

Description
\sb\saDetermines what kind of pen will be used to draw the VolumePipe lines.


TVolumePipeSeries.NumSampleValues

TVolumePipeSeries.NumSampleValues
TVolumePipeSeries

function NumSampleValues: Integer; override;

Unit
TeeVolumePipe

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TVolumeSeries.0events

TVolumeSeries events
TVolumeSeries Legend key

Unit
CandleCh

Derived from TCustomSeries
OnClickPointer
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVolumeSeries.0methods

TVolumeSeries methods
TVolumeSeries Legend key

Unit
CandleCh

In TVolumeSeries
NumSampleValues

Derived from TCustomSeries
CalcFirstLastVisibleIndex
CalcXPos
CalcYPos
Clear
Clicked
GetOriginPos

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendItemColor
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TVolumeSeries.0properties

TVolumeSeries properties
TVolumeSeries Legend key

Unit
CandleCh

In TVolumeSeries
UseYOrigin
VolumeValues
YOrigin

Derived from TCustomSeries
AreaBrush
AreaChartBrush
AreaColor
AreaLinesPen
ClickableLine
ColorEachLine
Dark3D
DrawArea
Emboss
InvertedStairs
LineBrush
LineHeight
OutLine
Pointer
Shadow
Smoothed
Stairs

Derived from TCustomLineSeries
LinePen
TreatNulls

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TVolumeSeries.Hierarchy

Unit
CandleCh

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustomLineSeries
|
TCustomSeries
|
TVolumeSeries

Classes derived from TVolumeSeries
(none)


TVolumeSeries.NumSampleValues

TVolumeSeries.NumSampleValues
TVolumeSeries

function NumSampleValues: Integer; override;

Unit
CandleCh

Description
Each Series draws random values at design mode unless you manually or programatically add points to it, or connect the Series component to other Series component or to a DataSet (Table,SQL,TClientDataset) component.

This virtual function returns the predefined number of random values each Series draws.

It is simply a cosmetic parameter, as every different Series requires a different number of random points to show an efective representation of the Series.


TVolumeSeries.UseYOrigin

TVolumeSeries.UseYOrigin
TVolumeSeries

property UseYOrigin: Boolean;

Unit
CandleCh

Description
The UseYOrigin property, when True, will use the YOrigin value as the starting point for all the volume bar points.


TVolumeSeries.VolumeValues

TVolumeSeries.VolumeValues
TVolumeSeries

property VolumeValues: TChartValueList;

Unit
CandleCh

Description
The VolumeValues property is used to store all Stock Volume quantities in TVolumeSeries.

It's equivalent to YValues property.

You can access VolumeValues in the same way you can access XValues or YValues properties.


TVolumeSeries.YOrigin

TVolumeSeries.YOrigin
TVolumeSeries

property YOrigin: Double;

Unit
CandleCh

Description
Use the YOrigin property to determine the starting position (in axis scales) where to display each volume bar.

This property has only effect when the UseYOrigin property is True.


TVRML3DCanvas.0methods

TVRML3DCanvas methods
TVRML3DCanvas Legend key

Unit
TeeVRML3D

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TVRML3DCanvas.0properties

TVRML3DCanvas properties
TVRML3DCanvas Legend key

Unit
TeeVRML3D

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TVRML3DCanvas.Hierarchy

Unit
TeeVRML3D

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TVRML3DCanvas

Classes derived from TVRML3DCanvas
(none)


TVRMLExportFormat.0methods

TVRMLExportFormat methods
TVRMLExportFormat Legend key

Unit
TeeVRML3D

In TVRMLExportFormat
FileExtension
VRML

Derived from TTeeExportFormat
CopyToClipboard
Description
FileFilter
GraphicClass
Options
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TVRMLExportFormat.FileExtension

TVRMLExportFormat.FileExtension
TVRMLExportFormat

function FileExtension: String; override;

Unit
TeeVRML3D

Description
Returns "VRML" as the file extension for VRML files.


TVRMLExportFormat.Hierarchy

Unit
TeeVRML3D

Hierarchy

TObject
|
TTeeExportFormat
|
TVRMLExportFormat

Classes derived from TVRMLExportFormat
(none)


TVRMLExportFormat.VRML

TVRMLExportFormat.VRML
TVRMLExportFormat

function VRML: TStringList;

Unit
TeeVRML3D

Description
Returns the contents of the VRML exported tags. Developers are responsible to free the returned TStringList.


TWaterFallSeries.0events

TWaterFallSeries events
TWaterFallSeries Legend key

Unit
TeeSurfa

Derived from TCustom3DGridSeries
OnGetYValue

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TWaterFallSeries.0methods

TWaterFallSeries methods
TWaterFallSeries Legend key

Unit
TeeSurfa

Derived from TSurfaceSeries
CellsOrientation
Clicked

Derived from TCustom3DGridSeries
Clear
CreateValues
FillGridIndex
GetXZValue
IsValidSeriesSource
NumSampleValues
ReCreateValues

Derived from TCustom3DPaletteSeries
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TWaterFallSeries.0properties

TWaterFallSeries properties
TWaterFallSeries Legend key

Unit
TeeSurfa

Derived from TSurfaceSeries
DotFrame
FastBrush
HideCells
SideBrush
SideLines
SmoothPalette
Transparency
WaterFall
WaterLines
WireFrame

Derived from TCustom3DGridSeries
IrregularGrid
NumXValues
NumZValues
Value

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TWaterFallSeries.Hierarchy

Unit
TeeSurfa

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TCustom3DGridSeries
|
TSurfaceSeries
|
TWaterFallSeries

Classes derived from TWaterFallSeries
(none)


TWebTheme.0methods

TWebTheme methods
TWebTheme Legend key

Unit
TeeThemes

In TWebTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TWebTheme.Apply

TWebTheme.Apply
TWebTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies Web visual formatting properties to Chart parameter.


TWebTheme.Description

TWebTheme.Description
TWebTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Web"


TWebTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TWebTheme

Classes derived from TWebTheme
(none)


TWhitePen.0events

TWhitePen events
TWhitePen Legend key

Unit
TeCanvas

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TWhitePen.0methods

TWhitePen methods
TWhitePen Legend key

Unit
TeCanvas

Derived from TChartPen
Hide
Show

Derived from TPen
Assign
Create
Destroy
GetColor
GetData
GetHandle
GetStyle
GetWidth
SetColor
SetData
SetHandle
SetMode
SetStyle
SetWidth

Derived from TGraphicsObject
Changed
HandleAllocated
Lock
Unlock

Derived from TPersistent
AssignError
AssignTo
DefineProperties
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TWhitePen.0properties

TWhitePen properties
TWhitePen Legend key

Unit
TeCanvas

Derived from TChartPen
EndStyle
SmallDots
SmallSpace
Visible

Derived from TPen
Color
Handle
Mode
Style
Width

Derived from TGraphicsObject
OnChange
OwnerCriticalSection


TWhitePen.Hierarchy

Unit
TeCanvas

Hierarchy

TObject
|
TPersistent
|
TGraphicsObject
|
TPen
|
TChartPen
|
TWhitePen

Classes derived from TWhitePen
TChartArrowPen


TWindowsXPTheme.0methods

TWindowsXPTheme methods
TWindowsXPTheme Legend key

Unit
TeeThemes

In TWindowsXPTheme
Apply
Description

Derived from TChartTheme
Create

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TWindowsXPTheme.Apply

TWindowsXPTheme.Apply
TWindowsXPTheme

procedure Apply; override;

Unit
TeeThemes

Description
Applies Windows XP visual formatting properties to Chart parameter.


TWindowsXPTheme.Description

TWindowsXPTheme.Description
TWindowsXPTheme

function Description: String; override;

Unit
TeeThemes

Description
Returns "Windows XP(r)"


TWindowsXPTheme.Hierarchy

Unit
TeeThemes

Hierarchy

TObject
|
TPersistent
|
TChartTheme
|
TDefaultTheme
|
TBusinessTheme
|
TWindowsXPTheme

Classes derived from TWindowsXPTheme
(none)


TWindRoseSeries.0events

TWindRoseSeries events
TWindRoseSeries Legend key

Unit
TeeRose

Derived from TCustomPolarSeries
OnGetCircleLabel
OnGetPointerStyle

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TWindRoseSeries.0methods

TWindRoseSeries methods
TWindRoseSeries Legend key

Unit
TeeRose

Derived from TCustomPolarSeries
CalcXPos
CalcYPos
Clicked
DrawRing
DrawZone
LegendItemColor

Derived from TCircledSeries
AdjustScreenRatio
AngleToPos
PointToAngle
PointToRadius
Rotate

Derived from TChartSeries
Add
AddArray
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
AssociatedToAxis
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clear
ColorRange
Count
CountLegendItems
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
IsValidSourceOf
LastDisplayedIndex
LegendString
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MaxZValue
MinXValue
MinYValue
MinZValue
NumSampleValues
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TWindRoseSeries.0properties

TWindRoseSeries properties
TWindRoseSeries Legend key

Unit
TeeRose

In TWindRoseSeries
MirrorAngles
MirrorLabels

Derived from TCustomPolarSeries
AngleIncrement
AngleValues
CircleLabels
CircleLabelsFont
CircleLabelsInside
CircleLabelsRotated
CirclePen
ClockWiseLabels
CloseCircle
LabelsMargin
Pointer
RadiusIncrement
RadiusValues
Transparency
TreatNulls

Derived from TCircledSeries
CircleBackColor
Circled
CircleHeight
CircleRect
CircleWidth
CircleXCenter
CircleYCenter
CustomXRadius
CustomYRadius
Emboss
RotationAngle
Shadow
XRadius
YRadius

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TWindRoseSeries.Hierarchy

Unit
TeeRose

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCircledSeries
|
TCustomPolarSeries
|
TCustom2DPolarSeries
|
TWindRoseSeries

Classes derived from TWindRoseSeries
(none)


TWindRoseSeries.MirrorAngles

TWindRoseSeries.MirrorAngles
TWindRoseSeries

property MirrorAngles: Boolean;

Unit
TeeRose

Description
Default is False.

When True, points displayed in the WindRose series will be horizontally mirrored.

Labels showing the wind coordinates (S,N,W,E, etc) around the series aren't mirrored.

If you want to mirror the labels but not the points, use the MirrorLabels property.


TWindRoseSeries.MirrorLabels

TWindRoseSeries.MirrorLabels
TWindRoseSeries

property MirrorLabels: Boolean;

Unit
TeeRose

Description
Default: False

When True, the wind-rose axis labels will be mirrored, using the following formula:

Angle := 360 - Angle

If you want to mirror the series points but not the axis labels, use the MirrorAngles property.


TWorldSeries.0events

TWorldSeries events
TWorldSeries Legend key

Unit
TeeWorldSeries

Derived from TCustom3DPaletteSeries
OnGetColor

Derived from TChartSeries
AfterDrawValues
BeforeDrawValues
OnAfterAdd
OnBeforeAdd
OnClearValues
OnClick
OnDblClick
OnGetMarkText
OnMouseEnter
OnMouseLeave

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TWorldSeries.0methods

TWorldSeries methods
TWorldSeries Legend key

Unit
TeeWorldSeries

In TWorldSeries
AddCities
LoadMapFromResource

Derived from TMapSeries
NumSampleValues

Derived from TCustom3DPaletteSeries
AddPalette
Clear
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LegendItemColor
LegendString
LoadPaletteFromFile
SavePaletteToFile

Derived from TCustom3DSeries
AddArray
AddXYZ
AssociatedToAxis
CalcZPos
IsValidSourceOf
MaxZValue
MinZValue

Derived from TChartSeries
Add
AddNull
AddNullXY
AddX
AddXY
AddY
Assign
AssignFormat
AssignValues
BeginUpdate
CalcFirstLastVisibleIndex
CalcPosValue
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CanZoomScroll
CheckDatasource
CheckOrder
CheckOtherSeries
Clicked
ColorRange
Count
Delete
DrawLegend
DrawSeriesForward
DrawValuesForward
EndUpdate
FillSampleValues
FirstDisplayedIndex
GetCursorValueIndex
GetCursorValues
GetMarkValue
GetOriginValue
GetYValueList
IsNull
IsValidSeriesSource
LastDisplayedIndex
LegendToValueIndex
MarkPercent
MaxMarkWidth
MaxXValue
MaxYValue
MinXValue
MinYValue
RandomBounds
RefreshSeries
RemoveDataSource
ReplaceList
SetFunction
SetNull
SortByLabels
SwapValueIndex
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText

Derived from TCustomChartSeries
SameClass

Derived from TCustomChartElement
EditorClass
Repaint

Derived from TComponent
_AddRef
_Release
BeforeDestruction
ChangeName
Create
DefineProperties
Destroy
DestroyComponents
Destroying
ExecuteAction
FindComponent
FreeNotification
FreeOnRelease
GetChildOwner
GetChildParent
GetChildren
GetComObject
GetComponent
GetComponentCount
GetComponentIndex
GetIDsOfNames
GetNamePath
GetOwner
GetParentComponent
GetTypeInfo
GetTypeInfoCount
HasParent
IInterfaceComponentReferenceGetComponent
Insert
InsertComponent
IntfGetComponent
Invoke
IsImplementorOf
Loaded
Notification
PaletteCreated
QueryInterface
ReadLeft
ReadState
ReadTop
ReferenceInterface
Remove
RemoveComponent
RemoveFreeNotification
RemoveNotification
SafeCallException
SetAncestor
SetChildOrder
SetComponentIndex
SetDesigning
SetDesignInstance
SetInline
SetName
SetParentComponent
SetReference
SetSubComponent
UpdateAction
Updated
UpdateRegistry
Updating
ValidateContainer
ValidateInsert
ValidateRename
WriteLeft
WriteState
WriteTop

Derived from TPersistent
AssignError
AssignTo

Derived from TObject
AfterConstruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance


TWorldSeries.0properties

TWorldSeries properties
TWorldSeries Legend key

Unit
TeeWorldSeries

In TWorldSeries
Map

Derived from TMapSeries
Emboss
PointSize
Polygon
Shadow
Shapes
Transparency
Transparent

Derived from TCustom3DPaletteSeries
EndColor
LegendEvery
MidColor
Palette
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from TCustom3DSeries
TimesZOrder
ZValue
ZValues

Derived from TChartSeries
Color
ColorEachPoint
ColorSource
Cursor
CustomHorizAxis
CustomVertAxis
DataSource
DataSources
DefaultNullValue
Depth
FirstValueIndex
FunctionType
GetHorizAxis
GetVertAxis
HorizAxis
Labels
LastValueIndex
LinkedSeries
Marks
PercentFormat
RecalcOptions
SeriesColor
ValueColor
ValueFormat
ValueMarkText
ValuesList
VertAxis
Visuals
XLabel
XLabelsSource
XValue
XValues
YValue
YValues
ZOrder

Derived from TCustomChartSeries
Identifier
LegendTitle
SeriesIndex
ShowInLegend
Style
Title

Derived from TCustomChartElement
Active
Brush
ParentChart
Pen
ShowInEditor
Visible

Derived from TComponent
ComObject
ComponentCount
ComponentIndex
Components
ComponentState
ComponentStyle
DesignInfo
Name
Owner
Tag
VCLComObject


TWorldSeries.AddCities

TWorldSeries.AddCities
TWorldSeries

procedure AddCities(DestSeries: TChartSeries);

Unit
TeeWorldSeries

Description
Loads an internal resource consisting of World city names and XY geographical coordinates (latitude and longitude).
Cities are added to DestSeries series parameter (for example a TPointSeries) using the X,Y and Text city properties.

You can use this class procedure without the need to create a TWorldSeries:

Series2 := TPointSeries.Create(Self);
Series2.ParentChart := Chart1;
TWorldSeries.AddCities(Series2);


TWorldSeries.Hierarchy

Unit
TeeWorldSeries

Hierarchy

TObject
|
TPersistent
|
TComponent
|
TCustomChartElement
|
TCustomChartSeries
|
TChartSeries
|
TCustom3DSeries
|
TCustom3DPaletteSeries
|
TMapSeries
|
TWorldSeries

Classes derived from TWorldSeries
(none)


TWorldSeries.LoadMapFromResource

TWorldSeries.LoadMapFromResource
TWorldSeries

procedure LoadMapFromResource(Series: TMapSeries; Const ShpName, ShxName: String);

Unit
TeeWorldSeries

Description
This class procedure fills the Series parameter with shapes loaded from a SHP shape file stored internally as a binary resource.
A shape file is composed of two files, a SHP one and a SHX one.
For more information about shape files you can check the following link:

http://en.wikipedia.org/wiki/Shapefile


TWorldSeries.Map

TWorldSeries.Map
TWorldSeries

property Map: TWorldMap;

Unit
TeeWorldSeries

Description
Determines which world map (or portion of world map) is automatically loaded from the internal binary resource (TeeWorld.res).

The Series will load at design-time and run-time all shapes that correspond to the selected map.
For example, when loading the Europe map, it will create shapes for all countries that belong to Europe continent.

These auto-created shapes aren't persisted to DFM file (for performance and size reasons).

At run-time you can add additional shape polygons using the ancestor TMapSeries Add methods.


TXAML3DCanvas.0methods

TXAML3DCanvas methods
TXAML3DCanvas Legend key

Unit
TeeXAMLCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TXAML3DCanvas.0properties

TXAML3DCanvas properties
TXAML3DCanvas Legend key

Unit
TeeXAMLCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TXAML3DCanvas.Hierarchy

Unit
TeeXAMLCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TXAMLCanvas
|
TXAML3DCanvas

Classes derived from TXAML3DCanvas
(none)


TXAMLCanvas.0methods

TXAMLCanvas methods
TXAMLCanvas Legend key

Unit
TeeXAMLCanvas

Derived from TTeeCanvas3D
Arc
Arrow
Calculate2DPosition
Calculate3DPosition
ClipCube
ClipRectangle
Cone
Cube
Cylinder
Donut
Draw
Ellipse
EllipseWithZ
EraseBackground
FillRect
GetCirclePoints
GradientFill
InitWindow
Invalidate
LineTo
MoveTo
Pie
Pie3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
Polygon3D
Polyline
Projection
Pyramid
PyramidTrunc
Rectangle
RectangleWithZ
RectangleY
RectangleZ
ReDrawBitmap
RotateLabel
RotateLabel3D
RoundRect
ShowImage
Sphere
StretchDraw
Surface3D
TextOut
TextOut3D
Triangle3D
TriangleWithZ
UnClipRectangle

Derived from TCanvas3D
Assign
Calc3DPoints
CalcRect3D
Diamond
DisableRotation
EditorClass
EnableRotation
FourPointsFromRect
FrontPlaneBegin
FrontPlaneEnd
GetArrowPoints
HorizLine3D
LineTo3D
LineWithZ
MoveTo3D
PointFromCircle
PointFromSpiral
PolygonWithZ
RectFromRectZ
RotatedEllipse
TrianglePointsTo2D
TriSurface
VertLine3D
ZLine3D

Derived from TTeeCanvas
AssignBrush
AssignBrushColor
AssignFont
AssignVisiblePen
AssignVisiblePenColor
BeginBlending
ClipEllipse
ClipPolygon
ConvexHull
DoHorizLine
DoRectangle
DoVertLine
EndBlending
Frame3D
Line
ResetState
TextHeight
TextWidth

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TXAMLCanvas.0properties

TXAMLCanvas properties
TXAMLCanvas Legend key

Unit
TeeXAMLCanvas

Derived from TTeeCanvas3D
Bitmap

Derived from TCanvas3D
Pixels3D
Supports3DText
View3DOptions
XCenter
YCenter
ZCenter

Derived from TTeeCanvas
BackColor
BackMode
Bounds
Brush
Font
FontHeight
Gradient
Handle
IsNoBMPGrid
Metafiling
Monochrome
Pen
Pixels
ReferenceCanvas
SupportsFullRotation
SupportsXORMode
TextAlign
UseBuffer


TXAMLCanvas.Hierarchy

Unit
TeeXAMLCanvas

Hierarchy

TObject
|
TTeeCanvas
|
TCanvas3D
|
TTeeCanvas3D
|
TTeeNeutralCanvas
|
TXAMLCanvas

Classes derived from TXAMLCanvas
TXAML3DCanvas


TXAMLExportFormat.0methods

TXAMLExportFormat methods
TXAMLExportFormat Legend key

Unit
TeeXAMLCanvas

In TXAMLExportFormat
FileExtension
XAML

Derived from TTeeExportFormat
CopyToClipboard
Description
FileFilter
GraphicClass
Options
SaveToFile
SaveToStream

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TXAMLExportFormat.FileExtension

TXAMLExportFormat.FileExtension
TXAMLExportFormat

function FileExtension: String; override;

Unit
TeeXAMLCanvas

Description
Returns "XAML" as the file extension for XAML files.


TXAMLExportFormat.Hierarchy

Unit
TeeXAMLCanvas

Hierarchy

TObject
|
TTeeExportFormat
|
TXAMLExportFormat

Classes derived from TXAMLExportFormat
(none)


TXAMLExportFormat.XAML

TXAMLExportFormat.XAML
TXAMLExportFormat

function XAML: TStringList;

Unit
TeeXAMLCanvas

Description
Returns the contents of the XAML exported tags. Developers are responsible to free the returned TStringList.


TZoomFilter.0events

TZoomFilter events
TZoomFilter Legend key

Unit
TeeFilters

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TZoomFilter.0methods

TZoomFilter methods
TZoomFilter Legend key

Unit
TeeFilters

Derived from TTeeFilter
Apply
ApplyTo
CreateEditor

Derived from TCollectionItem
Changed
Create
Destroy
GetDisplayName
GetIndex
GetNamePath
GetOwner
SetCollection
SetDisplayName
SetIndex

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TZoomFilter.0properties

TZoomFilter properties
TZoomFilter Legend key

Unit
TeeFilters

In TZoomFilter
Percent
Smooth

Derived from TTeeFilter
Enabled
Region

Derived from TCollectionItem
Collection
DisplayName
ID
Index


TZoomFilter.Hierarchy

Unit
TeeFilters

Hierarchy

TObject
|
TPersistent
|
TCollectionItem
|
TTeeFilter
|
TZoomFilter

Classes derived from TZoomFilter
(none)


TZoomFilter.Percent

TZoomFilter.Percent
TZoomFilter

property Percent: Double;

Unit
TeeFilters

Description
Percentage to use to generate the zoomed image.


TZoomFilter.Smooth

TZoomFilter.Smooth
TZoomFilter

property Smooth: Boolean;

Unit
TeeFilters

Description
Default : False

Gets or sets if the zoomed image will be displayed smoothed.


TZoomPanning.0methods

TZoomPanning methods
TZoomPanning Legend key

Unit
TeeProcs

In TZoomPanning
Activate
Check

Derived from TPersistent
Assign
AssignError
AssignTo
DefineProperties
Destroy
GetNamePath
GetOwner

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TZoomPanning.0properties

TZoomPanning properties
TZoomPanning Legend key

Unit
TeeProcs

In TZoomPanning
Active


TZoomPanning.Activate

TZoomPanning.Activate
TZoomPanning

procedure Activate(x, y: Integer);

Unit
TeeProcs

Description
Internal use. Starts a Zoom or Scroll from the co-ordinates X,Y.


TZoomPanning.Active

TZoomPanning.Active
TZoomPanning

property Active: Boolean;

Unit
TeeProcs

Description
Used by Chart.Zoom and Chart.IPanning objects. The Active property returns the active state of Chart Zoom and Scroll (ie. during the act of zooming or scrolling returns True).


TZoomPanning.Check

TZoomPanning.Check
TZoomPanning

procedure Check;

Unit
TeeProcs

Description
This method swaps (exchanges) the X0 and X1 coordinates when the X1 is lower than X0.
Same for Y0 and Y1 properties.


TZoomPanning.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TPersistent
|
TZoomPanning

Classes derived from TZoomPanning
TTeePanning
TTeeZoom


TZoomSnapshot.0methods

TZoomSnapshot methods
TZoomSnapshot Legend key

Unit
TeeProcs

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Destroy
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TZoomSnapshot.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TZoomSnapshot

Classes derived from TZoomSnapshot
(none)


TZoomSnapshots.0events

TZoomSnapshots events
TZoomSnapshots Legend key

Unit
TeeProcs

Derived from TList
Capacity
Count
Items
List


TZoomSnapshots.0methods

TZoomSnapshots methods
TZoomSnapshots Legend key

Unit
TeeProcs

In TZoomSnapshots
Clear

Derived from TList
Add
Assign
Delete
Destroy
Error
Exchange
Expand
Extract
First
Get
Grow
IndexOf
Insert
Last
Move
Notify
Pack
Put
Remove
SetCapacity
SetCount
Sort

Derived from TObject
AfterConstruction
BeforeDestruction
ClassInfo
ClassName
ClassNameIs
ClassParent
ClassType
CleanupInstance
Create
DefaultHandler
Dispatch
FieldAddress
Free
FreeInstance
GetInterface
GetInterfaceEntry
GetInterfaceTable
InheritsFrom
InitInstance
InstanceSize
MethodAddress
MethodName
NewInstance
SafeCallException


TZoomSnapshots.0properties

TZoomSnapshots properties
TZoomSnapshots Legend key

Unit
TeeProcs

In TZoomSnapshots
Item

Derived from TList
Capacity
Count
Items
List


TZoomSnapshots.Clear

TZoomSnapshots.Clear
TZoomSnapshots

procedure Clear; override;

Unit
TeeProcs

Description
Clears all Zoom Snapshots from the list.


TZoomSnapshots.Hierarchy

Unit
TeeProcs

Hierarchy

TObject
|
TList
|
TZoomSnapshots

Classes derived from TZoomSnapshots
(none)


TZoomSnapshots.Item

TZoomSnapshots.Item
TZoomSnapshots

property Item[Index: Integer]: TZoomSnapshot;

Unit
TeeProcs


WebChartDesigner.Hierarchy

Unit
Steema

Hierarchy

System
|
WebChartDesigner

Classes derived from WebChartDesigner
(none)


How to create charts with manually inserted values

Data Aware Charts

If values are manually inserted it means that you do not want TeeChart to automatically retrieve the Series points from a Table or Query.

1) Place a TChart component in a Delphi Form.

2) Add a Series component via the Chart Editor. (For example, you can choose a BarSeries component.)

3) In your Form1.OnCreate event (or in a Button1.OnClick event), type the following code:

Series1.Clear; // Where Series1 is your Bar series

Series1.Add( 25 , 'Barcelona'     , clTeeColor );
Series1.Add( 50 , 'Rome'          , clTeeColor );
Series1.Add( 30 , 'San Francisco' , clTeeColor );
Series1.Add( 50 , 'New York'      , clTeeColor );
Series1.Add( 40 , 'Los Angeles'   , clTeeColor );

Series1.Add( 35 , 'London' , clTeeColor );

That's it.

Now lets add a new Line Series component (Series2):

4) Place a Line Series component in the Form.

5) Add the following code to the previous code:

Series2.Clear; // Where Series2 is your LineSeries

Series2.Add( 25 , '' , clTeeColor );
Series2.Add( 50 , '' , clTeeColor );
Series2.Add( 30 , '' , clTeeColor );
Series2.Add( 50 , '' , clTeeColor );
Series2.Add( 40 , '' , clTeeColor );
Series2.Add( 35 , '' , clTeeColor );

(Notice you do not need to insert the Horizontal Labels again).

clTeeColor is a TeeChart color constant that means "draw the point in the default color".

You can assign a specific color (clRed, clBlue, etc) to each point or you can set the LineSeries1.ColorEachPoint property to True in order to automatically draw each point with a different color.

If you have X (Horizontal) Coordinates:

Replace the AddY method with AddXY:

Series2.AddXY( 15.2 , 25.4 , 'Barcelona' , clBlue );

Other Chart Series types:

Other Series types may use the same methods to add points:

PieSeries1.Add( 333 , 'Sales' , clTeeColor );

Whilst some series that rely on more inputs have series specific methods to add points:

BubbleSeries1.AddBubble( 15.2 , 25.4 , 13 , '' , clRed ); {being 13 the bubble radius}


Creating a new Chart with TChart or TDBChart component

Many of the steps necessary for defining a TChart or TDBChart are the same. This section describes the common steps needed to start defining either of the two types of Chart.

Create a new Form.

Create a new form and place a TChart or TDBChart component on it (drag it across from the component palette).

Drag the corners of the new TChart or TDBChart component out to a size that helps you visualise the contents of the new Chart as you define it. Later you can adjust the size of the Chart to suit your needs.

Edit the new Chart

Position the mousepointer over the new Chart and press the right mousebutton. A menu appears that includes the ‘Edit Chart’ option.

Width1Width3Width1418Width3Width7014Fig. 1. Using the right mouse button on the Chart will call the Chart options menu. Width1Width3Width1418Width3Width7014

Select the Edit Chart… option to edit the Chart and define and populate its data Series.

Go to the next step.


TChart component (Guide to use)

TChart component

The TChart component is the basic building block for ‘non-database-aware’ Charts. Select the TChart component from the Delphi palette and simply drag it onto your form to include a Chart in your application.

See TChart Component for Class definition.

You can use the Chart Editor to define display characteritics for the Chart and to add new Data Series. Alternatively all properties can be set and changed at runtime using Chart properties and methods.

Data Series for the TChart component must be populated by code. See Configuring data Series in a TChart for an introduction.

For an indepth look at how to create Charts with TeeChart see the TeeChart User Guide.


Horizontal Line Series

The Horizontal Line Series allows the display of X and Y points to be reversed. That is available with Standard Line Series which by default join points along the X plane by setting the LineSeries Xvalues Order to LoNone and adding the points in the order with which to be plotted. That’s made easier with the Horizontal LineSeries which connects points on the Y plane by default giving a ‘vertical’ appearance to the Line.

Horizontal Line

See THorizLineSeries for a full list of properties and methods

A 3D Horizontal Line Series.


Configuring data Series in a TDBChart

Prior to using any database facilities, you should have correctly installed the Borland Database Engine (or equivalent) and the Database Delphi VCL components.

A Step by step guide to creating a database aware Chart....

- Place a TTable component and point it to the "DBDEMOS" database and the "ANIMALS.DBF" dBase table.

- Place a TDatasource component and set its DataSet property to Table1.

- Place a TDBGrid and set the DataSource property to DataSource1.

- Set the Table1.Active property to TRUE to see the Grid filled with table data.

- Place a TDBChart component onto a Form.

- Select and install a Pie Series as described in section The Chart Editor.

- Go to the Series page of the Chart editor by either double-clicking on the Series name, highlighting the Series and selecting Edit, or by selecting the Series tab.

- Select your Series from the Series listbox and go to the datasource tab.

From the listbox select your data source type.

There are 4 types of data source available. The DataSource style is a component property that may be one of the following:

‘No data’ if points are being added programmatically (at source code).

or...

‘Random values’ draw your Chart Series with random values.

or…

‘A function’ which may be:

One or more other Series (like LineSeries1, BarSeries2, etc.) which could come from this Chart or from another Chart in your project. A function may work with a combination of one or more other Series and an algorithmic function (min, max, average, etc.).

or..

A ‘Dataset’ which may be a:

TTable, TQuery, TClientDataset or any other TDataset component. (like Table1, TQuery1, etc.)

Adding a dataset

For our example, let's choose the 4th option from the previous section, ‘Dataset’ style. In our TDBChart we’ll include data from the table that we’ve already added to the form.

You need to select the listbox option A dataset to map this Series to the table that you have included in the project. As you make the selection you will notice new page options appear to define the dataset for the pie Series. Your editor should look like Fig. 7.

Width1Width3Width1418Width3Width5599Fig. 7.

The Chart Editor screen showing the Data source tab for our pie Series

Width1Width3Width1418Width3Width5599

All you need to define a simple dataset for the Series lies here. You have already included a table and datasource in your form, and set the table to active. But the options here offer you the flexibility to define the dataSeries in varying ways:

Click on the down-arrow for the ‘Dataset:’ combobox.

If you have an activated table in the form it will be

highlighted here.

Select your table.

Define the values that will be plotted in the Chart:

As we have defined a Pie Series we are presented with pie specific configuration options. Each Series has parameters that vary, but only slightly, in definition from the example below.

The Pie field is mandatory, and must contain a valid numeric field or a string field with values that can be converted to numbers.

In our example, choose the Weight field.

(The ANIMALS table is a collection of animal names with weight and size information.)

You can optionally select an Labels field to draw the corresponding string for each point on the pie.

In our example, choose the Name field.

This label will be used to draw the Pie Legend.

Note

Some Chart Series types have more than one figure to represent a point. Values that are plotted by date or time are an example of X Values Series. Not all date-time values should be equally spaced. The X Value is the specific horizontal position for each Y value. Later try deleting the pie Series and adding a Series of a different type, - ie. LineSeries -, you will see the option to apply X and Y values appear.

(We don't have X Values in a Pie Series.)

Now click the "OK" button.

The TDBChart component will show a Pie Chart and a Legend.

You are seeing exactly the same Chart you saw when you pressed F9 to run the project.

For a recap and further look at adding data to a TDBChart via another example, see How To Create Data Aware Charts


TeeChart Pro

TeeChart Pro order informationLicense and disclaimer

TeeChart Pro is a comprehensive charting tool aimed at those developers wishing to program with or make use of extended TeeChart functionality. TeeChart Pro includes the option to purchase 100% source code.

Select this link to see What's new in TeeChart 8 Pro.

Features of TeeChart Pro v2011:

100 % Source code available

For RAD Studio, Delphi, Delphi .Net, C++ Builder and Kylix.

30 Palette components including ChartGrid, Navigators, Web source and Control Toolbar

12 standard Series types

11 extended Series types

11 Three dimensions Series types

10 Statistical Series types

6 Financial Series types

11 additional Series types

12 Standard Statistical function types

15 Financial Statistical function types (includes Bollinger, ADX, MACD and more..)

15 Extended Statistical function types

42 Chart tools

Data aware with Summary grouping and orderable data

Series Gallery

Very Fast ! TeeChart fully utilises dynamic arrays of your data

2D, 3D plus OpenGL 3D, 360º rotation, elevation and perspective

Numerous features to facilitate web and ASP / ASP.NET charting

Chart Export formats: Native tee, PNG, GIF, BMP, WMF, EMF, JPEG, PCX, PDF, EPS, VML, SVG, GDI+, XAML

Data Export formats: Native (binary or text) tee, Text (CSV), XML, Excel, HTML table

Unlimited Custom Axes at design-time and runtime

Chart Data Grid, with support for XYZ data

ReportBuilder, QuickReport, Intraweb and many other integrations

Zoom, scroll and real time display, 1 million points per second

Royalty free for exe distribution

Custom drawing 3D canvas, with optional OpenGL rendering

Custom printing and print preview dialog

Extensive demos (more than 400 forms)

Design and runtime integrated Chart and Series editor

Online help at TeeChart web site

Electronic reference manual (hlp and html format)

Custom Series build

Sample Custom Series and Functions

Many new visual features, Transparency, 3 colour gradients

Many other improvements everywhere !


TDBChart component (Guide to use)

TDBChart component

TDBChart derives from TChart and inherits all its functionality. When a Chart Series is connected to a TDBChart component, TDBChart looks in the Series DataSource property.

The datasource for the Series is defined by the Series definition - not by the Chart - Thus multiple Series in a TDBChart could access different data sources. However, if those Series are not associated, via ParentChart, with a TDBChart then the option to define a Series database-datasource won’t be available.

Creating the Dataset

TeeChart Charts will connect with several different types of TDataset derived components, such as:

TTable

TQuery

TClientDataset

TADOTable

TADOQuery,

Etc.

The minimum that requires to be set in each case is:

The name of the database,

For the table the TableName of a table

or

in the case of the query a valid SQL string.

or

in the case of a ClientDataset Define source (right button on TClientDataset object in form).

* Remember to activate the Dataset by setting the Active property to True.

Connecting your Series to a database Dataset

In ‘Getting Started’ you saw how to connect a data Series to a database dataset. Let’s recap here on the key components.

When you select your new Series in the Chart Editor Series page you will see the tab option for Data Source. If you want your data Series to be connected to a new dataset then you should select Dataset from the drop down combo listbox. A new selector box will appear with the options for definition of the new dataset.

The exact contents of the page will change depending on the Series type you have chosen. The parameters you set here modify the properties in the Series definition which vary between Series type. The following table shows the possible options for some Standard Series types Function Series are based upon their resident Series type, eg. An average function may be displayed as a LineSeries or BarSeries, etc so work with the same number of variables.

Width1Width3Width2268Width3Width3119SERIES TYPE

DATASOURCE PROPERTIESWidth1Width3Width2268Width3Width3119
Width1Width3Width2268Width3Width3119 | Width1Width3Width2268Width3Width3119
Width1Width3Width2268Width3Width3119Standard Series | Width1Width3Width2268Width3Width3119
Line | XValues, YValues, XlabelWidth1Width3Width2268Width3Width3119
HorizLine | XValues, YValues, XlabelWidth1Width3Width2268Width3Width3119
Fast Line | XValues, YValues, XlabelWidth1Width3Width2268Width3Width3119
Bar | XValues, YValues (called Bar), XlabelWidth1Width3Width2268Width3Width3119
Area | XValues, YValues, XlabelWidth1Width3Width2268Width3Width3119
Point | Xvalues, YValues, XlabelWidth1Width3Width2268Width3Width3119
Pie | PieValues, XlabelWidth1Width3Width2268Width3Width3119
Arrow | StartXValues, StartYValues, XLabel, EndXValues, EndYValuesWidth1Width3Width2268Width3Width3119
Bubble | Xvalues, YValues, XLabel, RadiusValuesWidth1Width3Width2268Width3Width3119
Gantt | StartValues, EndValues, AY (Y axis level), AXLabel (Label optionally shown on Y-axis or as mark)Width1Width3Width2268Width3Width3119
Shape | X0 (Top), Y0 (Bottom), X1 (Left), Y1 (Right)Width1Width3Width2268Width3Width3119

Coding your datasource

You may populate your Chart at runtime by coding which Series to add to the Chart and defining the fields of those Series.

It assumes you have a table on your form, Table1 with fields Name and Amount.

Var
MySeries,Ave:TLineSeries;

MySeries:=TLineSeries.Create( Self );
With MySeries do
begin
 ParentChart:=DBChart1;
 DataSource:=Table1;
 XLabelsSource:='Name';
 YValues.ValueSource:= 'Amount';
 CheckDatasource;
end;


Ordering TeeChart

Ordering TeeChart Pro

If you would like to order TeeChart Pro please contact us for latest pricing and licensing information or see the Steema web.

Steema Software SL
Avinguda Montilivi 33
17003 GIRONA
CATALONIA, (Spain)

Email: sales@steema.com

Web: www.steema.com


Configuring data Series in a TChart

We have a TChart on the form and have added a Series to it. We are ready to populate the Series.

Let’s type some Delphi code to add points values programmatically.

We'll see later how to create a database-aware Chart with automatic record retrieval.

Example Pie-Series

Suppose the Series we added was a Pie Series. We could populate the Series in the following way. For the following code to work we should leave the Series name as its default of Series1.

Place a TButton on your Form and go to the OnClick event .

Copy the following code at the Button1.OnClick event:

With Series1 do
Begin
    Add(  40, 'Pencil' , clRed ) ;
    Add(  60, 'Paper',  clBlue ) ;
    Add(  30, 'Ribbon', clGreen ) ;

end;

A description of the Add method and other available methods and properties is available at design time via the context sensitive help included with TeeChart. Place the cursor on the word Add in your code and press F1 for a full description of the method.

Return to your code and press F9 again to run the project.

Press Button1 to see the Pie Chart appear - the code works!

Editing the Series

Close the program to go back to Delphi’s IDE.

In design mode, all Chart and Series properties are accessible through the Delphi Object Inspector or by right-clicking the Chart and selecting the ‘Edit Chart’ option or double-clicking on the part of the Chart that you wish to edit. Here we’ll use the Chart editor to edit our new Chart and Series. Fig.5. Shows the first editor screen.

To edit features of the Series we can double-click on the Series in the list or highlight the Series and select Edit or directly select the tab for the Series - each technique will take us to the editor for the Series.

Width1Width3Width1418Width3Width5883Fig. 5.

The Chart Editor screen showing the new Pie Series

Width1Width3Width1418Width3Width5883

Try changing some properties of the Pie Series; you will see the results update automatically on the Chart. There is no cancel to undo changes but most parameters are easily toggled. Remember, in design time the TChart component hasn’t yet run your code so it shows the randomly generated set of data. You will need to start your project to see how the new parameters show up with your own data.

Width1Width3Width1418Width3Width5741Fig. 6.

The Chart Editor Series page showing editor tab for our Pie Series

Width1Width3Width1418Width3Width5741

Many changes can be made visually in the editor, or try modifying some parameters in Object Inspector, or modifying a property with your own code. For more advanced projects, you’ll most likely find yourself typing some Object Pascal code.

For a recap and further look at adding data to a TChart via another example, see How To Create Charts with manually inserted values

Now we’ll take a closer look at adding data to the TDBChart component.

Configuring data Series in a TDBChart.


Gallery

TeeChart Gallery

Description

The TeeChart Gallery contains a visual catalogue of all available Series types. You may access the Gallery via the Chart Editor.


Programming environments

TeeChart Pro order information TeeChart Pro

TeeChart is written as a 100% Delphi native VCL.

TeeChart Pro v2011 supports:

All RAD Studio versions of Delphi plus FMX & v2006, 2005, 8, 7, 6, 5. (VCL.Win32, VCL.Net and CLX)

All RAD Studio versions of C++Builder & v6, 5, 4. (VCL.Win32 and CLX)


TeeChart User Guide

The TeeChart User Guide provides a backgrounder and an indepth look at most commonly used and some advanced Chart design techniques.

1. Introduction

1.1. Introduction

1.2. Licensing issues

1.3. About TeeChart Standard version

2. Getting started

2.1. Getting Started

2.2. Using TeeChart online help

2.3. Using the TeeChart Wizard

2.4. Which TeeChart Component should I use ?

2.5. Creating a new Chart with the TChart or TDBChart component

2.6. The Chart Editor

2.7. Configuring data Series in a TChart

2.8. Configuring data Series in a TDBChart

2.9. Modifying Chart data

3. TeeChart demos

3.1. TeeChart demos

4. Component reference

4.1. TChart component

4.2. TDBChart component

4.3. TeeChart Series

4.3.1. TeeChart Series

4.3.2. Line and Fast Line

4.3.3. Bar

4.3.4. Horizontal Bar

4.3.5. Area

4.3.6. Point

4.3.7. Pie

4.3.8. Arrow

4.3.9. Bubble

4.3.10. Gantt

4.3.11. Shape

4.3.12. Combining Series

4.4. Adding a Chart to QuickReport

4.5. Standard Functions

5. Working with Chart and Series

5.1. Overview

5.2. Click events

5.3. Custom drawing on the Chart

5.4. Working with Axes

5.5. Series manipulation

5.6. Printing Charts

5.7. Chart Zoom and Scroll

5.8. Real-time Charting and speed

5.9. Functions


How to Create Data-Aware Charts

Manual Charts

The only difference between TChart and TDBChart is TChart does not need the database units.

However, points must be manually added by programming.

TDBChart, in contrast, accepts Series connected to database components (like TTable, TQuery or TClientDataset).

TDBChart will retrieve database records and will automatically add the points.

Add a data table to your form

1) Place a TTable component and assign to it an existing Table.
It is not necessary to make the table Active at this stage.

Steps to create a simple data-aware chart

(You can do all steps without programming, using the Chart editor)

2) Place a TDBChart in your form.

3) Right mouse key on the Chart to call up the TeeChart menu then select the Chart editor menu option or Double-click on the chart to go straight to the Chart editor.

4) In the Chart editor add a Series to the Chart by clicking on the Add button. This will call the TeeChart Gallery.Select a series type and click OK.

5) Back in the Chart editor select the Series page with the tab selector (or double-click on your series in the editor series list)

6) On the series page select your new series in the Series Combobox (If you only have one series in the chart it will automatically be displayed in the combobox). Click on the datasource tab to add the new datasource.

7) Select Dataset from the dropdown combobox to define the DataSource property.

Now you can set the series data sources:

8) Set the Dataset field to Table1.

9) Now you need to set Table Fields that will be used to draw your data series: Set the Labels field to the desired table Field. (for example: Table1.CityName) Set the Y values to the desired Vertical Table Field. (for example: Table1.Population). The fields available in this tab page of the Chart editor will depend on the series you are adding. For example a LineSeries will a permit the use of X and Y co-ordinates and an optional Label field, a Pie-series only uses the label field and one set of values. See the Series unit for more information.

Activate your data

10) Now set Active to True (or Open) the Table. Opening or closing the Table will force TDBChart to retrieve the records again, thus allowing refresh.

Color in fields:

It is also possible to have the point colors in a Table or Query field. The field must be a Numeric field containing RGB (Red,Green,Blue) values. Assign the LineSeries1.ColorSource property to this field.

Colors are expressed as numbers, please refer to the Delphi and Windows help to know more about RGB colors. (TColorType)


TeeChart demos

The Getting Started section of the TeeChart User Guide explains the most basic TeeChart procedures. Another useful place to look for help are the examples in the demo files.

Location of TeeChart demos

Open in Examples folder below the TeeChart installation folder to access the TeeChart demo projects.

There are many included forms in the TeeChart examples.

Each form shows a specific TeeChart feature or Series type.

Many Forms contain Delphi and C++ Builder source code to show event handling or interactive Charting.

The following example shows how to add data to a Chart by code and scroll the Series with the new point:

Note:

The flexibility of TeeChart’s components offers the ability to change Series type at any time - thus Series names by default are generic, Series1, Series2, etc..

Add a TeeChart to a Form and select the Editor ‘Add’ button to add a LineSeries

Click on Form.OnCreate or switch to source code to see the following:

procedure TScrollForm.FormCreate(Sender: TObject);
begin
  FillDemoPoints;
end;

procedure TScrollForm.FillDemoPoints;
var t : Integer;
begin
  { fill the LineSeries with some random data }
  Series1.Clear; { <-- this removes all points from Series1 }

  { let's add 60 minutes from 12:00 to 12:59 }
  for t:= 0 to 59 do
      AddXY( EncodeTime( 12, t, 0,0),Random(100),’’,clRed );

  { let's add 60 more minutes from 13:00 to 13:59 }
  for t:= 0 to 59 do
      AddXY( EncodeTime( 13, t, 0,0),Random(100),’’,clRed);
end;

This code will Clear LineSeries and plot two hours of random values from 0 to 100.

Because it is placed on the Form.OnCreate event, each time the form is shown, this code is executed.

Double click the Button1 component to see its associated OnClick code:

procedure TScrollForm.Button1Click(Sender: TObject);
var h,m,s,msec : Word;
begin
  if CheckBox1.Checked then { If VERTICAL SCROLL }
     DecodeTime( Series1.YValues.Last , h, m, s, msec)
  else
     DecodeTime( Series1.XValues.Last , h, m, s, msec);

  { add a new random point to the Series (one more minute) }
  Inc(m);
  if m=60 then
  begin
    m:=0;
    Inc(h);
  end;
  AddXY( EncodeTime( h, m, s, msec), Random(100),’’, clYellow );

end;

This code increments the last added point Time by one more minute.

The incremented Time value is added to the LineSeries, thus giving a new point.

The next code sample shows the key purpose of the example:

How to scroll the Horizontal Axis as new Points are added to the end ?

The easy way is to type the following code at the Series.OnAfterAdd event. This event is called each time a new point is added to the Series.

In this example, we scale the bottom horizontal Chart axis to show 55 minutes prior to the last point and 5 minutes after the last point.

{ This is the event we need to arrange Axis scale as new points are added. }

procedure TScrollForm.LineSeries1AfterAdd(Sender: TChartSeries;
  ValueIndex: Integer);
begin
 { If VERTICAL SCROLL }
  if CheckBox1.Checked then
  begin
    With Sender.GetVertAxis do  { <-- with the                                     Vertical Axis... }
    Begin
      Automatic := False;        { <-- we don’t want                                 automatic scaling }

{ In this example, we will set the Axis Minimum and Maximum values to

show One Hour of data ending at last point Time plus 5 minutes }
      Minimum := 0;
      Maximum := Sender.YValues.MaxValue +
                 DateTimeStep[ dtFiveMinutes ];
      Minimum := Maximum - DateTimeStep[ dtOneHour ];
    end;

end

A great deal of flexibility can be achieved by manually setting the Axis properties.

Each Chart component has four standard front plane axes: LeftAxis, TopAxis, RightAxis and BottomAxis and one Depth axis, DepthAxis. Each Axis has a boolean "Automatic" property that defaults to True, meaning TeeChart will always calculate the Minimum and Maximum values for each Axis. In addition to the Standard axes you may add as many Custom axes as you wish, horizontall or vertically.

The Axis Minimum and Maximum properties are of type double, allowing float numbers or DateTime representations like "Date", "Time", "Now" or any other valid datetime value.

Now, compile and execute this project and look at each sample form in the TeeChart example project.

They should give you ideas that you can apply to your projects while you learn about TeeChart features.

The TEECHART.HLP file describes each component property in detail, with some source code examples mostly taken from the TeeChart demo projects.

We suggest that you to experiment with each different sample form and create new small projects to test TeeChart with your real data.


Tutorial Contents page

Tutorial Contents

1. Getting Started
Introduction to design aspects of TeeChart Pro and a starter guide to building Charts.

2. Chart Display parameters
Chart display properties and methods using the Chart Editor and coded examples.

3. Chart Paging
How to configure multiple page charts.

4. Axis design
Advanced Axis design techniques.

5. Legend design
Advanced Legend design techniques.

6. Working with Series
Introduction to Series architecture and programming.

7. Working with Functions
TeeChart Pro Functions overview

8. Database access
How to use TeeChart Pro with Data sources

9. Internet applications
Guide to creating Internet / Intranet Charting applications

10. Chart 3D and OpenGL
3D Charts and the optional OpenGL 3D canvas

11. Zoom and Scroll
How to zoom in and scroll your Charts

12. Exporting and Importing Charts
Exporting Charts to graphics format files and working with TeeChart's tee format templates.

13. Custom drawing on the Chart Panel
The Chart Canvas

14. Printing Charts
Print methods and properties

15. XML Export & Import
Techniques for working with XML

© 1996-2006 by Steema Software SL. All rights reserved.